#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 6164
#define LARGE_STATE_COUNT 426
#define SYMBOL_COUNT 278
#define ALIAS_COUNT 0
#define TOKEN_COUNT 175
#define EXTERNAL_TOKEN_COUNT 27
#define FIELD_COUNT 19
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 155

enum ts_symbol_identifiers {
  sym_word = 1,
  anon_sym_for = 2,
  anon_sym_select = 3,
  anon_sym_in = 4,
  anon_sym_LPAREN_LPAREN = 5,
  anon_sym_RPAREN_RPAREN = 6,
  anon_sym_SEMI = 7,
  anon_sym_COMMA = 8,
  anon_sym_EQ = 9,
  anon_sym_PLUS_PLUS = 10,
  anon_sym_DASH_DASH = 11,
  anon_sym_PLUS_EQ = 12,
  anon_sym_DASH_EQ = 13,
  anon_sym_STAR_EQ = 14,
  anon_sym_SLASH_EQ = 15,
  anon_sym_PERCENT_EQ = 16,
  anon_sym_STAR_STAR_EQ = 17,
  anon_sym_LT_LT_EQ = 18,
  anon_sym_GT_GT_EQ = 19,
  anon_sym_AMP_EQ = 20,
  anon_sym_CARET_EQ = 21,
  anon_sym_PIPE_EQ = 22,
  anon_sym_PIPE_PIPE = 23,
  anon_sym_DASHo = 24,
  anon_sym_AMP_AMP = 25,
  anon_sym_DASHa = 26,
  anon_sym_PIPE = 27,
  anon_sym_CARET = 28,
  anon_sym_AMP = 29,
  anon_sym_EQ_EQ = 30,
  anon_sym_BANG_EQ = 31,
  anon_sym_LT = 32,
  anon_sym_GT = 33,
  anon_sym_LT_EQ = 34,
  anon_sym_GT_EQ = 35,
  anon_sym_LT_LT = 36,
  anon_sym_GT_GT = 37,
  anon_sym_PLUS = 38,
  anon_sym_DASH = 39,
  anon_sym_STAR = 40,
  anon_sym_SLASH = 41,
  anon_sym_PERCENT = 42,
  anon_sym_STAR_STAR = 43,
  anon_sym_LPAREN = 44,
  anon_sym_RPAREN = 45,
  aux_sym__c_word_token1 = 46,
  anon_sym_while = 47,
  anon_sym_until = 48,
  anon_sym_do = 49,
  anon_sym_done = 50,
  anon_sym_if = 51,
  anon_sym_then = 52,
  anon_sym_fi = 53,
  anon_sym_elif = 54,
  anon_sym_else = 55,
  anon_sym_case = 56,
  anon_sym_esac = 57,
  anon_sym_SEMI_SEMI = 58,
  anon_sym_SEMI_AMP = 59,
  anon_sym_SEMI_SEMI_AMP = 60,
  anon_sym_function = 61,
  anon_sym_LBRACE = 62,
  anon_sym_RBRACE = 63,
  anon_sym_PIPE_AMP = 64,
  anon_sym_BANG = 65,
  anon_sym_LBRACK = 66,
  anon_sym_RBRACK = 67,
  anon_sym_LBRACK_LBRACK = 68,
  anon_sym_RBRACK_RBRACK = 69,
  anon_sym_declare = 70,
  anon_sym_typeset = 71,
  anon_sym_export = 72,
  anon_sym_readonly = 73,
  anon_sym_local = 74,
  anon_sym_unset = 75,
  anon_sym_unsetenv = 76,
  anon_sym_EQ_TILDE = 77,
  anon_sym_AMP_GT = 78,
  anon_sym_AMP_GT_GT = 79,
  anon_sym_LT_AMP = 80,
  anon_sym_GT_AMP = 81,
  anon_sym_GT_PIPE = 82,
  anon_sym_LT_AMP_DASH = 83,
  anon_sym_GT_AMP_DASH = 84,
  anon_sym_LT_LT_DASH = 85,
  aux_sym_heredoc_redirect_token1 = 86,
  anon_sym_LT_LT_LT = 87,
  anon_sym_QMARK = 88,
  anon_sym_COLON = 89,
  anon_sym_PLUS_PLUS2 = 90,
  anon_sym_DASH_DASH2 = 91,
  anon_sym_DASH2 = 92,
  anon_sym_PLUS2 = 93,
  anon_sym_TILDE = 94,
  anon_sym_DOLLAR_LPAREN_LPAREN = 95,
  anon_sym_DOLLAR_LBRACK = 96,
  aux_sym_brace_expression_token1 = 97,
  anon_sym_DOT_DOT = 98,
  anon_sym_RBRACE2 = 99,
  aux_sym_concatenation_token1 = 100,
  anon_sym_DOLLAR = 101,
  sym__special_character = 102,
  anon_sym_DQUOTE = 103,
  sym_string_content = 104,
  sym_raw_string = 105,
  sym_ansi_c_string = 106,
  aux_sym_number_token1 = 107,
  aux_sym_number_token2 = 108,
  anon_sym_POUND = 109,
  anon_sym_DOLLAR_LBRACE = 110,
  anon_sym_RBRACE3 = 111,
  anon_sym_BANG2 = 112,
  anon_sym_AT = 113,
  anon_sym_STAR2 = 114,
  anon_sym_POUND2 = 115,
  anon_sym_EQ2 = 116,
  anon_sym_COLON_EQ = 117,
  anon_sym_DASH3 = 118,
  anon_sym_COLON_DASH = 119,
  anon_sym_PLUS3 = 120,
  anon_sym_COLON_PLUS = 121,
  anon_sym_QMARK2 = 122,
  anon_sym_COLON_QMARK = 123,
  anon_sym_PERCENT_PERCENT = 124,
  aux_sym__expansion_regex_token1 = 125,
  anon_sym_SLASH_SLASH = 126,
  anon_sym_SLASH_POUND = 127,
  anon_sym_SLASH_PERCENT = 128,
  anon_sym_COMMA_COMMA = 129,
  anon_sym_CARET_CARET = 130,
  anon_sym_U = 131,
  anon_sym_u = 132,
  anon_sym_L = 133,
  anon_sym_Q = 134,
  anon_sym_E = 135,
  anon_sym_P = 136,
  anon_sym_A = 137,
  anon_sym_K = 138,
  anon_sym_a = 139,
  anon_sym_k = 140,
  anon_sym_DOLLAR_LPAREN = 141,
  anon_sym_BQUOTE = 142,
  anon_sym_DOLLAR_BQUOTE = 143,
  anon_sym_LT_LPAREN = 144,
  anon_sym_GT_LPAREN = 145,
  sym_comment = 146,
  sym__comment_word = 147,
  aux_sym__simple_variable_name_token1 = 148,
  aux_sym__multiline_variable_name_token1 = 149,
  anon_sym_AT2 = 150,
  anon_sym_0 = 151,
  anon_sym__ = 152,
  sym_heredoc_start = 153,
  sym_simple_heredoc_body = 154,
  sym__heredoc_body_beginning = 155,
  sym_heredoc_content = 156,
  sym_heredoc_end = 157,
  sym_file_descriptor = 158,
  sym__empty_value = 159,
  sym__concat = 160,
  sym_variable_name = 161,
  sym_test_operator = 162,
  sym_regex = 163,
  sym__regex_no_slash = 164,
  sym__regex_no_space = 165,
  sym__expansion_word = 166,
  sym_extglob_pattern = 167,
  sym__bare_dollar = 168,
  sym__brace_start = 169,
  sym__immediate_double_hash = 170,
  sym__external_expansion_sym_hash = 171,
  sym__external_expansion_sym_bang = 172,
  sym__external_expansion_sym_equal = 173,
  sym___error_recovery = 174,
  sym_program = 175,
  sym__statements = 176,
  aux_sym__terminated_statement = 177,
  sym__statement_not_pipeline = 178,
  sym_redirected_statement = 179,
  sym_for_statement = 180,
  sym_c_style_for_statement = 181,
  sym__for_body = 182,
  sym__c_expression = 183,
  sym__c_expression_not_assignment = 184,
  sym__c_variable_assignment = 185,
  sym__c_unary_expression = 186,
  sym__c_binary_expression = 187,
  sym__c_postfix_expression = 188,
  sym__c_parenthesized_expression = 189,
  sym_while_statement = 190,
  sym_do_group = 191,
  sym_if_statement = 192,
  sym_elif_clause = 193,
  sym_else_clause = 194,
  sym_case_statement = 195,
  sym_case_item = 196,
  sym_last_case_item = 197,
  sym_function_definition = 198,
  sym_compound_statement = 199,
  sym_subshell = 200,
  sym_pipeline = 201,
  sym_list = 202,
  sym_negated_command = 203,
  sym_test_command = 204,
  sym_declaration_command = 205,
  sym_unset_command = 206,
  sym_command = 207,
  sym_command_name = 208,
  sym_variable_assignment = 209,
  sym_variable_assignments = 210,
  sym_subscript = 211,
  sym_file_redirect = 212,
  sym_heredoc_redirect = 213,
  sym__heredoc_pipeline = 214,
  sym__heredoc_expression = 215,
  aux_sym__heredoc_command = 216,
  sym__heredoc_body = 217,
  sym_heredoc_body = 218,
  sym__simple_heredoc_body = 219,
  sym_herestring_redirect = 220,
  sym__expression = 221,
  sym_binary_expression = 222,
  sym_ternary_expression = 223,
  sym_unary_expression = 224,
  sym_postfix_expression = 225,
  sym_parenthesized_expression = 226,
  sym_arithmetic_expansion = 227,
  sym_brace_expression = 228,
  sym__arithmetic_expression = 229,
  sym__arithmetic_literal = 230,
  sym__arithmetic_binary_expression = 231,
  sym__arithmetic_ternary_expression = 232,
  sym__arithmetic_unary_expression = 233,
  sym__arithmetic_postfix_expression = 234,
  sym__arithmetic_parenthesized_expression = 235,
  sym_concatenation = 236,
  sym_string = 237,
  sym_translated_string = 238,
  sym_array = 239,
  sym_number = 240,
  sym_simple_expansion = 241,
  sym_expansion = 242,
  sym__expansion_body = 243,
  sym__expansion_expression = 244,
  sym__expansion_regex = 245,
  sym__expansion_regex_replacement = 246,
  sym__expansion_regex_removal = 247,
  sym__expansion_max_length = 248,
  sym__expansion_max_length_expression = 249,
  sym__expansion_max_length_binary_expression = 250,
  sym__expansion_operator = 251,
  sym__concatenation_in_expansion = 252,
  sym_command_substitution = 253,
  sym_process_substitution = 254,
  sym__extglob_blob = 255,
  sym__c_terminator = 256,
  aux_sym__statements_repeat1 = 257,
  aux_sym_redirected_statement_repeat1 = 258,
  aux_sym_redirected_statement_repeat2 = 259,
  aux_sym_for_statement_repeat1 = 260,
  aux_sym__for_body_repeat1 = 261,
  aux_sym_if_statement_repeat1 = 262,
  aux_sym_case_statement_repeat1 = 263,
  aux_sym_case_item_repeat1 = 264,
  aux_sym_pipeline_repeat1 = 265,
  aux_sym_declaration_command_repeat1 = 266,
  aux_sym_unset_command_repeat1 = 267,
  aux_sym_command_repeat1 = 268,
  aux_sym_command_repeat2 = 269,
  aux_sym_variable_assignments_repeat1 = 270,
  aux_sym_heredoc_body_repeat1 = 271,
  aux_sym__literal_repeat1 = 272,
  aux_sym_arithmetic_expansion_repeat1 = 273,
  aux_sym_concatenation_repeat1 = 274,
  aux_sym_string_repeat1 = 275,
  aux_sym__expansion_body_repeat1 = 276,
  aux_sym__concatenation_in_expansion_repeat1 = 277,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_word] = "word",
  [anon_sym_for] = "for",
  [anon_sym_select] = "select",
  [anon_sym_in] = "in",
  [anon_sym_LPAREN_LPAREN] = "((",
  [anon_sym_RPAREN_RPAREN] = "))",
  [anon_sym_SEMI] = ";",
  [anon_sym_COMMA] = ",",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_DASHo] = "-o",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_DASHa] = "-a",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [aux_sym__c_word_token1] = "word",
  [anon_sym_while] = "while",
  [anon_sym_until] = "until",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_fi] = "fi",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_esac] = "esac",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_SEMI_AMP] = ";&",
  [anon_sym_SEMI_SEMI_AMP] = ";;&",
  [anon_sym_function] = "function",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PIPE_AMP] = "|&",
  [anon_sym_BANG] = "!",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym_declare] = "declare",
  [anon_sym_typeset] = "typeset",
  [anon_sym_export] = "export",
  [anon_sym_readonly] = "readonly",
  [anon_sym_local] = "local",
  [anon_sym_unset] = "unset",
  [anon_sym_unsetenv] = "unsetenv",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_AMP_GT] = "&>",
  [anon_sym_AMP_GT_GT] = "&>>",
  [anon_sym_LT_AMP] = "<&",
  [anon_sym_GT_AMP] = ">&",
  [anon_sym_GT_PIPE] = ">|",
  [anon_sym_LT_AMP_DASH] = "<&-",
  [anon_sym_GT_AMP_DASH] = ">&-",
  [anon_sym_LT_LT_DASH] = "<<-",
  [aux_sym_heredoc_redirect_token1] = "heredoc_redirect_token1",
  [anon_sym_LT_LT_LT] = "<<<",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_PLUS_PLUS2] = "++",
  [anon_sym_DASH_DASH2] = "--",
  [anon_sym_DASH2] = "-",
  [anon_sym_PLUS2] = "+",
  [anon_sym_TILDE] = "~",
  [anon_sym_DOLLAR_LPAREN_LPAREN] = "$((",
  [anon_sym_DOLLAR_LBRACK] = "$[",
  [aux_sym_brace_expression_token1] = "number",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_RBRACE2] = "}",
  [aux_sym_concatenation_token1] = "``",
  [anon_sym_DOLLAR] = "$",
  [sym__special_character] = "_special_character",
  [anon_sym_DQUOTE] = "\"",
  [sym_string_content] = "string_content",
  [sym_raw_string] = "raw_string",
  [sym_ansi_c_string] = "ansi_c_string",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_number_token2] = "number_token2",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_RBRACE3] = "}",
  [anon_sym_BANG2] = "!",
  [anon_sym_AT] = "@",
  [anon_sym_STAR2] = "*",
  [anon_sym_POUND2] = "#",
  [anon_sym_EQ2] = "=",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_DASH3] = "-",
  [anon_sym_COLON_DASH] = ":-",
  [anon_sym_PLUS3] = "+",
  [anon_sym_COLON_PLUS] = ":+",
  [anon_sym_QMARK2] = "\?",
  [anon_sym_COLON_QMARK] = ":\?",
  [anon_sym_PERCENT_PERCENT] = "%%",
  [aux_sym__expansion_regex_token1] = "regex",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_SLASH_POUND] = "/#",
  [anon_sym_SLASH_PERCENT] = "/%",
  [anon_sym_COMMA_COMMA] = ",,",
  [anon_sym_CARET_CARET] = "^^",
  [anon_sym_U] = "U",
  [anon_sym_u] = "u",
  [anon_sym_L] = "L",
  [anon_sym_Q] = "Q",
  [anon_sym_E] = "E",
  [anon_sym_P] = "P",
  [anon_sym_A] = "A",
  [anon_sym_K] = "K",
  [anon_sym_a] = "a",
  [anon_sym_k] = "k",
  [anon_sym_DOLLAR_LPAREN] = "$(",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_BQUOTE] = "$`",
  [anon_sym_LT_LPAREN] = "<(",
  [anon_sym_GT_LPAREN] = ">(",
  [sym_comment] = "comment",
  [sym__comment_word] = "word",
  [aux_sym__simple_variable_name_token1] = "variable_name",
  [aux_sym__multiline_variable_name_token1] = "variable_name",
  [anon_sym_AT2] = "special_variable_name",
  [anon_sym_0] = "special_variable_name",
  [anon_sym__] = "special_variable_name",
  [sym_heredoc_start] = "heredoc_start",
  [sym_simple_heredoc_body] = "heredoc_body",
  [sym__heredoc_body_beginning] = "_heredoc_body_beginning",
  [sym_heredoc_content] = "heredoc_content",
  [sym_heredoc_end] = "heredoc_end",
  [sym_file_descriptor] = "file_descriptor",
  [sym__empty_value] = "_empty_value",
  [sym__concat] = "_concat",
  [sym_variable_name] = "variable_name",
  [sym_test_operator] = "test_operator",
  [sym_regex] = "regex",
  [sym__regex_no_slash] = "regex",
  [sym__regex_no_space] = "regex",
  [sym__expansion_word] = "word",
  [sym_extglob_pattern] = "extglob_pattern",
  [sym__bare_dollar] = "$",
  [sym__brace_start] = "{",
  [sym__immediate_double_hash] = "##",
  [sym__external_expansion_sym_hash] = "#",
  [sym__external_expansion_sym_bang] = "!",
  [sym__external_expansion_sym_equal] = "=",
  [sym___error_recovery] = "__error_recovery",
  [sym_program] = "program",
  [sym__statements] = "_statements",
  [aux_sym__terminated_statement] = "_terminated_statement",
  [sym__statement_not_pipeline] = "_statement_not_pipeline",
  [sym_redirected_statement] = "redirected_statement",
  [sym_for_statement] = "for_statement",
  [sym_c_style_for_statement] = "c_style_for_statement",
  [sym__for_body] = "_for_body",
  [sym__c_expression] = "_c_expression",
  [sym__c_expression_not_assignment] = "_c_expression_not_assignment",
  [sym__c_variable_assignment] = "variable_assignment",
  [sym__c_unary_expression] = "unary_expression",
  [sym__c_binary_expression] = "binary_expression",
  [sym__c_postfix_expression] = "postfix_expression",
  [sym__c_parenthesized_expression] = "parenthesized_expression",
  [sym_while_statement] = "while_statement",
  [sym_do_group] = "do_group",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_case_statement] = "case_statement",
  [sym_case_item] = "case_item",
  [sym_last_case_item] = "case_item",
  [sym_function_definition] = "function_definition",
  [sym_compound_statement] = "compound_statement",
  [sym_subshell] = "subshell",
  [sym_pipeline] = "pipeline",
  [sym_list] = "list",
  [sym_negated_command] = "negated_command",
  [sym_test_command] = "test_command",
  [sym_declaration_command] = "declaration_command",
  [sym_unset_command] = "unset_command",
  [sym_command] = "command",
  [sym_command_name] = "command_name",
  [sym_variable_assignment] = "variable_assignment",
  [sym_variable_assignments] = "variable_assignments",
  [sym_subscript] = "subscript",
  [sym_file_redirect] = "file_redirect",
  [sym_heredoc_redirect] = "heredoc_redirect",
  [sym__heredoc_pipeline] = "pipeline",
  [sym__heredoc_expression] = "_heredoc_expression",
  [aux_sym__heredoc_command] = "_heredoc_command",
  [sym__heredoc_body] = "_heredoc_body",
  [sym_heredoc_body] = "heredoc_body",
  [sym__simple_heredoc_body] = "_simple_heredoc_body",
  [sym_herestring_redirect] = "herestring_redirect",
  [sym__expression] = "_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_postfix_expression] = "postfix_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_arithmetic_expansion] = "arithmetic_expansion",
  [sym_brace_expression] = "brace_expression",
  [sym__arithmetic_expression] = "_arithmetic_expression",
  [sym__arithmetic_literal] = "_arithmetic_literal",
  [sym__arithmetic_binary_expression] = "binary_expression",
  [sym__arithmetic_ternary_expression] = "ternary_expression",
  [sym__arithmetic_unary_expression] = "unary_expression",
  [sym__arithmetic_postfix_expression] = "postfix_expression",
  [sym__arithmetic_parenthesized_expression] = "parenthesized_expression",
  [sym_concatenation] = "concatenation",
  [sym_string] = "string",
  [sym_translated_string] = "translated_string",
  [sym_array] = "array",
  [sym_number] = "number",
  [sym_simple_expansion] = "simple_expansion",
  [sym_expansion] = "expansion",
  [sym__expansion_body] = "_expansion_body",
  [sym__expansion_expression] = "_expansion_expression",
  [sym__expansion_regex] = "_expansion_regex",
  [sym__expansion_regex_replacement] = "_expansion_regex_replacement",
  [sym__expansion_regex_removal] = "_expansion_regex_removal",
  [sym__expansion_max_length] = "_expansion_max_length",
  [sym__expansion_max_length_expression] = "_expansion_max_length_expression",
  [sym__expansion_max_length_binary_expression] = "binary_expression",
  [sym__expansion_operator] = "_expansion_operator",
  [sym__concatenation_in_expansion] = "concatenation",
  [sym_command_substitution] = "command_substitution",
  [sym_process_substitution] = "process_substitution",
  [sym__extglob_blob] = "_extglob_blob",
  [sym__c_terminator] = "_c_terminator",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym_redirected_statement_repeat1] = "redirected_statement_repeat1",
  [aux_sym_redirected_statement_repeat2] = "redirected_statement_repeat2",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym__for_body_repeat1] = "_for_body_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_case_item_repeat1] = "case_item_repeat1",
  [aux_sym_pipeline_repeat1] = "pipeline_repeat1",
  [aux_sym_declaration_command_repeat1] = "declaration_command_repeat1",
  [aux_sym_unset_command_repeat1] = "unset_command_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_command_repeat2] = "command_repeat2",
  [aux_sym_variable_assignments_repeat1] = "variable_assignments_repeat1",
  [aux_sym_heredoc_body_repeat1] = "heredoc_body_repeat1",
  [aux_sym__literal_repeat1] = "_literal_repeat1",
  [aux_sym_arithmetic_expansion_repeat1] = "arithmetic_expansion_repeat1",
  [aux_sym_concatenation_repeat1] = "concatenation_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym__expansion_body_repeat1] = "_expansion_body_repeat1",
  [aux_sym__concatenation_in_expansion_repeat1] = "_concatenation_in_expansion_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_word] = sym_word,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_select] = anon_sym_select,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LPAREN_LPAREN] = anon_sym_LPAREN_LPAREN,
  [anon_sym_RPAREN_RPAREN] = anon_sym_RPAREN_RPAREN,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_DASHo] = anon_sym_DASHo,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_DASHa] = anon_sym_DASHa,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym__c_word_token1] = sym_word,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_until] = anon_sym_until,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_fi] = anon_sym_fi,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_esac] = anon_sym_esac,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_SEMI_AMP] = anon_sym_SEMI_AMP,
  [anon_sym_SEMI_SEMI_AMP] = anon_sym_SEMI_SEMI_AMP,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PIPE_AMP] = anon_sym_PIPE_AMP,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_typeset] = anon_sym_typeset,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_local] = anon_sym_local,
  [anon_sym_unset] = anon_sym_unset,
  [anon_sym_unsetenv] = anon_sym_unsetenv,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_AMP_GT] = anon_sym_AMP_GT,
  [anon_sym_AMP_GT_GT] = anon_sym_AMP_GT_GT,
  [anon_sym_LT_AMP] = anon_sym_LT_AMP,
  [anon_sym_GT_AMP] = anon_sym_GT_AMP,
  [anon_sym_GT_PIPE] = anon_sym_GT_PIPE,
  [anon_sym_LT_AMP_DASH] = anon_sym_LT_AMP_DASH,
  [anon_sym_GT_AMP_DASH] = anon_sym_GT_AMP_DASH,
  [anon_sym_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [aux_sym_heredoc_redirect_token1] = aux_sym_heredoc_redirect_token1,
  [anon_sym_LT_LT_LT] = anon_sym_LT_LT_LT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_PLUS_PLUS2] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH2] = anon_sym_DASH_DASH,
  [anon_sym_DASH2] = anon_sym_DASH,
  [anon_sym_PLUS2] = anon_sym_PLUS,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DOLLAR_LPAREN_LPAREN] = anon_sym_DOLLAR_LPAREN_LPAREN,
  [anon_sym_DOLLAR_LBRACK] = anon_sym_DOLLAR_LBRACK,
  [aux_sym_brace_expression_token1] = sym_number,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_RBRACE2] = anon_sym_RBRACE,
  [aux_sym_concatenation_token1] = aux_sym_concatenation_token1,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [sym__special_character] = sym__special_character,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym_string_content] = sym_string_content,
  [sym_raw_string] = sym_raw_string,
  [sym_ansi_c_string] = sym_ansi_c_string,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_number_token2] = aux_sym_number_token2,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_RBRACE3] = anon_sym_RBRACE,
  [anon_sym_BANG2] = anon_sym_BANG,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_STAR2] = anon_sym_STAR,
  [anon_sym_POUND2] = anon_sym_POUND,
  [anon_sym_EQ2] = anon_sym_EQ,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_DASH3] = anon_sym_DASH,
  [anon_sym_COLON_DASH] = anon_sym_COLON_DASH,
  [anon_sym_PLUS3] = anon_sym_PLUS,
  [anon_sym_COLON_PLUS] = anon_sym_COLON_PLUS,
  [anon_sym_QMARK2] = anon_sym_QMARK,
  [anon_sym_COLON_QMARK] = anon_sym_COLON_QMARK,
  [anon_sym_PERCENT_PERCENT] = anon_sym_PERCENT_PERCENT,
  [aux_sym__expansion_regex_token1] = sym_regex,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_SLASH_POUND] = anon_sym_SLASH_POUND,
  [anon_sym_SLASH_PERCENT] = anon_sym_SLASH_PERCENT,
  [anon_sym_COMMA_COMMA] = anon_sym_COMMA_COMMA,
  [anon_sym_CARET_CARET] = anon_sym_CARET_CARET,
  [anon_sym_U] = anon_sym_U,
  [anon_sym_u] = anon_sym_u,
  [anon_sym_L] = anon_sym_L,
  [anon_sym_Q] = anon_sym_Q,
  [anon_sym_E] = anon_sym_E,
  [anon_sym_P] = anon_sym_P,
  [anon_sym_A] = anon_sym_A,
  [anon_sym_K] = anon_sym_K,
  [anon_sym_a] = anon_sym_a,
  [anon_sym_k] = anon_sym_k,
  [anon_sym_DOLLAR_LPAREN] = anon_sym_DOLLAR_LPAREN,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_BQUOTE] = anon_sym_DOLLAR_BQUOTE,
  [anon_sym_LT_LPAREN] = anon_sym_LT_LPAREN,
  [anon_sym_GT_LPAREN] = anon_sym_GT_LPAREN,
  [sym_comment] = sym_comment,
  [sym__comment_word] = sym_word,
  [aux_sym__simple_variable_name_token1] = sym_variable_name,
  [aux_sym__multiline_variable_name_token1] = sym_variable_name,
  [anon_sym_AT2] = anon_sym_AT2,
  [anon_sym_0] = anon_sym_AT2,
  [anon_sym__] = anon_sym_AT2,
  [sym_heredoc_start] = sym_heredoc_start,
  [sym_simple_heredoc_body] = sym_heredoc_body,
  [sym__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [sym_heredoc_content] = sym_heredoc_content,
  [sym_heredoc_end] = sym_heredoc_end,
  [sym_file_descriptor] = sym_file_descriptor,
  [sym__empty_value] = sym__empty_value,
  [sym__concat] = sym__concat,
  [sym_variable_name] = sym_variable_name,
  [sym_test_operator] = sym_test_operator,
  [sym_regex] = sym_regex,
  [sym__regex_no_slash] = sym_regex,
  [sym__regex_no_space] = sym_regex,
  [sym__expansion_word] = sym_word,
  [sym_extglob_pattern] = sym_extglob_pattern,
  [sym__bare_dollar] = anon_sym_DOLLAR,
  [sym__brace_start] = anon_sym_LBRACE,
  [sym__immediate_double_hash] = sym__immediate_double_hash,
  [sym__external_expansion_sym_hash] = anon_sym_POUND,
  [sym__external_expansion_sym_bang] = anon_sym_BANG,
  [sym__external_expansion_sym_equal] = anon_sym_EQ,
  [sym___error_recovery] = sym___error_recovery,
  [sym_program] = sym_program,
  [sym__statements] = sym__statements,
  [aux_sym__terminated_statement] = aux_sym__terminated_statement,
  [sym__statement_not_pipeline] = sym__statement_not_pipeline,
  [sym_redirected_statement] = sym_redirected_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_c_style_for_statement] = sym_c_style_for_statement,
  [sym__for_body] = sym__for_body,
  [sym__c_expression] = sym__c_expression,
  [sym__c_expression_not_assignment] = sym__c_expression_not_assignment,
  [sym__c_variable_assignment] = sym_variable_assignment,
  [sym__c_unary_expression] = sym_unary_expression,
  [sym__c_binary_expression] = sym_binary_expression,
  [sym__c_postfix_expression] = sym_postfix_expression,
  [sym__c_parenthesized_expression] = sym_parenthesized_expression,
  [sym_while_statement] = sym_while_statement,
  [sym_do_group] = sym_do_group,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_case_statement] = sym_case_statement,
  [sym_case_item] = sym_case_item,
  [sym_last_case_item] = sym_case_item,
  [sym_function_definition] = sym_function_definition,
  [sym_compound_statement] = sym_compound_statement,
  [sym_subshell] = sym_subshell,
  [sym_pipeline] = sym_pipeline,
  [sym_list] = sym_list,
  [sym_negated_command] = sym_negated_command,
  [sym_test_command] = sym_test_command,
  [sym_declaration_command] = sym_declaration_command,
  [sym_unset_command] = sym_unset_command,
  [sym_command] = sym_command,
  [sym_command_name] = sym_command_name,
  [sym_variable_assignment] = sym_variable_assignment,
  [sym_variable_assignments] = sym_variable_assignments,
  [sym_subscript] = sym_subscript,
  [sym_file_redirect] = sym_file_redirect,
  [sym_heredoc_redirect] = sym_heredoc_redirect,
  [sym__heredoc_pipeline] = sym_pipeline,
  [sym__heredoc_expression] = sym__heredoc_expression,
  [aux_sym__heredoc_command] = aux_sym__heredoc_command,
  [sym__heredoc_body] = sym__heredoc_body,
  [sym_heredoc_body] = sym_heredoc_body,
  [sym__simple_heredoc_body] = sym__simple_heredoc_body,
  [sym_herestring_redirect] = sym_herestring_redirect,
  [sym__expression] = sym__expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_postfix_expression] = sym_postfix_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_arithmetic_expansion] = sym_arithmetic_expansion,
  [sym_brace_expression] = sym_brace_expression,
  [sym__arithmetic_expression] = sym__arithmetic_expression,
  [sym__arithmetic_literal] = sym__arithmetic_literal,
  [sym__arithmetic_binary_expression] = sym_binary_expression,
  [sym__arithmetic_ternary_expression] = sym_ternary_expression,
  [sym__arithmetic_unary_expression] = sym_unary_expression,
  [sym__arithmetic_postfix_expression] = sym_postfix_expression,
  [sym__arithmetic_parenthesized_expression] = sym_parenthesized_expression,
  [sym_concatenation] = sym_concatenation,
  [sym_string] = sym_string,
  [sym_translated_string] = sym_translated_string,
  [sym_array] = sym_array,
  [sym_number] = sym_number,
  [sym_simple_expansion] = sym_simple_expansion,
  [sym_expansion] = sym_expansion,
  [sym__expansion_body] = sym__expansion_body,
  [sym__expansion_expression] = sym__expansion_expression,
  [sym__expansion_regex] = sym__expansion_regex,
  [sym__expansion_regex_replacement] = sym__expansion_regex_replacement,
  [sym__expansion_regex_removal] = sym__expansion_regex_removal,
  [sym__expansion_max_length] = sym__expansion_max_length,
  [sym__expansion_max_length_expression] = sym__expansion_max_length_expression,
  [sym__expansion_max_length_binary_expression] = sym_binary_expression,
  [sym__expansion_operator] = sym__expansion_operator,
  [sym__concatenation_in_expansion] = sym_concatenation,
  [sym_command_substitution] = sym_command_substitution,
  [sym_process_substitution] = sym_process_substitution,
  [sym__extglob_blob] = sym__extglob_blob,
  [sym__c_terminator] = sym__c_terminator,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym_redirected_statement_repeat1] = aux_sym_redirected_statement_repeat1,
  [aux_sym_redirected_statement_repeat2] = aux_sym_redirected_statement_repeat2,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym__for_body_repeat1] = aux_sym__for_body_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_case_item_repeat1] = aux_sym_case_item_repeat1,
  [aux_sym_pipeline_repeat1] = aux_sym_pipeline_repeat1,
  [aux_sym_declaration_command_repeat1] = aux_sym_declaration_command_repeat1,
  [aux_sym_unset_command_repeat1] = aux_sym_unset_command_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_command_repeat2] = aux_sym_command_repeat2,
  [aux_sym_variable_assignments_repeat1] = aux_sym_variable_assignments_repeat1,
  [aux_sym_heredoc_body_repeat1] = aux_sym_heredoc_body_repeat1,
  [aux_sym__literal_repeat1] = aux_sym__literal_repeat1,
  [aux_sym_arithmetic_expansion_repeat1] = aux_sym_arithmetic_expansion_repeat1,
  [aux_sym_concatenation_repeat1] = aux_sym_concatenation_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym__expansion_body_repeat1] = aux_sym__expansion_body_repeat1,
  [aux_sym__concatenation_in_expansion_repeat1] = aux_sym__concatenation_in_expansion_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_select] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASHo] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASHa] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__c_word_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_until] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fi] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_esac] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI_SEMI_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unset] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsetenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_AMP_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_AMP_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_heredoc_redirect_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_brace_expression_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_concatenation_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [sym__special_character] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string] = {
    .visible = true,
    .named = true,
  },
  [sym_ansi_c_string] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_number_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS3] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__expansion_regex_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_L] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Q] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_E] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_P] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_A] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_K] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_a] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_k] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__comment_word] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__simple_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__multiline_variable_name_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT2] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_0] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_start] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym__heredoc_body_beginning] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_content] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_end] = {
    .visible = true,
    .named = true,
  },
  [sym_file_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_value] = {
    .visible = false,
    .named = true,
  },
  [sym__concat] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_test_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym__regex_no_slash] = {
    .visible = true,
    .named = true,
  },
  [sym__regex_no_space] = {
    .visible = true,
    .named = true,
  },
  [sym__expansion_word] = {
    .visible = true,
    .named = true,
  },
  [sym_extglob_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__bare_dollar] = {
    .visible = true,
    .named = false,
  },
  [sym__brace_start] = {
    .visible = true,
    .named = false,
  },
  [sym__immediate_double_hash] = {
    .visible = true,
    .named = false,
  },
  [sym__external_expansion_sym_hash] = {
    .visible = true,
    .named = false,
  },
  [sym__external_expansion_sym_bang] = {
    .visible = true,
    .named = false,
  },
  [sym__external_expansion_sym_equal] = {
    .visible = true,
    .named = false,
  },
  [sym___error_recovery] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__terminated_statement] = {
    .visible = false,
    .named = false,
  },
  [sym__statement_not_pipeline] = {
    .visible = false,
    .named = true,
  },
  [sym_redirected_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_c_style_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_body] = {
    .visible = false,
    .named = true,
  },
  [sym__c_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__c_expression_not_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym__c_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym__c_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__c_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__c_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__c_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_group] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_last_case_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_subshell] = {
    .visible = true,
    .named = true,
  },
  [sym_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_negated_command] = {
    .visible = true,
    .named = true,
  },
  [sym_test_command] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_command] = {
    .visible = true,
    .named = true,
  },
  [sym_unset_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym_command_name] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_assignments] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_file_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym_heredoc_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__heredoc_pipeline] = {
    .visible = true,
    .named = true,
  },
  [sym__heredoc_expression] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__heredoc_command] = {
    .visible = false,
    .named = false,
  },
  [sym__heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym_heredoc_body] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_heredoc_body] = {
    .visible = false,
    .named = true,
  },
  [sym_herestring_redirect] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arithmetic_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_brace_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__arithmetic_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__arithmetic_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__arithmetic_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__arithmetic_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__arithmetic_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__arithmetic_postfix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__arithmetic_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenation] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_translated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym__expansion_body] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_regex] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_regex_replacement] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_regex_removal] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_max_length] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_max_length_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__expansion_max_length_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__expansion_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__concatenation_in_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_command_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_process_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym__extglob_blob] = {
    .visible = false,
    .named = true,
  },
  [sym__c_terminator] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_redirected_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__for_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pipeline_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_unset_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_assignments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_heredoc_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arithmetic_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__expansion_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__concatenation_in_expansion_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_body = 3,
  field_condition = 4,
  field_consequence = 5,
  field_descriptor = 6,
  field_destination = 7,
  field_fallthrough = 8,
  field_index = 9,
  field_initializer = 10,
  field_left = 11,
  field_name = 12,
  field_operator = 13,
  field_redirect = 14,
  field_right = 15,
  field_termination = 16,
  field_update = 17,
  field_value = 18,
  field_variable = 19,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_descriptor] = "descriptor",
  [field_destination] = "destination",
  [field_fallthrough] = "fallthrough",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_redirect] = "redirect",
  [field_right] = "right",
  [field_termination] = "termination",
  [field_update] = "update",
  [field_value] = "value",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 3},
  [6] = {.index = 6, .length = 3},
  [7] = {.index = 9, .length = 1},
  [8] = {.index = 10, .length = 1},
  [9] = {.index = 10, .length = 1},
  [12] = {.index = 11, .length = 1},
  [14] = {.index = 12, .length = 2},
  [15] = {.index = 14, .length = 1},
  [16] = {.index = 15, .length = 1},
  [17] = {.index = 15, .length = 1},
  [18] = {.index = 16, .length = 3},
  [19] = {.index = 19, .length = 2},
  [20] = {.index = 21, .length = 2},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 23, .length = 2},
  [23] = {.index = 2, .length = 1},
  [24] = {.index = 25, .length = 2},
  [25] = {.index = 25, .length = 2},
  [26] = {.index = 27, .length = 2},
  [27] = {.index = 29, .length = 1},
  [28] = {.index = 30, .length = 2},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 1},
  [31] = {.index = 34, .length = 1},
  [32] = {.index = 11, .length = 1},
  [33] = {.index = 35, .length = 2},
  [34] = {.index = 37, .length = 1},
  [35] = {.index = 38, .length = 2},
  [36] = {.index = 38, .length = 2},
  [37] = {.index = 40, .length = 4},
  [38] = {.index = 44, .length = 4},
  [39] = {.index = 48, .length = 2},
  [40] = {.index = 48, .length = 2},
  [41] = {.index = 50, .length = 2},
  [42] = {.index = 52, .length = 3},
  [43] = {.index = 55, .length = 1},
  [44] = {.index = 56, .length = 1},
  [45] = {.index = 56, .length = 1},
  [46] = {.index = 57, .length = 3},
  [47] = {.index = 11, .length = 1},
  [48] = {.index = 60, .length = 2},
  [49] = {.index = 62, .length = 2},
  [50] = {.index = 64, .length = 2},
  [51] = {.index = 66, .length = 2},
  [52] = {.index = 66, .length = 2},
  [53] = {.index = 68, .length = 2},
  [54] = {.index = 25, .length = 2},
  [55] = {.index = 70, .length = 4},
  [56] = {.index = 74, .length = 1},
  [57] = {.index = 75, .length = 1},
  [58] = {.index = 76, .length = 1},
  [59] = {.index = 76, .length = 1},
  [60] = {.index = 77, .length = 2},
  [61] = {.index = 60, .length = 2},
  [62] = {.index = 79, .length = 3},
  [63] = {.index = 82, .length = 3},
  [64] = {.index = 85, .length = 3},
  [65] = {.index = 88, .length = 2},
  [66] = {.index = 90, .length = 2},
  [67] = {.index = 92, .length = 4},
  [68] = {.index = 96, .length = 2},
  [69] = {.index = 98, .length = 2},
  [70] = {.index = 100, .length = 2},
  [71] = {.index = 102, .length = 2},
  [72] = {.index = 104, .length = 2},
  [73] = {.index = 106, .length = 2},
  [74] = {.index = 108, .length = 3},
  [75] = {.index = 111, .length = 3},
  [76] = {.index = 114, .length = 2},
  [77] = {.index = 116, .length = 2},
  [78] = {.index = 118, .length = 2},
  [79] = {.index = 120, .length = 2},
  [80] = {.index = 114, .length = 2},
  [81] = {.index = 116, .length = 2},
  [82] = {.index = 118, .length = 2},
  [83] = {.index = 122, .length = 3},
  [84] = {.index = 64, .length = 2},
  [85] = {.index = 125, .length = 3},
  [86] = {.index = 125, .length = 3},
  [87] = {.index = 60, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 3},
  [90] = {.index = 133, .length = 4},
  [91] = {.index = 137, .length = 2},
  [92] = {.index = 139, .length = 1},
  [93] = {.index = 140, .length = 1},
  [94] = {.index = 141, .length = 3},
  [95] = {.index = 144, .length = 3},
  [96] = {.index = 147, .length = 3},
  [97] = {.index = 150, .length = 3},
  [98] = {.index = 153, .length = 3},
  [99] = {.index = 156, .length = 3},
  [100] = {.index = 159, .length = 3},
  [101] = {.index = 162, .length = 2},
  [102] = {.index = 164, .length = 2},
  [103] = {.index = 166, .length = 3},
  [104] = {.index = 169, .length = 3},
  [105] = {.index = 172, .length = 2},
  [106] = {.index = 174, .length = 2},
  [107] = {.index = 176, .length = 2},
  [108] = {.index = 172, .length = 2},
  [109] = {.index = 174, .length = 2},
  [110] = {.index = 176, .length = 2},
  [111] = {.index = 162, .length = 2},
  [112] = {.index = 164, .length = 2},
  [113] = {.index = 166, .length = 3},
  [114] = {.index = 169, .length = 3},
  [115] = {.index = 178, .length = 3},
  [116] = {.index = 178, .length = 3},
  [117] = {.index = 64, .length = 2},
  [118] = {.index = 181, .length = 3},
  [119] = {.index = 128, .length = 2},
  [120] = {.index = 184, .length = 3},
  [121] = {.index = 187, .length = 2},
  [122] = {.index = 189, .length = 2},
  [123] = {.index = 191, .length = 3},
  [124] = {.index = 194, .length = 4},
  [125] = {.index = 198, .length = 4},
  [126] = {.index = 202, .length = 4},
  [127] = {.index = 206, .length = 4},
  [128] = {.index = 210, .length = 4},
  [129] = {.index = 214, .length = 4},
  [130] = {.index = 218, .length = 3},
  [131] = {.index = 221, .length = 3},
  [132] = {.index = 224, .length = 2},
  [133] = {.index = 226, .length = 2},
  [134] = {.index = 228, .length = 3},
  [135] = {.index = 231, .length = 3},
  [136] = {.index = 224, .length = 2},
  [137] = {.index = 226, .length = 2},
  [138] = {.index = 228, .length = 3},
  [139] = {.index = 231, .length = 3},
  [140] = {.index = 218, .length = 3},
  [141] = {.index = 221, .length = 3},
  [142] = {.index = 234, .length = 3},
  [143] = {.index = 237, .length = 3},
  [144] = {.index = 237, .length = 3},
  [145] = {.index = 240, .length = 4},
  [146] = {.index = 244, .length = 5},
  [147] = {.index = 249, .length = 5},
  [148] = {.index = 254, .length = 5},
  [149] = {.index = 259, .length = 3},
  [150] = {.index = 262, .length = 3},
  [151] = {.index = 259, .length = 3},
  [152] = {.index = 262, .length = 3},
  [153] = {.index = 265, .length = 3},
  [154] = {.index = 268, .length = 6},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_redirect, 0},
  [2] =
    {field_descriptor, 0},
  [3] =
    {field_left, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
    {field_right, 0, .inherited = true},
  [6] =
    {field_alternative, 0, .inherited = true},
    {field_condition, 0, .inherited = true},
    {field_consequence, 0, .inherited = true},
  [9] =
    {field_operator, 0, .inherited = true},
  [10] =
    {field_destination, 1},
  [11] =
    {field_operator, 0},
  [12] =
    {field_body, 0},
    {field_redirect, 1},
  [14] =
    {field_body, 0},
  [15] =
    {field_argument, 0},
  [16] =
    {field_argument, 1, .inherited = true},
    {field_name, 0},
    {field_redirect, 1, .inherited = true},
  [19] =
    {field_name, 1},
    {field_redirect, 0, .inherited = true},
  [21] =
    {field_redirect, 0, .inherited = true},
    {field_redirect, 1, .inherited = true},
  [23] =
    {field_descriptor, 0},
    {field_destination, 2},
  [25] =
    {field_name, 0},
    {field_value, 2},
  [27] =
    {field_name, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [29] =
    {field_operator, 1},
  [30] =
    {field_body, 2},
    {field_condition, 1},
  [32] =
    {field_body, 2},
    {field_name, 1},
  [34] =
    {field_operator, 1, .inherited = true},
  [35] =
    {field_operator, 0, .inherited = true},
    {field_operator, 1, .inherited = true},
  [37] =
    {field_redirect, 1},
  [38] =
    {field_argument, 0},
    {field_argument, 1},
  [40] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
    {field_redirect, 0, .inherited = true},
    {field_redirect, 1, .inherited = true},
  [44] =
    {field_argument, 2, .inherited = true},
    {field_name, 1},
    {field_redirect, 0, .inherited = true},
    {field_redirect, 2, .inherited = true},
  [48] =
    {field_index, 2},
    {field_name, 0},
  [50] =
    {field_body, 3},
    {field_variable, 1},
  [52] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [55] =
    {field_condition, 1},
  [56] =
    {field_value, 1},
  [57] =
    {field_body, 2},
    {field_name, 1},
    {field_redirect, 3},
  [60] =
    {field_operator, 0},
    {field_operator, 1},
  [62] =
    {field_operator, 0},
    {field_operator, 1, .inherited = true},
  [64] =
    {field_operator, 0},
    {field_operator, 2},
  [66] =
    {field_operator, 0},
    {field_operator, 2, .inherited = true},
  [68] =
    {field_body, 3},
    {field_name, 0},
  [70] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [74] =
    {field_initializer, 0},
  [75] =
    {field_update, 2},
  [76] =
    {field_value, 0},
  [77] =
    {field_body, 4},
    {field_name, 1},
  [79] =
    {field_operator, 0},
    {field_operator, 1},
    {field_operator, 2, .inherited = true},
  [82] =
    {field_operator, 0},
    {field_operator, 1, .inherited = true},
    {field_operator, 2},
  [85] =
    {field_body, 3},
    {field_name, 0},
    {field_redirect, 4},
  [88] =
    {field_operator, 0},
    {field_right, 1},
  [90] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [92] =
    {field_body, 5},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [96] =
    {field_condition, 2},
    {field_initializer, 0},
  [98] =
    {field_initializer, 0},
    {field_update, 3},
  [100] =
    {field_initializer, 0},
    {field_initializer, 1},
  [102] =
    {field_condition, 1},
    {field_update, 3},
  [104] =
    {field_condition, 1},
    {field_condition, 2},
  [106] =
    {field_update, 2},
    {field_update, 3},
  [108] =
    {field_body, 5},
    {field_value, 3},
    {field_variable, 1},
  [111] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [114] =
    {field_termination, 2},
    {field_value, 0},
  [116] =
    {field_fallthrough, 2},
    {field_value, 0},
  [118] =
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [120] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [122] =
    {field_body, 4},
    {field_name, 1},
    {field_redirect, 5},
  [125] =
    {field_operator, 0},
    {field_operator, 1},
    {field_operator, 3},
  [128] =
    {field_operator, 0},
    {field_operator, 3},
  [130] =
    {field_operator, 0},
    {field_operator, 2},
    {field_operator, 3, .inherited = true},
  [133] =
    {field_operator, 0},
    {field_operator, 1, .inherited = true},
    {field_operator, 2},
    {field_operator, 3, .inherited = true},
  [137] =
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [139] =
    {field_argument, 2, .inherited = true},
  [140] =
    {field_redirect, 2},
  [141] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [144] =
    {field_condition, 2},
    {field_condition, 3},
    {field_initializer, 0},
  [147] =
    {field_initializer, 0},
    {field_update, 3},
    {field_update, 4},
  [150] =
    {field_condition, 3},
    {field_initializer, 0},
    {field_initializer, 1},
  [153] =
    {field_initializer, 0},
    {field_initializer, 1},
    {field_update, 4},
  [156] =
    {field_condition, 1},
    {field_update, 3},
    {field_update, 4},
  [159] =
    {field_condition, 1},
    {field_condition, 2},
    {field_update, 4},
  [162] =
    {field_termination, 3},
    {field_value, 0},
  [164] =
    {field_fallthrough, 3},
    {field_value, 0},
  [166] =
    {field_termination, 3},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [169] =
    {field_fallthrough, 3},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [172] =
    {field_termination, 3},
    {field_value, 1},
  [174] =
    {field_fallthrough, 3},
    {field_value, 1},
  [176] =
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [178] =
    {field_operator, 0},
    {field_operator, 2},
    {field_operator, 4},
  [181] =
    {field_operator, 0},
    {field_operator, 1},
    {field_operator, 4},
  [184] =
    {field_descriptor, 0},
    {field_operator, 3, .inherited = true},
    {field_right, 3, .inherited = true},
  [187] =
    {field_argument, 3, .inherited = true},
    {field_descriptor, 0},
  [189] =
    {field_descriptor, 0},
    {field_redirect, 3},
  [191] =
    {field_operator, 3, .inherited = true},
    {field_redirect, 2},
    {field_right, 3, .inherited = true},
  [194] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
    {field_update, 5},
  [198] =
    {field_condition, 2},
    {field_condition, 3},
    {field_initializer, 0},
    {field_update, 5},
  [202] =
    {field_condition, 3},
    {field_initializer, 0},
    {field_initializer, 1},
    {field_update, 5},
  [206] =
    {field_condition, 3},
    {field_condition, 4},
    {field_initializer, 0},
    {field_initializer, 1},
  [210] =
    {field_initializer, 0},
    {field_initializer, 1},
    {field_update, 4},
    {field_update, 5},
  [214] =
    {field_condition, 1},
    {field_condition, 2},
    {field_update, 4},
    {field_update, 5},
  [218] =
    {field_termination, 4},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [221] =
    {field_fallthrough, 4},
    {field_value, 0},
    {field_value, 1, .inherited = true},
  [224] =
    {field_termination, 4},
    {field_value, 1},
  [226] =
    {field_fallthrough, 4},
    {field_value, 1},
  [228] =
    {field_termination, 4},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [231] =
    {field_fallthrough, 4},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [234] =
    {field_operator, 0},
    {field_operator, 2},
    {field_operator, 5},
  [237] =
    {field_operator, 0},
    {field_operator, 3},
    {field_operator, 5},
  [240] =
    {field_descriptor, 0},
    {field_operator, 4, .inherited = true},
    {field_redirect, 3},
    {field_right, 4, .inherited = true},
  [244] =
    {field_condition, 2},
    {field_condition, 3},
    {field_initializer, 0},
    {field_update, 5},
    {field_update, 6},
  [249] =
    {field_condition, 3},
    {field_initializer, 0},
    {field_initializer, 1},
    {field_update, 5},
    {field_update, 6},
  [254] =
    {field_condition, 3},
    {field_condition, 4},
    {field_initializer, 0},
    {field_initializer, 1},
    {field_update, 6},
  [259] =
    {field_termination, 5},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [262] =
    {field_fallthrough, 5},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [265] =
    {field_operator, 0},
    {field_operator, 3},
    {field_operator, 6},
  [268] =
    {field_condition, 3},
    {field_condition, 4},
    {field_initializer, 0},
    {field_initializer, 1},
    {field_update, 6},
    {field_update, 7},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_word,
  },
  [9] = {
    [1] = sym_word,
  },
  [10] = {
    [1] = sym_word,
  },
  [11] = {
    [1] = anon_sym_AT2,
  },
  [13] = {
    [0] = anon_sym_AT2,
  },
  [16] = {
    [0] = sym_word,
  },
  [22] = {
    [2] = sym_word,
  },
  [23] = {
    [2] = sym_word,
  },
  [25] = {
    [2] = sym_word,
  },
  [31] = {
    [0] = anon_sym_AT2,
  },
  [32] = {
    [1] = anon_sym_AT2,
  },
  [35] = {
    [1] = sym_word,
  },
  [39] = {
    [2] = sym_word,
  },
  [44] = {
    [1] = sym_word,
  },
  [47] = {
    [1] = sym_regex,
  },
  [52] = {
    [1] = anon_sym_AT2,
  },
  [54] = {
    [0] = sym_variable_name,
  },
  [58] = {
    [0] = sym_word,
  },
  [61] = {
    [2] = sym_word,
  },
  [76] = {
    [0] = sym_word,
  },
  [77] = {
    [0] = sym_word,
  },
  [78] = {
    [0] = sym_word,
  },
  [84] = {
    [3] = sym_word,
  },
  [85] = {
    [2] = sym_word,
  },
  [87] = {
    [3] = sym_word,
  },
  [101] = {
    [0] = sym_word,
  },
  [102] = {
    [0] = sym_word,
  },
  [103] = {
    [0] = sym_word,
  },
  [104] = {
    [0] = sym_word,
  },
  [105] = {
    [1] = sym_word,
  },
  [106] = {
    [1] = sym_word,
  },
  [107] = {
    [1] = sym_word,
  },
  [115] = {
    [3] = sym_word,
  },
  [117] = {
    [4] = sym_word,
  },
  [118] = {
    [3] = sym_word,
  },
  [119] = {
    [4] = sym_word,
  },
  [130] = {
    [0] = sym_word,
  },
  [131] = {
    [0] = sym_word,
  },
  [132] = {
    [1] = sym_word,
  },
  [133] = {
    [1] = sym_word,
  },
  [134] = {
    [1] = sym_word,
  },
  [135] = {
    [1] = sym_word,
  },
  [142] = {
    [4] = sym_word,
  },
  [143] = {
    [4] = sym_word,
  },
  [149] = {
    [1] = sym_word,
  },
  [150] = {
    [1] = sym_word,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  aux_sym__literal_repeat1, 2,
    aux_sym__literal_repeat1,
    sym_word,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 4,
  [5] = 4,
  [6] = 4,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 8,
  [11] = 7,
  [12] = 9,
  [13] = 8,
  [14] = 9,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 43,
  [45] = 43,
  [46] = 42,
  [47] = 43,
  [48] = 43,
  [49] = 43,
  [50] = 43,
  [51] = 42,
  [52] = 43,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 54,
  [57] = 55,
  [58] = 58,
  [59] = 54,
  [60] = 60,
  [61] = 58,
  [62] = 58,
  [63] = 60,
  [64] = 60,
  [65] = 65,
  [66] = 54,
  [67] = 54,
  [68] = 55,
  [69] = 58,
  [70] = 60,
  [71] = 54,
  [72] = 55,
  [73] = 58,
  [74] = 60,
  [75] = 55,
  [76] = 58,
  [77] = 19,
  [78] = 60,
  [79] = 60,
  [80] = 55,
  [81] = 54,
  [82] = 60,
  [83] = 83,
  [84] = 55,
  [85] = 54,
  [86] = 54,
  [87] = 19,
  [88] = 60,
  [89] = 55,
  [90] = 54,
  [91] = 55,
  [92] = 92,
  [93] = 54,
  [94] = 65,
  [95] = 65,
  [96] = 60,
  [97] = 55,
  [98] = 54,
  [99] = 60,
  [100] = 58,
  [101] = 60,
  [102] = 83,
  [103] = 92,
  [104] = 55,
  [105] = 54,
  [106] = 55,
  [107] = 55,
  [108] = 58,
  [109] = 54,
  [110] = 60,
  [111] = 58,
  [112] = 55,
  [113] = 53,
  [114] = 53,
  [115] = 60,
  [116] = 116,
  [117] = 54,
  [118] = 60,
  [119] = 55,
  [120] = 54,
  [121] = 55,
  [122] = 54,
  [123] = 60,
  [124] = 60,
  [125] = 55,
  [126] = 54,
  [127] = 60,
  [128] = 55,
  [129] = 54,
  [130] = 60,
  [131] = 55,
  [132] = 54,
  [133] = 60,
  [134] = 55,
  [135] = 54,
  [136] = 60,
  [137] = 58,
  [138] = 55,
  [139] = 54,
  [140] = 60,
  [141] = 60,
  [142] = 54,
  [143] = 55,
  [144] = 55,
  [145] = 54,
  [146] = 58,
  [147] = 60,
  [148] = 60,
  [149] = 54,
  [150] = 55,
  [151] = 58,
  [152] = 54,
  [153] = 55,
  [154] = 60,
  [155] = 54,
  [156] = 55,
  [157] = 54,
  [158] = 60,
  [159] = 58,
  [160] = 55,
  [161] = 58,
  [162] = 58,
  [163] = 60,
  [164] = 60,
  [165] = 54,
  [166] = 55,
  [167] = 54,
  [168] = 54,
  [169] = 92,
  [170] = 53,
  [171] = 55,
  [172] = 58,
  [173] = 173,
  [174] = 60,
  [175] = 54,
  [176] = 55,
  [177] = 55,
  [178] = 54,
  [179] = 179,
  [180] = 60,
  [181] = 58,
  [182] = 55,
  [183] = 58,
  [184] = 60,
  [185] = 83,
  [186] = 60,
  [187] = 54,
  [188] = 55,
  [189] = 54,
  [190] = 58,
  [191] = 60,
  [192] = 58,
  [193] = 55,
  [194] = 55,
  [195] = 54,
  [196] = 60,
  [197] = 58,
  [198] = 58,
  [199] = 55,
  [200] = 58,
  [201] = 60,
  [202] = 55,
  [203] = 54,
  [204] = 60,
  [205] = 58,
  [206] = 54,
  [207] = 55,
  [208] = 60,
  [209] = 53,
  [210] = 60,
  [211] = 55,
  [212] = 54,
  [213] = 60,
  [214] = 58,
  [215] = 92,
  [216] = 55,
  [217] = 55,
  [218] = 54,
  [219] = 60,
  [220] = 60,
  [221] = 58,
  [222] = 54,
  [223] = 55,
  [224] = 54,
  [225] = 55,
  [226] = 58,
  [227] = 60,
  [228] = 54,
  [229] = 60,
  [230] = 54,
  [231] = 55,
  [232] = 58,
  [233] = 55,
  [234] = 54,
  [235] = 60,
  [236] = 116,
  [237] = 58,
  [238] = 58,
  [239] = 58,
  [240] = 55,
  [241] = 54,
  [242] = 60,
  [243] = 58,
  [244] = 55,
  [245] = 54,
  [246] = 60,
  [247] = 58,
  [248] = 55,
  [249] = 54,
  [250] = 60,
  [251] = 58,
  [252] = 55,
  [253] = 54,
  [254] = 60,
  [255] = 58,
  [256] = 55,
  [257] = 54,
  [258] = 60,
  [259] = 58,
  [260] = 55,
  [261] = 54,
  [262] = 60,
  [263] = 58,
  [264] = 55,
  [265] = 54,
  [266] = 60,
  [267] = 58,
  [268] = 55,
  [269] = 55,
  [270] = 60,
  [271] = 54,
  [272] = 272,
  [273] = 92,
  [274] = 58,
  [275] = 60,
  [276] = 54,
  [277] = 60,
  [278] = 278,
  [279] = 58,
  [280] = 92,
  [281] = 55,
  [282] = 58,
  [283] = 54,
  [284] = 60,
  [285] = 55,
  [286] = 54,
  [287] = 53,
  [288] = 60,
  [289] = 272,
  [290] = 54,
  [291] = 60,
  [292] = 55,
  [293] = 54,
  [294] = 55,
  [295] = 58,
  [296] = 55,
  [297] = 54,
  [298] = 60,
  [299] = 58,
  [300] = 54,
  [301] = 58,
  [302] = 58,
  [303] = 60,
  [304] = 60,
  [305] = 60,
  [306] = 54,
  [307] = 116,
  [308] = 55,
  [309] = 58,
  [310] = 54,
  [311] = 55,
  [312] = 55,
  [313] = 272,
  [314] = 54,
  [315] = 60,
  [316] = 58,
  [317] = 55,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 320,
  [323] = 319,
  [324] = 319,
  [325] = 325,
  [326] = 319,
  [327] = 319,
  [328] = 320,
  [329] = 321,
  [330] = 321,
  [331] = 331,
  [332] = 332,
  [333] = 331,
  [334] = 334,
  [335] = 331,
  [336] = 331,
  [337] = 331,
  [338] = 334,
  [339] = 334,
  [340] = 334,
  [341] = 334,
  [342] = 331,
  [343] = 334,
  [344] = 334,
  [345] = 331,
  [346] = 331,
  [347] = 334,
  [348] = 348,
  [349] = 349,
  [350] = 349,
  [351] = 351,
  [352] = 351,
  [353] = 349,
  [354] = 349,
  [355] = 349,
  [356] = 351,
  [357] = 351,
  [358] = 349,
  [359] = 351,
  [360] = 351,
  [361] = 351,
  [362] = 362,
  [363] = 363,
  [364] = 363,
  [365] = 362,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 367,
  [394] = 368,
  [395] = 395,
  [396] = 370,
  [397] = 397,
  [398] = 369,
  [399] = 366,
  [400] = 371,
  [401] = 381,
  [402] = 383,
  [403] = 376,
  [404] = 386,
  [405] = 373,
  [406] = 372,
  [407] = 388,
  [408] = 389,
  [409] = 385,
  [410] = 375,
  [411] = 374,
  [412] = 380,
  [413] = 382,
  [414] = 378,
  [415] = 379,
  [416] = 387,
  [417] = 390,
  [418] = 384,
  [419] = 377,
  [420] = 392,
  [421] = 391,
  [422] = 395,
  [423] = 397,
  [424] = 424,
  [425] = 424,
  [426] = 426,
  [427] = 427,
  [428] = 426,
  [429] = 427,
  [430] = 430,
  [431] = 426,
  [432] = 432,
  [433] = 426,
  [434] = 427,
  [435] = 435,
  [436] = 427,
  [437] = 426,
  [438] = 363,
  [439] = 426,
  [440] = 432,
  [441] = 427,
  [442] = 442,
  [443] = 443,
  [444] = 435,
  [445] = 362,
  [446] = 430,
  [447] = 427,
  [448] = 448,
  [449] = 362,
  [450] = 448,
  [451] = 443,
  [452] = 442,
  [453] = 363,
  [454] = 432,
  [455] = 435,
  [456] = 363,
  [457] = 430,
  [458] = 435,
  [459] = 430,
  [460] = 432,
  [461] = 362,
  [462] = 362,
  [463] = 463,
  [464] = 362,
  [465] = 465,
  [466] = 442,
  [467] = 467,
  [468] = 363,
  [469] = 363,
  [470] = 432,
  [471] = 443,
  [472] = 432,
  [473] = 430,
  [474] = 442,
  [475] = 435,
  [476] = 448,
  [477] = 435,
  [478] = 363,
  [479] = 443,
  [480] = 448,
  [481] = 362,
  [482] = 362,
  [483] = 483,
  [484] = 362,
  [485] = 442,
  [486] = 448,
  [487] = 487,
  [488] = 363,
  [489] = 362,
  [490] = 427,
  [491] = 363,
  [492] = 492,
  [493] = 363,
  [494] = 363,
  [495] = 463,
  [496] = 465,
  [497] = 443,
  [498] = 498,
  [499] = 467,
  [500] = 442,
  [501] = 443,
  [502] = 426,
  [503] = 362,
  [504] = 504,
  [505] = 505,
  [506] = 363,
  [507] = 507,
  [508] = 498,
  [509] = 504,
  [510] = 467,
  [511] = 463,
  [512] = 507,
  [513] = 507,
  [514] = 514,
  [515] = 507,
  [516] = 426,
  [517] = 465,
  [518] = 362,
  [519] = 519,
  [520] = 363,
  [521] = 363,
  [522] = 362,
  [523] = 487,
  [524] = 507,
  [525] = 463,
  [526] = 467,
  [527] = 465,
  [528] = 507,
  [529] = 519,
  [530] = 507,
  [531] = 507,
  [532] = 465,
  [533] = 514,
  [534] = 467,
  [535] = 492,
  [536] = 362,
  [537] = 427,
  [538] = 463,
  [539] = 505,
  [540] = 492,
  [541] = 432,
  [542] = 498,
  [543] = 487,
  [544] = 504,
  [545] = 463,
  [546] = 430,
  [547] = 435,
  [548] = 363,
  [549] = 463,
  [550] = 363,
  [551] = 551,
  [552] = 362,
  [553] = 505,
  [554] = 363,
  [555] = 465,
  [556] = 505,
  [557] = 362,
  [558] = 467,
  [559] = 504,
  [560] = 467,
  [561] = 465,
  [562] = 363,
  [563] = 505,
  [564] = 551,
  [565] = 551,
  [566] = 362,
  [567] = 551,
  [568] = 492,
  [569] = 498,
  [570] = 363,
  [571] = 362,
  [572] = 551,
  [573] = 492,
  [574] = 362,
  [575] = 551,
  [576] = 487,
  [577] = 551,
  [578] = 363,
  [579] = 362,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 498,
  [584] = 498,
  [585] = 448,
  [586] = 487,
  [587] = 487,
  [588] = 492,
  [589] = 505,
  [590] = 590,
  [591] = 442,
  [592] = 363,
  [593] = 362,
  [594] = 363,
  [595] = 467,
  [596] = 465,
  [597] = 465,
  [598] = 463,
  [599] = 581,
  [600] = 435,
  [601] = 430,
  [602] = 362,
  [603] = 362,
  [604] = 363,
  [605] = 492,
  [606] = 463,
  [607] = 467,
  [608] = 505,
  [609] = 504,
  [610] = 590,
  [611] = 582,
  [612] = 443,
  [613] = 363,
  [614] = 362,
  [615] = 362,
  [616] = 363,
  [617] = 432,
  [618] = 580,
  [619] = 362,
  [620] = 483,
  [621] = 492,
  [622] = 363,
  [623] = 363,
  [624] = 362,
  [625] = 465,
  [626] = 362,
  [627] = 362,
  [628] = 467,
  [629] = 463,
  [630] = 492,
  [631] = 483,
  [632] = 505,
  [633] = 363,
  [634] = 362,
  [635] = 362,
  [636] = 363,
  [637] = 448,
  [638] = 443,
  [639] = 363,
  [640] = 505,
  [641] = 514,
  [642] = 363,
  [643] = 442,
  [644] = 362,
  [645] = 363,
  [646] = 519,
  [647] = 467,
  [648] = 465,
  [649] = 492,
  [650] = 650,
  [651] = 465,
  [652] = 463,
  [653] = 650,
  [654] = 369,
  [655] = 467,
  [656] = 514,
  [657] = 363,
  [658] = 362,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 370,
  [663] = 505,
  [664] = 367,
  [665] = 665,
  [666] = 659,
  [667] = 368,
  [668] = 362,
  [669] = 362,
  [670] = 363,
  [671] = 467,
  [672] = 363,
  [673] = 673,
  [674] = 674,
  [675] = 659,
  [676] = 659,
  [677] = 505,
  [678] = 463,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 519,
  [683] = 650,
  [684] = 492,
  [685] = 465,
  [686] = 650,
  [687] = 487,
  [688] = 389,
  [689] = 661,
  [690] = 383,
  [691] = 384,
  [692] = 376,
  [693] = 681,
  [694] = 694,
  [695] = 374,
  [696] = 373,
  [697] = 463,
  [698] = 387,
  [699] = 372,
  [700] = 505,
  [701] = 673,
  [702] = 370,
  [703] = 388,
  [704] = 370,
  [705] = 705,
  [706] = 362,
  [707] = 467,
  [708] = 465,
  [709] = 363,
  [710] = 504,
  [711] = 367,
  [712] = 380,
  [713] = 660,
  [714] = 680,
  [715] = 375,
  [716] = 492,
  [717] = 362,
  [718] = 363,
  [719] = 378,
  [720] = 720,
  [721] = 492,
  [722] = 722,
  [723] = 368,
  [724] = 390,
  [725] = 498,
  [726] = 726,
  [727] = 727,
  [728] = 679,
  [729] = 729,
  [730] = 385,
  [731] = 381,
  [732] = 674,
  [733] = 377,
  [734] = 734,
  [735] = 382,
  [736] = 368,
  [737] = 379,
  [738] = 369,
  [739] = 369,
  [740] = 386,
  [741] = 505,
  [742] = 372,
  [743] = 374,
  [744] = 679,
  [745] = 498,
  [746] = 465,
  [747] = 370,
  [748] = 467,
  [749] = 467,
  [750] = 363,
  [751] = 681,
  [752] = 373,
  [753] = 387,
  [754] = 722,
  [755] = 673,
  [756] = 368,
  [757] = 757,
  [758] = 758,
  [759] = 758,
  [760] = 720,
  [761] = 726,
  [762] = 385,
  [763] = 363,
  [764] = 729,
  [765] = 660,
  [766] = 465,
  [767] = 362,
  [768] = 727,
  [769] = 384,
  [770] = 380,
  [771] = 389,
  [772] = 463,
  [773] = 370,
  [774] = 492,
  [775] = 382,
  [776] = 660,
  [777] = 505,
  [778] = 362,
  [779] = 673,
  [780] = 370,
  [781] = 734,
  [782] = 674,
  [783] = 504,
  [784] = 463,
  [785] = 375,
  [786] = 681,
  [787] = 487,
  [788] = 758,
  [789] = 661,
  [790] = 368,
  [791] = 390,
  [792] = 680,
  [793] = 378,
  [794] = 379,
  [795] = 386,
  [796] = 388,
  [797] = 369,
  [798] = 369,
  [799] = 377,
  [800] = 381,
  [801] = 705,
  [802] = 679,
  [803] = 758,
  [804] = 368,
  [805] = 376,
  [806] = 758,
  [807] = 383,
  [808] = 694,
  [809] = 367,
  [810] = 391,
  [811] = 680,
  [812] = 758,
  [813] = 674,
  [814] = 758,
  [815] = 661,
  [816] = 758,
  [817] = 369,
  [818] = 367,
  [819] = 381,
  [820] = 820,
  [821] = 821,
  [822] = 368,
  [823] = 381,
  [824] = 385,
  [825] = 384,
  [826] = 363,
  [827] = 757,
  [828] = 383,
  [829] = 829,
  [830] = 386,
  [831] = 387,
  [832] = 694,
  [833] = 705,
  [834] = 369,
  [835] = 729,
  [836] = 376,
  [837] = 467,
  [838] = 821,
  [839] = 388,
  [840] = 734,
  [841] = 367,
  [842] = 720,
  [843] = 722,
  [844] = 505,
  [845] = 492,
  [846] = 379,
  [847] = 465,
  [848] = 681,
  [849] = 397,
  [850] = 370,
  [851] = 368,
  [852] = 369,
  [853] = 386,
  [854] = 387,
  [855] = 679,
  [856] = 362,
  [857] = 820,
  [858] = 829,
  [859] = 463,
  [860] = 363,
  [861] = 362,
  [862] = 862,
  [863] = 863,
  [864] = 369,
  [865] = 362,
  [866] = 377,
  [867] = 867,
  [868] = 368,
  [869] = 390,
  [870] = 367,
  [871] = 370,
  [872] = 821,
  [873] = 385,
  [874] = 874,
  [875] = 729,
  [876] = 876,
  [877] = 370,
  [878] = 734,
  [879] = 722,
  [880] = 880,
  [881] = 661,
  [882] = 660,
  [883] = 722,
  [884] = 720,
  [885] = 369,
  [886] = 368,
  [887] = 375,
  [888] = 374,
  [889] = 370,
  [890] = 362,
  [891] = 363,
  [892] = 380,
  [893] = 382,
  [894] = 370,
  [895] = 705,
  [896] = 369,
  [897] = 694,
  [898] = 378,
  [899] = 379,
  [900] = 679,
  [901] = 383,
  [902] = 384,
  [903] = 376,
  [904] = 727,
  [905] = 905,
  [906] = 726,
  [907] = 377,
  [908] = 660,
  [909] = 909,
  [910] = 727,
  [911] = 505,
  [912] = 726,
  [913] = 375,
  [914] = 492,
  [915] = 374,
  [916] = 916,
  [917] = 363,
  [918] = 918,
  [919] = 391,
  [920] = 373,
  [921] = 921,
  [922] = 362,
  [923] = 388,
  [924] = 681,
  [925] = 674,
  [926] = 720,
  [927] = 368,
  [928] = 705,
  [929] = 380,
  [930] = 694,
  [931] = 931,
  [932] = 382,
  [933] = 680,
  [934] = 372,
  [935] = 673,
  [936] = 372,
  [937] = 378,
  [938] = 389,
  [939] = 390,
  [940] = 389,
  [941] = 363,
  [942] = 373,
  [943] = 943,
  [944] = 368,
  [945] = 931,
  [946] = 918,
  [947] = 916,
  [948] = 757,
  [949] = 373,
  [950] = 362,
  [951] = 867,
  [952] = 369,
  [953] = 376,
  [954] = 384,
  [955] = 383,
  [956] = 368,
  [957] = 362,
  [958] = 374,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 363,
  [963] = 367,
  [964] = 820,
  [965] = 369,
  [966] = 368,
  [967] = 967,
  [968] = 829,
  [969] = 909,
  [970] = 373,
  [971] = 369,
  [972] = 362,
  [973] = 363,
  [974] = 363,
  [975] = 362,
  [976] = 829,
  [977] = 977,
  [978] = 376,
  [979] = 979,
  [980] = 384,
  [981] = 383,
  [982] = 982,
  [983] = 820,
  [984] = 362,
  [985] = 757,
  [986] = 363,
  [987] = 391,
  [988] = 874,
  [989] = 734,
  [990] = 368,
  [991] = 729,
  [992] = 391,
  [993] = 374,
  [994] = 397,
  [995] = 367,
  [996] = 387,
  [997] = 363,
  [998] = 876,
  [999] = 386,
  [1000] = 370,
  [1001] = 694,
  [1002] = 862,
  [1003] = 380,
  [1004] = 705,
  [1005] = 726,
  [1006] = 720,
  [1007] = 381,
  [1008] = 722,
  [1009] = 370,
  [1010] = 372,
  [1011] = 863,
  [1012] = 375,
  [1013] = 370,
  [1014] = 388,
  [1015] = 694,
  [1016] = 379,
  [1017] = 505,
  [1018] = 492,
  [1019] = 705,
  [1020] = 389,
  [1021] = 381,
  [1022] = 720,
  [1023] = 722,
  [1024] = 385,
  [1025] = 375,
  [1026] = 363,
  [1027] = 362,
  [1028] = 880,
  [1029] = 378,
  [1030] = 727,
  [1031] = 380,
  [1032] = 382,
  [1033] = 372,
  [1034] = 390,
  [1035] = 385,
  [1036] = 378,
  [1037] = 362,
  [1038] = 379,
  [1039] = 363,
  [1040] = 367,
  [1041] = 387,
  [1042] = 386,
  [1043] = 370,
  [1044] = 389,
  [1045] = 388,
  [1046] = 377,
  [1047] = 377,
  [1048] = 390,
  [1049] = 905,
  [1050] = 369,
  [1051] = 382,
  [1052] = 377,
  [1053] = 880,
  [1054] = 368,
  [1055] = 874,
  [1056] = 390,
  [1057] = 959,
  [1058] = 370,
  [1059] = 387,
  [1060] = 386,
  [1061] = 367,
  [1062] = 373,
  [1063] = 367,
  [1064] = 369,
  [1065] = 382,
  [1066] = 372,
  [1067] = 829,
  [1068] = 368,
  [1069] = 694,
  [1070] = 388,
  [1071] = 367,
  [1072] = 374,
  [1073] = 820,
  [1074] = 829,
  [1075] = 374,
  [1076] = 368,
  [1077] = 391,
  [1078] = 382,
  [1079] = 1079,
  [1080] = 967,
  [1081] = 880,
  [1082] = 820,
  [1083] = 829,
  [1084] = 1084,
  [1085] = 368,
  [1086] = 722,
  [1087] = 720,
  [1088] = 373,
  [1089] = 1089,
  [1090] = 862,
  [1091] = 876,
  [1092] = 369,
  [1093] = 367,
  [1094] = 379,
  [1095] = 368,
  [1096] = 1089,
  [1097] = 905,
  [1098] = 377,
  [1099] = 378,
  [1100] = 369,
  [1101] = 373,
  [1102] = 367,
  [1103] = 380,
  [1104] = 390,
  [1105] = 370,
  [1106] = 369,
  [1107] = 385,
  [1108] = 909,
  [1109] = 905,
  [1110] = 867,
  [1111] = 368,
  [1112] = 377,
  [1113] = 380,
  [1114] = 369,
  [1115] = 390,
  [1116] = 820,
  [1117] = 722,
  [1118] = 720,
  [1119] = 389,
  [1120] = 386,
  [1121] = 387,
  [1122] = 909,
  [1123] = 374,
  [1124] = 379,
  [1125] = 367,
  [1126] = 862,
  [1127] = 397,
  [1128] = 820,
  [1129] = 378,
  [1130] = 880,
  [1131] = 375,
  [1132] = 829,
  [1133] = 397,
  [1134] = 918,
  [1135] = 381,
  [1136] = 916,
  [1137] = 705,
  [1138] = 905,
  [1139] = 694,
  [1140] = 391,
  [1141] = 931,
  [1142] = 369,
  [1143] = 388,
  [1144] = 370,
  [1145] = 382,
  [1146] = 863,
  [1147] = 982,
  [1148] = 867,
  [1149] = 376,
  [1150] = 370,
  [1151] = 384,
  [1152] = 383,
  [1153] = 376,
  [1154] = 384,
  [1155] = 863,
  [1156] = 916,
  [1157] = 383,
  [1158] = 918,
  [1159] = 943,
  [1160] = 362,
  [1161] = 363,
  [1162] = 1162,
  [1163] = 386,
  [1164] = 387,
  [1165] = 705,
  [1166] = 1166,
  [1167] = 372,
  [1168] = 874,
  [1169] = 378,
  [1170] = 381,
  [1171] = 375,
  [1172] = 379,
  [1173] = 370,
  [1174] = 876,
  [1175] = 874,
  [1176] = 931,
  [1177] = 370,
  [1178] = 979,
  [1179] = 977,
  [1180] = 389,
  [1181] = 383,
  [1182] = 384,
  [1183] = 376,
  [1184] = 961,
  [1185] = 960,
  [1186] = 876,
  [1187] = 388,
  [1188] = 375,
  [1189] = 389,
  [1190] = 385,
  [1191] = 372,
  [1192] = 380,
  [1193] = 385,
  [1194] = 381,
  [1195] = 378,
  [1196] = 377,
  [1197] = 367,
  [1198] = 385,
  [1199] = 391,
  [1200] = 960,
  [1201] = 367,
  [1202] = 1089,
  [1203] = 377,
  [1204] = 389,
  [1205] = 390,
  [1206] = 372,
  [1207] = 388,
  [1208] = 373,
  [1209] = 391,
  [1210] = 391,
  [1211] = 388,
  [1212] = 1212,
  [1213] = 374,
  [1214] = 380,
  [1215] = 368,
  [1216] = 679,
  [1217] = 1162,
  [1218] = 960,
  [1219] = 961,
  [1220] = 372,
  [1221] = 390,
  [1222] = 370,
  [1223] = 369,
  [1224] = 368,
  [1225] = 674,
  [1226] = 905,
  [1227] = 379,
  [1228] = 378,
  [1229] = 373,
  [1230] = 377,
  [1231] = 369,
  [1232] = 370,
  [1233] = 390,
  [1234] = 379,
  [1235] = 390,
  [1236] = 660,
  [1237] = 378,
  [1238] = 380,
  [1239] = 389,
  [1240] = 370,
  [1241] = 368,
  [1242] = 369,
  [1243] = 370,
  [1244] = 368,
  [1245] = 369,
  [1246] = 374,
  [1247] = 389,
  [1248] = 372,
  [1249] = 372,
  [1250] = 673,
  [1251] = 377,
  [1252] = 376,
  [1253] = 384,
  [1254] = 372,
  [1255] = 373,
  [1256] = 374,
  [1257] = 383,
  [1258] = 381,
  [1259] = 385,
  [1260] = 388,
  [1261] = 386,
  [1262] = 375,
  [1263] = 370,
  [1264] = 387,
  [1265] = 1265,
  [1266] = 388,
  [1267] = 367,
  [1268] = 376,
  [1269] = 384,
  [1270] = 383,
  [1271] = 967,
  [1272] = 820,
  [1273] = 1089,
  [1274] = 379,
  [1275] = 397,
  [1276] = 829,
  [1277] = 382,
  [1278] = 370,
  [1279] = 1265,
  [1280] = 375,
  [1281] = 880,
  [1282] = 374,
  [1283] = 373,
  [1284] = 380,
  [1285] = 382,
  [1286] = 374,
  [1287] = 378,
  [1288] = 379,
  [1289] = 982,
  [1290] = 959,
  [1291] = 380,
  [1292] = 943,
  [1293] = 820,
  [1294] = 385,
  [1295] = 373,
  [1296] = 829,
  [1297] = 722,
  [1298] = 376,
  [1299] = 381,
  [1300] = 384,
  [1301] = 385,
  [1302] = 720,
  [1303] = 383,
  [1304] = 862,
  [1305] = 943,
  [1306] = 368,
  [1307] = 705,
  [1308] = 694,
  [1309] = 863,
  [1310] = 379,
  [1311] = 378,
  [1312] = 382,
  [1313] = 380,
  [1314] = 977,
  [1315] = 374,
  [1316] = 375,
  [1317] = 916,
  [1318] = 918,
  [1319] = 876,
  [1320] = 874,
  [1321] = 967,
  [1322] = 386,
  [1323] = 368,
  [1324] = 979,
  [1325] = 977,
  [1326] = 387,
  [1327] = 389,
  [1328] = 389,
  [1329] = 465,
  [1330] = 1330,
  [1331] = 397,
  [1332] = 959,
  [1333] = 467,
  [1334] = 1334,
  [1335] = 979,
  [1336] = 387,
  [1337] = 1265,
  [1338] = 369,
  [1339] = 375,
  [1340] = 386,
  [1341] = 1341,
  [1342] = 381,
  [1343] = 390,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 681,
  [1347] = 372,
  [1348] = 1348,
  [1349] = 377,
  [1350] = 982,
  [1351] = 387,
  [1352] = 386,
  [1353] = 382,
  [1354] = 874,
  [1355] = 876,
  [1356] = 1341,
  [1357] = 387,
  [1358] = 386,
  [1359] = 1265,
  [1360] = 381,
  [1361] = 376,
  [1362] = 384,
  [1363] = 388,
  [1364] = 383,
  [1365] = 375,
  [1366] = 381,
  [1367] = 386,
  [1368] = 389,
  [1369] = 463,
  [1370] = 385,
  [1371] = 387,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 383,
  [1375] = 1265,
  [1376] = 961,
  [1377] = 1348,
  [1378] = 1265,
  [1379] = 1345,
  [1380] = 390,
  [1381] = 1265,
  [1382] = 380,
  [1383] = 384,
  [1384] = 1384,
  [1385] = 388,
  [1386] = 1079,
  [1387] = 959,
  [1388] = 382,
  [1389] = 377,
  [1390] = 376,
  [1391] = 384,
  [1392] = 1166,
  [1393] = 383,
  [1394] = 1084,
  [1395] = 381,
  [1396] = 375,
  [1397] = 1397,
  [1398] = 382,
  [1399] = 967,
  [1400] = 385,
  [1401] = 376,
  [1402] = 369,
  [1403] = 378,
  [1404] = 373,
  [1405] = 379,
  [1406] = 1406,
  [1407] = 876,
  [1408] = 874,
  [1409] = 380,
  [1410] = 463,
  [1411] = 374,
  [1412] = 880,
  [1413] = 1334,
  [1414] = 1089,
  [1415] = 391,
  [1416] = 1212,
  [1417] = 1417,
  [1418] = 1330,
  [1419] = 1417,
  [1420] = 1162,
  [1421] = 960,
  [1422] = 1089,
  [1423] = 660,
  [1424] = 1417,
  [1425] = 385,
  [1426] = 378,
  [1427] = 380,
  [1428] = 379,
  [1429] = 381,
  [1430] = 1084,
  [1431] = 385,
  [1432] = 389,
  [1433] = 1084,
  [1434] = 370,
  [1435] = 373,
  [1436] = 375,
  [1437] = 381,
  [1438] = 389,
  [1439] = 1417,
  [1440] = 1345,
  [1441] = 880,
  [1442] = 1384,
  [1443] = 467,
  [1444] = 391,
  [1445] = 1397,
  [1446] = 1406,
  [1447] = 505,
  [1448] = 369,
  [1449] = 734,
  [1450] = 492,
  [1451] = 382,
  [1452] = 368,
  [1453] = 961,
  [1454] = 367,
  [1455] = 379,
  [1456] = 391,
  [1457] = 1348,
  [1458] = 729,
  [1459] = 378,
  [1460] = 1341,
  [1461] = 1344,
  [1462] = 374,
  [1463] = 369,
  [1464] = 383,
  [1465] = 384,
  [1466] = 373,
  [1467] = 375,
  [1468] = 376,
  [1469] = 465,
  [1470] = 967,
  [1471] = 722,
  [1472] = 720,
  [1473] = 705,
  [1474] = 362,
  [1475] = 390,
  [1476] = 381,
  [1477] = 387,
  [1478] = 386,
  [1479] = 372,
  [1480] = 389,
  [1481] = 372,
  [1482] = 377,
  [1483] = 1417,
  [1484] = 1089,
  [1485] = 370,
  [1486] = 681,
  [1487] = 674,
  [1488] = 673,
  [1489] = 390,
  [1490] = 388,
  [1491] = 1406,
  [1492] = 391,
  [1493] = 368,
  [1494] = 369,
  [1495] = 397,
  [1496] = 1089,
  [1497] = 368,
  [1498] = 369,
  [1499] = 905,
  [1500] = 370,
  [1501] = 369,
  [1502] = 368,
  [1503] = 370,
  [1504] = 373,
  [1505] = 874,
  [1506] = 383,
  [1507] = 384,
  [1508] = 727,
  [1509] = 726,
  [1510] = 876,
  [1511] = 370,
  [1512] = 959,
  [1513] = 377,
  [1514] = 376,
  [1515] = 1079,
  [1516] = 390,
  [1517] = 376,
  [1518] = 379,
  [1519] = 378,
  [1520] = 382,
  [1521] = 694,
  [1522] = 377,
  [1523] = 679,
  [1524] = 1162,
  [1525] = 380,
  [1526] = 374,
  [1527] = 363,
  [1528] = 367,
  [1529] = 375,
  [1530] = 391,
  [1531] = 1417,
  [1532] = 397,
  [1533] = 384,
  [1534] = 397,
  [1535] = 382,
  [1536] = 679,
  [1537] = 383,
  [1538] = 368,
  [1539] = 1345,
  [1540] = 387,
  [1541] = 905,
  [1542] = 1166,
  [1543] = 372,
  [1544] = 386,
  [1545] = 1166,
  [1546] = 1348,
  [1547] = 1079,
  [1548] = 1341,
  [1549] = 1162,
  [1550] = 1417,
  [1551] = 388,
  [1552] = 391,
  [1553] = 387,
  [1554] = 388,
  [1555] = 385,
  [1556] = 386,
  [1557] = 367,
  [1558] = 1341,
  [1559] = 1559,
  [1560] = 1559,
  [1561] = 389,
  [1562] = 1559,
  [1563] = 387,
  [1564] = 1559,
  [1565] = 1565,
  [1566] = 1559,
  [1567] = 397,
  [1568] = 1559,
  [1569] = 368,
  [1570] = 387,
  [1571] = 1559,
  [1572] = 386,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1575,
  [1576] = 1397,
  [1577] = 1212,
  [1578] = 1578,
  [1579] = 390,
  [1580] = 1397,
  [1581] = 379,
  [1582] = 1559,
  [1583] = 378,
  [1584] = 959,
  [1585] = 382,
  [1586] = 1559,
  [1587] = 1559,
  [1588] = 375,
  [1589] = 1573,
  [1590] = 1559,
  [1591] = 391,
  [1592] = 1559,
  [1593] = 388,
  [1594] = 397,
  [1595] = 1559,
  [1596] = 368,
  [1597] = 369,
  [1598] = 1575,
  [1599] = 1574,
  [1600] = 1600,
  [1601] = 1573,
  [1602] = 1573,
  [1603] = 1344,
  [1604] = 1604,
  [1605] = 1345,
  [1606] = 381,
  [1607] = 1559,
  [1608] = 1559,
  [1609] = 1609,
  [1610] = 372,
  [1611] = 1604,
  [1612] = 1559,
  [1613] = 1348,
  [1614] = 1614,
  [1615] = 370,
  [1616] = 1559,
  [1617] = 492,
  [1618] = 1618,
  [1619] = 1609,
  [1620] = 1559,
  [1621] = 1559,
  [1622] = 388,
  [1623] = 1573,
  [1624] = 1559,
  [1625] = 1625,
  [1626] = 1559,
  [1627] = 1559,
  [1628] = 1578,
  [1629] = 1212,
  [1630] = 1559,
  [1631] = 1330,
  [1632] = 1618,
  [1633] = 1609,
  [1634] = 1600,
  [1635] = 1574,
  [1636] = 1575,
  [1637] = 1344,
  [1638] = 1638,
  [1639] = 505,
  [1640] = 1559,
  [1641] = 876,
  [1642] = 1559,
  [1643] = 1574,
  [1644] = 1559,
  [1645] = 1618,
  [1646] = 1341,
  [1647] = 1559,
  [1648] = 1648,
  [1649] = 1345,
  [1650] = 1384,
  [1651] = 1559,
  [1652] = 1652,
  [1653] = 1341,
  [1654] = 1600,
  [1655] = 959,
  [1656] = 377,
  [1657] = 1559,
  [1658] = 397,
  [1659] = 1559,
  [1660] = 874,
  [1661] = 1575,
  [1662] = 1575,
  [1663] = 1604,
  [1664] = 1574,
  [1665] = 1625,
  [1666] = 1638,
  [1667] = 369,
  [1668] = 1668,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1573,
  [1675] = 1652,
  [1676] = 1648,
  [1677] = 1614,
  [1678] = 1565,
  [1679] = 1679,
  [1680] = 1573,
  [1681] = 382,
  [1682] = 1574,
  [1683] = 1559,
  [1684] = 1600,
  [1685] = 1673,
  [1686] = 1575,
  [1687] = 383,
  [1688] = 384,
  [1689] = 1618,
  [1690] = 391,
  [1691] = 376,
  [1692] = 1559,
  [1693] = 1609,
  [1694] = 1348,
  [1695] = 1600,
  [1696] = 1559,
  [1697] = 1384,
  [1698] = 377,
  [1699] = 1578,
  [1700] = 386,
  [1701] = 376,
  [1702] = 1348,
  [1703] = 384,
  [1704] = 383,
  [1705] = 694,
  [1706] = 705,
  [1707] = 391,
  [1708] = 1672,
  [1709] = 1559,
  [1710] = 377,
  [1711] = 385,
  [1712] = 1559,
  [1713] = 720,
  [1714] = 397,
  [1715] = 1559,
  [1716] = 722,
  [1717] = 1671,
  [1718] = 372,
  [1719] = 1679,
  [1720] = 386,
  [1721] = 390,
  [1722] = 387,
  [1723] = 1618,
  [1724] = 1559,
  [1725] = 1559,
  [1726] = 374,
  [1727] = 734,
  [1728] = 1345,
  [1729] = 1609,
  [1730] = 380,
  [1731] = 1600,
  [1732] = 1668,
  [1733] = 1559,
  [1734] = 382,
  [1735] = 1578,
  [1736] = 1670,
  [1737] = 1600,
  [1738] = 729,
  [1739] = 1348,
  [1740] = 1679,
  [1741] = 1638,
  [1742] = 1330,
  [1743] = 1559,
  [1744] = 1565,
  [1745] = 373,
  [1746] = 1614,
  [1747] = 1559,
  [1748] = 1334,
  [1749] = 370,
  [1750] = 1648,
  [1751] = 1559,
  [1752] = 1559,
  [1753] = 1334,
  [1754] = 1652,
  [1755] = 1559,
  [1756] = 376,
  [1757] = 397,
  [1758] = 384,
  [1759] = 1559,
  [1760] = 383,
  [1761] = 967,
  [1762] = 1345,
  [1763] = 1618,
  [1764] = 1559,
  [1765] = 726,
  [1766] = 1673,
  [1767] = 727,
  [1768] = 1672,
  [1769] = 1162,
  [1770] = 1679,
  [1771] = 1671,
  [1772] = 381,
  [1773] = 375,
  [1774] = 1578,
  [1775] = 378,
  [1776] = 379,
  [1777] = 1578,
  [1778] = 362,
  [1779] = 1559,
  [1780] = 1559,
  [1781] = 967,
  [1782] = 389,
  [1783] = 1669,
  [1784] = 1578,
  [1785] = 363,
  [1786] = 1668,
  [1787] = 1559,
  [1788] = 1638,
  [1789] = 1341,
  [1790] = 1559,
  [1791] = 1625,
  [1792] = 1559,
  [1793] = 1638,
  [1794] = 1625,
  [1795] = 390,
  [1796] = 385,
  [1797] = 1559,
  [1798] = 397,
  [1799] = 1565,
  [1800] = 1669,
  [1801] = 1559,
  [1802] = 374,
  [1803] = 1668,
  [1804] = 381,
  [1805] = 380,
  [1806] = 1559,
  [1807] = 1559,
  [1808] = 1670,
  [1809] = 1669,
  [1810] = 1559,
  [1811] = 1614,
  [1812] = 1574,
  [1813] = 373,
  [1814] = 1679,
  [1815] = 372,
  [1816] = 1679,
  [1817] = 1625,
  [1818] = 1638,
  [1819] = 1669,
  [1820] = 1670,
  [1821] = 375,
  [1822] = 1559,
  [1823] = 1671,
  [1824] = 1672,
  [1825] = 1559,
  [1826] = 1673,
  [1827] = 1648,
  [1828] = 1559,
  [1829] = 1565,
  [1830] = 1652,
  [1831] = 1652,
  [1832] = 378,
  [1833] = 379,
  [1834] = 1559,
  [1835] = 1648,
  [1836] = 1614,
  [1837] = 389,
  [1838] = 1648,
  [1839] = 1614,
  [1840] = 1565,
  [1841] = 385,
  [1842] = 1559,
  [1843] = 1652,
  [1844] = 1673,
  [1845] = 388,
  [1846] = 1625,
  [1847] = 1638,
  [1848] = 1668,
  [1849] = 1669,
  [1850] = 1670,
  [1851] = 1671,
  [1852] = 1672,
  [1853] = 1673,
  [1854] = 1672,
  [1855] = 1652,
  [1856] = 1648,
  [1857] = 1614,
  [1858] = 1565,
  [1859] = 1679,
  [1860] = 1671,
  [1861] = 374,
  [1862] = 1670,
  [1863] = 1669,
  [1864] = 1668,
  [1865] = 1559,
  [1866] = 380,
  [1867] = 373,
  [1868] = 1673,
  [1869] = 1672,
  [1870] = 1559,
  [1871] = 1671,
  [1872] = 1575,
  [1873] = 1625,
  [1874] = 1670,
  [1875] = 829,
  [1876] = 370,
  [1877] = 375,
  [1878] = 918,
  [1879] = 722,
  [1880] = 367,
  [1881] = 720,
  [1882] = 397,
  [1883] = 874,
  [1884] = 876,
  [1885] = 374,
  [1886] = 820,
  [1887] = 397,
  [1888] = 862,
  [1889] = 916,
  [1890] = 1344,
  [1891] = 397,
  [1892] = 380,
  [1893] = 874,
  [1894] = 378,
  [1895] = 391,
  [1896] = 876,
  [1897] = 829,
  [1898] = 368,
  [1899] = 820,
  [1900] = 1397,
  [1901] = 373,
  [1902] = 705,
  [1903] = 376,
  [1904] = 379,
  [1905] = 369,
  [1906] = 384,
  [1907] = 368,
  [1908] = 383,
  [1909] = 381,
  [1910] = 1162,
  [1911] = 385,
  [1912] = 369,
  [1913] = 367,
  [1914] = 389,
  [1915] = 863,
  [1916] = 694,
  [1917] = 391,
  [1918] = 694,
  [1919] = 370,
  [1920] = 863,
  [1921] = 705,
  [1922] = 368,
  [1923] = 1162,
  [1924] = 722,
  [1925] = 369,
  [1926] = 720,
  [1927] = 862,
  [1928] = 757,
  [1929] = 391,
  [1930] = 370,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 720,
  [1934] = 909,
  [1935] = 1935,
  [1936] = 370,
  [1937] = 374,
  [1938] = 368,
  [1939] = 1939,
  [1940] = 370,
  [1941] = 380,
  [1942] = 373,
  [1943] = 397,
  [1944] = 1939,
  [1945] = 931,
  [1946] = 705,
  [1947] = 694,
  [1948] = 390,
  [1949] = 1949,
  [1950] = 369,
  [1951] = 722,
  [1952] = 876,
  [1953] = 874,
  [1954] = 385,
  [1955] = 867,
  [1956] = 960,
  [1957] = 370,
  [1958] = 372,
  [1959] = 1939,
  [1960] = 388,
  [1961] = 961,
  [1962] = 1962,
  [1963] = 381,
  [1964] = 382,
  [1965] = 862,
  [1966] = 1935,
  [1967] = 387,
  [1968] = 367,
  [1969] = 370,
  [1970] = 386,
  [1971] = 397,
  [1972] = 1962,
  [1973] = 916,
  [1974] = 389,
  [1975] = 370,
  [1976] = 370,
  [1977] = 829,
  [1978] = 370,
  [1979] = 820,
  [1980] = 377,
  [1981] = 372,
  [1982] = 388,
  [1983] = 379,
  [1984] = 378,
  [1985] = 880,
  [1986] = 368,
  [1987] = 382,
  [1988] = 383,
  [1989] = 397,
  [1990] = 384,
  [1991] = 863,
  [1992] = 377,
  [1993] = 918,
  [1994] = 390,
  [1995] = 376,
  [1996] = 829,
  [1997] = 367,
  [1998] = 905,
  [1999] = 1949,
  [2000] = 820,
  [2001] = 1962,
  [2002] = 1935,
  [2003] = 386,
  [2004] = 369,
  [2005] = 387,
  [2006] = 369,
  [2007] = 368,
  [2008] = 1949,
  [2009] = 370,
  [2010] = 370,
  [2011] = 375,
  [2012] = 2012,
  [2013] = 381,
  [2014] = 389,
  [2015] = 2015,
  [2016] = 377,
  [2017] = 374,
  [2018] = 874,
  [2019] = 961,
  [2020] = 369,
  [2021] = 960,
  [2022] = 382,
  [2023] = 876,
  [2024] = 368,
  [2025] = 390,
  [2026] = 370,
  [2027] = 959,
  [2028] = 368,
  [2029] = 386,
  [2030] = 368,
  [2031] = 373,
  [2032] = 369,
  [2033] = 370,
  [2034] = 391,
  [2035] = 967,
  [2036] = 368,
  [2037] = 389,
  [2038] = 369,
  [2039] = 381,
  [2040] = 385,
  [2041] = 391,
  [2042] = 387,
  [2043] = 368,
  [2044] = 386,
  [2045] = 367,
  [2046] = 388,
  [2047] = 2012,
  [2048] = 372,
  [2049] = 367,
  [2050] = 977,
  [2051] = 880,
  [2052] = 2012,
  [2053] = 2053,
  [2054] = 375,
  [2055] = 1084,
  [2056] = 369,
  [2057] = 377,
  [2058] = 385,
  [2059] = 874,
  [2060] = 378,
  [2061] = 387,
  [2062] = 2053,
  [2063] = 375,
  [2064] = 379,
  [2065] = 390,
  [2066] = 379,
  [2067] = 2015,
  [2068] = 369,
  [2069] = 378,
  [2070] = 368,
  [2071] = 368,
  [2072] = 389,
  [2073] = 979,
  [2074] = 367,
  [2075] = 388,
  [2076] = 369,
  [2077] = 382,
  [2078] = 368,
  [2079] = 391,
  [2080] = 368,
  [2081] = 383,
  [2082] = 370,
  [2083] = 943,
  [2084] = 384,
  [2085] = 376,
  [2086] = 2015,
  [2087] = 380,
  [2088] = 385,
  [2089] = 905,
  [2090] = 2012,
  [2091] = 375,
  [2092] = 367,
  [2093] = 1079,
  [2094] = 2094,
  [2095] = 374,
  [2096] = 2096,
  [2097] = 380,
  [2098] = 372,
  [2099] = 2096,
  [2100] = 2015,
  [2101] = 876,
  [2102] = 2015,
  [2103] = 376,
  [2104] = 1162,
  [2105] = 384,
  [2106] = 383,
  [2107] = 380,
  [2108] = 373,
  [2109] = 2053,
  [2110] = 2053,
  [2111] = 369,
  [2112] = 2053,
  [2113] = 369,
  [2114] = 1931,
  [2115] = 2012,
  [2116] = 2015,
  [2117] = 2053,
  [2118] = 2012,
  [2119] = 1932,
  [2120] = 369,
  [2121] = 381,
  [2122] = 383,
  [2123] = 384,
  [2124] = 376,
  [2125] = 370,
  [2126] = 375,
  [2127] = 373,
  [2128] = 391,
  [2129] = 2129,
  [2130] = 390,
  [2131] = 2131,
  [2132] = 377,
  [2133] = 381,
  [2134] = 386,
  [2135] = 387,
  [2136] = 382,
  [2137] = 1344,
  [2138] = 1384,
  [2139] = 1084,
  [2140] = 2096,
  [2141] = 397,
  [2142] = 391,
  [2143] = 1166,
  [2144] = 1079,
  [2145] = 372,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 375,
  [2149] = 385,
  [2150] = 1089,
  [2151] = 2151,
  [2152] = 389,
  [2153] = 2153,
  [2154] = 391,
  [2155] = 397,
  [2156] = 2053,
  [2157] = 380,
  [2158] = 376,
  [2159] = 382,
  [2160] = 384,
  [2161] = 383,
  [2162] = 370,
  [2163] = 376,
  [2164] = 384,
  [2165] = 383,
  [2166] = 367,
  [2167] = 368,
  [2168] = 369,
  [2169] = 381,
  [2170] = 381,
  [2171] = 2096,
  [2172] = 2096,
  [2173] = 382,
  [2174] = 1330,
  [2175] = 387,
  [2176] = 375,
  [2177] = 386,
  [2178] = 959,
  [2179] = 387,
  [2180] = 386,
  [2181] = 377,
  [2182] = 2182,
  [2183] = 369,
  [2184] = 368,
  [2185] = 383,
  [2186] = 378,
  [2187] = 379,
  [2188] = 384,
  [2189] = 376,
  [2190] = 375,
  [2191] = 377,
  [2192] = 378,
  [2193] = 379,
  [2194] = 1334,
  [2195] = 967,
  [2196] = 390,
  [2197] = 389,
  [2198] = 390,
  [2199] = 376,
  [2200] = 384,
  [2201] = 383,
  [2202] = 385,
  [2203] = 389,
  [2204] = 374,
  [2205] = 380,
  [2206] = 2206,
  [2207] = 1162,
  [2208] = 2208,
  [2209] = 388,
  [2210] = 385,
  [2211] = 373,
  [2212] = 2094,
  [2213] = 374,
  [2214] = 905,
  [2215] = 380,
  [2216] = 2216,
  [2217] = 382,
  [2218] = 373,
  [2219] = 373,
  [2220] = 376,
  [2221] = 384,
  [2222] = 397,
  [2223] = 381,
  [2224] = 380,
  [2225] = 374,
  [2226] = 375,
  [2227] = 378,
  [2228] = 379,
  [2229] = 876,
  [2230] = 874,
  [2231] = 880,
  [2232] = 389,
  [2233] = 372,
  [2234] = 385,
  [2235] = 385,
  [2236] = 387,
  [2237] = 386,
  [2238] = 383,
  [2239] = 388,
  [2240] = 388,
  [2241] = 2241,
  [2242] = 389,
  [2243] = 391,
  [2244] = 379,
  [2245] = 374,
  [2246] = 380,
  [2247] = 378,
  [2248] = 377,
  [2249] = 381,
  [2250] = 372,
  [2251] = 372,
  [2252] = 1089,
  [2253] = 388,
  [2254] = 391,
  [2255] = 390,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2257,
  [2259] = 381,
  [2260] = 385,
  [2261] = 375,
  [2262] = 2257,
  [2263] = 2094,
  [2264] = 1341,
  [2265] = 397,
  [2266] = 397,
  [2267] = 380,
  [2268] = 378,
  [2269] = 379,
  [2270] = 2257,
  [2271] = 374,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2257,
  [2276] = 2276,
  [2277] = 2277,
  [2278] = 2278,
  [2279] = 373,
  [2280] = 397,
  [2281] = 2257,
  [2282] = 2282,
  [2283] = 2257,
  [2284] = 383,
  [2285] = 2285,
  [2286] = 2286,
  [2287] = 384,
  [2288] = 2288,
  [2289] = 376,
  [2290] = 2290,
  [2291] = 2257,
  [2292] = 362,
  [2293] = 2257,
  [2294] = 363,
  [2295] = 1334,
  [2296] = 373,
  [2297] = 2257,
  [2298] = 1397,
  [2299] = 397,
  [2300] = 2257,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2257,
  [2304] = 1330,
  [2305] = 2305,
  [2306] = 2257,
  [2307] = 2257,
  [2308] = 1212,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 1162,
  [2313] = 391,
  [2314] = 2257,
  [2315] = 2257,
  [2316] = 389,
  [2317] = 2257,
  [2318] = 2257,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 967,
  [2322] = 1341,
  [2323] = 2323,
  [2324] = 2302,
  [2325] = 2257,
  [2326] = 2326,
  [2327] = 2241,
  [2328] = 2257,
  [2329] = 2257,
  [2330] = 2302,
  [2331] = 2331,
  [2332] = 2302,
  [2333] = 2257,
  [2334] = 2334,
  [2335] = 2257,
  [2336] = 2336,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2257,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 397,
  [2343] = 2302,
  [2344] = 372,
  [2345] = 1348,
  [2346] = 380,
  [2347] = 379,
  [2348] = 378,
  [2349] = 388,
  [2350] = 380,
  [2351] = 2351,
  [2352] = 1344,
  [2353] = 2257,
  [2354] = 2354,
  [2355] = 2208,
  [2356] = 2182,
  [2357] = 2257,
  [2358] = 2216,
  [2359] = 2257,
  [2360] = 2257,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 375,
  [2364] = 2257,
  [2365] = 390,
  [2366] = 2257,
  [2367] = 377,
  [2368] = 375,
  [2369] = 1345,
  [2370] = 2206,
  [2371] = 374,
  [2372] = 2372,
  [2373] = 959,
  [2374] = 382,
  [2375] = 2094,
  [2376] = 2302,
  [2377] = 386,
  [2378] = 387,
  [2379] = 2257,
  [2380] = 2257,
  [2381] = 2381,
  [2382] = 2382,
  [2383] = 2383,
  [2384] = 2384,
  [2385] = 2257,
  [2386] = 2257,
  [2387] = 2387,
  [2388] = 2257,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 385,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 376,
  [2399] = 384,
  [2400] = 383,
  [2401] = 389,
  [2402] = 376,
  [2403] = 384,
  [2404] = 383,
  [2405] = 381,
  [2406] = 385,
  [2407] = 2256,
  [2408] = 2257,
  [2409] = 1345,
  [2410] = 389,
  [2411] = 375,
  [2412] = 380,
  [2413] = 2257,
  [2414] = 2257,
  [2415] = 2257,
  [2416] = 1348,
  [2417] = 376,
  [2418] = 384,
  [2419] = 383,
  [2420] = 381,
  [2421] = 385,
  [2422] = 2422,
  [2423] = 2257,
  [2424] = 2257,
  [2425] = 2153,
  [2426] = 389,
  [2427] = 381,
  [2428] = 1384,
  [2429] = 2257,
  [2430] = 391,
  [2431] = 2257,
  [2432] = 2257,
  [2433] = 2257,
  [2434] = 2257,
  [2435] = 2257,
  [2436] = 2257,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2389,
  [2440] = 2440,
  [2441] = 2326,
  [2442] = 2323,
  [2443] = 2443,
  [2444] = 2391,
  [2445] = 2445,
  [2446] = 375,
  [2447] = 381,
  [2448] = 2151,
  [2449] = 2153,
  [2450] = 2392,
  [2451] = 2383,
  [2452] = 2393,
  [2453] = 2397,
  [2454] = 2396,
  [2455] = 2396,
  [2456] = 2394,
  [2457] = 397,
  [2458] = 2182,
  [2459] = 2390,
  [2460] = 2208,
  [2461] = 2461,
  [2462] = 2334,
  [2463] = 383,
  [2464] = 384,
  [2465] = 376,
  [2466] = 2372,
  [2467] = 2241,
  [2468] = 385,
  [2469] = 378,
  [2470] = 379,
  [2471] = 2445,
  [2472] = 2216,
  [2473] = 2372,
  [2474] = 2276,
  [2475] = 2206,
  [2476] = 2387,
  [2477] = 2384,
  [2478] = 2394,
  [2479] = 2461,
  [2480] = 2393,
  [2481] = 2392,
  [2482] = 2383,
  [2483] = 2391,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 2129,
  [2490] = 2131,
  [2491] = 2382,
  [2492] = 2276,
  [2493] = 2493,
  [2494] = 389,
  [2495] = 2493,
  [2496] = 2496,
  [2497] = 2493,
  [2498] = 2381,
  [2499] = 2382,
  [2500] = 2129,
  [2501] = 2384,
  [2502] = 2387,
  [2503] = 2276,
  [2504] = 2389,
  [2505] = 2390,
  [2506] = 2391,
  [2507] = 2392,
  [2508] = 2393,
  [2509] = 2394,
  [2510] = 363,
  [2511] = 2390,
  [2512] = 2512,
  [2513] = 2372,
  [2514] = 2396,
  [2515] = 2397,
  [2516] = 2485,
  [2517] = 2486,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2389,
  [2521] = 2334,
  [2522] = 2146,
  [2523] = 2485,
  [2524] = 2147,
  [2525] = 2525,
  [2526] = 2326,
  [2527] = 2486,
  [2528] = 2528,
  [2529] = 2484,
  [2530] = 2323,
  [2531] = 2319,
  [2532] = 2397,
  [2533] = 391,
  [2534] = 2323,
  [2535] = 2326,
  [2536] = 2241,
  [2537] = 2334,
  [2538] = 2538,
  [2539] = 2387,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2543,
  [2544] = 374,
  [2545] = 2384,
  [2546] = 2383,
  [2547] = 2440,
  [2548] = 2256,
  [2549] = 2445,
  [2550] = 2461,
  [2551] = 2382,
  [2552] = 2256,
  [2553] = 2553,
  [2554] = 380,
  [2555] = 2555,
  [2556] = 2487,
  [2557] = 2557,
  [2558] = 2319,
  [2559] = 2381,
  [2560] = 2488,
  [2561] = 1162,
  [2562] = 2493,
  [2563] = 2484,
  [2564] = 373,
  [2565] = 2565,
  [2566] = 2566,
  [2567] = 2567,
  [2568] = 2276,
  [2569] = 397,
  [2570] = 2493,
  [2571] = 2182,
  [2572] = 2572,
  [2573] = 2573,
  [2574] = 2397,
  [2575] = 2396,
  [2576] = 2372,
  [2577] = 2487,
  [2578] = 2440,
  [2579] = 2323,
  [2580] = 2394,
  [2581] = 2393,
  [2582] = 2153,
  [2583] = 2392,
  [2584] = 2151,
  [2585] = 2391,
  [2586] = 2390,
  [2587] = 2389,
  [2588] = 2208,
  [2589] = 2387,
  [2590] = 2323,
  [2591] = 2147,
  [2592] = 363,
  [2593] = 362,
  [2594] = 2384,
  [2595] = 2383,
  [2596] = 2382,
  [2597] = 2484,
  [2598] = 2493,
  [2599] = 2146,
  [2600] = 2484,
  [2601] = 2381,
  [2602] = 2216,
  [2603] = 2326,
  [2604] = 2397,
  [2605] = 2396,
  [2606] = 2372,
  [2607] = 2394,
  [2608] = 2326,
  [2609] = 2393,
  [2610] = 2334,
  [2611] = 2334,
  [2612] = 362,
  [2613] = 2276,
  [2614] = 2493,
  [2615] = 2488,
  [2616] = 2392,
  [2617] = 2206,
  [2618] = 2391,
  [2619] = 2390,
  [2620] = 2389,
  [2621] = 2387,
  [2622] = 2384,
  [2623] = 2383,
  [2624] = 2382,
  [2625] = 2381,
  [2626] = 2131,
  [2627] = 2381,
  [2628] = 2628,
  [2629] = 2396,
  [2630] = 2288,
  [2631] = 2286,
  [2632] = 2422,
  [2633] = 2633,
  [2634] = 2278,
  [2635] = 2274,
  [2636] = 2557,
  [2637] = 2555,
  [2638] = 373,
  [2639] = 2633,
  [2640] = 2305,
  [2641] = 2543,
  [2642] = 2542,
  [2643] = 2541,
  [2644] = 2540,
  [2645] = 2310,
  [2646] = 2538,
  [2647] = 374,
  [2648] = 2334,
  [2649] = 2649,
  [2650] = 2311,
  [2651] = 2326,
  [2652] = 2320,
  [2653] = 2323,
  [2654] = 2331,
  [2655] = 2438,
  [2656] = 2528,
  [2657] = 2525,
  [2658] = 2337,
  [2659] = 2351,
  [2660] = 2519,
  [2661] = 2518,
  [2662] = 2354,
  [2663] = 2272,
  [2664] = 2273,
  [2665] = 2362,
  [2666] = 2282,
  [2667] = 2437,
  [2668] = 2443,
  [2669] = 2628,
  [2670] = 2512,
  [2671] = 2628,
  [2672] = 2628,
  [2673] = 2628,
  [2674] = 2553,
  [2675] = 2649,
  [2676] = 2676,
  [2677] = 2628,
  [2678] = 2678,
  [2679] = 2679,
  [2680] = 2628,
  [2681] = 379,
  [2682] = 378,
  [2683] = 2649,
  [2684] = 2628,
  [2685] = 2628,
  [2686] = 2628,
  [2687] = 2628,
  [2688] = 362,
  [2689] = 363,
  [2690] = 2628,
  [2691] = 2628,
  [2692] = 2628,
  [2693] = 2693,
  [2694] = 397,
  [2695] = 2695,
  [2696] = 2696,
  [2697] = 2628,
  [2698] = 380,
  [2699] = 2628,
  [2700] = 2361,
  [2701] = 2628,
  [2702] = 2628,
  [2703] = 370,
  [2704] = 375,
  [2705] = 2309,
  [2706] = 2633,
  [2707] = 2276,
  [2708] = 2708,
  [2709] = 2277,
  [2710] = 2381,
  [2711] = 2285,
  [2712] = 2382,
  [2713] = 2383,
  [2714] = 2290,
  [2715] = 385,
  [2716] = 2384,
  [2717] = 381,
  [2718] = 2628,
  [2719] = 2676,
  [2720] = 2572,
  [2721] = 2387,
  [2722] = 2567,
  [2723] = 2389,
  [2724] = 2390,
  [2725] = 2679,
  [2726] = 2391,
  [2727] = 2392,
  [2728] = 2628,
  [2729] = 876,
  [2730] = 874,
  [2731] = 2566,
  [2732] = 2393,
  [2733] = 389,
  [2734] = 389,
  [2735] = 2628,
  [2736] = 2394,
  [2737] = 373,
  [2738] = 2372,
  [2739] = 376,
  [2740] = 384,
  [2741] = 383,
  [2742] = 380,
  [2743] = 2565,
  [2744] = 374,
  [2745] = 381,
  [2746] = 2628,
  [2747] = 2397,
  [2748] = 2628,
  [2749] = 2628,
  [2750] = 2628,
  [2751] = 2337,
  [2752] = 2301,
  [2753] = 385,
  [2754] = 2693,
  [2755] = 2628,
  [2756] = 385,
  [2757] = 2695,
  [2758] = 375,
  [2759] = 383,
  [2760] = 374,
  [2761] = 384,
  [2762] = 389,
  [2763] = 380,
  [2764] = 367,
  [2765] = 376,
  [2766] = 378,
  [2767] = 379,
  [2768] = 379,
  [2769] = 378,
  [2770] = 373,
  [2771] = 368,
  [2772] = 2354,
  [2773] = 369,
  [2774] = 375,
  [2775] = 2628,
  [2776] = 2628,
  [2777] = 2628,
  [2778] = 2341,
  [2779] = 2696,
  [2780] = 2708,
  [2781] = 2340,
  [2782] = 2628,
  [2783] = 2338,
  [2784] = 381,
  [2785] = 2336,
  [2786] = 2361,
  [2787] = 362,
  [2788] = 2628,
  [2789] = 363,
  [2790] = 2628,
  [2791] = 2512,
  [2792] = 2628,
  [2793] = 2518,
  [2794] = 2519,
  [2795] = 2628,
  [2796] = 2525,
  [2797] = 2628,
  [2798] = 2528,
  [2799] = 2438,
  [2800] = 2538,
  [2801] = 2540,
  [2802] = 376,
  [2803] = 384,
  [2804] = 383,
  [2805] = 2541,
  [2806] = 2542,
  [2807] = 2628,
  [2808] = 2543,
  [2809] = 2628,
  [2810] = 2553,
  [2811] = 2336,
  [2812] = 2338,
  [2813] = 2555,
  [2814] = 383,
  [2815] = 384,
  [2816] = 376,
  [2817] = 2628,
  [2818] = 2340,
  [2819] = 2557,
  [2820] = 2341,
  [2821] = 2628,
  [2822] = 2422,
  [2823] = 2286,
  [2824] = 2288,
  [2825] = 2628,
  [2826] = 2565,
  [2827] = 2566,
  [2828] = 2567,
  [2829] = 2572,
  [2830] = 2301,
  [2831] = 2305,
  [2832] = 2290,
  [2833] = 2628,
  [2834] = 2285,
  [2835] = 2278,
  [2836] = 2277,
  [2837] = 362,
  [2838] = 2310,
  [2839] = 2309,
  [2840] = 2311,
  [2841] = 363,
  [2842] = 381,
  [2843] = 2320,
  [2844] = 2274,
  [2845] = 2708,
  [2846] = 2331,
  [2847] = 2696,
  [2848] = 2628,
  [2849] = 2695,
  [2850] = 2628,
  [2851] = 2693,
  [2852] = 362,
  [2853] = 373,
  [2854] = 2272,
  [2855] = 2628,
  [2856] = 2273,
  [2857] = 375,
  [2858] = 380,
  [2859] = 2628,
  [2860] = 374,
  [2861] = 379,
  [2862] = 389,
  [2863] = 378,
  [2864] = 2628,
  [2865] = 363,
  [2866] = 2443,
  [2867] = 2679,
  [2868] = 2628,
  [2869] = 385,
  [2870] = 2437,
  [2871] = 2676,
  [2872] = 2351,
  [2873] = 2282,
  [2874] = 2362,
  [2875] = 2628,
  [2876] = 720,
  [2877] = 863,
  [2878] = 362,
  [2879] = 363,
  [2880] = 370,
  [2881] = 2881,
  [2882] = 367,
  [2883] = 820,
  [2884] = 829,
  [2885] = 368,
  [2886] = 369,
  [2887] = 2881,
  [2888] = 372,
  [2889] = 389,
  [2890] = 388,
  [2891] = 373,
  [2892] = 374,
  [2893] = 390,
  [2894] = 377,
  [2895] = 2881,
  [2896] = 2896,
  [2897] = 382,
  [2898] = 379,
  [2899] = 383,
  [2900] = 384,
  [2901] = 378,
  [2902] = 376,
  [2903] = 362,
  [2904] = 874,
  [2905] = 363,
  [2906] = 876,
  [2907] = 381,
  [2908] = 463,
  [2909] = 385,
  [2910] = 862,
  [2911] = 387,
  [2912] = 386,
  [2913] = 2913,
  [2914] = 375,
  [2915] = 362,
  [2916] = 722,
  [2917] = 380,
  [2918] = 363,
  [2919] = 2919,
  [2920] = 2920,
  [2921] = 362,
  [2922] = 694,
  [2923] = 363,
  [2924] = 705,
  [2925] = 2925,
  [2926] = 2925,
  [2927] = 362,
  [2928] = 389,
  [2929] = 363,
  [2930] = 381,
  [2931] = 2931,
  [2932] = 2925,
  [2933] = 363,
  [2934] = 375,
  [2935] = 2925,
  [2936] = 2925,
  [2937] = 2925,
  [2938] = 2925,
  [2939] = 362,
  [2940] = 2925,
  [2941] = 2925,
  [2942] = 2925,
  [2943] = 2925,
  [2944] = 379,
  [2945] = 378,
  [2946] = 2925,
  [2947] = 2925,
  [2948] = 373,
  [2949] = 383,
  [2950] = 384,
  [2951] = 376,
  [2952] = 385,
  [2953] = 374,
  [2954] = 1162,
  [2955] = 2925,
  [2956] = 2925,
  [2957] = 380,
  [2958] = 2925,
  [2959] = 391,
  [2960] = 382,
  [2961] = 2925,
  [2962] = 372,
  [2963] = 388,
  [2964] = 387,
  [2965] = 2925,
  [2966] = 386,
  [2967] = 2925,
  [2968] = 2925,
  [2969] = 2925,
  [2970] = 377,
  [2971] = 2925,
  [2972] = 2925,
  [2973] = 390,
  [2974] = 1162,
  [2975] = 905,
  [2976] = 1089,
  [2977] = 2977,
  [2978] = 2978,
  [2979] = 391,
  [2980] = 880,
  [2981] = 2981,
  [2982] = 397,
  [2983] = 1084,
  [2984] = 1079,
  [2985] = 2985,
  [2986] = 2986,
  [2987] = 2987,
  [2988] = 2988,
  [2989] = 2986,
  [2990] = 362,
  [2991] = 1330,
  [2992] = 2992,
  [2993] = 2993,
  [2994] = 2994,
  [2995] = 2987,
  [2996] = 1334,
  [2997] = 2994,
  [2998] = 2998,
  [2999] = 2994,
  [3000] = 3000,
  [3001] = 2994,
  [3002] = 2994,
  [3003] = 967,
  [3004] = 2987,
  [3005] = 2994,
  [3006] = 2993,
  [3007] = 397,
  [3008] = 2987,
  [3009] = 2987,
  [3010] = 2994,
  [3011] = 2987,
  [3012] = 2994,
  [3013] = 1341,
  [3014] = 2987,
  [3015] = 2994,
  [3016] = 2987,
  [3017] = 2987,
  [3018] = 2994,
  [3019] = 2994,
  [3020] = 2993,
  [3021] = 3021,
  [3022] = 2987,
  [3023] = 2994,
  [3024] = 2987,
  [3025] = 2987,
  [3026] = 2994,
  [3027] = 2986,
  [3028] = 2987,
  [3029] = 2987,
  [3030] = 463,
  [3031] = 2994,
  [3032] = 2993,
  [3033] = 2987,
  [3034] = 2994,
  [3035] = 363,
  [3036] = 959,
  [3037] = 1345,
  [3038] = 2986,
  [3039] = 1348,
  [3040] = 3040,
  [3041] = 362,
  [3042] = 3042,
  [3043] = 3042,
  [3044] = 3040,
  [3045] = 3045,
  [3046] = 3046,
  [3047] = 3047,
  [3048] = 3040,
  [3049] = 3040,
  [3050] = 362,
  [3051] = 3040,
  [3052] = 3042,
  [3053] = 363,
  [3054] = 363,
  [3055] = 3055,
  [3056] = 3042,
  [3057] = 3040,
  [3058] = 3040,
  [3059] = 3042,
  [3060] = 3055,
  [3061] = 3040,
  [3062] = 3042,
  [3063] = 3042,
  [3064] = 3040,
  [3065] = 3046,
  [3066] = 363,
  [3067] = 3067,
  [3068] = 3040,
  [3069] = 3045,
  [3070] = 3040,
  [3071] = 3067,
  [3072] = 362,
  [3073] = 3067,
  [3074] = 3055,
  [3075] = 3042,
  [3076] = 3046,
  [3077] = 3067,
  [3078] = 3045,
  [3079] = 3042,
  [3080] = 3042,
  [3081] = 3040,
  [3082] = 3040,
  [3083] = 3042,
  [3084] = 3040,
  [3085] = 3042,
  [3086] = 3042,
  [3087] = 3042,
  [3088] = 362,
  [3089] = 3040,
  [3090] = 3067,
  [3091] = 363,
  [3092] = 3042,
  [3093] = 3040,
  [3094] = 3067,
  [3095] = 3046,
  [3096] = 3045,
  [3097] = 363,
  [3098] = 3040,
  [3099] = 3042,
  [3100] = 362,
  [3101] = 3045,
  [3102] = 3042,
  [3103] = 3040,
  [3104] = 3045,
  [3105] = 3046,
  [3106] = 3042,
  [3107] = 3042,
  [3108] = 3046,
  [3109] = 3040,
  [3110] = 3067,
  [3111] = 3111,
  [3112] = 3112,
  [3113] = 3113,
  [3114] = 3112,
  [3115] = 3112,
  [3116] = 3112,
  [3117] = 3117,
  [3118] = 3117,
  [3119] = 3117,
  [3120] = 3117,
  [3121] = 3121,
  [3122] = 3112,
  [3123] = 3117,
  [3124] = 3112,
  [3125] = 3125,
  [3126] = 3117,
  [3127] = 3112,
  [3128] = 3111,
  [3129] = 3129,
  [3130] = 3112,
  [3131] = 3117,
  [3132] = 3132,
  [3133] = 3133,
  [3134] = 3117,
  [3135] = 3135,
  [3136] = 3117,
  [3137] = 3112,
  [3138] = 3132,
  [3139] = 3112,
  [3140] = 3117,
  [3141] = 3113,
  [3142] = 3113,
  [3143] = 3132,
  [3144] = 3112,
  [3145] = 3117,
  [3146] = 3112,
  [3147] = 3117,
  [3148] = 3112,
  [3149] = 3112,
  [3150] = 3117,
  [3151] = 3117,
  [3152] = 3112,
  [3153] = 3117,
  [3154] = 3111,
  [3155] = 3112,
  [3156] = 3112,
  [3157] = 3157,
  [3158] = 3158,
  [3159] = 3117,
  [3160] = 3117,
  [3161] = 3112,
  [3162] = 3162,
  [3163] = 3125,
  [3164] = 3164,
  [3165] = 3165,
  [3166] = 3111,
  [3167] = 3125,
  [3168] = 3117,
  [3169] = 3112,
  [3170] = 3170,
  [3171] = 3171,
  [3172] = 3172,
  [3173] = 3173,
  [3174] = 3174,
  [3175] = 3175,
  [3176] = 3176,
  [3177] = 3112,
  [3178] = 3178,
  [3179] = 3113,
  [3180] = 3112,
  [3181] = 3111,
  [3182] = 3182,
  [3183] = 3172,
  [3184] = 3112,
  [3185] = 3112,
  [3186] = 3111,
  [3187] = 3125,
  [3188] = 3117,
  [3189] = 3117,
  [3190] = 3117,
  [3191] = 3132,
  [3192] = 3125,
  [3193] = 3172,
  [3194] = 3113,
  [3195] = 3117,
  [3196] = 3112,
  [3197] = 3117,
  [3198] = 3198,
  [3199] = 3112,
  [3200] = 3112,
  [3201] = 3112,
  [3202] = 3111,
  [3203] = 3111,
  [3204] = 3111,
  [3205] = 3111,
  [3206] = 3206,
  [3207] = 3111,
  [3208] = 3111,
  [3209] = 3112,
  [3210] = 3210,
  [3211] = 3132,
  [3212] = 3113,
  [3213] = 3112,
  [3214] = 3112,
  [3215] = 3111,
  [3216] = 3132,
  [3217] = 3210,
  [3218] = 3117,
  [3219] = 3206,
  [3220] = 3117,
  [3221] = 3111,
  [3222] = 3112,
  [3223] = 3198,
  [3224] = 3112,
  [3225] = 3113,
  [3226] = 3117,
  [3227] = 3112,
  [3228] = 3117,
  [3229] = 3111,
  [3230] = 3111,
  [3231] = 3117,
  [3232] = 3111,
  [3233] = 3112,
  [3234] = 3133,
  [3235] = 3117,
  [3236] = 3182,
  [3237] = 3112,
  [3238] = 3172,
  [3239] = 3117,
  [3240] = 3172,
  [3241] = 3172,
  [3242] = 3112,
  [3243] = 3112,
  [3244] = 3178,
  [3245] = 3125,
  [3246] = 3172,
  [3247] = 3117,
  [3248] = 3176,
  [3249] = 3111,
  [3250] = 3175,
  [3251] = 3174,
  [3252] = 3173,
  [3253] = 3171,
  [3254] = 3170,
  [3255] = 3125,
  [3256] = 3165,
  [3257] = 3125,
  [3258] = 3164,
  [3259] = 3162,
  [3260] = 3111,
  [3261] = 3172,
  [3262] = 3117,
  [3263] = 3158,
  [3264] = 3112,
  [3265] = 3125,
  [3266] = 3111,
  [3267] = 3172,
  [3268] = 3157,
  [3269] = 3135,
  [3270] = 3117,
  [3271] = 3129,
  [3272] = 3112,
  [3273] = 3132,
  [3274] = 3113,
  [3275] = 3111,
  [3276] = 3117,
  [3277] = 3111,
  [3278] = 3117,
  [3279] = 3112,
  [3280] = 3117,
  [3281] = 3132,
  [3282] = 3121,
  [3283] = 3117,
  [3284] = 3112,
  [3285] = 3125,
  [3286] = 3172,
  [3287] = 3113,
  [3288] = 3117,
  [3289] = 3111,
  [3290] = 3111,
  [3291] = 3112,
  [3292] = 3125,
  [3293] = 3117,
  [3294] = 3132,
  [3295] = 3112,
  [3296] = 3172,
  [3297] = 3117,
  [3298] = 3112,
  [3299] = 3117,
  [3300] = 3112,
  [3301] = 3112,
  [3302] = 3113,
  [3303] = 3132,
  [3304] = 3113,
  [3305] = 3117,
  [3306] = 3125,
  [3307] = 3117,
  [3308] = 3112,
  [3309] = 3117,
  [3310] = 3172,
  [3311] = 3112,
  [3312] = 3312,
  [3313] = 3111,
  [3314] = 3125,
  [3315] = 3112,
  [3316] = 3172,
  [3317] = 3111,
  [3318] = 3117,
  [3319] = 3112,
  [3320] = 3125,
  [3321] = 3112,
  [3322] = 3117,
  [3323] = 3113,
  [3324] = 3172,
  [3325] = 3111,
  [3326] = 3117,
  [3327] = 3112,
  [3328] = 3111,
  [3329] = 3112,
  [3330] = 363,
  [3331] = 3117,
  [3332] = 3111,
  [3333] = 3111,
  [3334] = 3117,
  [3335] = 3117,
  [3336] = 3112,
  [3337] = 3117,
  [3338] = 3125,
  [3339] = 3117,
  [3340] = 3117,
  [3341] = 3172,
  [3342] = 3112,
  [3343] = 3172,
  [3344] = 3112,
  [3345] = 3132,
  [3346] = 3112,
  [3347] = 3111,
  [3348] = 3112,
  [3349] = 3133,
  [3350] = 3111,
  [3351] = 3132,
  [3352] = 3113,
  [3353] = 3112,
  [3354] = 3117,
  [3355] = 3135,
  [3356] = 3121,
  [3357] = 3125,
  [3358] = 3111,
  [3359] = 3112,
  [3360] = 3117,
  [3361] = 3117,
  [3362] = 3112,
  [3363] = 3117,
  [3364] = 3117,
  [3365] = 3112,
  [3366] = 3117,
  [3367] = 3112,
  [3368] = 3117,
  [3369] = 3112,
  [3370] = 3129,
  [3371] = 3111,
  [3372] = 3111,
  [3373] = 3112,
  [3374] = 3125,
  [3375] = 3117,
  [3376] = 3111,
  [3377] = 3111,
  [3378] = 3117,
  [3379] = 3157,
  [3380] = 3158,
  [3381] = 3162,
  [3382] = 3164,
  [3383] = 3165,
  [3384] = 3132,
  [3385] = 3117,
  [3386] = 3170,
  [3387] = 3171,
  [3388] = 3112,
  [3389] = 3173,
  [3390] = 3174,
  [3391] = 3175,
  [3392] = 3117,
  [3393] = 3176,
  [3394] = 3111,
  [3395] = 3113,
  [3396] = 3111,
  [3397] = 3178,
  [3398] = 3117,
  [3399] = 3117,
  [3400] = 3182,
  [3401] = 3125,
  [3402] = 3112,
  [3403] = 3132,
  [3404] = 3117,
  [3405] = 3113,
  [3406] = 3172,
  [3407] = 3111,
  [3408] = 3112,
  [3409] = 3132,
  [3410] = 3132,
  [3411] = 3117,
  [3412] = 3210,
  [3413] = 3206,
  [3414] = 3198,
  [3415] = 3113,
  [3416] = 3111,
  [3417] = 3112,
  [3418] = 3172,
  [3419] = 3125,
  [3420] = 3125,
  [3421] = 3117,
  [3422] = 3132,
  [3423] = 3111,
  [3424] = 3117,
  [3425] = 3112,
  [3426] = 3117,
  [3427] = 3113,
  [3428] = 3112,
  [3429] = 3111,
  [3430] = 3111,
  [3431] = 3172,
  [3432] = 3172,
  [3433] = 3132,
  [3434] = 3113,
  [3435] = 3132,
  [3436] = 3132,
  [3437] = 3125,
  [3438] = 3113,
  [3439] = 3172,
  [3440] = 3125,
  [3441] = 3117,
  [3442] = 3112,
  [3443] = 3113,
  [3444] = 3132,
  [3445] = 3117,
  [3446] = 3172,
  [3447] = 3172,
  [3448] = 3132,
  [3449] = 3113,
  [3450] = 3132,
  [3451] = 3113,
  [3452] = 3112,
  [3453] = 3125,
  [3454] = 3132,
  [3455] = 3172,
  [3456] = 3112,
  [3457] = 3113,
  [3458] = 3132,
  [3459] = 3125,
  [3460] = 3172,
  [3461] = 3117,
  [3462] = 3113,
  [3463] = 3132,
  [3464] = 3113,
  [3465] = 3132,
  [3466] = 3113,
  [3467] = 3132,
  [3468] = 3113,
  [3469] = 3132,
  [3470] = 3113,
  [3471] = 3111,
  [3472] = 3132,
  [3473] = 3113,
  [3474] = 3125,
  [3475] = 3113,
  [3476] = 3132,
  [3477] = 3113,
  [3478] = 3117,
  [3479] = 362,
  [3480] = 3112,
  [3481] = 3132,
  [3482] = 3113,
  [3483] = 3117,
  [3484] = 3112,
  [3485] = 3132,
  [3486] = 3113,
  [3487] = 3132,
  [3488] = 3113,
  [3489] = 3117,
  [3490] = 3132,
  [3491] = 3113,
  [3492] = 3132,
  [3493] = 3113,
  [3494] = 3132,
  [3495] = 3113,
  [3496] = 3112,
  [3497] = 3132,
  [3498] = 3111,
  [3499] = 3113,
  [3500] = 3132,
  [3501] = 3113,
  [3502] = 3132,
  [3503] = 3113,
  [3504] = 3132,
  [3505] = 3113,
  [3506] = 3132,
  [3507] = 3113,
  [3508] = 3132,
  [3509] = 3113,
  [3510] = 3132,
  [3511] = 3117,
  [3512] = 3112,
  [3513] = 3113,
  [3514] = 3132,
  [3515] = 3113,
  [3516] = 3132,
  [3517] = 3113,
  [3518] = 3132,
  [3519] = 3113,
  [3520] = 3132,
  [3521] = 3113,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 3524,
  [3525] = 370,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 3524,
  [3529] = 3529,
  [3530] = 3524,
  [3531] = 3527,
  [3532] = 369,
  [3533] = 370,
  [3534] = 829,
  [3535] = 820,
  [3536] = 370,
  [3537] = 3537,
  [3538] = 3526,
  [3539] = 3523,
  [3540] = 3540,
  [3541] = 3541,
  [3542] = 3522,
  [3543] = 368,
  [3544] = 367,
  [3545] = 3545,
  [3546] = 367,
  [3547] = 3547,
  [3548] = 3548,
  [3549] = 3547,
  [3550] = 379,
  [3551] = 379,
  [3552] = 363,
  [3553] = 378,
  [3554] = 3523,
  [3555] = 362,
  [3556] = 378,
  [3557] = 3523,
  [3558] = 372,
  [3559] = 374,
  [3560] = 374,
  [3561] = 3526,
  [3562] = 373,
  [3563] = 373,
  [3564] = 3564,
  [3565] = 3565,
  [3566] = 370,
  [3567] = 380,
  [3568] = 375,
  [3569] = 385,
  [3570] = 381,
  [3571] = 380,
  [3572] = 389,
  [3573] = 385,
  [3574] = 3574,
  [3575] = 3575,
  [3576] = 3522,
  [3577] = 3577,
  [3578] = 3578,
  [3579] = 389,
  [3580] = 2147,
  [3581] = 2146,
  [3582] = 375,
  [3583] = 3526,
  [3584] = 381,
  [3585] = 2131,
  [3586] = 383,
  [3587] = 384,
  [3588] = 376,
  [3589] = 3527,
  [3590] = 2129,
  [3591] = 3526,
  [3592] = 372,
  [3593] = 3527,
  [3594] = 722,
  [3595] = 391,
  [3596] = 720,
  [3597] = 705,
  [3598] = 388,
  [3599] = 3527,
  [3600] = 694,
  [3601] = 388,
  [3602] = 391,
  [3603] = 369,
  [3604] = 370,
  [3605] = 383,
  [3606] = 384,
  [3607] = 376,
  [3608] = 390,
  [3609] = 368,
  [3610] = 367,
  [3611] = 3522,
  [3612] = 3522,
  [3613] = 370,
  [3614] = 370,
  [3615] = 863,
  [3616] = 377,
  [3617] = 369,
  [3618] = 368,
  [3619] = 1089,
  [3620] = 390,
  [3621] = 382,
  [3622] = 820,
  [3623] = 382,
  [3624] = 3624,
  [3625] = 862,
  [3626] = 387,
  [3627] = 386,
  [3628] = 829,
  [3629] = 1089,
  [3630] = 377,
  [3631] = 367,
  [3632] = 386,
  [3633] = 387,
  [3634] = 3523,
  [3635] = 3540,
  [3636] = 397,
  [3637] = 3637,
  [3638] = 1084,
  [3639] = 377,
  [3640] = 3640,
  [3641] = 3547,
  [3642] = 829,
  [3643] = 820,
  [3644] = 388,
  [3645] = 3548,
  [3646] = 863,
  [3647] = 3624,
  [3648] = 820,
  [3649] = 386,
  [3650] = 862,
  [3651] = 385,
  [3652] = 372,
  [3653] = 694,
  [3654] = 705,
  [3655] = 720,
  [3656] = 722,
  [3657] = 829,
  [3658] = 390,
  [3659] = 880,
  [3660] = 368,
  [3661] = 1084,
  [3662] = 387,
  [3663] = 377,
  [3664] = 3664,
  [3665] = 3526,
  [3666] = 3523,
  [3667] = 3577,
  [3668] = 391,
  [3669] = 382,
  [3670] = 369,
  [3671] = 388,
  [3672] = 1079,
  [3673] = 368,
  [3674] = 369,
  [3675] = 386,
  [3676] = 368,
  [3677] = 369,
  [3678] = 372,
  [3679] = 370,
  [3680] = 370,
  [3681] = 369,
  [3682] = 2278,
  [3683] = 387,
  [3684] = 905,
  [3685] = 368,
  [3686] = 391,
  [3687] = 382,
  [3688] = 3547,
  [3689] = 390,
  [3690] = 376,
  [3691] = 367,
  [3692] = 3540,
  [3693] = 384,
  [3694] = 3540,
  [3695] = 383,
  [3696] = 905,
  [3697] = 1079,
  [3698] = 3564,
  [3699] = 380,
  [3700] = 3565,
  [3701] = 874,
  [3702] = 381,
  [3703] = 880,
  [3704] = 3637,
  [3705] = 2273,
  [3706] = 876,
  [3707] = 397,
  [3708] = 2272,
  [3709] = 2274,
  [3710] = 3575,
  [3711] = 375,
  [3712] = 378,
  [3713] = 3540,
  [3714] = 3637,
  [3715] = 3547,
  [3716] = 829,
  [3717] = 379,
  [3718] = 376,
  [3719] = 820,
  [3720] = 384,
  [3721] = 383,
  [3722] = 370,
  [3723] = 389,
  [3724] = 385,
  [3725] = 373,
  [3726] = 374,
  [3727] = 374,
  [3728] = 380,
  [3729] = 370,
  [3730] = 3730,
  [3731] = 369,
  [3732] = 368,
  [3733] = 373,
  [3734] = 370,
  [3735] = 381,
  [3736] = 375,
  [3737] = 379,
  [3738] = 378,
  [3739] = 389,
  [3740] = 3578,
  [3741] = 3574,
  [3742] = 3742,
  [3743] = 3743,
  [3744] = 384,
  [3745] = 3565,
  [3746] = 3742,
  [3747] = 3742,
  [3748] = 3575,
  [3749] = 376,
  [3750] = 381,
  [3751] = 3742,
  [3752] = 3564,
  [3753] = 3574,
  [3754] = 3742,
  [3755] = 3755,
  [3756] = 3742,
  [3757] = 389,
  [3758] = 379,
  [3759] = 378,
  [3760] = 375,
  [3761] = 3742,
  [3762] = 385,
  [3763] = 3742,
  [3764] = 374,
  [3765] = 380,
  [3766] = 373,
  [3767] = 863,
  [3768] = 722,
  [3769] = 720,
  [3770] = 862,
  [3771] = 3624,
  [3772] = 705,
  [3773] = 694,
  [3774] = 863,
  [3775] = 3742,
  [3776] = 3548,
  [3777] = 368,
  [3778] = 3742,
  [3779] = 369,
  [3780] = 3742,
  [3781] = 3781,
  [3782] = 694,
  [3783] = 372,
  [3784] = 3742,
  [3785] = 388,
  [3786] = 820,
  [3787] = 829,
  [3788] = 390,
  [3789] = 377,
  [3790] = 3742,
  [3791] = 386,
  [3792] = 387,
  [3793] = 397,
  [3794] = 382,
  [3795] = 3795,
  [3796] = 368,
  [3797] = 3797,
  [3798] = 3798,
  [3799] = 705,
  [3800] = 369,
  [3801] = 370,
  [3802] = 3742,
  [3803] = 3742,
  [3804] = 3742,
  [3805] = 369,
  [3806] = 3574,
  [3807] = 3742,
  [3808] = 368,
  [3809] = 1345,
  [3810] = 3577,
  [3811] = 3742,
  [3812] = 3575,
  [3813] = 3813,
  [3814] = 3742,
  [3815] = 1348,
  [3816] = 3742,
  [3817] = 3577,
  [3818] = 3742,
  [3819] = 3742,
  [3820] = 1341,
  [3821] = 3742,
  [3822] = 3742,
  [3823] = 3730,
  [3824] = 383,
  [3825] = 3742,
  [3826] = 3826,
  [3827] = 3827,
  [3828] = 3664,
  [3829] = 3548,
  [3830] = 3830,
  [3831] = 3742,
  [3832] = 3742,
  [3833] = 3833,
  [3834] = 3742,
  [3835] = 3742,
  [3836] = 3742,
  [3837] = 3624,
  [3838] = 3742,
  [3839] = 3826,
  [3840] = 3742,
  [3841] = 3841,
  [3842] = 862,
  [3843] = 368,
  [3844] = 369,
  [3845] = 3742,
  [3846] = 1345,
  [3847] = 720,
  [3848] = 3547,
  [3849] = 3540,
  [3850] = 397,
  [3851] = 3742,
  [3852] = 3795,
  [3853] = 722,
  [3854] = 3742,
  [3855] = 3742,
  [3856] = 1341,
  [3857] = 3742,
  [3858] = 3742,
  [3859] = 3578,
  [3860] = 3742,
  [3861] = 3861,
  [3862] = 3742,
  [3863] = 3863,
  [3864] = 3742,
  [3865] = 3865,
  [3866] = 3866,
  [3867] = 722,
  [3868] = 3742,
  [3869] = 720,
  [3870] = 3742,
  [3871] = 862,
  [3872] = 3575,
  [3873] = 3624,
  [3874] = 1348,
  [3875] = 3577,
  [3876] = 705,
  [3877] = 694,
  [3878] = 863,
  [3879] = 3548,
  [3880] = 3742,
  [3881] = 3881,
  [3882] = 3742,
  [3883] = 3841,
  [3884] = 3742,
  [3885] = 3742,
  [3886] = 3742,
  [3887] = 3565,
  [3888] = 3888,
  [3889] = 3742,
  [3890] = 3890,
  [3891] = 3891,
  [3892] = 3742,
  [3893] = 3742,
  [3894] = 3894,
  [3895] = 3742,
  [3896] = 3565,
  [3897] = 3564,
  [3898] = 3742,
  [3899] = 3578,
  [3900] = 3900,
  [3901] = 3861,
  [3902] = 3742,
  [3903] = 3900,
  [3904] = 3742,
  [3905] = 3564,
  [3906] = 3894,
  [3907] = 3574,
  [3908] = 3742,
  [3909] = 3742,
  [3910] = 3578,
  [3911] = 3742,
  [3912] = 3742,
  [3913] = 3913,
  [3914] = 3742,
  [3915] = 3881,
  [3916] = 3916,
  [3917] = 3863,
  [3918] = 3742,
  [3919] = 3664,
  [3920] = 3920,
  [3921] = 3921,
  [3922] = 3922,
  [3923] = 3923,
  [3924] = 3924,
  [3925] = 3925,
  [3926] = 3664,
  [3927] = 3927,
  [3928] = 3928,
  [3929] = 3929,
  [3930] = 3930,
  [3931] = 3931,
  [3932] = 3932,
  [3933] = 3933,
  [3934] = 3925,
  [3935] = 3932,
  [3936] = 3924,
  [3937] = 3931,
  [3938] = 3923,
  [3939] = 3930,
  [3940] = 3929,
  [3941] = 3833,
  [3942] = 3942,
  [3943] = 3943,
  [3944] = 3944,
  [3945] = 3945,
  [3946] = 3946,
  [3947] = 3947,
  [3948] = 3891,
  [3949] = 3949,
  [3950] = 3928,
  [3951] = 3951,
  [3952] = 3952,
  [3953] = 3927,
  [3954] = 3730,
  [3955] = 3955,
  [3956] = 3956,
  [3957] = 3957,
  [3958] = 3958,
  [3959] = 3959,
  [3960] = 3921,
  [3961] = 3920,
  [3962] = 3962,
  [3963] = 3894,
  [3964] = 3964,
  [3965] = 3894,
  [3966] = 3966,
  [3967] = 967,
  [3968] = 3968,
  [3969] = 3945,
  [3970] = 1334,
  [3971] = 3943,
  [3972] = 3863,
  [3973] = 1162,
  [3974] = 3974,
  [3975] = 3574,
  [3976] = 3946,
  [3977] = 3977,
  [3978] = 3951,
  [3979] = 3944,
  [3980] = 3813,
  [3981] = 3947,
  [3982] = 3933,
  [3983] = 3983,
  [3984] = 3565,
  [3985] = 3564,
  [3986] = 3578,
  [3987] = 3958,
  [3988] = 3988,
  [3989] = 3863,
  [3990] = 1330,
  [3991] = 3890,
  [3992] = 3933,
  [3993] = 1334,
  [3994] = 3959,
  [3995] = 3925,
  [3996] = 3924,
  [3997] = 3966,
  [3998] = 3957,
  [3999] = 3916,
  [4000] = 3888,
  [4001] = 4001,
  [4002] = 959,
  [4003] = 967,
  [4004] = 4004,
  [4005] = 4005,
  [4006] = 3952,
  [4007] = 3730,
  [4008] = 4008,
  [4009] = 4004,
  [4010] = 4010,
  [4011] = 3949,
  [4012] = 4012,
  [4013] = 4013,
  [4014] = 3977,
  [4015] = 4001,
  [4016] = 369,
  [4017] = 4017,
  [4018] = 368,
  [4019] = 4019,
  [4020] = 959,
  [4021] = 4021,
  [4022] = 4005,
  [4023] = 4008,
  [4024] = 4010,
  [4025] = 3781,
  [4026] = 3964,
  [4027] = 3548,
  [4028] = 863,
  [4029] = 694,
  [4030] = 705,
  [4031] = 3624,
  [4032] = 862,
  [4033] = 3968,
  [4034] = 720,
  [4035] = 4035,
  [4036] = 722,
  [4037] = 4012,
  [4038] = 4013,
  [4039] = 3955,
  [4040] = 391,
  [4041] = 3962,
  [4042] = 3942,
  [4043] = 3949,
  [4044] = 1330,
  [4045] = 4019,
  [4046] = 3730,
  [4047] = 4021,
  [4048] = 3956,
  [4049] = 4017,
  [4050] = 3988,
  [4051] = 4051,
  [4052] = 3664,
  [4053] = 4053,
  [4054] = 4035,
  [4055] = 4055,
  [4056] = 3983,
  [4057] = 3974,
  [4058] = 4051,
  [4059] = 4053,
  [4060] = 4055,
  [4061] = 4061,
  [4062] = 4062,
  [4063] = 4063,
  [4064] = 4064,
  [4065] = 4065,
  [4066] = 4061,
  [4067] = 4062,
  [4068] = 4063,
  [4069] = 4064,
  [4070] = 4065,
  [4071] = 370,
  [4072] = 397,
  [4073] = 3890,
  [4074] = 3890,
  [4075] = 3813,
  [4076] = 3781,
  [4077] = 4077,
  [4078] = 369,
  [4079] = 4079,
  [4080] = 368,
  [4081] = 370,
  [4082] = 4082,
  [4083] = 3916,
  [4084] = 874,
  [4085] = 3888,
  [4086] = 4086,
  [4087] = 3730,
  [4088] = 876,
  [4089] = 3781,
  [4090] = 3664,
  [4091] = 3891,
  [4092] = 3888,
  [4093] = 3891,
  [4094] = 3888,
  [4095] = 3813,
  [4096] = 3833,
  [4097] = 3813,
  [4098] = 368,
  [4099] = 3916,
  [4100] = 367,
  [4101] = 3781,
  [4102] = 369,
  [4103] = 3833,
  [4104] = 3833,
  [4105] = 3523,
  [4106] = 3891,
  [4107] = 3526,
  [4108] = 3890,
  [4109] = 3916,
  [4110] = 370,
  [4111] = 386,
  [4112] = 3526,
  [4113] = 3526,
  [4114] = 4114,
  [4115] = 4115,
  [4116] = 4116,
  [4117] = 4117,
  [4118] = 4118,
  [4119] = 4119,
  [4120] = 4120,
  [4121] = 4121,
  [4122] = 4122,
  [4123] = 4123,
  [4124] = 370,
  [4125] = 4125,
  [4126] = 4126,
  [4127] = 4117,
  [4128] = 4128,
  [4129] = 376,
  [4130] = 4130,
  [4131] = 4131,
  [4132] = 4132,
  [4133] = 384,
  [4134] = 383,
  [4135] = 370,
  [4136] = 4136,
  [4137] = 4128,
  [4138] = 4138,
  [4139] = 4123,
  [4140] = 4136,
  [4141] = 4132,
  [4142] = 4142,
  [4143] = 4143,
  [4144] = 4131,
  [4145] = 4145,
  [4146] = 3888,
  [4147] = 4147,
  [4148] = 4148,
  [4149] = 368,
  [4150] = 4150,
  [4151] = 4150,
  [4152] = 4152,
  [4153] = 3916,
  [4154] = 3890,
  [4155] = 369,
  [4156] = 4130,
  [4157] = 370,
  [4158] = 381,
  [4159] = 4126,
  [4160] = 4125,
  [4161] = 4121,
  [4162] = 4162,
  [4163] = 4120,
  [4164] = 375,
  [4165] = 378,
  [4166] = 379,
  [4167] = 4167,
  [4168] = 389,
  [4169] = 3833,
  [4170] = 4170,
  [4171] = 385,
  [4172] = 3891,
  [4173] = 4148,
  [4174] = 4174,
  [4175] = 4175,
  [4176] = 4123,
  [4177] = 374,
  [4178] = 380,
  [4179] = 373,
  [4180] = 4128,
  [4181] = 4136,
  [4182] = 377,
  [4183] = 4132,
  [4184] = 4131,
  [4185] = 4148,
  [4186] = 4130,
  [4187] = 4117,
  [4188] = 4126,
  [4189] = 4125,
  [4190] = 4121,
  [4191] = 3547,
  [4192] = 820,
  [4193] = 4120,
  [4194] = 3523,
  [4195] = 4195,
  [4196] = 4196,
  [4197] = 4150,
  [4198] = 382,
  [4199] = 829,
  [4200] = 387,
  [4201] = 3540,
  [4202] = 4202,
  [4203] = 4203,
  [4204] = 4204,
  [4205] = 4205,
  [4206] = 4174,
  [4207] = 4207,
  [4208] = 390,
  [4209] = 4209,
  [4210] = 388,
  [4211] = 372,
  [4212] = 4212,
  [4213] = 4174,
  [4214] = 4214,
  [4215] = 4215,
  [4216] = 4216,
  [4217] = 4217,
  [4218] = 4218,
  [4219] = 4219,
  [4220] = 3578,
  [4221] = 391,
  [4222] = 3564,
  [4223] = 4223,
  [4224] = 3565,
  [4225] = 4225,
  [4226] = 4226,
  [4227] = 4227,
  [4228] = 3574,
  [4229] = 862,
  [4230] = 4230,
  [4231] = 4231,
  [4232] = 4232,
  [4233] = 4233,
  [4234] = 369,
  [4235] = 4235,
  [4236] = 4236,
  [4237] = 4237,
  [4238] = 3624,
  [4239] = 4239,
  [4240] = 4216,
  [4241] = 4241,
  [4242] = 4242,
  [4243] = 4243,
  [4244] = 4244,
  [4245] = 4245,
  [4246] = 4246,
  [4247] = 4247,
  [4248] = 4248,
  [4249] = 367,
  [4250] = 4250,
  [4251] = 4251,
  [4252] = 3574,
  [4253] = 4253,
  [4254] = 4254,
  [4255] = 4255,
  [4256] = 4256,
  [4257] = 4257,
  [4258] = 4258,
  [4259] = 4259,
  [4260] = 4260,
  [4261] = 3540,
  [4262] = 694,
  [4263] = 705,
  [4264] = 4264,
  [4265] = 722,
  [4266] = 863,
  [4267] = 4216,
  [4268] = 3548,
  [4269] = 720,
  [4270] = 4270,
  [4271] = 4271,
  [4272] = 4272,
  [4273] = 4273,
  [4274] = 367,
  [4275] = 1162,
  [4276] = 4276,
  [4277] = 862,
  [4278] = 4278,
  [4279] = 4279,
  [4280] = 3624,
  [4281] = 4281,
  [4282] = 4282,
  [4283] = 4283,
  [4284] = 4284,
  [4285] = 3578,
  [4286] = 3547,
  [4287] = 720,
  [4288] = 722,
  [4289] = 370,
  [4290] = 4290,
  [4291] = 4291,
  [4292] = 368,
  [4293] = 4293,
  [4294] = 4294,
  [4295] = 4295,
  [4296] = 4296,
  [4297] = 4297,
  [4298] = 4298,
  [4299] = 369,
  [4300] = 4300,
  [4301] = 4301,
  [4302] = 4302,
  [4303] = 368,
  [4304] = 368,
  [4305] = 369,
  [4306] = 3548,
  [4307] = 4307,
  [4308] = 4308,
  [4309] = 4309,
  [4310] = 829,
  [4311] = 863,
  [4312] = 820,
  [4313] = 4313,
  [4314] = 4314,
  [4315] = 4315,
  [4316] = 694,
  [4317] = 4317,
  [4318] = 4318,
  [4319] = 4319,
  [4320] = 4320,
  [4321] = 705,
  [4322] = 389,
  [4323] = 382,
  [4324] = 387,
  [4325] = 379,
  [4326] = 3574,
  [4327] = 4327,
  [4328] = 391,
  [4329] = 369,
  [4330] = 367,
  [4331] = 380,
  [4332] = 694,
  [4333] = 375,
  [4334] = 705,
  [4335] = 388,
  [4336] = 385,
  [4337] = 386,
  [4338] = 381,
  [4339] = 4339,
  [4340] = 374,
  [4341] = 1084,
  [4342] = 391,
  [4343] = 381,
  [4344] = 862,
  [4345] = 368,
  [4346] = 382,
  [4347] = 3624,
  [4348] = 720,
  [4349] = 397,
  [4350] = 722,
  [4351] = 863,
  [4352] = 375,
  [4353] = 373,
  [4354] = 378,
  [4355] = 4355,
  [4356] = 3548,
  [4357] = 880,
  [4358] = 3664,
  [4359] = 389,
  [4360] = 383,
  [4361] = 384,
  [4362] = 376,
  [4363] = 388,
  [4364] = 3730,
  [4365] = 387,
  [4366] = 383,
  [4367] = 3564,
  [4368] = 1089,
  [4369] = 384,
  [4370] = 386,
  [4371] = 376,
  [4372] = 3565,
  [4373] = 4373,
  [4374] = 372,
  [4375] = 905,
  [4376] = 378,
  [4377] = 3730,
  [4378] = 390,
  [4379] = 3664,
  [4380] = 377,
  [4381] = 373,
  [4382] = 385,
  [4383] = 377,
  [4384] = 390,
  [4385] = 3578,
  [4386] = 372,
  [4387] = 4387,
  [4388] = 380,
  [4389] = 374,
  [4390] = 379,
  [4391] = 1079,
  [4392] = 382,
  [4393] = 397,
  [4394] = 376,
  [4395] = 384,
  [4396] = 380,
  [4397] = 3833,
  [4398] = 383,
  [4399] = 389,
  [4400] = 4400,
  [4401] = 397,
  [4402] = 375,
  [4403] = 378,
  [4404] = 3891,
  [4405] = 379,
  [4406] = 377,
  [4407] = 374,
  [4408] = 390,
  [4409] = 4409,
  [4410] = 373,
  [4411] = 880,
  [4412] = 381,
  [4413] = 1079,
  [4414] = 3664,
  [4415] = 3888,
  [4416] = 387,
  [4417] = 3730,
  [4418] = 4418,
  [4419] = 388,
  [4420] = 386,
  [4421] = 905,
  [4422] = 1084,
  [4423] = 385,
  [4424] = 391,
  [4425] = 3916,
  [4426] = 372,
  [4427] = 3890,
  [4428] = 4005,
  [4429] = 3890,
  [4430] = 4064,
  [4431] = 4065,
  [4432] = 4432,
  [4433] = 362,
  [4434] = 4432,
  [4435] = 4432,
  [4436] = 4432,
  [4437] = 363,
  [4438] = 4035,
  [4439] = 3956,
  [4440] = 4432,
  [4441] = 4432,
  [4442] = 4432,
  [4443] = 3833,
  [4444] = 4004,
  [4445] = 3841,
  [4446] = 3888,
  [4447] = 3881,
  [4448] = 4062,
  [4449] = 4061,
  [4450] = 1334,
  [4451] = 4055,
  [4452] = 4053,
  [4453] = 370,
  [4454] = 4051,
  [4455] = 4063,
  [4456] = 3900,
  [4457] = 1341,
  [4458] = 959,
  [4459] = 967,
  [4460] = 3826,
  [4461] = 3861,
  [4462] = 3795,
  [4463] = 4021,
  [4464] = 3891,
  [4465] = 1348,
  [4466] = 4019,
  [4467] = 4017,
  [4468] = 4013,
  [4469] = 4012,
  [4470] = 4010,
  [4471] = 4008,
  [4472] = 397,
  [4473] = 4001,
  [4474] = 3916,
  [4475] = 1330,
  [4476] = 3894,
  [4477] = 4432,
  [4478] = 3977,
  [4479] = 1345,
  [4480] = 4432,
  [4481] = 3863,
  [4482] = 3932,
  [4483] = 3927,
  [4484] = 4484,
  [4485] = 3983,
  [4486] = 3968,
  [4487] = 4005,
  [4488] = 369,
  [4489] = 863,
  [4490] = 3988,
  [4491] = 3966,
  [4492] = 368,
  [4493] = 4493,
  [4494] = 4013,
  [4495] = 3959,
  [4496] = 4484,
  [4497] = 3958,
  [4498] = 3964,
  [4499] = 3624,
  [4500] = 3548,
  [4501] = 3957,
  [4502] = 3944,
  [4503] = 367,
  [4504] = 3951,
  [4505] = 4493,
  [4506] = 3942,
  [4507] = 3945,
  [4508] = 4001,
  [4509] = 4017,
  [4510] = 3962,
  [4511] = 1330,
  [4512] = 959,
  [4513] = 1334,
  [4514] = 3955,
  [4515] = 3921,
  [4516] = 4012,
  [4517] = 3863,
  [4518] = 3894,
  [4519] = 4004,
  [4520] = 4051,
  [4521] = 3923,
  [4522] = 3952,
  [4523] = 3956,
  [4524] = 4035,
  [4525] = 862,
  [4526] = 4484,
  [4527] = 3947,
  [4528] = 4065,
  [4529] = 967,
  [4530] = 3946,
  [4531] = 3920,
  [4532] = 4064,
  [4533] = 3928,
  [4534] = 4010,
  [4535] = 4063,
  [4536] = 4062,
  [4537] = 3974,
  [4538] = 4061,
  [4539] = 3929,
  [4540] = 4055,
  [4541] = 4053,
  [4542] = 3977,
  [4543] = 4008,
  [4544] = 4493,
  [4545] = 3943,
  [4546] = 3930,
  [4547] = 4019,
  [4548] = 4021,
  [4549] = 4549,
  [4550] = 4493,
  [4551] = 3931,
  [4552] = 4484,
  [4553] = 380,
  [4554] = 379,
  [4555] = 375,
  [4556] = 385,
  [4557] = 378,
  [4558] = 373,
  [4559] = 374,
  [4560] = 381,
  [4561] = 389,
  [4562] = 383,
  [4563] = 384,
  [4564] = 376,
  [4565] = 390,
  [4566] = 377,
  [4567] = 3664,
  [4568] = 382,
  [4569] = 391,
  [4570] = 4570,
  [4571] = 372,
  [4572] = 4572,
  [4573] = 1084,
  [4574] = 386,
  [4575] = 1079,
  [4576] = 388,
  [4577] = 387,
  [4578] = 4578,
  [4579] = 4579,
  [4580] = 4578,
  [4581] = 4579,
  [4582] = 4579,
  [4583] = 4578,
  [4584] = 4578,
  [4585] = 4578,
  [4586] = 4579,
  [4587] = 4578,
  [4588] = 4588,
  [4589] = 4579,
  [4590] = 4578,
  [4591] = 4579,
  [4592] = 4578,
  [4593] = 4579,
  [4594] = 4579,
  [4595] = 4579,
  [4596] = 4578,
  [4597] = 4579,
  [4598] = 4578,
  [4599] = 4579,
  [4600] = 4579,
  [4601] = 4579,
  [4602] = 4578,
  [4603] = 4579,
  [4604] = 4578,
  [4605] = 4578,
  [4606] = 4579,
  [4607] = 4579,
  [4608] = 4578,
  [4609] = 4578,
  [4610] = 4579,
  [4611] = 362,
  [4612] = 4578,
  [4613] = 4579,
  [4614] = 363,
  [4615] = 4578,
  [4616] = 4579,
  [4617] = 4578,
  [4618] = 4578,
  [4619] = 4579,
  [4620] = 4579,
  [4621] = 4579,
  [4622] = 4578,
  [4623] = 4578,
  [4624] = 4578,
  [4625] = 4579,
  [4626] = 4579,
  [4627] = 4578,
  [4628] = 4578,
  [4629] = 4579,
  [4630] = 4578,
  [4631] = 4579,
  [4632] = 4578,
  [4633] = 4578,
  [4634] = 4579,
  [4635] = 4578,
  [4636] = 4579,
  [4637] = 4579,
  [4638] = 4578,
  [4639] = 4579,
  [4640] = 4578,
  [4641] = 4578,
  [4642] = 4578,
  [4643] = 4579,
  [4644] = 4579,
  [4645] = 4578,
  [4646] = 4579,
  [4647] = 4579,
  [4648] = 4578,
  [4649] = 4579,
  [4650] = 4579,
  [4651] = 4578,
  [4652] = 4579,
  [4653] = 4578,
  [4654] = 4579,
  [4655] = 4578,
  [4656] = 4578,
  [4657] = 4579,
  [4658] = 4578,
  [4659] = 4579,
  [4660] = 4578,
  [4661] = 4579,
  [4662] = 4579,
  [4663] = 4578,
  [4664] = 4578,
  [4665] = 4578,
  [4666] = 4578,
  [4667] = 4578,
  [4668] = 4579,
  [4669] = 4578,
  [4670] = 397,
  [4671] = 4579,
  [4672] = 4578,
  [4673] = 4579,
  [4674] = 4579,
  [4675] = 4579,
  [4676] = 4578,
  [4677] = 4578,
  [4678] = 4579,
  [4679] = 4578,
  [4680] = 4579,
  [4681] = 4578,
  [4682] = 4579,
  [4683] = 4578,
  [4684] = 4579,
  [4685] = 4579,
  [4686] = 4579,
  [4687] = 4578,
  [4688] = 4578,
  [4689] = 4579,
  [4690] = 4579,
  [4691] = 4578,
  [4692] = 4579,
  [4693] = 4579,
  [4694] = 4578,
  [4695] = 4579,
  [4696] = 4578,
  [4697] = 4578,
  [4698] = 4579,
  [4699] = 4578,
  [4700] = 4578,
  [4701] = 4579,
  [4702] = 1330,
  [4703] = 1334,
  [4704] = 4704,
  [4705] = 4705,
  [4706] = 4704,
  [4707] = 4707,
  [4708] = 4704,
  [4709] = 4707,
  [4710] = 4704,
  [4711] = 4707,
  [4712] = 4712,
  [4713] = 4705,
  [4714] = 4705,
  [4715] = 4705,
  [4716] = 4705,
  [4717] = 4705,
  [4718] = 4707,
  [4719] = 4707,
  [4720] = 4705,
  [4721] = 4707,
  [4722] = 4705,
  [4723] = 4705,
  [4724] = 4707,
  [4725] = 4707,
  [4726] = 4705,
  [4727] = 4704,
  [4728] = 4704,
  [4729] = 4707,
  [4730] = 4705,
  [4731] = 4704,
  [4732] = 4707,
  [4733] = 4707,
  [4734] = 4705,
  [4735] = 4707,
  [4736] = 4705,
  [4737] = 4705,
  [4738] = 4712,
  [4739] = 4704,
  [4740] = 4707,
  [4741] = 4707,
  [4742] = 4705,
  [4743] = 4707,
  [4744] = 4707,
  [4745] = 4705,
  [4746] = 4704,
  [4747] = 4707,
  [4748] = 4705,
  [4749] = 4707,
  [4750] = 4704,
  [4751] = 4707,
  [4752] = 4705,
  [4753] = 4705,
  [4754] = 4704,
  [4755] = 4705,
  [4756] = 4707,
  [4757] = 4707,
  [4758] = 4705,
  [4759] = 4705,
  [4760] = 4705,
  [4761] = 4707,
  [4762] = 4704,
  [4763] = 4704,
  [4764] = 4704,
  [4765] = 4704,
  [4766] = 4707,
  [4767] = 4707,
  [4768] = 4707,
  [4769] = 4705,
  [4770] = 4705,
  [4771] = 4704,
  [4772] = 4705,
  [4773] = 4707,
  [4774] = 4712,
  [4775] = 4705,
  [4776] = 4705,
  [4777] = 4704,
  [4778] = 4707,
  [4779] = 4707,
  [4780] = 4707,
  [4781] = 4707,
  [4782] = 4704,
  [4783] = 4705,
  [4784] = 4704,
  [4785] = 4705,
  [4786] = 4707,
  [4787] = 4705,
  [4788] = 4705,
  [4789] = 4704,
  [4790] = 4704,
  [4791] = 4707,
  [4792] = 4705,
  [4793] = 4707,
  [4794] = 4704,
  [4795] = 4705,
  [4796] = 4704,
  [4797] = 4707,
  [4798] = 4707,
  [4799] = 4707,
  [4800] = 4704,
  [4801] = 4707,
  [4802] = 4712,
  [4803] = 4705,
  [4804] = 4704,
  [4805] = 4707,
  [4806] = 4705,
  [4807] = 4705,
  [4808] = 4705,
  [4809] = 4705,
  [4810] = 4704,
  [4811] = 4707,
  [4812] = 4707,
  [4813] = 4705,
  [4814] = 4705,
  [4815] = 4707,
  [4816] = 4707,
  [4817] = 4704,
  [4818] = 4704,
  [4819] = 4704,
  [4820] = 4707,
  [4821] = 4705,
  [4822] = 4707,
  [4823] = 4705,
  [4824] = 4705,
  [4825] = 4704,
  [4826] = 4704,
  [4827] = 4705,
  [4828] = 4704,
  [4829] = 4705,
  [4830] = 4707,
  [4831] = 4705,
  [4832] = 4704,
  [4833] = 4707,
  [4834] = 4704,
  [4835] = 4704,
  [4836] = 4707,
  [4837] = 4707,
  [4838] = 4705,
  [4839] = 4707,
  [4840] = 4704,
  [4841] = 4705,
  [4842] = 4712,
  [4843] = 4704,
  [4844] = 4707,
  [4845] = 4705,
  [4846] = 4705,
  [4847] = 4705,
  [4848] = 4707,
  [4849] = 4704,
  [4850] = 4707,
  [4851] = 4704,
  [4852] = 4704,
  [4853] = 4704,
  [4854] = 4707,
  [4855] = 4707,
  [4856] = 4707,
  [4857] = 4705,
  [4858] = 4705,
  [4859] = 4712,
  [4860] = 4705,
  [4861] = 4705,
  [4862] = 4704,
  [4863] = 4705,
  [4864] = 4705,
  [4865] = 4704,
  [4866] = 4704,
  [4867] = 4707,
  [4868] = 4712,
  [4869] = 4704,
  [4870] = 4704,
  [4871] = 4707,
  [4872] = 4707,
  [4873] = 4707,
  [4874] = 4707,
  [4875] = 4705,
  [4876] = 4704,
  [4877] = 4705,
  [4878] = 4712,
  [4879] = 4879,
  [4880] = 4879,
  [4881] = 4879,
  [4882] = 4879,
  [4883] = 4883,
  [4884] = 4879,
  [4885] = 4879,
  [4886] = 4879,
  [4887] = 4879,
  [4888] = 4879,
  [4889] = 4889,
  [4890] = 4890,
  [4891] = 4890,
  [4892] = 4890,
  [4893] = 376,
  [4894] = 4889,
  [4895] = 4889,
  [4896] = 4890,
  [4897] = 4890,
  [4898] = 4898,
  [4899] = 4890,
  [4900] = 378,
  [4901] = 4901,
  [4902] = 4889,
  [4903] = 4890,
  [4904] = 384,
  [4905] = 375,
  [4906] = 4889,
  [4907] = 381,
  [4908] = 379,
  [4909] = 388,
  [4910] = 4910,
  [4911] = 4911,
  [4912] = 383,
  [4913] = 4889,
  [4914] = 4889,
  [4915] = 4890,
  [4916] = 372,
  [4917] = 4917,
  [4918] = 4918,
  [4919] = 4890,
  [4920] = 4889,
  [4921] = 4921,
  [4922] = 4921,
  [4923] = 982,
  [4924] = 4921,
  [4925] = 4921,
  [4926] = 4926,
  [4927] = 4927,
  [4928] = 4921,
  [4929] = 4921,
  [4930] = 4921,
  [4931] = 4931,
  [4932] = 4921,
  [4933] = 4921,
  [4934] = 4921,
  [4935] = 370,
  [4936] = 4936,
  [4937] = 4937,
  [4938] = 4938,
  [4939] = 4937,
  [4940] = 4940,
  [4941] = 4937,
  [4942] = 4942,
  [4943] = 4943,
  [4944] = 4943,
  [4945] = 4943,
  [4946] = 4940,
  [4947] = 4940,
  [4948] = 4938,
  [4949] = 4942,
  [4950] = 369,
  [4951] = 4951,
  [4952] = 4952,
  [4953] = 4943,
  [4954] = 367,
  [4955] = 4940,
  [4956] = 4938,
  [4957] = 4937,
  [4958] = 4937,
  [4959] = 4943,
  [4960] = 4940,
  [4961] = 4940,
  [4962] = 4942,
  [4963] = 4937,
  [4964] = 4940,
  [4965] = 4937,
  [4966] = 4943,
  [4967] = 4940,
  [4968] = 368,
  [4969] = 4937,
  [4970] = 4943,
  [4971] = 4943,
  [4972] = 4972,
  [4973] = 383,
  [4974] = 385,
  [4975] = 4975,
  [4976] = 378,
  [4977] = 4977,
  [4978] = 372,
  [4979] = 389,
  [4980] = 379,
  [4981] = 4981,
  [4982] = 377,
  [4983] = 373,
  [4984] = 4984,
  [4985] = 4985,
  [4986] = 381,
  [4987] = 376,
  [4988] = 384,
  [4989] = 391,
  [4990] = 373,
  [4991] = 378,
  [4992] = 381,
  [4993] = 381,
  [4994] = 375,
  [4995] = 375,
  [4996] = 379,
  [4997] = 382,
  [4998] = 386,
  [4999] = 4981,
  [5000] = 390,
  [5001] = 5001,
  [5002] = 376,
  [5003] = 383,
  [5004] = 4981,
  [5005] = 375,
  [5006] = 387,
  [5007] = 384,
  [5008] = 388,
  [5009] = 374,
  [5010] = 380,
  [5011] = 374,
  [5012] = 5012,
  [5013] = 5013,
  [5014] = 5014,
  [5015] = 5015,
  [5016] = 5016,
  [5017] = 5017,
  [5018] = 5018,
  [5019] = 5019,
  [5020] = 5020,
  [5021] = 5021,
  [5022] = 5022,
  [5023] = 5023,
  [5024] = 5024,
  [5025] = 5025,
  [5026] = 5026,
  [5027] = 5027,
  [5028] = 5024,
  [5029] = 5029,
  [5030] = 5030,
  [5031] = 5031,
  [5032] = 5032,
  [5033] = 5033,
  [5034] = 5034,
  [5035] = 5030,
  [5036] = 5036,
  [5037] = 5037,
  [5038] = 5038,
  [5039] = 5039,
  [5040] = 5040,
  [5041] = 5024,
  [5042] = 397,
  [5043] = 5043,
  [5044] = 370,
  [5045] = 5045,
  [5046] = 5030,
  [5047] = 5047,
  [5048] = 5048,
  [5049] = 2131,
  [5050] = 5050,
  [5051] = 5051,
  [5052] = 2129,
  [5053] = 5053,
  [5054] = 2146,
  [5055] = 5055,
  [5056] = 5056,
  [5057] = 5057,
  [5058] = 2147,
  [5059] = 5059,
  [5060] = 5059,
  [5061] = 5061,
  [5062] = 5059,
  [5063] = 5057,
  [5064] = 5064,
  [5065] = 5065,
  [5066] = 5066,
  [5067] = 5067,
  [5068] = 5057,
  [5069] = 5069,
  [5070] = 5070,
  [5071] = 5071,
  [5072] = 5072,
  [5073] = 5070,
  [5074] = 5064,
  [5075] = 5065,
  [5076] = 5066,
  [5077] = 5072,
  [5078] = 5078,
  [5079] = 5079,
  [5080] = 5080,
  [5081] = 5048,
  [5082] = 5070,
  [5083] = 5048,
  [5084] = 5078,
  [5085] = 5080,
  [5086] = 5069,
  [5087] = 5079,
  [5088] = 5064,
  [5089] = 5089,
  [5090] = 5065,
  [5091] = 5091,
  [5092] = 5056,
  [5093] = 5066,
  [5094] = 5094,
  [5095] = 5095,
  [5096] = 5079,
  [5097] = 5078,
  [5098] = 5098,
  [5099] = 5099,
  [5100] = 5072,
  [5101] = 376,
  [5102] = 384,
  [5103] = 383,
  [5104] = 5066,
  [5105] = 5065,
  [5106] = 367,
  [5107] = 5107,
  [5108] = 5108,
  [5109] = 5109,
  [5110] = 5080,
  [5111] = 368,
  [5112] = 5048,
  [5113] = 369,
  [5114] = 5114,
  [5115] = 5115,
  [5116] = 5116,
  [5117] = 5064,
  [5118] = 5069,
  [5119] = 5119,
  [5120] = 5057,
  [5121] = 5059,
  [5122] = 5070,
  [5123] = 5123,
  [5124] = 5067,
  [5125] = 5125,
  [5126] = 5126,
  [5127] = 5071,
  [5128] = 5128,
  [5129] = 5129,
  [5130] = 5130,
  [5131] = 5131,
  [5132] = 5132,
  [5133] = 5133,
  [5134] = 5080,
  [5135] = 5079,
  [5136] = 5136,
  [5137] = 5137,
  [5138] = 5056,
  [5139] = 5067,
  [5140] = 5069,
  [5141] = 5072,
  [5142] = 5071,
  [5143] = 5078,
  [5144] = 383,
  [5145] = 383,
  [5146] = 384,
  [5147] = 389,
  [5148] = 376,
  [5149] = 384,
  [5150] = 5150,
  [5151] = 5151,
  [5152] = 376,
  [5153] = 381,
  [5154] = 391,
  [5155] = 378,
  [5156] = 385,
  [5157] = 5157,
  [5158] = 379,
  [5159] = 375,
  [5160] = 380,
  [5161] = 5161,
  [5162] = 376,
  [5163] = 5163,
  [5164] = 5164,
  [5165] = 384,
  [5166] = 383,
  [5167] = 5167,
  [5168] = 5168,
  [5169] = 5169,
  [5170] = 5170,
  [5171] = 5171,
  [5172] = 382,
  [5173] = 5173,
  [5174] = 387,
  [5175] = 386,
  [5176] = 5176,
  [5177] = 5177,
  [5178] = 377,
  [5179] = 388,
  [5180] = 372,
  [5181] = 2272,
  [5182] = 5182,
  [5183] = 5183,
  [5184] = 1345,
  [5185] = 391,
  [5186] = 381,
  [5187] = 5170,
  [5188] = 390,
  [5189] = 373,
  [5190] = 380,
  [5191] = 5191,
  [5192] = 374,
  [5193] = 5193,
  [5194] = 1348,
  [5195] = 5195,
  [5196] = 5196,
  [5197] = 5197,
  [5198] = 385,
  [5199] = 2278,
  [5200] = 5200,
  [5201] = 5170,
  [5202] = 389,
  [5203] = 2274,
  [5204] = 379,
  [5205] = 5205,
  [5206] = 378,
  [5207] = 375,
  [5208] = 2273,
  [5209] = 5209,
  [5210] = 5210,
  [5211] = 5211,
  [5212] = 5212,
  [5213] = 5210,
  [5214] = 5214,
  [5215] = 5215,
  [5216] = 5216,
  [5217] = 5210,
  [5218] = 5210,
  [5219] = 5219,
  [5220] = 5220,
  [5221] = 5221,
  [5222] = 5222,
  [5223] = 5210,
  [5224] = 5224,
  [5225] = 5225,
  [5226] = 5226,
  [5227] = 5215,
  [5228] = 372,
  [5229] = 5229,
  [5230] = 5226,
  [5231] = 5215,
  [5232] = 5210,
  [5233] = 388,
  [5234] = 5229,
  [5235] = 5210,
  [5236] = 5236,
  [5237] = 5210,
  [5238] = 389,
  [5239] = 5210,
  [5240] = 5236,
  [5241] = 5215,
  [5242] = 5210,
  [5243] = 5215,
  [5244] = 2129,
  [5245] = 5210,
  [5246] = 5210,
  [5247] = 5236,
  [5248] = 5215,
  [5249] = 2131,
  [5250] = 385,
  [5251] = 5210,
  [5252] = 5252,
  [5253] = 5253,
  [5254] = 2094,
  [5255] = 5053,
  [5256] = 5256,
  [5257] = 5257,
  [5258] = 5215,
  [5259] = 5259,
  [5260] = 5260,
  [5261] = 5215,
  [5262] = 5210,
  [5263] = 383,
  [5264] = 5210,
  [5265] = 5265,
  [5266] = 5266,
  [5267] = 5210,
  [5268] = 5215,
  [5269] = 5210,
  [5270] = 5270,
  [5271] = 5215,
  [5272] = 5272,
  [5273] = 5226,
  [5274] = 5210,
  [5275] = 5275,
  [5276] = 5276,
  [5277] = 5277,
  [5278] = 5278,
  [5279] = 397,
  [5280] = 380,
  [5281] = 5281,
  [5282] = 5282,
  [5283] = 381,
  [5284] = 5284,
  [5285] = 5285,
  [5286] = 5286,
  [5287] = 5210,
  [5288] = 5210,
  [5289] = 5289,
  [5290] = 5215,
  [5291] = 5215,
  [5292] = 5292,
  [5293] = 5293,
  [5294] = 5226,
  [5295] = 5210,
  [5296] = 5210,
  [5297] = 5210,
  [5298] = 5298,
  [5299] = 5210,
  [5300] = 397,
  [5301] = 5210,
  [5302] = 5210,
  [5303] = 5210,
  [5304] = 5215,
  [5305] = 383,
  [5306] = 5210,
  [5307] = 5053,
  [5308] = 5210,
  [5309] = 384,
  [5310] = 376,
  [5311] = 5210,
  [5312] = 5210,
  [5313] = 5210,
  [5314] = 5226,
  [5315] = 5315,
  [5316] = 5316,
  [5317] = 5317,
  [5318] = 5229,
  [5319] = 5215,
  [5320] = 2146,
  [5321] = 5210,
  [5322] = 5210,
  [5323] = 5226,
  [5324] = 2147,
  [5325] = 5210,
  [5326] = 5326,
  [5327] = 5327,
  [5328] = 5210,
  [5329] = 5329,
  [5330] = 5330,
  [5331] = 5215,
  [5332] = 5332,
  [5333] = 5333,
  [5334] = 5210,
  [5335] = 5335,
  [5336] = 5336,
  [5337] = 5210,
  [5338] = 380,
  [5339] = 5215,
  [5340] = 5210,
  [5341] = 384,
  [5342] = 5210,
  [5343] = 5210,
  [5344] = 5215,
  [5345] = 375,
  [5346] = 5215,
  [5347] = 5215,
  [5348] = 5210,
  [5349] = 385,
  [5350] = 5210,
  [5351] = 389,
  [5352] = 5215,
  [5353] = 376,
  [5354] = 5226,
  [5355] = 5355,
  [5356] = 5210,
  [5357] = 5357,
  [5358] = 5358,
  [5359] = 5226,
  [5360] = 5360,
  [5361] = 5215,
  [5362] = 5215,
  [5363] = 5363,
  [5364] = 5210,
  [5365] = 5215,
  [5366] = 5210,
  [5367] = 5367,
  [5368] = 5210,
  [5369] = 5369,
  [5370] = 5370,
  [5371] = 5371,
  [5372] = 5210,
  [5373] = 5373,
  [5374] = 5373,
  [5375] = 5373,
  [5376] = 5373,
  [5377] = 5377,
  [5378] = 5378,
  [5379] = 5373,
  [5380] = 5191,
  [5381] = 5373,
  [5382] = 5382,
  [5383] = 5383,
  [5384] = 5383,
  [5385] = 5383,
  [5386] = 5373,
  [5387] = 5373,
  [5388] = 5373,
  [5389] = 5383,
  [5390] = 5390,
  [5391] = 5373,
  [5392] = 5373,
  [5393] = 5383,
  [5394] = 5394,
  [5395] = 5373,
  [5396] = 5396,
  [5397] = 5195,
  [5398] = 5373,
  [5399] = 5373,
  [5400] = 5373,
  [5401] = 5383,
  [5402] = 5373,
  [5403] = 5383,
  [5404] = 5373,
  [5405] = 5373,
  [5406] = 5373,
  [5407] = 5373,
  [5408] = 5373,
  [5409] = 5409,
  [5410] = 5383,
  [5411] = 5390,
  [5412] = 5373,
  [5413] = 5373,
  [5414] = 5373,
  [5415] = 5373,
  [5416] = 5416,
  [5417] = 5417,
  [5418] = 5383,
  [5419] = 5373,
  [5420] = 5373,
  [5421] = 380,
  [5422] = 5373,
  [5423] = 390,
  [5424] = 5373,
  [5425] = 377,
  [5426] = 5373,
  [5427] = 5373,
  [5428] = 385,
  [5429] = 389,
  [5430] = 5383,
  [5431] = 5383,
  [5432] = 5383,
  [5433] = 5373,
  [5434] = 5383,
  [5435] = 5435,
  [5436] = 5373,
  [5437] = 5437,
  [5438] = 5383,
  [5439] = 5377,
  [5440] = 5440,
  [5441] = 5373,
  [5442] = 5383,
  [5443] = 5177,
  [5444] = 5373,
  [5445] = 5445,
  [5446] = 5177,
  [5447] = 5191,
  [5448] = 5383,
  [5449] = 2273,
  [5450] = 5373,
  [5451] = 5195,
  [5452] = 5373,
  [5453] = 2272,
  [5454] = 2182,
  [5455] = 5383,
  [5456] = 2278,
  [5457] = 5373,
  [5458] = 5458,
  [5459] = 5373,
  [5460] = 5373,
  [5461] = 5383,
  [5462] = 5373,
  [5463] = 5373,
  [5464] = 5390,
  [5465] = 5383,
  [5466] = 2274,
  [5467] = 5373,
  [5468] = 5468,
  [5469] = 5383,
  [5470] = 5383,
  [5471] = 5471,
  [5472] = 2206,
  [5473] = 5373,
  [5474] = 5373,
  [5475] = 5373,
  [5476] = 5373,
  [5477] = 5383,
  [5478] = 5373,
  [5479] = 5479,
  [5480] = 5373,
  [5481] = 5377,
  [5482] = 382,
  [5483] = 5373,
  [5484] = 5445,
  [5485] = 5383,
  [5486] = 5445,
  [5487] = 5373,
  [5488] = 5373,
  [5489] = 5373,
  [5490] = 5490,
  [5491] = 5491,
  [5492] = 5492,
  [5493] = 5493,
  [5494] = 5494,
  [5495] = 5495,
  [5496] = 5495,
  [5497] = 5497,
  [5498] = 5495,
  [5499] = 5494,
  [5500] = 5500,
  [5501] = 5490,
  [5502] = 5495,
  [5503] = 5495,
  [5504] = 5495,
  [5505] = 5497,
  [5506] = 5506,
  [5507] = 5507,
  [5508] = 5492,
  [5509] = 5509,
  [5510] = 5500,
  [5511] = 5490,
  [5512] = 5512,
  [5513] = 5495,
  [5514] = 5495,
  [5515] = 5494,
  [5516] = 5497,
  [5517] = 5517,
  [5518] = 5507,
  [5519] = 5507,
  [5520] = 5490,
  [5521] = 5500,
  [5522] = 5495,
  [5523] = 5492,
  [5524] = 5507,
  [5525] = 5507,
  [5526] = 5500,
  [5527] = 5492,
  [5528] = 5507,
  [5529] = 5512,
  [5530] = 5493,
  [5531] = 5495,
  [5532] = 5494,
  [5533] = 5494,
  [5534] = 5492,
  [5535] = 5495,
  [5536] = 5490,
  [5537] = 5500,
  [5538] = 5490,
  [5539] = 5497,
  [5540] = 5495,
  [5541] = 5497,
  [5542] = 5497,
  [5543] = 5490,
  [5544] = 5544,
  [5545] = 5490,
  [5546] = 5546,
  [5547] = 5547,
  [5548] = 5500,
  [5549] = 5495,
  [5550] = 5550,
  [5551] = 5551,
  [5552] = 5552,
  [5553] = 5553,
  [5554] = 5492,
  [5555] = 5507,
  [5556] = 5556,
  [5557] = 5557,
  [5558] = 5495,
  [5559] = 5500,
  [5560] = 5560,
  [5561] = 5561,
  [5562] = 5492,
  [5563] = 5563,
  [5564] = 5564,
  [5565] = 5507,
  [5566] = 5495,
  [5567] = 5495,
  [5568] = 5494,
  [5569] = 5497,
  [5570] = 5497,
  [5571] = 5494,
  [5572] = 5494,
  [5573] = 5573,
  [5574] = 5507,
  [5575] = 5497,
  [5576] = 5495,
  [5577] = 5490,
  [5578] = 5578,
  [5579] = 5500,
  [5580] = 5580,
  [5581] = 5492,
  [5582] = 5507,
  [5583] = 5494,
  [5584] = 5497,
  [5585] = 5495,
  [5586] = 5490,
  [5587] = 5493,
  [5588] = 5492,
  [5589] = 5512,
  [5590] = 5490,
  [5591] = 5494,
  [5592] = 5492,
  [5593] = 5507,
  [5594] = 5495,
  [5595] = 5494,
  [5596] = 5497,
  [5597] = 5490,
  [5598] = 5500,
  [5599] = 5492,
  [5600] = 5500,
  [5601] = 5495,
  [5602] = 5494,
  [5603] = 5507,
  [5604] = 5492,
  [5605] = 5507,
  [5606] = 5500,
  [5607] = 5494,
  [5608] = 5495,
  [5609] = 5494,
  [5610] = 5500,
  [5611] = 5552,
  [5612] = 5490,
  [5613] = 5492,
  [5614] = 5497,
  [5615] = 5495,
  [5616] = 5497,
  [5617] = 5507,
  [5618] = 5492,
  [5619] = 5500,
  [5620] = 5490,
  [5621] = 5500,
  [5622] = 5495,
  [5623] = 5492,
  [5624] = 5492,
  [5625] = 5490,
  [5626] = 5556,
  [5627] = 5507,
  [5628] = 5497,
  [5629] = 5495,
  [5630] = 5494,
  [5631] = 5552,
  [5632] = 5497,
  [5633] = 5556,
  [5634] = 5490,
  [5635] = 5635,
  [5636] = 5495,
  [5637] = 5497,
  [5638] = 5507,
  [5639] = 5500,
  [5640] = 5640,
  [5641] = 5641,
  [5642] = 5494,
  [5643] = 5495,
  [5644] = 5644,
  [5645] = 5557,
  [5646] = 5507,
  [5647] = 5492,
  [5648] = 5507,
  [5649] = 5492,
  [5650] = 5495,
  [5651] = 5651,
  [5652] = 5500,
  [5653] = 5653,
  [5654] = 5654,
  [5655] = 5560,
  [5656] = 5490,
  [5657] = 5495,
  [5658] = 5500,
  [5659] = 5561,
  [5660] = 5497,
  [5661] = 5490,
  [5662] = 5500,
  [5663] = 5663,
  [5664] = 5495,
  [5665] = 5497,
  [5666] = 5492,
  [5667] = 5563,
  [5668] = 5564,
  [5669] = 5507,
  [5670] = 5494,
  [5671] = 5495,
  [5672] = 5494,
  [5673] = 5494,
  [5674] = 5674,
  [5675] = 5675,
  [5676] = 5676,
  [5677] = 5507,
  [5678] = 5495,
  [5679] = 5679,
  [5680] = 5495,
  [5681] = 5497,
  [5682] = 5490,
  [5683] = 5492,
  [5684] = 5497,
  [5685] = 5495,
  [5686] = 5500,
  [5687] = 5492,
  [5688] = 5507,
  [5689] = 5497,
  [5690] = 5690,
  [5691] = 5490,
  [5692] = 5495,
  [5693] = 5500,
  [5694] = 5492,
  [5695] = 5551,
  [5696] = 5507,
  [5697] = 5553,
  [5698] = 5490,
  [5699] = 5495,
  [5700] = 5494,
  [5701] = 5494,
  [5702] = 5573,
  [5703] = 5494,
  [5704] = 5500,
  [5705] = 5490,
  [5706] = 5495,
  [5707] = 5497,
  [5708] = 5557,
  [5709] = 5709,
  [5710] = 5497,
  [5711] = 5490,
  [5712] = 5500,
  [5713] = 5495,
  [5714] = 5578,
  [5715] = 5492,
  [5716] = 5507,
  [5717] = 5580,
  [5718] = 5500,
  [5719] = 5663,
  [5720] = 5495,
  [5721] = 5679,
  [5722] = 5690,
  [5723] = 5494,
  [5724] = 5490,
  [5725] = 5500,
  [5726] = 5560,
  [5727] = 5495,
  [5728] = 5561,
  [5729] = 5492,
  [5730] = 5507,
  [5731] = 5497,
  [5732] = 5578,
  [5733] = 5580,
  [5734] = 5495,
  [5735] = 5490,
  [5736] = 5492,
  [5737] = 5500,
  [5738] = 5490,
  [5739] = 5739,
  [5740] = 5500,
  [5741] = 5495,
  [5742] = 5492,
  [5743] = 5507,
  [5744] = 5497,
  [5745] = 5494,
  [5746] = 5494,
  [5747] = 5494,
  [5748] = 5495,
  [5749] = 5490,
  [5750] = 5750,
  [5751] = 5750,
  [5752] = 5752,
  [5753] = 5500,
  [5754] = 5492,
  [5755] = 5495,
  [5756] = 5507,
  [5757] = 5497,
  [5758] = 5494,
  [5759] = 5500,
  [5760] = 5492,
  [5761] = 5752,
  [5762] = 5495,
  [5763] = 5507,
  [5764] = 5497,
  [5765] = 5490,
  [5766] = 5497,
  [5767] = 5767,
  [5768] = 5767,
  [5769] = 5490,
  [5770] = 5500,
  [5771] = 5492,
  [5772] = 5507,
  [5773] = 5500,
  [5774] = 5494,
  [5775] = 5492,
  [5776] = 5494,
  [5777] = 5497,
  [5778] = 5490,
  [5779] = 5779,
  [5780] = 5556,
  [5781] = 5492,
  [5782] = 5507,
  [5783] = 5507,
  [5784] = 5494,
  [5785] = 5492,
  [5786] = 5500,
  [5787] = 5787,
  [5788] = 5497,
  [5789] = 5494,
  [5790] = 5563,
  [5791] = 5564,
  [5792] = 5792,
  [5793] = 5497,
  [5794] = 5490,
  [5795] = 5552,
  [5796] = 5500,
  [5797] = 5507,
  [5798] = 5573,
  [5799] = 5799,
  [5800] = 5800,
  [5801] = 5801,
  [5802] = 5802,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 5492,
  [5806] = 5806,
  [5807] = 5807,
  [5808] = 5808,
  [5809] = 5809,
  [5810] = 5810,
  [5811] = 5811,
  [5812] = 5507,
  [5813] = 5557,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5816,
  [5817] = 5573,
  [5818] = 5818,
  [5819] = 5819,
  [5820] = 5820,
  [5821] = 5821,
  [5822] = 5822,
  [5823] = 5709,
  [5824] = 5824,
  [5825] = 5825,
  [5826] = 5826,
  [5827] = 5495,
  [5828] = 5828,
  [5829] = 5829,
  [5830] = 5830,
  [5831] = 5831,
  [5832] = 5507,
  [5833] = 5833,
  [5834] = 5490,
  [5835] = 5560,
  [5836] = 5836,
  [5837] = 5492,
  [5838] = 5561,
  [5839] = 5500,
  [5840] = 5494,
  [5841] = 5494,
  [5842] = 5842,
  [5843] = 5500,
  [5844] = 5492,
  [5845] = 5845,
  [5846] = 5846,
  [5847] = 5847,
  [5848] = 5490,
  [5849] = 5497,
  [5850] = 5493,
  [5851] = 5563,
  [5852] = 5779,
  [5853] = 5512,
  [5854] = 5564,
  [5855] = 5497,
  [5856] = 5787,
  [5857] = 5497,
  [5858] = 5490,
  [5859] = 5497,
  [5860] = 5490,
  [5861] = 5792,
  [5862] = 5490,
  [5863] = 5500,
  [5864] = 5492,
  [5865] = 5494,
  [5866] = 5507,
  [5867] = 5674,
  [5868] = 5675,
  [5869] = 5497,
  [5870] = 5676,
  [5871] = 5494,
  [5872] = 5495,
  [5873] = 5497,
  [5874] = 5490,
  [5875] = 5875,
  [5876] = 5500,
  [5877] = 5492,
  [5878] = 5497,
  [5879] = 5507,
  [5880] = 5492,
  [5881] = 5500,
  [5882] = 5500,
  [5883] = 5497,
  [5884] = 5709,
  [5885] = 5490,
  [5886] = 5494,
  [5887] = 5493,
  [5888] = 5512,
  [5889] = 5500,
  [5890] = 5492,
  [5891] = 5507,
  [5892] = 5492,
  [5893] = 5500,
  [5894] = 5490,
  [5895] = 5497,
  [5896] = 5490,
  [5897] = 5497,
  [5898] = 5842,
  [5899] = 5492,
  [5900] = 5507,
  [5901] = 5507,
  [5902] = 5490,
  [5903] = 5494,
  [5904] = 5500,
  [5905] = 5905,
  [5906] = 5906,
  [5907] = 5907,
  [5908] = 5500,
  [5909] = 5909,
  [5910] = 5492,
  [5911] = 5494,
  [5912] = 5492,
  [5913] = 5500,
  [5914] = 5497,
  [5915] = 5490,
  [5916] = 5492,
  [5917] = 5917,
  [5918] = 5918,
  [5919] = 5500,
  [5920] = 5920,
  [5921] = 5490,
  [5922] = 5492,
  [5923] = 5923,
  [5924] = 5924,
  [5925] = 5925,
  [5926] = 5926,
  [5927] = 5927,
  [5928] = 5928,
  [5929] = 5929,
  [5930] = 5930,
  [5931] = 5931,
  [5932] = 5932,
  [5933] = 5933,
  [5934] = 5934,
  [5935] = 5500,
  [5936] = 5494,
  [5937] = 5494,
  [5938] = 5490,
  [5939] = 5490,
  [5940] = 5497,
  [5941] = 5497,
  [5942] = 5814,
  [5943] = 5492,
  [5944] = 5507,
  [5945] = 5573,
  [5946] = 5819,
  [5947] = 5492,
  [5948] = 5500,
  [5949] = 5709,
  [5950] = 5824,
  [5951] = 5500,
  [5952] = 5500,
  [5953] = 5490,
  [5954] = 5842,
  [5955] = 5490,
  [5956] = 5497,
  [5957] = 5497,
  [5958] = 5674,
  [5959] = 5675,
  [5960] = 5492,
  [5961] = 5490,
  [5962] = 5497,
  [5963] = 5490,
  [5964] = 5507,
  [5965] = 5507,
  [5966] = 5500,
  [5967] = 5676,
  [5968] = 5492,
  [5969] = 5492,
  [5970] = 5495,
  [5971] = 5507,
  [5972] = 5494,
  [5973] = 5500,
  [5974] = 5507,
  [5975] = 5492,
  [5976] = 5552,
  [5977] = 5490,
  [5978] = 5497,
  [5979] = 5500,
  [5980] = 5909,
  [5981] = 5824,
  [5982] = 5500,
  [5983] = 5490,
  [5984] = 5709,
  [5985] = 5507,
  [5986] = 5492,
  [5987] = 5500,
  [5988] = 5490,
  [5989] = 5497,
  [5990] = 5494,
  [5991] = 5497,
  [5992] = 5492,
  [5993] = 5494,
  [5994] = 5497,
  [5995] = 5500,
  [5996] = 5490,
  [5997] = 5490,
  [5998] = 5497,
  [5999] = 5500,
  [6000] = 5492,
  [6001] = 5507,
  [6002] = 5709,
  [6003] = 5492,
  [6004] = 5551,
  [6005] = 5553,
  [6006] = 5500,
  [6007] = 5490,
  [6008] = 5497,
  [6009] = 5497,
  [6010] = 5490,
  [6011] = 5663,
  [6012] = 5679,
  [6013] = 5690,
  [6014] = 5492,
  [6015] = 5500,
  [6016] = 5500,
  [6017] = 5494,
  [6018] = 5490,
  [6019] = 5497,
  [6020] = 5507,
  [6021] = 5492,
  [6022] = 5573,
  [6023] = 5819,
  [6024] = 5492,
  [6025] = 5709,
  [6026] = 5824,
  [6027] = 5500,
  [6028] = 5507,
  [6029] = 5842,
  [6030] = 5578,
  [6031] = 5909,
  [6032] = 5580,
  [6033] = 5492,
  [6034] = 5490,
  [6035] = 5750,
  [6036] = 5497,
  [6037] = 5752,
  [6038] = 5497,
  [6039] = 5767,
  [6040] = 5490,
  [6041] = 5492,
  [6042] = 5573,
  [6043] = 5819,
  [6044] = 5709,
  [6045] = 5490,
  [6046] = 5819,
  [6047] = 5497,
  [6048] = 5494,
  [6049] = 5492,
  [6050] = 5500,
  [6051] = 5779,
  [6052] = 5500,
  [6053] = 5787,
  [6054] = 5492,
  [6055] = 5792,
  [6056] = 5490,
  [6057] = 5497,
  [6058] = 5497,
  [6059] = 5819,
  [6060] = 5492,
  [6061] = 5819,
  [6062] = 5819,
  [6063] = 5819,
  [6064] = 5819,
  [6065] = 5819,
  [6066] = 5819,
  [6067] = 5819,
  [6068] = 5819,
  [6069] = 5819,
  [6070] = 5819,
  [6071] = 5819,
  [6072] = 5819,
  [6073] = 5819,
  [6074] = 5819,
  [6075] = 5819,
  [6076] = 5819,
  [6077] = 5819,
  [6078] = 5819,
  [6079] = 5819,
  [6080] = 5819,
  [6081] = 5819,
  [6082] = 5819,
  [6083] = 5819,
  [6084] = 5819,
  [6085] = 5819,
  [6086] = 5819,
  [6087] = 5819,
  [6088] = 5819,
  [6089] = 5819,
  [6090] = 5819,
  [6091] = 5819,
  [6092] = 5819,
  [6093] = 5819,
  [6094] = 5819,
  [6095] = 5819,
  [6096] = 5819,
  [6097] = 5819,
  [6098] = 5819,
  [6099] = 5819,
  [6100] = 5819,
  [6101] = 5819,
  [6102] = 6102,
  [6103] = 5500,
  [6104] = 5494,
  [6105] = 5490,
  [6106] = 6106,
  [6107] = 6107,
  [6108] = 5493,
  [6109] = 5490,
  [6110] = 5552,
  [6111] = 5512,
  [6112] = 5494,
  [6113] = 6102,
  [6114] = 5573,
  [6115] = 5814,
  [6116] = 5497,
  [6117] = 5552,
  [6118] = 6102,
  [6119] = 6102,
  [6120] = 6102,
  [6121] = 6102,
  [6122] = 6102,
  [6123] = 6102,
  [6124] = 6102,
  [6125] = 6102,
  [6126] = 6102,
  [6127] = 6102,
  [6128] = 6102,
  [6129] = 6102,
  [6130] = 6102,
  [6131] = 6102,
  [6132] = 6102,
  [6133] = 6102,
  [6134] = 6102,
  [6135] = 6102,
  [6136] = 6102,
  [6137] = 6102,
  [6138] = 6102,
  [6139] = 6102,
  [6140] = 6102,
  [6141] = 6102,
  [6142] = 6102,
  [6143] = 6102,
  [6144] = 6102,
  [6145] = 6102,
  [6146] = 6102,
  [6147] = 6102,
  [6148] = 6102,
  [6149] = 6102,
  [6150] = 6102,
  [6151] = 6102,
  [6152] = 6102,
  [6153] = 6102,
  [6154] = 6102,
  [6155] = 6102,
  [6156] = 6102,
  [6157] = 6102,
  [6158] = 6102,
  [6159] = 6102,
  [6160] = 6102,
  [6161] = 6102,
  [6162] = 6102,
  [6163] = 5500,
};

static inline bool sym_word_character_set_1(int32_t c) {
  return (c < '&'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || (c < '$'
        ? c == '"'
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c < '{'
        ? c == '`'
        : c <= '}')))));
}

static inline bool sym_word_character_set_2(int32_t c) {
  return (c < '&'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || (c < '$'
        ? c == '"'
        : c <= '$')))
    : (c <= ')' || (c < '`'
      ? (c < '['
        ? (c >= ';' && c <= '>')
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_3(int32_t c) {
  return (c < '$'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || c == '"'))
    : (c <= ')' || (c < '`'
      ? (c < '['
        ? (c >= ';' && c <= '>')
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_4(int32_t c) {
  return (c < '&'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || (c < '$'
        ? c == '"'
        : c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c >= '`' && c <= '}')))));
}

static inline bool sym_word_character_set_5(int32_t c) {
  return (c < ';'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || (c < '&'
        ? (c >= '"' && c <= '$')
        : c <= ')')))
    : (c <= '<' || (c < '`'
      ? (c < '['
        ? c == '>'
        : c <= ']')
      : (c <= '`' || (c >= '{' && c <= '}')))));
}

static inline bool sym_word_character_set_6(int32_t c) {
  return (c < '&'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : c <= '\r')
      : (c <= ' ' || (c >= '"' && c <= '$')))
    : (c <= ')' || (c < '['
      ? (c < '>'
        ? (c >= ';' && c <= '<')
        : c <= '>')
      : (c <= ']' || (c >= '`' && c <= '}')))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (eof) ADVANCE(510);
      if (lookahead == '!') ADVANCE(779);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(784);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(612);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(783);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == ',') ADVANCE(520);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '.') ADVANCE(900);
      if (lookahead == '/') ADVANCE(607);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ':') ADVANCE(722);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(786);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(796);
      if (lookahead == '@') ADVANCE(781);
      if (lookahead == '[') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(387);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == 'e') ADVANCE(907);
      if (lookahead == 'i') ADVANCE(906);
      if (lookahead == '{') ADVANCE(631);
      if (lookahead == '|') ADVANCE(555);
      if (lookahead == '}') ADVANCE(737);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(505)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(221)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(237)
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(238)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(239)
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(6)
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(653);
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(391);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(555);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(223)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(241)
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(242)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(226)
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(225)
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(654);
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(333);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(839);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(891);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(891);
      if (lookahead == '\r') ADVANCE(14);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(891);
      if (lookahead == '\r') ADVANCE(14);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\f' < lookahead)) ADVANCE(909);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(871);
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(108)
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(245)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(240)
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(165)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(168)
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(171)
      END_STATE();
    case 24:
      if (lookahead == '\n') ADVANCE(841);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(174)
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(843);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(177)
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(180)
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(183)
      END_STATE();
    case 30:
      if (lookahead == '\n') ADVANCE(851);
      END_STATE();
    case 31:
      if (lookahead == '\n') ADVANCE(853);
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(185)
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(276)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(187)
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(280)
      END_STATE();
    case 36:
      if (lookahead == '\n') ADVANCE(858);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(244)
      END_STATE();
    case 38:
      if (lookahead == '\n') ADVANCE(861);
      END_STATE();
    case 39:
      if (lookahead == '\n') ADVANCE(862);
      END_STATE();
    case 40:
      if (lookahead == '\n') ADVANCE(873);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(289)
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(195)
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(283)
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(279)
      END_STATE();
    case 45:
      if (lookahead == '\n') ADVANCE(866);
      END_STATE();
    case 46:
      if (lookahead == '\n') ADVANCE(875);
      END_STATE();
    case 47:
      if (lookahead == '\n') ADVANCE(876);
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(287)
      END_STATE();
    case 49:
      if (lookahead == '\n') ADVANCE(883);
      END_STATE();
    case 50:
      if (lookahead == '\n') ADVANCE(881);
      END_STATE();
    case 51:
      if (lookahead == '\n') ADVANCE(882);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(254)
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(255)
      END_STATE();
    case 54:
      if (lookahead == '\n') ADVANCE(885);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(243)
      END_STATE();
    case 56:
      if (lookahead == '\n') ADVANCE(872);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(262)
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(217)
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(260)
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(258)
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(261)
      END_STATE();
    case 62:
      if (lookahead == '\n') ADVANCE(840);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(64)
      END_STATE();
    case 64:
      if (lookahead == '\n') ADVANCE(655);
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '\\') SKIP(425)
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64)
      END_STATE();
    case 65:
      if (lookahead == '\n') ADVANCE(655);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(744);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '+') ADVANCE(316);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(318);
      if (lookahead == '0') ADVANCE(768);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '\\') SKIP(436)
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(770);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(621);
      END_STATE();
    case 66:
      if (lookahead == '\n') ADVANCE(655);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(437)
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == 'e') ADVANCE(330);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66)
      END_STATE();
    case 67:
      if (lookahead == '\n') ADVANCE(655);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '\\') SKIP(435)
      if (lookahead == 'e') ADVANCE(330);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67)
      END_STATE();
    case 68:
      if (lookahead == '\n') ADVANCE(655);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '<') ADVANCE(570);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(443)
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(332);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68)
      END_STATE();
    case 69:
      if (lookahead == '\n') ADVANCE(655);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(447)
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == 'i') ADVANCE(329);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69)
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(292)
      END_STATE();
    case 71:
      if (lookahead == '\n') ADVANCE(842);
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(257)
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(259)
      END_STATE();
    case 74:
      if (lookahead == '\n') ADVANCE(844);
      END_STATE();
    case 75:
      if (lookahead == '\n') ADVANCE(846);
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(219)
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(291)
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(296)
      END_STATE();
    case 79:
      if (lookahead == '\n') ADVANCE(869);
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(300)
      END_STATE();
    case 81:
      if (lookahead == '\n') ADVANCE(850);
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(297)
      END_STATE();
    case 83:
      if (lookahead == '\n') ADVANCE(879);
      END_STATE();
    case 84:
      if (lookahead == '\n') ADVANCE(870);
      END_STATE();
    case 85:
      if (lookahead == '\n') ADVANCE(886);
      END_STATE();
    case 86:
      if (lookahead == '\n') ADVANCE(887);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(270)
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(67)
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(65)
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(66)
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(273)
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(293)
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(303)
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(301)
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(294)
      END_STATE();
    case 96:
      if (lookahead == '\n') ADVANCE(854);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(68)
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(274)
      END_STATE();
    case 99:
      if (lookahead == '\n') ADVANCE(888);
      END_STATE();
    case 100:
      if (lookahead == '\n') ADVANCE(889);
      END_STATE();
    case 101:
      if (lookahead == '\n') ADVANCE(890);
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(302)
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(69)
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(295)
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(304)
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(227)
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(224)
      END_STATE();
    case 108:
      if (lookahead == '\n') ADVANCE(656);
      if (lookahead == '!') ADVANCE(902);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(397);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 109:
      if (lookahead == '\n') SKIP(162)
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(246)
      END_STATE();
    case 111:
      if (lookahead == '\n') SKIP(197)
      END_STATE();
    case 112:
      if (lookahead == '\n') SKIP(199)
      END_STATE();
    case 113:
      if (lookahead == '\n') SKIP(201)
      END_STATE();
    case 114:
      if (lookahead == '\n') ADVANCE(845);
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(203)
      END_STATE();
    case 116:
      if (lookahead == '\n') ADVANCE(847);
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(207)
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(205)
      END_STATE();
    case 119:
      if (lookahead == '\n') SKIP(213)
      END_STATE();
    case 120:
      if (lookahead == '\n') ADVANCE(856);
      END_STATE();
    case 121:
      if (lookahead == '\n') SKIP(209)
      END_STATE();
    case 122:
      if (lookahead == '\n') SKIP(211)
      END_STATE();
    case 123:
      if (lookahead == '\n') SKIP(281)
      END_STATE();
    case 124:
      if (lookahead == '\n') ADVANCE(859);
      END_STATE();
    case 125:
      if (lookahead == '\n') ADVANCE(865);
      END_STATE();
    case 126:
      if (lookahead == '\n') ADVANCE(874);
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(290)
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(218)
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(284)
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(277)
      END_STATE();
    case 131:
      if (lookahead == '\n') ADVANCE(868);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(288)
      END_STATE();
    case 133:
      if (lookahead == '\n') ADVANCE(884);
      END_STATE();
    case 134:
      if (lookahead == '\n') ADVANCE(880);
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(264)
      END_STATE();
    case 136:
      if (lookahead == '\n') ADVANCE(848);
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(263)
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(220)
      END_STATE();
    case 139:
      if (lookahead == '\n') ADVANCE(852);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(228)
      END_STATE();
    case 141:
      if (lookahead == '\n') ADVANCE(657);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(351);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == 'e') ADVANCE(836);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 142:
      if (lookahead == '\n') ADVANCE(849);
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(214)
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(215)
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(216)
      END_STATE();
    case 146:
      if (lookahead == '\n') ADVANCE(864);
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(285)
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(282)
      END_STATE();
    case 149:
      if (lookahead == '\n') ADVANCE(855);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(278)
      END_STATE();
    case 151:
      if (lookahead == '\n') ADVANCE(658);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(335);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(830);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(189)
      END_STATE();
    case 153:
      if (lookahead == '\n') ADVANCE(857);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(191)
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(193)
      END_STATE();
    case 156:
      if (lookahead == '\n') ADVANCE(860);
      END_STATE();
    case 157:
      if (lookahead == '\n') ADVANCE(863);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(286)
      END_STATE();
    case 159:
      if (lookahead == '\n') ADVANCE(867);
      END_STATE();
    case 160:
      if (lookahead == '\n') ADVANCE(877);
      END_STATE();
    case 161:
      if (lookahead == '\n') ADVANCE(878);
      END_STATE();
    case 162:
      if (lookahead == '\n') ADVANCE(659);
      if (lookahead == '!') ADVANCE(902);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(452);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 163:
      if (lookahead == '\n') ADVANCE(660);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 164:
      if (lookahead == '\n') ADVANCE(661);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(336);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 165:
      if (lookahead == '\n') ADVANCE(662);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(400);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(907);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 166:
      if (lookahead == '\n') ADVANCE(663);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(353);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 167:
      if (lookahead == '\n') ADVANCE(664);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(830);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 168:
      if (lookahead == '\n') ADVANCE(665);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(401);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 169:
      if (lookahead == '\n') ADVANCE(666);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(354);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 170:
      if (lookahead == '\n') ADVANCE(667);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 171:
      if (lookahead == '\n') ADVANCE(668);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(402);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 172:
      if (lookahead == '\n') ADVANCE(669);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(376);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 173:
      if (lookahead == '\n') ADVANCE(670);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(378);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 174:
      if (lookahead == '\n') ADVANCE(671);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(403);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(825);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 175:
      if (lookahead == '\n') ADVANCE(672);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(356);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 176:
      if (lookahead == '\n') ADVANCE(673);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(337);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 177:
      if (lookahead == '\n') ADVANCE(674);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(404);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 178:
      if (lookahead == '\n') ADVANCE(675);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(570);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(377);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(332);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 179:
      if (lookahead == '\n') ADVANCE(676);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(338);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(830);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 180:
      if (lookahead == '\n') ADVANCE(677);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(405);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(907);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 181:
      if (lookahead == '\n') ADVANCE(678);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == 'i') ADVANCE(835);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 182:
      if (lookahead == '\n') ADVANCE(679);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(380);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 183:
      if (lookahead == '\n') ADVANCE(680);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(406);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 184:
      if (lookahead == '\n') ADVANCE(681);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(369);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 185:
      if (lookahead == '\n') ADVANCE(682);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(407);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 186:
      if (lookahead == '\n') ADVANCE(683);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(381);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(830);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 187:
      if (lookahead == '\n') ADVANCE(684);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(409);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 188:
      if (lookahead == '\n') ADVANCE(685);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(339);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 189:
      if (lookahead == '\n') ADVANCE(686);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(479);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(907);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 190:
      if (lookahead == '\n') ADVANCE(687);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(370);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 191:
      if (lookahead == '\n') ADVANCE(688);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(480);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 192:
      if (lookahead == '\n') ADVANCE(689);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(382);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 193:
      if (lookahead == '\n') ADVANCE(690);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(481);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 194:
      if (lookahead == '\n') ADVANCE(691);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(340);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 195:
      if (lookahead == '\n') ADVANCE(692);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(413);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 196:
      if (lookahead == '\n') ADVANCE(693);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(341);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 197:
      if (lookahead == '\n') ADVANCE(694);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(454);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == 'e') ADVANCE(907);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 198:
      if (lookahead == '\n') ADVANCE(695);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(383);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 199:
      if (lookahead == '\n') ADVANCE(696);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(455);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 200:
      if (lookahead == '\n') ADVANCE(697);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(379);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 201:
      if (lookahead == '\n') ADVANCE(698);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 202:
      if (lookahead == '\n') ADVANCE(699);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(371);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 203:
      if (lookahead == '\n') ADVANCE(700);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(457);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == 'e') ADVANCE(825);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 204:
      if (lookahead == '\n') ADVANCE(701);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(343);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 205:
      if (lookahead == '\n') ADVANCE(702);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(459);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == 'e') ADVANCE(907);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 206:
      if (lookahead == '\n') ADVANCE(703);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(384);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 207:
      if (lookahead == '\n') ADVANCE(704);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(458);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(207)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 208:
      if (lookahead == '\n') ADVANCE(705);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(373);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(332);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 209:
      if (lookahead == '\n') ADVANCE(706);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(461);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 210:
      if (lookahead == '\n') ADVANCE(707);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(355);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 211:
      if (lookahead == '\n') ADVANCE(708);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(462);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(211)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 212:
      if (lookahead == '\n') ADVANCE(709);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(358);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 213:
      if (lookahead == '\n') ADVANCE(710);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(460);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 214:
      if (lookahead == '\n') ADVANCE(711);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(473);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == 'e') ADVANCE(907);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 215:
      if (lookahead == '\n') ADVANCE(712);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(474);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 216:
      if (lookahead == '\n') ADVANCE(713);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(475);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 217:
      if (lookahead == '\n') ADVANCE(714);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(421);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(907);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(217)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 218:
      if (lookahead == '\n') ADVANCE(715);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(465);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(332);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(218)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 219:
      if (lookahead == '\n') ADVANCE(716);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(429);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 220:
      if (lookahead == '\n') ADVANCE(717);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(471);
      if (lookahead == '`') ADVANCE(815);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 221:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(612);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == ',') ADVANCE(520);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '/') ADVANCE(607);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ':') ADVANCE(724);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(387);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == 'e') ADVANCE(907);
      if (lookahead == 'i') ADVANCE(906);
      if (lookahead == '{') ADVANCE(631);
      if (lookahead == '|') ADVANCE(555);
      if (lookahead == '}') ADVANCE(777);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 222:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(334);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 223:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(392);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(555);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 224:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(451);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 225:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(396);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 226:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ':') ADVANCE(724);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(395);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 227:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(450);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 228:
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(579);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(584);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(472);
      if (lookahead == ']') ADVANCE(746);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 229:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(350);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 230:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(342);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 231:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(372);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 232:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(344);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 233:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(345);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 234:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(385);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 235:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(386);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 236:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(357);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 237:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(306);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(388);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '{') ADVANCE(631);
      if (lookahead == '|') ADVANCE(553);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 238:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(389);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '{') ADVANCE(631);
      if (lookahead == '|') ADVANCE(554);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 239:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(390);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '{') ADVANCE(631);
      if (lookahead == '}') ADVANCE(745);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 240:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(399);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 241:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(306);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(393);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(907);
      if (lookahead == '{') ADVANCE(631);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 242:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(394);
      if (lookahead == ']') ADVANCE(745);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '{') ADVANCE(631);
      if (lookahead == '}') ADVANCE(632);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 243:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(419);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 244:
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(411);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 245:
      if (lookahead == '!') ADVANCE(902);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(398);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 246:
      if (lookahead == '!') ADVANCE(902);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(453);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 247:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(375);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 248:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(347);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 249:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 250:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(346);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 251:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(374);
      if (lookahead == ']') ADVANCE(325);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 252:
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(349);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 253:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(744);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '.') ADVANCE(319);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == ';') ADVANCE(306);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(417)
      if (lookahead == ']') ADVANCE(746);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(329);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(734);
      END_STATE();
    case 254:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(744);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == ';') ADVANCE(306);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(417)
      if (lookahead == ']') ADVANCE(746);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(330);
      if (lookahead == 'i') ADVANCE(329);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(254)
      END_STATE();
    case 255:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(314);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(418)
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(255)
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 256:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '\\') SKIP(427)
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '}') ADVANCE(737);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257)
      END_STATE();
    case 257:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '\\') SKIP(427)
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257)
      END_STATE();
    case 258:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(423)
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258)
      END_STATE();
    case 259:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') SKIP(428)
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259)
      END_STATE();
    case 260:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(422)
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260)
      END_STATE();
    case 261:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') SKIP(424)
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(557);
      if (lookahead == '}') ADVANCE(777);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261)
      END_STATE();
    case 262:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(420)
      if (lookahead == ']') ADVANCE(746);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262)
      END_STATE();
    case 263:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == ',') ADVANCE(519);
      if (lookahead == '-') ADVANCE(600);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(524);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '\\') SKIP(470)
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263)
      END_STATE();
    case 264:
      if (lookahead == '!') ADVANCE(322);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(469)
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264)
      END_STATE();
    case 265:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(359);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 266:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 267:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(553);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 268:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(268)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(752);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(757);
      END_STATE();
    case 269:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead == '_') ADVANCE(899);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 270:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(744);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '/') ADVANCE(606);
      if (lookahead == '0') ADVANCE(767);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(745);
      if (lookahead == '\\') SKIP(434)
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == '}') ADVANCE(777);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(270)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 271:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(271)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(753);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(757);
      END_STATE();
    case 272:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead == '_') ADVANCE(899);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 273:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(743);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') SKIP(438)
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '}') ADVANCE(777);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 274:
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(743);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') SKIP(444)
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 275:
      if (lookahead == '!') ADVANCE(778);
      if (lookahead == '#') ADVANCE(784);
      if (lookahead == '$') ADVANCE(743);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '=') ADVANCE(785);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') SKIP(438)
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '}') ADVANCE(777);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 276:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(408);
      if (lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 277:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(467);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(553);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(277)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 278:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(478);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(553);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 279:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(415);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(279)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 280:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(410);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 281:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(463);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(281)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 282:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(477);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 283:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(414);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(283)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 284:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(466);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(284)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 285:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(476);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(285)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 286:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(482);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(286)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 287:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(416);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(287)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 288:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(468);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 289:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(412);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(289)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 290:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(464);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(290)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 291:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(430);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '}') ADVANCE(777);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(291)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 292:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(426);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(907);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(292)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 293:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(744);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '+') ADVANCE(317);
      if (lookahead == '-') ADVANCE(318);
      if (lookahead == '0') ADVANCE(768);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '=') ADVANCE(522);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(439)
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(293)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(770);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(621);
      END_STATE();
    case 294:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(741);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(618);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == ';') ADVANCE(516);
      if (lookahead == '<') ADVANCE(576);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '\\') ADVANCE(442);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '{') ADVANCE(631);
      if (lookahead == '|') ADVANCE(553);
      if (lookahead == '}') ADVANCE(777);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(294)
      if (lookahead != 0 &&
          (lookahead < '[' || ']' < lookahead)) ADVANCE(909);
      END_STATE();
    case 295:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '\\') SKIP(448)
      if (lookahead == '}') ADVANCE(777);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(801);
      END_STATE();
    case 296:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(822);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(431);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(296)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 297:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(822);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(433);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(297)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          lookahead != '|') ADVANCE(909);
      END_STATE();
    case 298:
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(756);
      if (lookahead == '$') ADVANCE(742);
      if (lookahead == '(') ADVANCE(755);
      if (lookahead == '\\') ADVANCE(445);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(298)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(754);
      if (lookahead != 0) ADVANCE(757);
      END_STATE();
    case 299:
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == '*') ADVANCE(782);
      if (lookahead == '+') ADVANCE(792);
      if (lookahead == ',') ADVANCE(521);
      if (lookahead == '-') ADVANCE(789);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == ':') ADVANCE(723);
      if (lookahead == '=') ADVANCE(785);
      if (lookahead == '?') ADVANCE(795);
      if (lookahead == '@') ADVANCE(780);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') SKIP(432)
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '}') ADVANCE(777);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300)
      END_STATE();
    case 300:
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '%') ADVANCE(613);
      if (lookahead == ',') ADVANCE(521);
      if (lookahead == '/') ADVANCE(608);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') SKIP(432)
      if (lookahead == '^') ADVANCE(561);
      if (lookahead == '}') ADVANCE(777);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300)
      END_STATE();
    case 301:
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(331);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '-') ADVANCE(320);
      if (lookahead == '0') ADVANCE(767);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(441)
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(301)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 302:
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '%') ADVANCE(611);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '+') ADVANCE(594);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '/') ADVANCE(606);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == '<') ADVANCE(570);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '\\') SKIP(446)
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '}') ADVANCE(777);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(302)
      END_STATE();
    case 303:
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '[' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(440);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '`') ADVANCE(326);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(303)
      if (lookahead != 0 &&
          (lookahead < '"' || '$' < lookahead) &&
          (lookahead < '\'' || ')' < lookahead) &&
          lookahead != ';') ADVANCE(909);
      END_STATE();
    case 304:
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '+') ADVANCE(323);
      if (lookahead == '=') ADVANCE(522);
      if (lookahead == '[') ADVANCE(638);
      if (lookahead == '\\') SKIP(449)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(304)
      END_STATE();
    case 305:
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '>') ADVANCE(645);
      END_STATE();
    case 306:
      if (lookahead == '&') ADVANCE(629);
      if (lookahead == ';') ADVANCE(628);
      END_STATE();
    case 307:
      if (lookahead == '\'') ADVANCE(759);
      if (lookahead != 0) ADVANCE(307);
      END_STATE();
    case 308:
      if (lookahead == '\'') ADVANCE(760);
      if (lookahead == '\\') ADVANCE(309);
      if (lookahead != 0) ADVANCE(308);
      END_STATE();
    case 309:
      if (lookahead == '\'') ADVANCE(761);
      if (lookahead == '\\') ADVANCE(309);
      if (lookahead != 0) ADVANCE(308);
      END_STATE();
    case 310:
      if (lookahead == '(') ADVANCE(813);
      if (lookahead == '[') ADVANCE(733);
      if (lookahead == '`') ADVANCE(816);
      if (lookahead == '{') ADVANCE(776);
      END_STATE();
    case 311:
      if (lookahead == '(') ADVANCE(514);
      END_STATE();
    case 312:
      if (lookahead == '(') ADVANCE(817);
      END_STATE();
    case 313:
      if (lookahead == '(') ADVANCE(818);
      END_STATE();
    case 314:
      if (lookahead == '(') ADVANCE(812);
      if (lookahead == '`') ADVANCE(816);
      if (lookahead == '{') ADVANCE(776);
      END_STATE();
    case 315:
      if (lookahead == ')') ADVANCE(515);
      END_STATE();
    case 316:
      if (lookahead == '+') ADVANCE(527);
      END_STATE();
    case 317:
      if (lookahead == '+') ADVANCE(527);
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 318:
      if (lookahead == '-') ADVANCE(529);
      if (lookahead == '0') ADVANCE(768);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(770);
      END_STATE();
    case 319:
      if (lookahead == '.') ADVANCE(735);
      END_STATE();
    case 320:
      if (lookahead == '0') ADVANCE(768);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(770);
      END_STATE();
    case 321:
      if (lookahead == '<') ADVANCE(718);
      END_STATE();
    case 322:
      if (lookahead == '=') ADVANCE(568);
      END_STATE();
    case 323:
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 324:
      if (lookahead == '>') ADVANCE(645);
      END_STATE();
    case 325:
      if (lookahead == ']') ADVANCE(642);
      END_STATE();
    case 326:
      if (lookahead == '`') ADVANCE(738);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(326);
      END_STATE();
    case 327:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 328:
      if (lookahead == 'c') ADVANCE(622);
      END_STATE();
    case 329:
      if (lookahead == 'n') ADVANCE(511);
      END_STATE();
    case 330:
      if (lookahead == 's') ADVANCE(327);
      END_STATE();
    case 331:
      if (lookahead == '{') ADVANCE(776);
      END_STATE();
    case 332:
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 333:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(12)
      if (lookahead == '\n') ADVANCE(839);
      if (lookahead == '\r') ADVANCE(13);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 334:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(222)
      if (lookahead == '\n') ADVANCE(871);
      if (lookahead == '\r') ADVANCE(17);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 335:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(151)
      if (lookahead == '\n') ADVANCE(841);
      if (lookahead == '\r') ADVANCE(24);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 336:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(164)
      if (lookahead == '\n') ADVANCE(843);
      if (lookahead == '\r') ADVANCE(26);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 337:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(176)
      if (lookahead == '\n') ADVANCE(851);
      if (lookahead == '\r') ADVANCE(30);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 338:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(179)
      if (lookahead == '\n') ADVANCE(853);
      if (lookahead == '\r') ADVANCE(31);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 339:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(188)
      if (lookahead == '\n') ADVANCE(858);
      if (lookahead == '\r') ADVANCE(36);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 340:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(194)
      if (lookahead == '\n') ADVANCE(861);
      if (lookahead == '\r') ADVANCE(38);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 341:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(196)
      if (lookahead == '\n') ADVANCE(862);
      if (lookahead == '\r') ADVANCE(39);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 342:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(230)
      if (lookahead == '\n') ADVANCE(873);
      if (lookahead == '\r') ADVANCE(40);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 343:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(204)
      if (lookahead == '\n') ADVANCE(866);
      if (lookahead == '\r') ADVANCE(45);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 344:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(232)
      if (lookahead == '\n') ADVANCE(875);
      if (lookahead == '\r') ADVANCE(46);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 345:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(233)
      if (lookahead == '\n') ADVANCE(876);
      if (lookahead == '\r') ADVANCE(47);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 346:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(250)
      if (lookahead == '\n') ADVANCE(883);
      if (lookahead == '\r') ADVANCE(49);
      END_STATE();
    case 347:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(248)
      if (lookahead == '\n') ADVANCE(881);
      if (lookahead == '\r') ADVANCE(50);
      END_STATE();
    case 348:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(249)
      if (lookahead == '\n') ADVANCE(882);
      if (lookahead == '\r') ADVANCE(51);
      END_STATE();
    case 349:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(252)
      if (lookahead == '\n') ADVANCE(885);
      if (lookahead == '\r') ADVANCE(54);
      END_STATE();
    case 350:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(229)
      if (lookahead == '\n') ADVANCE(872);
      if (lookahead == '\r') ADVANCE(56);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 351:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(141)
      if (lookahead == '\n') ADVANCE(840);
      if (lookahead == '\r') ADVANCE(62);
      END_STATE();
    case 352:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(163)
      if (lookahead == '\n') ADVANCE(842);
      if (lookahead == '\r') ADVANCE(71);
      END_STATE();
    case 353:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(166)
      if (lookahead == '\n') ADVANCE(844);
      if (lookahead == '\r') ADVANCE(74);
      END_STATE();
    case 354:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(169)
      if (lookahead == '\n') ADVANCE(846);
      if (lookahead == '\r') ADVANCE(75);
      END_STATE();
    case 355:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(210)
      if (lookahead == '\n') ADVANCE(869);
      if (lookahead == '\r') ADVANCE(79);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 356:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(175)
      if (lookahead == '\n') ADVANCE(850);
      if (lookahead == '\r') ADVANCE(81);
      END_STATE();
    case 357:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(236)
      if (lookahead == '\n') ADVANCE(879);
      if (lookahead == '\r') ADVANCE(83);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 358:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(212)
      if (lookahead == '\n') ADVANCE(870);
      if (lookahead == '\r') ADVANCE(84);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 359:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(265)
      if (lookahead == '\n') ADVANCE(886);
      if (lookahead == '\r') ADVANCE(85);
      END_STATE();
    case 360:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(266)
      if (lookahead == '\n') ADVANCE(887);
      if (lookahead == '\r') ADVANCE(86);
      END_STATE();
    case 361:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(181)
      if (lookahead == '\n') ADVANCE(854);
      if (lookahead == '\r') ADVANCE(96);
      END_STATE();
    case 362:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(267)
      if (lookahead == '\n') ADVANCE(888);
      if (lookahead == '\r') ADVANCE(99);
      END_STATE();
    case 363:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(269)
      if (lookahead == '\n') ADVANCE(889);
      if (lookahead == '\r') ADVANCE(100);
      END_STATE();
    case 364:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') ADVANCE(752);
      if (lookahead == '\n') ADVANCE(752);
      if (lookahead == '\r') ADVANCE(749);
      if (lookahead != 0) ADVANCE(757);
      END_STATE();
    case 365:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') ADVANCE(753);
      if (lookahead == '\n') ADVANCE(753);
      if (lookahead == '\r') ADVANCE(750);
      if (lookahead != 0) ADVANCE(757);
      END_STATE();
    case 366:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(272)
      if (lookahead == '\n') ADVANCE(890);
      if (lookahead == '\r') ADVANCE(101);
      END_STATE();
    case 367:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(167)
      if (lookahead == '\n') ADVANCE(845);
      if (lookahead == '\r') ADVANCE(114);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 368:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(170)
      if (lookahead == '\n') ADVANCE(847);
      if (lookahead == '\r') ADVANCE(116);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 369:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(184)
      if (lookahead == '\n') ADVANCE(856);
      if (lookahead == '\r') ADVANCE(120);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 370:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(190)
      if (lookahead == '\n') ADVANCE(859);
      if (lookahead == '\r') ADVANCE(124);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 371:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(202)
      if (lookahead == '\n') ADVANCE(865);
      if (lookahead == '\r') ADVANCE(125);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 372:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(231)
      if (lookahead == '\n') ADVANCE(874);
      if (lookahead == '\r') ADVANCE(126);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 373:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(208)
      if (lookahead == '\n') ADVANCE(868);
      if (lookahead == '\r') ADVANCE(131);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 374:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(251)
      if (lookahead == '\n') ADVANCE(884);
      if (lookahead == '\r') ADVANCE(133);
      END_STATE();
    case 375:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(247)
      if (lookahead == '\n') ADVANCE(880);
      if (lookahead == '\r') ADVANCE(134);
      END_STATE();
    case 376:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(172)
      if (lookahead == '\n') ADVANCE(848);
      if (lookahead == '\r') ADVANCE(136);
      END_STATE();
    case 377:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(178)
      if (lookahead == '\n') ADVANCE(852);
      if (lookahead == '\r') ADVANCE(139);
      END_STATE();
    case 378:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(173)
      if (lookahead == '\n') ADVANCE(849);
      if (lookahead == '\r') ADVANCE(142);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 379:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(200)
      if (lookahead == '\n') ADVANCE(864);
      if (lookahead == '\r') ADVANCE(146);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 380:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(182)
      if (lookahead == '\n') ADVANCE(855);
      if (lookahead == '\r') ADVANCE(149);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 381:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(186)
      if (lookahead == '\n') ADVANCE(857);
      if (lookahead == '\r') ADVANCE(153);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 382:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(192)
      if (lookahead == '\n') ADVANCE(860);
      if (lookahead == '\r') ADVANCE(156);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 383:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(198)
      if (lookahead == '\n') ADVANCE(863);
      if (lookahead == '\r') ADVANCE(157);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 384:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(206)
      if (lookahead == '\n') ADVANCE(867);
      if (lookahead == '\r') ADVANCE(159);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 385:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(234)
      if (lookahead == '\n') ADVANCE(877);
      if (lookahead == '\r') ADVANCE(160);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 386:
      if (lookahead == '\t' ||
          lookahead == 11 ||
          lookahead == '\f' ||
          lookahead == ' ') SKIP(235)
      if (lookahead == '\n') ADVANCE(878);
      if (lookahead == '\r') ADVANCE(161);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 387:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(221)
      if (lookahead == '\r') SKIP(1)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 388:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(237)
      if (lookahead == '\r') SKIP(2)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 389:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(238)
      if (lookahead == '\r') SKIP(3)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 390:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(239)
      if (lookahead == '\r') SKIP(4)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 391:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(6)
      if (lookahead == '\r') SKIP(5)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 392:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(223)
      if (lookahead == '\r') SKIP(7)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 393:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(241)
      if (lookahead == '\r') SKIP(8)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 394:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(242)
      if (lookahead == '\r') SKIP(9)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 395:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(226)
      if (lookahead == '\r') SKIP(10)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 396:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(225)
      if (lookahead == '\r') SKIP(11)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 397:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(108)
      if (lookahead == '\r') SKIP(18)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 398:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(245)
      if (lookahead == '\r') SKIP(19)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 399:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(240)
      if (lookahead == '\r') SKIP(20)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 400:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(165)
      if (lookahead == '\r') SKIP(21)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 401:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(168)
      if (lookahead == '\r') SKIP(22)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 402:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(171)
      if (lookahead == '\r') SKIP(23)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 403:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(174)
      if (lookahead == '\r') SKIP(25)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 404:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(177)
      if (lookahead == '\r') SKIP(27)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 405:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(180)
      if (lookahead == '\r') SKIP(28)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 406:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(183)
      if (lookahead == '\r') SKIP(29)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 407:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(185)
      if (lookahead == '\r') SKIP(32)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 408:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(276)
      if (lookahead == '\r') SKIP(33)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 409:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(187)
      if (lookahead == '\r') SKIP(34)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 410:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(280)
      if (lookahead == '\r') SKIP(35)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 411:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(244)
      if (lookahead == '\r') SKIP(37)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 412:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(289)
      if (lookahead == '\r') SKIP(41)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 413:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(195)
      if (lookahead == '\r') SKIP(42)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 414:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(283)
      if (lookahead == '\r') SKIP(43)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 415:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(279)
      if (lookahead == '\r') SKIP(44)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 416:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(287)
      if (lookahead == '\r') SKIP(48)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 417:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(254)
      if (lookahead == '\r') SKIP(52)
      END_STATE();
    case 418:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(255)
      if (lookahead == '\r') SKIP(53)
      END_STATE();
    case 419:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(243)
      if (lookahead == '\r') SKIP(55)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 420:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(262)
      if (lookahead == '\r') SKIP(57)
      END_STATE();
    case 421:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(217)
      if (lookahead == '\r') SKIP(58)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 422:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(260)
      if (lookahead == '\r') SKIP(59)
      END_STATE();
    case 423:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(258)
      if (lookahead == '\r') SKIP(60)
      END_STATE();
    case 424:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(261)
      if (lookahead == '\r') SKIP(61)
      END_STATE();
    case 425:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(64)
      if (lookahead == '\r') SKIP(63)
      END_STATE();
    case 426:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(292)
      if (lookahead == '\r') SKIP(70)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 427:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(257)
      if (lookahead == '\r') SKIP(72)
      END_STATE();
    case 428:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(259)
      if (lookahead == '\r') SKIP(73)
      END_STATE();
    case 429:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(219)
      if (lookahead == '\r') SKIP(76)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 430:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(291)
      if (lookahead == '\r') SKIP(77)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 431:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(296)
      if (lookahead == '\r') SKIP(78)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 432:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(300)
      if (lookahead == '\r') SKIP(80)
      END_STATE();
    case 433:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(297)
      if (lookahead == '\r') SKIP(82)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 434:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(270)
      if (lookahead == '\r') SKIP(87)
      END_STATE();
    case 435:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(67)
      if (lookahead == '\r') SKIP(88)
      END_STATE();
    case 436:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(65)
      if (lookahead == '\r') SKIP(89)
      END_STATE();
    case 437:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(66)
      if (lookahead == '\r') SKIP(90)
      END_STATE();
    case 438:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(273)
      if (lookahead == '\r') SKIP(91)
      END_STATE();
    case 439:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(293)
      if (lookahead == '\r') SKIP(92)
      END_STATE();
    case 440:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(303)
      if (lookahead == '\r') SKIP(93)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 441:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(301)
      if (lookahead == '\r') SKIP(94)
      END_STATE();
    case 442:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(294)
      if (lookahead == '\r') SKIP(95)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 443:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(68)
      if (lookahead == '\r') SKIP(97)
      END_STATE();
    case 444:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(274)
      if (lookahead == '\r') SKIP(98)
      END_STATE();
    case 445:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(754);
      if (lookahead == '\r') ADVANCE(748);
      if (lookahead != 0) ADVANCE(757);
      END_STATE();
    case 446:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(302)
      if (lookahead == '\r') SKIP(102)
      END_STATE();
    case 447:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(69)
      if (lookahead == '\r') SKIP(103)
      END_STATE();
    case 448:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(295)
      if (lookahead == '\r') SKIP(104)
      END_STATE();
    case 449:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(304)
      if (lookahead == '\r') SKIP(105)
      END_STATE();
    case 450:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(227)
      if (lookahead == '\r') SKIP(106)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 451:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(224)
      if (lookahead == '\r') SKIP(107)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 452:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(162)
      if (lookahead == '\r') SKIP(109)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 453:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(246)
      if (lookahead == '\r') SKIP(110)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 454:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(197)
      if (lookahead == '\r') SKIP(111)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 455:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(199)
      if (lookahead == '\r') SKIP(112)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 456:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(201)
      if (lookahead == '\r') SKIP(113)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 457:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(203)
      if (lookahead == '\r') SKIP(115)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 458:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(207)
      if (lookahead == '\r') SKIP(117)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 459:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(205)
      if (lookahead == '\r') SKIP(118)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 460:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(213)
      if (lookahead == '\r') SKIP(119)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 461:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(209)
      if (lookahead == '\r') SKIP(121)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 462:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(211)
      if (lookahead == '\r') SKIP(122)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 463:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(281)
      if (lookahead == '\r') SKIP(123)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 464:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(290)
      if (lookahead == '\r') SKIP(127)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 465:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(218)
      if (lookahead == '\r') SKIP(128)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 466:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(284)
      if (lookahead == '\r') SKIP(129)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 467:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(277)
      if (lookahead == '\r') SKIP(130)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 468:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(288)
      if (lookahead == '\r') SKIP(132)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 469:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(264)
      if (lookahead == '\r') SKIP(135)
      END_STATE();
    case 470:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(263)
      if (lookahead == '\r') SKIP(137)
      END_STATE();
    case 471:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(220)
      if (lookahead == '\r') SKIP(138)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 472:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(228)
      if (lookahead == '\r') SKIP(140)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 473:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(214)
      if (lookahead == '\r') SKIP(143)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 474:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(215)
      if (lookahead == '\r') SKIP(144)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 475:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(216)
      if (lookahead == '\r') SKIP(145)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 476:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(285)
      if (lookahead == '\r') SKIP(147)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 477:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(282)
      if (lookahead == '\r') SKIP(148)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 478:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(278)
      if (lookahead == '\r') SKIP(150)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 479:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(189)
      if (lookahead == '\r') SKIP(152)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 480:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(191)
      if (lookahead == '\r') SKIP(154)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 481:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(193)
      if (lookahead == '\r') SKIP(155)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 482:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(286)
      if (lookahead == '\r') SKIP(158)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 483:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      END_STATE();
    case 484:
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(909);
      END_STATE();
    case 485:
      if (lookahead != 0 &&
          lookahead != '\r') ADVANCE(757);
      if (lookahead == '\r') ADVANCE(758);
      END_STATE();
    case 486:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(655);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(310);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(320);
      if (lookahead == '0') ADVANCE(767);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(577);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '\\') SKIP(508)
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (lookahead == '}') ADVANCE(777);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(486)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 487:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(655);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(507)
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(487)
      END_STATE();
    case 488:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(655);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') SKIP(509)
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(488)
      END_STATE();
    case 489:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') SKIP(487)
      END_STATE();
    case 490:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') SKIP(486)
      END_STATE();
    case 491:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') SKIP(488)
      END_STATE();
    case 492:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(667);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(492)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 493:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(668);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(402);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(493)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 494:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(669);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(376);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(494)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 495:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(679);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(380);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(495)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 496:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(680);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(406);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(496)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 497:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(684);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(409);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(497)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 498:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(687);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(370);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(498)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 499:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(690);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(481);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(499)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 500:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(697);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(379);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(500)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')') ADVANCE(909);
      END_STATE();
    case 501:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(698);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(456);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(501)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 502:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(708);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(462);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(502)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 503:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(710);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(763);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(460);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(503)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 504:
      if (eof) ADVANCE(510);
      if (lookahead == '\n') ADVANCE(713);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[' ||
          lookahead == ']' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '\\') ADVANCE(475);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(504)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 505:
      if (eof) ADVANCE(510);
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(612);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(729);
      if (lookahead == ',') ADVANCE(520);
      if (lookahead == '-') ADVANCE(727);
      if (lookahead == '/') ADVANCE(607);
      if (lookahead == '0') ADVANCE(895);
      if (lookahead == ':') ADVANCE(724);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(526);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '[') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(387);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(558);
      if (lookahead == '_') ADVANCE(897);
      if (lookahead == '`') ADVANCE(815);
      if (lookahead == 'e') ADVANCE(907);
      if (lookahead == 'i') ADVANCE(906);
      if (lookahead == '{') ADVANCE(631);
      if (lookahead == '|') ADVANCE(555);
      if (lookahead == '}') ADVANCE(777);
      if (lookahead == '~') ADVANCE(731);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(505)
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 506:
      if (eof) ADVANCE(510);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(821);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '-') ADVANCE(901);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == ';') ADVANCE(306);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '[') ADVANCE(639);
      if (lookahead == '\\') ADVANCE(388);
      if (lookahead == ']' ||
          lookahead == '}') ADVANCE(745);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '{') ADVANCE(631);
      if (lookahead == '|') ADVANCE(553);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(506)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (lookahead != 0) ADVANCE(909);
      END_STATE();
    case 507:
      if (eof) ADVANCE(510);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(487)
      if (lookahead == '\r') SKIP(489)
      END_STATE();
    case 508:
      if (eof) ADVANCE(510);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(486)
      if (lookahead == '\r') SKIP(490)
      END_STATE();
    case 509:
      if (eof) ADVANCE(510);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(488)
      if (lookahead == '\r') SKIP(491)
      END_STATE();
    case 510:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_in);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_LPAREN_LPAREN);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_RPAREN_RPAREN);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == '&') ADVANCE(629);
      if (lookahead == ';') ADVANCE(628);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(627);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_COMMA);
      if (lookahead == ',') ADVANCE(809);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_COMMA);
      if (lookahead == ',') ADVANCE(808);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == '~') ADVANCE(644);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(566);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(566);
      if (lookahead == '~') ADVANCE(643);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_DASHo);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_DASHa);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(633);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(633);
      if (lookahead == '=') ADVANCE(548);
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '&') ADVANCE(633);
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(548);
      if (lookahead == '|') ADVANCE(549);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == '^') ADVANCE(811);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(547);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(546);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '^') ADVANCE(810);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '=') ADVANCE(545);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '=') ADVANCE(545);
      if (lookahead == '>') ADVANCE(645);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(551);
      if (lookahead == '>') ADVANCE(645);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(647);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(647);
      if (lookahead == '(') ADVANCE(817);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(647);
      if (lookahead == '(') ADVANCE(817);
      if (lookahead == '<') ADVANCE(590);
      if (lookahead == '=') ADVANCE(586);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(647);
      if (lookahead == '(') ADVANCE(817);
      if (lookahead == '<') ADVANCE(321);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(647);
      if (lookahead == '(') ADVANCE(817);
      if (lookahead == '<') ADVANCE(589);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(647);
      if (lookahead == '(') ADVANCE(817);
      if (lookahead == '<') ADVANCE(588);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(647);
      if (lookahead == '<') ADVANCE(321);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(647);
      if (lookahead == '<') ADVANCE(589);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '&') ADVANCE(647);
      if (lookahead == '<') ADVANCE(588);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '(') ADVANCE(817);
      if (lookahead == '<') ADVANCE(591);
      if (lookahead == '=') ADVANCE(586);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(591);
      if (lookahead == '=') ADVANCE(586);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(648);
      if (lookahead == '(') ADVANCE(818);
      if (lookahead == '=') ADVANCE(587);
      if (lookahead == '>') ADVANCE(593);
      if (lookahead == '|') ADVANCE(649);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(648);
      if (lookahead == '(') ADVANCE(818);
      if (lookahead == '>') ADVANCE(592);
      if (lookahead == '|') ADVANCE(649);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '&') ADVANCE(648);
      if (lookahead == '>') ADVANCE(592);
      if (lookahead == '|') ADVANCE(649);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '(') ADVANCE(818);
      if (lookahead == '=') ADVANCE(587);
      if (lookahead == '>') ADVANCE(593);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(587);
      if (lookahead == '>') ADVANCE(593);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(652);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(652);
      if (lookahead == '<') ADVANCE(718);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '-') ADVANCE(652);
      if (lookahead == '<') ADVANCE(718);
      if (lookahead == '=') ADVANCE(543);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(543);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(544);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(528);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(527);
      if (lookahead == '=') ADVANCE(531);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(530);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '=') ADVANCE(534);
      if (lookahead == '\\') ADVANCE(484);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(529);
      if (lookahead == '=') ADVANCE(533);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(529);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == 'a') ADVANCE(552);
      if (lookahead == 'o') ADVANCE(550);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '\\') ADVANCE(484);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(616);
      if (lookahead == '=') ADVANCE(536);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(617);
      if (lookahead == '=') ADVANCE(535);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '#') ADVANCE(805);
      if (lookahead == '%') ADVANCE(807);
      if (lookahead == '/') ADVANCE(803);
      if (lookahead == '=') ADVANCE(538);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != ' ' &&
          (lookahead < '"' || ')' < lookahead) &&
          (lookahead < ';' || '>' < lookahead) &&
          (lookahead < '[' || ']' < lookahead) &&
          lookahead != '`' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '#') ADVANCE(804);
      if (lookahead == '%') ADVANCE(806);
      if (lookahead == '/') ADVANCE(802);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(538);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '=') ADVANCE(537);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '%') ADVANCE(800);
      if (lookahead == '=') ADVANCE(540);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_3(lookahead)) ADVANCE(909);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '%') ADVANCE(799);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(540);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(539);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(542);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(541);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      if (lookahead == '(') ADVANCE(514);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym__c_word_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(621);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(anon_sym_esac);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(anon_sym_esac);
      if (lookahead == '\\') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_esac);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      if (lookahead == '&') ADVANCE(630);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(anon_sym_SEMI_AMP);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI_AMP);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(anon_sym_PIPE_AMP);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(569);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(568);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(641);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(anon_sym_AMP_GT);
      if (lookahead == '>') ADVANCE(646);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(anon_sym_AMP_GT_GT);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(anon_sym_LT_AMP);
      if (lookahead == '-') ADVANCE(650);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(anon_sym_GT_AMP);
      if (lookahead == '-') ADVANCE(651);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(anon_sym_GT_PIPE);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(anon_sym_LT_AMP_DASH);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(anon_sym_GT_AMP_DASH);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(anon_sym_LT_LT_DASH);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(653);
      if (lookahead == '+') ADVANCE(730);
      if (lookahead == '-') ADVANCE(728);
      if (lookahead == '\\') ADVANCE(391);
      if (lookahead == '~') ADVANCE(731);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(654);
      if (lookahead == '\\') ADVANCE(333);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(655);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(656);
      if (lookahead == '\\') ADVANCE(397);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(657);
      if (lookahead == '\\') ADVANCE(351);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(658);
      if (lookahead == '\\') ADVANCE(335);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(659);
      if (lookahead == '\\') ADVANCE(452);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(660);
      if (lookahead == '\\') ADVANCE(352);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(661);
      if (lookahead == '\\') ADVANCE(336);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(662);
      if (lookahead == '\\') ADVANCE(400);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(663);
      if (lookahead == '\\') ADVANCE(353);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(664);
      if (lookahead == '\\') ADVANCE(367);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(665);
      if (lookahead == '\\') ADVANCE(401);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(666);
      if (lookahead == '\\') ADVANCE(354);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(667);
      if (lookahead == '\\') ADVANCE(368);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(668);
      if (lookahead == '\\') ADVANCE(402);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(669);
      if (lookahead == '\\') ADVANCE(376);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(670);
      if (lookahead == '\\') ADVANCE(378);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(671);
      if (lookahead == '\\') ADVANCE(403);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(672);
      if (lookahead == '\\') ADVANCE(356);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(673);
      if (lookahead == '\\') ADVANCE(337);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(674);
      if (lookahead == '\\') ADVANCE(404);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(675);
      if (lookahead == '\\') ADVANCE(377);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(676);
      if (lookahead == '\\') ADVANCE(338);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(677);
      if (lookahead == '\\') ADVANCE(405);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(678);
      if (lookahead == '\\') ADVANCE(361);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(679);
      if (lookahead == '\\') ADVANCE(380);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(680);
      if (lookahead == '\\') ADVANCE(406);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(681);
      if (lookahead == '\\') ADVANCE(369);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(682);
      if (lookahead == '\\') ADVANCE(407);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(683);
      if (lookahead == '\\') ADVANCE(381);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(684);
      if (lookahead == '\\') ADVANCE(409);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(685);
      if (lookahead == '\\') ADVANCE(339);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(686);
      if (lookahead == '\\') ADVANCE(479);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(370);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(688);
      if (lookahead == '\\') ADVANCE(480);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(689);
      if (lookahead == '\\') ADVANCE(382);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(690);
      if (lookahead == '\\') ADVANCE(481);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(691);
      if (lookahead == '\\') ADVANCE(340);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(692);
      if (lookahead == '\\') ADVANCE(413);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(693);
      if (lookahead == '\\') ADVANCE(341);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(454);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(695);
      if (lookahead == '\\') ADVANCE(383);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(696);
      if (lookahead == '\\') ADVANCE(455);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(697);
      if (lookahead == '\\') ADVANCE(379);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(698);
      if (lookahead == '\\') ADVANCE(456);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(699);
      if (lookahead == '\\') ADVANCE(371);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(700);
      if (lookahead == '\\') ADVANCE(457);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(701);
      if (lookahead == '\\') ADVANCE(343);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(702);
      if (lookahead == '\\') ADVANCE(459);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(703);
      if (lookahead == '\\') ADVANCE(384);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(704);
      if (lookahead == '\\') ADVANCE(458);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(705);
      if (lookahead == '\\') ADVANCE(373);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(706);
      if (lookahead == '\\') ADVANCE(461);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(707);
      if (lookahead == '\\') ADVANCE(355);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(708);
      if (lookahead == '\\') ADVANCE(462);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(709);
      if (lookahead == '\\') ADVANCE(358);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(710);
      if (lookahead == '\\') ADVANCE(460);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(711);
      if (lookahead == '\\') ADVANCE(473);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(712);
      if (lookahead == '\\') ADVANCE(474);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(713);
      if (lookahead == '\\') ADVANCE(475);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(714);
      if (lookahead == '\\') ADVANCE(421);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(715);
      if (lookahead == '\\') ADVANCE(465);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(716);
      if (lookahead == '\\') ADVANCE(429);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(aux_sym_heredoc_redirect_token1);
      if (lookahead == '\n') ADVANCE(717);
      if (lookahead == '\\') ADVANCE(471);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(anon_sym_LT_LT_LT);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '+') ADVANCE(794);
      if (lookahead == '-') ADVANCE(791);
      if (lookahead == '=') ADVANCE(788);
      if (lookahead == '?') ADVANCE(798);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '+') ADVANCE(793);
      if (lookahead == '-') ADVANCE(790);
      if (lookahead == '=') ADVANCE(787);
      if (lookahead == '?') ADVANCE(797);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS2);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(anon_sym_DASH_DASH2);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(anon_sym_DASH2);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(anon_sym_DASH2);
      if (lookahead == '-') ADVANCE(726);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(anon_sym_PLUS2);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(anon_sym_PLUS2);
      if (lookahead == '+') ADVANCE(725);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN_LPAREN);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACK);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(aux_sym_brace_expression_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(734);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(anon_sym_RBRACE2);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(aux_sym_concatenation_token1);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(308);
      if (lookahead == '(') ADVANCE(813);
      if (lookahead == '[') ADVANCE(733);
      if (lookahead == '`') ADVANCE(816);
      if (lookahead == '{') ADVANCE(776);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '\'') ADVANCE(308);
      if (lookahead == '(') ADVANCE(812);
      if (lookahead == '`') ADVANCE(816);
      if (lookahead == '{') ADVANCE(776);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(813);
      if (lookahead == '[') ADVANCE(733);
      if (lookahead == '`') ADVANCE(816);
      if (lookahead == '{') ADVANCE(776);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(812);
      if (lookahead == '`') ADVANCE(816);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '(') ADVANCE(812);
      if (lookahead == '`') ADVANCE(816);
      if (lookahead == '{') ADVANCE(776);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__special_character);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__special_character);
      if (lookahead == ']') ADVANCE(642);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(754);
      if (lookahead == '\\') ADVANCE(485);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(757);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(752);
      if (lookahead == '\\') ADVANCE(485);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(757);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(753);
      if (lookahead == '\\') ADVANCE(485);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(757);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n') ADVANCE(757);
      if (lookahead == '\\') ADVANCE(819);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(756);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(364);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(268)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(752);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(757);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(365);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(271)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(753);
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '`') ADVANCE(757);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(756);
      if (lookahead == '$') ADVANCE(742);
      if (lookahead == '(') ADVANCE(755);
      if (lookahead == '\\') ADVANCE(445);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '\n' ||
          lookahead == '\r') SKIP(298)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(754);
      if (lookahead != 0) ADVANCE(757);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '(') ADVANCE(514);
      if (lookahead == '\\') ADVANCE(485);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(757);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\\') ADVANCE(819);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(756);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\\') ADVANCE(485);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '`') ADVANCE(757);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '"' &&
          lookahead != '$' &&
          lookahead != '\\' &&
          lookahead != '`') ADVANCE(757);
      if (lookahead == '\\') ADVANCE(485);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym_raw_string);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_ansi_c_string);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_ansi_c_string);
      if (lookahead == '\'') ADVANCE(760);
      if (lookahead == '\\') ADVANCE(309);
      if (lookahead != 0) ADVANCE(308);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(773);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'x') ADVANCE(908);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (!sym_word_character_set_5(lookahead)) ADVANCE(909);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(773);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'x') ADVANCE(826);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (!sym_word_character_set_6(lookahead)) ADVANCE(909);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(773);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (!sym_word_character_set_5(lookahead)) ADVANCE(909);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(773);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (!sym_word_character_set_6(lookahead)) ADVANCE(909);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(773);
      if (lookahead == '\\') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (!sym_word_character_set_6(lookahead)) ADVANCE(909);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == 'x') ADVANCE(837);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(774);
      if (lookahead == 'x') ADVANCE(483);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(774);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '#') ADVANCE(774);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(770);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('@' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(771);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('@' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(772);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(aux_sym_number_token2);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('@' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(771);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(aux_sym_number_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('@' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(772);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(anon_sym_RBRACE3);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(anon_sym_BANG2);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(anon_sym_BANG2);
      if (lookahead == '=') ADVANCE(569);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(anon_sym_STAR2);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(anon_sym_STAR2);
      if (lookahead == '*') ADVANCE(616);
      if (lookahead == '=') ADVANCE(536);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(anon_sym_POUND2);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(anon_sym_EQ2);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(anon_sym_EQ2);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(anon_sym_DASH3);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(anon_sym_COLON_DASH);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(anon_sym_PLUS3);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(anon_sym_COLON_PLUS);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(anon_sym_COLON_PLUS);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(anon_sym_QMARK2);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(anon_sym_QMARK2);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(anon_sym_COLON_QMARK);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(anon_sym_PERCENT_PERCENT);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(anon_sym_PERCENT_PERCENT);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(aux_sym__expansion_regex_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(801);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(anon_sym_SLASH_POUND);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(anon_sym_SLASH_POUND);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(anon_sym_SLASH_PERCENT);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(anon_sym_SLASH_PERCENT);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(anon_sym_COMMA_COMMA);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(anon_sym_COMMA_COMMA);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(anon_sym_CARET_CARET);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(anon_sym_CARET_CARET);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LPAREN);
      if (lookahead == '(') ADVANCE(732);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      if (lookahead == '`') ADVANCE(738);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(326);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(anon_sym_DOLLAR_BQUOTE);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(anon_sym_LT_LPAREN);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(anon_sym_GT_LPAREN);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(757);
      if (lookahead == '\r') ADVANCE(751);
      if (lookahead != 0) ADVANCE(756);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(822);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r')) ADVANCE(821);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(821);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym__comment_word);
      if (lookahead == '\\') ADVANCE(820);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(822);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'a') ADVANCE(824);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'c') ADVANCE(623);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 's') ADVANCE(823);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(765);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(827);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == 'a') ADVANCE(829);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == 'c') ADVANCE(625);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == 's') ADVANCE(828);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == '\\') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'a') ADVANCE(834);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'c') ADVANCE(626);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 'n') ADVANCE(513);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (lookahead == 's') ADVANCE(833);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(769);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(aux_sym__simple_variable_name_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(654);
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(333);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          (lookahead < '[' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 840:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(657);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(351);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == 'e') ADVANCE(836);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 841:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(658);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(335);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(830);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 842:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(660);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(352);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 843:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(661);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(336);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 844:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(663);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(353);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 845:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(664);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(367);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(830);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(666);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(354);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 847:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(667);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(368);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 848:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(669);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(376);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 849:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(670);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(378);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 850:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(672);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(356);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(673);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(337);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 852:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(675);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(570);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(377);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(332);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(676);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(338);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(830);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 854:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(678);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(361);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == 'i') ADVANCE(835);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(679);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(380);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(681);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(369);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 857:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(683);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(381);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == 'e') ADVANCE(830);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 858:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(685);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(339);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 859:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(687);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(370);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 860:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(689);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(517);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(382);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 861:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(691);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(340);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 862:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(693);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(341);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 863:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(695);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(383);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 864:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(697);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(565);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(379);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(699);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(371);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 866:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(701);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(343);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 867:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(703);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(384);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(206)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(705);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(571);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(373);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(332);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 869:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(707);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(562);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == ';') ADVANCE(518);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(355);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\n') ADVANCE(709);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(358);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(212)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          (lookahead < '&' || ')' < lookahead) &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(635);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '&') ADVANCE(564);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(603);
      if (lookahead == '+') ADVANCE(595);
      if (lookahead == '-') ADVANCE(598);
      if (lookahead == '/') ADVANCE(609);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(572);
      if (lookahead == '=') ADVANCE(523);
      if (lookahead == '>') ADVANCE(581);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(334);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(559);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(555);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < ';' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 872:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(324);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(573);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(350);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(619);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(342);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 874:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '=') ADVANCE(903);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(372);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < ';' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 875:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(344);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '[' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 876:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(574);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(345);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(385);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          lookahead != '[' &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 878:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(575);
      if (lookahead == '>') ADVANCE(582);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(386);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(637);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(740);
      if (lookahead == '\'') ADVANCE(307);
      if (lookahead == '(') ADVANCE(311);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(605);
      if (lookahead == '-') ADVANCE(601);
      if (lookahead == '0') ADVANCE(894);
      if (lookahead == '<') ADVANCE(312);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == '?') ADVANCE(720);
      if (lookahead == '@') ADVANCE(893);
      if (lookahead == '\\') ADVANCE(357);
      if (lookahead == '_') ADVANCE(898);
      if (lookahead == '`') ADVANCE(814);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (lookahead != 0 &&
          lookahead != '&' &&
          lookahead != ';' &&
          (lookahead < '[' || ']' < lookahead) &&
          (lookahead < '{' || '}' < lookahead)) ADVANCE(909);
      END_STATE();
    case 880:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(375);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 881:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == ')') ADVANCE(315);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(347);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == ':') ADVANCE(721);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(348);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 883:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(346);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(374);
      if (lookahead == ']') ADVANCE(325);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(636);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '%') ADVANCE(615);
      if (lookahead == '&') ADVANCE(563);
      if (lookahead == '*') ADVANCE(604);
      if (lookahead == '+') ADVANCE(596);
      if (lookahead == '-') ADVANCE(599);
      if (lookahead == '/') ADVANCE(610);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(580);
      if (lookahead == '=') ADVANCE(525);
      if (lookahead == '>') ADVANCE(585);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(349);
      if (lookahead == '^') ADVANCE(560);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(557);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(252)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 886:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(359);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '&') ADVANCE(305);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '<') ADVANCE(578);
      if (lookahead == '>') ADVANCE(583);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(360);
      if (lookahead == ']') ADVANCE(640);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(556);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 888:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == ')') ADVANCE(620);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(362);
      if (lookahead == '_') ADVANCE(899);
      if (lookahead == '|') ADVANCE(553);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 889:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '"') ADVANCE(747);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(363);
      if (lookahead == '_') ADVANCE(899);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '!') ADVANCE(634);
      if (lookahead == '#') ADVANCE(775);
      if (lookahead == '$') ADVANCE(739);
      if (lookahead == '*') ADVANCE(602);
      if (lookahead == '-') ADVANCE(597);
      if (lookahead == '0') ADVANCE(896);
      if (lookahead == '?') ADVANCE(719);
      if (lookahead == '@') ADVANCE(892);
      if (lookahead == '\\') ADVANCE(366);
      if (lookahead == '_') ADVANCE(899);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272)
      if (('1' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 891:
      ACCEPT_TOKEN(aux_sym__multiline_variable_name_token1);
      if (lookahead == '\\') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(891);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(anon_sym_AT2);
      END_STATE();
    case 893:
      ACCEPT_TOKEN(anon_sym_AT2);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 894:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '#') ADVANCE(773);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == 'x') ADVANCE(831);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(766);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (!sym_word_character_set_6(lookahead)) ADVANCE(909);
      END_STATE();
    case 895:
      ACCEPT_TOKEN(anon_sym_0);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 896:
      ACCEPT_TOKEN(anon_sym_0);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 897:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 898:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '\\') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(832);
      if (!sym_word_character_set_4(lookahead)) ADVANCE(909);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(anon_sym__);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(838);
      END_STATE();
    case 900:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '.') ADVANCE(736);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 901:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '0') ADVANCE(762);
      if (lookahead == '\\') ADVANCE(484);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 902:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(569);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 903:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(567);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == '~') ADVANCE(644);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(909);
      END_STATE();
    case 904:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'a') ADVANCE(905);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 905:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'c') ADVANCE(624);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 906:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 'n') ADVANCE(512);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 907:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(484);
      if (lookahead == 's') ADVANCE(904);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 908:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(484);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(764);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(484);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(909);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'A') ADVANCE(1);
      if (lookahead == 'E') ADVANCE(2);
      if (lookahead == 'K') ADVANCE(3);
      if (lookahead == 'L') ADVANCE(4);
      if (lookahead == 'P') ADVANCE(5);
      if (lookahead == 'Q') ADVANCE(6);
      if (lookahead == 'U') ADVANCE(7);
      if (lookahead == '\\') SKIP(8)
      if (lookahead == 'a') ADVANCE(9);
      if (lookahead == 'c') ADVANCE(10);
      if (lookahead == 'd') ADVANCE(11);
      if (lookahead == 'e') ADVANCE(12);
      if (lookahead == 'f') ADVANCE(13);
      if (lookahead == 'i') ADVANCE(14);
      if (lookahead == 'k') ADVANCE(15);
      if (lookahead == 'l') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'w') ADVANCE(21);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22)
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym_A);
      END_STATE();
    case 2:
      ACCEPT_TOKEN(anon_sym_E);
      END_STATE();
    case 3:
      ACCEPT_TOKEN(anon_sym_K);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym_L);
      END_STATE();
    case 5:
      ACCEPT_TOKEN(anon_sym_P);
      END_STATE();
    case 6:
      ACCEPT_TOKEN(anon_sym_Q);
      END_STATE();
    case 7:
      ACCEPT_TOKEN(anon_sym_U);
      END_STATE();
    case 8:
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(22)
      if (lookahead == '\r') SKIP(23)
      END_STATE();
    case 9:
      ACCEPT_TOKEN(anon_sym_a);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(24);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 12:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 14:
      if (lookahead == 'f') ADVANCE(32);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_k);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(36);
      if (lookahead == 'y') ADVANCE(37);
      END_STATE();
    case 20:
      ACCEPT_TOKEN(anon_sym_u);
      if (lookahead == 'n') ADVANCE(38);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(39);
      END_STATE();
    case 22:
      if (lookahead == '\\') SKIP(8)
      if (lookahead == 'c') ADVANCE(10);
      if (lookahead == 'd') ADVANCE(11);
      if (lookahead == 'e') ADVANCE(12);
      if (lookahead == 'f') ADVANCE(13);
      if (lookahead == 'i') ADVANCE(14);
      if (lookahead == 'l') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(40);
      if (lookahead == 'w') ADVANCE(21);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22)
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(22)
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(41);
      END_STATE();
    case 25:
      if (lookahead == 'c') ADVANCE(42);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 27:
      if (lookahead == 'i') ADVANCE(44);
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(46);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_fi);
      END_STATE();
    case 30:
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(48);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 33:
      if (lookahead == 'c') ADVANCE(49);
      END_STATE();
    case 34:
      if (lookahead == 'a') ADVANCE(50);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(51);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 37:
      if (lookahead == 'p') ADVANCE(53);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(54);
      if (lookahead == 't') ADVANCE(55);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(38);
      END_STATE();
    case 41:
      if (lookahead == 'e') ADVANCE(57);
      END_STATE();
    case 42:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 44:
      if (lookahead == 'f') ADVANCE(60);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 46:
      if (lookahead == 'o') ADVANCE(62);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 48:
      if (lookahead == 'c') ADVANCE(63);
      END_STATE();
    case 49:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 50:
      if (lookahead == 'd') ADVANCE(65);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(67);
      END_STATE();
    case 53:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(69);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(70);
      END_STATE();
    case 56:
      if (lookahead == 'l') ADVANCE(71);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(72);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 62:
      if (lookahead == 'r') ADVANCE(73);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(74);
      END_STATE();
    case 64:
      if (lookahead == 'l') ADVANCE(75);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 66:
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 68:
      if (lookahead == 's') ADVANCE(78);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 70:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 72:
      if (lookahead == 'r') ADVANCE(82);
      END_STATE();
    case 73:
      if (lookahead == 't') ADVANCE(83);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(84);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_local);
      END_STATE();
    case 76:
      if (lookahead == 'n') ADVANCE(85);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 78:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_unset);
      if (lookahead == 'e') ADVANCE(88);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_until);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(89);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 84:
      if (lookahead == 'o') ADVANCE(90);
      END_STATE();
    case 85:
      if (lookahead == 'l') ADVANCE(91);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_select);
      END_STATE();
    case 87:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 88:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 91:
      if (lookahead == 'y') ADVANCE(95);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_typeset);
      END_STATE();
    case 93:
      if (lookahead == 'v') ADVANCE(96);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_unsetenv);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 506, .external_lex_state = 2},
  [2] = {.lex_state = 238, .external_lex_state = 2},
  [3] = {.lex_state = 238, .external_lex_state = 2},
  [4] = {.lex_state = 239, .external_lex_state = 3},
  [5] = {.lex_state = 239, .external_lex_state = 3},
  [6] = {.lex_state = 239, .external_lex_state = 3},
  [7] = {.lex_state = 6, .external_lex_state = 4},
  [8] = {.lex_state = 506, .external_lex_state = 2},
  [9] = {.lex_state = 506, .external_lex_state = 2},
  [10] = {.lex_state = 506, .external_lex_state = 2},
  [11] = {.lex_state = 223, .external_lex_state = 5},
  [12] = {.lex_state = 506, .external_lex_state = 2},
  [13] = {.lex_state = 506, .external_lex_state = 2},
  [14] = {.lex_state = 506, .external_lex_state = 2},
  [15] = {.lex_state = 241, .external_lex_state = 2},
  [16] = {.lex_state = 241, .external_lex_state = 2},
  [17] = {.lex_state = 241, .external_lex_state = 2},
  [18] = {.lex_state = 241, .external_lex_state = 2},
  [19] = {.lex_state = 506, .external_lex_state = 2},
  [20] = {.lex_state = 241, .external_lex_state = 2},
  [21] = {.lex_state = 241, .external_lex_state = 2},
  [22] = {.lex_state = 241, .external_lex_state = 2},
  [23] = {.lex_state = 241, .external_lex_state = 2},
  [24] = {.lex_state = 241, .external_lex_state = 2},
  [25] = {.lex_state = 241, .external_lex_state = 2},
  [26] = {.lex_state = 241, .external_lex_state = 2},
  [27] = {.lex_state = 241, .external_lex_state = 2},
  [28] = {.lex_state = 506, .external_lex_state = 2},
  [29] = {.lex_state = 506, .external_lex_state = 2},
  [30] = {.lex_state = 506, .external_lex_state = 2},
  [31] = {.lex_state = 506, .external_lex_state = 2},
  [32] = {.lex_state = 506, .external_lex_state = 2},
  [33] = {.lex_state = 506, .external_lex_state = 2},
  [34] = {.lex_state = 506, .external_lex_state = 2},
  [35] = {.lex_state = 506, .external_lex_state = 2},
  [36] = {.lex_state = 506, .external_lex_state = 2},
  [37] = {.lex_state = 506, .external_lex_state = 2},
  [38] = {.lex_state = 506, .external_lex_state = 2},
  [39] = {.lex_state = 506, .external_lex_state = 2},
  [40] = {.lex_state = 506, .external_lex_state = 2},
  [41] = {.lex_state = 506, .external_lex_state = 2},
  [42] = {.lex_state = 506, .external_lex_state = 2},
  [43] = {.lex_state = 506, .external_lex_state = 2},
  [44] = {.lex_state = 506, .external_lex_state = 2},
  [45] = {.lex_state = 506, .external_lex_state = 2},
  [46] = {.lex_state = 506, .external_lex_state = 2},
  [47] = {.lex_state = 506, .external_lex_state = 2},
  [48] = {.lex_state = 506, .external_lex_state = 2},
  [49] = {.lex_state = 506, .external_lex_state = 2},
  [50] = {.lex_state = 506, .external_lex_state = 2},
  [51] = {.lex_state = 506, .external_lex_state = 2},
  [52] = {.lex_state = 506, .external_lex_state = 2},
  [53] = {.lex_state = 506, .external_lex_state = 2},
  [54] = {.lex_state = 506, .external_lex_state = 2},
  [55] = {.lex_state = 506, .external_lex_state = 2},
  [56] = {.lex_state = 506, .external_lex_state = 2},
  [57] = {.lex_state = 506, .external_lex_state = 2},
  [58] = {.lex_state = 506, .external_lex_state = 2},
  [59] = {.lex_state = 506, .external_lex_state = 2},
  [60] = {.lex_state = 506, .external_lex_state = 2},
  [61] = {.lex_state = 506, .external_lex_state = 2},
  [62] = {.lex_state = 506, .external_lex_state = 2},
  [63] = {.lex_state = 506, .external_lex_state = 2},
  [64] = {.lex_state = 506, .external_lex_state = 2},
  [65] = {.lex_state = 506, .external_lex_state = 2},
  [66] = {.lex_state = 506, .external_lex_state = 2},
  [67] = {.lex_state = 506, .external_lex_state = 2},
  [68] = {.lex_state = 506, .external_lex_state = 2},
  [69] = {.lex_state = 506, .external_lex_state = 2},
  [70] = {.lex_state = 506, .external_lex_state = 2},
  [71] = {.lex_state = 506, .external_lex_state = 2},
  [72] = {.lex_state = 506, .external_lex_state = 2},
  [73] = {.lex_state = 506, .external_lex_state = 2},
  [74] = {.lex_state = 506, .external_lex_state = 2},
  [75] = {.lex_state = 506, .external_lex_state = 2},
  [76] = {.lex_state = 506, .external_lex_state = 2},
  [77] = {.lex_state = 242, .external_lex_state = 2},
  [78] = {.lex_state = 506, .external_lex_state = 2},
  [79] = {.lex_state = 506, .external_lex_state = 2},
  [80] = {.lex_state = 506, .external_lex_state = 2},
  [81] = {.lex_state = 506, .external_lex_state = 2},
  [82] = {.lex_state = 506, .external_lex_state = 2},
  [83] = {.lex_state = 242, .external_lex_state = 2},
  [84] = {.lex_state = 506, .external_lex_state = 2},
  [85] = {.lex_state = 506, .external_lex_state = 2},
  [86] = {.lex_state = 506, .external_lex_state = 2},
  [87] = {.lex_state = 506, .external_lex_state = 2},
  [88] = {.lex_state = 506, .external_lex_state = 2},
  [89] = {.lex_state = 506, .external_lex_state = 2},
  [90] = {.lex_state = 506, .external_lex_state = 2},
  [91] = {.lex_state = 506, .external_lex_state = 2},
  [92] = {.lex_state = 506, .external_lex_state = 2},
  [93] = {.lex_state = 506, .external_lex_state = 2},
  [94] = {.lex_state = 506, .external_lex_state = 2},
  [95] = {.lex_state = 506, .external_lex_state = 2},
  [96] = {.lex_state = 506, .external_lex_state = 2},
  [97] = {.lex_state = 506, .external_lex_state = 2},
  [98] = {.lex_state = 506, .external_lex_state = 2},
  [99] = {.lex_state = 506, .external_lex_state = 2},
  [100] = {.lex_state = 506, .external_lex_state = 2},
  [101] = {.lex_state = 506, .external_lex_state = 2},
  [102] = {.lex_state = 242, .external_lex_state = 2},
  [103] = {.lex_state = 506, .external_lex_state = 2},
  [104] = {.lex_state = 506, .external_lex_state = 2},
  [105] = {.lex_state = 506, .external_lex_state = 2},
  [106] = {.lex_state = 506, .external_lex_state = 2},
  [107] = {.lex_state = 506, .external_lex_state = 2},
  [108] = {.lex_state = 506, .external_lex_state = 2},
  [109] = {.lex_state = 506, .external_lex_state = 2},
  [110] = {.lex_state = 506, .external_lex_state = 2},
  [111] = {.lex_state = 506, .external_lex_state = 2},
  [112] = {.lex_state = 506, .external_lex_state = 2},
  [113] = {.lex_state = 506, .external_lex_state = 2},
  [114] = {.lex_state = 506, .external_lex_state = 2},
  [115] = {.lex_state = 506, .external_lex_state = 2},
  [116] = {.lex_state = 506, .external_lex_state = 2},
  [117] = {.lex_state = 506, .external_lex_state = 2},
  [118] = {.lex_state = 506, .external_lex_state = 2},
  [119] = {.lex_state = 506, .external_lex_state = 2},
  [120] = {.lex_state = 506, .external_lex_state = 2},
  [121] = {.lex_state = 506, .external_lex_state = 2},
  [122] = {.lex_state = 506, .external_lex_state = 2},
  [123] = {.lex_state = 506, .external_lex_state = 2},
  [124] = {.lex_state = 506, .external_lex_state = 2},
  [125] = {.lex_state = 506, .external_lex_state = 2},
  [126] = {.lex_state = 506, .external_lex_state = 2},
  [127] = {.lex_state = 506, .external_lex_state = 2},
  [128] = {.lex_state = 506, .external_lex_state = 2},
  [129] = {.lex_state = 506, .external_lex_state = 2},
  [130] = {.lex_state = 506, .external_lex_state = 2},
  [131] = {.lex_state = 506, .external_lex_state = 2},
  [132] = {.lex_state = 506, .external_lex_state = 2},
  [133] = {.lex_state = 506, .external_lex_state = 2},
  [134] = {.lex_state = 506, .external_lex_state = 2},
  [135] = {.lex_state = 506, .external_lex_state = 2},
  [136] = {.lex_state = 506, .external_lex_state = 2},
  [137] = {.lex_state = 506, .external_lex_state = 2},
  [138] = {.lex_state = 506, .external_lex_state = 2},
  [139] = {.lex_state = 506, .external_lex_state = 2},
  [140] = {.lex_state = 506, .external_lex_state = 2},
  [141] = {.lex_state = 506, .external_lex_state = 2},
  [142] = {.lex_state = 506, .external_lex_state = 2},
  [143] = {.lex_state = 506, .external_lex_state = 2},
  [144] = {.lex_state = 506, .external_lex_state = 2},
  [145] = {.lex_state = 506, .external_lex_state = 2},
  [146] = {.lex_state = 506, .external_lex_state = 2},
  [147] = {.lex_state = 506, .external_lex_state = 2},
  [148] = {.lex_state = 506, .external_lex_state = 2},
  [149] = {.lex_state = 506, .external_lex_state = 2},
  [150] = {.lex_state = 506, .external_lex_state = 2},
  [151] = {.lex_state = 506, .external_lex_state = 2},
  [152] = {.lex_state = 506, .external_lex_state = 2},
  [153] = {.lex_state = 506, .external_lex_state = 2},
  [154] = {.lex_state = 506, .external_lex_state = 2},
  [155] = {.lex_state = 506, .external_lex_state = 2},
  [156] = {.lex_state = 506, .external_lex_state = 2},
  [157] = {.lex_state = 506, .external_lex_state = 2},
  [158] = {.lex_state = 506, .external_lex_state = 2},
  [159] = {.lex_state = 506, .external_lex_state = 2},
  [160] = {.lex_state = 506, .external_lex_state = 2},
  [161] = {.lex_state = 506, .external_lex_state = 2},
  [162] = {.lex_state = 506, .external_lex_state = 2},
  [163] = {.lex_state = 506, .external_lex_state = 2},
  [164] = {.lex_state = 506, .external_lex_state = 2},
  [165] = {.lex_state = 506, .external_lex_state = 2},
  [166] = {.lex_state = 506, .external_lex_state = 2},
  [167] = {.lex_state = 506, .external_lex_state = 2},
  [168] = {.lex_state = 506, .external_lex_state = 2},
  [169] = {.lex_state = 506, .external_lex_state = 2},
  [170] = {.lex_state = 506, .external_lex_state = 2},
  [171] = {.lex_state = 506, .external_lex_state = 2},
  [172] = {.lex_state = 506, .external_lex_state = 2},
  [173] = {.lex_state = 506, .external_lex_state = 2},
  [174] = {.lex_state = 506, .external_lex_state = 2},
  [175] = {.lex_state = 506, .external_lex_state = 2},
  [176] = {.lex_state = 506, .external_lex_state = 2},
  [177] = {.lex_state = 506, .external_lex_state = 2},
  [178] = {.lex_state = 506, .external_lex_state = 2},
  [179] = {.lex_state = 506, .external_lex_state = 2},
  [180] = {.lex_state = 506, .external_lex_state = 2},
  [181] = {.lex_state = 506, .external_lex_state = 2},
  [182] = {.lex_state = 506, .external_lex_state = 2},
  [183] = {.lex_state = 506, .external_lex_state = 2},
  [184] = {.lex_state = 506, .external_lex_state = 2},
  [185] = {.lex_state = 242, .external_lex_state = 2},
  [186] = {.lex_state = 506, .external_lex_state = 2},
  [187] = {.lex_state = 506, .external_lex_state = 2},
  [188] = {.lex_state = 506, .external_lex_state = 2},
  [189] = {.lex_state = 506, .external_lex_state = 2},
  [190] = {.lex_state = 506, .external_lex_state = 2},
  [191] = {.lex_state = 506, .external_lex_state = 2},
  [192] = {.lex_state = 506, .external_lex_state = 2},
  [193] = {.lex_state = 506, .external_lex_state = 2},
  [194] = {.lex_state = 506, .external_lex_state = 2},
  [195] = {.lex_state = 506, .external_lex_state = 2},
  [196] = {.lex_state = 506, .external_lex_state = 2},
  [197] = {.lex_state = 506, .external_lex_state = 2},
  [198] = {.lex_state = 506, .external_lex_state = 2},
  [199] = {.lex_state = 506, .external_lex_state = 2},
  [200] = {.lex_state = 506, .external_lex_state = 2},
  [201] = {.lex_state = 506, .external_lex_state = 2},
  [202] = {.lex_state = 506, .external_lex_state = 2},
  [203] = {.lex_state = 506, .external_lex_state = 2},
  [204] = {.lex_state = 506, .external_lex_state = 2},
  [205] = {.lex_state = 506, .external_lex_state = 2},
  [206] = {.lex_state = 506, .external_lex_state = 2},
  [207] = {.lex_state = 506, .external_lex_state = 2},
  [208] = {.lex_state = 506, .external_lex_state = 2},
  [209] = {.lex_state = 506, .external_lex_state = 2},
  [210] = {.lex_state = 506, .external_lex_state = 2},
  [211] = {.lex_state = 506, .external_lex_state = 2},
  [212] = {.lex_state = 506, .external_lex_state = 2},
  [213] = {.lex_state = 506, .external_lex_state = 2},
  [214] = {.lex_state = 506, .external_lex_state = 2},
  [215] = {.lex_state = 506, .external_lex_state = 2},
  [216] = {.lex_state = 506, .external_lex_state = 2},
  [217] = {.lex_state = 506, .external_lex_state = 2},
  [218] = {.lex_state = 506, .external_lex_state = 2},
  [219] = {.lex_state = 506, .external_lex_state = 2},
  [220] = {.lex_state = 506, .external_lex_state = 2},
  [221] = {.lex_state = 506, .external_lex_state = 2},
  [222] = {.lex_state = 506, .external_lex_state = 2},
  [223] = {.lex_state = 506, .external_lex_state = 2},
  [224] = {.lex_state = 506, .external_lex_state = 2},
  [225] = {.lex_state = 506, .external_lex_state = 2},
  [226] = {.lex_state = 506, .external_lex_state = 2},
  [227] = {.lex_state = 506, .external_lex_state = 2},
  [228] = {.lex_state = 506, .external_lex_state = 2},
  [229] = {.lex_state = 506, .external_lex_state = 2},
  [230] = {.lex_state = 506, .external_lex_state = 2},
  [231] = {.lex_state = 506, .external_lex_state = 2},
  [232] = {.lex_state = 506, .external_lex_state = 2},
  [233] = {.lex_state = 506, .external_lex_state = 2},
  [234] = {.lex_state = 506, .external_lex_state = 2},
  [235] = {.lex_state = 506, .external_lex_state = 2},
  [236] = {.lex_state = 506, .external_lex_state = 2},
  [237] = {.lex_state = 506, .external_lex_state = 2},
  [238] = {.lex_state = 506, .external_lex_state = 2},
  [239] = {.lex_state = 506, .external_lex_state = 2},
  [240] = {.lex_state = 506, .external_lex_state = 2},
  [241] = {.lex_state = 506, .external_lex_state = 2},
  [242] = {.lex_state = 506, .external_lex_state = 2},
  [243] = {.lex_state = 506, .external_lex_state = 2},
  [244] = {.lex_state = 506, .external_lex_state = 2},
  [245] = {.lex_state = 506, .external_lex_state = 2},
  [246] = {.lex_state = 506, .external_lex_state = 2},
  [247] = {.lex_state = 506, .external_lex_state = 2},
  [248] = {.lex_state = 506, .external_lex_state = 2},
  [249] = {.lex_state = 506, .external_lex_state = 2},
  [250] = {.lex_state = 506, .external_lex_state = 2},
  [251] = {.lex_state = 506, .external_lex_state = 2},
  [252] = {.lex_state = 506, .external_lex_state = 2},
  [253] = {.lex_state = 506, .external_lex_state = 2},
  [254] = {.lex_state = 506, .external_lex_state = 2},
  [255] = {.lex_state = 506, .external_lex_state = 2},
  [256] = {.lex_state = 506, .external_lex_state = 2},
  [257] = {.lex_state = 506, .external_lex_state = 2},
  [258] = {.lex_state = 506, .external_lex_state = 2},
  [259] = {.lex_state = 506, .external_lex_state = 2},
  [260] = {.lex_state = 506, .external_lex_state = 2},
  [261] = {.lex_state = 506, .external_lex_state = 2},
  [262] = {.lex_state = 506, .external_lex_state = 2},
  [263] = {.lex_state = 506, .external_lex_state = 2},
  [264] = {.lex_state = 506, .external_lex_state = 2},
  [265] = {.lex_state = 506, .external_lex_state = 2},
  [266] = {.lex_state = 506, .external_lex_state = 2},
  [267] = {.lex_state = 506, .external_lex_state = 2},
  [268] = {.lex_state = 506, .external_lex_state = 2},
  [269] = {.lex_state = 506, .external_lex_state = 2},
  [270] = {.lex_state = 506, .external_lex_state = 2},
  [271] = {.lex_state = 506, .external_lex_state = 2},
  [272] = {.lex_state = 242, .external_lex_state = 2},
  [273] = {.lex_state = 506, .external_lex_state = 2},
  [274] = {.lex_state = 506, .external_lex_state = 2},
  [275] = {.lex_state = 506, .external_lex_state = 2},
  [276] = {.lex_state = 506, .external_lex_state = 2},
  [277] = {.lex_state = 506, .external_lex_state = 2},
  [278] = {.lex_state = 506, .external_lex_state = 2},
  [279] = {.lex_state = 506, .external_lex_state = 2},
  [280] = {.lex_state = 506, .external_lex_state = 2},
  [281] = {.lex_state = 506, .external_lex_state = 2},
  [282] = {.lex_state = 506, .external_lex_state = 2},
  [283] = {.lex_state = 506, .external_lex_state = 2},
  [284] = {.lex_state = 506, .external_lex_state = 2},
  [285] = {.lex_state = 506, .external_lex_state = 2},
  [286] = {.lex_state = 506, .external_lex_state = 2},
  [287] = {.lex_state = 506, .external_lex_state = 2},
  [288] = {.lex_state = 506, .external_lex_state = 2},
  [289] = {.lex_state = 242, .external_lex_state = 2},
  [290] = {.lex_state = 506, .external_lex_state = 2},
  [291] = {.lex_state = 506, .external_lex_state = 2},
  [292] = {.lex_state = 506, .external_lex_state = 2},
  [293] = {.lex_state = 506, .external_lex_state = 2},
  [294] = {.lex_state = 506, .external_lex_state = 2},
  [295] = {.lex_state = 506, .external_lex_state = 2},
  [296] = {.lex_state = 506, .external_lex_state = 2},
  [297] = {.lex_state = 506, .external_lex_state = 2},
  [298] = {.lex_state = 506, .external_lex_state = 2},
  [299] = {.lex_state = 506, .external_lex_state = 2},
  [300] = {.lex_state = 506, .external_lex_state = 2},
  [301] = {.lex_state = 506, .external_lex_state = 2},
  [302] = {.lex_state = 506, .external_lex_state = 2},
  [303] = {.lex_state = 506, .external_lex_state = 2},
  [304] = {.lex_state = 506, .external_lex_state = 2},
  [305] = {.lex_state = 506, .external_lex_state = 2},
  [306] = {.lex_state = 506, .external_lex_state = 2},
  [307] = {.lex_state = 506, .external_lex_state = 2},
  [308] = {.lex_state = 506, .external_lex_state = 2},
  [309] = {.lex_state = 506, .external_lex_state = 2},
  [310] = {.lex_state = 506, .external_lex_state = 2},
  [311] = {.lex_state = 506, .external_lex_state = 2},
  [312] = {.lex_state = 506, .external_lex_state = 2},
  [313] = {.lex_state = 242, .external_lex_state = 2},
  [314] = {.lex_state = 506, .external_lex_state = 2},
  [315] = {.lex_state = 506, .external_lex_state = 2},
  [316] = {.lex_state = 506, .external_lex_state = 2},
  [317] = {.lex_state = 506, .external_lex_state = 2},
  [318] = {.lex_state = 506, .external_lex_state = 2},
  [319] = {.lex_state = 506, .external_lex_state = 2},
  [320] = {.lex_state = 506, .external_lex_state = 2},
  [321] = {.lex_state = 506, .external_lex_state = 2},
  [322] = {.lex_state = 506, .external_lex_state = 2},
  [323] = {.lex_state = 506, .external_lex_state = 2},
  [324] = {.lex_state = 506, .external_lex_state = 2},
  [325] = {.lex_state = 506, .external_lex_state = 2},
  [326] = {.lex_state = 506, .external_lex_state = 2},
  [327] = {.lex_state = 506, .external_lex_state = 2},
  [328] = {.lex_state = 506, .external_lex_state = 2},
  [329] = {.lex_state = 506, .external_lex_state = 2},
  [330] = {.lex_state = 506, .external_lex_state = 2},
  [331] = {.lex_state = 506, .external_lex_state = 2},
  [332] = {.lex_state = 506, .external_lex_state = 2},
  [333] = {.lex_state = 506, .external_lex_state = 2},
  [334] = {.lex_state = 506, .external_lex_state = 2},
  [335] = {.lex_state = 506, .external_lex_state = 2},
  [336] = {.lex_state = 506, .external_lex_state = 2},
  [337] = {.lex_state = 506, .external_lex_state = 2},
  [338] = {.lex_state = 506, .external_lex_state = 2},
  [339] = {.lex_state = 506, .external_lex_state = 2},
  [340] = {.lex_state = 506, .external_lex_state = 2},
  [341] = {.lex_state = 506, .external_lex_state = 2},
  [342] = {.lex_state = 506, .external_lex_state = 2},
  [343] = {.lex_state = 506, .external_lex_state = 2},
  [344] = {.lex_state = 506, .external_lex_state = 2},
  [345] = {.lex_state = 506, .external_lex_state = 2},
  [346] = {.lex_state = 506, .external_lex_state = 2},
  [347] = {.lex_state = 506, .external_lex_state = 2},
  [348] = {.lex_state = 506, .external_lex_state = 2},
  [349] = {.lex_state = 227, .external_lex_state = 6},
  [350] = {.lex_state = 227, .external_lex_state = 6},
  [351] = {.lex_state = 228, .external_lex_state = 7},
  [352] = {.lex_state = 227, .external_lex_state = 6},
  [353] = {.lex_state = 227, .external_lex_state = 6},
  [354] = {.lex_state = 227, .external_lex_state = 6},
  [355] = {.lex_state = 227, .external_lex_state = 6},
  [356] = {.lex_state = 226, .external_lex_state = 7},
  [357] = {.lex_state = 225, .external_lex_state = 7},
  [358] = {.lex_state = 227, .external_lex_state = 6},
  [359] = {.lex_state = 227, .external_lex_state = 6},
  [360] = {.lex_state = 224, .external_lex_state = 7},
  [361] = {.lex_state = 225, .external_lex_state = 7},
  [362] = {.lex_state = 12, .external_lex_state = 8},
  [363] = {.lex_state = 12, .external_lex_state = 8},
  [364] = {.lex_state = 222, .external_lex_state = 9},
  [365] = {.lex_state = 222, .external_lex_state = 9},
  [366] = {.lex_state = 108, .external_lex_state = 4},
  [367] = {.lex_state = 108, .external_lex_state = 4},
  [368] = {.lex_state = 108, .external_lex_state = 4},
  [369] = {.lex_state = 108, .external_lex_state = 4},
  [370] = {.lex_state = 108, .external_lex_state = 4},
  [371] = {.lex_state = 108, .external_lex_state = 4},
  [372] = {.lex_state = 108, .external_lex_state = 4},
  [373] = {.lex_state = 108, .external_lex_state = 4},
  [374] = {.lex_state = 108, .external_lex_state = 4},
  [375] = {.lex_state = 108, .external_lex_state = 4},
  [376] = {.lex_state = 108, .external_lex_state = 4},
  [377] = {.lex_state = 108, .external_lex_state = 4},
  [378] = {.lex_state = 108, .external_lex_state = 4},
  [379] = {.lex_state = 108, .external_lex_state = 4},
  [380] = {.lex_state = 108, .external_lex_state = 4},
  [381] = {.lex_state = 108, .external_lex_state = 4},
  [382] = {.lex_state = 108, .external_lex_state = 4},
  [383] = {.lex_state = 108, .external_lex_state = 4},
  [384] = {.lex_state = 108, .external_lex_state = 4},
  [385] = {.lex_state = 108, .external_lex_state = 4},
  [386] = {.lex_state = 108, .external_lex_state = 4},
  [387] = {.lex_state = 108, .external_lex_state = 4},
  [388] = {.lex_state = 108, .external_lex_state = 4},
  [389] = {.lex_state = 108, .external_lex_state = 4},
  [390] = {.lex_state = 108, .external_lex_state = 4},
  [391] = {.lex_state = 162, .external_lex_state = 8},
  [392] = {.lex_state = 162, .external_lex_state = 8},
  [393] = {.lex_state = 245, .external_lex_state = 5},
  [394] = {.lex_state = 245, .external_lex_state = 5},
  [395] = {.lex_state = 162, .external_lex_state = 8},
  [396] = {.lex_state = 245, .external_lex_state = 5},
  [397] = {.lex_state = 162, .external_lex_state = 8},
  [398] = {.lex_state = 245, .external_lex_state = 5},
  [399] = {.lex_state = 245, .external_lex_state = 5},
  [400] = {.lex_state = 245, .external_lex_state = 5},
  [401] = {.lex_state = 245, .external_lex_state = 5},
  [402] = {.lex_state = 245, .external_lex_state = 5},
  [403] = {.lex_state = 245, .external_lex_state = 5},
  [404] = {.lex_state = 245, .external_lex_state = 5},
  [405] = {.lex_state = 245, .external_lex_state = 5},
  [406] = {.lex_state = 245, .external_lex_state = 5},
  [407] = {.lex_state = 245, .external_lex_state = 5},
  [408] = {.lex_state = 245, .external_lex_state = 5},
  [409] = {.lex_state = 245, .external_lex_state = 5},
  [410] = {.lex_state = 245, .external_lex_state = 5},
  [411] = {.lex_state = 245, .external_lex_state = 5},
  [412] = {.lex_state = 245, .external_lex_state = 5},
  [413] = {.lex_state = 245, .external_lex_state = 5},
  [414] = {.lex_state = 245, .external_lex_state = 5},
  [415] = {.lex_state = 245, .external_lex_state = 5},
  [416] = {.lex_state = 245, .external_lex_state = 5},
  [417] = {.lex_state = 245, .external_lex_state = 5},
  [418] = {.lex_state = 245, .external_lex_state = 5},
  [419] = {.lex_state = 245, .external_lex_state = 5},
  [420] = {.lex_state = 246, .external_lex_state = 9},
  [421] = {.lex_state = 246, .external_lex_state = 9},
  [422] = {.lex_state = 246, .external_lex_state = 9},
  [423] = {.lex_state = 246, .external_lex_state = 9},
  [424] = {.lex_state = 240, .external_lex_state = 2},
  [425] = {.lex_state = 240, .external_lex_state = 2},
  [426] = {.lex_state = 165, .external_lex_state = 8},
  [427] = {.lex_state = 165, .external_lex_state = 8},
  [428] = {.lex_state = 168, .external_lex_state = 8},
  [429] = {.lex_state = 168, .external_lex_state = 8},
  [430] = {.lex_state = 165, .external_lex_state = 8},
  [431] = {.lex_state = 493, .external_lex_state = 8},
  [432] = {.lex_state = 165, .external_lex_state = 8},
  [433] = {.lex_state = 493, .external_lex_state = 8},
  [434] = {.lex_state = 493, .external_lex_state = 8},
  [435] = {.lex_state = 165, .external_lex_state = 8},
  [436] = {.lex_state = 493, .external_lex_state = 8},
  [437] = {.lex_state = 493, .external_lex_state = 8},
  [438] = {.lex_state = 151, .external_lex_state = 8},
  [439] = {.lex_state = 493, .external_lex_state = 8},
  [440] = {.lex_state = 168, .external_lex_state = 8},
  [441] = {.lex_state = 493, .external_lex_state = 8},
  [442] = {.lex_state = 174, .external_lex_state = 10},
  [443] = {.lex_state = 174, .external_lex_state = 10},
  [444] = {.lex_state = 168, .external_lex_state = 8},
  [445] = {.lex_state = 151, .external_lex_state = 8},
  [446] = {.lex_state = 168, .external_lex_state = 8},
  [447] = {.lex_state = 493, .external_lex_state = 8},
  [448] = {.lex_state = 174, .external_lex_state = 10},
  [449] = {.lex_state = 164, .external_lex_state = 8},
  [450] = {.lex_state = 177, .external_lex_state = 10},
  [451] = {.lex_state = 177, .external_lex_state = 10},
  [452] = {.lex_state = 177, .external_lex_state = 10},
  [453] = {.lex_state = 164, .external_lex_state = 8},
  [454] = {.lex_state = 493, .external_lex_state = 8},
  [455] = {.lex_state = 493, .external_lex_state = 8},
  [456] = {.lex_state = 167, .external_lex_state = 8},
  [457] = {.lex_state = 493, .external_lex_state = 8},
  [458] = {.lex_state = 493, .external_lex_state = 8},
  [459] = {.lex_state = 493, .external_lex_state = 8},
  [460] = {.lex_state = 493, .external_lex_state = 8},
  [461] = {.lex_state = 167, .external_lex_state = 8},
  [462] = {.lex_state = 492, .external_lex_state = 8},
  [463] = {.lex_state = 180, .external_lex_state = 10},
  [464] = {.lex_state = 173, .external_lex_state = 8},
  [465] = {.lex_state = 180, .external_lex_state = 10},
  [466] = {.lex_state = 496, .external_lex_state = 10},
  [467] = {.lex_state = 180, .external_lex_state = 10},
  [468] = {.lex_state = 173, .external_lex_state = 8},
  [469] = {.lex_state = 492, .external_lex_state = 8},
  [470] = {.lex_state = 493, .external_lex_state = 8},
  [471] = {.lex_state = 496, .external_lex_state = 10},
  [472] = {.lex_state = 493, .external_lex_state = 8},
  [473] = {.lex_state = 493, .external_lex_state = 8},
  [474] = {.lex_state = 496, .external_lex_state = 10},
  [475] = {.lex_state = 493, .external_lex_state = 8},
  [476] = {.lex_state = 496, .external_lex_state = 10},
  [477] = {.lex_state = 493, .external_lex_state = 8},
  [478] = {.lex_state = 176, .external_lex_state = 8},
  [479] = {.lex_state = 496, .external_lex_state = 10},
  [480] = {.lex_state = 496, .external_lex_state = 10},
  [481] = {.lex_state = 176, .external_lex_state = 8},
  [482] = {.lex_state = 179, .external_lex_state = 10},
  [483] = {.lex_state = 506, .external_lex_state = 2},
  [484] = {.lex_state = 495, .external_lex_state = 8},
  [485] = {.lex_state = 496, .external_lex_state = 10},
  [486] = {.lex_state = 496, .external_lex_state = 10},
  [487] = {.lex_state = 174, .external_lex_state = 11},
  [488] = {.lex_state = 179, .external_lex_state = 10},
  [489] = {.lex_state = 492, .external_lex_state = 8},
  [490] = {.lex_state = 168, .external_lex_state = 8},
  [491] = {.lex_state = 495, .external_lex_state = 8},
  [492] = {.lex_state = 180, .external_lex_state = 10},
  [493] = {.lex_state = 184, .external_lex_state = 8},
  [494] = {.lex_state = 492, .external_lex_state = 8},
  [495] = {.lex_state = 185, .external_lex_state = 10},
  [496] = {.lex_state = 185, .external_lex_state = 10},
  [497] = {.lex_state = 496, .external_lex_state = 10},
  [498] = {.lex_state = 174, .external_lex_state = 11},
  [499] = {.lex_state = 185, .external_lex_state = 10},
  [500] = {.lex_state = 496, .external_lex_state = 10},
  [501] = {.lex_state = 496, .external_lex_state = 10},
  [502] = {.lex_state = 168, .external_lex_state = 8},
  [503] = {.lex_state = 184, .external_lex_state = 8},
  [504] = {.lex_state = 174, .external_lex_state = 11},
  [505] = {.lex_state = 180, .external_lex_state = 10},
  [506] = {.lex_state = 186, .external_lex_state = 10},
  [507] = {.lex_state = 276, .external_lex_state = 2},
  [508] = {.lex_state = 177, .external_lex_state = 11},
  [509] = {.lex_state = 177, .external_lex_state = 11},
  [510] = {.lex_state = 497, .external_lex_state = 10},
  [511] = {.lex_state = 189, .external_lex_state = 11},
  [512] = {.lex_state = 276, .external_lex_state = 2},
  [513] = {.lex_state = 276, .external_lex_state = 2},
  [514] = {.lex_state = 241, .external_lex_state = 2},
  [515] = {.lex_state = 276, .external_lex_state = 2},
  [516] = {.lex_state = 280, .external_lex_state = 12},
  [517] = {.lex_state = 189, .external_lex_state = 11},
  [518] = {.lex_state = 188, .external_lex_state = 10},
  [519] = {.lex_state = 506, .external_lex_state = 2},
  [520] = {.lex_state = 188, .external_lex_state = 10},
  [521] = {.lex_state = 495, .external_lex_state = 8},
  [522] = {.lex_state = 186, .external_lex_state = 10},
  [523] = {.lex_state = 177, .external_lex_state = 11},
  [524] = {.lex_state = 276, .external_lex_state = 2},
  [525] = {.lex_state = 497, .external_lex_state = 10},
  [526] = {.lex_state = 189, .external_lex_state = 11},
  [527] = {.lex_state = 497, .external_lex_state = 10},
  [528] = {.lex_state = 276, .external_lex_state = 2},
  [529] = {.lex_state = 241, .external_lex_state = 2},
  [530] = {.lex_state = 276, .external_lex_state = 2},
  [531] = {.lex_state = 276, .external_lex_state = 2},
  [532] = {.lex_state = 497, .external_lex_state = 10},
  [533] = {.lex_state = 506, .external_lex_state = 2},
  [534] = {.lex_state = 497, .external_lex_state = 10},
  [535] = {.lex_state = 185, .external_lex_state = 10},
  [536] = {.lex_state = 495, .external_lex_state = 8},
  [537] = {.lex_state = 280, .external_lex_state = 12},
  [538] = {.lex_state = 497, .external_lex_state = 10},
  [539] = {.lex_state = 185, .external_lex_state = 10},
  [540] = {.lex_state = 497, .external_lex_state = 10},
  [541] = {.lex_state = 168, .external_lex_state = 8},
  [542] = {.lex_state = 496, .external_lex_state = 11},
  [543] = {.lex_state = 496, .external_lex_state = 11},
  [544] = {.lex_state = 496, .external_lex_state = 11},
  [545] = {.lex_state = 191, .external_lex_state = 11},
  [546] = {.lex_state = 168, .external_lex_state = 8},
  [547] = {.lex_state = 168, .external_lex_state = 8},
  [548] = {.lex_state = 186, .external_lex_state = 11},
  [549] = {.lex_state = 497, .external_lex_state = 10},
  [550] = {.lex_state = 498, .external_lex_state = 10},
  [551] = {.lex_state = 244, .external_lex_state = 13},
  [552] = {.lex_state = 186, .external_lex_state = 11},
  [553] = {.lex_state = 497, .external_lex_state = 10},
  [554] = {.lex_state = 186, .external_lex_state = 11},
  [555] = {.lex_state = 497, .external_lex_state = 10},
  [556] = {.lex_state = 497, .external_lex_state = 10},
  [557] = {.lex_state = 186, .external_lex_state = 11},
  [558] = {.lex_state = 497, .external_lex_state = 10},
  [559] = {.lex_state = 496, .external_lex_state = 11},
  [560] = {.lex_state = 191, .external_lex_state = 11},
  [561] = {.lex_state = 191, .external_lex_state = 11},
  [562] = {.lex_state = 192, .external_lex_state = 10},
  [563] = {.lex_state = 189, .external_lex_state = 11},
  [564] = {.lex_state = 244, .external_lex_state = 13},
  [565] = {.lex_state = 244, .external_lex_state = 13},
  [566] = {.lex_state = 194, .external_lex_state = 10},
  [567] = {.lex_state = 244, .external_lex_state = 13},
  [568] = {.lex_state = 497, .external_lex_state = 10},
  [569] = {.lex_state = 496, .external_lex_state = 11},
  [570] = {.lex_state = 194, .external_lex_state = 10},
  [571] = {.lex_state = 498, .external_lex_state = 10},
  [572] = {.lex_state = 244, .external_lex_state = 13},
  [573] = {.lex_state = 189, .external_lex_state = 11},
  [574] = {.lex_state = 192, .external_lex_state = 10},
  [575] = {.lex_state = 244, .external_lex_state = 13},
  [576] = {.lex_state = 496, .external_lex_state = 11},
  [577] = {.lex_state = 244, .external_lex_state = 13},
  [578] = {.lex_state = 192, .external_lex_state = 11},
  [579] = {.lex_state = 196, .external_lex_state = 8},
  [580] = {.lex_state = 244, .external_lex_state = 13},
  [581] = {.lex_state = 244, .external_lex_state = 13},
  [582] = {.lex_state = 244, .external_lex_state = 13},
  [583] = {.lex_state = 496, .external_lex_state = 11},
  [584] = {.lex_state = 496, .external_lex_state = 11},
  [585] = {.lex_state = 177, .external_lex_state = 10},
  [586] = {.lex_state = 496, .external_lex_state = 11},
  [587] = {.lex_state = 496, .external_lex_state = 11},
  [588] = {.lex_state = 191, .external_lex_state = 11},
  [589] = {.lex_state = 191, .external_lex_state = 11},
  [590] = {.lex_state = 244, .external_lex_state = 13},
  [591] = {.lex_state = 177, .external_lex_state = 10},
  [592] = {.lex_state = 198, .external_lex_state = 10},
  [593] = {.lex_state = 198, .external_lex_state = 10},
  [594] = {.lex_state = 196, .external_lex_state = 8},
  [595] = {.lex_state = 499, .external_lex_state = 11},
  [596] = {.lex_state = 499, .external_lex_state = 11},
  [597] = {.lex_state = 499, .external_lex_state = 11},
  [598] = {.lex_state = 499, .external_lex_state = 11},
  [599] = {.lex_state = 244, .external_lex_state = 13},
  [600] = {.lex_state = 280, .external_lex_state = 12},
  [601] = {.lex_state = 280, .external_lex_state = 12},
  [602] = {.lex_state = 498, .external_lex_state = 10},
  [603] = {.lex_state = 500, .external_lex_state = 10},
  [604] = {.lex_state = 500, .external_lex_state = 10},
  [605] = {.lex_state = 497, .external_lex_state = 10},
  [606] = {.lex_state = 499, .external_lex_state = 11},
  [607] = {.lex_state = 499, .external_lex_state = 11},
  [608] = {.lex_state = 497, .external_lex_state = 10},
  [609] = {.lex_state = 496, .external_lex_state = 11},
  [610] = {.lex_state = 244, .external_lex_state = 13},
  [611] = {.lex_state = 244, .external_lex_state = 13},
  [612] = {.lex_state = 177, .external_lex_state = 10},
  [613] = {.lex_state = 498, .external_lex_state = 10},
  [614] = {.lex_state = 192, .external_lex_state = 11},
  [615] = {.lex_state = 192, .external_lex_state = 11},
  [616] = {.lex_state = 192, .external_lex_state = 11},
  [617] = {.lex_state = 280, .external_lex_state = 12},
  [618] = {.lex_state = 244, .external_lex_state = 13},
  [619] = {.lex_state = 500, .external_lex_state = 11},
  [620] = {.lex_state = 242, .external_lex_state = 2},
  [621] = {.lex_state = 499, .external_lex_state = 11},
  [622] = {.lex_state = 202, .external_lex_state = 8},
  [623] = {.lex_state = 198, .external_lex_state = 11},
  [624] = {.lex_state = 202, .external_lex_state = 8},
  [625] = {.lex_state = 499, .external_lex_state = 11},
  [626] = {.lex_state = 198, .external_lex_state = 11},
  [627] = {.lex_state = 500, .external_lex_state = 10},
  [628] = {.lex_state = 499, .external_lex_state = 11},
  [629] = {.lex_state = 499, .external_lex_state = 11},
  [630] = {.lex_state = 499, .external_lex_state = 11},
  [631] = {.lex_state = 506, .external_lex_state = 2},
  [632] = {.lex_state = 499, .external_lex_state = 11},
  [633] = {.lex_state = 500, .external_lex_state = 11},
  [634] = {.lex_state = 230, .external_lex_state = 12},
  [635] = {.lex_state = 500, .external_lex_state = 11},
  [636] = {.lex_state = 230, .external_lex_state = 12},
  [637] = {.lex_state = 289, .external_lex_state = 14},
  [638] = {.lex_state = 289, .external_lex_state = 14},
  [639] = {.lex_state = 500, .external_lex_state = 11},
  [640] = {.lex_state = 499, .external_lex_state = 11},
  [641] = {.lex_state = 506, .external_lex_state = 2},
  [642] = {.lex_state = 500, .external_lex_state = 10},
  [643] = {.lex_state = 289, .external_lex_state = 14},
  [644] = {.lex_state = 198, .external_lex_state = 11},
  [645] = {.lex_state = 198, .external_lex_state = 11},
  [646] = {.lex_state = 506, .external_lex_state = 2},
  [647] = {.lex_state = 499, .external_lex_state = 11},
  [648] = {.lex_state = 499, .external_lex_state = 11},
  [649] = {.lex_state = 499, .external_lex_state = 11},
  [650] = {.lex_state = 195, .external_lex_state = 15},
  [651] = {.lex_state = 185, .external_lex_state = 10},
  [652] = {.lex_state = 283, .external_lex_state = 16},
  [653] = {.lex_state = 195, .external_lex_state = 15},
  [654] = {.lex_state = 197, .external_lex_state = 4},
  [655] = {.lex_state = 283, .external_lex_state = 16},
  [656] = {.lex_state = 506, .external_lex_state = 2},
  [657] = {.lex_state = 500, .external_lex_state = 11},
  [658] = {.lex_state = 500, .external_lex_state = 11},
  [659] = {.lex_state = 195, .external_lex_state = 15},
  [660] = {.lex_state = 180, .external_lex_state = 10},
  [661] = {.lex_state = 180, .external_lex_state = 10},
  [662] = {.lex_state = 197, .external_lex_state = 4},
  [663] = {.lex_state = 499, .external_lex_state = 11},
  [664] = {.lex_state = 197, .external_lex_state = 4},
  [665] = {.lex_state = 506, .external_lex_state = 2},
  [666] = {.lex_state = 195, .external_lex_state = 15},
  [667] = {.lex_state = 197, .external_lex_state = 4},
  [668] = {.lex_state = 500, .external_lex_state = 11},
  [669] = {.lex_state = 231, .external_lex_state = 12},
  [670] = {.lex_state = 231, .external_lex_state = 12},
  [671] = {.lex_state = 185, .external_lex_state = 10},
  [672] = {.lex_state = 500, .external_lex_state = 11},
  [673] = {.lex_state = 197, .external_lex_state = 4},
  [674] = {.lex_state = 197, .external_lex_state = 4},
  [675] = {.lex_state = 195, .external_lex_state = 15},
  [676] = {.lex_state = 195, .external_lex_state = 15},
  [677] = {.lex_state = 499, .external_lex_state = 11},
  [678] = {.lex_state = 185, .external_lex_state = 10},
  [679] = {.lex_state = 180, .external_lex_state = 10},
  [680] = {.lex_state = 180, .external_lex_state = 10},
  [681] = {.lex_state = 197, .external_lex_state = 4},
  [682] = {.lex_state = 506, .external_lex_state = 2},
  [683] = {.lex_state = 195, .external_lex_state = 15},
  [684] = {.lex_state = 499, .external_lex_state = 11},
  [685] = {.lex_state = 283, .external_lex_state = 16},
  [686] = {.lex_state = 195, .external_lex_state = 15},
  [687] = {.lex_state = 177, .external_lex_state = 11},
  [688] = {.lex_state = 197, .external_lex_state = 4},
  [689] = {.lex_state = 185, .external_lex_state = 10},
  [690] = {.lex_state = 197, .external_lex_state = 4},
  [691] = {.lex_state = 197, .external_lex_state = 4},
  [692] = {.lex_state = 197, .external_lex_state = 4},
  [693] = {.lex_state = 199, .external_lex_state = 4},
  [694] = {.lex_state = 197, .external_lex_state = 4},
  [695] = {.lex_state = 197, .external_lex_state = 4},
  [696] = {.lex_state = 197, .external_lex_state = 4},
  [697] = {.lex_state = 279, .external_lex_state = 14},
  [698] = {.lex_state = 197, .external_lex_state = 4},
  [699] = {.lex_state = 197, .external_lex_state = 4},
  [700] = {.lex_state = 185, .external_lex_state = 10},
  [701] = {.lex_state = 199, .external_lex_state = 4},
  [702] = {.lex_state = 197, .external_lex_state = 4},
  [703] = {.lex_state = 197, .external_lex_state = 4},
  [704] = {.lex_state = 199, .external_lex_state = 4},
  [705] = {.lex_state = 197, .external_lex_state = 4},
  [706] = {.lex_state = 204, .external_lex_state = 10},
  [707] = {.lex_state = 279, .external_lex_state = 14},
  [708] = {.lex_state = 279, .external_lex_state = 14},
  [709] = {.lex_state = 232, .external_lex_state = 16},
  [710] = {.lex_state = 177, .external_lex_state = 11},
  [711] = {.lex_state = 199, .external_lex_state = 4},
  [712] = {.lex_state = 197, .external_lex_state = 4},
  [713] = {.lex_state = 185, .external_lex_state = 10},
  [714] = {.lex_state = 185, .external_lex_state = 10},
  [715] = {.lex_state = 197, .external_lex_state = 4},
  [716] = {.lex_state = 283, .external_lex_state = 16},
  [717] = {.lex_state = 232, .external_lex_state = 16},
  [718] = {.lex_state = 204, .external_lex_state = 10},
  [719] = {.lex_state = 197, .external_lex_state = 4},
  [720] = {.lex_state = 197, .external_lex_state = 4},
  [721] = {.lex_state = 185, .external_lex_state = 10},
  [722] = {.lex_state = 197, .external_lex_state = 4},
  [723] = {.lex_state = 197, .external_lex_state = 4},
  [724] = {.lex_state = 197, .external_lex_state = 4},
  [725] = {.lex_state = 177, .external_lex_state = 11},
  [726] = {.lex_state = 197, .external_lex_state = 4},
  [727] = {.lex_state = 197, .external_lex_state = 4},
  [728] = {.lex_state = 185, .external_lex_state = 10},
  [729] = {.lex_state = 197, .external_lex_state = 4},
  [730] = {.lex_state = 197, .external_lex_state = 4},
  [731] = {.lex_state = 197, .external_lex_state = 4},
  [732] = {.lex_state = 199, .external_lex_state = 4},
  [733] = {.lex_state = 197, .external_lex_state = 4},
  [734] = {.lex_state = 197, .external_lex_state = 4},
  [735] = {.lex_state = 197, .external_lex_state = 4},
  [736] = {.lex_state = 199, .external_lex_state = 4},
  [737] = {.lex_state = 197, .external_lex_state = 4},
  [738] = {.lex_state = 199, .external_lex_state = 4},
  [739] = {.lex_state = 197, .external_lex_state = 4},
  [740] = {.lex_state = 197, .external_lex_state = 4},
  [741] = {.lex_state = 283, .external_lex_state = 16},
  [742] = {.lex_state = 199, .external_lex_state = 4},
  [743] = {.lex_state = 199, .external_lex_state = 4},
  [744] = {.lex_state = 497, .external_lex_state = 10},
  [745] = {.lex_state = 289, .external_lex_state = 17},
  [746] = {.lex_state = 191, .external_lex_state = 11},
  [747] = {.lex_state = 501, .external_lex_state = 4},
  [748] = {.lex_state = 286, .external_lex_state = 18},
  [749] = {.lex_state = 191, .external_lex_state = 11},
  [750] = {.lex_state = 206, .external_lex_state = 10},
  [751] = {.lex_state = 501, .external_lex_state = 4},
  [752] = {.lex_state = 199, .external_lex_state = 4},
  [753] = {.lex_state = 199, .external_lex_state = 4},
  [754] = {.lex_state = 199, .external_lex_state = 4},
  [755] = {.lex_state = 501, .external_lex_state = 4},
  [756] = {.lex_state = 501, .external_lex_state = 4},
  [757] = {.lex_state = 165, .external_lex_state = 8},
  [758] = {.lex_state = 277, .external_lex_state = 2},
  [759] = {.lex_state = 277, .external_lex_state = 2},
  [760] = {.lex_state = 199, .external_lex_state = 4},
  [761] = {.lex_state = 199, .external_lex_state = 4},
  [762] = {.lex_state = 199, .external_lex_state = 4},
  [763] = {.lex_state = 233, .external_lex_state = 14},
  [764] = {.lex_state = 199, .external_lex_state = 4},
  [765] = {.lex_state = 497, .external_lex_state = 10},
  [766] = {.lex_state = 286, .external_lex_state = 18},
  [767] = {.lex_state = 206, .external_lex_state = 10},
  [768] = {.lex_state = 199, .external_lex_state = 4},
  [769] = {.lex_state = 199, .external_lex_state = 4},
  [770] = {.lex_state = 199, .external_lex_state = 4},
  [771] = {.lex_state = 199, .external_lex_state = 4},
  [772] = {.lex_state = 191, .external_lex_state = 11},
  [773] = {.lex_state = 199, .external_lex_state = 4},
  [774] = {.lex_state = 279, .external_lex_state = 14},
  [775] = {.lex_state = 199, .external_lex_state = 4},
  [776] = {.lex_state = 497, .external_lex_state = 10},
  [777] = {.lex_state = 279, .external_lex_state = 14},
  [778] = {.lex_state = 233, .external_lex_state = 14},
  [779] = {.lex_state = 501, .external_lex_state = 4},
  [780] = {.lex_state = 501, .external_lex_state = 4},
  [781] = {.lex_state = 199, .external_lex_state = 4},
  [782] = {.lex_state = 501, .external_lex_state = 4},
  [783] = {.lex_state = 289, .external_lex_state = 17},
  [784] = {.lex_state = 286, .external_lex_state = 18},
  [785] = {.lex_state = 199, .external_lex_state = 4},
  [786] = {.lex_state = 501, .external_lex_state = 4},
  [787] = {.lex_state = 289, .external_lex_state = 17},
  [788] = {.lex_state = 277, .external_lex_state = 2},
  [789] = {.lex_state = 497, .external_lex_state = 10},
  [790] = {.lex_state = 501, .external_lex_state = 4},
  [791] = {.lex_state = 199, .external_lex_state = 4},
  [792] = {.lex_state = 497, .external_lex_state = 10},
  [793] = {.lex_state = 199, .external_lex_state = 4},
  [794] = {.lex_state = 199, .external_lex_state = 4},
  [795] = {.lex_state = 199, .external_lex_state = 4},
  [796] = {.lex_state = 199, .external_lex_state = 4},
  [797] = {.lex_state = 199, .external_lex_state = 4},
  [798] = {.lex_state = 501, .external_lex_state = 4},
  [799] = {.lex_state = 199, .external_lex_state = 4},
  [800] = {.lex_state = 199, .external_lex_state = 4},
  [801] = {.lex_state = 199, .external_lex_state = 4},
  [802] = {.lex_state = 497, .external_lex_state = 10},
  [803] = {.lex_state = 277, .external_lex_state = 2},
  [804] = {.lex_state = 199, .external_lex_state = 4},
  [805] = {.lex_state = 199, .external_lex_state = 4},
  [806] = {.lex_state = 277, .external_lex_state = 2},
  [807] = {.lex_state = 199, .external_lex_state = 4},
  [808] = {.lex_state = 199, .external_lex_state = 4},
  [809] = {.lex_state = 501, .external_lex_state = 4},
  [810] = {.lex_state = 165, .external_lex_state = 8},
  [811] = {.lex_state = 497, .external_lex_state = 10},
  [812] = {.lex_state = 277, .external_lex_state = 2},
  [813] = {.lex_state = 501, .external_lex_state = 4},
  [814] = {.lex_state = 277, .external_lex_state = 2},
  [815] = {.lex_state = 497, .external_lex_state = 10},
  [816] = {.lex_state = 277, .external_lex_state = 2},
  [817] = {.lex_state = 501, .external_lex_state = 4},
  [818] = {.lex_state = 501, .external_lex_state = 4},
  [819] = {.lex_state = 501, .external_lex_state = 4},
  [820] = {.lex_state = 203, .external_lex_state = 19},
  [821] = {.lex_state = 497, .external_lex_state = 10},
  [822] = {.lex_state = 501, .external_lex_state = 4},
  [823] = {.lex_state = 501, .external_lex_state = 4},
  [824] = {.lex_state = 501, .external_lex_state = 4},
  [825] = {.lex_state = 501, .external_lex_state = 4},
  [826] = {.lex_state = 206, .external_lex_state = 11},
  [827] = {.lex_state = 168, .external_lex_state = 8},
  [828] = {.lex_state = 501, .external_lex_state = 4},
  [829] = {.lex_state = 203, .external_lex_state = 19},
  [830] = {.lex_state = 501, .external_lex_state = 4},
  [831] = {.lex_state = 501, .external_lex_state = 4},
  [832] = {.lex_state = 205, .external_lex_state = 19},
  [833] = {.lex_state = 205, .external_lex_state = 19},
  [834] = {.lex_state = 501, .external_lex_state = 4},
  [835] = {.lex_state = 501, .external_lex_state = 4},
  [836] = {.lex_state = 501, .external_lex_state = 4},
  [837] = {.lex_state = 287, .external_lex_state = 17},
  [838] = {.lex_state = 497, .external_lex_state = 10},
  [839] = {.lex_state = 501, .external_lex_state = 4},
  [840] = {.lex_state = 501, .external_lex_state = 4},
  [841] = {.lex_state = 205, .external_lex_state = 19},
  [842] = {.lex_state = 205, .external_lex_state = 19},
  [843] = {.lex_state = 205, .external_lex_state = 19},
  [844] = {.lex_state = 191, .external_lex_state = 11},
  [845] = {.lex_state = 191, .external_lex_state = 11},
  [846] = {.lex_state = 501, .external_lex_state = 4},
  [847] = {.lex_state = 287, .external_lex_state = 17},
  [848] = {.lex_state = 501, .external_lex_state = 4},
  [849] = {.lex_state = 165, .external_lex_state = 8},
  [850] = {.lex_state = 501, .external_lex_state = 4},
  [851] = {.lex_state = 205, .external_lex_state = 19},
  [852] = {.lex_state = 205, .external_lex_state = 19},
  [853] = {.lex_state = 501, .external_lex_state = 4},
  [854] = {.lex_state = 501, .external_lex_state = 4},
  [855] = {.lex_state = 497, .external_lex_state = 10},
  [856] = {.lex_state = 206, .external_lex_state = 11},
  [857] = {.lex_state = 205, .external_lex_state = 19},
  [858] = {.lex_state = 205, .external_lex_state = 19},
  [859] = {.lex_state = 287, .external_lex_state = 17},
  [860] = {.lex_state = 250, .external_lex_state = 20},
  [861] = {.lex_state = 250, .external_lex_state = 20},
  [862] = {.lex_state = 205, .external_lex_state = 19},
  [863] = {.lex_state = 205, .external_lex_state = 19},
  [864] = {.lex_state = 203, .external_lex_state = 19},
  [865] = {.lex_state = 234, .external_lex_state = 18},
  [866] = {.lex_state = 501, .external_lex_state = 4},
  [867] = {.lex_state = 165, .external_lex_state = 8},
  [868] = {.lex_state = 203, .external_lex_state = 19},
  [869] = {.lex_state = 501, .external_lex_state = 4},
  [870] = {.lex_state = 203, .external_lex_state = 19},
  [871] = {.lex_state = 205, .external_lex_state = 19},
  [872] = {.lex_state = 497, .external_lex_state = 10},
  [873] = {.lex_state = 501, .external_lex_state = 4},
  [874] = {.lex_state = 205, .external_lex_state = 19},
  [875] = {.lex_state = 501, .external_lex_state = 4},
  [876] = {.lex_state = 205, .external_lex_state = 19},
  [877] = {.lex_state = 203, .external_lex_state = 19},
  [878] = {.lex_state = 501, .external_lex_state = 4},
  [879] = {.lex_state = 501, .external_lex_state = 4},
  [880] = {.lex_state = 165, .external_lex_state = 8},
  [881] = {.lex_state = 497, .external_lex_state = 10},
  [882] = {.lex_state = 497, .external_lex_state = 10},
  [883] = {.lex_state = 501, .external_lex_state = 4},
  [884] = {.lex_state = 501, .external_lex_state = 4},
  [885] = {.lex_state = 501, .external_lex_state = 4},
  [886] = {.lex_state = 501, .external_lex_state = 4},
  [887] = {.lex_state = 501, .external_lex_state = 4},
  [888] = {.lex_state = 501, .external_lex_state = 4},
  [889] = {.lex_state = 501, .external_lex_state = 4},
  [890] = {.lex_state = 206, .external_lex_state = 11},
  [891] = {.lex_state = 206, .external_lex_state = 11},
  [892] = {.lex_state = 501, .external_lex_state = 4},
  [893] = {.lex_state = 501, .external_lex_state = 4},
  [894] = {.lex_state = 501, .external_lex_state = 4},
  [895] = {.lex_state = 501, .external_lex_state = 4},
  [896] = {.lex_state = 501, .external_lex_state = 4},
  [897] = {.lex_state = 501, .external_lex_state = 4},
  [898] = {.lex_state = 501, .external_lex_state = 4},
  [899] = {.lex_state = 501, .external_lex_state = 4},
  [900] = {.lex_state = 497, .external_lex_state = 10},
  [901] = {.lex_state = 501, .external_lex_state = 4},
  [902] = {.lex_state = 501, .external_lex_state = 4},
  [903] = {.lex_state = 501, .external_lex_state = 4},
  [904] = {.lex_state = 501, .external_lex_state = 4},
  [905] = {.lex_state = 165, .external_lex_state = 8},
  [906] = {.lex_state = 501, .external_lex_state = 4},
  [907] = {.lex_state = 501, .external_lex_state = 4},
  [908] = {.lex_state = 497, .external_lex_state = 10},
  [909] = {.lex_state = 165, .external_lex_state = 8},
  [910] = {.lex_state = 501, .external_lex_state = 4},
  [911] = {.lex_state = 286, .external_lex_state = 18},
  [912] = {.lex_state = 501, .external_lex_state = 4},
  [913] = {.lex_state = 501, .external_lex_state = 4},
  [914] = {.lex_state = 286, .external_lex_state = 18},
  [915] = {.lex_state = 501, .external_lex_state = 4},
  [916] = {.lex_state = 203, .external_lex_state = 19},
  [917] = {.lex_state = 235, .external_lex_state = 14},
  [918] = {.lex_state = 203, .external_lex_state = 19},
  [919] = {.lex_state = 168, .external_lex_state = 8},
  [920] = {.lex_state = 501, .external_lex_state = 4},
  [921] = {.lex_state = 497, .external_lex_state = 10},
  [922] = {.lex_state = 235, .external_lex_state = 14},
  [923] = {.lex_state = 501, .external_lex_state = 4},
  [924] = {.lex_state = 501, .external_lex_state = 4},
  [925] = {.lex_state = 501, .external_lex_state = 4},
  [926] = {.lex_state = 501, .external_lex_state = 4},
  [927] = {.lex_state = 501, .external_lex_state = 4},
  [928] = {.lex_state = 501, .external_lex_state = 4},
  [929] = {.lex_state = 501, .external_lex_state = 4},
  [930] = {.lex_state = 501, .external_lex_state = 4},
  [931] = {.lex_state = 165, .external_lex_state = 8},
  [932] = {.lex_state = 501, .external_lex_state = 4},
  [933] = {.lex_state = 497, .external_lex_state = 10},
  [934] = {.lex_state = 501, .external_lex_state = 4},
  [935] = {.lex_state = 501, .external_lex_state = 4},
  [936] = {.lex_state = 501, .external_lex_state = 4},
  [937] = {.lex_state = 501, .external_lex_state = 4},
  [938] = {.lex_state = 501, .external_lex_state = 4},
  [939] = {.lex_state = 501, .external_lex_state = 4},
  [940] = {.lex_state = 501, .external_lex_state = 4},
  [941] = {.lex_state = 234, .external_lex_state = 18},
  [942] = {.lex_state = 501, .external_lex_state = 4},
  [943] = {.lex_state = 165, .external_lex_state = 8},
  [944] = {.lex_state = 203, .external_lex_state = 21},
  [945] = {.lex_state = 168, .external_lex_state = 8},
  [946] = {.lex_state = 207, .external_lex_state = 19},
  [947] = {.lex_state = 207, .external_lex_state = 19},
  [948] = {.lex_state = 493, .external_lex_state = 8},
  [949] = {.lex_state = 205, .external_lex_state = 19},
  [950] = {.lex_state = 248, .external_lex_state = 22},
  [951] = {.lex_state = 168, .external_lex_state = 8},
  [952] = {.lex_state = 209, .external_lex_state = 19},
  [953] = {.lex_state = 203, .external_lex_state = 19},
  [954] = {.lex_state = 203, .external_lex_state = 19},
  [955] = {.lex_state = 203, .external_lex_state = 19},
  [956] = {.lex_state = 209, .external_lex_state = 19},
  [957] = {.lex_state = 247, .external_lex_state = 22},
  [958] = {.lex_state = 205, .external_lex_state = 19},
  [959] = {.lex_state = 165, .external_lex_state = 8},
  [960] = {.lex_state = 203, .external_lex_state = 21},
  [961] = {.lex_state = 203, .external_lex_state = 21},
  [962] = {.lex_state = 247, .external_lex_state = 22},
  [963] = {.lex_state = 209, .external_lex_state = 19},
  [964] = {.lex_state = 209, .external_lex_state = 19},
  [965] = {.lex_state = 501, .external_lex_state = 4},
  [966] = {.lex_state = 501, .external_lex_state = 4},
  [967] = {.lex_state = 165, .external_lex_state = 8},
  [968] = {.lex_state = 209, .external_lex_state = 19},
  [969] = {.lex_state = 168, .external_lex_state = 8},
  [970] = {.lex_state = 203, .external_lex_state = 19},
  [971] = {.lex_state = 207, .external_lex_state = 19},
  [972] = {.lex_state = 235, .external_lex_state = 17},
  [973] = {.lex_state = 235, .external_lex_state = 17},
  [974] = {.lex_state = 249, .external_lex_state = 22},
  [975] = {.lex_state = 249, .external_lex_state = 22},
  [976] = {.lex_state = 207, .external_lex_state = 19},
  [977] = {.lex_state = 165, .external_lex_state = 8},
  [978] = {.lex_state = 205, .external_lex_state = 19},
  [979] = {.lex_state = 165, .external_lex_state = 8},
  [980] = {.lex_state = 205, .external_lex_state = 19},
  [981] = {.lex_state = 205, .external_lex_state = 19},
  [982] = {.lex_state = 253, .external_lex_state = 22},
  [983] = {.lex_state = 207, .external_lex_state = 19},
  [984] = {.lex_state = 235, .external_lex_state = 17},
  [985] = {.lex_state = 493, .external_lex_state = 8},
  [986] = {.lex_state = 235, .external_lex_state = 17},
  [987] = {.lex_state = 493, .external_lex_state = 8},
  [988] = {.lex_state = 209, .external_lex_state = 19},
  [989] = {.lex_state = 501, .external_lex_state = 4},
  [990] = {.lex_state = 207, .external_lex_state = 19},
  [991] = {.lex_state = 501, .external_lex_state = 4},
  [992] = {.lex_state = 493, .external_lex_state = 8},
  [993] = {.lex_state = 203, .external_lex_state = 19},
  [994] = {.lex_state = 168, .external_lex_state = 8},
  [995] = {.lex_state = 207, .external_lex_state = 19},
  [996] = {.lex_state = 205, .external_lex_state = 19},
  [997] = {.lex_state = 248, .external_lex_state = 22},
  [998] = {.lex_state = 209, .external_lex_state = 19},
  [999] = {.lex_state = 205, .external_lex_state = 19},
  [1000] = {.lex_state = 203, .external_lex_state = 21},
  [1001] = {.lex_state = 209, .external_lex_state = 19},
  [1002] = {.lex_state = 209, .external_lex_state = 19},
  [1003] = {.lex_state = 203, .external_lex_state = 19},
  [1004] = {.lex_state = 209, .external_lex_state = 19},
  [1005] = {.lex_state = 501, .external_lex_state = 4},
  [1006] = {.lex_state = 209, .external_lex_state = 19},
  [1007] = {.lex_state = 203, .external_lex_state = 19},
  [1008] = {.lex_state = 209, .external_lex_state = 19},
  [1009] = {.lex_state = 501, .external_lex_state = 4},
  [1010] = {.lex_state = 203, .external_lex_state = 19},
  [1011] = {.lex_state = 209, .external_lex_state = 19},
  [1012] = {.lex_state = 203, .external_lex_state = 19},
  [1013] = {.lex_state = 209, .external_lex_state = 19},
  [1014] = {.lex_state = 203, .external_lex_state = 19},
  [1015] = {.lex_state = 501, .external_lex_state = 4},
  [1016] = {.lex_state = 205, .external_lex_state = 19},
  [1017] = {.lex_state = 287, .external_lex_state = 17},
  [1018] = {.lex_state = 287, .external_lex_state = 17},
  [1019] = {.lex_state = 501, .external_lex_state = 4},
  [1020] = {.lex_state = 203, .external_lex_state = 19},
  [1021] = {.lex_state = 205, .external_lex_state = 19},
  [1022] = {.lex_state = 501, .external_lex_state = 4},
  [1023] = {.lex_state = 501, .external_lex_state = 4},
  [1024] = {.lex_state = 203, .external_lex_state = 19},
  [1025] = {.lex_state = 205, .external_lex_state = 19},
  [1026] = {.lex_state = 250, .external_lex_state = 23},
  [1027] = {.lex_state = 250, .external_lex_state = 23},
  [1028] = {.lex_state = 168, .external_lex_state = 8},
  [1029] = {.lex_state = 205, .external_lex_state = 19},
  [1030] = {.lex_state = 501, .external_lex_state = 4},
  [1031] = {.lex_state = 205, .external_lex_state = 19},
  [1032] = {.lex_state = 205, .external_lex_state = 19},
  [1033] = {.lex_state = 205, .external_lex_state = 19},
  [1034] = {.lex_state = 203, .external_lex_state = 19},
  [1035] = {.lex_state = 205, .external_lex_state = 19},
  [1036] = {.lex_state = 203, .external_lex_state = 19},
  [1037] = {.lex_state = 251, .external_lex_state = 22},
  [1038] = {.lex_state = 203, .external_lex_state = 19},
  [1039] = {.lex_state = 251, .external_lex_state = 22},
  [1040] = {.lex_state = 203, .external_lex_state = 21},
  [1041] = {.lex_state = 203, .external_lex_state = 19},
  [1042] = {.lex_state = 203, .external_lex_state = 19},
  [1043] = {.lex_state = 207, .external_lex_state = 19},
  [1044] = {.lex_state = 205, .external_lex_state = 19},
  [1045] = {.lex_state = 205, .external_lex_state = 19},
  [1046] = {.lex_state = 203, .external_lex_state = 19},
  [1047] = {.lex_state = 205, .external_lex_state = 19},
  [1048] = {.lex_state = 205, .external_lex_state = 19},
  [1049] = {.lex_state = 168, .external_lex_state = 8},
  [1050] = {.lex_state = 203, .external_lex_state = 21},
  [1051] = {.lex_state = 203, .external_lex_state = 19},
  [1052] = {.lex_state = 207, .external_lex_state = 19},
  [1053] = {.lex_state = 180, .external_lex_state = 10},
  [1054] = {.lex_state = 502, .external_lex_state = 19},
  [1055] = {.lex_state = 502, .external_lex_state = 19},
  [1056] = {.lex_state = 207, .external_lex_state = 19},
  [1057] = {.lex_state = 168, .external_lex_state = 8},
  [1058] = {.lex_state = 503, .external_lex_state = 19},
  [1059] = {.lex_state = 203, .external_lex_state = 21},
  [1060] = {.lex_state = 203, .external_lex_state = 21},
  [1061] = {.lex_state = 502, .external_lex_state = 19},
  [1062] = {.lex_state = 207, .external_lex_state = 19},
  [1063] = {.lex_state = 503, .external_lex_state = 19},
  [1064] = {.lex_state = 214, .external_lex_state = 21},
  [1065] = {.lex_state = 203, .external_lex_state = 21},
  [1066] = {.lex_state = 209, .external_lex_state = 19},
  [1067] = {.lex_state = 502, .external_lex_state = 19},
  [1068] = {.lex_state = 214, .external_lex_state = 21},
  [1069] = {.lex_state = 502, .external_lex_state = 19},
  [1070] = {.lex_state = 209, .external_lex_state = 19},
  [1071] = {.lex_state = 207, .external_lex_state = 21},
  [1072] = {.lex_state = 207, .external_lex_state = 19},
  [1073] = {.lex_state = 503, .external_lex_state = 19},
  [1074] = {.lex_state = 503, .external_lex_state = 19},
  [1075] = {.lex_state = 203, .external_lex_state = 21},
  [1076] = {.lex_state = 207, .external_lex_state = 21},
  [1077] = {.lex_state = 180, .external_lex_state = 10},
  [1078] = {.lex_state = 207, .external_lex_state = 19},
  [1079] = {.lex_state = 180, .external_lex_state = 10},
  [1080] = {.lex_state = 168, .external_lex_state = 8},
  [1081] = {.lex_state = 493, .external_lex_state = 8},
  [1082] = {.lex_state = 502, .external_lex_state = 19},
  [1083] = {.lex_state = 502, .external_lex_state = 19},
  [1084] = {.lex_state = 180, .external_lex_state = 10},
  [1085] = {.lex_state = 503, .external_lex_state = 19},
  [1086] = {.lex_state = 502, .external_lex_state = 19},
  [1087] = {.lex_state = 502, .external_lex_state = 19},
  [1088] = {.lex_state = 209, .external_lex_state = 19},
  [1089] = {.lex_state = 180, .external_lex_state = 10},
  [1090] = {.lex_state = 502, .external_lex_state = 19},
  [1091] = {.lex_state = 502, .external_lex_state = 19},
  [1092] = {.lex_state = 502, .external_lex_state = 19},
  [1093] = {.lex_state = 214, .external_lex_state = 21},
  [1094] = {.lex_state = 209, .external_lex_state = 19},
  [1095] = {.lex_state = 502, .external_lex_state = 19},
  [1096] = {.lex_state = 174, .external_lex_state = 10},
  [1097] = {.lex_state = 493, .external_lex_state = 8},
  [1098] = {.lex_state = 203, .external_lex_state = 21},
  [1099] = {.lex_state = 209, .external_lex_state = 19},
  [1100] = {.lex_state = 207, .external_lex_state = 21},
  [1101] = {.lex_state = 203, .external_lex_state = 21},
  [1102] = {.lex_state = 502, .external_lex_state = 19},
  [1103] = {.lex_state = 203, .external_lex_state = 21},
  [1104] = {.lex_state = 209, .external_lex_state = 19},
  [1105] = {.lex_state = 502, .external_lex_state = 19},
  [1106] = {.lex_state = 503, .external_lex_state = 19},
  [1107] = {.lex_state = 203, .external_lex_state = 21},
  [1108] = {.lex_state = 493, .external_lex_state = 8},
  [1109] = {.lex_state = 180, .external_lex_state = 10},
  [1110] = {.lex_state = 493, .external_lex_state = 8},
  [1111] = {.lex_state = 503, .external_lex_state = 19},
  [1112] = {.lex_state = 209, .external_lex_state = 19},
  [1113] = {.lex_state = 207, .external_lex_state = 19},
  [1114] = {.lex_state = 503, .external_lex_state = 19},
  [1115] = {.lex_state = 203, .external_lex_state = 21},
  [1116] = {.lex_state = 502, .external_lex_state = 19},
  [1117] = {.lex_state = 502, .external_lex_state = 19},
  [1118] = {.lex_state = 502, .external_lex_state = 19},
  [1119] = {.lex_state = 203, .external_lex_state = 21},
  [1120] = {.lex_state = 207, .external_lex_state = 19},
  [1121] = {.lex_state = 207, .external_lex_state = 19},
  [1122] = {.lex_state = 493, .external_lex_state = 8},
  [1123] = {.lex_state = 209, .external_lex_state = 19},
  [1124] = {.lex_state = 207, .external_lex_state = 19},
  [1125] = {.lex_state = 503, .external_lex_state = 19},
  [1126] = {.lex_state = 502, .external_lex_state = 19},
  [1127] = {.lex_state = 493, .external_lex_state = 8},
  [1128] = {.lex_state = 503, .external_lex_state = 19},
  [1129] = {.lex_state = 207, .external_lex_state = 19},
  [1130] = {.lex_state = 493, .external_lex_state = 8},
  [1131] = {.lex_state = 203, .external_lex_state = 21},
  [1132] = {.lex_state = 503, .external_lex_state = 19},
  [1133] = {.lex_state = 493, .external_lex_state = 8},
  [1134] = {.lex_state = 503, .external_lex_state = 19},
  [1135] = {.lex_state = 203, .external_lex_state = 21},
  [1136] = {.lex_state = 503, .external_lex_state = 19},
  [1137] = {.lex_state = 502, .external_lex_state = 19},
  [1138] = {.lex_state = 493, .external_lex_state = 8},
  [1139] = {.lex_state = 502, .external_lex_state = 19},
  [1140] = {.lex_state = 174, .external_lex_state = 10},
  [1141] = {.lex_state = 493, .external_lex_state = 8},
  [1142] = {.lex_state = 502, .external_lex_state = 19},
  [1143] = {.lex_state = 203, .external_lex_state = 21},
  [1144] = {.lex_state = 503, .external_lex_state = 19},
  [1145] = {.lex_state = 209, .external_lex_state = 19},
  [1146] = {.lex_state = 502, .external_lex_state = 19},
  [1147] = {.lex_state = 255, .external_lex_state = 20},
  [1148] = {.lex_state = 493, .external_lex_state = 8},
  [1149] = {.lex_state = 207, .external_lex_state = 19},
  [1150] = {.lex_state = 502, .external_lex_state = 19},
  [1151] = {.lex_state = 207, .external_lex_state = 19},
  [1152] = {.lex_state = 207, .external_lex_state = 19},
  [1153] = {.lex_state = 209, .external_lex_state = 19},
  [1154] = {.lex_state = 209, .external_lex_state = 19},
  [1155] = {.lex_state = 502, .external_lex_state = 19},
  [1156] = {.lex_state = 503, .external_lex_state = 19},
  [1157] = {.lex_state = 209, .external_lex_state = 19},
  [1158] = {.lex_state = 503, .external_lex_state = 19},
  [1159] = {.lex_state = 168, .external_lex_state = 8},
  [1160] = {.lex_state = 252, .external_lex_state = 22},
  [1161] = {.lex_state = 252, .external_lex_state = 22},
  [1162] = {.lex_state = 180, .external_lex_state = 10},
  [1163] = {.lex_state = 209, .external_lex_state = 19},
  [1164] = {.lex_state = 209, .external_lex_state = 19},
  [1165] = {.lex_state = 502, .external_lex_state = 19},
  [1166] = {.lex_state = 174, .external_lex_state = 10},
  [1167] = {.lex_state = 203, .external_lex_state = 21},
  [1168] = {.lex_state = 214, .external_lex_state = 21},
  [1169] = {.lex_state = 203, .external_lex_state = 21},
  [1170] = {.lex_state = 207, .external_lex_state = 19},
  [1171] = {.lex_state = 207, .external_lex_state = 19},
  [1172] = {.lex_state = 203, .external_lex_state = 21},
  [1173] = {.lex_state = 207, .external_lex_state = 21},
  [1174] = {.lex_state = 502, .external_lex_state = 19},
  [1175] = {.lex_state = 502, .external_lex_state = 19},
  [1176] = {.lex_state = 493, .external_lex_state = 8},
  [1177] = {.lex_state = 214, .external_lex_state = 21},
  [1178] = {.lex_state = 168, .external_lex_state = 8},
  [1179] = {.lex_state = 168, .external_lex_state = 8},
  [1180] = {.lex_state = 207, .external_lex_state = 19},
  [1181] = {.lex_state = 203, .external_lex_state = 21},
  [1182] = {.lex_state = 203, .external_lex_state = 21},
  [1183] = {.lex_state = 203, .external_lex_state = 21},
  [1184] = {.lex_state = 207, .external_lex_state = 21},
  [1185] = {.lex_state = 207, .external_lex_state = 21},
  [1186] = {.lex_state = 214, .external_lex_state = 21},
  [1187] = {.lex_state = 207, .external_lex_state = 19},
  [1188] = {.lex_state = 209, .external_lex_state = 19},
  [1189] = {.lex_state = 209, .external_lex_state = 19},
  [1190] = {.lex_state = 207, .external_lex_state = 19},
  [1191] = {.lex_state = 207, .external_lex_state = 19},
  [1192] = {.lex_state = 209, .external_lex_state = 19},
  [1193] = {.lex_state = 209, .external_lex_state = 19},
  [1194] = {.lex_state = 209, .external_lex_state = 19},
  [1195] = {.lex_state = 207, .external_lex_state = 21},
  [1196] = {.lex_state = 502, .external_lex_state = 19},
  [1197] = {.lex_state = 215, .external_lex_state = 21},
  [1198] = {.lex_state = 502, .external_lex_state = 19},
  [1199] = {.lex_state = 185, .external_lex_state = 10},
  [1200] = {.lex_state = 503, .external_lex_state = 21},
  [1201] = {.lex_state = 503, .external_lex_state = 21},
  [1202] = {.lex_state = 177, .external_lex_state = 10},
  [1203] = {.lex_state = 207, .external_lex_state = 21},
  [1204] = {.lex_state = 502, .external_lex_state = 19},
  [1205] = {.lex_state = 207, .external_lex_state = 21},
  [1206] = {.lex_state = 214, .external_lex_state = 21},
  [1207] = {.lex_state = 214, .external_lex_state = 21},
  [1208] = {.lex_state = 503, .external_lex_state = 19},
  [1209] = {.lex_state = 174, .external_lex_state = 11},
  [1210] = {.lex_state = 177, .external_lex_state = 10},
  [1211] = {.lex_state = 207, .external_lex_state = 21},
  [1212] = {.lex_state = 174, .external_lex_state = 11},
  [1213] = {.lex_state = 502, .external_lex_state = 19},
  [1214] = {.lex_state = 502, .external_lex_state = 19},
  [1215] = {.lex_state = 503, .external_lex_state = 21},
  [1216] = {.lex_state = 185, .external_lex_state = 10},
  [1217] = {.lex_state = 185, .external_lex_state = 10},
  [1218] = {.lex_state = 503, .external_lex_state = 21},
  [1219] = {.lex_state = 503, .external_lex_state = 21},
  [1220] = {.lex_state = 207, .external_lex_state = 21},
  [1221] = {.lex_state = 214, .external_lex_state = 21},
  [1222] = {.lex_state = 215, .external_lex_state = 21},
  [1223] = {.lex_state = 199, .external_lex_state = 4},
  [1224] = {.lex_state = 199, .external_lex_state = 4},
  [1225] = {.lex_state = 199, .external_lex_state = 4},
  [1226] = {.lex_state = 185, .external_lex_state = 10},
  [1227] = {.lex_state = 214, .external_lex_state = 21},
  [1228] = {.lex_state = 214, .external_lex_state = 21},
  [1229] = {.lex_state = 502, .external_lex_state = 19},
  [1230] = {.lex_state = 214, .external_lex_state = 21},
  [1231] = {.lex_state = 503, .external_lex_state = 21},
  [1232] = {.lex_state = 503, .external_lex_state = 21},
  [1233] = {.lex_state = 503, .external_lex_state = 19},
  [1234] = {.lex_state = 502, .external_lex_state = 19},
  [1235] = {.lex_state = 502, .external_lex_state = 19},
  [1236] = {.lex_state = 185, .external_lex_state = 10},
  [1237] = {.lex_state = 502, .external_lex_state = 19},
  [1238] = {.lex_state = 503, .external_lex_state = 19},
  [1239] = {.lex_state = 502, .external_lex_state = 19},
  [1240] = {.lex_state = 503, .external_lex_state = 19},
  [1241] = {.lex_state = 503, .external_lex_state = 19},
  [1242] = {.lex_state = 503, .external_lex_state = 19},
  [1243] = {.lex_state = 502, .external_lex_state = 19},
  [1244] = {.lex_state = 502, .external_lex_state = 19},
  [1245] = {.lex_state = 502, .external_lex_state = 19},
  [1246] = {.lex_state = 214, .external_lex_state = 21},
  [1247] = {.lex_state = 503, .external_lex_state = 19},
  [1248] = {.lex_state = 503, .external_lex_state = 19},
  [1249] = {.lex_state = 503, .external_lex_state = 19},
  [1250] = {.lex_state = 199, .external_lex_state = 4},
  [1251] = {.lex_state = 503, .external_lex_state = 19},
  [1252] = {.lex_state = 503, .external_lex_state = 19},
  [1253] = {.lex_state = 503, .external_lex_state = 19},
  [1254] = {.lex_state = 502, .external_lex_state = 19},
  [1255] = {.lex_state = 502, .external_lex_state = 19},
  [1256] = {.lex_state = 503, .external_lex_state = 19},
  [1257] = {.lex_state = 503, .external_lex_state = 19},
  [1258] = {.lex_state = 503, .external_lex_state = 19},
  [1259] = {.lex_state = 503, .external_lex_state = 19},
  [1260] = {.lex_state = 503, .external_lex_state = 19},
  [1261] = {.lex_state = 503, .external_lex_state = 19},
  [1262] = {.lex_state = 502, .external_lex_state = 19},
  [1263] = {.lex_state = 199, .external_lex_state = 4},
  [1264] = {.lex_state = 503, .external_lex_state = 19},
  [1265] = {.lex_state = 243, .external_lex_state = 24},
  [1266] = {.lex_state = 503, .external_lex_state = 19},
  [1267] = {.lex_state = 503, .external_lex_state = 21},
  [1268] = {.lex_state = 503, .external_lex_state = 19},
  [1269] = {.lex_state = 503, .external_lex_state = 19},
  [1270] = {.lex_state = 503, .external_lex_state = 19},
  [1271] = {.lex_state = 493, .external_lex_state = 8},
  [1272] = {.lex_state = 503, .external_lex_state = 19},
  [1273] = {.lex_state = 185, .external_lex_state = 10},
  [1274] = {.lex_state = 207, .external_lex_state = 21},
  [1275] = {.lex_state = 174, .external_lex_state = 10},
  [1276] = {.lex_state = 503, .external_lex_state = 19},
  [1277] = {.lex_state = 214, .external_lex_state = 21},
  [1278] = {.lex_state = 503, .external_lex_state = 21},
  [1279] = {.lex_state = 243, .external_lex_state = 24},
  [1280] = {.lex_state = 503, .external_lex_state = 19},
  [1281] = {.lex_state = 185, .external_lex_state = 10},
  [1282] = {.lex_state = 503, .external_lex_state = 19},
  [1283] = {.lex_state = 207, .external_lex_state = 21},
  [1284] = {.lex_state = 503, .external_lex_state = 19},
  [1285] = {.lex_state = 503, .external_lex_state = 19},
  [1286] = {.lex_state = 207, .external_lex_state = 21},
  [1287] = {.lex_state = 503, .external_lex_state = 19},
  [1288] = {.lex_state = 503, .external_lex_state = 19},
  [1289] = {.lex_state = 255, .external_lex_state = 23},
  [1290] = {.lex_state = 493, .external_lex_state = 8},
  [1291] = {.lex_state = 214, .external_lex_state = 21},
  [1292] = {.lex_state = 493, .external_lex_state = 8},
  [1293] = {.lex_state = 502, .external_lex_state = 19},
  [1294] = {.lex_state = 503, .external_lex_state = 19},
  [1295] = {.lex_state = 503, .external_lex_state = 19},
  [1296] = {.lex_state = 502, .external_lex_state = 19},
  [1297] = {.lex_state = 502, .external_lex_state = 19},
  [1298] = {.lex_state = 207, .external_lex_state = 21},
  [1299] = {.lex_state = 502, .external_lex_state = 19},
  [1300] = {.lex_state = 207, .external_lex_state = 21},
  [1301] = {.lex_state = 214, .external_lex_state = 21},
  [1302] = {.lex_state = 502, .external_lex_state = 19},
  [1303] = {.lex_state = 207, .external_lex_state = 21},
  [1304] = {.lex_state = 502, .external_lex_state = 19},
  [1305] = {.lex_state = 493, .external_lex_state = 8},
  [1306] = {.lex_state = 503, .external_lex_state = 21},
  [1307] = {.lex_state = 502, .external_lex_state = 19},
  [1308] = {.lex_state = 502, .external_lex_state = 19},
  [1309] = {.lex_state = 502, .external_lex_state = 19},
  [1310] = {.lex_state = 502, .external_lex_state = 19},
  [1311] = {.lex_state = 502, .external_lex_state = 19},
  [1312] = {.lex_state = 502, .external_lex_state = 19},
  [1313] = {.lex_state = 502, .external_lex_state = 19},
  [1314] = {.lex_state = 493, .external_lex_state = 8},
  [1315] = {.lex_state = 502, .external_lex_state = 19},
  [1316] = {.lex_state = 502, .external_lex_state = 19},
  [1317] = {.lex_state = 503, .external_lex_state = 19},
  [1318] = {.lex_state = 503, .external_lex_state = 19},
  [1319] = {.lex_state = 502, .external_lex_state = 19},
  [1320] = {.lex_state = 502, .external_lex_state = 19},
  [1321] = {.lex_state = 493, .external_lex_state = 8},
  [1322] = {.lex_state = 214, .external_lex_state = 21},
  [1323] = {.lex_state = 215, .external_lex_state = 21},
  [1324] = {.lex_state = 493, .external_lex_state = 8},
  [1325] = {.lex_state = 493, .external_lex_state = 8},
  [1326] = {.lex_state = 214, .external_lex_state = 21},
  [1327] = {.lex_state = 214, .external_lex_state = 21},
  [1328] = {.lex_state = 503, .external_lex_state = 19},
  [1329] = {.lex_state = 195, .external_lex_state = 15},
  [1330] = {.lex_state = 180, .external_lex_state = 10},
  [1331] = {.lex_state = 180, .external_lex_state = 10},
  [1332] = {.lex_state = 493, .external_lex_state = 8},
  [1333] = {.lex_state = 195, .external_lex_state = 15},
  [1334] = {.lex_state = 180, .external_lex_state = 10},
  [1335] = {.lex_state = 493, .external_lex_state = 8},
  [1336] = {.lex_state = 207, .external_lex_state = 21},
  [1337] = {.lex_state = 243, .external_lex_state = 24},
  [1338] = {.lex_state = 503, .external_lex_state = 21},
  [1339] = {.lex_state = 214, .external_lex_state = 21},
  [1340] = {.lex_state = 207, .external_lex_state = 21},
  [1341] = {.lex_state = 180, .external_lex_state = 10},
  [1342] = {.lex_state = 214, .external_lex_state = 21},
  [1343] = {.lex_state = 503, .external_lex_state = 19},
  [1344] = {.lex_state = 180, .external_lex_state = 10},
  [1345] = {.lex_state = 174, .external_lex_state = 10},
  [1346] = {.lex_state = 199, .external_lex_state = 4},
  [1347] = {.lex_state = 502, .external_lex_state = 19},
  [1348] = {.lex_state = 174, .external_lex_state = 10},
  [1349] = {.lex_state = 503, .external_lex_state = 19},
  [1350] = {.lex_state = 255, .external_lex_state = 22},
  [1351] = {.lex_state = 502, .external_lex_state = 19},
  [1352] = {.lex_state = 502, .external_lex_state = 19},
  [1353] = {.lex_state = 502, .external_lex_state = 19},
  [1354] = {.lex_state = 215, .external_lex_state = 21},
  [1355] = {.lex_state = 215, .external_lex_state = 21},
  [1356] = {.lex_state = 174, .external_lex_state = 10},
  [1357] = {.lex_state = 502, .external_lex_state = 19},
  [1358] = {.lex_state = 502, .external_lex_state = 19},
  [1359] = {.lex_state = 243, .external_lex_state = 24},
  [1360] = {.lex_state = 207, .external_lex_state = 21},
  [1361] = {.lex_state = 502, .external_lex_state = 19},
  [1362] = {.lex_state = 502, .external_lex_state = 19},
  [1363] = {.lex_state = 502, .external_lex_state = 19},
  [1364] = {.lex_state = 502, .external_lex_state = 19},
  [1365] = {.lex_state = 207, .external_lex_state = 21},
  [1366] = {.lex_state = 503, .external_lex_state = 19},
  [1367] = {.lex_state = 503, .external_lex_state = 19},
  [1368] = {.lex_state = 207, .external_lex_state = 21},
  [1369] = {.lex_state = 195, .external_lex_state = 15},
  [1370] = {.lex_state = 207, .external_lex_state = 21},
  [1371] = {.lex_state = 503, .external_lex_state = 19},
  [1372] = {.lex_state = 185, .external_lex_state = 10},
  [1373] = {.lex_state = 185, .external_lex_state = 10},
  [1374] = {.lex_state = 214, .external_lex_state = 21},
  [1375] = {.lex_state = 243, .external_lex_state = 24},
  [1376] = {.lex_state = 503, .external_lex_state = 21},
  [1377] = {.lex_state = 180, .external_lex_state = 10},
  [1378] = {.lex_state = 243, .external_lex_state = 24},
  [1379] = {.lex_state = 180, .external_lex_state = 10},
  [1380] = {.lex_state = 502, .external_lex_state = 19},
  [1381] = {.lex_state = 243, .external_lex_state = 24},
  [1382] = {.lex_state = 207, .external_lex_state = 21},
  [1383] = {.lex_state = 214, .external_lex_state = 21},
  [1384] = {.lex_state = 180, .external_lex_state = 10},
  [1385] = {.lex_state = 502, .external_lex_state = 19},
  [1386] = {.lex_state = 185, .external_lex_state = 10},
  [1387] = {.lex_state = 180, .external_lex_state = 10},
  [1388] = {.lex_state = 503, .external_lex_state = 19},
  [1389] = {.lex_state = 502, .external_lex_state = 19},
  [1390] = {.lex_state = 502, .external_lex_state = 19},
  [1391] = {.lex_state = 502, .external_lex_state = 19},
  [1392] = {.lex_state = 177, .external_lex_state = 10},
  [1393] = {.lex_state = 502, .external_lex_state = 19},
  [1394] = {.lex_state = 185, .external_lex_state = 10},
  [1395] = {.lex_state = 502, .external_lex_state = 19},
  [1396] = {.lex_state = 503, .external_lex_state = 19},
  [1397] = {.lex_state = 180, .external_lex_state = 10},
  [1398] = {.lex_state = 207, .external_lex_state = 21},
  [1399] = {.lex_state = 180, .external_lex_state = 10},
  [1400] = {.lex_state = 502, .external_lex_state = 19},
  [1401] = {.lex_state = 214, .external_lex_state = 21},
  [1402] = {.lex_state = 215, .external_lex_state = 21},
  [1403] = {.lex_state = 503, .external_lex_state = 19},
  [1404] = {.lex_state = 214, .external_lex_state = 21},
  [1405] = {.lex_state = 503, .external_lex_state = 19},
  [1406] = {.lex_state = 243, .external_lex_state = 25},
  [1407] = {.lex_state = 504, .external_lex_state = 21},
  [1408] = {.lex_state = 504, .external_lex_state = 21},
  [1409] = {.lex_state = 503, .external_lex_state = 21},
  [1410] = {.lex_state = 277, .external_lex_state = 2},
  [1411] = {.lex_state = 503, .external_lex_state = 21},
  [1412] = {.lex_state = 497, .external_lex_state = 10},
  [1413] = {.lex_state = 185, .external_lex_state = 10},
  [1414] = {.lex_state = 497, .external_lex_state = 10},
  [1415] = {.lex_state = 497, .external_lex_state = 10},
  [1416] = {.lex_state = 177, .external_lex_state = 11},
  [1417] = {.lex_state = 243, .external_lex_state = 26},
  [1418] = {.lex_state = 185, .external_lex_state = 10},
  [1419] = {.lex_state = 243, .external_lex_state = 26},
  [1420] = {.lex_state = 497, .external_lex_state = 10},
  [1421] = {.lex_state = 503, .external_lex_state = 21},
  [1422] = {.lex_state = 497, .external_lex_state = 10},
  [1423] = {.lex_state = 279, .external_lex_state = 14},
  [1424] = {.lex_state = 243, .external_lex_state = 26},
  [1425] = {.lex_state = 503, .external_lex_state = 21},
  [1426] = {.lex_state = 215, .external_lex_state = 21},
  [1427] = {.lex_state = 215, .external_lex_state = 21},
  [1428] = {.lex_state = 215, .external_lex_state = 21},
  [1429] = {.lex_state = 503, .external_lex_state = 21},
  [1430] = {.lex_state = 497, .external_lex_state = 10},
  [1431] = {.lex_state = 215, .external_lex_state = 21},
  [1432] = {.lex_state = 215, .external_lex_state = 21},
  [1433] = {.lex_state = 497, .external_lex_state = 10},
  [1434] = {.lex_state = 504, .external_lex_state = 21},
  [1435] = {.lex_state = 503, .external_lex_state = 21},
  [1436] = {.lex_state = 215, .external_lex_state = 21},
  [1437] = {.lex_state = 215, .external_lex_state = 21},
  [1438] = {.lex_state = 503, .external_lex_state = 21},
  [1439] = {.lex_state = 243, .external_lex_state = 26},
  [1440] = {.lex_state = 177, .external_lex_state = 10},
  [1441] = {.lex_state = 497, .external_lex_state = 10},
  [1442] = {.lex_state = 185, .external_lex_state = 10},
  [1443] = {.lex_state = 277, .external_lex_state = 2},
  [1444] = {.lex_state = 497, .external_lex_state = 10},
  [1445] = {.lex_state = 185, .external_lex_state = 10},
  [1446] = {.lex_state = 243, .external_lex_state = 25},
  [1447] = {.lex_state = 195, .external_lex_state = 15},
  [1448] = {.lex_state = 504, .external_lex_state = 21},
  [1449] = {.lex_state = 199, .external_lex_state = 4},
  [1450] = {.lex_state = 195, .external_lex_state = 15},
  [1451] = {.lex_state = 503, .external_lex_state = 21},
  [1452] = {.lex_state = 504, .external_lex_state = 21},
  [1453] = {.lex_state = 503, .external_lex_state = 21},
  [1454] = {.lex_state = 504, .external_lex_state = 21},
  [1455] = {.lex_state = 503, .external_lex_state = 21},
  [1456] = {.lex_state = 496, .external_lex_state = 10},
  [1457] = {.lex_state = 177, .external_lex_state = 10},
  [1458] = {.lex_state = 199, .external_lex_state = 4},
  [1459] = {.lex_state = 503, .external_lex_state = 21},
  [1460] = {.lex_state = 185, .external_lex_state = 10},
  [1461] = {.lex_state = 185, .external_lex_state = 10},
  [1462] = {.lex_state = 215, .external_lex_state = 21},
  [1463] = {.lex_state = 504, .external_lex_state = 21},
  [1464] = {.lex_state = 215, .external_lex_state = 21},
  [1465] = {.lex_state = 215, .external_lex_state = 21},
  [1466] = {.lex_state = 215, .external_lex_state = 21},
  [1467] = {.lex_state = 503, .external_lex_state = 21},
  [1468] = {.lex_state = 215, .external_lex_state = 21},
  [1469] = {.lex_state = 277, .external_lex_state = 2},
  [1470] = {.lex_state = 185, .external_lex_state = 10},
  [1471] = {.lex_state = 199, .external_lex_state = 4},
  [1472] = {.lex_state = 199, .external_lex_state = 4},
  [1473] = {.lex_state = 199, .external_lex_state = 4},
  [1474] = {.lex_state = 208, .external_lex_state = 15},
  [1475] = {.lex_state = 503, .external_lex_state = 21},
  [1476] = {.lex_state = 503, .external_lex_state = 21},
  [1477] = {.lex_state = 503, .external_lex_state = 21},
  [1478] = {.lex_state = 503, .external_lex_state = 21},
  [1479] = {.lex_state = 215, .external_lex_state = 21},
  [1480] = {.lex_state = 503, .external_lex_state = 21},
  [1481] = {.lex_state = 503, .external_lex_state = 21},
  [1482] = {.lex_state = 503, .external_lex_state = 21},
  [1483] = {.lex_state = 243, .external_lex_state = 26},
  [1484] = {.lex_state = 496, .external_lex_state = 10},
  [1485] = {.lex_state = 199, .external_lex_state = 4},
  [1486] = {.lex_state = 281, .external_lex_state = 27},
  [1487] = {.lex_state = 281, .external_lex_state = 27},
  [1488] = {.lex_state = 281, .external_lex_state = 27},
  [1489] = {.lex_state = 503, .external_lex_state = 21},
  [1490] = {.lex_state = 215, .external_lex_state = 21},
  [1491] = {.lex_state = 243, .external_lex_state = 25},
  [1492] = {.lex_state = 177, .external_lex_state = 11},
  [1493] = {.lex_state = 199, .external_lex_state = 4},
  [1494] = {.lex_state = 503, .external_lex_state = 21},
  [1495] = {.lex_state = 185, .external_lex_state = 10},
  [1496] = {.lex_state = 496, .external_lex_state = 10},
  [1497] = {.lex_state = 503, .external_lex_state = 21},
  [1498] = {.lex_state = 199, .external_lex_state = 4},
  [1499] = {.lex_state = 497, .external_lex_state = 10},
  [1500] = {.lex_state = 503, .external_lex_state = 21},
  [1501] = {.lex_state = 281, .external_lex_state = 27},
  [1502] = {.lex_state = 281, .external_lex_state = 27},
  [1503] = {.lex_state = 281, .external_lex_state = 27},
  [1504] = {.lex_state = 503, .external_lex_state = 21},
  [1505] = {.lex_state = 504, .external_lex_state = 21},
  [1506] = {.lex_state = 503, .external_lex_state = 21},
  [1507] = {.lex_state = 503, .external_lex_state = 21},
  [1508] = {.lex_state = 199, .external_lex_state = 4},
  [1509] = {.lex_state = 199, .external_lex_state = 4},
  [1510] = {.lex_state = 504, .external_lex_state = 21},
  [1511] = {.lex_state = 504, .external_lex_state = 21},
  [1512] = {.lex_state = 185, .external_lex_state = 10},
  [1513] = {.lex_state = 503, .external_lex_state = 21},
  [1514] = {.lex_state = 503, .external_lex_state = 21},
  [1515] = {.lex_state = 497, .external_lex_state = 10},
  [1516] = {.lex_state = 215, .external_lex_state = 21},
  [1517] = {.lex_state = 503, .external_lex_state = 21},
  [1518] = {.lex_state = 503, .external_lex_state = 21},
  [1519] = {.lex_state = 503, .external_lex_state = 21},
  [1520] = {.lex_state = 503, .external_lex_state = 21},
  [1521] = {.lex_state = 199, .external_lex_state = 4},
  [1522] = {.lex_state = 215, .external_lex_state = 21},
  [1523] = {.lex_state = 279, .external_lex_state = 14},
  [1524] = {.lex_state = 189, .external_lex_state = 11},
  [1525] = {.lex_state = 503, .external_lex_state = 21},
  [1526] = {.lex_state = 503, .external_lex_state = 21},
  [1527] = {.lex_state = 208, .external_lex_state = 15},
  [1528] = {.lex_state = 504, .external_lex_state = 21},
  [1529] = {.lex_state = 503, .external_lex_state = 21},
  [1530] = {.lex_state = 496, .external_lex_state = 10},
  [1531] = {.lex_state = 243, .external_lex_state = 26},
  [1532] = {.lex_state = 174, .external_lex_state = 11},
  [1533] = {.lex_state = 503, .external_lex_state = 21},
  [1534] = {.lex_state = 177, .external_lex_state = 10},
  [1535] = {.lex_state = 215, .external_lex_state = 21},
  [1536] = {.lex_state = 279, .external_lex_state = 14},
  [1537] = {.lex_state = 503, .external_lex_state = 21},
  [1538] = {.lex_state = 504, .external_lex_state = 21},
  [1539] = {.lex_state = 185, .external_lex_state = 10},
  [1540] = {.lex_state = 503, .external_lex_state = 21},
  [1541] = {.lex_state = 497, .external_lex_state = 10},
  [1542] = {.lex_state = 496, .external_lex_state = 10},
  [1543] = {.lex_state = 503, .external_lex_state = 21},
  [1544] = {.lex_state = 503, .external_lex_state = 21},
  [1545] = {.lex_state = 496, .external_lex_state = 10},
  [1546] = {.lex_state = 185, .external_lex_state = 10},
  [1547] = {.lex_state = 497, .external_lex_state = 10},
  [1548] = {.lex_state = 177, .external_lex_state = 10},
  [1549] = {.lex_state = 497, .external_lex_state = 10},
  [1550] = {.lex_state = 243, .external_lex_state = 26},
  [1551] = {.lex_state = 503, .external_lex_state = 21},
  [1552] = {.lex_state = 189, .external_lex_state = 11},
  [1553] = {.lex_state = 215, .external_lex_state = 21},
  [1554] = {.lex_state = 503, .external_lex_state = 21},
  [1555] = {.lex_state = 503, .external_lex_state = 21},
  [1556] = {.lex_state = 215, .external_lex_state = 21},
  [1557] = {.lex_state = 281, .external_lex_state = 27},
  [1558] = {.lex_state = 497, .external_lex_state = 10},
  [1559] = {.lex_state = 497, .external_lex_state = 10},
  [1560] = {.lex_state = 497, .external_lex_state = 10},
  [1561] = {.lex_state = 504, .external_lex_state = 21},
  [1562] = {.lex_state = 497, .external_lex_state = 10},
  [1563] = {.lex_state = 281, .external_lex_state = 27},
  [1564] = {.lex_state = 497, .external_lex_state = 10},
  [1565] = {.lex_state = 243, .external_lex_state = 25},
  [1566] = {.lex_state = 497, .external_lex_state = 10},
  [1567] = {.lex_state = 189, .external_lex_state = 11},
  [1568] = {.lex_state = 497, .external_lex_state = 10},
  [1569] = {.lex_state = 281, .external_lex_state = 27},
  [1570] = {.lex_state = 504, .external_lex_state = 21},
  [1571] = {.lex_state = 497, .external_lex_state = 10},
  [1572] = {.lex_state = 504, .external_lex_state = 21},
  [1573] = {.lex_state = 243, .external_lex_state = 25},
  [1574] = {.lex_state = 243, .external_lex_state = 25},
  [1575] = {.lex_state = 243, .external_lex_state = 25},
  [1576] = {.lex_state = 497, .external_lex_state = 10},
  [1577] = {.lex_state = 496, .external_lex_state = 11},
  [1578] = {.lex_state = 243, .external_lex_state = 25},
  [1579] = {.lex_state = 504, .external_lex_state = 21},
  [1580] = {.lex_state = 497, .external_lex_state = 10},
  [1581] = {.lex_state = 504, .external_lex_state = 21},
  [1582] = {.lex_state = 497, .external_lex_state = 10},
  [1583] = {.lex_state = 504, .external_lex_state = 21},
  [1584] = {.lex_state = 497, .external_lex_state = 10},
  [1585] = {.lex_state = 281, .external_lex_state = 27},
  [1586] = {.lex_state = 497, .external_lex_state = 10},
  [1587] = {.lex_state = 497, .external_lex_state = 10},
  [1588] = {.lex_state = 504, .external_lex_state = 21},
  [1589] = {.lex_state = 243, .external_lex_state = 25},
  [1590] = {.lex_state = 497, .external_lex_state = 10},
  [1591] = {.lex_state = 496, .external_lex_state = 11},
  [1592] = {.lex_state = 497, .external_lex_state = 10},
  [1593] = {.lex_state = 504, .external_lex_state = 21},
  [1594] = {.lex_state = 496, .external_lex_state = 10},
  [1595] = {.lex_state = 497, .external_lex_state = 10},
  [1596] = {.lex_state = 504, .external_lex_state = 21},
  [1597] = {.lex_state = 281, .external_lex_state = 27},
  [1598] = {.lex_state = 243, .external_lex_state = 25},
  [1599] = {.lex_state = 243, .external_lex_state = 25},
  [1600] = {.lex_state = 243, .external_lex_state = 25},
  [1601] = {.lex_state = 243, .external_lex_state = 25},
  [1602] = {.lex_state = 243, .external_lex_state = 25},
  [1603] = {.lex_state = 497, .external_lex_state = 10},
  [1604] = {.lex_state = 243, .external_lex_state = 25},
  [1605] = {.lex_state = 497, .external_lex_state = 10},
  [1606] = {.lex_state = 504, .external_lex_state = 21},
  [1607] = {.lex_state = 497, .external_lex_state = 10},
  [1608] = {.lex_state = 497, .external_lex_state = 10},
  [1609] = {.lex_state = 243, .external_lex_state = 25},
  [1610] = {.lex_state = 504, .external_lex_state = 21},
  [1611] = {.lex_state = 243, .external_lex_state = 25},
  [1612] = {.lex_state = 497, .external_lex_state = 10},
  [1613] = {.lex_state = 496, .external_lex_state = 10},
  [1614] = {.lex_state = 243, .external_lex_state = 25},
  [1615] = {.lex_state = 504, .external_lex_state = 21},
  [1616] = {.lex_state = 497, .external_lex_state = 10},
  [1617] = {.lex_state = 277, .external_lex_state = 2},
  [1618] = {.lex_state = 243, .external_lex_state = 25},
  [1619] = {.lex_state = 243, .external_lex_state = 25},
  [1620] = {.lex_state = 497, .external_lex_state = 10},
  [1621] = {.lex_state = 497, .external_lex_state = 10},
  [1622] = {.lex_state = 281, .external_lex_state = 27},
  [1623] = {.lex_state = 243, .external_lex_state = 25},
  [1624] = {.lex_state = 497, .external_lex_state = 10},
  [1625] = {.lex_state = 243, .external_lex_state = 25},
  [1626] = {.lex_state = 497, .external_lex_state = 10},
  [1627] = {.lex_state = 497, .external_lex_state = 10},
  [1628] = {.lex_state = 243, .external_lex_state = 25},
  [1629] = {.lex_state = 496, .external_lex_state = 11},
  [1630] = {.lex_state = 497, .external_lex_state = 10},
  [1631] = {.lex_state = 497, .external_lex_state = 10},
  [1632] = {.lex_state = 243, .external_lex_state = 25},
  [1633] = {.lex_state = 243, .external_lex_state = 25},
  [1634] = {.lex_state = 243, .external_lex_state = 25},
  [1635] = {.lex_state = 243, .external_lex_state = 25},
  [1636] = {.lex_state = 243, .external_lex_state = 25},
  [1637] = {.lex_state = 497, .external_lex_state = 10},
  [1638] = {.lex_state = 243, .external_lex_state = 25},
  [1639] = {.lex_state = 277, .external_lex_state = 2},
  [1640] = {.lex_state = 497, .external_lex_state = 10},
  [1641] = {.lex_state = 504, .external_lex_state = 21},
  [1642] = {.lex_state = 497, .external_lex_state = 10},
  [1643] = {.lex_state = 243, .external_lex_state = 25},
  [1644] = {.lex_state = 497, .external_lex_state = 10},
  [1645] = {.lex_state = 243, .external_lex_state = 25},
  [1646] = {.lex_state = 496, .external_lex_state = 10},
  [1647] = {.lex_state = 497, .external_lex_state = 10},
  [1648] = {.lex_state = 243, .external_lex_state = 25},
  [1649] = {.lex_state = 496, .external_lex_state = 10},
  [1650] = {.lex_state = 497, .external_lex_state = 10},
  [1651] = {.lex_state = 497, .external_lex_state = 10},
  [1652] = {.lex_state = 243, .external_lex_state = 25},
  [1653] = {.lex_state = 496, .external_lex_state = 10},
  [1654] = {.lex_state = 243, .external_lex_state = 25},
  [1655] = {.lex_state = 497, .external_lex_state = 10},
  [1656] = {.lex_state = 281, .external_lex_state = 27},
  [1657] = {.lex_state = 497, .external_lex_state = 10},
  [1658] = {.lex_state = 177, .external_lex_state = 11},
  [1659] = {.lex_state = 497, .external_lex_state = 10},
  [1660] = {.lex_state = 504, .external_lex_state = 21},
  [1661] = {.lex_state = 243, .external_lex_state = 25},
  [1662] = {.lex_state = 243, .external_lex_state = 25},
  [1663] = {.lex_state = 243, .external_lex_state = 25},
  [1664] = {.lex_state = 243, .external_lex_state = 25},
  [1665] = {.lex_state = 243, .external_lex_state = 25},
  [1666] = {.lex_state = 243, .external_lex_state = 25},
  [1667] = {.lex_state = 504, .external_lex_state = 21},
  [1668] = {.lex_state = 243, .external_lex_state = 25},
  [1669] = {.lex_state = 243, .external_lex_state = 25},
  [1670] = {.lex_state = 243, .external_lex_state = 25},
  [1671] = {.lex_state = 243, .external_lex_state = 25},
  [1672] = {.lex_state = 243, .external_lex_state = 25},
  [1673] = {.lex_state = 243, .external_lex_state = 25},
  [1674] = {.lex_state = 243, .external_lex_state = 25},
  [1675] = {.lex_state = 243, .external_lex_state = 25},
  [1676] = {.lex_state = 243, .external_lex_state = 25},
  [1677] = {.lex_state = 243, .external_lex_state = 25},
  [1678] = {.lex_state = 243, .external_lex_state = 25},
  [1679] = {.lex_state = 243, .external_lex_state = 25},
  [1680] = {.lex_state = 243, .external_lex_state = 25},
  [1681] = {.lex_state = 504, .external_lex_state = 21},
  [1682] = {.lex_state = 243, .external_lex_state = 25},
  [1683] = {.lex_state = 497, .external_lex_state = 10},
  [1684] = {.lex_state = 243, .external_lex_state = 25},
  [1685] = {.lex_state = 243, .external_lex_state = 25},
  [1686] = {.lex_state = 243, .external_lex_state = 25},
  [1687] = {.lex_state = 504, .external_lex_state = 21},
  [1688] = {.lex_state = 504, .external_lex_state = 21},
  [1689] = {.lex_state = 243, .external_lex_state = 25},
  [1690] = {.lex_state = 191, .external_lex_state = 11},
  [1691] = {.lex_state = 504, .external_lex_state = 21},
  [1692] = {.lex_state = 497, .external_lex_state = 10},
  [1693] = {.lex_state = 243, .external_lex_state = 25},
  [1694] = {.lex_state = 497, .external_lex_state = 10},
  [1695] = {.lex_state = 243, .external_lex_state = 25},
  [1696] = {.lex_state = 497, .external_lex_state = 10},
  [1697] = {.lex_state = 497, .external_lex_state = 10},
  [1698] = {.lex_state = 504, .external_lex_state = 21},
  [1699] = {.lex_state = 243, .external_lex_state = 25},
  [1700] = {.lex_state = 281, .external_lex_state = 27},
  [1701] = {.lex_state = 281, .external_lex_state = 27},
  [1702] = {.lex_state = 496, .external_lex_state = 10},
  [1703] = {.lex_state = 281, .external_lex_state = 27},
  [1704] = {.lex_state = 281, .external_lex_state = 27},
  [1705] = {.lex_state = 281, .external_lex_state = 27},
  [1706] = {.lex_state = 281, .external_lex_state = 27},
  [1707] = {.lex_state = 496, .external_lex_state = 11},
  [1708] = {.lex_state = 243, .external_lex_state = 25},
  [1709] = {.lex_state = 497, .external_lex_state = 10},
  [1710] = {.lex_state = 504, .external_lex_state = 21},
  [1711] = {.lex_state = 504, .external_lex_state = 21},
  [1712] = {.lex_state = 497, .external_lex_state = 10},
  [1713] = {.lex_state = 281, .external_lex_state = 27},
  [1714] = {.lex_state = 496, .external_lex_state = 10},
  [1715] = {.lex_state = 497, .external_lex_state = 10},
  [1716] = {.lex_state = 281, .external_lex_state = 27},
  [1717] = {.lex_state = 243, .external_lex_state = 25},
  [1718] = {.lex_state = 281, .external_lex_state = 27},
  [1719] = {.lex_state = 243, .external_lex_state = 25},
  [1720] = {.lex_state = 504, .external_lex_state = 21},
  [1721] = {.lex_state = 504, .external_lex_state = 21},
  [1722] = {.lex_state = 504, .external_lex_state = 21},
  [1723] = {.lex_state = 243, .external_lex_state = 25},
  [1724] = {.lex_state = 497, .external_lex_state = 10},
  [1725] = {.lex_state = 497, .external_lex_state = 10},
  [1726] = {.lex_state = 504, .external_lex_state = 21},
  [1727] = {.lex_state = 281, .external_lex_state = 27},
  [1728] = {.lex_state = 496, .external_lex_state = 10},
  [1729] = {.lex_state = 243, .external_lex_state = 25},
  [1730] = {.lex_state = 504, .external_lex_state = 21},
  [1731] = {.lex_state = 243, .external_lex_state = 25},
  [1732] = {.lex_state = 243, .external_lex_state = 25},
  [1733] = {.lex_state = 497, .external_lex_state = 10},
  [1734] = {.lex_state = 504, .external_lex_state = 21},
  [1735] = {.lex_state = 243, .external_lex_state = 25},
  [1736] = {.lex_state = 243, .external_lex_state = 25},
  [1737] = {.lex_state = 243, .external_lex_state = 25},
  [1738] = {.lex_state = 281, .external_lex_state = 27},
  [1739] = {.lex_state = 497, .external_lex_state = 10},
  [1740] = {.lex_state = 243, .external_lex_state = 25},
  [1741] = {.lex_state = 243, .external_lex_state = 25},
  [1742] = {.lex_state = 497, .external_lex_state = 10},
  [1743] = {.lex_state = 497, .external_lex_state = 10},
  [1744] = {.lex_state = 243, .external_lex_state = 25},
  [1745] = {.lex_state = 504, .external_lex_state = 21},
  [1746] = {.lex_state = 243, .external_lex_state = 25},
  [1747] = {.lex_state = 497, .external_lex_state = 10},
  [1748] = {.lex_state = 497, .external_lex_state = 10},
  [1749] = {.lex_state = 281, .external_lex_state = 27},
  [1750] = {.lex_state = 243, .external_lex_state = 25},
  [1751] = {.lex_state = 497, .external_lex_state = 10},
  [1752] = {.lex_state = 497, .external_lex_state = 10},
  [1753] = {.lex_state = 497, .external_lex_state = 10},
  [1754] = {.lex_state = 243, .external_lex_state = 25},
  [1755] = {.lex_state = 497, .external_lex_state = 10},
  [1756] = {.lex_state = 504, .external_lex_state = 21},
  [1757] = {.lex_state = 497, .external_lex_state = 10},
  [1758] = {.lex_state = 504, .external_lex_state = 21},
  [1759] = {.lex_state = 497, .external_lex_state = 10},
  [1760] = {.lex_state = 504, .external_lex_state = 21},
  [1761] = {.lex_state = 497, .external_lex_state = 10},
  [1762] = {.lex_state = 497, .external_lex_state = 10},
  [1763] = {.lex_state = 243, .external_lex_state = 25},
  [1764] = {.lex_state = 497, .external_lex_state = 10},
  [1765] = {.lex_state = 281, .external_lex_state = 27},
  [1766] = {.lex_state = 243, .external_lex_state = 25},
  [1767] = {.lex_state = 281, .external_lex_state = 27},
  [1768] = {.lex_state = 243, .external_lex_state = 25},
  [1769] = {.lex_state = 191, .external_lex_state = 11},
  [1770] = {.lex_state = 243, .external_lex_state = 25},
  [1771] = {.lex_state = 243, .external_lex_state = 25},
  [1772] = {.lex_state = 281, .external_lex_state = 27},
  [1773] = {.lex_state = 281, .external_lex_state = 27},
  [1774] = {.lex_state = 243, .external_lex_state = 25},
  [1775] = {.lex_state = 281, .external_lex_state = 27},
  [1776] = {.lex_state = 281, .external_lex_state = 27},
  [1777] = {.lex_state = 243, .external_lex_state = 25},
  [1778] = {.lex_state = 229, .external_lex_state = 2},
  [1779] = {.lex_state = 497, .external_lex_state = 10},
  [1780] = {.lex_state = 497, .external_lex_state = 10},
  [1781] = {.lex_state = 497, .external_lex_state = 10},
  [1782] = {.lex_state = 281, .external_lex_state = 27},
  [1783] = {.lex_state = 243, .external_lex_state = 25},
  [1784] = {.lex_state = 243, .external_lex_state = 25},
  [1785] = {.lex_state = 229, .external_lex_state = 2},
  [1786] = {.lex_state = 243, .external_lex_state = 25},
  [1787] = {.lex_state = 497, .external_lex_state = 10},
  [1788] = {.lex_state = 243, .external_lex_state = 25},
  [1789] = {.lex_state = 497, .external_lex_state = 10},
  [1790] = {.lex_state = 497, .external_lex_state = 10},
  [1791] = {.lex_state = 243, .external_lex_state = 25},
  [1792] = {.lex_state = 497, .external_lex_state = 10},
  [1793] = {.lex_state = 243, .external_lex_state = 25},
  [1794] = {.lex_state = 243, .external_lex_state = 25},
  [1795] = {.lex_state = 281, .external_lex_state = 27},
  [1796] = {.lex_state = 281, .external_lex_state = 27},
  [1797] = {.lex_state = 497, .external_lex_state = 10},
  [1798] = {.lex_state = 497, .external_lex_state = 10},
  [1799] = {.lex_state = 243, .external_lex_state = 25},
  [1800] = {.lex_state = 243, .external_lex_state = 25},
  [1801] = {.lex_state = 497, .external_lex_state = 10},
  [1802] = {.lex_state = 281, .external_lex_state = 27},
  [1803] = {.lex_state = 243, .external_lex_state = 25},
  [1804] = {.lex_state = 504, .external_lex_state = 21},
  [1805] = {.lex_state = 281, .external_lex_state = 27},
  [1806] = {.lex_state = 497, .external_lex_state = 10},
  [1807] = {.lex_state = 497, .external_lex_state = 10},
  [1808] = {.lex_state = 243, .external_lex_state = 25},
  [1809] = {.lex_state = 243, .external_lex_state = 25},
  [1810] = {.lex_state = 497, .external_lex_state = 10},
  [1811] = {.lex_state = 243, .external_lex_state = 25},
  [1812] = {.lex_state = 243, .external_lex_state = 25},
  [1813] = {.lex_state = 281, .external_lex_state = 27},
  [1814] = {.lex_state = 243, .external_lex_state = 25},
  [1815] = {.lex_state = 504, .external_lex_state = 21},
  [1816] = {.lex_state = 243, .external_lex_state = 25},
  [1817] = {.lex_state = 243, .external_lex_state = 25},
  [1818] = {.lex_state = 243, .external_lex_state = 25},
  [1819] = {.lex_state = 243, .external_lex_state = 25},
  [1820] = {.lex_state = 243, .external_lex_state = 25},
  [1821] = {.lex_state = 504, .external_lex_state = 21},
  [1822] = {.lex_state = 497, .external_lex_state = 10},
  [1823] = {.lex_state = 243, .external_lex_state = 25},
  [1824] = {.lex_state = 243, .external_lex_state = 25},
  [1825] = {.lex_state = 497, .external_lex_state = 10},
  [1826] = {.lex_state = 243, .external_lex_state = 25},
  [1827] = {.lex_state = 243, .external_lex_state = 25},
  [1828] = {.lex_state = 497, .external_lex_state = 10},
  [1829] = {.lex_state = 243, .external_lex_state = 25},
  [1830] = {.lex_state = 243, .external_lex_state = 25},
  [1831] = {.lex_state = 243, .external_lex_state = 25},
  [1832] = {.lex_state = 504, .external_lex_state = 21},
  [1833] = {.lex_state = 504, .external_lex_state = 21},
  [1834] = {.lex_state = 497, .external_lex_state = 10},
  [1835] = {.lex_state = 243, .external_lex_state = 25},
  [1836] = {.lex_state = 243, .external_lex_state = 25},
  [1837] = {.lex_state = 504, .external_lex_state = 21},
  [1838] = {.lex_state = 243, .external_lex_state = 25},
  [1839] = {.lex_state = 243, .external_lex_state = 25},
  [1840] = {.lex_state = 243, .external_lex_state = 25},
  [1841] = {.lex_state = 504, .external_lex_state = 21},
  [1842] = {.lex_state = 497, .external_lex_state = 10},
  [1843] = {.lex_state = 243, .external_lex_state = 25},
  [1844] = {.lex_state = 243, .external_lex_state = 25},
  [1845] = {.lex_state = 504, .external_lex_state = 21},
  [1846] = {.lex_state = 243, .external_lex_state = 25},
  [1847] = {.lex_state = 243, .external_lex_state = 25},
  [1848] = {.lex_state = 243, .external_lex_state = 25},
  [1849] = {.lex_state = 243, .external_lex_state = 25},
  [1850] = {.lex_state = 243, .external_lex_state = 25},
  [1851] = {.lex_state = 243, .external_lex_state = 25},
  [1852] = {.lex_state = 243, .external_lex_state = 25},
  [1853] = {.lex_state = 243, .external_lex_state = 25},
  [1854] = {.lex_state = 243, .external_lex_state = 25},
  [1855] = {.lex_state = 243, .external_lex_state = 25},
  [1856] = {.lex_state = 243, .external_lex_state = 25},
  [1857] = {.lex_state = 243, .external_lex_state = 25},
  [1858] = {.lex_state = 243, .external_lex_state = 25},
  [1859] = {.lex_state = 243, .external_lex_state = 25},
  [1860] = {.lex_state = 243, .external_lex_state = 25},
  [1861] = {.lex_state = 504, .external_lex_state = 21},
  [1862] = {.lex_state = 243, .external_lex_state = 25},
  [1863] = {.lex_state = 243, .external_lex_state = 25},
  [1864] = {.lex_state = 243, .external_lex_state = 25},
  [1865] = {.lex_state = 497, .external_lex_state = 10},
  [1866] = {.lex_state = 504, .external_lex_state = 21},
  [1867] = {.lex_state = 504, .external_lex_state = 21},
  [1868] = {.lex_state = 243, .external_lex_state = 25},
  [1869] = {.lex_state = 243, .external_lex_state = 25},
  [1870] = {.lex_state = 497, .external_lex_state = 10},
  [1871] = {.lex_state = 243, .external_lex_state = 25},
  [1872] = {.lex_state = 243, .external_lex_state = 25},
  [1873] = {.lex_state = 243, .external_lex_state = 25},
  [1874] = {.lex_state = 243, .external_lex_state = 25},
  [1875] = {.lex_state = 207, .external_lex_state = 19},
  [1876] = {.lex_state = 207, .external_lex_state = 19},
  [1877] = {.lex_state = 262, .external_lex_state = 28},
  [1878] = {.lex_state = 207, .external_lex_state = 19},
  [1879] = {.lex_state = 209, .external_lex_state = 19},
  [1880] = {.lex_state = 284, .external_lex_state = 29},
  [1881] = {.lex_state = 209, .external_lex_state = 19},
  [1882] = {.lex_state = 191, .external_lex_state = 11},
  [1883] = {.lex_state = 209, .external_lex_state = 19},
  [1884] = {.lex_state = 209, .external_lex_state = 19},
  [1885] = {.lex_state = 262, .external_lex_state = 28},
  [1886] = {.lex_state = 207, .external_lex_state = 19},
  [1887] = {.lex_state = 496, .external_lex_state = 11},
  [1888] = {.lex_state = 209, .external_lex_state = 19},
  [1889] = {.lex_state = 207, .external_lex_state = 19},
  [1890] = {.lex_state = 497, .external_lex_state = 10},
  [1891] = {.lex_state = 496, .external_lex_state = 11},
  [1892] = {.lex_state = 262, .external_lex_state = 28},
  [1893] = {.lex_state = 284, .external_lex_state = 29},
  [1894] = {.lex_state = 262, .external_lex_state = 28},
  [1895] = {.lex_state = 499, .external_lex_state = 11},
  [1896] = {.lex_state = 284, .external_lex_state = 29},
  [1897] = {.lex_state = 209, .external_lex_state = 19},
  [1898] = {.lex_state = 207, .external_lex_state = 19},
  [1899] = {.lex_state = 209, .external_lex_state = 19},
  [1900] = {.lex_state = 497, .external_lex_state = 10},
  [1901] = {.lex_state = 262, .external_lex_state = 28},
  [1902] = {.lex_state = 209, .external_lex_state = 19},
  [1903] = {.lex_state = 262, .external_lex_state = 28},
  [1904] = {.lex_state = 262, .external_lex_state = 28},
  [1905] = {.lex_state = 207, .external_lex_state = 19},
  [1906] = {.lex_state = 262, .external_lex_state = 28},
  [1907] = {.lex_state = 284, .external_lex_state = 29},
  [1908] = {.lex_state = 262, .external_lex_state = 28},
  [1909] = {.lex_state = 262, .external_lex_state = 28},
  [1910] = {.lex_state = 499, .external_lex_state = 11},
  [1911] = {.lex_state = 262, .external_lex_state = 28},
  [1912] = {.lex_state = 284, .external_lex_state = 29},
  [1913] = {.lex_state = 262, .external_lex_state = 28},
  [1914] = {.lex_state = 262, .external_lex_state = 28},
  [1915] = {.lex_state = 284, .external_lex_state = 29},
  [1916] = {.lex_state = 284, .external_lex_state = 29},
  [1917] = {.lex_state = 280, .external_lex_state = 12},
  [1918] = {.lex_state = 209, .external_lex_state = 19},
  [1919] = {.lex_state = 209, .external_lex_state = 19},
  [1920] = {.lex_state = 209, .external_lex_state = 19},
  [1921] = {.lex_state = 284, .external_lex_state = 29},
  [1922] = {.lex_state = 209, .external_lex_state = 19},
  [1923] = {.lex_state = 499, .external_lex_state = 11},
  [1924] = {.lex_state = 284, .external_lex_state = 29},
  [1925] = {.lex_state = 209, .external_lex_state = 19},
  [1926] = {.lex_state = 284, .external_lex_state = 29},
  [1927] = {.lex_state = 284, .external_lex_state = 29},
  [1928] = {.lex_state = 280, .external_lex_state = 12},
  [1929] = {.lex_state = 499, .external_lex_state = 11},
  [1930] = {.lex_state = 284, .external_lex_state = 29},
  [1931] = {.lex_state = 262, .external_lex_state = 28},
  [1932] = {.lex_state = 262, .external_lex_state = 28},
  [1933] = {.lex_state = 282, .external_lex_state = 30},
  [1934] = {.lex_state = 280, .external_lex_state = 12},
  [1935] = {.lex_state = 217, .external_lex_state = 31},
  [1936] = {.lex_state = 260, .external_lex_state = 20},
  [1937] = {.lex_state = 284, .external_lex_state = 29},
  [1938] = {.lex_state = 282, .external_lex_state = 30},
  [1939] = {.lex_state = 217, .external_lex_state = 31},
  [1940] = {.lex_state = 282, .external_lex_state = 30},
  [1941] = {.lex_state = 284, .external_lex_state = 29},
  [1942] = {.lex_state = 284, .external_lex_state = 29},
  [1943] = {.lex_state = 499, .external_lex_state = 11},
  [1944] = {.lex_state = 217, .external_lex_state = 31},
  [1945] = {.lex_state = 280, .external_lex_state = 12},
  [1946] = {.lex_state = 282, .external_lex_state = 30},
  [1947] = {.lex_state = 282, .external_lex_state = 30},
  [1948] = {.lex_state = 284, .external_lex_state = 29},
  [1949] = {.lex_state = 217, .external_lex_state = 31},
  [1950] = {.lex_state = 282, .external_lex_state = 30},
  [1951] = {.lex_state = 282, .external_lex_state = 30},
  [1952] = {.lex_state = 282, .external_lex_state = 30},
  [1953] = {.lex_state = 282, .external_lex_state = 30},
  [1954] = {.lex_state = 284, .external_lex_state = 29},
  [1955] = {.lex_state = 280, .external_lex_state = 12},
  [1956] = {.lex_state = 207, .external_lex_state = 21},
  [1957] = {.lex_state = 260, .external_lex_state = 20},
  [1958] = {.lex_state = 262, .external_lex_state = 28},
  [1959] = {.lex_state = 217, .external_lex_state = 31},
  [1960] = {.lex_state = 262, .external_lex_state = 28},
  [1961] = {.lex_state = 207, .external_lex_state = 21},
  [1962] = {.lex_state = 217, .external_lex_state = 31},
  [1963] = {.lex_state = 284, .external_lex_state = 29},
  [1964] = {.lex_state = 284, .external_lex_state = 29},
  [1965] = {.lex_state = 282, .external_lex_state = 30},
  [1966] = {.lex_state = 217, .external_lex_state = 31},
  [1967] = {.lex_state = 262, .external_lex_state = 28},
  [1968] = {.lex_state = 290, .external_lex_state = 30},
  [1969] = {.lex_state = 258, .external_lex_state = 28},
  [1970] = {.lex_state = 262, .external_lex_state = 28},
  [1971] = {.lex_state = 280, .external_lex_state = 12},
  [1972] = {.lex_state = 217, .external_lex_state = 31},
  [1973] = {.lex_state = 290, .external_lex_state = 30},
  [1974] = {.lex_state = 284, .external_lex_state = 29},
  [1975] = {.lex_state = 258, .external_lex_state = 28},
  [1976] = {.lex_state = 290, .external_lex_state = 30},
  [1977] = {.lex_state = 282, .external_lex_state = 30},
  [1978] = {.lex_state = 264, .external_lex_state = 28},
  [1979] = {.lex_state = 282, .external_lex_state = 30},
  [1980] = {.lex_state = 262, .external_lex_state = 28},
  [1981] = {.lex_state = 284, .external_lex_state = 29},
  [1982] = {.lex_state = 284, .external_lex_state = 29},
  [1983] = {.lex_state = 284, .external_lex_state = 29},
  [1984] = {.lex_state = 284, .external_lex_state = 29},
  [1985] = {.lex_state = 280, .external_lex_state = 12},
  [1986] = {.lex_state = 290, .external_lex_state = 30},
  [1987] = {.lex_state = 262, .external_lex_state = 28},
  [1988] = {.lex_state = 284, .external_lex_state = 29},
  [1989] = {.lex_state = 499, .external_lex_state = 11},
  [1990] = {.lex_state = 284, .external_lex_state = 29},
  [1991] = {.lex_state = 282, .external_lex_state = 30},
  [1992] = {.lex_state = 284, .external_lex_state = 29},
  [1993] = {.lex_state = 290, .external_lex_state = 30},
  [1994] = {.lex_state = 262, .external_lex_state = 28},
  [1995] = {.lex_state = 284, .external_lex_state = 29},
  [1996] = {.lex_state = 290, .external_lex_state = 30},
  [1997] = {.lex_state = 282, .external_lex_state = 30},
  [1998] = {.lex_state = 280, .external_lex_state = 12},
  [1999] = {.lex_state = 217, .external_lex_state = 31},
  [2000] = {.lex_state = 290, .external_lex_state = 30},
  [2001] = {.lex_state = 217, .external_lex_state = 31},
  [2002] = {.lex_state = 217, .external_lex_state = 31},
  [2003] = {.lex_state = 284, .external_lex_state = 29},
  [2004] = {.lex_state = 290, .external_lex_state = 30},
  [2005] = {.lex_state = 284, .external_lex_state = 29},
  [2006] = {.lex_state = 207, .external_lex_state = 21},
  [2007] = {.lex_state = 207, .external_lex_state = 21},
  [2008] = {.lex_state = 217, .external_lex_state = 31},
  [2009] = {.lex_state = 207, .external_lex_state = 21},
  [2010] = {.lex_state = 262, .external_lex_state = 28},
  [2011] = {.lex_state = 284, .external_lex_state = 29},
  [2012] = {.lex_state = 255, .external_lex_state = 20},
  [2013] = {.lex_state = 282, .external_lex_state = 30},
  [2014] = {.lex_state = 253, .external_lex_state = 32},
  [2015] = {.lex_state = 260, .external_lex_state = 20},
  [2016] = {.lex_state = 282, .external_lex_state = 30},
  [2017] = {.lex_state = 290, .external_lex_state = 30},
  [2018] = {.lex_state = 285, .external_lex_state = 33},
  [2019] = {.lex_state = 290, .external_lex_state = 34},
  [2020] = {.lex_state = 285, .external_lex_state = 33},
  [2021] = {.lex_state = 290, .external_lex_state = 34},
  [2022] = {.lex_state = 290, .external_lex_state = 30},
  [2023] = {.lex_state = 285, .external_lex_state = 33},
  [2024] = {.lex_state = 215, .external_lex_state = 21},
  [2025] = {.lex_state = 282, .external_lex_state = 30},
  [2026] = {.lex_state = 285, .external_lex_state = 33},
  [2027] = {.lex_state = 280, .external_lex_state = 12},
  [2028] = {.lex_state = 260, .external_lex_state = 20},
  [2029] = {.lex_state = 282, .external_lex_state = 30},
  [2030] = {.lex_state = 262, .external_lex_state = 28},
  [2031] = {.lex_state = 290, .external_lex_state = 30},
  [2032] = {.lex_state = 260, .external_lex_state = 20},
  [2033] = {.lex_state = 290, .external_lex_state = 34},
  [2034] = {.lex_state = 264, .external_lex_state = 22},
  [2035] = {.lex_state = 280, .external_lex_state = 12},
  [2036] = {.lex_state = 285, .external_lex_state = 33},
  [2037] = {.lex_state = 290, .external_lex_state = 30},
  [2038] = {.lex_state = 262, .external_lex_state = 28},
  [2039] = {.lex_state = 253, .external_lex_state = 32},
  [2040] = {.lex_state = 253, .external_lex_state = 32},
  [2041] = {.lex_state = 283, .external_lex_state = 16},
  [2042] = {.lex_state = 290, .external_lex_state = 30},
  [2043] = {.lex_state = 262, .external_lex_state = 28},
  [2044] = {.lex_state = 290, .external_lex_state = 30},
  [2045] = {.lex_state = 285, .external_lex_state = 33},
  [2046] = {.lex_state = 282, .external_lex_state = 30},
  [2047] = {.lex_state = 255, .external_lex_state = 20},
  [2048] = {.lex_state = 282, .external_lex_state = 30},
  [2049] = {.lex_state = 260, .external_lex_state = 20},
  [2050] = {.lex_state = 280, .external_lex_state = 12},
  [2051] = {.lex_state = 283, .external_lex_state = 16},
  [2052] = {.lex_state = 255, .external_lex_state = 20},
  [2053] = {.lex_state = 260, .external_lex_state = 20},
  [2054] = {.lex_state = 282, .external_lex_state = 30},
  [2055] = {.lex_state = 283, .external_lex_state = 16},
  [2056] = {.lex_state = 260, .external_lex_state = 28},
  [2057] = {.lex_state = 290, .external_lex_state = 30},
  [2058] = {.lex_state = 290, .external_lex_state = 30},
  [2059] = {.lex_state = 215, .external_lex_state = 21},
  [2060] = {.lex_state = 282, .external_lex_state = 30},
  [2061] = {.lex_state = 282, .external_lex_state = 30},
  [2062] = {.lex_state = 262, .external_lex_state = 28},
  [2063] = {.lex_state = 253, .external_lex_state = 32},
  [2064] = {.lex_state = 282, .external_lex_state = 30},
  [2065] = {.lex_state = 290, .external_lex_state = 30},
  [2066] = {.lex_state = 290, .external_lex_state = 30},
  [2067] = {.lex_state = 260, .external_lex_state = 20},
  [2068] = {.lex_state = 290, .external_lex_state = 34},
  [2069] = {.lex_state = 290, .external_lex_state = 30},
  [2070] = {.lex_state = 290, .external_lex_state = 34},
  [2071] = {.lex_state = 260, .external_lex_state = 28},
  [2072] = {.lex_state = 282, .external_lex_state = 30},
  [2073] = {.lex_state = 280, .external_lex_state = 12},
  [2074] = {.lex_state = 290, .external_lex_state = 34},
  [2075] = {.lex_state = 290, .external_lex_state = 30},
  [2076] = {.lex_state = 260, .external_lex_state = 20},
  [2077] = {.lex_state = 282, .external_lex_state = 30},
  [2078] = {.lex_state = 260, .external_lex_state = 20},
  [2079] = {.lex_state = 255, .external_lex_state = 20},
  [2080] = {.lex_state = 262, .external_lex_state = 28},
  [2081] = {.lex_state = 253, .external_lex_state = 32},
  [2082] = {.lex_state = 258, .external_lex_state = 28},
  [2083] = {.lex_state = 280, .external_lex_state = 12},
  [2084] = {.lex_state = 253, .external_lex_state = 32},
  [2085] = {.lex_state = 253, .external_lex_state = 32},
  [2086] = {.lex_state = 260, .external_lex_state = 20},
  [2087] = {.lex_state = 253, .external_lex_state = 32},
  [2088] = {.lex_state = 282, .external_lex_state = 30},
  [2089] = {.lex_state = 283, .external_lex_state = 16},
  [2090] = {.lex_state = 255, .external_lex_state = 20},
  [2091] = {.lex_state = 290, .external_lex_state = 30},
  [2092] = {.lex_state = 260, .external_lex_state = 28},
  [2093] = {.lex_state = 283, .external_lex_state = 16},
  [2094] = {.lex_state = 253, .external_lex_state = 32},
  [2095] = {.lex_state = 282, .external_lex_state = 30},
  [2096] = {.lex_state = 255, .external_lex_state = 20},
  [2097] = {.lex_state = 290, .external_lex_state = 30},
  [2098] = {.lex_state = 290, .external_lex_state = 30},
  [2099] = {.lex_state = 264, .external_lex_state = 22},
  [2100] = {.lex_state = 260, .external_lex_state = 20},
  [2101] = {.lex_state = 215, .external_lex_state = 21},
  [2102] = {.lex_state = 260, .external_lex_state = 20},
  [2103] = {.lex_state = 290, .external_lex_state = 30},
  [2104] = {.lex_state = 283, .external_lex_state = 16},
  [2105] = {.lex_state = 290, .external_lex_state = 30},
  [2106] = {.lex_state = 290, .external_lex_state = 30},
  [2107] = {.lex_state = 282, .external_lex_state = 30},
  [2108] = {.lex_state = 282, .external_lex_state = 30},
  [2109] = {.lex_state = 262, .external_lex_state = 28},
  [2110] = {.lex_state = 260, .external_lex_state = 20},
  [2111] = {.lex_state = 262, .external_lex_state = 28},
  [2112] = {.lex_state = 260, .external_lex_state = 28},
  [2113] = {.lex_state = 215, .external_lex_state = 21},
  [2114] = {.lex_state = 260, .external_lex_state = 28},
  [2115] = {.lex_state = 255, .external_lex_state = 20},
  [2116] = {.lex_state = 260, .external_lex_state = 20},
  [2117] = {.lex_state = 262, .external_lex_state = 28},
  [2118] = {.lex_state = 255, .external_lex_state = 20},
  [2119] = {.lex_state = 260, .external_lex_state = 28},
  [2120] = {.lex_state = 262, .external_lex_state = 28},
  [2121] = {.lex_state = 290, .external_lex_state = 30},
  [2122] = {.lex_state = 282, .external_lex_state = 30},
  [2123] = {.lex_state = 282, .external_lex_state = 30},
  [2124] = {.lex_state = 282, .external_lex_state = 30},
  [2125] = {.lex_state = 215, .external_lex_state = 21},
  [2126] = {.lex_state = 290, .external_lex_state = 34},
  [2127] = {.lex_state = 260, .external_lex_state = 20},
  [2128] = {.lex_state = 289, .external_lex_state = 14},
  [2129] = {.lex_state = 253, .external_lex_state = 35},
  [2130] = {.lex_state = 290, .external_lex_state = 34},
  [2131] = {.lex_state = 253, .external_lex_state = 35},
  [2132] = {.lex_state = 290, .external_lex_state = 34},
  [2133] = {.lex_state = 255, .external_lex_state = 36},
  [2134] = {.lex_state = 290, .external_lex_state = 34},
  [2135] = {.lex_state = 290, .external_lex_state = 34},
  [2136] = {.lex_state = 290, .external_lex_state = 34},
  [2137] = {.lex_state = 283, .external_lex_state = 16},
  [2138] = {.lex_state = 283, .external_lex_state = 16},
  [2139] = {.lex_state = 279, .external_lex_state = 14},
  [2140] = {.lex_state = 258, .external_lex_state = 22},
  [2141] = {.lex_state = 283, .external_lex_state = 16},
  [2142] = {.lex_state = 253, .external_lex_state = 22},
  [2143] = {.lex_state = 289, .external_lex_state = 14},
  [2144] = {.lex_state = 279, .external_lex_state = 14},
  [2145] = {.lex_state = 290, .external_lex_state = 34},
  [2146] = {.lex_state = 253, .external_lex_state = 35},
  [2147] = {.lex_state = 253, .external_lex_state = 35},
  [2148] = {.lex_state = 255, .external_lex_state = 36},
  [2149] = {.lex_state = 255, .external_lex_state = 36},
  [2150] = {.lex_state = 279, .external_lex_state = 14},
  [2151] = {.lex_state = 261, .external_lex_state = 37},
  [2152] = {.lex_state = 255, .external_lex_state = 36},
  [2153] = {.lex_state = 253, .external_lex_state = 22},
  [2154] = {.lex_state = 255, .external_lex_state = 23},
  [2155] = {.lex_state = 264, .external_lex_state = 22},
  [2156] = {.lex_state = 262, .external_lex_state = 28},
  [2157] = {.lex_state = 255, .external_lex_state = 36},
  [2158] = {.lex_state = 260, .external_lex_state = 28},
  [2159] = {.lex_state = 260, .external_lex_state = 20},
  [2160] = {.lex_state = 260, .external_lex_state = 28},
  [2161] = {.lex_state = 260, .external_lex_state = 28},
  [2162] = {.lex_state = 288, .external_lex_state = 34},
  [2163] = {.lex_state = 285, .external_lex_state = 33},
  [2164] = {.lex_state = 285, .external_lex_state = 33},
  [2165] = {.lex_state = 285, .external_lex_state = 33},
  [2166] = {.lex_state = 288, .external_lex_state = 34},
  [2167] = {.lex_state = 288, .external_lex_state = 34},
  [2168] = {.lex_state = 288, .external_lex_state = 34},
  [2169] = {.lex_state = 260, .external_lex_state = 28},
  [2170] = {.lex_state = 285, .external_lex_state = 33},
  [2171] = {.lex_state = 253, .external_lex_state = 22},
  [2172] = {.lex_state = 255, .external_lex_state = 23},
  [2173] = {.lex_state = 285, .external_lex_state = 33},
  [2174] = {.lex_state = 283, .external_lex_state = 16},
  [2175] = {.lex_state = 285, .external_lex_state = 33},
  [2176] = {.lex_state = 260, .external_lex_state = 28},
  [2177] = {.lex_state = 285, .external_lex_state = 33},
  [2178] = {.lex_state = 283, .external_lex_state = 16},
  [2179] = {.lex_state = 260, .external_lex_state = 20},
  [2180] = {.lex_state = 260, .external_lex_state = 20},
  [2181] = {.lex_state = 285, .external_lex_state = 33},
  [2182] = {.lex_state = 253, .external_lex_state = 22},
  [2183] = {.lex_state = 262, .external_lex_state = 28},
  [2184] = {.lex_state = 262, .external_lex_state = 28},
  [2185] = {.lex_state = 255, .external_lex_state = 36},
  [2186] = {.lex_state = 260, .external_lex_state = 28},
  [2187] = {.lex_state = 260, .external_lex_state = 28},
  [2188] = {.lex_state = 255, .external_lex_state = 36},
  [2189] = {.lex_state = 255, .external_lex_state = 36},
  [2190] = {.lex_state = 285, .external_lex_state = 33},
  [2191] = {.lex_state = 260, .external_lex_state = 20},
  [2192] = {.lex_state = 285, .external_lex_state = 33},
  [2193] = {.lex_state = 285, .external_lex_state = 33},
  [2194] = {.lex_state = 283, .external_lex_state = 16},
  [2195] = {.lex_state = 283, .external_lex_state = 16},
  [2196] = {.lex_state = 285, .external_lex_state = 33},
  [2197] = {.lex_state = 260, .external_lex_state = 28},
  [2198] = {.lex_state = 260, .external_lex_state = 20},
  [2199] = {.lex_state = 260, .external_lex_state = 20},
  [2200] = {.lex_state = 260, .external_lex_state = 20},
  [2201] = {.lex_state = 260, .external_lex_state = 20},
  [2202] = {.lex_state = 260, .external_lex_state = 28},
  [2203] = {.lex_state = 285, .external_lex_state = 33},
  [2204] = {.lex_state = 260, .external_lex_state = 28},
  [2205] = {.lex_state = 260, .external_lex_state = 28},
  [2206] = {.lex_state = 253, .external_lex_state = 22},
  [2207] = {.lex_state = 279, .external_lex_state = 14},
  [2208] = {.lex_state = 253, .external_lex_state = 22},
  [2209] = {.lex_state = 290, .external_lex_state = 34},
  [2210] = {.lex_state = 285, .external_lex_state = 33},
  [2211] = {.lex_state = 260, .external_lex_state = 28},
  [2212] = {.lex_state = 255, .external_lex_state = 36},
  [2213] = {.lex_state = 285, .external_lex_state = 33},
  [2214] = {.lex_state = 279, .external_lex_state = 14},
  [2215] = {.lex_state = 285, .external_lex_state = 33},
  [2216] = {.lex_state = 253, .external_lex_state = 22},
  [2217] = {.lex_state = 260, .external_lex_state = 28},
  [2218] = {.lex_state = 285, .external_lex_state = 33},
  [2219] = {.lex_state = 290, .external_lex_state = 34},
  [2220] = {.lex_state = 290, .external_lex_state = 34},
  [2221] = {.lex_state = 290, .external_lex_state = 34},
  [2222] = {.lex_state = 255, .external_lex_state = 20},
  [2223] = {.lex_state = 260, .external_lex_state = 20},
  [2224] = {.lex_state = 290, .external_lex_state = 34},
  [2225] = {.lex_state = 290, .external_lex_state = 34},
  [2226] = {.lex_state = 260, .external_lex_state = 20},
  [2227] = {.lex_state = 260, .external_lex_state = 20},
  [2228] = {.lex_state = 260, .external_lex_state = 20},
  [2229] = {.lex_state = 288, .external_lex_state = 34},
  [2230] = {.lex_state = 288, .external_lex_state = 34},
  [2231] = {.lex_state = 279, .external_lex_state = 14},
  [2232] = {.lex_state = 260, .external_lex_state = 20},
  [2233] = {.lex_state = 260, .external_lex_state = 28},
  [2234] = {.lex_state = 290, .external_lex_state = 34},
  [2235] = {.lex_state = 260, .external_lex_state = 20},
  [2236] = {.lex_state = 260, .external_lex_state = 28},
  [2237] = {.lex_state = 260, .external_lex_state = 28},
  [2238] = {.lex_state = 290, .external_lex_state = 34},
  [2239] = {.lex_state = 260, .external_lex_state = 28},
  [2240] = {.lex_state = 260, .external_lex_state = 20},
  [2241] = {.lex_state = 253, .external_lex_state = 22},
  [2242] = {.lex_state = 290, .external_lex_state = 34},
  [2243] = {.lex_state = 258, .external_lex_state = 22},
  [2244] = {.lex_state = 290, .external_lex_state = 34},
  [2245] = {.lex_state = 260, .external_lex_state = 20},
  [2246] = {.lex_state = 260, .external_lex_state = 20},
  [2247] = {.lex_state = 290, .external_lex_state = 34},
  [2248] = {.lex_state = 260, .external_lex_state = 28},
  [2249] = {.lex_state = 290, .external_lex_state = 34},
  [2250] = {.lex_state = 285, .external_lex_state = 33},
  [2251] = {.lex_state = 260, .external_lex_state = 20},
  [2252] = {.lex_state = 289, .external_lex_state = 14},
  [2253] = {.lex_state = 285, .external_lex_state = 33},
  [2254] = {.lex_state = 279, .external_lex_state = 14},
  [2255] = {.lex_state = 260, .external_lex_state = 28},
  [2256] = {.lex_state = 253, .external_lex_state = 22},
  [2257] = {.lex_state = 253, .external_lex_state = 37},
  [2258] = {.lex_state = 253, .external_lex_state = 37},
  [2259] = {.lex_state = 255, .external_lex_state = 38},
  [2260] = {.lex_state = 255, .external_lex_state = 38},
  [2261] = {.lex_state = 255, .external_lex_state = 38},
  [2262] = {.lex_state = 253, .external_lex_state = 37},
  [2263] = {.lex_state = 255, .external_lex_state = 32},
  [2264] = {.lex_state = 289, .external_lex_state = 14},
  [2265] = {.lex_state = 279, .external_lex_state = 14},
  [2266] = {.lex_state = 289, .external_lex_state = 14},
  [2267] = {.lex_state = 255, .external_lex_state = 38},
  [2268] = {.lex_state = 288, .external_lex_state = 34},
  [2269] = {.lex_state = 288, .external_lex_state = 34},
  [2270] = {.lex_state = 253, .external_lex_state = 37},
  [2271] = {.lex_state = 288, .external_lex_state = 34},
  [2272] = {.lex_state = 253, .external_lex_state = 37},
  [2273] = {.lex_state = 253, .external_lex_state = 37},
  [2274] = {.lex_state = 253, .external_lex_state = 37},
  [2275] = {.lex_state = 253, .external_lex_state = 37},
  [2276] = {.lex_state = 255, .external_lex_state = 20},
  [2277] = {.lex_state = 253, .external_lex_state = 37},
  [2278] = {.lex_state = 253, .external_lex_state = 37},
  [2279] = {.lex_state = 288, .external_lex_state = 34},
  [2280] = {.lex_state = 258, .external_lex_state = 22},
  [2281] = {.lex_state = 253, .external_lex_state = 37},
  [2282] = {.lex_state = 253, .external_lex_state = 37},
  [2283] = {.lex_state = 253, .external_lex_state = 37},
  [2284] = {.lex_state = 255, .external_lex_state = 38},
  [2285] = {.lex_state = 253, .external_lex_state = 37},
  [2286] = {.lex_state = 253, .external_lex_state = 37},
  [2287] = {.lex_state = 255, .external_lex_state = 38},
  [2288] = {.lex_state = 253, .external_lex_state = 37},
  [2289] = {.lex_state = 255, .external_lex_state = 38},
  [2290] = {.lex_state = 253, .external_lex_state = 37},
  [2291] = {.lex_state = 253, .external_lex_state = 37},
  [2292] = {.lex_state = 141, .external_lex_state = 39},
  [2293] = {.lex_state = 253, .external_lex_state = 37},
  [2294] = {.lex_state = 141, .external_lex_state = 39},
  [2295] = {.lex_state = 279, .external_lex_state = 14},
  [2296] = {.lex_state = 253, .external_lex_state = 37},
  [2297] = {.lex_state = 253, .external_lex_state = 37},
  [2298] = {.lex_state = 279, .external_lex_state = 14},
  [2299] = {.lex_state = 253, .external_lex_state = 22},
  [2300] = {.lex_state = 253, .external_lex_state = 37},
  [2301] = {.lex_state = 253, .external_lex_state = 37},
  [2302] = {.lex_state = 255, .external_lex_state = 20},
  [2303] = {.lex_state = 253, .external_lex_state = 37},
  [2304] = {.lex_state = 279, .external_lex_state = 14},
  [2305] = {.lex_state = 253, .external_lex_state = 37},
  [2306] = {.lex_state = 253, .external_lex_state = 37},
  [2307] = {.lex_state = 253, .external_lex_state = 37},
  [2308] = {.lex_state = 289, .external_lex_state = 17},
  [2309] = {.lex_state = 253, .external_lex_state = 37},
  [2310] = {.lex_state = 253, .external_lex_state = 37},
  [2311] = {.lex_state = 253, .external_lex_state = 37},
  [2312] = {.lex_state = 286, .external_lex_state = 18},
  [2313] = {.lex_state = 286, .external_lex_state = 18},
  [2314] = {.lex_state = 253, .external_lex_state = 37},
  [2315] = {.lex_state = 253, .external_lex_state = 37},
  [2316] = {.lex_state = 255, .external_lex_state = 38},
  [2317] = {.lex_state = 253, .external_lex_state = 37},
  [2318] = {.lex_state = 253, .external_lex_state = 37},
  [2319] = {.lex_state = 64, .external_lex_state = 40},
  [2320] = {.lex_state = 253, .external_lex_state = 37},
  [2321] = {.lex_state = 279, .external_lex_state = 14},
  [2322] = {.lex_state = 279, .external_lex_state = 14},
  [2323] = {.lex_state = 255, .external_lex_state = 20},
  [2324] = {.lex_state = 255, .external_lex_state = 20},
  [2325] = {.lex_state = 253, .external_lex_state = 37},
  [2326] = {.lex_state = 255, .external_lex_state = 20},
  [2327] = {.lex_state = 255, .external_lex_state = 20},
  [2328] = {.lex_state = 253, .external_lex_state = 37},
  [2329] = {.lex_state = 253, .external_lex_state = 37},
  [2330] = {.lex_state = 255, .external_lex_state = 20},
  [2331] = {.lex_state = 253, .external_lex_state = 37},
  [2332] = {.lex_state = 255, .external_lex_state = 20},
  [2333] = {.lex_state = 253, .external_lex_state = 37},
  [2334] = {.lex_state = 255, .external_lex_state = 20},
  [2335] = {.lex_state = 253, .external_lex_state = 37},
  [2336] = {.lex_state = 253, .external_lex_state = 37},
  [2337] = {.lex_state = 253, .external_lex_state = 37},
  [2338] = {.lex_state = 253, .external_lex_state = 37},
  [2339] = {.lex_state = 253, .external_lex_state = 37},
  [2340] = {.lex_state = 253, .external_lex_state = 37},
  [2341] = {.lex_state = 253, .external_lex_state = 37},
  [2342] = {.lex_state = 255, .external_lex_state = 23},
  [2343] = {.lex_state = 255, .external_lex_state = 20},
  [2344] = {.lex_state = 288, .external_lex_state = 34},
  [2345] = {.lex_state = 279, .external_lex_state = 14},
  [2346] = {.lex_state = 255, .external_lex_state = 32},
  [2347] = {.lex_state = 253, .external_lex_state = 37},
  [2348] = {.lex_state = 253, .external_lex_state = 37},
  [2349] = {.lex_state = 288, .external_lex_state = 34},
  [2350] = {.lex_state = 253, .external_lex_state = 37},
  [2351] = {.lex_state = 253, .external_lex_state = 37},
  [2352] = {.lex_state = 279, .external_lex_state = 14},
  [2353] = {.lex_state = 253, .external_lex_state = 37},
  [2354] = {.lex_state = 253, .external_lex_state = 37},
  [2355] = {.lex_state = 255, .external_lex_state = 20},
  [2356] = {.lex_state = 255, .external_lex_state = 20},
  [2357] = {.lex_state = 253, .external_lex_state = 37},
  [2358] = {.lex_state = 255, .external_lex_state = 20},
  [2359] = {.lex_state = 253, .external_lex_state = 37},
  [2360] = {.lex_state = 253, .external_lex_state = 37},
  [2361] = {.lex_state = 253, .external_lex_state = 37},
  [2362] = {.lex_state = 253, .external_lex_state = 37},
  [2363] = {.lex_state = 253, .external_lex_state = 37},
  [2364] = {.lex_state = 253, .external_lex_state = 37},
  [2365] = {.lex_state = 288, .external_lex_state = 34},
  [2366] = {.lex_state = 253, .external_lex_state = 37},
  [2367] = {.lex_state = 288, .external_lex_state = 34},
  [2368] = {.lex_state = 255, .external_lex_state = 32},
  [2369] = {.lex_state = 279, .external_lex_state = 14},
  [2370] = {.lex_state = 255, .external_lex_state = 20},
  [2371] = {.lex_state = 253, .external_lex_state = 37},
  [2372] = {.lex_state = 255, .external_lex_state = 20},
  [2373] = {.lex_state = 279, .external_lex_state = 14},
  [2374] = {.lex_state = 288, .external_lex_state = 34},
  [2375] = {.lex_state = 255, .external_lex_state = 38},
  [2376] = {.lex_state = 255, .external_lex_state = 20},
  [2377] = {.lex_state = 288, .external_lex_state = 34},
  [2378] = {.lex_state = 288, .external_lex_state = 34},
  [2379] = {.lex_state = 253, .external_lex_state = 37},
  [2380] = {.lex_state = 253, .external_lex_state = 37},
  [2381] = {.lex_state = 255, .external_lex_state = 20},
  [2382] = {.lex_state = 255, .external_lex_state = 20},
  [2383] = {.lex_state = 255, .external_lex_state = 20},
  [2384] = {.lex_state = 255, .external_lex_state = 20},
  [2385] = {.lex_state = 253, .external_lex_state = 37},
  [2386] = {.lex_state = 253, .external_lex_state = 37},
  [2387] = {.lex_state = 255, .external_lex_state = 20},
  [2388] = {.lex_state = 253, .external_lex_state = 37},
  [2389] = {.lex_state = 255, .external_lex_state = 20},
  [2390] = {.lex_state = 255, .external_lex_state = 20},
  [2391] = {.lex_state = 255, .external_lex_state = 20},
  [2392] = {.lex_state = 255, .external_lex_state = 20},
  [2393] = {.lex_state = 255, .external_lex_state = 20},
  [2394] = {.lex_state = 255, .external_lex_state = 20},
  [2395] = {.lex_state = 255, .external_lex_state = 32},
  [2396] = {.lex_state = 255, .external_lex_state = 20},
  [2397] = {.lex_state = 255, .external_lex_state = 20},
  [2398] = {.lex_state = 288, .external_lex_state = 34},
  [2399] = {.lex_state = 288, .external_lex_state = 34},
  [2400] = {.lex_state = 288, .external_lex_state = 34},
  [2401] = {.lex_state = 288, .external_lex_state = 34},
  [2402] = {.lex_state = 255, .external_lex_state = 32},
  [2403] = {.lex_state = 255, .external_lex_state = 32},
  [2404] = {.lex_state = 255, .external_lex_state = 32},
  [2405] = {.lex_state = 288, .external_lex_state = 34},
  [2406] = {.lex_state = 288, .external_lex_state = 34},
  [2407] = {.lex_state = 255, .external_lex_state = 20},
  [2408] = {.lex_state = 253, .external_lex_state = 37},
  [2409] = {.lex_state = 289, .external_lex_state = 14},
  [2410] = {.lex_state = 253, .external_lex_state = 37},
  [2411] = {.lex_state = 288, .external_lex_state = 34},
  [2412] = {.lex_state = 288, .external_lex_state = 34},
  [2413] = {.lex_state = 253, .external_lex_state = 37},
  [2414] = {.lex_state = 253, .external_lex_state = 37},
  [2415] = {.lex_state = 253, .external_lex_state = 37},
  [2416] = {.lex_state = 289, .external_lex_state = 14},
  [2417] = {.lex_state = 253, .external_lex_state = 37},
  [2418] = {.lex_state = 253, .external_lex_state = 37},
  [2419] = {.lex_state = 253, .external_lex_state = 37},
  [2420] = {.lex_state = 253, .external_lex_state = 37},
  [2421] = {.lex_state = 253, .external_lex_state = 37},
  [2422] = {.lex_state = 253, .external_lex_state = 37},
  [2423] = {.lex_state = 253, .external_lex_state = 37},
  [2424] = {.lex_state = 253, .external_lex_state = 37},
  [2425] = {.lex_state = 255, .external_lex_state = 20},
  [2426] = {.lex_state = 255, .external_lex_state = 32},
  [2427] = {.lex_state = 255, .external_lex_state = 32},
  [2428] = {.lex_state = 279, .external_lex_state = 14},
  [2429] = {.lex_state = 253, .external_lex_state = 37},
  [2430] = {.lex_state = 289, .external_lex_state = 17},
  [2431] = {.lex_state = 253, .external_lex_state = 37},
  [2432] = {.lex_state = 253, .external_lex_state = 37},
  [2433] = {.lex_state = 253, .external_lex_state = 37},
  [2434] = {.lex_state = 253, .external_lex_state = 37},
  [2435] = {.lex_state = 253, .external_lex_state = 37},
  [2436] = {.lex_state = 253, .external_lex_state = 37},
  [2437] = {.lex_state = 64, .external_lex_state = 40},
  [2438] = {.lex_state = 64, .external_lex_state = 40},
  [2439] = {.lex_state = 253, .external_lex_state = 22},
  [2440] = {.lex_state = 253, .external_lex_state = 22},
  [2441] = {.lex_state = 255, .external_lex_state = 22},
  [2442] = {.lex_state = 255, .external_lex_state = 22},
  [2443] = {.lex_state = 64, .external_lex_state = 40},
  [2444] = {.lex_state = 253, .external_lex_state = 22},
  [2445] = {.lex_state = 253, .external_lex_state = 22},
  [2446] = {.lex_state = 64, .external_lex_state = 40},
  [2447] = {.lex_state = 64, .external_lex_state = 40},
  [2448] = {.lex_state = 261, .external_lex_state = 41},
  [2449] = {.lex_state = 255, .external_lex_state = 23},
  [2450] = {.lex_state = 253, .external_lex_state = 22},
  [2451] = {.lex_state = 253, .external_lex_state = 22},
  [2452] = {.lex_state = 253, .external_lex_state = 22},
  [2453] = {.lex_state = 253, .external_lex_state = 22},
  [2454] = {.lex_state = 253, .external_lex_state = 22},
  [2455] = {.lex_state = 253, .external_lex_state = 22},
  [2456] = {.lex_state = 253, .external_lex_state = 22},
  [2457] = {.lex_state = 289, .external_lex_state = 17},
  [2458] = {.lex_state = 255, .external_lex_state = 22},
  [2459] = {.lex_state = 253, .external_lex_state = 22},
  [2460] = {.lex_state = 255, .external_lex_state = 22},
  [2461] = {.lex_state = 255, .external_lex_state = 23},
  [2462] = {.lex_state = 255, .external_lex_state = 22},
  [2463] = {.lex_state = 64, .external_lex_state = 40},
  [2464] = {.lex_state = 64, .external_lex_state = 40},
  [2465] = {.lex_state = 64, .external_lex_state = 40},
  [2466] = {.lex_state = 253, .external_lex_state = 22},
  [2467] = {.lex_state = 255, .external_lex_state = 22},
  [2468] = {.lex_state = 64, .external_lex_state = 40},
  [2469] = {.lex_state = 64, .external_lex_state = 40},
  [2470] = {.lex_state = 64, .external_lex_state = 40},
  [2471] = {.lex_state = 253, .external_lex_state = 22},
  [2472] = {.lex_state = 255, .external_lex_state = 22},
  [2473] = {.lex_state = 253, .external_lex_state = 22},
  [2474] = {.lex_state = 253, .external_lex_state = 22},
  [2475] = {.lex_state = 255, .external_lex_state = 23},
  [2476] = {.lex_state = 253, .external_lex_state = 22},
  [2477] = {.lex_state = 253, .external_lex_state = 22},
  [2478] = {.lex_state = 253, .external_lex_state = 22},
  [2479] = {.lex_state = 255, .external_lex_state = 23},
  [2480] = {.lex_state = 253, .external_lex_state = 22},
  [2481] = {.lex_state = 253, .external_lex_state = 22},
  [2482] = {.lex_state = 253, .external_lex_state = 22},
  [2483] = {.lex_state = 253, .external_lex_state = 22},
  [2484] = {.lex_state = 255, .external_lex_state = 22},
  [2485] = {.lex_state = 292, .external_lex_state = 24},
  [2486] = {.lex_state = 292, .external_lex_state = 24},
  [2487] = {.lex_state = 292, .external_lex_state = 24},
  [2488] = {.lex_state = 292, .external_lex_state = 24},
  [2489] = {.lex_state = 255, .external_lex_state = 42},
  [2490] = {.lex_state = 255, .external_lex_state = 42},
  [2491] = {.lex_state = 253, .external_lex_state = 22},
  [2492] = {.lex_state = 255, .external_lex_state = 22},
  [2493] = {.lex_state = 253, .external_lex_state = 22},
  [2494] = {.lex_state = 64, .external_lex_state = 40},
  [2495] = {.lex_state = 253, .external_lex_state = 22},
  [2496] = {.lex_state = 253, .external_lex_state = 37},
  [2497] = {.lex_state = 253, .external_lex_state = 22},
  [2498] = {.lex_state = 253, .external_lex_state = 22},
  [2499] = {.lex_state = 253, .external_lex_state = 22},
  [2500] = {.lex_state = 255, .external_lex_state = 35},
  [2501] = {.lex_state = 253, .external_lex_state = 22},
  [2502] = {.lex_state = 253, .external_lex_state = 22},
  [2503] = {.lex_state = 253, .external_lex_state = 22},
  [2504] = {.lex_state = 253, .external_lex_state = 22},
  [2505] = {.lex_state = 253, .external_lex_state = 22},
  [2506] = {.lex_state = 253, .external_lex_state = 22},
  [2507] = {.lex_state = 253, .external_lex_state = 22},
  [2508] = {.lex_state = 253, .external_lex_state = 22},
  [2509] = {.lex_state = 253, .external_lex_state = 22},
  [2510] = {.lex_state = 163, .external_lex_state = 39},
  [2511] = {.lex_state = 253, .external_lex_state = 22},
  [2512] = {.lex_state = 64, .external_lex_state = 40},
  [2513] = {.lex_state = 253, .external_lex_state = 22},
  [2514] = {.lex_state = 253, .external_lex_state = 22},
  [2515] = {.lex_state = 253, .external_lex_state = 22},
  [2516] = {.lex_state = 292, .external_lex_state = 24},
  [2517] = {.lex_state = 292, .external_lex_state = 24},
  [2518] = {.lex_state = 64, .external_lex_state = 40},
  [2519] = {.lex_state = 64, .external_lex_state = 40},
  [2520] = {.lex_state = 253, .external_lex_state = 22},
  [2521] = {.lex_state = 253, .external_lex_state = 22},
  [2522] = {.lex_state = 255, .external_lex_state = 42},
  [2523] = {.lex_state = 292, .external_lex_state = 24},
  [2524] = {.lex_state = 255, .external_lex_state = 42},
  [2525] = {.lex_state = 64, .external_lex_state = 40},
  [2526] = {.lex_state = 253, .external_lex_state = 22},
  [2527] = {.lex_state = 292, .external_lex_state = 24},
  [2528] = {.lex_state = 64, .external_lex_state = 40},
  [2529] = {.lex_state = 255, .external_lex_state = 22},
  [2530] = {.lex_state = 253, .external_lex_state = 22},
  [2531] = {.lex_state = 256, .external_lex_state = 37},
  [2532] = {.lex_state = 253, .external_lex_state = 22},
  [2533] = {.lex_state = 287, .external_lex_state = 17},
  [2534] = {.lex_state = 255, .external_lex_state = 23},
  [2535] = {.lex_state = 255, .external_lex_state = 23},
  [2536] = {.lex_state = 255, .external_lex_state = 23},
  [2537] = {.lex_state = 255, .external_lex_state = 23},
  [2538] = {.lex_state = 64, .external_lex_state = 40},
  [2539] = {.lex_state = 253, .external_lex_state = 22},
  [2540] = {.lex_state = 64, .external_lex_state = 40},
  [2541] = {.lex_state = 64, .external_lex_state = 40},
  [2542] = {.lex_state = 64, .external_lex_state = 40},
  [2543] = {.lex_state = 64, .external_lex_state = 40},
  [2544] = {.lex_state = 64, .external_lex_state = 40},
  [2545] = {.lex_state = 253, .external_lex_state = 22},
  [2546] = {.lex_state = 253, .external_lex_state = 22},
  [2547] = {.lex_state = 253, .external_lex_state = 22},
  [2548] = {.lex_state = 255, .external_lex_state = 23},
  [2549] = {.lex_state = 253, .external_lex_state = 22},
  [2550] = {.lex_state = 255, .external_lex_state = 23},
  [2551] = {.lex_state = 253, .external_lex_state = 22},
  [2552] = {.lex_state = 255, .external_lex_state = 22},
  [2553] = {.lex_state = 64, .external_lex_state = 40},
  [2554] = {.lex_state = 64, .external_lex_state = 40},
  [2555] = {.lex_state = 64, .external_lex_state = 40},
  [2556] = {.lex_state = 292, .external_lex_state = 24},
  [2557] = {.lex_state = 64, .external_lex_state = 40},
  [2558] = {.lex_state = 263, .external_lex_state = 37},
  [2559] = {.lex_state = 253, .external_lex_state = 22},
  [2560] = {.lex_state = 292, .external_lex_state = 24},
  [2561] = {.lex_state = 287, .external_lex_state = 17},
  [2562] = {.lex_state = 253, .external_lex_state = 22},
  [2563] = {.lex_state = 255, .external_lex_state = 22},
  [2564] = {.lex_state = 64, .external_lex_state = 40},
  [2565] = {.lex_state = 64, .external_lex_state = 40},
  [2566] = {.lex_state = 64, .external_lex_state = 40},
  [2567] = {.lex_state = 64, .external_lex_state = 40},
  [2568] = {.lex_state = 253, .external_lex_state = 22},
  [2569] = {.lex_state = 286, .external_lex_state = 18},
  [2570] = {.lex_state = 253, .external_lex_state = 22},
  [2571] = {.lex_state = 255, .external_lex_state = 23},
  [2572] = {.lex_state = 64, .external_lex_state = 40},
  [2573] = {.lex_state = 277, .external_lex_state = 2},
  [2574] = {.lex_state = 255, .external_lex_state = 23},
  [2575] = {.lex_state = 255, .external_lex_state = 23},
  [2576] = {.lex_state = 255, .external_lex_state = 23},
  [2577] = {.lex_state = 292, .external_lex_state = 24},
  [2578] = {.lex_state = 253, .external_lex_state = 22},
  [2579] = {.lex_state = 253, .external_lex_state = 22},
  [2580] = {.lex_state = 255, .external_lex_state = 23},
  [2581] = {.lex_state = 255, .external_lex_state = 23},
  [2582] = {.lex_state = 255, .external_lex_state = 22},
  [2583] = {.lex_state = 255, .external_lex_state = 23},
  [2584] = {.lex_state = 259, .external_lex_state = 37},
  [2585] = {.lex_state = 255, .external_lex_state = 23},
  [2586] = {.lex_state = 255, .external_lex_state = 23},
  [2587] = {.lex_state = 255, .external_lex_state = 23},
  [2588] = {.lex_state = 255, .external_lex_state = 23},
  [2589] = {.lex_state = 255, .external_lex_state = 23},
  [2590] = {.lex_state = 253, .external_lex_state = 22},
  [2591] = {.lex_state = 255, .external_lex_state = 35},
  [2592] = {.lex_state = 141, .external_lex_state = 43},
  [2593] = {.lex_state = 141, .external_lex_state = 43},
  [2594] = {.lex_state = 255, .external_lex_state = 23},
  [2595] = {.lex_state = 255, .external_lex_state = 23},
  [2596] = {.lex_state = 255, .external_lex_state = 23},
  [2597] = {.lex_state = 255, .external_lex_state = 22},
  [2598] = {.lex_state = 253, .external_lex_state = 22},
  [2599] = {.lex_state = 255, .external_lex_state = 35},
  [2600] = {.lex_state = 255, .external_lex_state = 22},
  [2601] = {.lex_state = 255, .external_lex_state = 23},
  [2602] = {.lex_state = 255, .external_lex_state = 23},
  [2603] = {.lex_state = 253, .external_lex_state = 22},
  [2604] = {.lex_state = 255, .external_lex_state = 22},
  [2605] = {.lex_state = 255, .external_lex_state = 22},
  [2606] = {.lex_state = 255, .external_lex_state = 22},
  [2607] = {.lex_state = 255, .external_lex_state = 22},
  [2608] = {.lex_state = 253, .external_lex_state = 22},
  [2609] = {.lex_state = 255, .external_lex_state = 22},
  [2610] = {.lex_state = 253, .external_lex_state = 22},
  [2611] = {.lex_state = 253, .external_lex_state = 22},
  [2612] = {.lex_state = 163, .external_lex_state = 39},
  [2613] = {.lex_state = 255, .external_lex_state = 23},
  [2614] = {.lex_state = 253, .external_lex_state = 22},
  [2615] = {.lex_state = 292, .external_lex_state = 24},
  [2616] = {.lex_state = 255, .external_lex_state = 22},
  [2617] = {.lex_state = 255, .external_lex_state = 22},
  [2618] = {.lex_state = 255, .external_lex_state = 22},
  [2619] = {.lex_state = 255, .external_lex_state = 22},
  [2620] = {.lex_state = 255, .external_lex_state = 22},
  [2621] = {.lex_state = 255, .external_lex_state = 22},
  [2622] = {.lex_state = 255, .external_lex_state = 22},
  [2623] = {.lex_state = 255, .external_lex_state = 22},
  [2624] = {.lex_state = 255, .external_lex_state = 22},
  [2625] = {.lex_state = 255, .external_lex_state = 22},
  [2626] = {.lex_state = 255, .external_lex_state = 35},
  [2627] = {.lex_state = 253, .external_lex_state = 22},
  [2628] = {.lex_state = 255, .external_lex_state = 41},
  [2629] = {.lex_state = 253, .external_lex_state = 22},
  [2630] = {.lex_state = 255, .external_lex_state = 37},
  [2631] = {.lex_state = 255, .external_lex_state = 37},
  [2632] = {.lex_state = 255, .external_lex_state = 37},
  [2633] = {.lex_state = 253, .external_lex_state = 37},
  [2634] = {.lex_state = 255, .external_lex_state = 41},
  [2635] = {.lex_state = 255, .external_lex_state = 41},
  [2636] = {.lex_state = 263, .external_lex_state = 37},
  [2637] = {.lex_state = 263, .external_lex_state = 37},
  [2638] = {.lex_state = 263, .external_lex_state = 37},
  [2639] = {.lex_state = 253, .external_lex_state = 37},
  [2640] = {.lex_state = 255, .external_lex_state = 37},
  [2641] = {.lex_state = 263, .external_lex_state = 37},
  [2642] = {.lex_state = 263, .external_lex_state = 37},
  [2643] = {.lex_state = 263, .external_lex_state = 37},
  [2644] = {.lex_state = 263, .external_lex_state = 37},
  [2645] = {.lex_state = 255, .external_lex_state = 37},
  [2646] = {.lex_state = 263, .external_lex_state = 37},
  [2647] = {.lex_state = 263, .external_lex_state = 37},
  [2648] = {.lex_state = 253, .external_lex_state = 22},
  [2649] = {.lex_state = 255, .external_lex_state = 37},
  [2650] = {.lex_state = 255, .external_lex_state = 37},
  [2651] = {.lex_state = 253, .external_lex_state = 22},
  [2652] = {.lex_state = 255, .external_lex_state = 37},
  [2653] = {.lex_state = 253, .external_lex_state = 22},
  [2654] = {.lex_state = 255, .external_lex_state = 37},
  [2655] = {.lex_state = 263, .external_lex_state = 37},
  [2656] = {.lex_state = 263, .external_lex_state = 37},
  [2657] = {.lex_state = 263, .external_lex_state = 37},
  [2658] = {.lex_state = 255, .external_lex_state = 37},
  [2659] = {.lex_state = 255, .external_lex_state = 37},
  [2660] = {.lex_state = 263, .external_lex_state = 37},
  [2661] = {.lex_state = 263, .external_lex_state = 37},
  [2662] = {.lex_state = 255, .external_lex_state = 37},
  [2663] = {.lex_state = 255, .external_lex_state = 41},
  [2664] = {.lex_state = 255, .external_lex_state = 41},
  [2665] = {.lex_state = 255, .external_lex_state = 37},
  [2666] = {.lex_state = 255, .external_lex_state = 37},
  [2667] = {.lex_state = 263, .external_lex_state = 37},
  [2668] = {.lex_state = 263, .external_lex_state = 37},
  [2669] = {.lex_state = 255, .external_lex_state = 41},
  [2670] = {.lex_state = 263, .external_lex_state = 37},
  [2671] = {.lex_state = 255, .external_lex_state = 41},
  [2672] = {.lex_state = 255, .external_lex_state = 41},
  [2673] = {.lex_state = 255, .external_lex_state = 41},
  [2674] = {.lex_state = 263, .external_lex_state = 37},
  [2675] = {.lex_state = 255, .external_lex_state = 37},
  [2676] = {.lex_state = 279, .external_lex_state = 24},
  [2677] = {.lex_state = 255, .external_lex_state = 41},
  [2678] = {.lex_state = 253, .external_lex_state = 22},
  [2679] = {.lex_state = 279, .external_lex_state = 24},
  [2680] = {.lex_state = 255, .external_lex_state = 41},
  [2681] = {.lex_state = 263, .external_lex_state = 37},
  [2682] = {.lex_state = 263, .external_lex_state = 37},
  [2683] = {.lex_state = 255, .external_lex_state = 37},
  [2684] = {.lex_state = 255, .external_lex_state = 41},
  [2685] = {.lex_state = 255, .external_lex_state = 41},
  [2686] = {.lex_state = 255, .external_lex_state = 41},
  [2687] = {.lex_state = 255, .external_lex_state = 41},
  [2688] = {.lex_state = 163, .external_lex_state = 43},
  [2689] = {.lex_state = 163, .external_lex_state = 43},
  [2690] = {.lex_state = 255, .external_lex_state = 41},
  [2691] = {.lex_state = 255, .external_lex_state = 41},
  [2692] = {.lex_state = 255, .external_lex_state = 41},
  [2693] = {.lex_state = 279, .external_lex_state = 24},
  [2694] = {.lex_state = 287, .external_lex_state = 17},
  [2695] = {.lex_state = 279, .external_lex_state = 24},
  [2696] = {.lex_state = 279, .external_lex_state = 24},
  [2697] = {.lex_state = 255, .external_lex_state = 41},
  [2698] = {.lex_state = 263, .external_lex_state = 37},
  [2699] = {.lex_state = 255, .external_lex_state = 41},
  [2700] = {.lex_state = 255, .external_lex_state = 37},
  [2701] = {.lex_state = 255, .external_lex_state = 41},
  [2702] = {.lex_state = 255, .external_lex_state = 41},
  [2703] = {.lex_state = 218, .external_lex_state = 44},
  [2704] = {.lex_state = 263, .external_lex_state = 37},
  [2705] = {.lex_state = 255, .external_lex_state = 37},
  [2706] = {.lex_state = 253, .external_lex_state = 37},
  [2707] = {.lex_state = 253, .external_lex_state = 22},
  [2708] = {.lex_state = 279, .external_lex_state = 24},
  [2709] = {.lex_state = 255, .external_lex_state = 37},
  [2710] = {.lex_state = 253, .external_lex_state = 22},
  [2711] = {.lex_state = 255, .external_lex_state = 37},
  [2712] = {.lex_state = 253, .external_lex_state = 22},
  [2713] = {.lex_state = 253, .external_lex_state = 22},
  [2714] = {.lex_state = 255, .external_lex_state = 37},
  [2715] = {.lex_state = 263, .external_lex_state = 37},
  [2716] = {.lex_state = 253, .external_lex_state = 22},
  [2717] = {.lex_state = 263, .external_lex_state = 37},
  [2718] = {.lex_state = 255, .external_lex_state = 41},
  [2719] = {.lex_state = 279, .external_lex_state = 24},
  [2720] = {.lex_state = 263, .external_lex_state = 37},
  [2721] = {.lex_state = 253, .external_lex_state = 22},
  [2722] = {.lex_state = 263, .external_lex_state = 37},
  [2723] = {.lex_state = 253, .external_lex_state = 22},
  [2724] = {.lex_state = 253, .external_lex_state = 22},
  [2725] = {.lex_state = 279, .external_lex_state = 24},
  [2726] = {.lex_state = 253, .external_lex_state = 22},
  [2727] = {.lex_state = 253, .external_lex_state = 22},
  [2728] = {.lex_state = 255, .external_lex_state = 41},
  [2729] = {.lex_state = 218, .external_lex_state = 44},
  [2730] = {.lex_state = 218, .external_lex_state = 44},
  [2731] = {.lex_state = 263, .external_lex_state = 37},
  [2732] = {.lex_state = 253, .external_lex_state = 22},
  [2733] = {.lex_state = 255, .external_lex_state = 41},
  [2734] = {.lex_state = 263, .external_lex_state = 37},
  [2735] = {.lex_state = 255, .external_lex_state = 41},
  [2736] = {.lex_state = 253, .external_lex_state = 22},
  [2737] = {.lex_state = 255, .external_lex_state = 37},
  [2738] = {.lex_state = 253, .external_lex_state = 22},
  [2739] = {.lex_state = 255, .external_lex_state = 41},
  [2740] = {.lex_state = 255, .external_lex_state = 41},
  [2741] = {.lex_state = 255, .external_lex_state = 41},
  [2742] = {.lex_state = 255, .external_lex_state = 37},
  [2743] = {.lex_state = 263, .external_lex_state = 37},
  [2744] = {.lex_state = 255, .external_lex_state = 37},
  [2745] = {.lex_state = 255, .external_lex_state = 41},
  [2746] = {.lex_state = 255, .external_lex_state = 41},
  [2747] = {.lex_state = 253, .external_lex_state = 22},
  [2748] = {.lex_state = 255, .external_lex_state = 41},
  [2749] = {.lex_state = 255, .external_lex_state = 41},
  [2750] = {.lex_state = 255, .external_lex_state = 41},
  [2751] = {.lex_state = 255, .external_lex_state = 41},
  [2752] = {.lex_state = 255, .external_lex_state = 37},
  [2753] = {.lex_state = 255, .external_lex_state = 37},
  [2754] = {.lex_state = 279, .external_lex_state = 24},
  [2755] = {.lex_state = 255, .external_lex_state = 41},
  [2756] = {.lex_state = 255, .external_lex_state = 41},
  [2757] = {.lex_state = 279, .external_lex_state = 24},
  [2758] = {.lex_state = 255, .external_lex_state = 41},
  [2759] = {.lex_state = 263, .external_lex_state = 37},
  [2760] = {.lex_state = 255, .external_lex_state = 41},
  [2761] = {.lex_state = 263, .external_lex_state = 37},
  [2762] = {.lex_state = 255, .external_lex_state = 37},
  [2763] = {.lex_state = 255, .external_lex_state = 41},
  [2764] = {.lex_state = 218, .external_lex_state = 44},
  [2765] = {.lex_state = 263, .external_lex_state = 37},
  [2766] = {.lex_state = 255, .external_lex_state = 41},
  [2767] = {.lex_state = 255, .external_lex_state = 41},
  [2768] = {.lex_state = 255, .external_lex_state = 37},
  [2769] = {.lex_state = 255, .external_lex_state = 37},
  [2770] = {.lex_state = 255, .external_lex_state = 41},
  [2771] = {.lex_state = 218, .external_lex_state = 44},
  [2772] = {.lex_state = 255, .external_lex_state = 41},
  [2773] = {.lex_state = 218, .external_lex_state = 44},
  [2774] = {.lex_state = 255, .external_lex_state = 37},
  [2775] = {.lex_state = 255, .external_lex_state = 41},
  [2776] = {.lex_state = 255, .external_lex_state = 41},
  [2777] = {.lex_state = 255, .external_lex_state = 41},
  [2778] = {.lex_state = 255, .external_lex_state = 37},
  [2779] = {.lex_state = 279, .external_lex_state = 24},
  [2780] = {.lex_state = 279, .external_lex_state = 24},
  [2781] = {.lex_state = 255, .external_lex_state = 37},
  [2782] = {.lex_state = 255, .external_lex_state = 41},
  [2783] = {.lex_state = 255, .external_lex_state = 37},
  [2784] = {.lex_state = 255, .external_lex_state = 37},
  [2785] = {.lex_state = 255, .external_lex_state = 37},
  [2786] = {.lex_state = 255, .external_lex_state = 41},
  [2787] = {.lex_state = 166, .external_lex_state = 39},
  [2788] = {.lex_state = 255, .external_lex_state = 41},
  [2789] = {.lex_state = 166, .external_lex_state = 39},
  [2790] = {.lex_state = 255, .external_lex_state = 41},
  [2791] = {.lex_state = 256, .external_lex_state = 37},
  [2792] = {.lex_state = 255, .external_lex_state = 41},
  [2793] = {.lex_state = 256, .external_lex_state = 37},
  [2794] = {.lex_state = 256, .external_lex_state = 37},
  [2795] = {.lex_state = 255, .external_lex_state = 41},
  [2796] = {.lex_state = 256, .external_lex_state = 37},
  [2797] = {.lex_state = 255, .external_lex_state = 41},
  [2798] = {.lex_state = 256, .external_lex_state = 37},
  [2799] = {.lex_state = 256, .external_lex_state = 37},
  [2800] = {.lex_state = 256, .external_lex_state = 37},
  [2801] = {.lex_state = 256, .external_lex_state = 37},
  [2802] = {.lex_state = 256, .external_lex_state = 37},
  [2803] = {.lex_state = 256, .external_lex_state = 37},
  [2804] = {.lex_state = 256, .external_lex_state = 37},
  [2805] = {.lex_state = 256, .external_lex_state = 37},
  [2806] = {.lex_state = 256, .external_lex_state = 37},
  [2807] = {.lex_state = 255, .external_lex_state = 41},
  [2808] = {.lex_state = 256, .external_lex_state = 37},
  [2809] = {.lex_state = 255, .external_lex_state = 41},
  [2810] = {.lex_state = 256, .external_lex_state = 37},
  [2811] = {.lex_state = 255, .external_lex_state = 41},
  [2812] = {.lex_state = 255, .external_lex_state = 41},
  [2813] = {.lex_state = 256, .external_lex_state = 37},
  [2814] = {.lex_state = 255, .external_lex_state = 37},
  [2815] = {.lex_state = 255, .external_lex_state = 37},
  [2816] = {.lex_state = 255, .external_lex_state = 37},
  [2817] = {.lex_state = 255, .external_lex_state = 41},
  [2818] = {.lex_state = 255, .external_lex_state = 41},
  [2819] = {.lex_state = 256, .external_lex_state = 37},
  [2820] = {.lex_state = 255, .external_lex_state = 41},
  [2821] = {.lex_state = 255, .external_lex_state = 41},
  [2822] = {.lex_state = 255, .external_lex_state = 41},
  [2823] = {.lex_state = 255, .external_lex_state = 41},
  [2824] = {.lex_state = 255, .external_lex_state = 41},
  [2825] = {.lex_state = 255, .external_lex_state = 41},
  [2826] = {.lex_state = 256, .external_lex_state = 37},
  [2827] = {.lex_state = 256, .external_lex_state = 37},
  [2828] = {.lex_state = 256, .external_lex_state = 37},
  [2829] = {.lex_state = 256, .external_lex_state = 37},
  [2830] = {.lex_state = 255, .external_lex_state = 41},
  [2831] = {.lex_state = 255, .external_lex_state = 41},
  [2832] = {.lex_state = 255, .external_lex_state = 41},
  [2833] = {.lex_state = 255, .external_lex_state = 41},
  [2834] = {.lex_state = 255, .external_lex_state = 41},
  [2835] = {.lex_state = 255, .external_lex_state = 37},
  [2836] = {.lex_state = 255, .external_lex_state = 41},
  [2837] = {.lex_state = 169, .external_lex_state = 39},
  [2838] = {.lex_state = 255, .external_lex_state = 41},
  [2839] = {.lex_state = 255, .external_lex_state = 41},
  [2840] = {.lex_state = 255, .external_lex_state = 41},
  [2841] = {.lex_state = 169, .external_lex_state = 39},
  [2842] = {.lex_state = 256, .external_lex_state = 37},
  [2843] = {.lex_state = 255, .external_lex_state = 41},
  [2844] = {.lex_state = 255, .external_lex_state = 37},
  [2845] = {.lex_state = 279, .external_lex_state = 24},
  [2846] = {.lex_state = 255, .external_lex_state = 41},
  [2847] = {.lex_state = 279, .external_lex_state = 24},
  [2848] = {.lex_state = 255, .external_lex_state = 41},
  [2849] = {.lex_state = 279, .external_lex_state = 24},
  [2850] = {.lex_state = 255, .external_lex_state = 41},
  [2851] = {.lex_state = 279, .external_lex_state = 24},
  [2852] = {.lex_state = 494, .external_lex_state = 39},
  [2853] = {.lex_state = 256, .external_lex_state = 37},
  [2854] = {.lex_state = 255, .external_lex_state = 37},
  [2855] = {.lex_state = 255, .external_lex_state = 41},
  [2856] = {.lex_state = 255, .external_lex_state = 37},
  [2857] = {.lex_state = 256, .external_lex_state = 37},
  [2858] = {.lex_state = 256, .external_lex_state = 37},
  [2859] = {.lex_state = 255, .external_lex_state = 41},
  [2860] = {.lex_state = 256, .external_lex_state = 37},
  [2861] = {.lex_state = 256, .external_lex_state = 37},
  [2862] = {.lex_state = 256, .external_lex_state = 37},
  [2863] = {.lex_state = 256, .external_lex_state = 37},
  [2864] = {.lex_state = 255, .external_lex_state = 41},
  [2865] = {.lex_state = 494, .external_lex_state = 39},
  [2866] = {.lex_state = 256, .external_lex_state = 37},
  [2867] = {.lex_state = 279, .external_lex_state = 24},
  [2868] = {.lex_state = 255, .external_lex_state = 41},
  [2869] = {.lex_state = 256, .external_lex_state = 37},
  [2870] = {.lex_state = 256, .external_lex_state = 37},
  [2871] = {.lex_state = 279, .external_lex_state = 24},
  [2872] = {.lex_state = 255, .external_lex_state = 41},
  [2873] = {.lex_state = 255, .external_lex_state = 41},
  [2874] = {.lex_state = 255, .external_lex_state = 41},
  [2875] = {.lex_state = 255, .external_lex_state = 41},
  [2876] = {.lex_state = 278, .external_lex_state = 45},
  [2877] = {.lex_state = 278, .external_lex_state = 45},
  [2878] = {.lex_state = 169, .external_lex_state = 43},
  [2879] = {.lex_state = 169, .external_lex_state = 43},
  [2880] = {.lex_state = 278, .external_lex_state = 45},
  [2881] = {.lex_state = 219, .external_lex_state = 46},
  [2882] = {.lex_state = 278, .external_lex_state = 45},
  [2883] = {.lex_state = 278, .external_lex_state = 45},
  [2884] = {.lex_state = 278, .external_lex_state = 45},
  [2885] = {.lex_state = 278, .external_lex_state = 45},
  [2886] = {.lex_state = 278, .external_lex_state = 45},
  [2887] = {.lex_state = 219, .external_lex_state = 46},
  [2888] = {.lex_state = 218, .external_lex_state = 44},
  [2889] = {.lex_state = 218, .external_lex_state = 44},
  [2890] = {.lex_state = 218, .external_lex_state = 44},
  [2891] = {.lex_state = 218, .external_lex_state = 44},
  [2892] = {.lex_state = 218, .external_lex_state = 44},
  [2893] = {.lex_state = 218, .external_lex_state = 44},
  [2894] = {.lex_state = 218, .external_lex_state = 44},
  [2895] = {.lex_state = 219, .external_lex_state = 46},
  [2896] = {.lex_state = 291, .external_lex_state = 47},
  [2897] = {.lex_state = 218, .external_lex_state = 44},
  [2898] = {.lex_state = 218, .external_lex_state = 44},
  [2899] = {.lex_state = 218, .external_lex_state = 44},
  [2900] = {.lex_state = 218, .external_lex_state = 44},
  [2901] = {.lex_state = 218, .external_lex_state = 44},
  [2902] = {.lex_state = 218, .external_lex_state = 44},
  [2903] = {.lex_state = 494, .external_lex_state = 43},
  [2904] = {.lex_state = 278, .external_lex_state = 45},
  [2905] = {.lex_state = 494, .external_lex_state = 39},
  [2906] = {.lex_state = 278, .external_lex_state = 45},
  [2907] = {.lex_state = 218, .external_lex_state = 44},
  [2908] = {.lex_state = 219, .external_lex_state = 46},
  [2909] = {.lex_state = 218, .external_lex_state = 44},
  [2910] = {.lex_state = 278, .external_lex_state = 45},
  [2911] = {.lex_state = 218, .external_lex_state = 44},
  [2912] = {.lex_state = 218, .external_lex_state = 44},
  [2913] = {.lex_state = 279, .external_lex_state = 24},
  [2914] = {.lex_state = 218, .external_lex_state = 44},
  [2915] = {.lex_state = 494, .external_lex_state = 39},
  [2916] = {.lex_state = 278, .external_lex_state = 45},
  [2917] = {.lex_state = 218, .external_lex_state = 44},
  [2918] = {.lex_state = 494, .external_lex_state = 43},
  [2919] = {.lex_state = 291, .external_lex_state = 47},
  [2920] = {.lex_state = 291, .external_lex_state = 47},
  [2921] = {.lex_state = 166, .external_lex_state = 43},
  [2922] = {.lex_state = 278, .external_lex_state = 45},
  [2923] = {.lex_state = 166, .external_lex_state = 43},
  [2924] = {.lex_state = 278, .external_lex_state = 45},
  [2925] = {.lex_state = 296, .external_lex_state = 48},
  [2926] = {.lex_state = 296, .external_lex_state = 48},
  [2927] = {.lex_state = 210, .external_lex_state = 46},
  [2928] = {.lex_state = 278, .external_lex_state = 45},
  [2929] = {.lex_state = 210, .external_lex_state = 46},
  [2930] = {.lex_state = 278, .external_lex_state = 45},
  [2931] = {.lex_state = 299, .external_lex_state = 49},
  [2932] = {.lex_state = 296, .external_lex_state = 48},
  [2933] = {.lex_state = 494, .external_lex_state = 43},
  [2934] = {.lex_state = 278, .external_lex_state = 45},
  [2935] = {.lex_state = 296, .external_lex_state = 48},
  [2936] = {.lex_state = 296, .external_lex_state = 48},
  [2937] = {.lex_state = 296, .external_lex_state = 48},
  [2938] = {.lex_state = 296, .external_lex_state = 48},
  [2939] = {.lex_state = 494, .external_lex_state = 43},
  [2940] = {.lex_state = 296, .external_lex_state = 48},
  [2941] = {.lex_state = 296, .external_lex_state = 48},
  [2942] = {.lex_state = 296, .external_lex_state = 48},
  [2943] = {.lex_state = 296, .external_lex_state = 48},
  [2944] = {.lex_state = 278, .external_lex_state = 45},
  [2945] = {.lex_state = 278, .external_lex_state = 45},
  [2946] = {.lex_state = 296, .external_lex_state = 48},
  [2947] = {.lex_state = 296, .external_lex_state = 48},
  [2948] = {.lex_state = 278, .external_lex_state = 45},
  [2949] = {.lex_state = 278, .external_lex_state = 45},
  [2950] = {.lex_state = 278, .external_lex_state = 45},
  [2951] = {.lex_state = 278, .external_lex_state = 45},
  [2952] = {.lex_state = 278, .external_lex_state = 45},
  [2953] = {.lex_state = 278, .external_lex_state = 45},
  [2954] = {.lex_state = 195, .external_lex_state = 15},
  [2955] = {.lex_state = 296, .external_lex_state = 48},
  [2956] = {.lex_state = 296, .external_lex_state = 48},
  [2957] = {.lex_state = 278, .external_lex_state = 45},
  [2958] = {.lex_state = 296, .external_lex_state = 48},
  [2959] = {.lex_state = 195, .external_lex_state = 15},
  [2960] = {.lex_state = 278, .external_lex_state = 45},
  [2961] = {.lex_state = 296, .external_lex_state = 48},
  [2962] = {.lex_state = 278, .external_lex_state = 45},
  [2963] = {.lex_state = 278, .external_lex_state = 45},
  [2964] = {.lex_state = 278, .external_lex_state = 45},
  [2965] = {.lex_state = 296, .external_lex_state = 48},
  [2966] = {.lex_state = 278, .external_lex_state = 45},
  [2967] = {.lex_state = 296, .external_lex_state = 48},
  [2968] = {.lex_state = 296, .external_lex_state = 48},
  [2969] = {.lex_state = 296, .external_lex_state = 48},
  [2970] = {.lex_state = 278, .external_lex_state = 45},
  [2971] = {.lex_state = 296, .external_lex_state = 48},
  [2972] = {.lex_state = 296, .external_lex_state = 48},
  [2973] = {.lex_state = 278, .external_lex_state = 45},
  [2974] = {.lex_state = 277, .external_lex_state = 2},
  [2975] = {.lex_state = 277, .external_lex_state = 2},
  [2976] = {.lex_state = 277, .external_lex_state = 2},
  [2977] = {.lex_state = 299, .external_lex_state = 49},
  [2978] = {.lex_state = 299, .external_lex_state = 49},
  [2979] = {.lex_state = 277, .external_lex_state = 2},
  [2980] = {.lex_state = 277, .external_lex_state = 2},
  [2981] = {.lex_state = 299, .external_lex_state = 49},
  [2982] = {.lex_state = 195, .external_lex_state = 15},
  [2983] = {.lex_state = 277, .external_lex_state = 2},
  [2984] = {.lex_state = 277, .external_lex_state = 2},
  [2985] = {.lex_state = 299, .external_lex_state = 49},
  [2986] = {.lex_state = 185, .external_lex_state = 46},
  [2987] = {.lex_state = 279, .external_lex_state = 25},
  [2988] = {.lex_state = 279, .external_lex_state = 24},
  [2989] = {.lex_state = 185, .external_lex_state = 46},
  [2990] = {.lex_state = 175, .external_lex_state = 39},
  [2991] = {.lex_state = 277, .external_lex_state = 2},
  [2992] = {.lex_state = 185, .external_lex_state = 46},
  [2993] = {.lex_state = 185, .external_lex_state = 46},
  [2994] = {.lex_state = 279, .external_lex_state = 25},
  [2995] = {.lex_state = 279, .external_lex_state = 25},
  [2996] = {.lex_state = 277, .external_lex_state = 2},
  [2997] = {.lex_state = 279, .external_lex_state = 25},
  [2998] = {.lex_state = 279, .external_lex_state = 24},
  [2999] = {.lex_state = 279, .external_lex_state = 25},
  [3000] = {.lex_state = 277, .external_lex_state = 2},
  [3001] = {.lex_state = 279, .external_lex_state = 25},
  [3002] = {.lex_state = 279, .external_lex_state = 25},
  [3003] = {.lex_state = 277, .external_lex_state = 2},
  [3004] = {.lex_state = 279, .external_lex_state = 25},
  [3005] = {.lex_state = 279, .external_lex_state = 25},
  [3006] = {.lex_state = 185, .external_lex_state = 46},
  [3007] = {.lex_state = 277, .external_lex_state = 2},
  [3008] = {.lex_state = 279, .external_lex_state = 25},
  [3009] = {.lex_state = 279, .external_lex_state = 25},
  [3010] = {.lex_state = 279, .external_lex_state = 25},
  [3011] = {.lex_state = 279, .external_lex_state = 25},
  [3012] = {.lex_state = 279, .external_lex_state = 25},
  [3013] = {.lex_state = 277, .external_lex_state = 2},
  [3014] = {.lex_state = 279, .external_lex_state = 25},
  [3015] = {.lex_state = 279, .external_lex_state = 25},
  [3016] = {.lex_state = 279, .external_lex_state = 25},
  [3017] = {.lex_state = 279, .external_lex_state = 25},
  [3018] = {.lex_state = 279, .external_lex_state = 25},
  [3019] = {.lex_state = 279, .external_lex_state = 25},
  [3020] = {.lex_state = 185, .external_lex_state = 46},
  [3021] = {.lex_state = 279, .external_lex_state = 24},
  [3022] = {.lex_state = 279, .external_lex_state = 25},
  [3023] = {.lex_state = 279, .external_lex_state = 25},
  [3024] = {.lex_state = 279, .external_lex_state = 25},
  [3025] = {.lex_state = 279, .external_lex_state = 25},
  [3026] = {.lex_state = 279, .external_lex_state = 25},
  [3027] = {.lex_state = 185, .external_lex_state = 46},
  [3028] = {.lex_state = 279, .external_lex_state = 25},
  [3029] = {.lex_state = 279, .external_lex_state = 25},
  [3030] = {.lex_state = 279, .external_lex_state = 25},
  [3031] = {.lex_state = 279, .external_lex_state = 25},
  [3032] = {.lex_state = 185, .external_lex_state = 46},
  [3033] = {.lex_state = 279, .external_lex_state = 25},
  [3034] = {.lex_state = 279, .external_lex_state = 25},
  [3035] = {.lex_state = 175, .external_lex_state = 39},
  [3036] = {.lex_state = 277, .external_lex_state = 2},
  [3037] = {.lex_state = 277, .external_lex_state = 2},
  [3038] = {.lex_state = 185, .external_lex_state = 46},
  [3039] = {.lex_state = 277, .external_lex_state = 2},
  [3040] = {.lex_state = 279, .external_lex_state = 25},
  [3041] = {.lex_state = 175, .external_lex_state = 43},
  [3042] = {.lex_state = 279, .external_lex_state = 25},
  [3043] = {.lex_state = 279, .external_lex_state = 25},
  [3044] = {.lex_state = 279, .external_lex_state = 25},
  [3045] = {.lex_state = 297, .external_lex_state = 50},
  [3046] = {.lex_state = 297, .external_lex_state = 50},
  [3047] = {.lex_state = 299, .external_lex_state = 51},
  [3048] = {.lex_state = 279, .external_lex_state = 25},
  [3049] = {.lex_state = 279, .external_lex_state = 25},
  [3050] = {.lex_state = 236, .external_lex_state = 25},
  [3051] = {.lex_state = 279, .external_lex_state = 25},
  [3052] = {.lex_state = 279, .external_lex_state = 25},
  [3053] = {.lex_state = 175, .external_lex_state = 43},
  [3054] = {.lex_state = 236, .external_lex_state = 25},
  [3055] = {.lex_state = 279, .external_lex_state = 25},
  [3056] = {.lex_state = 279, .external_lex_state = 25},
  [3057] = {.lex_state = 279, .external_lex_state = 25},
  [3058] = {.lex_state = 279, .external_lex_state = 25},
  [3059] = {.lex_state = 279, .external_lex_state = 25},
  [3060] = {.lex_state = 279, .external_lex_state = 25},
  [3061] = {.lex_state = 279, .external_lex_state = 25},
  [3062] = {.lex_state = 279, .external_lex_state = 25},
  [3063] = {.lex_state = 279, .external_lex_state = 25},
  [3064] = {.lex_state = 279, .external_lex_state = 25},
  [3065] = {.lex_state = 297, .external_lex_state = 50},
  [3066] = {.lex_state = 212, .external_lex_state = 46},
  [3067] = {.lex_state = 279, .external_lex_state = 52},
  [3068] = {.lex_state = 279, .external_lex_state = 25},
  [3069] = {.lex_state = 297, .external_lex_state = 50},
  [3070] = {.lex_state = 279, .external_lex_state = 25},
  [3071] = {.lex_state = 279, .external_lex_state = 52},
  [3072] = {.lex_state = 212, .external_lex_state = 46},
  [3073] = {.lex_state = 279, .external_lex_state = 52},
  [3074] = {.lex_state = 279, .external_lex_state = 25},
  [3075] = {.lex_state = 279, .external_lex_state = 25},
  [3076] = {.lex_state = 297, .external_lex_state = 50},
  [3077] = {.lex_state = 279, .external_lex_state = 52},
  [3078] = {.lex_state = 297, .external_lex_state = 50},
  [3079] = {.lex_state = 279, .external_lex_state = 25},
  [3080] = {.lex_state = 279, .external_lex_state = 25},
  [3081] = {.lex_state = 279, .external_lex_state = 25},
  [3082] = {.lex_state = 279, .external_lex_state = 25},
  [3083] = {.lex_state = 279, .external_lex_state = 25},
  [3084] = {.lex_state = 279, .external_lex_state = 25},
  [3085] = {.lex_state = 279, .external_lex_state = 25},
  [3086] = {.lex_state = 279, .external_lex_state = 25},
  [3087] = {.lex_state = 279, .external_lex_state = 25},
  [3088] = {.lex_state = 265, .external_lex_state = 53},
  [3089] = {.lex_state = 279, .external_lex_state = 25},
  [3090] = {.lex_state = 279, .external_lex_state = 52},
  [3091] = {.lex_state = 265, .external_lex_state = 53},
  [3092] = {.lex_state = 279, .external_lex_state = 25},
  [3093] = {.lex_state = 279, .external_lex_state = 25},
  [3094] = {.lex_state = 279, .external_lex_state = 52},
  [3095] = {.lex_state = 297, .external_lex_state = 50},
  [3096] = {.lex_state = 297, .external_lex_state = 50},
  [3097] = {.lex_state = 266, .external_lex_state = 54},
  [3098] = {.lex_state = 279, .external_lex_state = 25},
  [3099] = {.lex_state = 279, .external_lex_state = 25},
  [3100] = {.lex_state = 266, .external_lex_state = 54},
  [3101] = {.lex_state = 297, .external_lex_state = 50},
  [3102] = {.lex_state = 279, .external_lex_state = 25},
  [3103] = {.lex_state = 279, .external_lex_state = 25},
  [3104] = {.lex_state = 297, .external_lex_state = 50},
  [3105] = {.lex_state = 297, .external_lex_state = 50},
  [3106] = {.lex_state = 279, .external_lex_state = 25},
  [3107] = {.lex_state = 279, .external_lex_state = 25},
  [3108] = {.lex_state = 297, .external_lex_state = 50},
  [3109] = {.lex_state = 279, .external_lex_state = 25},
  [3110] = {.lex_state = 279, .external_lex_state = 52},
  [3111] = {.lex_state = 296, .external_lex_state = 55},
  [3112] = {.lex_state = 296, .external_lex_state = 55},
  [3113] = {.lex_state = 270, .external_lex_state = 56},
  [3114] = {.lex_state = 296, .external_lex_state = 55},
  [3115] = {.lex_state = 296, .external_lex_state = 55},
  [3116] = {.lex_state = 296, .external_lex_state = 55},
  [3117] = {.lex_state = 296, .external_lex_state = 55},
  [3118] = {.lex_state = 296, .external_lex_state = 55},
  [3119] = {.lex_state = 296, .external_lex_state = 55},
  [3120] = {.lex_state = 296, .external_lex_state = 55},
  [3121] = {.lex_state = 279, .external_lex_state = 25},
  [3122] = {.lex_state = 296, .external_lex_state = 55},
  [3123] = {.lex_state = 296, .external_lex_state = 55},
  [3124] = {.lex_state = 296, .external_lex_state = 55},
  [3125] = {.lex_state = 279, .external_lex_state = 25},
  [3126] = {.lex_state = 296, .external_lex_state = 55},
  [3127] = {.lex_state = 296, .external_lex_state = 55},
  [3128] = {.lex_state = 296, .external_lex_state = 55},
  [3129] = {.lex_state = 270, .external_lex_state = 56},
  [3130] = {.lex_state = 296, .external_lex_state = 55},
  [3131] = {.lex_state = 296, .external_lex_state = 55},
  [3132] = {.lex_state = 270, .external_lex_state = 56},
  [3133] = {.lex_state = 270, .external_lex_state = 56},
  [3134] = {.lex_state = 296, .external_lex_state = 55},
  [3135] = {.lex_state = 270, .external_lex_state = 56},
  [3136] = {.lex_state = 296, .external_lex_state = 55},
  [3137] = {.lex_state = 296, .external_lex_state = 55},
  [3138] = {.lex_state = 270, .external_lex_state = 56},
  [3139] = {.lex_state = 296, .external_lex_state = 55},
  [3140] = {.lex_state = 296, .external_lex_state = 55},
  [3141] = {.lex_state = 270, .external_lex_state = 56},
  [3142] = {.lex_state = 270, .external_lex_state = 56},
  [3143] = {.lex_state = 270, .external_lex_state = 56},
  [3144] = {.lex_state = 296, .external_lex_state = 55},
  [3145] = {.lex_state = 296, .external_lex_state = 55},
  [3146] = {.lex_state = 296, .external_lex_state = 55},
  [3147] = {.lex_state = 296, .external_lex_state = 55},
  [3148] = {.lex_state = 296, .external_lex_state = 55},
  [3149] = {.lex_state = 296, .external_lex_state = 55},
  [3150] = {.lex_state = 296, .external_lex_state = 55},
  [3151] = {.lex_state = 296, .external_lex_state = 55},
  [3152] = {.lex_state = 296, .external_lex_state = 55},
  [3153] = {.lex_state = 296, .external_lex_state = 55},
  [3154] = {.lex_state = 296, .external_lex_state = 55},
  [3155] = {.lex_state = 296, .external_lex_state = 55},
  [3156] = {.lex_state = 296, .external_lex_state = 55},
  [3157] = {.lex_state = 270, .external_lex_state = 56},
  [3158] = {.lex_state = 270, .external_lex_state = 56},
  [3159] = {.lex_state = 296, .external_lex_state = 55},
  [3160] = {.lex_state = 296, .external_lex_state = 55},
  [3161] = {.lex_state = 296, .external_lex_state = 55},
  [3162] = {.lex_state = 270, .external_lex_state = 56},
  [3163] = {.lex_state = 279, .external_lex_state = 25},
  [3164] = {.lex_state = 270, .external_lex_state = 56},
  [3165] = {.lex_state = 270, .external_lex_state = 56},
  [3166] = {.lex_state = 296, .external_lex_state = 55},
  [3167] = {.lex_state = 279, .external_lex_state = 25},
  [3168] = {.lex_state = 296, .external_lex_state = 55},
  [3169] = {.lex_state = 296, .external_lex_state = 55},
  [3170] = {.lex_state = 270, .external_lex_state = 56},
  [3171] = {.lex_state = 270, .external_lex_state = 56},
  [3172] = {.lex_state = 279, .external_lex_state = 25},
  [3173] = {.lex_state = 270, .external_lex_state = 56},
  [3174] = {.lex_state = 270, .external_lex_state = 56},
  [3175] = {.lex_state = 270, .external_lex_state = 56},
  [3176] = {.lex_state = 270, .external_lex_state = 56},
  [3177] = {.lex_state = 296, .external_lex_state = 55},
  [3178] = {.lex_state = 270, .external_lex_state = 56},
  [3179] = {.lex_state = 270, .external_lex_state = 56},
  [3180] = {.lex_state = 296, .external_lex_state = 55},
  [3181] = {.lex_state = 296, .external_lex_state = 55},
  [3182] = {.lex_state = 270, .external_lex_state = 56},
  [3183] = {.lex_state = 279, .external_lex_state = 25},
  [3184] = {.lex_state = 296, .external_lex_state = 55},
  [3185] = {.lex_state = 296, .external_lex_state = 55},
  [3186] = {.lex_state = 296, .external_lex_state = 55},
  [3187] = {.lex_state = 279, .external_lex_state = 25},
  [3188] = {.lex_state = 296, .external_lex_state = 55},
  [3189] = {.lex_state = 296, .external_lex_state = 55},
  [3190] = {.lex_state = 296, .external_lex_state = 55},
  [3191] = {.lex_state = 270, .external_lex_state = 56},
  [3192] = {.lex_state = 279, .external_lex_state = 25},
  [3193] = {.lex_state = 279, .external_lex_state = 25},
  [3194] = {.lex_state = 270, .external_lex_state = 56},
  [3195] = {.lex_state = 296, .external_lex_state = 55},
  [3196] = {.lex_state = 296, .external_lex_state = 55},
  [3197] = {.lex_state = 296, .external_lex_state = 55},
  [3198] = {.lex_state = 270, .external_lex_state = 56},
  [3199] = {.lex_state = 296, .external_lex_state = 55},
  [3200] = {.lex_state = 296, .external_lex_state = 55},
  [3201] = {.lex_state = 296, .external_lex_state = 55},
  [3202] = {.lex_state = 296, .external_lex_state = 55},
  [3203] = {.lex_state = 296, .external_lex_state = 55},
  [3204] = {.lex_state = 296, .external_lex_state = 55},
  [3205] = {.lex_state = 296, .external_lex_state = 55},
  [3206] = {.lex_state = 270, .external_lex_state = 56},
  [3207] = {.lex_state = 296, .external_lex_state = 55},
  [3208] = {.lex_state = 296, .external_lex_state = 55},
  [3209] = {.lex_state = 296, .external_lex_state = 55},
  [3210] = {.lex_state = 270, .external_lex_state = 56},
  [3211] = {.lex_state = 270, .external_lex_state = 56},
  [3212] = {.lex_state = 270, .external_lex_state = 56},
  [3213] = {.lex_state = 296, .external_lex_state = 55},
  [3214] = {.lex_state = 296, .external_lex_state = 55},
  [3215] = {.lex_state = 296, .external_lex_state = 55},
  [3216] = {.lex_state = 270, .external_lex_state = 56},
  [3217] = {.lex_state = 270, .external_lex_state = 56},
  [3218] = {.lex_state = 296, .external_lex_state = 55},
  [3219] = {.lex_state = 270, .external_lex_state = 56},
  [3220] = {.lex_state = 296, .external_lex_state = 55},
  [3221] = {.lex_state = 296, .external_lex_state = 55},
  [3222] = {.lex_state = 296, .external_lex_state = 55},
  [3223] = {.lex_state = 270, .external_lex_state = 56},
  [3224] = {.lex_state = 296, .external_lex_state = 55},
  [3225] = {.lex_state = 270, .external_lex_state = 56},
  [3226] = {.lex_state = 296, .external_lex_state = 55},
  [3227] = {.lex_state = 296, .external_lex_state = 55},
  [3228] = {.lex_state = 296, .external_lex_state = 55},
  [3229] = {.lex_state = 296, .external_lex_state = 55},
  [3230] = {.lex_state = 296, .external_lex_state = 55},
  [3231] = {.lex_state = 296, .external_lex_state = 55},
  [3232] = {.lex_state = 296, .external_lex_state = 55},
  [3233] = {.lex_state = 296, .external_lex_state = 55},
  [3234] = {.lex_state = 270, .external_lex_state = 56},
  [3235] = {.lex_state = 296, .external_lex_state = 55},
  [3236] = {.lex_state = 270, .external_lex_state = 56},
  [3237] = {.lex_state = 296, .external_lex_state = 55},
  [3238] = {.lex_state = 279, .external_lex_state = 25},
  [3239] = {.lex_state = 296, .external_lex_state = 55},
  [3240] = {.lex_state = 279, .external_lex_state = 25},
  [3241] = {.lex_state = 279, .external_lex_state = 25},
  [3242] = {.lex_state = 296, .external_lex_state = 55},
  [3243] = {.lex_state = 296, .external_lex_state = 55},
  [3244] = {.lex_state = 270, .external_lex_state = 56},
  [3245] = {.lex_state = 279, .external_lex_state = 25},
  [3246] = {.lex_state = 279, .external_lex_state = 25},
  [3247] = {.lex_state = 296, .external_lex_state = 55},
  [3248] = {.lex_state = 270, .external_lex_state = 56},
  [3249] = {.lex_state = 296, .external_lex_state = 55},
  [3250] = {.lex_state = 270, .external_lex_state = 56},
  [3251] = {.lex_state = 270, .external_lex_state = 56},
  [3252] = {.lex_state = 270, .external_lex_state = 56},
  [3253] = {.lex_state = 270, .external_lex_state = 56},
  [3254] = {.lex_state = 270, .external_lex_state = 56},
  [3255] = {.lex_state = 279, .external_lex_state = 25},
  [3256] = {.lex_state = 270, .external_lex_state = 56},
  [3257] = {.lex_state = 279, .external_lex_state = 25},
  [3258] = {.lex_state = 270, .external_lex_state = 56},
  [3259] = {.lex_state = 270, .external_lex_state = 56},
  [3260] = {.lex_state = 296, .external_lex_state = 55},
  [3261] = {.lex_state = 279, .external_lex_state = 25},
  [3262] = {.lex_state = 296, .external_lex_state = 55},
  [3263] = {.lex_state = 270, .external_lex_state = 56},
  [3264] = {.lex_state = 296, .external_lex_state = 55},
  [3265] = {.lex_state = 279, .external_lex_state = 25},
  [3266] = {.lex_state = 296, .external_lex_state = 55},
  [3267] = {.lex_state = 279, .external_lex_state = 25},
  [3268] = {.lex_state = 270, .external_lex_state = 56},
  [3269] = {.lex_state = 270, .external_lex_state = 56},
  [3270] = {.lex_state = 296, .external_lex_state = 55},
  [3271] = {.lex_state = 270, .external_lex_state = 56},
  [3272] = {.lex_state = 296, .external_lex_state = 55},
  [3273] = {.lex_state = 270, .external_lex_state = 56},
  [3274] = {.lex_state = 270, .external_lex_state = 56},
  [3275] = {.lex_state = 296, .external_lex_state = 55},
  [3276] = {.lex_state = 296, .external_lex_state = 55},
  [3277] = {.lex_state = 296, .external_lex_state = 55},
  [3278] = {.lex_state = 296, .external_lex_state = 55},
  [3279] = {.lex_state = 296, .external_lex_state = 55},
  [3280] = {.lex_state = 296, .external_lex_state = 55},
  [3281] = {.lex_state = 270, .external_lex_state = 56},
  [3282] = {.lex_state = 279, .external_lex_state = 25},
  [3283] = {.lex_state = 296, .external_lex_state = 55},
  [3284] = {.lex_state = 296, .external_lex_state = 55},
  [3285] = {.lex_state = 279, .external_lex_state = 25},
  [3286] = {.lex_state = 279, .external_lex_state = 25},
  [3287] = {.lex_state = 270, .external_lex_state = 56},
  [3288] = {.lex_state = 296, .external_lex_state = 55},
  [3289] = {.lex_state = 296, .external_lex_state = 55},
  [3290] = {.lex_state = 296, .external_lex_state = 55},
  [3291] = {.lex_state = 296, .external_lex_state = 55},
  [3292] = {.lex_state = 279, .external_lex_state = 25},
  [3293] = {.lex_state = 296, .external_lex_state = 55},
  [3294] = {.lex_state = 270, .external_lex_state = 56},
  [3295] = {.lex_state = 296, .external_lex_state = 55},
  [3296] = {.lex_state = 279, .external_lex_state = 25},
  [3297] = {.lex_state = 296, .external_lex_state = 55},
  [3298] = {.lex_state = 296, .external_lex_state = 55},
  [3299] = {.lex_state = 296, .external_lex_state = 55},
  [3300] = {.lex_state = 296, .external_lex_state = 55},
  [3301] = {.lex_state = 296, .external_lex_state = 55},
  [3302] = {.lex_state = 270, .external_lex_state = 56},
  [3303] = {.lex_state = 270, .external_lex_state = 56},
  [3304] = {.lex_state = 270, .external_lex_state = 56},
  [3305] = {.lex_state = 296, .external_lex_state = 55},
  [3306] = {.lex_state = 279, .external_lex_state = 25},
  [3307] = {.lex_state = 296, .external_lex_state = 55},
  [3308] = {.lex_state = 296, .external_lex_state = 55},
  [3309] = {.lex_state = 296, .external_lex_state = 55},
  [3310] = {.lex_state = 279, .external_lex_state = 25},
  [3311] = {.lex_state = 296, .external_lex_state = 55},
  [3312] = {.lex_state = 270, .external_lex_state = 56},
  [3313] = {.lex_state = 296, .external_lex_state = 55},
  [3314] = {.lex_state = 279, .external_lex_state = 25},
  [3315] = {.lex_state = 296, .external_lex_state = 55},
  [3316] = {.lex_state = 279, .external_lex_state = 25},
  [3317] = {.lex_state = 296, .external_lex_state = 55},
  [3318] = {.lex_state = 296, .external_lex_state = 55},
  [3319] = {.lex_state = 296, .external_lex_state = 55},
  [3320] = {.lex_state = 279, .external_lex_state = 25},
  [3321] = {.lex_state = 296, .external_lex_state = 55},
  [3322] = {.lex_state = 296, .external_lex_state = 55},
  [3323] = {.lex_state = 270, .external_lex_state = 56},
  [3324] = {.lex_state = 279, .external_lex_state = 25},
  [3325] = {.lex_state = 296, .external_lex_state = 55},
  [3326] = {.lex_state = 296, .external_lex_state = 55},
  [3327] = {.lex_state = 296, .external_lex_state = 55},
  [3328] = {.lex_state = 296, .external_lex_state = 55},
  [3329] = {.lex_state = 296, .external_lex_state = 55},
  [3330] = {.lex_state = 265, .external_lex_state = 57},
  [3331] = {.lex_state = 296, .external_lex_state = 55},
  [3332] = {.lex_state = 296, .external_lex_state = 55},
  [3333] = {.lex_state = 296, .external_lex_state = 55},
  [3334] = {.lex_state = 296, .external_lex_state = 55},
  [3335] = {.lex_state = 296, .external_lex_state = 55},
  [3336] = {.lex_state = 296, .external_lex_state = 55},
  [3337] = {.lex_state = 296, .external_lex_state = 55},
  [3338] = {.lex_state = 279, .external_lex_state = 25},
  [3339] = {.lex_state = 296, .external_lex_state = 55},
  [3340] = {.lex_state = 296, .external_lex_state = 55},
  [3341] = {.lex_state = 279, .external_lex_state = 25},
  [3342] = {.lex_state = 296, .external_lex_state = 55},
  [3343] = {.lex_state = 279, .external_lex_state = 25},
  [3344] = {.lex_state = 296, .external_lex_state = 55},
  [3345] = {.lex_state = 270, .external_lex_state = 56},
  [3346] = {.lex_state = 296, .external_lex_state = 55},
  [3347] = {.lex_state = 296, .external_lex_state = 55},
  [3348] = {.lex_state = 296, .external_lex_state = 55},
  [3349] = {.lex_state = 270, .external_lex_state = 56},
  [3350] = {.lex_state = 296, .external_lex_state = 55},
  [3351] = {.lex_state = 270, .external_lex_state = 56},
  [3352] = {.lex_state = 270, .external_lex_state = 56},
  [3353] = {.lex_state = 296, .external_lex_state = 55},
  [3354] = {.lex_state = 296, .external_lex_state = 55},
  [3355] = {.lex_state = 270, .external_lex_state = 56},
  [3356] = {.lex_state = 279, .external_lex_state = 25},
  [3357] = {.lex_state = 279, .external_lex_state = 25},
  [3358] = {.lex_state = 296, .external_lex_state = 55},
  [3359] = {.lex_state = 296, .external_lex_state = 55},
  [3360] = {.lex_state = 296, .external_lex_state = 55},
  [3361] = {.lex_state = 296, .external_lex_state = 55},
  [3362] = {.lex_state = 296, .external_lex_state = 55},
  [3363] = {.lex_state = 296, .external_lex_state = 55},
  [3364] = {.lex_state = 296, .external_lex_state = 55},
  [3365] = {.lex_state = 296, .external_lex_state = 55},
  [3366] = {.lex_state = 296, .external_lex_state = 55},
  [3367] = {.lex_state = 296, .external_lex_state = 55},
  [3368] = {.lex_state = 296, .external_lex_state = 55},
  [3369] = {.lex_state = 296, .external_lex_state = 55},
  [3370] = {.lex_state = 270, .external_lex_state = 56},
  [3371] = {.lex_state = 296, .external_lex_state = 55},
  [3372] = {.lex_state = 296, .external_lex_state = 55},
  [3373] = {.lex_state = 296, .external_lex_state = 55},
  [3374] = {.lex_state = 279, .external_lex_state = 25},
  [3375] = {.lex_state = 296, .external_lex_state = 55},
  [3376] = {.lex_state = 296, .external_lex_state = 55},
  [3377] = {.lex_state = 296, .external_lex_state = 55},
  [3378] = {.lex_state = 296, .external_lex_state = 55},
  [3379] = {.lex_state = 270, .external_lex_state = 56},
  [3380] = {.lex_state = 270, .external_lex_state = 56},
  [3381] = {.lex_state = 270, .external_lex_state = 56},
  [3382] = {.lex_state = 270, .external_lex_state = 56},
  [3383] = {.lex_state = 270, .external_lex_state = 56},
  [3384] = {.lex_state = 270, .external_lex_state = 56},
  [3385] = {.lex_state = 296, .external_lex_state = 55},
  [3386] = {.lex_state = 270, .external_lex_state = 56},
  [3387] = {.lex_state = 270, .external_lex_state = 56},
  [3388] = {.lex_state = 296, .external_lex_state = 55},
  [3389] = {.lex_state = 270, .external_lex_state = 56},
  [3390] = {.lex_state = 270, .external_lex_state = 56},
  [3391] = {.lex_state = 270, .external_lex_state = 56},
  [3392] = {.lex_state = 296, .external_lex_state = 55},
  [3393] = {.lex_state = 270, .external_lex_state = 56},
  [3394] = {.lex_state = 296, .external_lex_state = 55},
  [3395] = {.lex_state = 270, .external_lex_state = 56},
  [3396] = {.lex_state = 296, .external_lex_state = 55},
  [3397] = {.lex_state = 270, .external_lex_state = 56},
  [3398] = {.lex_state = 296, .external_lex_state = 55},
  [3399] = {.lex_state = 296, .external_lex_state = 55},
  [3400] = {.lex_state = 270, .external_lex_state = 56},
  [3401] = {.lex_state = 279, .external_lex_state = 25},
  [3402] = {.lex_state = 296, .external_lex_state = 55},
  [3403] = {.lex_state = 270, .external_lex_state = 56},
  [3404] = {.lex_state = 296, .external_lex_state = 55},
  [3405] = {.lex_state = 270, .external_lex_state = 56},
  [3406] = {.lex_state = 279, .external_lex_state = 25},
  [3407] = {.lex_state = 296, .external_lex_state = 55},
  [3408] = {.lex_state = 296, .external_lex_state = 55},
  [3409] = {.lex_state = 270, .external_lex_state = 56},
  [3410] = {.lex_state = 270, .external_lex_state = 56},
  [3411] = {.lex_state = 296, .external_lex_state = 55},
  [3412] = {.lex_state = 270, .external_lex_state = 56},
  [3413] = {.lex_state = 270, .external_lex_state = 56},
  [3414] = {.lex_state = 270, .external_lex_state = 56},
  [3415] = {.lex_state = 270, .external_lex_state = 56},
  [3416] = {.lex_state = 296, .external_lex_state = 55},
  [3417] = {.lex_state = 296, .external_lex_state = 55},
  [3418] = {.lex_state = 279, .external_lex_state = 25},
  [3419] = {.lex_state = 279, .external_lex_state = 25},
  [3420] = {.lex_state = 279, .external_lex_state = 25},
  [3421] = {.lex_state = 296, .external_lex_state = 55},
  [3422] = {.lex_state = 270, .external_lex_state = 56},
  [3423] = {.lex_state = 296, .external_lex_state = 55},
  [3424] = {.lex_state = 296, .external_lex_state = 55},
  [3425] = {.lex_state = 296, .external_lex_state = 55},
  [3426] = {.lex_state = 296, .external_lex_state = 55},
  [3427] = {.lex_state = 270, .external_lex_state = 56},
  [3428] = {.lex_state = 296, .external_lex_state = 55},
  [3429] = {.lex_state = 296, .external_lex_state = 55},
  [3430] = {.lex_state = 296, .external_lex_state = 55},
  [3431] = {.lex_state = 279, .external_lex_state = 25},
  [3432] = {.lex_state = 279, .external_lex_state = 25},
  [3433] = {.lex_state = 270, .external_lex_state = 56},
  [3434] = {.lex_state = 270, .external_lex_state = 56},
  [3435] = {.lex_state = 270, .external_lex_state = 56},
  [3436] = {.lex_state = 270, .external_lex_state = 56},
  [3437] = {.lex_state = 279, .external_lex_state = 25},
  [3438] = {.lex_state = 270, .external_lex_state = 56},
  [3439] = {.lex_state = 279, .external_lex_state = 25},
  [3440] = {.lex_state = 279, .external_lex_state = 25},
  [3441] = {.lex_state = 296, .external_lex_state = 55},
  [3442] = {.lex_state = 296, .external_lex_state = 55},
  [3443] = {.lex_state = 270, .external_lex_state = 56},
  [3444] = {.lex_state = 270, .external_lex_state = 56},
  [3445] = {.lex_state = 296, .external_lex_state = 55},
  [3446] = {.lex_state = 279, .external_lex_state = 25},
  [3447] = {.lex_state = 279, .external_lex_state = 25},
  [3448] = {.lex_state = 270, .external_lex_state = 56},
  [3449] = {.lex_state = 270, .external_lex_state = 56},
  [3450] = {.lex_state = 270, .external_lex_state = 56},
  [3451] = {.lex_state = 270, .external_lex_state = 56},
  [3452] = {.lex_state = 296, .external_lex_state = 55},
  [3453] = {.lex_state = 279, .external_lex_state = 25},
  [3454] = {.lex_state = 270, .external_lex_state = 56},
  [3455] = {.lex_state = 279, .external_lex_state = 25},
  [3456] = {.lex_state = 296, .external_lex_state = 55},
  [3457] = {.lex_state = 270, .external_lex_state = 56},
  [3458] = {.lex_state = 270, .external_lex_state = 56},
  [3459] = {.lex_state = 279, .external_lex_state = 25},
  [3460] = {.lex_state = 279, .external_lex_state = 25},
  [3461] = {.lex_state = 296, .external_lex_state = 55},
  [3462] = {.lex_state = 270, .external_lex_state = 56},
  [3463] = {.lex_state = 270, .external_lex_state = 56},
  [3464] = {.lex_state = 270, .external_lex_state = 56},
  [3465] = {.lex_state = 270, .external_lex_state = 56},
  [3466] = {.lex_state = 270, .external_lex_state = 56},
  [3467] = {.lex_state = 270, .external_lex_state = 56},
  [3468] = {.lex_state = 270, .external_lex_state = 56},
  [3469] = {.lex_state = 270, .external_lex_state = 56},
  [3470] = {.lex_state = 270, .external_lex_state = 56},
  [3471] = {.lex_state = 296, .external_lex_state = 55},
  [3472] = {.lex_state = 270, .external_lex_state = 56},
  [3473] = {.lex_state = 270, .external_lex_state = 56},
  [3474] = {.lex_state = 279, .external_lex_state = 25},
  [3475] = {.lex_state = 270, .external_lex_state = 56},
  [3476] = {.lex_state = 270, .external_lex_state = 56},
  [3477] = {.lex_state = 270, .external_lex_state = 56},
  [3478] = {.lex_state = 296, .external_lex_state = 55},
  [3479] = {.lex_state = 265, .external_lex_state = 57},
  [3480] = {.lex_state = 296, .external_lex_state = 55},
  [3481] = {.lex_state = 270, .external_lex_state = 56},
  [3482] = {.lex_state = 270, .external_lex_state = 56},
  [3483] = {.lex_state = 296, .external_lex_state = 55},
  [3484] = {.lex_state = 296, .external_lex_state = 55},
  [3485] = {.lex_state = 270, .external_lex_state = 56},
  [3486] = {.lex_state = 270, .external_lex_state = 56},
  [3487] = {.lex_state = 270, .external_lex_state = 56},
  [3488] = {.lex_state = 270, .external_lex_state = 56},
  [3489] = {.lex_state = 296, .external_lex_state = 55},
  [3490] = {.lex_state = 270, .external_lex_state = 56},
  [3491] = {.lex_state = 270, .external_lex_state = 56},
  [3492] = {.lex_state = 270, .external_lex_state = 56},
  [3493] = {.lex_state = 270, .external_lex_state = 56},
  [3494] = {.lex_state = 270, .external_lex_state = 56},
  [3495] = {.lex_state = 270, .external_lex_state = 56},
  [3496] = {.lex_state = 296, .external_lex_state = 55},
  [3497] = {.lex_state = 270, .external_lex_state = 56},
  [3498] = {.lex_state = 296, .external_lex_state = 55},
  [3499] = {.lex_state = 270, .external_lex_state = 56},
  [3500] = {.lex_state = 270, .external_lex_state = 56},
  [3501] = {.lex_state = 270, .external_lex_state = 56},
  [3502] = {.lex_state = 270, .external_lex_state = 56},
  [3503] = {.lex_state = 270, .external_lex_state = 56},
  [3504] = {.lex_state = 270, .external_lex_state = 56},
  [3505] = {.lex_state = 270, .external_lex_state = 56},
  [3506] = {.lex_state = 270, .external_lex_state = 56},
  [3507] = {.lex_state = 270, .external_lex_state = 56},
  [3508] = {.lex_state = 270, .external_lex_state = 56},
  [3509] = {.lex_state = 270, .external_lex_state = 56},
  [3510] = {.lex_state = 270, .external_lex_state = 56},
  [3511] = {.lex_state = 296, .external_lex_state = 55},
  [3512] = {.lex_state = 296, .external_lex_state = 55},
  [3513] = {.lex_state = 270, .external_lex_state = 56},
  [3514] = {.lex_state = 270, .external_lex_state = 56},
  [3515] = {.lex_state = 270, .external_lex_state = 56},
  [3516] = {.lex_state = 270, .external_lex_state = 56},
  [3517] = {.lex_state = 270, .external_lex_state = 56},
  [3518] = {.lex_state = 270, .external_lex_state = 56},
  [3519] = {.lex_state = 270, .external_lex_state = 56},
  [3520] = {.lex_state = 270, .external_lex_state = 56},
  [3521] = {.lex_state = 270, .external_lex_state = 56},
  [3522] = {.lex_state = 67, .external_lex_state = 43},
  [3523] = {.lex_state = 67, .external_lex_state = 43},
  [3524] = {.lex_state = 65, .external_lex_state = 58},
  [3525] = {.lex_state = 66, .external_lex_state = 59},
  [3526] = {.lex_state = 67, .external_lex_state = 43},
  [3527] = {.lex_state = 67, .external_lex_state = 43},
  [3528] = {.lex_state = 65, .external_lex_state = 58},
  [3529] = {.lex_state = 299, .external_lex_state = 60},
  [3530] = {.lex_state = 65, .external_lex_state = 58},
  [3531] = {.lex_state = 67, .external_lex_state = 43},
  [3532] = {.lex_state = 66, .external_lex_state = 59},
  [3533] = {.lex_state = 66, .external_lex_state = 61},
  [3534] = {.lex_state = 66, .external_lex_state = 59},
  [3535] = {.lex_state = 66, .external_lex_state = 59},
  [3536] = {.lex_state = 66, .external_lex_state = 59},
  [3537] = {.lex_state = 65, .external_lex_state = 58},
  [3538] = {.lex_state = 67, .external_lex_state = 43},
  [3539] = {.lex_state = 67, .external_lex_state = 43},
  [3540] = {.lex_state = 66, .external_lex_state = 39},
  [3541] = {.lex_state = 65, .external_lex_state = 58},
  [3542] = {.lex_state = 67, .external_lex_state = 43},
  [3543] = {.lex_state = 66, .external_lex_state = 59},
  [3544] = {.lex_state = 66, .external_lex_state = 59},
  [3545] = {.lex_state = 65, .external_lex_state = 58},
  [3546] = {.lex_state = 487, .external_lex_state = 59},
  [3547] = {.lex_state = 66, .external_lex_state = 39},
  [3548] = {.lex_state = 66, .external_lex_state = 61},
  [3549] = {.lex_state = 66, .external_lex_state = 39},
  [3550] = {.lex_state = 66, .external_lex_state = 59},
  [3551] = {.lex_state = 487, .external_lex_state = 59},
  [3552] = {.lex_state = 178, .external_lex_state = 62},
  [3553] = {.lex_state = 487, .external_lex_state = 59},
  [3554] = {.lex_state = 486, .external_lex_state = 43},
  [3555] = {.lex_state = 178, .external_lex_state = 62},
  [3556] = {.lex_state = 66, .external_lex_state = 59},
  [3557] = {.lex_state = 486, .external_lex_state = 43},
  [3558] = {.lex_state = 66, .external_lex_state = 59},
  [3559] = {.lex_state = 66, .external_lex_state = 59},
  [3560] = {.lex_state = 487, .external_lex_state = 59},
  [3561] = {.lex_state = 486, .external_lex_state = 43},
  [3562] = {.lex_state = 487, .external_lex_state = 59},
  [3563] = {.lex_state = 66, .external_lex_state = 59},
  [3564] = {.lex_state = 66, .external_lex_state = 43},
  [3565] = {.lex_state = 66, .external_lex_state = 43},
  [3566] = {.lex_state = 487, .external_lex_state = 59},
  [3567] = {.lex_state = 487, .external_lex_state = 59},
  [3568] = {.lex_state = 487, .external_lex_state = 59},
  [3569] = {.lex_state = 487, .external_lex_state = 59},
  [3570] = {.lex_state = 487, .external_lex_state = 59},
  [3571] = {.lex_state = 66, .external_lex_state = 59},
  [3572] = {.lex_state = 487, .external_lex_state = 59},
  [3573] = {.lex_state = 66, .external_lex_state = 59},
  [3574] = {.lex_state = 66, .external_lex_state = 43},
  [3575] = {.lex_state = 66, .external_lex_state = 43},
  [3576] = {.lex_state = 486, .external_lex_state = 43},
  [3577] = {.lex_state = 66, .external_lex_state = 43},
  [3578] = {.lex_state = 66, .external_lex_state = 43},
  [3579] = {.lex_state = 66, .external_lex_state = 59},
  [3580] = {.lex_state = 299, .external_lex_state = 63},
  [3581] = {.lex_state = 299, .external_lex_state = 63},
  [3582] = {.lex_state = 66, .external_lex_state = 59},
  [3583] = {.lex_state = 486, .external_lex_state = 43},
  [3584] = {.lex_state = 66, .external_lex_state = 59},
  [3585] = {.lex_state = 299, .external_lex_state = 63},
  [3586] = {.lex_state = 487, .external_lex_state = 59},
  [3587] = {.lex_state = 487, .external_lex_state = 59},
  [3588] = {.lex_state = 487, .external_lex_state = 59},
  [3589] = {.lex_state = 486, .external_lex_state = 43},
  [3590] = {.lex_state = 299, .external_lex_state = 63},
  [3591] = {.lex_state = 486, .external_lex_state = 43},
  [3592] = {.lex_state = 487, .external_lex_state = 59},
  [3593] = {.lex_state = 486, .external_lex_state = 43},
  [3594] = {.lex_state = 66, .external_lex_state = 61},
  [3595] = {.lex_state = 66, .external_lex_state = 39},
  [3596] = {.lex_state = 66, .external_lex_state = 61},
  [3597] = {.lex_state = 66, .external_lex_state = 61},
  [3598] = {.lex_state = 66, .external_lex_state = 59},
  [3599] = {.lex_state = 486, .external_lex_state = 43},
  [3600] = {.lex_state = 66, .external_lex_state = 61},
  [3601] = {.lex_state = 487, .external_lex_state = 59},
  [3602] = {.lex_state = 488, .external_lex_state = 39},
  [3603] = {.lex_state = 66, .external_lex_state = 61},
  [3604] = {.lex_state = 487, .external_lex_state = 59},
  [3605] = {.lex_state = 66, .external_lex_state = 59},
  [3606] = {.lex_state = 66, .external_lex_state = 59},
  [3607] = {.lex_state = 66, .external_lex_state = 59},
  [3608] = {.lex_state = 66, .external_lex_state = 59},
  [3609] = {.lex_state = 66, .external_lex_state = 61},
  [3610] = {.lex_state = 66, .external_lex_state = 61},
  [3611] = {.lex_state = 486, .external_lex_state = 43},
  [3612] = {.lex_state = 486, .external_lex_state = 43},
  [3613] = {.lex_state = 487, .external_lex_state = 59},
  [3614] = {.lex_state = 66, .external_lex_state = 61},
  [3615] = {.lex_state = 66, .external_lex_state = 61},
  [3616] = {.lex_state = 66, .external_lex_state = 59},
  [3617] = {.lex_state = 66, .external_lex_state = 59},
  [3618] = {.lex_state = 66, .external_lex_state = 59},
  [3619] = {.lex_state = 66, .external_lex_state = 39},
  [3620] = {.lex_state = 487, .external_lex_state = 59},
  [3621] = {.lex_state = 487, .external_lex_state = 59},
  [3622] = {.lex_state = 66, .external_lex_state = 59},
  [3623] = {.lex_state = 66, .external_lex_state = 59},
  [3624] = {.lex_state = 66, .external_lex_state = 61},
  [3625] = {.lex_state = 66, .external_lex_state = 61},
  [3626] = {.lex_state = 487, .external_lex_state = 59},
  [3627] = {.lex_state = 487, .external_lex_state = 59},
  [3628] = {.lex_state = 66, .external_lex_state = 59},
  [3629] = {.lex_state = 488, .external_lex_state = 39},
  [3630] = {.lex_state = 487, .external_lex_state = 59},
  [3631] = {.lex_state = 487, .external_lex_state = 61},
  [3632] = {.lex_state = 66, .external_lex_state = 59},
  [3633] = {.lex_state = 66, .external_lex_state = 59},
  [3634] = {.lex_state = 486, .external_lex_state = 43},
  [3635] = {.lex_state = 66, .external_lex_state = 39},
  [3636] = {.lex_state = 66, .external_lex_state = 39},
  [3637] = {.lex_state = 486, .external_lex_state = 43},
  [3638] = {.lex_state = 66, .external_lex_state = 43},
  [3639] = {.lex_state = 487, .external_lex_state = 61},
  [3640] = {.lex_state = 486, .external_lex_state = 43},
  [3641] = {.lex_state = 487, .external_lex_state = 39},
  [3642] = {.lex_state = 487, .external_lex_state = 59},
  [3643] = {.lex_state = 487, .external_lex_state = 59},
  [3644] = {.lex_state = 66, .external_lex_state = 61},
  [3645] = {.lex_state = 66, .external_lex_state = 61},
  [3646] = {.lex_state = 66, .external_lex_state = 61},
  [3647] = {.lex_state = 66, .external_lex_state = 61},
  [3648] = {.lex_state = 487, .external_lex_state = 59},
  [3649] = {.lex_state = 487, .external_lex_state = 61},
  [3650] = {.lex_state = 66, .external_lex_state = 61},
  [3651] = {.lex_state = 66, .external_lex_state = 61},
  [3652] = {.lex_state = 66, .external_lex_state = 61},
  [3653] = {.lex_state = 66, .external_lex_state = 61},
  [3654] = {.lex_state = 66, .external_lex_state = 61},
  [3655] = {.lex_state = 66, .external_lex_state = 61},
  [3656] = {.lex_state = 66, .external_lex_state = 61},
  [3657] = {.lex_state = 487, .external_lex_state = 59},
  [3658] = {.lex_state = 66, .external_lex_state = 61},
  [3659] = {.lex_state = 488, .external_lex_state = 43},
  [3660] = {.lex_state = 487, .external_lex_state = 59},
  [3661] = {.lex_state = 488, .external_lex_state = 43},
  [3662] = {.lex_state = 487, .external_lex_state = 61},
  [3663] = {.lex_state = 66, .external_lex_state = 61},
  [3664] = {.lex_state = 66, .external_lex_state = 43},
  [3665] = {.lex_state = 486, .external_lex_state = 43},
  [3666] = {.lex_state = 486, .external_lex_state = 43},
  [3667] = {.lex_state = 66, .external_lex_state = 43},
  [3668] = {.lex_state = 66, .external_lex_state = 43},
  [3669] = {.lex_state = 66, .external_lex_state = 61},
  [3670] = {.lex_state = 487, .external_lex_state = 59},
  [3671] = {.lex_state = 487, .external_lex_state = 61},
  [3672] = {.lex_state = 66, .external_lex_state = 43},
  [3673] = {.lex_state = 66, .external_lex_state = 61},
  [3674] = {.lex_state = 66, .external_lex_state = 61},
  [3675] = {.lex_state = 66, .external_lex_state = 61},
  [3676] = {.lex_state = 487, .external_lex_state = 59},
  [3677] = {.lex_state = 487, .external_lex_state = 59},
  [3678] = {.lex_state = 487, .external_lex_state = 61},
  [3679] = {.lex_state = 487, .external_lex_state = 61},
  [3680] = {.lex_state = 487, .external_lex_state = 61},
  [3681] = {.lex_state = 220, .external_lex_state = 64},
  [3682] = {.lex_state = 299, .external_lex_state = 49},
  [3683] = {.lex_state = 66, .external_lex_state = 61},
  [3684] = {.lex_state = 488, .external_lex_state = 43},
  [3685] = {.lex_state = 220, .external_lex_state = 64},
  [3686] = {.lex_state = 488, .external_lex_state = 43},
  [3687] = {.lex_state = 487, .external_lex_state = 61},
  [3688] = {.lex_state = 487, .external_lex_state = 39},
  [3689] = {.lex_state = 487, .external_lex_state = 61},
  [3690] = {.lex_state = 487, .external_lex_state = 61},
  [3691] = {.lex_state = 220, .external_lex_state = 64},
  [3692] = {.lex_state = 487, .external_lex_state = 39},
  [3693] = {.lex_state = 487, .external_lex_state = 61},
  [3694] = {.lex_state = 487, .external_lex_state = 39},
  [3695] = {.lex_state = 487, .external_lex_state = 61},
  [3696] = {.lex_state = 66, .external_lex_state = 43},
  [3697] = {.lex_state = 488, .external_lex_state = 43},
  [3698] = {.lex_state = 66, .external_lex_state = 43},
  [3699] = {.lex_state = 66, .external_lex_state = 61},
  [3700] = {.lex_state = 66, .external_lex_state = 43},
  [3701] = {.lex_state = 220, .external_lex_state = 64},
  [3702] = {.lex_state = 487, .external_lex_state = 61},
  [3703] = {.lex_state = 66, .external_lex_state = 43},
  [3704] = {.lex_state = 486, .external_lex_state = 43},
  [3705] = {.lex_state = 299, .external_lex_state = 49},
  [3706] = {.lex_state = 220, .external_lex_state = 64},
  [3707] = {.lex_state = 488, .external_lex_state = 39},
  [3708] = {.lex_state = 299, .external_lex_state = 49},
  [3709] = {.lex_state = 299, .external_lex_state = 49},
  [3710] = {.lex_state = 66, .external_lex_state = 43},
  [3711] = {.lex_state = 487, .external_lex_state = 61},
  [3712] = {.lex_state = 487, .external_lex_state = 61},
  [3713] = {.lex_state = 488, .external_lex_state = 39},
  [3714] = {.lex_state = 486, .external_lex_state = 43},
  [3715] = {.lex_state = 488, .external_lex_state = 39},
  [3716] = {.lex_state = 487, .external_lex_state = 59},
  [3717] = {.lex_state = 487, .external_lex_state = 61},
  [3718] = {.lex_state = 66, .external_lex_state = 61},
  [3719] = {.lex_state = 487, .external_lex_state = 59},
  [3720] = {.lex_state = 66, .external_lex_state = 61},
  [3721] = {.lex_state = 66, .external_lex_state = 61},
  [3722] = {.lex_state = 487, .external_lex_state = 59},
  [3723] = {.lex_state = 487, .external_lex_state = 61},
  [3724] = {.lex_state = 487, .external_lex_state = 61},
  [3725] = {.lex_state = 66, .external_lex_state = 61},
  [3726] = {.lex_state = 487, .external_lex_state = 61},
  [3727] = {.lex_state = 66, .external_lex_state = 61},
  [3728] = {.lex_state = 487, .external_lex_state = 61},
  [3729] = {.lex_state = 487, .external_lex_state = 61},
  [3730] = {.lex_state = 66, .external_lex_state = 43},
  [3731] = {.lex_state = 487, .external_lex_state = 59},
  [3732] = {.lex_state = 487, .external_lex_state = 59},
  [3733] = {.lex_state = 487, .external_lex_state = 61},
  [3734] = {.lex_state = 220, .external_lex_state = 64},
  [3735] = {.lex_state = 66, .external_lex_state = 61},
  [3736] = {.lex_state = 66, .external_lex_state = 61},
  [3737] = {.lex_state = 66, .external_lex_state = 61},
  [3738] = {.lex_state = 66, .external_lex_state = 61},
  [3739] = {.lex_state = 66, .external_lex_state = 61},
  [3740] = {.lex_state = 66, .external_lex_state = 43},
  [3741] = {.lex_state = 66, .external_lex_state = 43},
  [3742] = {.lex_state = 275, .external_lex_state = 65},
  [3743] = {.lex_state = 293},
  [3744] = {.lex_state = 220, .external_lex_state = 64},
  [3745] = {.lex_state = 487, .external_lex_state = 43},
  [3746] = {.lex_state = 275, .external_lex_state = 65},
  [3747] = {.lex_state = 275, .external_lex_state = 65},
  [3748] = {.lex_state = 487, .external_lex_state = 43},
  [3749] = {.lex_state = 220, .external_lex_state = 64},
  [3750] = {.lex_state = 220, .external_lex_state = 64},
  [3751] = {.lex_state = 275, .external_lex_state = 65},
  [3752] = {.lex_state = 487, .external_lex_state = 43},
  [3753] = {.lex_state = 487, .external_lex_state = 43},
  [3754] = {.lex_state = 275, .external_lex_state = 65},
  [3755] = {.lex_state = 293},
  [3756] = {.lex_state = 275, .external_lex_state = 65},
  [3757] = {.lex_state = 220, .external_lex_state = 64},
  [3758] = {.lex_state = 220, .external_lex_state = 64},
  [3759] = {.lex_state = 220, .external_lex_state = 64},
  [3760] = {.lex_state = 220, .external_lex_state = 64},
  [3761] = {.lex_state = 275, .external_lex_state = 65},
  [3762] = {.lex_state = 220, .external_lex_state = 64},
  [3763] = {.lex_state = 275, .external_lex_state = 65},
  [3764] = {.lex_state = 220, .external_lex_state = 64},
  [3765] = {.lex_state = 220, .external_lex_state = 64},
  [3766] = {.lex_state = 220, .external_lex_state = 64},
  [3767] = {.lex_state = 487, .external_lex_state = 61},
  [3768] = {.lex_state = 487, .external_lex_state = 61},
  [3769] = {.lex_state = 487, .external_lex_state = 61},
  [3770] = {.lex_state = 487, .external_lex_state = 61},
  [3771] = {.lex_state = 487, .external_lex_state = 61},
  [3772] = {.lex_state = 487, .external_lex_state = 61},
  [3773] = {.lex_state = 487, .external_lex_state = 61},
  [3774] = {.lex_state = 487, .external_lex_state = 61},
  [3775] = {.lex_state = 275, .external_lex_state = 65},
  [3776] = {.lex_state = 487, .external_lex_state = 61},
  [3777] = {.lex_state = 487, .external_lex_state = 61},
  [3778] = {.lex_state = 275, .external_lex_state = 65},
  [3779] = {.lex_state = 487, .external_lex_state = 61},
  [3780] = {.lex_state = 275, .external_lex_state = 65},
  [3781] = {.lex_state = 66, .external_lex_state = 43},
  [3782] = {.lex_state = 487, .external_lex_state = 61},
  [3783] = {.lex_state = 220, .external_lex_state = 64},
  [3784] = {.lex_state = 275, .external_lex_state = 65},
  [3785] = {.lex_state = 220, .external_lex_state = 64},
  [3786] = {.lex_state = 487, .external_lex_state = 59},
  [3787] = {.lex_state = 487, .external_lex_state = 59},
  [3788] = {.lex_state = 220, .external_lex_state = 64},
  [3789] = {.lex_state = 220, .external_lex_state = 64},
  [3790] = {.lex_state = 275, .external_lex_state = 65},
  [3791] = {.lex_state = 220, .external_lex_state = 64},
  [3792] = {.lex_state = 220, .external_lex_state = 64},
  [3793] = {.lex_state = 488, .external_lex_state = 43},
  [3794] = {.lex_state = 220, .external_lex_state = 64},
  [3795] = {.lex_state = 486, .external_lex_state = 43},
  [3796] = {.lex_state = 487, .external_lex_state = 59},
  [3797] = {.lex_state = 293},
  [3798] = {.lex_state = 293},
  [3799] = {.lex_state = 487, .external_lex_state = 61},
  [3800] = {.lex_state = 487, .external_lex_state = 59},
  [3801] = {.lex_state = 487, .external_lex_state = 61},
  [3802] = {.lex_state = 275, .external_lex_state = 65},
  [3803] = {.lex_state = 275, .external_lex_state = 65},
  [3804] = {.lex_state = 275, .external_lex_state = 65},
  [3805] = {.lex_state = 487, .external_lex_state = 61},
  [3806] = {.lex_state = 487, .external_lex_state = 43},
  [3807] = {.lex_state = 275, .external_lex_state = 65},
  [3808] = {.lex_state = 487, .external_lex_state = 61},
  [3809] = {.lex_state = 66, .external_lex_state = 39},
  [3810] = {.lex_state = 487, .external_lex_state = 43},
  [3811] = {.lex_state = 275, .external_lex_state = 65},
  [3812] = {.lex_state = 487, .external_lex_state = 43},
  [3813] = {.lex_state = 66, .external_lex_state = 43},
  [3814] = {.lex_state = 275, .external_lex_state = 65},
  [3815] = {.lex_state = 66, .external_lex_state = 39},
  [3816] = {.lex_state = 275, .external_lex_state = 65},
  [3817] = {.lex_state = 487, .external_lex_state = 43},
  [3818] = {.lex_state = 275, .external_lex_state = 65},
  [3819] = {.lex_state = 275, .external_lex_state = 65},
  [3820] = {.lex_state = 66, .external_lex_state = 39},
  [3821] = {.lex_state = 275, .external_lex_state = 65},
  [3822] = {.lex_state = 275, .external_lex_state = 65},
  [3823] = {.lex_state = 66, .external_lex_state = 43},
  [3824] = {.lex_state = 220, .external_lex_state = 64},
  [3825] = {.lex_state = 275, .external_lex_state = 65},
  [3826] = {.lex_state = 486, .external_lex_state = 43},
  [3827] = {.lex_state = 293},
  [3828] = {.lex_state = 66, .external_lex_state = 43},
  [3829] = {.lex_state = 487, .external_lex_state = 61},
  [3830] = {.lex_state = 293},
  [3831] = {.lex_state = 275, .external_lex_state = 65},
  [3832] = {.lex_state = 275, .external_lex_state = 65},
  [3833] = {.lex_state = 66, .external_lex_state = 43},
  [3834] = {.lex_state = 275, .external_lex_state = 65},
  [3835] = {.lex_state = 275, .external_lex_state = 65},
  [3836] = {.lex_state = 275, .external_lex_state = 65},
  [3837] = {.lex_state = 487, .external_lex_state = 61},
  [3838] = {.lex_state = 275, .external_lex_state = 65},
  [3839] = {.lex_state = 67, .external_lex_state = 43},
  [3840] = {.lex_state = 275, .external_lex_state = 65},
  [3841] = {.lex_state = 486, .external_lex_state = 43},
  [3842] = {.lex_state = 487, .external_lex_state = 61},
  [3843] = {.lex_state = 487, .external_lex_state = 61},
  [3844] = {.lex_state = 487, .external_lex_state = 61},
  [3845] = {.lex_state = 275, .external_lex_state = 65},
  [3846] = {.lex_state = 488, .external_lex_state = 39},
  [3847] = {.lex_state = 487, .external_lex_state = 61},
  [3848] = {.lex_state = 487, .external_lex_state = 39},
  [3849] = {.lex_state = 487, .external_lex_state = 39},
  [3850] = {.lex_state = 66, .external_lex_state = 43},
  [3851] = {.lex_state = 275, .external_lex_state = 65},
  [3852] = {.lex_state = 67, .external_lex_state = 43},
  [3853] = {.lex_state = 487, .external_lex_state = 61},
  [3854] = {.lex_state = 275, .external_lex_state = 65},
  [3855] = {.lex_state = 275, .external_lex_state = 65},
  [3856] = {.lex_state = 488, .external_lex_state = 39},
  [3857] = {.lex_state = 275, .external_lex_state = 65},
  [3858] = {.lex_state = 275, .external_lex_state = 65},
  [3859] = {.lex_state = 487, .external_lex_state = 43},
  [3860] = {.lex_state = 275, .external_lex_state = 65},
  [3861] = {.lex_state = 486, .external_lex_state = 43},
  [3862] = {.lex_state = 275, .external_lex_state = 65},
  [3863] = {.lex_state = 486, .external_lex_state = 43},
  [3864] = {.lex_state = 275, .external_lex_state = 65},
  [3865] = {.lex_state = 293},
  [3866] = {.lex_state = 293},
  [3867] = {.lex_state = 487, .external_lex_state = 61},
  [3868] = {.lex_state = 275, .external_lex_state = 65},
  [3869] = {.lex_state = 487, .external_lex_state = 61},
  [3870] = {.lex_state = 275, .external_lex_state = 65},
  [3871] = {.lex_state = 487, .external_lex_state = 61},
  [3872] = {.lex_state = 488, .external_lex_state = 43},
  [3873] = {.lex_state = 487, .external_lex_state = 61},
  [3874] = {.lex_state = 488, .external_lex_state = 39},
  [3875] = {.lex_state = 488, .external_lex_state = 43},
  [3876] = {.lex_state = 487, .external_lex_state = 61},
  [3877] = {.lex_state = 487, .external_lex_state = 61},
  [3878] = {.lex_state = 487, .external_lex_state = 61},
  [3879] = {.lex_state = 487, .external_lex_state = 61},
  [3880] = {.lex_state = 275, .external_lex_state = 65},
  [3881] = {.lex_state = 488, .external_lex_state = 43},
  [3882] = {.lex_state = 275, .external_lex_state = 65},
  [3883] = {.lex_state = 67, .external_lex_state = 43},
  [3884] = {.lex_state = 275, .external_lex_state = 65},
  [3885] = {.lex_state = 275, .external_lex_state = 65},
  [3886] = {.lex_state = 275, .external_lex_state = 65},
  [3887] = {.lex_state = 487, .external_lex_state = 43},
  [3888] = {.lex_state = 66, .external_lex_state = 43},
  [3889] = {.lex_state = 275, .external_lex_state = 65},
  [3890] = {.lex_state = 66, .external_lex_state = 43},
  [3891] = {.lex_state = 66, .external_lex_state = 43},
  [3892] = {.lex_state = 275, .external_lex_state = 65},
  [3893] = {.lex_state = 275, .external_lex_state = 65},
  [3894] = {.lex_state = 486, .external_lex_state = 43},
  [3895] = {.lex_state = 275, .external_lex_state = 65},
  [3896] = {.lex_state = 488, .external_lex_state = 43},
  [3897] = {.lex_state = 487, .external_lex_state = 43},
  [3898] = {.lex_state = 275, .external_lex_state = 65},
  [3899] = {.lex_state = 487, .external_lex_state = 43},
  [3900] = {.lex_state = 67, .external_lex_state = 43},
  [3901] = {.lex_state = 67, .external_lex_state = 43},
  [3902] = {.lex_state = 275, .external_lex_state = 65},
  [3903] = {.lex_state = 486, .external_lex_state = 43},
  [3904] = {.lex_state = 275, .external_lex_state = 65},
  [3905] = {.lex_state = 488, .external_lex_state = 43},
  [3906] = {.lex_state = 67, .external_lex_state = 43},
  [3907] = {.lex_state = 488, .external_lex_state = 43},
  [3908] = {.lex_state = 275, .external_lex_state = 65},
  [3909] = {.lex_state = 275, .external_lex_state = 65},
  [3910] = {.lex_state = 488, .external_lex_state = 43},
  [3911] = {.lex_state = 275, .external_lex_state = 65},
  [3912] = {.lex_state = 275, .external_lex_state = 65},
  [3913] = {.lex_state = 293},
  [3914] = {.lex_state = 275, .external_lex_state = 65},
  [3915] = {.lex_state = 66, .external_lex_state = 43},
  [3916] = {.lex_state = 66, .external_lex_state = 43},
  [3917] = {.lex_state = 67, .external_lex_state = 43},
  [3918] = {.lex_state = 275, .external_lex_state = 65},
  [3919] = {.lex_state = 487, .external_lex_state = 43},
  [3920] = {.lex_state = 66, .external_lex_state = 43},
  [3921] = {.lex_state = 66, .external_lex_state = 43},
  [3922] = {.lex_state = 487, .external_lex_state = 43},
  [3923] = {.lex_state = 488, .external_lex_state = 43},
  [3924] = {.lex_state = 293},
  [3925] = {.lex_state = 293},
  [3926] = {.lex_state = 488, .external_lex_state = 43},
  [3927] = {.lex_state = 66, .external_lex_state = 43},
  [3928] = {.lex_state = 66, .external_lex_state = 43},
  [3929] = {.lex_state = 66, .external_lex_state = 43},
  [3930] = {.lex_state = 66, .external_lex_state = 43},
  [3931] = {.lex_state = 66, .external_lex_state = 43},
  [3932] = {.lex_state = 66, .external_lex_state = 43},
  [3933] = {.lex_state = 293},
  [3934] = {.lex_state = 293},
  [3935] = {.lex_state = 488, .external_lex_state = 43},
  [3936] = {.lex_state = 293},
  [3937] = {.lex_state = 488, .external_lex_state = 43},
  [3938] = {.lex_state = 66, .external_lex_state = 43},
  [3939] = {.lex_state = 488, .external_lex_state = 43},
  [3940] = {.lex_state = 488, .external_lex_state = 43},
  [3941] = {.lex_state = 66, .external_lex_state = 43},
  [3942] = {.lex_state = 66, .external_lex_state = 43},
  [3943] = {.lex_state = 66, .external_lex_state = 43},
  [3944] = {.lex_state = 66, .external_lex_state = 43},
  [3945] = {.lex_state = 66, .external_lex_state = 43},
  [3946] = {.lex_state = 66, .external_lex_state = 43},
  [3947] = {.lex_state = 66, .external_lex_state = 43},
  [3948] = {.lex_state = 66, .external_lex_state = 43},
  [3949] = {.lex_state = 487, .external_lex_state = 43},
  [3950] = {.lex_state = 488, .external_lex_state = 43},
  [3951] = {.lex_state = 66, .external_lex_state = 43},
  [3952] = {.lex_state = 66, .external_lex_state = 43},
  [3953] = {.lex_state = 488, .external_lex_state = 43},
  [3954] = {.lex_state = 488, .external_lex_state = 43},
  [3955] = {.lex_state = 66, .external_lex_state = 43},
  [3956] = {.lex_state = 66, .external_lex_state = 43},
  [3957] = {.lex_state = 66, .external_lex_state = 43},
  [3958] = {.lex_state = 66, .external_lex_state = 43},
  [3959] = {.lex_state = 66, .external_lex_state = 43},
  [3960] = {.lex_state = 488, .external_lex_state = 43},
  [3961] = {.lex_state = 488, .external_lex_state = 43},
  [3962] = {.lex_state = 66, .external_lex_state = 43},
  [3963] = {.lex_state = 488, .external_lex_state = 43},
  [3964] = {.lex_state = 66, .external_lex_state = 43},
  [3965] = {.lex_state = 66, .external_lex_state = 43},
  [3966] = {.lex_state = 66, .external_lex_state = 43},
  [3967] = {.lex_state = 488, .external_lex_state = 43},
  [3968] = {.lex_state = 66, .external_lex_state = 43},
  [3969] = {.lex_state = 488, .external_lex_state = 43},
  [3970] = {.lex_state = 488, .external_lex_state = 43},
  [3971] = {.lex_state = 488, .external_lex_state = 43},
  [3972] = {.lex_state = 66, .external_lex_state = 43},
  [3973] = {.lex_state = 219, .external_lex_state = 46},
  [3974] = {.lex_state = 66, .external_lex_state = 43},
  [3975] = {.lex_state = 487, .external_lex_state = 43},
  [3976] = {.lex_state = 488, .external_lex_state = 43},
  [3977] = {.lex_state = 488, .external_lex_state = 43},
  [3978] = {.lex_state = 488, .external_lex_state = 43},
  [3979] = {.lex_state = 488, .external_lex_state = 43},
  [3980] = {.lex_state = 66, .external_lex_state = 43},
  [3981] = {.lex_state = 488, .external_lex_state = 43},
  [3982] = {.lex_state = 293},
  [3983] = {.lex_state = 66, .external_lex_state = 43},
  [3984] = {.lex_state = 487, .external_lex_state = 43},
  [3985] = {.lex_state = 487, .external_lex_state = 43},
  [3986] = {.lex_state = 487, .external_lex_state = 43},
  [3987] = {.lex_state = 488, .external_lex_state = 43},
  [3988] = {.lex_state = 66, .external_lex_state = 43},
  [3989] = {.lex_state = 488, .external_lex_state = 43},
  [3990] = {.lex_state = 66, .external_lex_state = 43},
  [3991] = {.lex_state = 66, .external_lex_state = 43},
  [3992] = {.lex_state = 293},
  [3993] = {.lex_state = 66, .external_lex_state = 43},
  [3994] = {.lex_state = 488, .external_lex_state = 43},
  [3995] = {.lex_state = 293},
  [3996] = {.lex_state = 293},
  [3997] = {.lex_state = 488, .external_lex_state = 43},
  [3998] = {.lex_state = 488, .external_lex_state = 43},
  [3999] = {.lex_state = 66, .external_lex_state = 43},
  [4000] = {.lex_state = 66, .external_lex_state = 43},
  [4001] = {.lex_state = 488, .external_lex_state = 43},
  [4002] = {.lex_state = 66, .external_lex_state = 43},
  [4003] = {.lex_state = 66, .external_lex_state = 43},
  [4004] = {.lex_state = 66, .external_lex_state = 43},
  [4005] = {.lex_state = 488, .external_lex_state = 43},
  [4006] = {.lex_state = 488, .external_lex_state = 43},
  [4007] = {.lex_state = 487, .external_lex_state = 43},
  [4008] = {.lex_state = 488, .external_lex_state = 43},
  [4009] = {.lex_state = 488, .external_lex_state = 43},
  [4010] = {.lex_state = 488, .external_lex_state = 43},
  [4011] = {.lex_state = 487, .external_lex_state = 43},
  [4012] = {.lex_state = 488, .external_lex_state = 43},
  [4013] = {.lex_state = 488, .external_lex_state = 43},
  [4014] = {.lex_state = 66, .external_lex_state = 43},
  [4015] = {.lex_state = 66, .external_lex_state = 43},
  [4016] = {.lex_state = 487, .external_lex_state = 61},
  [4017] = {.lex_state = 488, .external_lex_state = 43},
  [4018] = {.lex_state = 487, .external_lex_state = 61},
  [4019] = {.lex_state = 488, .external_lex_state = 43},
  [4020] = {.lex_state = 488, .external_lex_state = 43},
  [4021] = {.lex_state = 488, .external_lex_state = 43},
  [4022] = {.lex_state = 66, .external_lex_state = 43},
  [4023] = {.lex_state = 66, .external_lex_state = 43},
  [4024] = {.lex_state = 66, .external_lex_state = 43},
  [4025] = {.lex_state = 66, .external_lex_state = 43},
  [4026] = {.lex_state = 488, .external_lex_state = 43},
  [4027] = {.lex_state = 487, .external_lex_state = 61},
  [4028] = {.lex_state = 487, .external_lex_state = 61},
  [4029] = {.lex_state = 487, .external_lex_state = 61},
  [4030] = {.lex_state = 487, .external_lex_state = 61},
  [4031] = {.lex_state = 487, .external_lex_state = 61},
  [4032] = {.lex_state = 487, .external_lex_state = 61},
  [4033] = {.lex_state = 488, .external_lex_state = 43},
  [4034] = {.lex_state = 487, .external_lex_state = 61},
  [4035] = {.lex_state = 66, .external_lex_state = 43},
  [4036] = {.lex_state = 487, .external_lex_state = 61},
  [4037] = {.lex_state = 66, .external_lex_state = 43},
  [4038] = {.lex_state = 66, .external_lex_state = 43},
  [4039] = {.lex_state = 488, .external_lex_state = 43},
  [4040] = {.lex_state = 219, .external_lex_state = 46},
  [4041] = {.lex_state = 488, .external_lex_state = 43},
  [4042] = {.lex_state = 488, .external_lex_state = 43},
  [4043] = {.lex_state = 487, .external_lex_state = 43},
  [4044] = {.lex_state = 488, .external_lex_state = 43},
  [4045] = {.lex_state = 66, .external_lex_state = 43},
  [4046] = {.lex_state = 487, .external_lex_state = 43},
  [4047] = {.lex_state = 66, .external_lex_state = 43},
  [4048] = {.lex_state = 488, .external_lex_state = 43},
  [4049] = {.lex_state = 66, .external_lex_state = 43},
  [4050] = {.lex_state = 488, .external_lex_state = 43},
  [4051] = {.lex_state = 66, .external_lex_state = 43},
  [4052] = {.lex_state = 487, .external_lex_state = 43},
  [4053] = {.lex_state = 66, .external_lex_state = 43},
  [4054] = {.lex_state = 488, .external_lex_state = 43},
  [4055] = {.lex_state = 66, .external_lex_state = 43},
  [4056] = {.lex_state = 488, .external_lex_state = 43},
  [4057] = {.lex_state = 488, .external_lex_state = 43},
  [4058] = {.lex_state = 488, .external_lex_state = 43},
  [4059] = {.lex_state = 488, .external_lex_state = 43},
  [4060] = {.lex_state = 488, .external_lex_state = 43},
  [4061] = {.lex_state = 488, .external_lex_state = 43},
  [4062] = {.lex_state = 488, .external_lex_state = 43},
  [4063] = {.lex_state = 488, .external_lex_state = 43},
  [4064] = {.lex_state = 488, .external_lex_state = 43},
  [4065] = {.lex_state = 488, .external_lex_state = 43},
  [4066] = {.lex_state = 66, .external_lex_state = 43},
  [4067] = {.lex_state = 66, .external_lex_state = 43},
  [4068] = {.lex_state = 66, .external_lex_state = 43},
  [4069] = {.lex_state = 66, .external_lex_state = 43},
  [4070] = {.lex_state = 66, .external_lex_state = 43},
  [4071] = {.lex_state = 282, .external_lex_state = 66},
  [4072] = {.lex_state = 219, .external_lex_state = 46},
  [4073] = {.lex_state = 488, .external_lex_state = 43},
  [4074] = {.lex_state = 487, .external_lex_state = 43},
  [4075] = {.lex_state = 488, .external_lex_state = 43},
  [4076] = {.lex_state = 488, .external_lex_state = 43},
  [4077] = {.lex_state = 209, .external_lex_state = 64},
  [4078] = {.lex_state = 209, .external_lex_state = 64},
  [4079] = {.lex_state = 67, .external_lex_state = 43},
  [4080] = {.lex_state = 209, .external_lex_state = 64},
  [4081] = {.lex_state = 209, .external_lex_state = 64},
  [4082] = {.lex_state = 209, .external_lex_state = 64},
  [4083] = {.lex_state = 487, .external_lex_state = 43},
  [4084] = {.lex_state = 282, .external_lex_state = 66},
  [4085] = {.lex_state = 488, .external_lex_state = 43},
  [4086] = {.lex_state = 67, .external_lex_state = 43},
  [4087] = {.lex_state = 487, .external_lex_state = 43},
  [4088] = {.lex_state = 282, .external_lex_state = 66},
  [4089] = {.lex_state = 487, .external_lex_state = 43},
  [4090] = {.lex_state = 487, .external_lex_state = 43},
  [4091] = {.lex_state = 487, .external_lex_state = 43},
  [4092] = {.lex_state = 487, .external_lex_state = 43},
  [4093] = {.lex_state = 487, .external_lex_state = 43},
  [4094] = {.lex_state = 487, .external_lex_state = 43},
  [4095] = {.lex_state = 487, .external_lex_state = 43},
  [4096] = {.lex_state = 488, .external_lex_state = 43},
  [4097] = {.lex_state = 487, .external_lex_state = 43},
  [4098] = {.lex_state = 282, .external_lex_state = 66},
  [4099] = {.lex_state = 488, .external_lex_state = 43},
  [4100] = {.lex_state = 282, .external_lex_state = 66},
  [4101] = {.lex_state = 487, .external_lex_state = 43},
  [4102] = {.lex_state = 282, .external_lex_state = 66},
  [4103] = {.lex_state = 487, .external_lex_state = 43},
  [4104] = {.lex_state = 487, .external_lex_state = 43},
  [4105] = {.lex_state = 67, .external_lex_state = 43},
  [4106] = {.lex_state = 488, .external_lex_state = 43},
  [4107] = {.lex_state = 67, .external_lex_state = 43},
  [4108] = {.lex_state = 487, .external_lex_state = 43},
  [4109] = {.lex_state = 487, .external_lex_state = 43},
  [4110] = {.lex_state = 66, .external_lex_state = 59},
  [4111] = {.lex_state = 282, .external_lex_state = 66},
  [4112] = {.lex_state = 270, .external_lex_state = 57},
  [4113] = {.lex_state = 270, .external_lex_state = 57},
  [4114] = {.lex_state = 292, .external_lex_state = 24},
  [4115] = {.lex_state = 292, .external_lex_state = 24},
  [4116] = {.lex_state = 292, .external_lex_state = 24},
  [4117] = {.lex_state = 293},
  [4118] = {.lex_state = 292, .external_lex_state = 24},
  [4119] = {.lex_state = 292, .external_lex_state = 24},
  [4120] = {.lex_state = 293},
  [4121] = {.lex_state = 293},
  [4122] = {.lex_state = 292, .external_lex_state = 24},
  [4123] = {.lex_state = 293},
  [4124] = {.lex_state = 303, .external_lex_state = 67},
  [4125] = {.lex_state = 293},
  [4126] = {.lex_state = 293},
  [4127] = {.lex_state = 293},
  [4128] = {.lex_state = 293},
  [4129] = {.lex_state = 282, .external_lex_state = 66},
  [4130] = {.lex_state = 293},
  [4131] = {.lex_state = 293},
  [4132] = {.lex_state = 293},
  [4133] = {.lex_state = 282, .external_lex_state = 66},
  [4134] = {.lex_state = 282, .external_lex_state = 66},
  [4135] = {.lex_state = 301, .external_lex_state = 68},
  [4136] = {.lex_state = 293},
  [4137] = {.lex_state = 293},
  [4138] = {.lex_state = 292, .external_lex_state = 24},
  [4139] = {.lex_state = 293},
  [4140] = {.lex_state = 293},
  [4141] = {.lex_state = 293},
  [4142] = {.lex_state = 292, .external_lex_state = 24},
  [4143] = {.lex_state = 292, .external_lex_state = 24},
  [4144] = {.lex_state = 293},
  [4145] = {.lex_state = 292, .external_lex_state = 24},
  [4146] = {.lex_state = 487, .external_lex_state = 43},
  [4147] = {.lex_state = 292, .external_lex_state = 24},
  [4148] = {.lex_state = 293},
  [4149] = {.lex_state = 66, .external_lex_state = 59},
  [4150] = {.lex_state = 293},
  [4151] = {.lex_state = 293},
  [4152] = {.lex_state = 292, .external_lex_state = 24},
  [4153] = {.lex_state = 487, .external_lex_state = 43},
  [4154] = {.lex_state = 487, .external_lex_state = 43},
  [4155] = {.lex_state = 66, .external_lex_state = 59},
  [4156] = {.lex_state = 293},
  [4157] = {.lex_state = 66, .external_lex_state = 61},
  [4158] = {.lex_state = 282, .external_lex_state = 66},
  [4159] = {.lex_state = 293},
  [4160] = {.lex_state = 293},
  [4161] = {.lex_state = 293},
  [4162] = {.lex_state = 292, .external_lex_state = 24},
  [4163] = {.lex_state = 293},
  [4164] = {.lex_state = 282, .external_lex_state = 66},
  [4165] = {.lex_state = 282, .external_lex_state = 66},
  [4166] = {.lex_state = 282, .external_lex_state = 66},
  [4167] = {.lex_state = 292, .external_lex_state = 24},
  [4168] = {.lex_state = 282, .external_lex_state = 66},
  [4169] = {.lex_state = 487, .external_lex_state = 43},
  [4170] = {.lex_state = 487, .external_lex_state = 43},
  [4171] = {.lex_state = 282, .external_lex_state = 66},
  [4172] = {.lex_state = 487, .external_lex_state = 43},
  [4173] = {.lex_state = 293},
  [4174] = {.lex_state = 487, .external_lex_state = 43},
  [4175] = {.lex_state = 292, .external_lex_state = 24},
  [4176] = {.lex_state = 293},
  [4177] = {.lex_state = 282, .external_lex_state = 66},
  [4178] = {.lex_state = 282, .external_lex_state = 66},
  [4179] = {.lex_state = 282, .external_lex_state = 66},
  [4180] = {.lex_state = 293},
  [4181] = {.lex_state = 293},
  [4182] = {.lex_state = 282, .external_lex_state = 66},
  [4183] = {.lex_state = 293},
  [4184] = {.lex_state = 293},
  [4185] = {.lex_state = 293},
  [4186] = {.lex_state = 293},
  [4187] = {.lex_state = 293},
  [4188] = {.lex_state = 293},
  [4189] = {.lex_state = 293},
  [4190] = {.lex_state = 293},
  [4191] = {.lex_state = 66, .external_lex_state = 39},
  [4192] = {.lex_state = 66, .external_lex_state = 59},
  [4193] = {.lex_state = 293},
  [4194] = {.lex_state = 270, .external_lex_state = 57},
  [4195] = {.lex_state = 292, .external_lex_state = 24},
  [4196] = {.lex_state = 292, .external_lex_state = 24},
  [4197] = {.lex_state = 293},
  [4198] = {.lex_state = 282, .external_lex_state = 66},
  [4199] = {.lex_state = 66, .external_lex_state = 59},
  [4200] = {.lex_state = 282, .external_lex_state = 66},
  [4201] = {.lex_state = 66, .external_lex_state = 39},
  [4202] = {.lex_state = 292, .external_lex_state = 24},
  [4203] = {.lex_state = 292, .external_lex_state = 24},
  [4204] = {.lex_state = 292, .external_lex_state = 24},
  [4205] = {.lex_state = 292, .external_lex_state = 24},
  [4206] = {.lex_state = 487, .external_lex_state = 43},
  [4207] = {.lex_state = 292, .external_lex_state = 24},
  [4208] = {.lex_state = 282, .external_lex_state = 66},
  [4209] = {.lex_state = 292, .external_lex_state = 24},
  [4210] = {.lex_state = 282, .external_lex_state = 66},
  [4211] = {.lex_state = 282, .external_lex_state = 66},
  [4212] = {.lex_state = 292, .external_lex_state = 24},
  [4213] = {.lex_state = 487, .external_lex_state = 43},
  [4214] = {.lex_state = 279, .external_lex_state = 24},
  [4215] = {.lex_state = 279, .external_lex_state = 24},
  [4216] = {.lex_state = 293, .external_lex_state = 54},
  [4217] = {.lex_state = 185, .external_lex_state = 46},
  [4218] = {.lex_state = 279, .external_lex_state = 24},
  [4219] = {.lex_state = 279, .external_lex_state = 24},
  [4220] = {.lex_state = 66, .external_lex_state = 43},
  [4221] = {.lex_state = 279, .external_lex_state = 25},
  [4222] = {.lex_state = 66, .external_lex_state = 43},
  [4223] = {.lex_state = 279, .external_lex_state = 24},
  [4224] = {.lex_state = 66, .external_lex_state = 43},
  [4225] = {.lex_state = 279, .external_lex_state = 24},
  [4226] = {.lex_state = 279, .external_lex_state = 24},
  [4227] = {.lex_state = 66, .external_lex_state = 43},
  [4228] = {.lex_state = 66, .external_lex_state = 43},
  [4229] = {.lex_state = 303, .external_lex_state = 67},
  [4230] = {.lex_state = 279, .external_lex_state = 24},
  [4231] = {.lex_state = 279, .external_lex_state = 24},
  [4232] = {.lex_state = 279, .external_lex_state = 24},
  [4233] = {.lex_state = 279, .external_lex_state = 24},
  [4234] = {.lex_state = 303, .external_lex_state = 68},
  [4235] = {.lex_state = 279, .external_lex_state = 24},
  [4236] = {.lex_state = 279, .external_lex_state = 24},
  [4237] = {.lex_state = 279, .external_lex_state = 24},
  [4238] = {.lex_state = 303, .external_lex_state = 67},
  [4239] = {.lex_state = 279, .external_lex_state = 24},
  [4240] = {.lex_state = 293, .external_lex_state = 54},
  [4241] = {.lex_state = 279, .external_lex_state = 24},
  [4242] = {.lex_state = 279, .external_lex_state = 24},
  [4243] = {.lex_state = 279, .external_lex_state = 24},
  [4244] = {.lex_state = 279, .external_lex_state = 24},
  [4245] = {.lex_state = 279, .external_lex_state = 24},
  [4246] = {.lex_state = 66, .external_lex_state = 43},
  [4247] = {.lex_state = 279, .external_lex_state = 24},
  [4248] = {.lex_state = 279, .external_lex_state = 24},
  [4249] = {.lex_state = 303, .external_lex_state = 68},
  [4250] = {.lex_state = 279, .external_lex_state = 24},
  [4251] = {.lex_state = 279, .external_lex_state = 24},
  [4252] = {.lex_state = 293, .external_lex_state = 54},
  [4253] = {.lex_state = 279, .external_lex_state = 24},
  [4254] = {.lex_state = 279, .external_lex_state = 24},
  [4255] = {.lex_state = 279, .external_lex_state = 24},
  [4256] = {.lex_state = 279, .external_lex_state = 24},
  [4257] = {.lex_state = 279, .external_lex_state = 24},
  [4258] = {.lex_state = 279, .external_lex_state = 24},
  [4259] = {.lex_state = 279, .external_lex_state = 24},
  [4260] = {.lex_state = 279, .external_lex_state = 24},
  [4261] = {.lex_state = 293, .external_lex_state = 53},
  [4262] = {.lex_state = 303, .external_lex_state = 67},
  [4263] = {.lex_state = 303, .external_lex_state = 67},
  [4264] = {.lex_state = 279, .external_lex_state = 24},
  [4265] = {.lex_state = 66, .external_lex_state = 61},
  [4266] = {.lex_state = 303, .external_lex_state = 67},
  [4267] = {.lex_state = 293, .external_lex_state = 54},
  [4268] = {.lex_state = 303, .external_lex_state = 67},
  [4269] = {.lex_state = 66, .external_lex_state = 61},
  [4270] = {.lex_state = 279, .external_lex_state = 24},
  [4271] = {.lex_state = 279, .external_lex_state = 24},
  [4272] = {.lex_state = 279, .external_lex_state = 24},
  [4273] = {.lex_state = 279, .external_lex_state = 24},
  [4274] = {.lex_state = 303, .external_lex_state = 67},
  [4275] = {.lex_state = 279, .external_lex_state = 25},
  [4276] = {.lex_state = 279, .external_lex_state = 24},
  [4277] = {.lex_state = 66, .external_lex_state = 61},
  [4278] = {.lex_state = 279, .external_lex_state = 24},
  [4279] = {.lex_state = 279, .external_lex_state = 24},
  [4280] = {.lex_state = 66, .external_lex_state = 61},
  [4281] = {.lex_state = 279, .external_lex_state = 24},
  [4282] = {.lex_state = 279, .external_lex_state = 24},
  [4283] = {.lex_state = 279, .external_lex_state = 24},
  [4284] = {.lex_state = 279, .external_lex_state = 24},
  [4285] = {.lex_state = 293, .external_lex_state = 54},
  [4286] = {.lex_state = 293, .external_lex_state = 53},
  [4287] = {.lex_state = 303, .external_lex_state = 67},
  [4288] = {.lex_state = 303, .external_lex_state = 67},
  [4289] = {.lex_state = 301, .external_lex_state = 69},
  [4290] = {.lex_state = 279, .external_lex_state = 24},
  [4291] = {.lex_state = 279, .external_lex_state = 24},
  [4292] = {.lex_state = 303, .external_lex_state = 67},
  [4293] = {.lex_state = 279, .external_lex_state = 24},
  [4294] = {.lex_state = 279, .external_lex_state = 24},
  [4295] = {.lex_state = 279, .external_lex_state = 24},
  [4296] = {.lex_state = 279, .external_lex_state = 24},
  [4297] = {.lex_state = 279, .external_lex_state = 24},
  [4298] = {.lex_state = 279, .external_lex_state = 24},
  [4299] = {.lex_state = 303, .external_lex_state = 67},
  [4300] = {.lex_state = 486, .external_lex_state = 70},
  [4301] = {.lex_state = 279, .external_lex_state = 24},
  [4302] = {.lex_state = 279, .external_lex_state = 24},
  [4303] = {.lex_state = 66, .external_lex_state = 61},
  [4304] = {.lex_state = 303, .external_lex_state = 68},
  [4305] = {.lex_state = 66, .external_lex_state = 61},
  [4306] = {.lex_state = 66, .external_lex_state = 61},
  [4307] = {.lex_state = 279, .external_lex_state = 24},
  [4308] = {.lex_state = 279, .external_lex_state = 24},
  [4309] = {.lex_state = 279, .external_lex_state = 24},
  [4310] = {.lex_state = 303, .external_lex_state = 68},
  [4311] = {.lex_state = 66, .external_lex_state = 61},
  [4312] = {.lex_state = 303, .external_lex_state = 68},
  [4313] = {.lex_state = 279, .external_lex_state = 24},
  [4314] = {.lex_state = 279, .external_lex_state = 24},
  [4315] = {.lex_state = 279, .external_lex_state = 24},
  [4316] = {.lex_state = 66, .external_lex_state = 61},
  [4317] = {.lex_state = 279, .external_lex_state = 24},
  [4318] = {.lex_state = 279, .external_lex_state = 24},
  [4319] = {.lex_state = 279, .external_lex_state = 24},
  [4320] = {.lex_state = 279, .external_lex_state = 24},
  [4321] = {.lex_state = 66, .external_lex_state = 61},
  [4322] = {.lex_state = 303, .external_lex_state = 67},
  [4323] = {.lex_state = 303, .external_lex_state = 68},
  [4324] = {.lex_state = 303, .external_lex_state = 68},
  [4325] = {.lex_state = 303, .external_lex_state = 68},
  [4326] = {.lex_state = 293, .external_lex_state = 57},
  [4327] = {.lex_state = 486, .external_lex_state = 70},
  [4328] = {.lex_state = 293, .external_lex_state = 54},
  [4329] = {.lex_state = 303, .external_lex_state = 69},
  [4330] = {.lex_state = 303, .external_lex_state = 69},
  [4331] = {.lex_state = 303, .external_lex_state = 68},
  [4332] = {.lex_state = 303, .external_lex_state = 69},
  [4333] = {.lex_state = 303, .external_lex_state = 68},
  [4334] = {.lex_state = 303, .external_lex_state = 69},
  [4335] = {.lex_state = 303, .external_lex_state = 67},
  [4336] = {.lex_state = 303, .external_lex_state = 68},
  [4337] = {.lex_state = 303, .external_lex_state = 68},
  [4338] = {.lex_state = 303, .external_lex_state = 68},
  [4339] = {.lex_state = 486, .external_lex_state = 70},
  [4340] = {.lex_state = 303, .external_lex_state = 68},
  [4341] = {.lex_state = 293, .external_lex_state = 54},
  [4342] = {.lex_state = 301, .external_lex_state = 53},
  [4343] = {.lex_state = 303, .external_lex_state = 67},
  [4344] = {.lex_state = 303, .external_lex_state = 69},
  [4345] = {.lex_state = 303, .external_lex_state = 69},
  [4346] = {.lex_state = 303, .external_lex_state = 67},
  [4347] = {.lex_state = 303, .external_lex_state = 69},
  [4348] = {.lex_state = 303, .external_lex_state = 69},
  [4349] = {.lex_state = 279, .external_lex_state = 25},
  [4350] = {.lex_state = 303, .external_lex_state = 69},
  [4351] = {.lex_state = 303, .external_lex_state = 69},
  [4352] = {.lex_state = 303, .external_lex_state = 67},
  [4353] = {.lex_state = 303, .external_lex_state = 68},
  [4354] = {.lex_state = 303, .external_lex_state = 67},
  [4355] = {.lex_state = 185, .external_lex_state = 46},
  [4356] = {.lex_state = 303, .external_lex_state = 69},
  [4357] = {.lex_state = 293, .external_lex_state = 54},
  [4358] = {.lex_state = 66, .external_lex_state = 43},
  [4359] = {.lex_state = 303, .external_lex_state = 68},
  [4360] = {.lex_state = 303, .external_lex_state = 67},
  [4361] = {.lex_state = 303, .external_lex_state = 67},
  [4362] = {.lex_state = 303, .external_lex_state = 67},
  [4363] = {.lex_state = 303, .external_lex_state = 68},
  [4364] = {.lex_state = 293, .external_lex_state = 54},
  [4365] = {.lex_state = 303, .external_lex_state = 67},
  [4366] = {.lex_state = 303, .external_lex_state = 68},
  [4367] = {.lex_state = 293, .external_lex_state = 57},
  [4368] = {.lex_state = 301, .external_lex_state = 53},
  [4369] = {.lex_state = 303, .external_lex_state = 68},
  [4370] = {.lex_state = 303, .external_lex_state = 67},
  [4371] = {.lex_state = 303, .external_lex_state = 68},
  [4372] = {.lex_state = 293, .external_lex_state = 57},
  [4373] = {.lex_state = 293, .external_lex_state = 57},
  [4374] = {.lex_state = 303, .external_lex_state = 68},
  [4375] = {.lex_state = 293, .external_lex_state = 54},
  [4376] = {.lex_state = 303, .external_lex_state = 68},
  [4377] = {.lex_state = 66, .external_lex_state = 43},
  [4378] = {.lex_state = 303, .external_lex_state = 68},
  [4379] = {.lex_state = 293, .external_lex_state = 54},
  [4380] = {.lex_state = 303, .external_lex_state = 68},
  [4381] = {.lex_state = 303, .external_lex_state = 67},
  [4382] = {.lex_state = 303, .external_lex_state = 67},
  [4383] = {.lex_state = 303, .external_lex_state = 67},
  [4384] = {.lex_state = 303, .external_lex_state = 67},
  [4385] = {.lex_state = 293, .external_lex_state = 57},
  [4386] = {.lex_state = 303, .external_lex_state = 67},
  [4387] = {.lex_state = 486, .external_lex_state = 70},
  [4388] = {.lex_state = 303, .external_lex_state = 67},
  [4389] = {.lex_state = 303, .external_lex_state = 67},
  [4390] = {.lex_state = 303, .external_lex_state = 67},
  [4391] = {.lex_state = 293, .external_lex_state = 54},
  [4392] = {.lex_state = 303, .external_lex_state = 69},
  [4393] = {.lex_state = 301, .external_lex_state = 53},
  [4394] = {.lex_state = 303, .external_lex_state = 69},
  [4395] = {.lex_state = 303, .external_lex_state = 69},
  [4396] = {.lex_state = 303, .external_lex_state = 69},
  [4397] = {.lex_state = 66, .external_lex_state = 43},
  [4398] = {.lex_state = 303, .external_lex_state = 69},
  [4399] = {.lex_state = 303, .external_lex_state = 69},
  [4400] = {.lex_state = 66, .external_lex_state = 43},
  [4401] = {.lex_state = 293, .external_lex_state = 54},
  [4402] = {.lex_state = 303, .external_lex_state = 69},
  [4403] = {.lex_state = 303, .external_lex_state = 69},
  [4404] = {.lex_state = 66, .external_lex_state = 43},
  [4405] = {.lex_state = 303, .external_lex_state = 69},
  [4406] = {.lex_state = 303, .external_lex_state = 69},
  [4407] = {.lex_state = 303, .external_lex_state = 69},
  [4408] = {.lex_state = 303, .external_lex_state = 69},
  [4409] = {.lex_state = 66, .external_lex_state = 43},
  [4410] = {.lex_state = 303, .external_lex_state = 69},
  [4411] = {.lex_state = 301, .external_lex_state = 57},
  [4412] = {.lex_state = 303, .external_lex_state = 69},
  [4413] = {.lex_state = 301, .external_lex_state = 57},
  [4414] = {.lex_state = 293, .external_lex_state = 57},
  [4415] = {.lex_state = 66, .external_lex_state = 43},
  [4416] = {.lex_state = 303, .external_lex_state = 69},
  [4417] = {.lex_state = 293, .external_lex_state = 57},
  [4418] = {.lex_state = 294, .external_lex_state = 71},
  [4419] = {.lex_state = 303, .external_lex_state = 69},
  [4420] = {.lex_state = 303, .external_lex_state = 69},
  [4421] = {.lex_state = 301, .external_lex_state = 57},
  [4422] = {.lex_state = 301, .external_lex_state = 57},
  [4423] = {.lex_state = 303, .external_lex_state = 69},
  [4424] = {.lex_state = 301, .external_lex_state = 57},
  [4425] = {.lex_state = 66, .external_lex_state = 43},
  [4426] = {.lex_state = 303, .external_lex_state = 69},
  [4427] = {.lex_state = 66, .external_lex_state = 43},
  [4428] = {.lex_state = 293, .external_lex_state = 54},
  [4429] = {.lex_state = 293, .external_lex_state = 57},
  [4430] = {.lex_state = 293, .external_lex_state = 54},
  [4431] = {.lex_state = 293, .external_lex_state = 54},
  [4432] = {.lex_state = 293, .external_lex_state = 57},
  [4433] = {.lex_state = 181, .external_lex_state = 58},
  [4434] = {.lex_state = 293, .external_lex_state = 57},
  [4435] = {.lex_state = 293, .external_lex_state = 57},
  [4436] = {.lex_state = 293, .external_lex_state = 57},
  [4437] = {.lex_state = 181, .external_lex_state = 58},
  [4438] = {.lex_state = 293, .external_lex_state = 54},
  [4439] = {.lex_state = 293, .external_lex_state = 54},
  [4440] = {.lex_state = 293, .external_lex_state = 57},
  [4441] = {.lex_state = 293, .external_lex_state = 57},
  [4442] = {.lex_state = 293, .external_lex_state = 57},
  [4443] = {.lex_state = 293, .external_lex_state = 57},
  [4444] = {.lex_state = 293, .external_lex_state = 54},
  [4445] = {.lex_state = 270, .external_lex_state = 57},
  [4446] = {.lex_state = 293, .external_lex_state = 57},
  [4447] = {.lex_state = 293, .external_lex_state = 57},
  [4448] = {.lex_state = 293, .external_lex_state = 54},
  [4449] = {.lex_state = 293, .external_lex_state = 54},
  [4450] = {.lex_state = 293, .external_lex_state = 54},
  [4451] = {.lex_state = 293, .external_lex_state = 54},
  [4452] = {.lex_state = 293, .external_lex_state = 54},
  [4453] = {.lex_state = 68, .external_lex_state = 72},
  [4454] = {.lex_state = 293, .external_lex_state = 54},
  [4455] = {.lex_state = 293, .external_lex_state = 54},
  [4456] = {.lex_state = 270, .external_lex_state = 57},
  [4457] = {.lex_state = 293, .external_lex_state = 53},
  [4458] = {.lex_state = 293, .external_lex_state = 54},
  [4459] = {.lex_state = 293, .external_lex_state = 54},
  [4460] = {.lex_state = 270, .external_lex_state = 57},
  [4461] = {.lex_state = 270, .external_lex_state = 57},
  [4462] = {.lex_state = 270, .external_lex_state = 57},
  [4463] = {.lex_state = 293, .external_lex_state = 54},
  [4464] = {.lex_state = 293, .external_lex_state = 57},
  [4465] = {.lex_state = 293, .external_lex_state = 53},
  [4466] = {.lex_state = 293, .external_lex_state = 54},
  [4467] = {.lex_state = 293, .external_lex_state = 54},
  [4468] = {.lex_state = 293, .external_lex_state = 54},
  [4469] = {.lex_state = 293, .external_lex_state = 54},
  [4470] = {.lex_state = 293, .external_lex_state = 54},
  [4471] = {.lex_state = 293, .external_lex_state = 54},
  [4472] = {.lex_state = 301, .external_lex_state = 57},
  [4473] = {.lex_state = 293, .external_lex_state = 54},
  [4474] = {.lex_state = 293, .external_lex_state = 57},
  [4475] = {.lex_state = 293, .external_lex_state = 54},
  [4476] = {.lex_state = 270, .external_lex_state = 57},
  [4477] = {.lex_state = 293, .external_lex_state = 57},
  [4478] = {.lex_state = 293, .external_lex_state = 54},
  [4479] = {.lex_state = 293, .external_lex_state = 53},
  [4480] = {.lex_state = 293, .external_lex_state = 57},
  [4481] = {.lex_state = 270, .external_lex_state = 57},
  [4482] = {.lex_state = 293, .external_lex_state = 57},
  [4483] = {.lex_state = 293, .external_lex_state = 57},
  [4484] = {.lex_state = 68, .external_lex_state = 62},
  [4485] = {.lex_state = 293, .external_lex_state = 57},
  [4486] = {.lex_state = 293, .external_lex_state = 57},
  [4487] = {.lex_state = 293, .external_lex_state = 57},
  [4488] = {.lex_state = 68, .external_lex_state = 72},
  [4489] = {.lex_state = 68, .external_lex_state = 72},
  [4490] = {.lex_state = 293, .external_lex_state = 57},
  [4491] = {.lex_state = 293, .external_lex_state = 57},
  [4492] = {.lex_state = 68, .external_lex_state = 72},
  [4493] = {.lex_state = 68, .external_lex_state = 62},
  [4494] = {.lex_state = 293, .external_lex_state = 57},
  [4495] = {.lex_state = 293, .external_lex_state = 57},
  [4496] = {.lex_state = 68, .external_lex_state = 62},
  [4497] = {.lex_state = 293, .external_lex_state = 57},
  [4498] = {.lex_state = 293, .external_lex_state = 57},
  [4499] = {.lex_state = 68, .external_lex_state = 72},
  [4500] = {.lex_state = 68, .external_lex_state = 72},
  [4501] = {.lex_state = 293, .external_lex_state = 57},
  [4502] = {.lex_state = 293, .external_lex_state = 57},
  [4503] = {.lex_state = 68, .external_lex_state = 72},
  [4504] = {.lex_state = 293, .external_lex_state = 57},
  [4505] = {.lex_state = 68, .external_lex_state = 62},
  [4506] = {.lex_state = 293, .external_lex_state = 57},
  [4507] = {.lex_state = 293, .external_lex_state = 57},
  [4508] = {.lex_state = 293, .external_lex_state = 57},
  [4509] = {.lex_state = 293, .external_lex_state = 57},
  [4510] = {.lex_state = 293, .external_lex_state = 57},
  [4511] = {.lex_state = 293, .external_lex_state = 57},
  [4512] = {.lex_state = 293, .external_lex_state = 57},
  [4513] = {.lex_state = 293, .external_lex_state = 57},
  [4514] = {.lex_state = 293, .external_lex_state = 57},
  [4515] = {.lex_state = 293, .external_lex_state = 57},
  [4516] = {.lex_state = 293, .external_lex_state = 57},
  [4517] = {.lex_state = 293, .external_lex_state = 57},
  [4518] = {.lex_state = 293, .external_lex_state = 57},
  [4519] = {.lex_state = 293, .external_lex_state = 57},
  [4520] = {.lex_state = 293, .external_lex_state = 57},
  [4521] = {.lex_state = 293, .external_lex_state = 57},
  [4522] = {.lex_state = 293, .external_lex_state = 57},
  [4523] = {.lex_state = 293, .external_lex_state = 57},
  [4524] = {.lex_state = 293, .external_lex_state = 57},
  [4525] = {.lex_state = 68, .external_lex_state = 72},
  [4526] = {.lex_state = 68, .external_lex_state = 62},
  [4527] = {.lex_state = 293, .external_lex_state = 57},
  [4528] = {.lex_state = 293, .external_lex_state = 57},
  [4529] = {.lex_state = 293, .external_lex_state = 57},
  [4530] = {.lex_state = 293, .external_lex_state = 57},
  [4531] = {.lex_state = 293, .external_lex_state = 57},
  [4532] = {.lex_state = 293, .external_lex_state = 57},
  [4533] = {.lex_state = 293, .external_lex_state = 57},
  [4534] = {.lex_state = 293, .external_lex_state = 57},
  [4535] = {.lex_state = 293, .external_lex_state = 57},
  [4536] = {.lex_state = 293, .external_lex_state = 57},
  [4537] = {.lex_state = 293, .external_lex_state = 57},
  [4538] = {.lex_state = 293, .external_lex_state = 57},
  [4539] = {.lex_state = 293, .external_lex_state = 57},
  [4540] = {.lex_state = 293, .external_lex_state = 57},
  [4541] = {.lex_state = 293, .external_lex_state = 57},
  [4542] = {.lex_state = 293, .external_lex_state = 57},
  [4543] = {.lex_state = 293, .external_lex_state = 57},
  [4544] = {.lex_state = 68, .external_lex_state = 62},
  [4545] = {.lex_state = 293, .external_lex_state = 57},
  [4546] = {.lex_state = 293, .external_lex_state = 57},
  [4547] = {.lex_state = 293, .external_lex_state = 57},
  [4548] = {.lex_state = 293, .external_lex_state = 57},
  [4549] = {.lex_state = 294, .external_lex_state = 73},
  [4550] = {.lex_state = 68, .external_lex_state = 62},
  [4551] = {.lex_state = 293, .external_lex_state = 57},
  [4552] = {.lex_state = 68, .external_lex_state = 62},
  [4553] = {.lex_state = 68, .external_lex_state = 72},
  [4554] = {.lex_state = 68, .external_lex_state = 72},
  [4555] = {.lex_state = 68, .external_lex_state = 72},
  [4556] = {.lex_state = 68, .external_lex_state = 72},
  [4557] = {.lex_state = 68, .external_lex_state = 72},
  [4558] = {.lex_state = 68, .external_lex_state = 72},
  [4559] = {.lex_state = 68, .external_lex_state = 72},
  [4560] = {.lex_state = 68, .external_lex_state = 72},
  [4561] = {.lex_state = 68, .external_lex_state = 72},
  [4562] = {.lex_state = 68, .external_lex_state = 72},
  [4563] = {.lex_state = 68, .external_lex_state = 72},
  [4564] = {.lex_state = 68, .external_lex_state = 72},
  [4565] = {.lex_state = 68, .external_lex_state = 72},
  [4566] = {.lex_state = 68, .external_lex_state = 72},
  [4567] = {.lex_state = 68, .external_lex_state = 62},
  [4568] = {.lex_state = 68, .external_lex_state = 72},
  [4569] = {.lex_state = 68, .external_lex_state = 62},
  [4570] = {.lex_state = 274, .external_lex_state = 56},
  [4571] = {.lex_state = 68, .external_lex_state = 72},
  [4572] = {.lex_state = 274, .external_lex_state = 56},
  [4573] = {.lex_state = 68, .external_lex_state = 62},
  [4574] = {.lex_state = 68, .external_lex_state = 72},
  [4575] = {.lex_state = 68, .external_lex_state = 62},
  [4576] = {.lex_state = 68, .external_lex_state = 72},
  [4577] = {.lex_state = 68, .external_lex_state = 72},
  [4578] = {.lex_state = 298},
  [4579] = {.lex_state = 298},
  [4580] = {.lex_state = 298},
  [4581] = {.lex_state = 298},
  [4582] = {.lex_state = 298},
  [4583] = {.lex_state = 298},
  [4584] = {.lex_state = 298},
  [4585] = {.lex_state = 298},
  [4586] = {.lex_state = 298},
  [4587] = {.lex_state = 298},
  [4588] = {.lex_state = 298},
  [4589] = {.lex_state = 298},
  [4590] = {.lex_state = 298},
  [4591] = {.lex_state = 298},
  [4592] = {.lex_state = 298},
  [4593] = {.lex_state = 298},
  [4594] = {.lex_state = 298},
  [4595] = {.lex_state = 298},
  [4596] = {.lex_state = 298},
  [4597] = {.lex_state = 298},
  [4598] = {.lex_state = 298},
  [4599] = {.lex_state = 298},
  [4600] = {.lex_state = 298},
  [4601] = {.lex_state = 298},
  [4602] = {.lex_state = 298},
  [4603] = {.lex_state = 298},
  [4604] = {.lex_state = 298},
  [4605] = {.lex_state = 298},
  [4606] = {.lex_state = 298},
  [4607] = {.lex_state = 298},
  [4608] = {.lex_state = 298},
  [4609] = {.lex_state = 298},
  [4610] = {.lex_state = 298},
  [4611] = {.lex_state = 267},
  [4612] = {.lex_state = 298},
  [4613] = {.lex_state = 298},
  [4614] = {.lex_state = 267},
  [4615] = {.lex_state = 298},
  [4616] = {.lex_state = 298},
  [4617] = {.lex_state = 298},
  [4618] = {.lex_state = 298},
  [4619] = {.lex_state = 298},
  [4620] = {.lex_state = 298},
  [4621] = {.lex_state = 298},
  [4622] = {.lex_state = 298},
  [4623] = {.lex_state = 298},
  [4624] = {.lex_state = 298},
  [4625] = {.lex_state = 298},
  [4626] = {.lex_state = 298},
  [4627] = {.lex_state = 298},
  [4628] = {.lex_state = 298},
  [4629] = {.lex_state = 298},
  [4630] = {.lex_state = 298},
  [4631] = {.lex_state = 298},
  [4632] = {.lex_state = 298},
  [4633] = {.lex_state = 298},
  [4634] = {.lex_state = 298},
  [4635] = {.lex_state = 298},
  [4636] = {.lex_state = 298},
  [4637] = {.lex_state = 298},
  [4638] = {.lex_state = 298},
  [4639] = {.lex_state = 298},
  [4640] = {.lex_state = 298},
  [4641] = {.lex_state = 298},
  [4642] = {.lex_state = 298},
  [4643] = {.lex_state = 298},
  [4644] = {.lex_state = 298},
  [4645] = {.lex_state = 298},
  [4646] = {.lex_state = 298},
  [4647] = {.lex_state = 298},
  [4648] = {.lex_state = 298},
  [4649] = {.lex_state = 298},
  [4650] = {.lex_state = 298},
  [4651] = {.lex_state = 298},
  [4652] = {.lex_state = 298},
  [4653] = {.lex_state = 298},
  [4654] = {.lex_state = 298},
  [4655] = {.lex_state = 298},
  [4656] = {.lex_state = 298},
  [4657] = {.lex_state = 298},
  [4658] = {.lex_state = 298},
  [4659] = {.lex_state = 298},
  [4660] = {.lex_state = 298},
  [4661] = {.lex_state = 298},
  [4662] = {.lex_state = 298},
  [4663] = {.lex_state = 298},
  [4664] = {.lex_state = 298},
  [4665] = {.lex_state = 298},
  [4666] = {.lex_state = 298},
  [4667] = {.lex_state = 298},
  [4668] = {.lex_state = 298},
  [4669] = {.lex_state = 298},
  [4670] = {.lex_state = 68, .external_lex_state = 62},
  [4671] = {.lex_state = 298},
  [4672] = {.lex_state = 298},
  [4673] = {.lex_state = 298},
  [4674] = {.lex_state = 298},
  [4675] = {.lex_state = 298},
  [4676] = {.lex_state = 298},
  [4677] = {.lex_state = 298},
  [4678] = {.lex_state = 298},
  [4679] = {.lex_state = 298},
  [4680] = {.lex_state = 298},
  [4681] = {.lex_state = 298},
  [4682] = {.lex_state = 298},
  [4683] = {.lex_state = 298},
  [4684] = {.lex_state = 298},
  [4685] = {.lex_state = 298},
  [4686] = {.lex_state = 298},
  [4687] = {.lex_state = 298},
  [4688] = {.lex_state = 298},
  [4689] = {.lex_state = 298},
  [4690] = {.lex_state = 298},
  [4691] = {.lex_state = 298},
  [4692] = {.lex_state = 298},
  [4693] = {.lex_state = 298},
  [4694] = {.lex_state = 298},
  [4695] = {.lex_state = 298},
  [4696] = {.lex_state = 298},
  [4697] = {.lex_state = 298},
  [4698] = {.lex_state = 298},
  [4699] = {.lex_state = 298},
  [4700] = {.lex_state = 298},
  [4701] = {.lex_state = 298},
  [4702] = {.lex_state = 68, .external_lex_state = 62},
  [4703] = {.lex_state = 68, .external_lex_state = 62},
  [4704] = {.lex_state = 269},
  [4705] = {.lex_state = 268},
  [4706] = {.lex_state = 269},
  [4707] = {.lex_state = 268},
  [4708] = {.lex_state = 269},
  [4709] = {.lex_state = 268},
  [4710] = {.lex_state = 269},
  [4711] = {.lex_state = 268},
  [4712] = {.lex_state = 270, .external_lex_state = 74},
  [4713] = {.lex_state = 268},
  [4714] = {.lex_state = 268},
  [4715] = {.lex_state = 268},
  [4716] = {.lex_state = 268},
  [4717] = {.lex_state = 268},
  [4718] = {.lex_state = 268},
  [4719] = {.lex_state = 268},
  [4720] = {.lex_state = 268},
  [4721] = {.lex_state = 268},
  [4722] = {.lex_state = 268},
  [4723] = {.lex_state = 268},
  [4724] = {.lex_state = 268},
  [4725] = {.lex_state = 268},
  [4726] = {.lex_state = 268},
  [4727] = {.lex_state = 269},
  [4728] = {.lex_state = 269},
  [4729] = {.lex_state = 268},
  [4730] = {.lex_state = 268},
  [4731] = {.lex_state = 269},
  [4732] = {.lex_state = 268},
  [4733] = {.lex_state = 268},
  [4734] = {.lex_state = 268},
  [4735] = {.lex_state = 268},
  [4736] = {.lex_state = 268},
  [4737] = {.lex_state = 268},
  [4738] = {.lex_state = 270, .external_lex_state = 74},
  [4739] = {.lex_state = 269},
  [4740] = {.lex_state = 268},
  [4741] = {.lex_state = 268},
  [4742] = {.lex_state = 268},
  [4743] = {.lex_state = 268},
  [4744] = {.lex_state = 268},
  [4745] = {.lex_state = 268},
  [4746] = {.lex_state = 269},
  [4747] = {.lex_state = 268},
  [4748] = {.lex_state = 268},
  [4749] = {.lex_state = 268},
  [4750] = {.lex_state = 269},
  [4751] = {.lex_state = 268},
  [4752] = {.lex_state = 268},
  [4753] = {.lex_state = 268},
  [4754] = {.lex_state = 269},
  [4755] = {.lex_state = 268},
  [4756] = {.lex_state = 268},
  [4757] = {.lex_state = 268},
  [4758] = {.lex_state = 268},
  [4759] = {.lex_state = 268},
  [4760] = {.lex_state = 268},
  [4761] = {.lex_state = 268},
  [4762] = {.lex_state = 269},
  [4763] = {.lex_state = 269},
  [4764] = {.lex_state = 269},
  [4765] = {.lex_state = 269},
  [4766] = {.lex_state = 268},
  [4767] = {.lex_state = 268},
  [4768] = {.lex_state = 268},
  [4769] = {.lex_state = 268},
  [4770] = {.lex_state = 268},
  [4771] = {.lex_state = 269},
  [4772] = {.lex_state = 268},
  [4773] = {.lex_state = 268},
  [4774] = {.lex_state = 270, .external_lex_state = 74},
  [4775] = {.lex_state = 268},
  [4776] = {.lex_state = 268},
  [4777] = {.lex_state = 269},
  [4778] = {.lex_state = 268},
  [4779] = {.lex_state = 268},
  [4780] = {.lex_state = 268},
  [4781] = {.lex_state = 268},
  [4782] = {.lex_state = 269},
  [4783] = {.lex_state = 268},
  [4784] = {.lex_state = 269},
  [4785] = {.lex_state = 268},
  [4786] = {.lex_state = 268},
  [4787] = {.lex_state = 268},
  [4788] = {.lex_state = 268},
  [4789] = {.lex_state = 269},
  [4790] = {.lex_state = 269},
  [4791] = {.lex_state = 268},
  [4792] = {.lex_state = 268},
  [4793] = {.lex_state = 268},
  [4794] = {.lex_state = 269},
  [4795] = {.lex_state = 268},
  [4796] = {.lex_state = 269},
  [4797] = {.lex_state = 268},
  [4798] = {.lex_state = 268},
  [4799] = {.lex_state = 268},
  [4800] = {.lex_state = 269},
  [4801] = {.lex_state = 268},
  [4802] = {.lex_state = 270, .external_lex_state = 74},
  [4803] = {.lex_state = 268},
  [4804] = {.lex_state = 269},
  [4805] = {.lex_state = 268},
  [4806] = {.lex_state = 268},
  [4807] = {.lex_state = 268},
  [4808] = {.lex_state = 268},
  [4809] = {.lex_state = 268},
  [4810] = {.lex_state = 269},
  [4811] = {.lex_state = 268},
  [4812] = {.lex_state = 268},
  [4813] = {.lex_state = 268},
  [4814] = {.lex_state = 268},
  [4815] = {.lex_state = 268},
  [4816] = {.lex_state = 268},
  [4817] = {.lex_state = 269},
  [4818] = {.lex_state = 269},
  [4819] = {.lex_state = 269},
  [4820] = {.lex_state = 268},
  [4821] = {.lex_state = 268},
  [4822] = {.lex_state = 268},
  [4823] = {.lex_state = 268},
  [4824] = {.lex_state = 268},
  [4825] = {.lex_state = 269},
  [4826] = {.lex_state = 269},
  [4827] = {.lex_state = 268},
  [4828] = {.lex_state = 269},
  [4829] = {.lex_state = 268},
  [4830] = {.lex_state = 268},
  [4831] = {.lex_state = 268},
  [4832] = {.lex_state = 269},
  [4833] = {.lex_state = 268},
  [4834] = {.lex_state = 269},
  [4835] = {.lex_state = 269},
  [4836] = {.lex_state = 268},
  [4837] = {.lex_state = 268},
  [4838] = {.lex_state = 268},
  [4839] = {.lex_state = 268},
  [4840] = {.lex_state = 269},
  [4841] = {.lex_state = 268},
  [4842] = {.lex_state = 270, .external_lex_state = 74},
  [4843] = {.lex_state = 269},
  [4844] = {.lex_state = 268},
  [4845] = {.lex_state = 268},
  [4846] = {.lex_state = 268},
  [4847] = {.lex_state = 268},
  [4848] = {.lex_state = 268},
  [4849] = {.lex_state = 269},
  [4850] = {.lex_state = 268},
  [4851] = {.lex_state = 269},
  [4852] = {.lex_state = 269},
  [4853] = {.lex_state = 269},
  [4854] = {.lex_state = 268},
  [4855] = {.lex_state = 268},
  [4856] = {.lex_state = 268},
  [4857] = {.lex_state = 268},
  [4858] = {.lex_state = 268},
  [4859] = {.lex_state = 270, .external_lex_state = 74},
  [4860] = {.lex_state = 268},
  [4861] = {.lex_state = 268},
  [4862] = {.lex_state = 269},
  [4863] = {.lex_state = 268},
  [4864] = {.lex_state = 268},
  [4865] = {.lex_state = 269},
  [4866] = {.lex_state = 269},
  [4867] = {.lex_state = 268},
  [4868] = {.lex_state = 270, .external_lex_state = 74},
  [4869] = {.lex_state = 269},
  [4870] = {.lex_state = 269},
  [4871] = {.lex_state = 268},
  [4872] = {.lex_state = 268},
  [4873] = {.lex_state = 268},
  [4874] = {.lex_state = 268},
  [4875] = {.lex_state = 268},
  [4876] = {.lex_state = 269},
  [4877] = {.lex_state = 268},
  [4878] = {.lex_state = 270, .external_lex_state = 74},
  [4879] = {.lex_state = 293, .external_lex_state = 74},
  [4880] = {.lex_state = 293, .external_lex_state = 74},
  [4881] = {.lex_state = 293, .external_lex_state = 74},
  [4882] = {.lex_state = 293, .external_lex_state = 74},
  [4883] = {.lex_state = 271},
  [4884] = {.lex_state = 293, .external_lex_state = 74},
  [4885] = {.lex_state = 293, .external_lex_state = 74},
  [4886] = {.lex_state = 293, .external_lex_state = 74},
  [4887] = {.lex_state = 293, .external_lex_state = 74},
  [4888] = {.lex_state = 293, .external_lex_state = 74},
  [4889] = {.lex_state = 272},
  [4890] = {.lex_state = 294},
  [4891] = {.lex_state = 294},
  [4892] = {.lex_state = 294},
  [4893] = {.lex_state = 298, .external_lex_state = 75},
  [4894] = {.lex_state = 272},
  [4895] = {.lex_state = 272},
  [4896] = {.lex_state = 294},
  [4897] = {.lex_state = 294},
  [4898] = {.lex_state = 253, .external_lex_state = 76},
  [4899] = {.lex_state = 294},
  [4900] = {.lex_state = 298, .external_lex_state = 75},
  [4901] = {.lex_state = 294, .external_lex_state = 77},
  [4902] = {.lex_state = 272},
  [4903] = {.lex_state = 294},
  [4904] = {.lex_state = 298, .external_lex_state = 75},
  [4905] = {.lex_state = 298, .external_lex_state = 75},
  [4906] = {.lex_state = 272},
  [4907] = {.lex_state = 298, .external_lex_state = 75},
  [4908] = {.lex_state = 298, .external_lex_state = 75},
  [4909] = {.lex_state = 298, .external_lex_state = 75},
  [4910] = {.lex_state = 298, .external_lex_state = 75},
  [4911] = {.lex_state = 253, .external_lex_state = 76},
  [4912] = {.lex_state = 298, .external_lex_state = 75},
  [4913] = {.lex_state = 272},
  [4914] = {.lex_state = 272},
  [4915] = {.lex_state = 294},
  [4916] = {.lex_state = 298, .external_lex_state = 75},
  [4917] = {.lex_state = 298, .external_lex_state = 75},
  [4918] = {.lex_state = 253, .external_lex_state = 76},
  [4919] = {.lex_state = 294},
  [4920] = {.lex_state = 272},
  [4921] = {.lex_state = 302},
  [4922] = {.lex_state = 302},
  [4923] = {.lex_state = 294},
  [4924] = {.lex_state = 302},
  [4925] = {.lex_state = 302},
  [4926] = {.lex_state = 303},
  [4927] = {.lex_state = 298},
  [4928] = {.lex_state = 302},
  [4929] = {.lex_state = 302},
  [4930] = {.lex_state = 302},
  [4931] = {.lex_state = 298},
  [4932] = {.lex_state = 302},
  [4933] = {.lex_state = 302},
  [4934] = {.lex_state = 302},
  [4935] = {.lex_state = 69, .external_lex_state = 78},
  [4936] = {.lex_state = 270, .external_lex_state = 79},
  [4937] = {.lex_state = 506},
  [4938] = {.lex_state = 69, .external_lex_state = 78},
  [4939] = {.lex_state = 506},
  [4940] = {.lex_state = 506},
  [4941] = {.lex_state = 506},
  [4942] = {.lex_state = 69, .external_lex_state = 78},
  [4943] = {.lex_state = 506},
  [4944] = {.lex_state = 506},
  [4945] = {.lex_state = 506},
  [4946] = {.lex_state = 506},
  [4947] = {.lex_state = 506},
  [4948] = {.lex_state = 69, .external_lex_state = 78},
  [4949] = {.lex_state = 69, .external_lex_state = 78},
  [4950] = {.lex_state = 69, .external_lex_state = 78},
  [4951] = {.lex_state = 301},
  [4952] = {.lex_state = 301},
  [4953] = {.lex_state = 506},
  [4954] = {.lex_state = 69, .external_lex_state = 78},
  [4955] = {.lex_state = 506},
  [4956] = {.lex_state = 69, .external_lex_state = 78},
  [4957] = {.lex_state = 506},
  [4958] = {.lex_state = 506},
  [4959] = {.lex_state = 506},
  [4960] = {.lex_state = 506},
  [4961] = {.lex_state = 506},
  [4962] = {.lex_state = 69, .external_lex_state = 78},
  [4963] = {.lex_state = 506},
  [4964] = {.lex_state = 506},
  [4965] = {.lex_state = 506},
  [4966] = {.lex_state = 506},
  [4967] = {.lex_state = 506},
  [4968] = {.lex_state = 69, .external_lex_state = 78},
  [4969] = {.lex_state = 506},
  [4970] = {.lex_state = 506},
  [4971] = {.lex_state = 506},
  [4972] = {.lex_state = 302, .external_lex_state = 77},
  [4973] = {.lex_state = 253, .external_lex_state = 76},
  [4974] = {.lex_state = 69, .external_lex_state = 78},
  [4975] = {.lex_state = 302, .external_lex_state = 77},
  [4976] = {.lex_state = 69, .external_lex_state = 78},
  [4977] = {.lex_state = 302, .external_lex_state = 77},
  [4978] = {.lex_state = 69, .external_lex_state = 78},
  [4979] = {.lex_state = 69, .external_lex_state = 78},
  [4980] = {.lex_state = 69, .external_lex_state = 78},
  [4981] = {.lex_state = 69, .external_lex_state = 58},
  [4982] = {.lex_state = 69, .external_lex_state = 78},
  [4983] = {.lex_state = 69, .external_lex_state = 78},
  [4984] = {.lex_state = 302, .external_lex_state = 77},
  [4985] = {.lex_state = 302, .external_lex_state = 77},
  [4986] = {.lex_state = 302, .external_lex_state = 77},
  [4987] = {.lex_state = 253, .external_lex_state = 76},
  [4988] = {.lex_state = 253, .external_lex_state = 76},
  [4989] = {.lex_state = 69, .external_lex_state = 58},
  [4990] = {.lex_state = 302, .external_lex_state = 77},
  [4991] = {.lex_state = 253, .external_lex_state = 76},
  [4992] = {.lex_state = 69, .external_lex_state = 78},
  [4993] = {.lex_state = 253, .external_lex_state = 76},
  [4994] = {.lex_state = 253, .external_lex_state = 76},
  [4995] = {.lex_state = 69, .external_lex_state = 78},
  [4996] = {.lex_state = 253, .external_lex_state = 76},
  [4997] = {.lex_state = 69, .external_lex_state = 78},
  [4998] = {.lex_state = 69, .external_lex_state = 78},
  [4999] = {.lex_state = 69, .external_lex_state = 58},
  [5000] = {.lex_state = 69, .external_lex_state = 78},
  [5001] = {.lex_state = 295, .external_lex_state = 80},
  [5002] = {.lex_state = 69, .external_lex_state = 78},
  [5003] = {.lex_state = 69, .external_lex_state = 78},
  [5004] = {.lex_state = 69, .external_lex_state = 58},
  [5005] = {.lex_state = 302, .external_lex_state = 77},
  [5006] = {.lex_state = 69, .external_lex_state = 78},
  [5007] = {.lex_state = 69, .external_lex_state = 78},
  [5008] = {.lex_state = 69, .external_lex_state = 78},
  [5009] = {.lex_state = 302, .external_lex_state = 77},
  [5010] = {.lex_state = 69, .external_lex_state = 78},
  [5011] = {.lex_state = 69, .external_lex_state = 78},
  [5012] = {.lex_state = 278, .external_lex_state = 75},
  [5013] = {.lex_state = 65, .external_lex_state = 58},
  [5014] = {.lex_state = 278, .external_lex_state = 75},
  [5015] = {.lex_state = 65, .external_lex_state = 58},
  [5016] = {.lex_state = 302, .external_lex_state = 81},
  [5017] = {.lex_state = 65, .external_lex_state = 58},
  [5018] = {.lex_state = 65, .external_lex_state = 58},
  [5019] = {.lex_state = 302, .external_lex_state = 77},
  [5020] = {.lex_state = 302, .external_lex_state = 77},
  [5021] = {.lex_state = 302, .external_lex_state = 81},
  [5022] = {.lex_state = 278, .external_lex_state = 75},
  [5023] = {.lex_state = 278, .external_lex_state = 75},
  [5024] = {.lex_state = 303},
  [5025] = {.lex_state = 65, .external_lex_state = 58},
  [5026] = {.lex_state = 302, .external_lex_state = 77},
  [5027] = {.lex_state = 302, .external_lex_state = 77},
  [5028] = {.lex_state = 303},
  [5029] = {.lex_state = 65, .external_lex_state = 58},
  [5030] = {.lex_state = 303},
  [5031] = {.lex_state = 302, .external_lex_state = 77},
  [5032] = {.lex_state = 302, .external_lex_state = 77},
  [5033] = {.lex_state = 278, .external_lex_state = 75},
  [5034] = {.lex_state = 278, .external_lex_state = 75},
  [5035] = {.lex_state = 303},
  [5036] = {.lex_state = 302, .external_lex_state = 77},
  [5037] = {.lex_state = 302, .external_lex_state = 77},
  [5038] = {.lex_state = 65, .external_lex_state = 58},
  [5039] = {.lex_state = 278, .external_lex_state = 75},
  [5040] = {.lex_state = 278, .external_lex_state = 75},
  [5041] = {.lex_state = 303},
  [5042] = {.lex_state = 69, .external_lex_state = 58},
  [5043] = {.lex_state = 302, .external_lex_state = 81},
  [5044] = {.lex_state = 278, .external_lex_state = 75},
  [5045] = {.lex_state = 65, .external_lex_state = 58},
  [5046] = {.lex_state = 303},
  [5047] = {.lex_state = 261, .external_lex_state = 82},
  [5048] = {.lex_state = 506, .external_lex_state = 83},
  [5049] = {.lex_state = 261, .external_lex_state = 84},
  [5050] = {.lex_state = 302, .external_lex_state = 85},
  [5051] = {.lex_state = 302, .external_lex_state = 85},
  [5052] = {.lex_state = 261, .external_lex_state = 84},
  [5053] = {.lex_state = 65, .external_lex_state = 58},
  [5054] = {.lex_state = 261, .external_lex_state = 84},
  [5055] = {.lex_state = 277},
  [5056] = {.lex_state = 294},
  [5057] = {.lex_state = 506, .external_lex_state = 83},
  [5058] = {.lex_state = 261, .external_lex_state = 84},
  [5059] = {.lex_state = 506, .external_lex_state = 83},
  [5060] = {.lex_state = 506, .external_lex_state = 83},
  [5061] = {.lex_state = 302, .external_lex_state = 85},
  [5062] = {.lex_state = 506, .external_lex_state = 83},
  [5063] = {.lex_state = 506, .external_lex_state = 83},
  [5064] = {.lex_state = 506, .external_lex_state = 83},
  [5065] = {.lex_state = 506, .external_lex_state = 83},
  [5066] = {.lex_state = 506, .external_lex_state = 83},
  [5067] = {.lex_state = 69, .external_lex_state = 58},
  [5068] = {.lex_state = 506, .external_lex_state = 83},
  [5069] = {.lex_state = 506, .external_lex_state = 83},
  [5070] = {.lex_state = 506, .external_lex_state = 83},
  [5071] = {.lex_state = 69, .external_lex_state = 58},
  [5072] = {.lex_state = 506, .external_lex_state = 83},
  [5073] = {.lex_state = 506, .external_lex_state = 83},
  [5074] = {.lex_state = 506, .external_lex_state = 83},
  [5075] = {.lex_state = 506, .external_lex_state = 83},
  [5076] = {.lex_state = 506, .external_lex_state = 83},
  [5077] = {.lex_state = 506, .external_lex_state = 83},
  [5078] = {.lex_state = 506, .external_lex_state = 83},
  [5079] = {.lex_state = 506, .external_lex_state = 83},
  [5080] = {.lex_state = 506, .external_lex_state = 83},
  [5081] = {.lex_state = 506, .external_lex_state = 83},
  [5082] = {.lex_state = 506, .external_lex_state = 83},
  [5083] = {.lex_state = 506, .external_lex_state = 83},
  [5084] = {.lex_state = 506, .external_lex_state = 83},
  [5085] = {.lex_state = 506, .external_lex_state = 83},
  [5086] = {.lex_state = 506, .external_lex_state = 83},
  [5087] = {.lex_state = 506, .external_lex_state = 83},
  [5088] = {.lex_state = 506, .external_lex_state = 83},
  [5089] = {.lex_state = 261, .external_lex_state = 82},
  [5090] = {.lex_state = 506, .external_lex_state = 83},
  [5091] = {.lex_state = 261, .external_lex_state = 82},
  [5092] = {.lex_state = 294},
  [5093] = {.lex_state = 506, .external_lex_state = 83},
  [5094] = {.lex_state = 302, .external_lex_state = 85},
  [5095] = {.lex_state = 302, .external_lex_state = 85},
  [5096] = {.lex_state = 506, .external_lex_state = 83},
  [5097] = {.lex_state = 506, .external_lex_state = 83},
  [5098] = {.lex_state = 261, .external_lex_state = 82},
  [5099] = {.lex_state = 261, .external_lex_state = 82},
  [5100] = {.lex_state = 506, .external_lex_state = 83},
  [5101] = {.lex_state = 302, .external_lex_state = 81},
  [5102] = {.lex_state = 302, .external_lex_state = 81},
  [5103] = {.lex_state = 302, .external_lex_state = 81},
  [5104] = {.lex_state = 506, .external_lex_state = 83},
  [5105] = {.lex_state = 506, .external_lex_state = 83},
  [5106] = {.lex_state = 278, .external_lex_state = 75},
  [5107] = {.lex_state = 277},
  [5108] = {.lex_state = 261, .external_lex_state = 82},
  [5109] = {.lex_state = 261, .external_lex_state = 82},
  [5110] = {.lex_state = 506, .external_lex_state = 83},
  [5111] = {.lex_state = 278, .external_lex_state = 75},
  [5112] = {.lex_state = 506, .external_lex_state = 83},
  [5113] = {.lex_state = 278, .external_lex_state = 75},
  [5114] = {.lex_state = 261, .external_lex_state = 82},
  [5115] = {.lex_state = 261, .external_lex_state = 82},
  [5116] = {.lex_state = 261, .external_lex_state = 82},
  [5117] = {.lex_state = 506, .external_lex_state = 83},
  [5118] = {.lex_state = 506, .external_lex_state = 83},
  [5119] = {.lex_state = 302},
  [5120] = {.lex_state = 506, .external_lex_state = 83},
  [5121] = {.lex_state = 506, .external_lex_state = 83},
  [5122] = {.lex_state = 506, .external_lex_state = 83},
  [5123] = {.lex_state = 278, .external_lex_state = 75},
  [5124] = {.lex_state = 69, .external_lex_state = 58},
  [5125] = {.lex_state = 278, .external_lex_state = 75},
  [5126] = {.lex_state = 277},
  [5127] = {.lex_state = 69, .external_lex_state = 58},
  [5128] = {.lex_state = 261, .external_lex_state = 82},
  [5129] = {.lex_state = 303},
  [5130] = {.lex_state = 261, .external_lex_state = 82},
  [5131] = {.lex_state = 261, .external_lex_state = 82},
  [5132] = {.lex_state = 277},
  [5133] = {.lex_state = 302, .external_lex_state = 85},
  [5134] = {.lex_state = 506, .external_lex_state = 83},
  [5135] = {.lex_state = 506, .external_lex_state = 83},
  [5136] = {.lex_state = 302, .external_lex_state = 85},
  [5137] = {.lex_state = 302, .external_lex_state = 85},
  [5138] = {.lex_state = 294},
  [5139] = {.lex_state = 69, .external_lex_state = 58},
  [5140] = {.lex_state = 506, .external_lex_state = 83},
  [5141] = {.lex_state = 506, .external_lex_state = 83},
  [5142] = {.lex_state = 69, .external_lex_state = 58},
  [5143] = {.lex_state = 506, .external_lex_state = 83},
  [5144] = {.lex_state = 261, .external_lex_state = 82},
  [5145] = {.lex_state = 302, .external_lex_state = 85},
  [5146] = {.lex_state = 302, .external_lex_state = 85},
  [5147] = {.lex_state = 302, .external_lex_state = 85},
  [5148] = {.lex_state = 302, .external_lex_state = 85},
  [5149] = {.lex_state = 261, .external_lex_state = 82},
  [5150] = {.lex_state = 302, .external_lex_state = 85},
  [5151] = {.lex_state = 270, .external_lex_state = 77},
  [5152] = {.lex_state = 261, .external_lex_state = 82},
  [5153] = {.lex_state = 302, .external_lex_state = 85},
  [5154] = {.lex_state = 270, .external_lex_state = 77},
  [5155] = {.lex_state = 302, .external_lex_state = 85},
  [5156] = {.lex_state = 302, .external_lex_state = 85},
  [5157] = {.lex_state = 253},
  [5158] = {.lex_state = 302, .external_lex_state = 85},
  [5159] = {.lex_state = 302, .external_lex_state = 85},
  [5160] = {.lex_state = 302, .external_lex_state = 85},
  [5161] = {.lex_state = 253},
  [5162] = {.lex_state = 278, .external_lex_state = 75},
  [5163] = {.lex_state = 253},
  [5164] = {.lex_state = 277},
  [5165] = {.lex_state = 278, .external_lex_state = 75},
  [5166] = {.lex_state = 278, .external_lex_state = 75},
  [5167] = {.lex_state = 253},
  [5168] = {.lex_state = 253},
  [5169] = {.lex_state = 253},
  [5170] = {.lex_state = 294},
  [5171] = {.lex_state = 261, .external_lex_state = 85},
  [5172] = {.lex_state = 278, .external_lex_state = 75},
  [5173] = {.lex_state = 253},
  [5174] = {.lex_state = 278, .external_lex_state = 75},
  [5175] = {.lex_state = 278, .external_lex_state = 75},
  [5176] = {.lex_state = 253},
  [5177] = {.lex_state = 65, .external_lex_state = 58},
  [5178] = {.lex_state = 278, .external_lex_state = 75},
  [5179] = {.lex_state = 278, .external_lex_state = 75},
  [5180] = {.lex_state = 278, .external_lex_state = 75},
  [5181] = {.lex_state = 261, .external_lex_state = 82},
  [5182] = {.lex_state = 270, .external_lex_state = 77},
  [5183] = {.lex_state = 261, .external_lex_state = 82},
  [5184] = {.lex_state = 302, .external_lex_state = 85},
  [5185] = {.lex_state = 277},
  [5186] = {.lex_state = 278, .external_lex_state = 75},
  [5187] = {.lex_state = 294},
  [5188] = {.lex_state = 278, .external_lex_state = 75},
  [5189] = {.lex_state = 278, .external_lex_state = 75},
  [5190] = {.lex_state = 278, .external_lex_state = 75},
  [5191] = {.lex_state = 65, .external_lex_state = 58},
  [5192] = {.lex_state = 278, .external_lex_state = 75},
  [5193] = {.lex_state = 253},
  [5194] = {.lex_state = 302, .external_lex_state = 85},
  [5195] = {.lex_state = 65, .external_lex_state = 58},
  [5196] = {.lex_state = 253},
  [5197] = {.lex_state = 253},
  [5198] = {.lex_state = 278, .external_lex_state = 75},
  [5199] = {.lex_state = 261, .external_lex_state = 82},
  [5200] = {.lex_state = 253},
  [5201] = {.lex_state = 294},
  [5202] = {.lex_state = 278, .external_lex_state = 75},
  [5203] = {.lex_state = 261, .external_lex_state = 82},
  [5204] = {.lex_state = 278, .external_lex_state = 75},
  [5205] = {.lex_state = 270, .external_lex_state = 77},
  [5206] = {.lex_state = 278, .external_lex_state = 75},
  [5207] = {.lex_state = 278, .external_lex_state = 75},
  [5208] = {.lex_state = 261, .external_lex_state = 82},
  [5209] = {.lex_state = 253},
  [5210] = {.lex_state = 253},
  [5211] = {.lex_state = 253},
  [5212] = {.lex_state = 253},
  [5213] = {.lex_state = 253},
  [5214] = {.lex_state = 253},
  [5215] = {.lex_state = 304},
  [5216] = {.lex_state = 253},
  [5217] = {.lex_state = 253},
  [5218] = {.lex_state = 253},
  [5219] = {.lex_state = 253},
  [5220] = {.lex_state = 506},
  [5221] = {.lex_state = 506},
  [5222] = {.lex_state = 506},
  [5223] = {.lex_state = 253},
  [5224] = {.lex_state = 506},
  [5225] = {.lex_state = 506},
  [5226] = {.lex_state = 238},
  [5227] = {.lex_state = 304},
  [5228] = {.lex_state = 270, .external_lex_state = 77},
  [5229] = {.lex_state = 255},
  [5230] = {.lex_state = 238},
  [5231] = {.lex_state = 304},
  [5232] = {.lex_state = 253},
  [5233] = {.lex_state = 270, .external_lex_state = 77},
  [5234] = {.lex_state = 255},
  [5235] = {.lex_state = 253},
  [5236] = {.lex_state = 255},
  [5237] = {.lex_state = 253},
  [5238] = {.lex_state = 270, .external_lex_state = 79},
  [5239] = {.lex_state = 253},
  [5240] = {.lex_state = 255},
  [5241] = {.lex_state = 304},
  [5242] = {.lex_state = 253},
  [5243] = {.lex_state = 304},
  [5244] = {.lex_state = 293, .external_lex_state = 75},
  [5245] = {.lex_state = 253},
  [5246] = {.lex_state = 253},
  [5247] = {.lex_state = 255},
  [5248] = {.lex_state = 304},
  [5249] = {.lex_state = 293, .external_lex_state = 75},
  [5250] = {.lex_state = 270, .external_lex_state = 79},
  [5251] = {.lex_state = 253},
  [5252] = {.lex_state = 506},
  [5253] = {.lex_state = 506},
  [5254] = {.lex_state = 506, .external_lex_state = 86},
  [5255] = {.lex_state = 255},
  [5256] = {.lex_state = 506},
  [5257] = {.lex_state = 506},
  [5258] = {.lex_state = 304},
  [5259] = {.lex_state = 506},
  [5260] = {.lex_state = 506},
  [5261] = {.lex_state = 304},
  [5262] = {.lex_state = 253},
  [5263] = {.lex_state = 506, .external_lex_state = 86},
  [5264] = {.lex_state = 253},
  [5265] = {.lex_state = 253},
  [5266] = {.lex_state = 253},
  [5267] = {.lex_state = 253},
  [5268] = {.lex_state = 304},
  [5269] = {.lex_state = 253},
  [5270] = {.lex_state = 253},
  [5271] = {.lex_state = 304},
  [5272] = {.lex_state = 223, .external_lex_state = 75},
  [5273] = {.lex_state = 238},
  [5274] = {.lex_state = 253},
  [5275] = {.lex_state = 253},
  [5276] = {.lex_state = 270, .external_lex_state = 79},
  [5277] = {.lex_state = 253},
  [5278] = {.lex_state = 253},
  [5279] = {.lex_state = 270, .external_lex_state = 77},
  [5280] = {.lex_state = 270, .external_lex_state = 79},
  [5281] = {.lex_state = 506},
  [5282] = {.lex_state = 506},
  [5283] = {.lex_state = 506, .external_lex_state = 86},
  [5284] = {.lex_state = 506},
  [5285] = {.lex_state = 506},
  [5286] = {.lex_state = 506},
  [5287] = {.lex_state = 253},
  [5288] = {.lex_state = 253},
  [5289] = {.lex_state = 506},
  [5290] = {.lex_state = 304},
  [5291] = {.lex_state = 304},
  [5292] = {.lex_state = 506},
  [5293] = {.lex_state = 253},
  [5294] = {.lex_state = 238},
  [5295] = {.lex_state = 253},
  [5296] = {.lex_state = 253},
  [5297] = {.lex_state = 253},
  [5298] = {.lex_state = 506},
  [5299] = {.lex_state = 253},
  [5300] = {.lex_state = 277},
  [5301] = {.lex_state = 253},
  [5302] = {.lex_state = 253},
  [5303] = {.lex_state = 253},
  [5304] = {.lex_state = 304},
  [5305] = {.lex_state = 270, .external_lex_state = 77},
  [5306] = {.lex_state = 253},
  [5307] = {.lex_state = 253},
  [5308] = {.lex_state = 253},
  [5309] = {.lex_state = 270, .external_lex_state = 77},
  [5310] = {.lex_state = 270, .external_lex_state = 77},
  [5311] = {.lex_state = 253},
  [5312] = {.lex_state = 253},
  [5313] = {.lex_state = 253},
  [5314] = {.lex_state = 238},
  [5315] = {.lex_state = 506},
  [5316] = {.lex_state = 506},
  [5317] = {.lex_state = 506},
  [5318] = {.lex_state = 255},
  [5319] = {.lex_state = 304},
  [5320] = {.lex_state = 293, .external_lex_state = 75},
  [5321] = {.lex_state = 253},
  [5322] = {.lex_state = 253},
  [5323] = {.lex_state = 238},
  [5324] = {.lex_state = 293, .external_lex_state = 75},
  [5325] = {.lex_state = 253},
  [5326] = {.lex_state = 253},
  [5327] = {.lex_state = 253},
  [5328] = {.lex_state = 253},
  [5329] = {.lex_state = 253},
  [5330] = {.lex_state = 506},
  [5331] = {.lex_state = 304},
  [5332] = {.lex_state = 253},
  [5333] = {.lex_state = 253},
  [5334] = {.lex_state = 253},
  [5335] = {.lex_state = 506},
  [5336] = {.lex_state = 253},
  [5337] = {.lex_state = 253},
  [5338] = {.lex_state = 506, .external_lex_state = 86},
  [5339] = {.lex_state = 304},
  [5340] = {.lex_state = 253},
  [5341] = {.lex_state = 506, .external_lex_state = 86},
  [5342] = {.lex_state = 253},
  [5343] = {.lex_state = 253},
  [5344] = {.lex_state = 304},
  [5345] = {.lex_state = 506, .external_lex_state = 86},
  [5346] = {.lex_state = 304},
  [5347] = {.lex_state = 304},
  [5348] = {.lex_state = 253},
  [5349] = {.lex_state = 506, .external_lex_state = 86},
  [5350] = {.lex_state = 253},
  [5351] = {.lex_state = 506, .external_lex_state = 86},
  [5352] = {.lex_state = 304},
  [5353] = {.lex_state = 506, .external_lex_state = 86},
  [5354] = {.lex_state = 238},
  [5355] = {.lex_state = 506},
  [5356] = {.lex_state = 253},
  [5357] = {.lex_state = 506},
  [5358] = {.lex_state = 506},
  [5359] = {.lex_state = 238},
  [5360] = {.lex_state = 506},
  [5361] = {.lex_state = 304},
  [5362] = {.lex_state = 304},
  [5363] = {.lex_state = 506},
  [5364] = {.lex_state = 253},
  [5365] = {.lex_state = 304},
  [5366] = {.lex_state = 253},
  [5367] = {.lex_state = 506},
  [5368] = {.lex_state = 253},
  [5369] = {.lex_state = 506},
  [5370] = {.lex_state = 506},
  [5371] = {.lex_state = 506},
  [5372] = {.lex_state = 253},
  [5373] = {.lex_state = 506},
  [5374] = {.lex_state = 506},
  [5375] = {.lex_state = 506},
  [5376] = {.lex_state = 506},
  [5377] = {.lex_state = 255},
  [5378] = {.lex_state = 261, .external_lex_state = 80},
  [5379] = {.lex_state = 506},
  [5380] = {.lex_state = 253},
  [5381] = {.lex_state = 506},
  [5382] = {.lex_state = 270, .external_lex_state = 77},
  [5383] = {.lex_state = 293},
  [5384] = {.lex_state = 293},
  [5385] = {.lex_state = 293},
  [5386] = {.lex_state = 506},
  [5387] = {.lex_state = 506},
  [5388] = {.lex_state = 506},
  [5389] = {.lex_state = 293},
  [5390] = {.lex_state = 303},
  [5391] = {.lex_state = 506},
  [5392] = {.lex_state = 506},
  [5393] = {.lex_state = 293},
  [5394] = {.lex_state = 270, .external_lex_state = 77},
  [5395] = {.lex_state = 506},
  [5396] = {.lex_state = 270, .external_lex_state = 77},
  [5397] = {.lex_state = 253},
  [5398] = {.lex_state = 506},
  [5399] = {.lex_state = 506},
  [5400] = {.lex_state = 506},
  [5401] = {.lex_state = 293},
  [5402] = {.lex_state = 506},
  [5403] = {.lex_state = 293},
  [5404] = {.lex_state = 506},
  [5405] = {.lex_state = 506},
  [5406] = {.lex_state = 506},
  [5407] = {.lex_state = 506},
  [5408] = {.lex_state = 506},
  [5409] = {.lex_state = 270, .external_lex_state = 77},
  [5410] = {.lex_state = 293},
  [5411] = {.lex_state = 303},
  [5412] = {.lex_state = 506},
  [5413] = {.lex_state = 506},
  [5414] = {.lex_state = 506},
  [5415] = {.lex_state = 506},
  [5416] = {.lex_state = 270, .external_lex_state = 77},
  [5417] = {.lex_state = 270, .external_lex_state = 77},
  [5418] = {.lex_state = 293},
  [5419] = {.lex_state = 506},
  [5420] = {.lex_state = 506},
  [5421] = {.lex_state = 270, .external_lex_state = 77},
  [5422] = {.lex_state = 506},
  [5423] = {.lex_state = 270, .external_lex_state = 77},
  [5424] = {.lex_state = 506},
  [5425] = {.lex_state = 270, .external_lex_state = 77},
  [5426] = {.lex_state = 506},
  [5427] = {.lex_state = 506},
  [5428] = {.lex_state = 270, .external_lex_state = 77},
  [5429] = {.lex_state = 270, .external_lex_state = 77},
  [5430] = {.lex_state = 293},
  [5431] = {.lex_state = 293},
  [5432] = {.lex_state = 293},
  [5433] = {.lex_state = 506},
  [5434] = {.lex_state = 293},
  [5435] = {.lex_state = 506},
  [5436] = {.lex_state = 506},
  [5437] = {.lex_state = 261, .external_lex_state = 77},
  [5438] = {.lex_state = 293},
  [5439] = {.lex_state = 255},
  [5440] = {.lex_state = 270, .external_lex_state = 77},
  [5441] = {.lex_state = 506},
  [5442] = {.lex_state = 293},
  [5443] = {.lex_state = 255},
  [5444] = {.lex_state = 506},
  [5445] = {.lex_state = 303},
  [5446] = {.lex_state = 253},
  [5447] = {.lex_state = 255},
  [5448] = {.lex_state = 293},
  [5449] = {.lex_state = 293},
  [5450] = {.lex_state = 506},
  [5451] = {.lex_state = 255},
  [5452] = {.lex_state = 506},
  [5453] = {.lex_state = 293},
  [5454] = {.lex_state = 261, .external_lex_state = 77},
  [5455] = {.lex_state = 293},
  [5456] = {.lex_state = 293},
  [5457] = {.lex_state = 506},
  [5458] = {.lex_state = 270, .external_lex_state = 77},
  [5459] = {.lex_state = 506},
  [5460] = {.lex_state = 506},
  [5461] = {.lex_state = 293},
  [5462] = {.lex_state = 506},
  [5463] = {.lex_state = 506},
  [5464] = {.lex_state = 303},
  [5465] = {.lex_state = 293},
  [5466] = {.lex_state = 293},
  [5467] = {.lex_state = 506},
  [5468] = {.lex_state = 270, .external_lex_state = 77},
  [5469] = {.lex_state = 293},
  [5470] = {.lex_state = 293},
  [5471] = {.lex_state = 270, .external_lex_state = 77},
  [5472] = {.lex_state = 506},
  [5473] = {.lex_state = 506},
  [5474] = {.lex_state = 506},
  [5475] = {.lex_state = 506},
  [5476] = {.lex_state = 506},
  [5477] = {.lex_state = 293},
  [5478] = {.lex_state = 506},
  [5479] = {.lex_state = 270, .external_lex_state = 77},
  [5480] = {.lex_state = 506},
  [5481] = {.lex_state = 255},
  [5482] = {.lex_state = 270, .external_lex_state = 77},
  [5483] = {.lex_state = 506},
  [5484] = {.lex_state = 303},
  [5485] = {.lex_state = 293},
  [5486] = {.lex_state = 303},
  [5487] = {.lex_state = 506},
  [5488] = {.lex_state = 506},
  [5489] = {.lex_state = 506},
  [5490] = {.lex_state = 506},
  [5491] = {.lex_state = 261, .external_lex_state = 77},
  [5492] = {.lex_state = 506},
  [5493] = {.lex_state = 239, .external_lex_state = 87},
  [5494] = {.lex_state = 256},
  [5495] = {.lex_state = 253},
  [5496] = {.lex_state = 253},
  [5497] = {.lex_state = 261, .external_lex_state = 77},
  [5498] = {.lex_state = 253},
  [5499] = {.lex_state = 256},
  [5500] = {.lex_state = 506},
  [5501] = {.lex_state = 506},
  [5502] = {.lex_state = 253},
  [5503] = {.lex_state = 253},
  [5504] = {.lex_state = 253},
  [5505] = {.lex_state = 261, .external_lex_state = 77},
  [5506] = {.lex_state = 261, .external_lex_state = 77},
  [5507] = {.lex_state = 506},
  [5508] = {.lex_state = 506},
  [5509] = {.lex_state = 261, .external_lex_state = 77},
  [5510] = {.lex_state = 506},
  [5511] = {.lex_state = 506},
  [5512] = {.lex_state = 239, .external_lex_state = 87},
  [5513] = {.lex_state = 253},
  [5514] = {.lex_state = 253},
  [5515] = {.lex_state = 256},
  [5516] = {.lex_state = 261, .external_lex_state = 77},
  [5517] = {.lex_state = 261, .external_lex_state = 77},
  [5518] = {.lex_state = 506},
  [5519] = {.lex_state = 506},
  [5520] = {.lex_state = 506},
  [5521] = {.lex_state = 506},
  [5522] = {.lex_state = 253},
  [5523] = {.lex_state = 506},
  [5524] = {.lex_state = 506},
  [5525] = {.lex_state = 506},
  [5526] = {.lex_state = 506},
  [5527] = {.lex_state = 506},
  [5528] = {.lex_state = 506},
  [5529] = {.lex_state = 239, .external_lex_state = 87},
  [5530] = {.lex_state = 239, .external_lex_state = 87},
  [5531] = {.lex_state = 253},
  [5532] = {.lex_state = 256},
  [5533] = {.lex_state = 256},
  [5534] = {.lex_state = 506},
  [5535] = {.lex_state = 253},
  [5536] = {.lex_state = 506},
  [5537] = {.lex_state = 506},
  [5538] = {.lex_state = 506},
  [5539] = {.lex_state = 261, .external_lex_state = 77},
  [5540] = {.lex_state = 253},
  [5541] = {.lex_state = 261, .external_lex_state = 77},
  [5542] = {.lex_state = 261, .external_lex_state = 77},
  [5543] = {.lex_state = 506},
  [5544] = {.lex_state = 261, .external_lex_state = 77},
  [5545] = {.lex_state = 506},
  [5546] = {.lex_state = 261, .external_lex_state = 77},
  [5547] = {.lex_state = 261, .external_lex_state = 77},
  [5548] = {.lex_state = 506},
  [5549] = {.lex_state = 253},
  [5550] = {.lex_state = 261, .external_lex_state = 77},
  [5551] = {.lex_state = 253},
  [5552] = {.lex_state = 506},
  [5553] = {.lex_state = 253},
  [5554] = {.lex_state = 506},
  [5555] = {.lex_state = 506},
  [5556] = {.lex_state = 108, .external_lex_state = 58},
  [5557] = {.lex_state = 108, .external_lex_state = 58},
  [5558] = {.lex_state = 253},
  [5559] = {.lex_state = 506},
  [5560] = {.lex_state = 108, .external_lex_state = 58},
  [5561] = {.lex_state = 108, .external_lex_state = 58},
  [5562] = {.lex_state = 506},
  [5563] = {.lex_state = 108, .external_lex_state = 58},
  [5564] = {.lex_state = 108, .external_lex_state = 58},
  [5565] = {.lex_state = 506},
  [5566] = {.lex_state = 253},
  [5567] = {.lex_state = 253},
  [5568] = {.lex_state = 256},
  [5569] = {.lex_state = 261, .external_lex_state = 77},
  [5570] = {.lex_state = 261, .external_lex_state = 77},
  [5571] = {.lex_state = 256},
  [5572] = {.lex_state = 256},
  [5573] = {.lex_state = 303},
  [5574] = {.lex_state = 506},
  [5575] = {.lex_state = 261, .external_lex_state = 77},
  [5576] = {.lex_state = 253},
  [5577] = {.lex_state = 506},
  [5578] = {.lex_state = 506, .external_lex_state = 88},
  [5579] = {.lex_state = 506},
  [5580] = {.lex_state = 506, .external_lex_state = 88},
  [5581] = {.lex_state = 506},
  [5582] = {.lex_state = 506},
  [5583] = {.lex_state = 256},
  [5584] = {.lex_state = 261, .external_lex_state = 77},
  [5585] = {.lex_state = 253},
  [5586] = {.lex_state = 506},
  [5587] = {.lex_state = 239, .external_lex_state = 87},
  [5588] = {.lex_state = 506},
  [5589] = {.lex_state = 239, .external_lex_state = 87},
  [5590] = {.lex_state = 506},
  [5591] = {.lex_state = 256},
  [5592] = {.lex_state = 506},
  [5593] = {.lex_state = 506},
  [5594] = {.lex_state = 253},
  [5595] = {.lex_state = 256},
  [5596] = {.lex_state = 261, .external_lex_state = 77},
  [5597] = {.lex_state = 506},
  [5598] = {.lex_state = 506},
  [5599] = {.lex_state = 506},
  [5600] = {.lex_state = 506},
  [5601] = {.lex_state = 253},
  [5602] = {.lex_state = 256},
  [5603] = {.lex_state = 506},
  [5604] = {.lex_state = 506},
  [5605] = {.lex_state = 506},
  [5606] = {.lex_state = 506},
  [5607] = {.lex_state = 256},
  [5608] = {.lex_state = 253},
  [5609] = {.lex_state = 256},
  [5610] = {.lex_state = 506},
  [5611] = {.lex_state = 506},
  [5612] = {.lex_state = 506},
  [5613] = {.lex_state = 506},
  [5614] = {.lex_state = 261, .external_lex_state = 77},
  [5615] = {.lex_state = 253},
  [5616] = {.lex_state = 261, .external_lex_state = 77},
  [5617] = {.lex_state = 506},
  [5618] = {.lex_state = 506},
  [5619] = {.lex_state = 506},
  [5620] = {.lex_state = 506},
  [5621] = {.lex_state = 506},
  [5622] = {.lex_state = 253},
  [5623] = {.lex_state = 506},
  [5624] = {.lex_state = 506},
  [5625] = {.lex_state = 506},
  [5626] = {.lex_state = 108, .external_lex_state = 58},
  [5627] = {.lex_state = 506},
  [5628] = {.lex_state = 261, .external_lex_state = 77},
  [5629] = {.lex_state = 253},
  [5630] = {.lex_state = 256},
  [5631] = {.lex_state = 506},
  [5632] = {.lex_state = 261, .external_lex_state = 77},
  [5633] = {.lex_state = 108, .external_lex_state = 58},
  [5634] = {.lex_state = 506},
  [5635] = {.lex_state = 261, .external_lex_state = 77},
  [5636] = {.lex_state = 253},
  [5637] = {.lex_state = 261, .external_lex_state = 77},
  [5638] = {.lex_state = 506},
  [5639] = {.lex_state = 506},
  [5640] = {.lex_state = 261, .external_lex_state = 77},
  [5641] = {.lex_state = 261, .external_lex_state = 77},
  [5642] = {.lex_state = 256},
  [5643] = {.lex_state = 253},
  [5644] = {.lex_state = 261, .external_lex_state = 77},
  [5645] = {.lex_state = 108, .external_lex_state = 58},
  [5646] = {.lex_state = 506},
  [5647] = {.lex_state = 506},
  [5648] = {.lex_state = 506},
  [5649] = {.lex_state = 506},
  [5650] = {.lex_state = 253},
  [5651] = {.lex_state = 261, .external_lex_state = 77},
  [5652] = {.lex_state = 506},
  [5653] = {.lex_state = 261, .external_lex_state = 77},
  [5654] = {.lex_state = 261, .external_lex_state = 77},
  [5655] = {.lex_state = 108, .external_lex_state = 58},
  [5656] = {.lex_state = 506},
  [5657] = {.lex_state = 253},
  [5658] = {.lex_state = 506},
  [5659] = {.lex_state = 108, .external_lex_state = 58},
  [5660] = {.lex_state = 261, .external_lex_state = 77},
  [5661] = {.lex_state = 506},
  [5662] = {.lex_state = 506},
  [5663] = {.lex_state = 253},
  [5664] = {.lex_state = 253},
  [5665] = {.lex_state = 261, .external_lex_state = 77},
  [5666] = {.lex_state = 506},
  [5667] = {.lex_state = 108, .external_lex_state = 58},
  [5668] = {.lex_state = 108, .external_lex_state = 58},
  [5669] = {.lex_state = 506},
  [5670] = {.lex_state = 256},
  [5671] = {.lex_state = 253},
  [5672] = {.lex_state = 256},
  [5673] = {.lex_state = 256},
  [5674] = {.lex_state = 253},
  [5675] = {.lex_state = 253},
  [5676] = {.lex_state = 238},
  [5677] = {.lex_state = 506},
  [5678] = {.lex_state = 253},
  [5679] = {.lex_state = 253},
  [5680] = {.lex_state = 253},
  [5681] = {.lex_state = 261, .external_lex_state = 77},
  [5682] = {.lex_state = 506},
  [5683] = {.lex_state = 506},
  [5684] = {.lex_state = 261, .external_lex_state = 77},
  [5685] = {.lex_state = 253},
  [5686] = {.lex_state = 506},
  [5687] = {.lex_state = 506},
  [5688] = {.lex_state = 506},
  [5689] = {.lex_state = 261, .external_lex_state = 77},
  [5690] = {.lex_state = 303},
  [5691] = {.lex_state = 506},
  [5692] = {.lex_state = 253},
  [5693] = {.lex_state = 506},
  [5694] = {.lex_state = 506},
  [5695] = {.lex_state = 253},
  [5696] = {.lex_state = 506},
  [5697] = {.lex_state = 253},
  [5698] = {.lex_state = 506},
  [5699] = {.lex_state = 253},
  [5700] = {.lex_state = 256},
  [5701] = {.lex_state = 256},
  [5702] = {.lex_state = 303},
  [5703] = {.lex_state = 256},
  [5704] = {.lex_state = 506},
  [5705] = {.lex_state = 506},
  [5706] = {.lex_state = 253},
  [5707] = {.lex_state = 261, .external_lex_state = 77},
  [5708] = {.lex_state = 108, .external_lex_state = 58},
  [5709] = {.lex_state = 506},
  [5710] = {.lex_state = 261, .external_lex_state = 77},
  [5711] = {.lex_state = 506},
  [5712] = {.lex_state = 506},
  [5713] = {.lex_state = 253},
  [5714] = {.lex_state = 506, .external_lex_state = 88},
  [5715] = {.lex_state = 506},
  [5716] = {.lex_state = 506},
  [5717] = {.lex_state = 506, .external_lex_state = 88},
  [5718] = {.lex_state = 506},
  [5719] = {.lex_state = 253},
  [5720] = {.lex_state = 253},
  [5721] = {.lex_state = 253},
  [5722] = {.lex_state = 303},
  [5723] = {.lex_state = 256},
  [5724] = {.lex_state = 506},
  [5725] = {.lex_state = 506},
  [5726] = {.lex_state = 108, .external_lex_state = 58},
  [5727] = {.lex_state = 253},
  [5728] = {.lex_state = 108, .external_lex_state = 58},
  [5729] = {.lex_state = 506},
  [5730] = {.lex_state = 506},
  [5731] = {.lex_state = 261, .external_lex_state = 77},
  [5732] = {.lex_state = 506, .external_lex_state = 88},
  [5733] = {.lex_state = 506, .external_lex_state = 88},
  [5734] = {.lex_state = 253},
  [5735] = {.lex_state = 506},
  [5736] = {.lex_state = 506},
  [5737] = {.lex_state = 506},
  [5738] = {.lex_state = 506},
  [5739] = {.lex_state = 261, .external_lex_state = 77},
  [5740] = {.lex_state = 506},
  [5741] = {.lex_state = 253},
  [5742] = {.lex_state = 506},
  [5743] = {.lex_state = 506},
  [5744] = {.lex_state = 261, .external_lex_state = 77},
  [5745] = {.lex_state = 256},
  [5746] = {.lex_state = 256},
  [5747] = {.lex_state = 256},
  [5748] = {.lex_state = 253},
  [5749] = {.lex_state = 506},
  [5750] = {.lex_state = 253},
  [5751] = {.lex_state = 253},
  [5752] = {.lex_state = 253},
  [5753] = {.lex_state = 506},
  [5754] = {.lex_state = 506},
  [5755] = {.lex_state = 253},
  [5756] = {.lex_state = 506},
  [5757] = {.lex_state = 261, .external_lex_state = 77},
  [5758] = {.lex_state = 256},
  [5759] = {.lex_state = 506},
  [5760] = {.lex_state = 506},
  [5761] = {.lex_state = 253},
  [5762] = {.lex_state = 253},
  [5763] = {.lex_state = 506},
  [5764] = {.lex_state = 261, .external_lex_state = 77},
  [5765] = {.lex_state = 506},
  [5766] = {.lex_state = 261, .external_lex_state = 77},
  [5767] = {.lex_state = 303},
  [5768] = {.lex_state = 303},
  [5769] = {.lex_state = 506},
  [5770] = {.lex_state = 506},
  [5771] = {.lex_state = 506},
  [5772] = {.lex_state = 506},
  [5773] = {.lex_state = 506},
  [5774] = {.lex_state = 256},
  [5775] = {.lex_state = 506},
  [5776] = {.lex_state = 256},
  [5777] = {.lex_state = 261, .external_lex_state = 77},
  [5778] = {.lex_state = 506},
  [5779] = {.lex_state = 253},
  [5780] = {.lex_state = 108, .external_lex_state = 58},
  [5781] = {.lex_state = 506},
  [5782] = {.lex_state = 506},
  [5783] = {.lex_state = 506},
  [5784] = {.lex_state = 256},
  [5785] = {.lex_state = 506},
  [5786] = {.lex_state = 506},
  [5787] = {.lex_state = 253},
  [5788] = {.lex_state = 261, .external_lex_state = 77},
  [5789] = {.lex_state = 256},
  [5790] = {.lex_state = 108, .external_lex_state = 58},
  [5791] = {.lex_state = 108, .external_lex_state = 58},
  [5792] = {.lex_state = 303},
  [5793] = {.lex_state = 261, .external_lex_state = 77},
  [5794] = {.lex_state = 506},
  [5795] = {.lex_state = 506},
  [5796] = {.lex_state = 506},
  [5797] = {.lex_state = 506},
  [5798] = {.lex_state = 303},
  [5799] = {.lex_state = 261, .external_lex_state = 77},
  [5800] = {.lex_state = 261, .external_lex_state = 77},
  [5801] = {.lex_state = 261, .external_lex_state = 77},
  [5802] = {.lex_state = 261, .external_lex_state = 77},
  [5803] = {.lex_state = 261, .external_lex_state = 77},
  [5804] = {.lex_state = 261, .external_lex_state = 77},
  [5805] = {.lex_state = 506},
  [5806] = {.lex_state = 261, .external_lex_state = 77},
  [5807] = {.lex_state = 261, .external_lex_state = 77},
  [5808] = {.lex_state = 261, .external_lex_state = 77},
  [5809] = {.lex_state = 261, .external_lex_state = 77},
  [5810] = {.lex_state = 261, .external_lex_state = 77},
  [5811] = {.lex_state = 261, .external_lex_state = 77},
  [5812] = {.lex_state = 506},
  [5813] = {.lex_state = 108, .external_lex_state = 58},
  [5814] = {.lex_state = 255},
  [5815] = {.lex_state = 261, .external_lex_state = 77},
  [5816] = {.lex_state = 261, .external_lex_state = 77},
  [5817] = {.lex_state = 303},
  [5818] = {.lex_state = 261, .external_lex_state = 77},
  [5819] = {.lex_state = 253},
  [5820] = {.lex_state = 261, .external_lex_state = 77},
  [5821] = {.lex_state = 261, .external_lex_state = 77},
  [5822] = {.lex_state = 261, .external_lex_state = 77},
  [5823] = {.lex_state = 506},
  [5824] = {.lex_state = 506, .external_lex_state = 89},
  [5825] = {.lex_state = 261, .external_lex_state = 77},
  [5826] = {.lex_state = 261, .external_lex_state = 77},
  [5827] = {.lex_state = 253},
  [5828] = {.lex_state = 261, .external_lex_state = 77},
  [5829] = {.lex_state = 261, .external_lex_state = 77},
  [5830] = {.lex_state = 261, .external_lex_state = 77},
  [5831] = {.lex_state = 261, .external_lex_state = 77},
  [5832] = {.lex_state = 506},
  [5833] = {.lex_state = 261, .external_lex_state = 77},
  [5834] = {.lex_state = 506},
  [5835] = {.lex_state = 108, .external_lex_state = 58},
  [5836] = {.lex_state = 261, .external_lex_state = 77},
  [5837] = {.lex_state = 506},
  [5838] = {.lex_state = 108, .external_lex_state = 58},
  [5839] = {.lex_state = 506},
  [5840] = {.lex_state = 256},
  [5841] = {.lex_state = 256},
  [5842] = {.lex_state = 506, .external_lex_state = 89},
  [5843] = {.lex_state = 506},
  [5844] = {.lex_state = 506},
  [5845] = {.lex_state = 261, .external_lex_state = 77},
  [5846] = {.lex_state = 261, .external_lex_state = 77},
  [5847] = {.lex_state = 261, .external_lex_state = 77},
  [5848] = {.lex_state = 506},
  [5849] = {.lex_state = 261, .external_lex_state = 77},
  [5850] = {.lex_state = 239, .external_lex_state = 87},
  [5851] = {.lex_state = 108, .external_lex_state = 58},
  [5852] = {.lex_state = 253},
  [5853] = {.lex_state = 239, .external_lex_state = 87},
  [5854] = {.lex_state = 108, .external_lex_state = 58},
  [5855] = {.lex_state = 261, .external_lex_state = 77},
  [5856] = {.lex_state = 253},
  [5857] = {.lex_state = 261, .external_lex_state = 77},
  [5858] = {.lex_state = 506},
  [5859] = {.lex_state = 261, .external_lex_state = 77},
  [5860] = {.lex_state = 506},
  [5861] = {.lex_state = 303},
  [5862] = {.lex_state = 506},
  [5863] = {.lex_state = 506},
  [5864] = {.lex_state = 506},
  [5865] = {.lex_state = 256},
  [5866] = {.lex_state = 506},
  [5867] = {.lex_state = 253},
  [5868] = {.lex_state = 253},
  [5869] = {.lex_state = 261, .external_lex_state = 77},
  [5870] = {.lex_state = 238},
  [5871] = {.lex_state = 256},
  [5872] = {.lex_state = 253},
  [5873] = {.lex_state = 261, .external_lex_state = 77},
  [5874] = {.lex_state = 506},
  [5875] = {.lex_state = 261, .external_lex_state = 77},
  [5876] = {.lex_state = 506},
  [5877] = {.lex_state = 506},
  [5878] = {.lex_state = 261, .external_lex_state = 77},
  [5879] = {.lex_state = 506},
  [5880] = {.lex_state = 506},
  [5881] = {.lex_state = 506},
  [5882] = {.lex_state = 506},
  [5883] = {.lex_state = 261, .external_lex_state = 77},
  [5884] = {.lex_state = 506},
  [5885] = {.lex_state = 506},
  [5886] = {.lex_state = 256},
  [5887] = {.lex_state = 239, .external_lex_state = 87},
  [5888] = {.lex_state = 239, .external_lex_state = 87},
  [5889] = {.lex_state = 506},
  [5890] = {.lex_state = 506},
  [5891] = {.lex_state = 506},
  [5892] = {.lex_state = 506},
  [5893] = {.lex_state = 506},
  [5894] = {.lex_state = 506},
  [5895] = {.lex_state = 261, .external_lex_state = 77},
  [5896] = {.lex_state = 506},
  [5897] = {.lex_state = 261, .external_lex_state = 77},
  [5898] = {.lex_state = 506, .external_lex_state = 89},
  [5899] = {.lex_state = 506},
  [5900] = {.lex_state = 506},
  [5901] = {.lex_state = 506},
  [5902] = {.lex_state = 506},
  [5903] = {.lex_state = 256},
  [5904] = {.lex_state = 506},
  [5905] = {.lex_state = 261, .external_lex_state = 77},
  [5906] = {.lex_state = 261, .external_lex_state = 77},
  [5907] = {.lex_state = 261, .external_lex_state = 77},
  [5908] = {.lex_state = 506},
  [5909] = {.lex_state = 506},
  [5910] = {.lex_state = 506},
  [5911] = {.lex_state = 256},
  [5912] = {.lex_state = 506},
  [5913] = {.lex_state = 506},
  [5914] = {.lex_state = 261, .external_lex_state = 77},
  [5915] = {.lex_state = 506},
  [5916] = {.lex_state = 506},
  [5917] = {.lex_state = 261, .external_lex_state = 77},
  [5918] = {.lex_state = 261, .external_lex_state = 77},
  [5919] = {.lex_state = 506},
  [5920] = {.lex_state = 261},
  [5921] = {.lex_state = 506},
  [5922] = {.lex_state = 506},
  [5923] = {.lex_state = 261, .external_lex_state = 77},
  [5924] = {.lex_state = 261, .external_lex_state = 77},
  [5925] = {.lex_state = 261, .external_lex_state = 77},
  [5926] = {.lex_state = 261, .external_lex_state = 77},
  [5927] = {.lex_state = 261, .external_lex_state = 77},
  [5928] = {.lex_state = 261, .external_lex_state = 77},
  [5929] = {.lex_state = 261, .external_lex_state = 77},
  [5930] = {.lex_state = 261, .external_lex_state = 77},
  [5931] = {.lex_state = 261, .external_lex_state = 77},
  [5932] = {.lex_state = 261, .external_lex_state = 77},
  [5933] = {.lex_state = 261, .external_lex_state = 77},
  [5934] = {.lex_state = 261, .external_lex_state = 77},
  [5935] = {.lex_state = 506},
  [5936] = {.lex_state = 256},
  [5937] = {.lex_state = 256},
  [5938] = {.lex_state = 506},
  [5939] = {.lex_state = 506},
  [5940] = {.lex_state = 261, .external_lex_state = 77},
  [5941] = {.lex_state = 261, .external_lex_state = 77},
  [5942] = {.lex_state = 255},
  [5943] = {.lex_state = 506},
  [5944] = {.lex_state = 506},
  [5945] = {.lex_state = 303},
  [5946] = {.lex_state = 253},
  [5947] = {.lex_state = 506},
  [5948] = {.lex_state = 506},
  [5949] = {.lex_state = 506},
  [5950] = {.lex_state = 506, .external_lex_state = 89},
  [5951] = {.lex_state = 506},
  [5952] = {.lex_state = 506},
  [5953] = {.lex_state = 506},
  [5954] = {.lex_state = 506, .external_lex_state = 89},
  [5955] = {.lex_state = 506},
  [5956] = {.lex_state = 261, .external_lex_state = 77},
  [5957] = {.lex_state = 261, .external_lex_state = 77},
  [5958] = {.lex_state = 253},
  [5959] = {.lex_state = 253},
  [5960] = {.lex_state = 506},
  [5961] = {.lex_state = 506},
  [5962] = {.lex_state = 261, .external_lex_state = 77},
  [5963] = {.lex_state = 506},
  [5964] = {.lex_state = 506},
  [5965] = {.lex_state = 506},
  [5966] = {.lex_state = 506},
  [5967] = {.lex_state = 238},
  [5968] = {.lex_state = 506},
  [5969] = {.lex_state = 506},
  [5970] = {.lex_state = 253},
  [5971] = {.lex_state = 506},
  [5972] = {.lex_state = 256},
  [5973] = {.lex_state = 506},
  [5974] = {.lex_state = 506},
  [5975] = {.lex_state = 506},
  [5976] = {.lex_state = 506},
  [5977] = {.lex_state = 506},
  [5978] = {.lex_state = 261, .external_lex_state = 77},
  [5979] = {.lex_state = 506},
  [5980] = {.lex_state = 506},
  [5981] = {.lex_state = 506, .external_lex_state = 89},
  [5982] = {.lex_state = 506},
  [5983] = {.lex_state = 506},
  [5984] = {.lex_state = 506},
  [5985] = {.lex_state = 506},
  [5986] = {.lex_state = 506},
  [5987] = {.lex_state = 506},
  [5988] = {.lex_state = 506},
  [5989] = {.lex_state = 261, .external_lex_state = 77},
  [5990] = {.lex_state = 256},
  [5991] = {.lex_state = 261, .external_lex_state = 77},
  [5992] = {.lex_state = 506},
  [5993] = {.lex_state = 256},
  [5994] = {.lex_state = 261, .external_lex_state = 77},
  [5995] = {.lex_state = 506},
  [5996] = {.lex_state = 506},
  [5997] = {.lex_state = 506},
  [5998] = {.lex_state = 261, .external_lex_state = 77},
  [5999] = {.lex_state = 506},
  [6000] = {.lex_state = 506},
  [6001] = {.lex_state = 506},
  [6002] = {.lex_state = 506},
  [6003] = {.lex_state = 506},
  [6004] = {.lex_state = 253},
  [6005] = {.lex_state = 253},
  [6006] = {.lex_state = 506},
  [6007] = {.lex_state = 506},
  [6008] = {.lex_state = 261, .external_lex_state = 77},
  [6009] = {.lex_state = 261, .external_lex_state = 77},
  [6010] = {.lex_state = 506},
  [6011] = {.lex_state = 253},
  [6012] = {.lex_state = 253},
  [6013] = {.lex_state = 303},
  [6014] = {.lex_state = 506},
  [6015] = {.lex_state = 506},
  [6016] = {.lex_state = 506},
  [6017] = {.lex_state = 256},
  [6018] = {.lex_state = 506},
  [6019] = {.lex_state = 261, .external_lex_state = 77},
  [6020] = {.lex_state = 506},
  [6021] = {.lex_state = 506},
  [6022] = {.lex_state = 303},
  [6023] = {.lex_state = 253},
  [6024] = {.lex_state = 506},
  [6025] = {.lex_state = 506},
  [6026] = {.lex_state = 506, .external_lex_state = 89},
  [6027] = {.lex_state = 506},
  [6028] = {.lex_state = 506},
  [6029] = {.lex_state = 506, .external_lex_state = 89},
  [6030] = {.lex_state = 506, .external_lex_state = 88},
  [6031] = {.lex_state = 506},
  [6032] = {.lex_state = 506, .external_lex_state = 88},
  [6033] = {.lex_state = 506},
  [6034] = {.lex_state = 506},
  [6035] = {.lex_state = 253},
  [6036] = {.lex_state = 261, .external_lex_state = 77},
  [6037] = {.lex_state = 253},
  [6038] = {.lex_state = 261, .external_lex_state = 77},
  [6039] = {.lex_state = 303},
  [6040] = {.lex_state = 506},
  [6041] = {.lex_state = 506},
  [6042] = {.lex_state = 303},
  [6043] = {.lex_state = 253},
  [6044] = {.lex_state = 506},
  [6045] = {.lex_state = 506},
  [6046] = {.lex_state = 253},
  [6047] = {.lex_state = 261, .external_lex_state = 77},
  [6048] = {.lex_state = 256},
  [6049] = {.lex_state = 506},
  [6050] = {.lex_state = 506},
  [6051] = {.lex_state = 253},
  [6052] = {.lex_state = 506},
  [6053] = {.lex_state = 253},
  [6054] = {.lex_state = 506},
  [6055] = {.lex_state = 303},
  [6056] = {.lex_state = 506},
  [6057] = {.lex_state = 261, .external_lex_state = 77},
  [6058] = {.lex_state = 261, .external_lex_state = 77},
  [6059] = {.lex_state = 253},
  [6060] = {.lex_state = 506},
  [6061] = {.lex_state = 253},
  [6062] = {.lex_state = 253},
  [6063] = {.lex_state = 253},
  [6064] = {.lex_state = 253},
  [6065] = {.lex_state = 253},
  [6066] = {.lex_state = 253},
  [6067] = {.lex_state = 253},
  [6068] = {.lex_state = 253},
  [6069] = {.lex_state = 253},
  [6070] = {.lex_state = 253},
  [6071] = {.lex_state = 253},
  [6072] = {.lex_state = 253},
  [6073] = {.lex_state = 253},
  [6074] = {.lex_state = 253},
  [6075] = {.lex_state = 253},
  [6076] = {.lex_state = 253},
  [6077] = {.lex_state = 253},
  [6078] = {.lex_state = 253},
  [6079] = {.lex_state = 253},
  [6080] = {.lex_state = 253},
  [6081] = {.lex_state = 253},
  [6082] = {.lex_state = 253},
  [6083] = {.lex_state = 253},
  [6084] = {.lex_state = 253},
  [6085] = {.lex_state = 253},
  [6086] = {.lex_state = 253},
  [6087] = {.lex_state = 253},
  [6088] = {.lex_state = 253},
  [6089] = {.lex_state = 253},
  [6090] = {.lex_state = 253},
  [6091] = {.lex_state = 253},
  [6092] = {.lex_state = 253},
  [6093] = {.lex_state = 253},
  [6094] = {.lex_state = 253},
  [6095] = {.lex_state = 253},
  [6096] = {.lex_state = 253},
  [6097] = {.lex_state = 253},
  [6098] = {.lex_state = 253},
  [6099] = {.lex_state = 253},
  [6100] = {.lex_state = 253},
  [6101] = {.lex_state = 253},
  [6102] = {.lex_state = 253},
  [6103] = {.lex_state = 506},
  [6104] = {.lex_state = 256},
  [6105] = {.lex_state = 506},
  [6106] = {.lex_state = 506},
  [6107] = {.lex_state = 506},
  [6108] = {.lex_state = 239, .external_lex_state = 87},
  [6109] = {.lex_state = 506},
  [6110] = {.lex_state = 506},
  [6111] = {.lex_state = 239, .external_lex_state = 87},
  [6112] = {.lex_state = 256},
  [6113] = {.lex_state = 253},
  [6114] = {.lex_state = 303},
  [6115] = {.lex_state = 255},
  [6116] = {.lex_state = 261, .external_lex_state = 77},
  [6117] = {.lex_state = 506},
  [6118] = {.lex_state = 253},
  [6119] = {.lex_state = 253},
  [6120] = {.lex_state = 253},
  [6121] = {.lex_state = 253},
  [6122] = {.lex_state = 253},
  [6123] = {.lex_state = 253},
  [6124] = {.lex_state = 253},
  [6125] = {.lex_state = 253},
  [6126] = {.lex_state = 253},
  [6127] = {.lex_state = 253},
  [6128] = {.lex_state = 253},
  [6129] = {.lex_state = 253},
  [6130] = {.lex_state = 253},
  [6131] = {.lex_state = 253},
  [6132] = {.lex_state = 253},
  [6133] = {.lex_state = 253},
  [6134] = {.lex_state = 253},
  [6135] = {.lex_state = 253},
  [6136] = {.lex_state = 253},
  [6137] = {.lex_state = 253},
  [6138] = {.lex_state = 253},
  [6139] = {.lex_state = 253},
  [6140] = {.lex_state = 253},
  [6141] = {.lex_state = 253},
  [6142] = {.lex_state = 253},
  [6143] = {.lex_state = 253},
  [6144] = {.lex_state = 253},
  [6145] = {.lex_state = 253},
  [6146] = {.lex_state = 253},
  [6147] = {.lex_state = 253},
  [6148] = {.lex_state = 253},
  [6149] = {.lex_state = 253},
  [6150] = {.lex_state = 253},
  [6151] = {.lex_state = 253},
  [6152] = {.lex_state = 253},
  [6153] = {.lex_state = 253},
  [6154] = {.lex_state = 253},
  [6155] = {.lex_state = 253},
  [6156] = {.lex_state = 253},
  [6157] = {.lex_state = 253},
  [6158] = {.lex_state = 253},
  [6159] = {.lex_state = 253},
  [6160] = {.lex_state = 253},
  [6161] = {.lex_state = 253},
  [6162] = {.lex_state = 253},
  [6163] = {.lex_state = 506},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_select] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_until] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_done] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_fi] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_esac] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_SEMI_AMP] = ACTIONS(1),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PIPE_AMP] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_typeset] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_local] = ACTIONS(1),
    [anon_sym_unset] = ACTIONS(1),
    [anon_sym_unsetenv] = ACTIONS(1),
    [anon_sym_AMP_GT] = ACTIONS(1),
    [anon_sym_AMP_GT_GT] = ACTIONS(1),
    [anon_sym_LT_AMP] = ACTIONS(1),
    [anon_sym_GT_AMP] = ACTIONS(1),
    [anon_sym_GT_PIPE] = ACTIONS(1),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_DASH] = ACTIONS(1),
    [anon_sym_LT_LT_LT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_DASH2] = ACTIONS(1),
    [anon_sym_PLUS2] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_RBRACE2] = ACTIONS(1),
    [aux_sym_concatenation_token1] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [sym__special_character] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_raw_string] = ACTIONS(1),
    [sym_ansi_c_string] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE3] = ACTIONS(1),
    [anon_sym_BANG2] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_STAR2] = ACTIONS(1),
    [anon_sym_POUND2] = ACTIONS(1),
    [anon_sym_EQ2] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_DASH3] = ACTIONS(1),
    [anon_sym_COLON_DASH] = ACTIONS(1),
    [anon_sym_PLUS3] = ACTIONS(1),
    [anon_sym_COLON_PLUS] = ACTIONS(1),
    [anon_sym_QMARK2] = ACTIONS(1),
    [anon_sym_COLON_QMARK] = ACTIONS(1),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_SLASH_POUND] = ACTIONS(1),
    [anon_sym_SLASH_PERCENT] = ACTIONS(1),
    [anon_sym_COMMA_COMMA] = ACTIONS(1),
    [anon_sym_CARET_CARET] = ACTIONS(1),
    [anon_sym_U] = ACTIONS(1),
    [anon_sym_u] = ACTIONS(1),
    [anon_sym_L] = ACTIONS(1),
    [anon_sym_Q] = ACTIONS(1),
    [anon_sym_E] = ACTIONS(1),
    [anon_sym_P] = ACTIONS(1),
    [anon_sym_A] = ACTIONS(1),
    [anon_sym_K] = ACTIONS(1),
    [anon_sym_a] = ACTIONS(1),
    [anon_sym_k] = ACTIONS(1),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1),
    [anon_sym_LT_LPAREN] = ACTIONS(1),
    [anon_sym_GT_LPAREN] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__comment_word] = ACTIONS(1),
    [anon_sym_AT2] = ACTIONS(1),
    [anon_sym_0] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [sym_heredoc_start] = ACTIONS(1),
    [sym_simple_heredoc_body] = ACTIONS(1),
    [sym__heredoc_body_beginning] = ACTIONS(1),
    [sym_heredoc_content] = ACTIONS(1),
    [sym_heredoc_end] = ACTIONS(1),
    [sym_file_descriptor] = ACTIONS(1),
    [sym__empty_value] = ACTIONS(1),
    [sym__concat] = ACTIONS(1),
    [sym_variable_name] = ACTIONS(1),
    [sym_test_operator] = ACTIONS(1),
    [sym_regex] = ACTIONS(1),
    [sym__regex_no_slash] = ACTIONS(1),
    [sym__regex_no_space] = ACTIONS(1),
    [sym__expansion_word] = ACTIONS(1),
    [sym_extglob_pattern] = ACTIONS(1),
    [sym__bare_dollar] = ACTIONS(1),
    [sym__brace_start] = ACTIONS(1),
    [sym__immediate_double_hash] = ACTIONS(1),
    [sym__external_expansion_sym_hash] = ACTIONS(1),
    [sym__external_expansion_sym_bang] = ACTIONS(1),
    [sym__external_expansion_sym_equal] = ACTIONS(1),
    [sym___error_recovery] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(6107),
    [sym__statements] = STATE(6106),
    [sym__statement_not_pipeline] = STATE(5226),
    [sym_redirected_statement] = STATE(3748),
    [sym_for_statement] = STATE(3748),
    [sym_c_style_for_statement] = STATE(3748),
    [sym_while_statement] = STATE(3576),
    [sym_if_statement] = STATE(3576),
    [sym_case_statement] = STATE(3748),
    [sym_function_definition] = STATE(3748),
    [sym_compound_statement] = STATE(3748),
    [sym_subshell] = STATE(3748),
    [sym_pipeline] = STATE(4089),
    [sym_list] = STATE(3748),
    [sym_negated_command] = STATE(3748),
    [sym_test_command] = STATE(3748),
    [sym_declaration_command] = STATE(3748),
    [sym_unset_command] = STATE(3748),
    [sym_command] = STATE(3748),
    [sym_command_name] = STATE(433),
    [sym_variable_assignment] = STATE(811),
    [sym_variable_assignments] = STATE(3748),
    [sym_subscript] = STATE(5469),
    [sym_file_redirect] = STATE(1637),
    [sym_herestring_redirect] = STATE(1650),
    [sym_arithmetic_expansion] = STATE(813),
    [sym_brace_expression] = STATE(813),
    [sym_concatenation] = STATE(1141),
    [sym_string] = STATE(813),
    [sym_translated_string] = STATE(813),
    [sym_number] = STATE(813),
    [sym_simple_expansion] = STATE(813),
    [sym_expansion] = STATE(813),
    [sym_command_substitution] = STATE(813),
    [sym_process_substitution] = STATE(813),
    [aux_sym__statements_repeat1] = STATE(319),
    [aux_sym_redirected_statement_repeat2] = STATE(4046),
    [aux_sym_command_repeat1] = STATE(803),
    [aux_sym__literal_repeat1] = STATE(985),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(13),
    [anon_sym_LT] = ACTIONS(15),
    [anon_sym_GT] = ACTIONS(15),
    [anon_sym_GT_GT] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(37),
    [anon_sym_typeset] = ACTIONS(37),
    [anon_sym_export] = ACTIONS(37),
    [anon_sym_readonly] = ACTIONS(37),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_unset] = ACTIONS(39),
    [anon_sym_unsetenv] = ACTIONS(39),
    [anon_sym_AMP_GT] = ACTIONS(15),
    [anon_sym_AMP_GT_GT] = ACTIONS(17),
    [anon_sym_LT_AMP] = ACTIONS(15),
    [anon_sym_GT_AMP] = ACTIONS(15),
    [anon_sym_GT_PIPE] = ACTIONS(17),
    [anon_sym_LT_AMP_DASH] = ACTIONS(41),
    [anon_sym_GT_AMP_DASH] = ACTIONS(41),
    [anon_sym_LT_LT_LT] = ACTIONS(43),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(47),
    [anon_sym_DOLLAR] = ACTIONS(49),
    [sym__special_character] = ACTIONS(51),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_raw_string] = ACTIONS(55),
    [sym_ansi_c_string] = ACTIONS(55),
    [aux_sym_number_token1] = ACTIONS(57),
    [aux_sym_number_token2] = ACTIONS(59),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(67),
    [anon_sym_LT_LPAREN] = ACTIONS(69),
    [anon_sym_GT_LPAREN] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(73),
    [sym_variable_name] = ACTIONS(75),
    [sym_test_operator] = ACTIONS(77),
    [sym__brace_start] = ACTIONS(79),
  },
  [2] = {
    [sym__statements] = STATE(5980),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym__expression] = STATE(2597),
    [sym_binary_expression] = STATE(2582),
    [sym_ternary_expression] = STATE(2582),
    [sym_unary_expression] = STATE(2582),
    [sym_postfix_expression] = STATE(2582),
    [sym_parenthesized_expression] = STATE(2582),
    [sym_arithmetic_expansion] = STATE(371),
    [sym_brace_expression] = STATE(371),
    [sym_concatenation] = STATE(395),
    [sym_string] = STATE(371),
    [sym_translated_string] = STATE(371),
    [sym_number] = STATE(371),
    [sym_simple_expansion] = STATE(371),
    [sym_expansion] = STATE(371),
    [sym_command_substitution] = STATE(371),
    [sym_process_substitution] = STATE(371),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(392),
    [sym_word] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_PLUS_PLUS2] = ACTIONS(103),
    [anon_sym_DASH_DASH2] = ACTIONS(103),
    [anon_sym_DASH2] = ACTIONS(105),
    [anon_sym_PLUS2] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(109),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [sym__special_character] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_raw_string] = ACTIONS(119),
    [sym_ansi_c_string] = ACTIONS(119),
    [aux_sym_number_token1] = ACTIONS(121),
    [aux_sym_number_token2] = ACTIONS(123),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(125),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(127),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(131),
    [anon_sym_LT_LPAREN] = ACTIONS(133),
    [anon_sym_GT_LPAREN] = ACTIONS(133),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(139),
    [sym__brace_start] = ACTIONS(141),
  },
  [3] = {
    [sym__statements] = STATE(6031),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym__expression] = STATE(2484),
    [sym_binary_expression] = STATE(2582),
    [sym_ternary_expression] = STATE(2582),
    [sym_unary_expression] = STATE(2582),
    [sym_postfix_expression] = STATE(2582),
    [sym_parenthesized_expression] = STATE(2582),
    [sym_arithmetic_expansion] = STATE(371),
    [sym_brace_expression] = STATE(371),
    [sym_concatenation] = STATE(395),
    [sym_string] = STATE(371),
    [sym_translated_string] = STATE(371),
    [sym_number] = STATE(371),
    [sym_simple_expansion] = STATE(371),
    [sym_expansion] = STATE(371),
    [sym_command_substitution] = STATE(371),
    [sym_process_substitution] = STATE(371),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(392),
    [sym_word] = ACTIONS(81),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_PLUS_PLUS2] = ACTIONS(103),
    [anon_sym_DASH_DASH2] = ACTIONS(103),
    [anon_sym_DASH2] = ACTIONS(105),
    [anon_sym_PLUS2] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(109),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [sym__special_character] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_raw_string] = ACTIONS(119),
    [sym_ansi_c_string] = ACTIONS(119),
    [aux_sym_number_token1] = ACTIONS(121),
    [aux_sym_number_token2] = ACTIONS(123),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(125),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(127),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(131),
    [anon_sym_LT_LPAREN] = ACTIONS(133),
    [anon_sym_GT_LPAREN] = ACTIONS(133),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(139),
    [sym__brace_start] = ACTIONS(141),
  },
  [4] = {
    [sym__statement_not_pipeline] = STATE(5354),
    [sym_redirected_statement] = STATE(4240),
    [sym_for_statement] = STATE(4373),
    [sym_c_style_for_statement] = STATE(4373),
    [sym_while_statement] = STATE(4112),
    [sym_if_statement] = STATE(4112),
    [sym_case_statement] = STATE(4373),
    [sym_function_definition] = STATE(4373),
    [sym_compound_statement] = STATE(4373),
    [sym_subshell] = STATE(4373),
    [sym_pipeline] = STATE(4440),
    [sym_list] = STATE(4373),
    [sym_negated_command] = STATE(4373),
    [sym_test_command] = STATE(4373),
    [sym_declaration_command] = STATE(4373),
    [sym_unset_command] = STATE(4373),
    [sym_command] = STATE(4373),
    [sym_command_name] = STATE(516),
    [sym_variable_assignment] = STATE(1523),
    [sym_variable_assignments] = STATE(4373),
    [sym_subscript] = STATE(5431),
    [sym_file_redirect] = STATE(2137),
    [sym_herestring_redirect] = STATE(2138),
    [sym__expression] = STATE(2461),
    [sym_binary_expression] = STATE(2449),
    [sym_ternary_expression] = STATE(2449),
    [sym_unary_expression] = STATE(2449),
    [sym_postfix_expression] = STATE(2449),
    [sym_parenthesized_expression] = STATE(2449),
    [sym_arithmetic_expansion] = STATE(400),
    [sym_brace_expression] = STATE(400),
    [sym_concatenation] = STATE(422),
    [sym_string] = STATE(400),
    [sym_translated_string] = STATE(400),
    [sym_number] = STATE(400),
    [sym_simple_expansion] = STATE(400),
    [sym_expansion] = STATE(400),
    [sym_command_substitution] = STATE(400),
    [sym_process_substitution] = STATE(400),
    [aux_sym_redirected_statement_repeat2] = STATE(4364),
    [aux_sym_command_repeat1] = STATE(806),
    [aux_sym__literal_repeat1] = STATE(420),
    [sym_word] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_select] = ACTIONS(147),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(149),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_GT_GT] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_until] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_case] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(173),
    [anon_sym_declare] = ACTIONS(175),
    [anon_sym_typeset] = ACTIONS(175),
    [anon_sym_export] = ACTIONS(175),
    [anon_sym_readonly] = ACTIONS(175),
    [anon_sym_local] = ACTIONS(175),
    [anon_sym_unset] = ACTIONS(177),
    [anon_sym_unsetenv] = ACTIONS(177),
    [anon_sym_AMP_GT] = ACTIONS(151),
    [anon_sym_AMP_GT_GT] = ACTIONS(153),
    [anon_sym_LT_AMP] = ACTIONS(151),
    [anon_sym_GT_AMP] = ACTIONS(151),
    [anon_sym_GT_PIPE] = ACTIONS(153),
    [anon_sym_LT_AMP_DASH] = ACTIONS(179),
    [anon_sym_GT_AMP_DASH] = ACTIONS(179),
    [anon_sym_LT_LT_LT] = ACTIONS(181),
    [anon_sym_PLUS_PLUS2] = ACTIONS(183),
    [anon_sym_DASH_DASH2] = ACTIONS(183),
    [anon_sym_DASH2] = ACTIONS(185),
    [anon_sym_PLUS2] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(187),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(189),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(191),
    [anon_sym_DOLLAR] = ACTIONS(193),
    [sym__special_character] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_raw_string] = ACTIONS(199),
    [sym_ansi_c_string] = ACTIONS(199),
    [aux_sym_number_token1] = ACTIONS(201),
    [aux_sym_number_token2] = ACTIONS(203),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(205),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(207),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(211),
    [anon_sym_LT_LPAREN] = ACTIONS(213),
    [anon_sym_GT_LPAREN] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(215),
    [sym_variable_name] = ACTIONS(217),
    [sym_test_operator] = ACTIONS(219),
    [sym__brace_start] = ACTIONS(221),
  },
  [5] = {
    [sym__statement_not_pipeline] = STATE(5354),
    [sym_redirected_statement] = STATE(4267),
    [sym_for_statement] = STATE(4373),
    [sym_c_style_for_statement] = STATE(4373),
    [sym_while_statement] = STATE(4112),
    [sym_if_statement] = STATE(4112),
    [sym_case_statement] = STATE(4373),
    [sym_function_definition] = STATE(4373),
    [sym_compound_statement] = STATE(4373),
    [sym_subshell] = STATE(4373),
    [sym_pipeline] = STATE(4440),
    [sym_list] = STATE(4373),
    [sym_negated_command] = STATE(4373),
    [sym_test_command] = STATE(4373),
    [sym_declaration_command] = STATE(4373),
    [sym_unset_command] = STATE(4373),
    [sym_command] = STATE(4373),
    [sym_command_name] = STATE(516),
    [sym_variable_assignment] = STATE(1523),
    [sym_variable_assignments] = STATE(4373),
    [sym_subscript] = STATE(5431),
    [sym_file_redirect] = STATE(2137),
    [sym_herestring_redirect] = STATE(2138),
    [sym__expression] = STATE(2550),
    [sym_binary_expression] = STATE(2449),
    [sym_ternary_expression] = STATE(2449),
    [sym_unary_expression] = STATE(2449),
    [sym_postfix_expression] = STATE(2449),
    [sym_parenthesized_expression] = STATE(2449),
    [sym_arithmetic_expansion] = STATE(400),
    [sym_brace_expression] = STATE(400),
    [sym_concatenation] = STATE(422),
    [sym_string] = STATE(400),
    [sym_translated_string] = STATE(400),
    [sym_number] = STATE(400),
    [sym_simple_expansion] = STATE(400),
    [sym_expansion] = STATE(400),
    [sym_command_substitution] = STATE(400),
    [sym_process_substitution] = STATE(400),
    [aux_sym_redirected_statement_repeat2] = STATE(4364),
    [aux_sym_command_repeat1] = STATE(806),
    [aux_sym__literal_repeat1] = STATE(420),
    [sym_word] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_select] = ACTIONS(147),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(149),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_GT_GT] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_until] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_case] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_RBRACK] = ACTIONS(223),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(173),
    [anon_sym_declare] = ACTIONS(175),
    [anon_sym_typeset] = ACTIONS(175),
    [anon_sym_export] = ACTIONS(175),
    [anon_sym_readonly] = ACTIONS(175),
    [anon_sym_local] = ACTIONS(175),
    [anon_sym_unset] = ACTIONS(177),
    [anon_sym_unsetenv] = ACTIONS(177),
    [anon_sym_AMP_GT] = ACTIONS(151),
    [anon_sym_AMP_GT_GT] = ACTIONS(153),
    [anon_sym_LT_AMP] = ACTIONS(151),
    [anon_sym_GT_AMP] = ACTIONS(151),
    [anon_sym_GT_PIPE] = ACTIONS(153),
    [anon_sym_LT_AMP_DASH] = ACTIONS(179),
    [anon_sym_GT_AMP_DASH] = ACTIONS(179),
    [anon_sym_LT_LT_LT] = ACTIONS(181),
    [anon_sym_PLUS_PLUS2] = ACTIONS(183),
    [anon_sym_DASH_DASH2] = ACTIONS(183),
    [anon_sym_DASH2] = ACTIONS(185),
    [anon_sym_PLUS2] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(187),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(189),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(191),
    [anon_sym_DOLLAR] = ACTIONS(193),
    [sym__special_character] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_raw_string] = ACTIONS(199),
    [sym_ansi_c_string] = ACTIONS(199),
    [aux_sym_number_token1] = ACTIONS(201),
    [aux_sym_number_token2] = ACTIONS(203),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(205),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(207),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(211),
    [anon_sym_LT_LPAREN] = ACTIONS(213),
    [anon_sym_GT_LPAREN] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(215),
    [sym_variable_name] = ACTIONS(217),
    [sym_test_operator] = ACTIONS(219),
    [sym__brace_start] = ACTIONS(221),
  },
  [6] = {
    [sym__statement_not_pipeline] = STATE(5354),
    [sym_redirected_statement] = STATE(4216),
    [sym_for_statement] = STATE(4373),
    [sym_c_style_for_statement] = STATE(4373),
    [sym_while_statement] = STATE(4112),
    [sym_if_statement] = STATE(4112),
    [sym_case_statement] = STATE(4373),
    [sym_function_definition] = STATE(4373),
    [sym_compound_statement] = STATE(4373),
    [sym_subshell] = STATE(4373),
    [sym_pipeline] = STATE(4440),
    [sym_list] = STATE(4373),
    [sym_negated_command] = STATE(4373),
    [sym_test_command] = STATE(4373),
    [sym_declaration_command] = STATE(4373),
    [sym_unset_command] = STATE(4373),
    [sym_command] = STATE(4373),
    [sym_command_name] = STATE(516),
    [sym_variable_assignment] = STATE(1523),
    [sym_variable_assignments] = STATE(4373),
    [sym_subscript] = STATE(5431),
    [sym_file_redirect] = STATE(2137),
    [sym_herestring_redirect] = STATE(2138),
    [sym__expression] = STATE(2479),
    [sym_binary_expression] = STATE(2449),
    [sym_ternary_expression] = STATE(2449),
    [sym_unary_expression] = STATE(2449),
    [sym_postfix_expression] = STATE(2449),
    [sym_parenthesized_expression] = STATE(2449),
    [sym_arithmetic_expansion] = STATE(400),
    [sym_brace_expression] = STATE(400),
    [sym_concatenation] = STATE(422),
    [sym_string] = STATE(400),
    [sym_translated_string] = STATE(400),
    [sym_number] = STATE(400),
    [sym_simple_expansion] = STATE(400),
    [sym_expansion] = STATE(400),
    [sym_command_substitution] = STATE(400),
    [sym_process_substitution] = STATE(400),
    [aux_sym_redirected_statement_repeat2] = STATE(4364),
    [aux_sym_command_repeat1] = STATE(806),
    [aux_sym__literal_repeat1] = STATE(420),
    [sym_word] = ACTIONS(143),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_select] = ACTIONS(147),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(149),
    [anon_sym_LT] = ACTIONS(151),
    [anon_sym_GT] = ACTIONS(151),
    [anon_sym_GT_GT] = ACTIONS(153),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_until] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_case] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(167),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_RBRACK] = ACTIONS(225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(173),
    [anon_sym_declare] = ACTIONS(175),
    [anon_sym_typeset] = ACTIONS(175),
    [anon_sym_export] = ACTIONS(175),
    [anon_sym_readonly] = ACTIONS(175),
    [anon_sym_local] = ACTIONS(175),
    [anon_sym_unset] = ACTIONS(177),
    [anon_sym_unsetenv] = ACTIONS(177),
    [anon_sym_AMP_GT] = ACTIONS(151),
    [anon_sym_AMP_GT_GT] = ACTIONS(153),
    [anon_sym_LT_AMP] = ACTIONS(151),
    [anon_sym_GT_AMP] = ACTIONS(151),
    [anon_sym_GT_PIPE] = ACTIONS(153),
    [anon_sym_LT_AMP_DASH] = ACTIONS(179),
    [anon_sym_GT_AMP_DASH] = ACTIONS(179),
    [anon_sym_LT_LT_LT] = ACTIONS(181),
    [anon_sym_PLUS_PLUS2] = ACTIONS(183),
    [anon_sym_DASH_DASH2] = ACTIONS(183),
    [anon_sym_DASH2] = ACTIONS(185),
    [anon_sym_PLUS2] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(187),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(189),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(191),
    [anon_sym_DOLLAR] = ACTIONS(193),
    [sym__special_character] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_raw_string] = ACTIONS(199),
    [sym_ansi_c_string] = ACTIONS(199),
    [aux_sym_number_token1] = ACTIONS(201),
    [aux_sym_number_token2] = ACTIONS(203),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(205),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(207),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(211),
    [anon_sym_LT_LPAREN] = ACTIONS(213),
    [anon_sym_GT_LPAREN] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(215),
    [sym_variable_name] = ACTIONS(217),
    [sym_test_operator] = ACTIONS(219),
    [sym__brace_start] = ACTIONS(221),
  },
  [7] = {
    [sym__expression] = STATE(2442),
    [sym_binary_expression] = STATE(2582),
    [sym_ternary_expression] = STATE(2582),
    [sym_unary_expression] = STATE(2582),
    [sym_postfix_expression] = STATE(2582),
    [sym_parenthesized_expression] = STATE(2582),
    [sym_arithmetic_expansion] = STATE(2112),
    [sym_brace_expression] = STATE(2112),
    [sym_concatenation] = STATE(2582),
    [sym_string] = STATE(2112),
    [sym_translated_string] = STATE(2112),
    [sym_number] = STATE(2112),
    [sym_simple_expansion] = STATE(2112),
    [sym_expansion] = STATE(2112),
    [sym_command_substitution] = STATE(2112),
    [sym_process_substitution] = STATE(2112),
    [aux_sym__literal_repeat1] = STATE(2140),
    [aux_sym_concatenation_repeat1] = STATE(369),
    [sym_word] = ACTIONS(227),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(229),
    [anon_sym_SEMI] = ACTIONS(231),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(233),
    [anon_sym_GT_GT_EQ] = ACTIONS(233),
    [anon_sym_AMP_EQ] = ACTIONS(233),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(233),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(233),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_RPAREN] = ACTIONS(235),
    [anon_sym_SEMI_SEMI] = ACTIONS(231),
    [anon_sym_PIPE_AMP] = ACTIONS(231),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_AMP_GT] = ACTIONS(231),
    [anon_sym_AMP_GT_GT] = ACTIONS(231),
    [anon_sym_LT_AMP] = ACTIONS(231),
    [anon_sym_GT_AMP] = ACTIONS(231),
    [anon_sym_GT_PIPE] = ACTIONS(231),
    [anon_sym_LT_AMP_DASH] = ACTIONS(231),
    [anon_sym_GT_AMP_DASH] = ACTIONS(231),
    [anon_sym_LT_LT_DASH] = ACTIONS(231),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(231),
    [anon_sym_LT_LT_LT] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(242),
    [anon_sym_DASH_DASH2] = ACTIONS(242),
    [anon_sym_DASH2] = ACTIONS(105),
    [anon_sym_PLUS2] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(105),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(229),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(244),
    [aux_sym_concatenation_token1] = ACTIONS(246),
    [anon_sym_DOLLAR] = ACTIONS(248),
    [sym__special_character] = ACTIONS(250),
    [anon_sym_DQUOTE] = ACTIONS(252),
    [sym_raw_string] = ACTIONS(227),
    [sym_ansi_c_string] = ACTIONS(227),
    [aux_sym_number_token1] = ACTIONS(254),
    [aux_sym_number_token2] = ACTIONS(256),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(258),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(260),
    [anon_sym_BQUOTE] = ACTIONS(262),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(264),
    [anon_sym_LT_LPAREN] = ACTIONS(266),
    [anon_sym_GT_LPAREN] = ACTIONS(266),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(268),
    [sym__concat] = ACTIONS(270),
    [sym_test_operator] = ACTIONS(272),
    [sym__bare_dollar] = ACTIONS(268),
    [sym__brace_start] = ACTIONS(274),
  },
  [8] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_elif_clause] = STATE(5041),
    [sym_else_clause] = STATE(6039),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_if_statement_repeat1] = STATE(5041),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(284),
    [anon_sym_elif] = ACTIONS(286),
    [anon_sym_else] = ACTIONS(288),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [9] = {
    [aux_sym__terminated_statement] = STATE(10),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_elif_clause] = STATE(5035),
    [sym_else_clause] = STATE(5792),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_if_statement_repeat1] = STATE(5035),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(336),
    [anon_sym_elif] = ACTIONS(286),
    [anon_sym_else] = ACTIONS(288),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [10] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_elif_clause] = STATE(5024),
    [sym_else_clause] = STATE(5768),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_if_statement_repeat1] = STATE(5024),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(338),
    [anon_sym_elif] = ACTIONS(286),
    [anon_sym_else] = ACTIONS(288),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [11] = {
    [sym__expression] = STATE(2534),
    [sym_binary_expression] = STATE(2449),
    [sym_ternary_expression] = STATE(2449),
    [sym_unary_expression] = STATE(2449),
    [sym_postfix_expression] = STATE(2449),
    [sym_parenthesized_expression] = STATE(2449),
    [sym_arithmetic_expansion] = STATE(2053),
    [sym_brace_expression] = STATE(2053),
    [sym_concatenation] = STATE(2449),
    [sym_string] = STATE(2053),
    [sym_translated_string] = STATE(2053),
    [sym_number] = STATE(2053),
    [sym_simple_expansion] = STATE(2053),
    [sym_expansion] = STATE(2053),
    [sym_command_substitution] = STATE(2053),
    [sym_process_substitution] = STATE(2053),
    [aux_sym__literal_repeat1] = STATE(2172),
    [aux_sym_concatenation_repeat1] = STATE(398),
    [sym_word] = ACTIONS(340),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(346),
    [anon_sym_AMP_AMP] = ACTIONS(346),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(349),
    [anon_sym_PIPE_AMP] = ACTIONS(268),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_RBRACK] = ACTIONS(344),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_AMP_GT] = ACTIONS(231),
    [anon_sym_AMP_GT_GT] = ACTIONS(268),
    [anon_sym_LT_AMP] = ACTIONS(231),
    [anon_sym_GT_AMP] = ACTIONS(231),
    [anon_sym_GT_PIPE] = ACTIONS(268),
    [anon_sym_LT_AMP_DASH] = ACTIONS(268),
    [anon_sym_GT_AMP_DASH] = ACTIONS(268),
    [anon_sym_LT_LT_DASH] = ACTIONS(268),
    [anon_sym_LT_LT_LT] = ACTIONS(268),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(183),
    [anon_sym_DASH_DASH2] = ACTIONS(183),
    [anon_sym_DASH2] = ACTIONS(185),
    [anon_sym_PLUS2] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(187),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(353),
    [aux_sym_concatenation_token1] = ACTIONS(355),
    [anon_sym_DOLLAR] = ACTIONS(357),
    [sym__special_character] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [sym_raw_string] = ACTIONS(363),
    [sym_ansi_c_string] = ACTIONS(363),
    [aux_sym_number_token1] = ACTIONS(365),
    [aux_sym_number_token2] = ACTIONS(367),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(369),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(371),
    [anon_sym_BQUOTE] = ACTIONS(373),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(375),
    [anon_sym_LT_LPAREN] = ACTIONS(377),
    [anon_sym_GT_LPAREN] = ACTIONS(377),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(268),
    [sym__concat] = ACTIONS(355),
    [sym_test_operator] = ACTIONS(379),
    [sym__bare_dollar] = ACTIONS(268),
    [sym__brace_start] = ACTIONS(381),
  },
  [12] = {
    [aux_sym__terminated_statement] = STATE(8),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_elif_clause] = STATE(5046),
    [sym_else_clause] = STATE(6055),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_if_statement_repeat1] = STATE(5046),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(383),
    [anon_sym_elif] = ACTIONS(286),
    [anon_sym_else] = ACTIONS(288),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [13] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_elif_clause] = STATE(5028),
    [sym_else_clause] = STATE(5767),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_if_statement_repeat1] = STATE(5028),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(385),
    [anon_sym_elif] = ACTIONS(286),
    [anon_sym_else] = ACTIONS(288),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [14] = {
    [aux_sym__terminated_statement] = STATE(13),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_elif_clause] = STATE(5030),
    [sym_else_clause] = STATE(5861),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_if_statement_repeat1] = STATE(5030),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(387),
    [anon_sym_elif] = ACTIONS(286),
    [anon_sym_else] = ACTIONS(288),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [15] = {
    [sym__statements] = STATE(5197),
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3575),
    [sym_for_statement] = STATE(3575),
    [sym_c_style_for_statement] = STATE(3575),
    [sym_while_statement] = STATE(3522),
    [sym_if_statement] = STATE(3522),
    [sym_case_statement] = STATE(3575),
    [sym_function_definition] = STATE(3575),
    [sym_compound_statement] = STATE(3575),
    [sym_subshell] = STATE(3575),
    [sym_pipeline] = STATE(3781),
    [sym_list] = STATE(3575),
    [sym_negated_command] = STATE(3575),
    [sym_test_command] = STATE(3575),
    [sym_declaration_command] = STATE(3575),
    [sym_unset_command] = STATE(3575),
    [sym_command] = STATE(3575),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(680),
    [sym_variable_assignments] = STATE(3575),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(409),
    [anon_sym_SEMI_SEMI] = ACTIONS(411),
    [anon_sym_SEMI_AMP] = ACTIONS(413),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [16] = {
    [sym__statements] = STATE(5168),
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3575),
    [sym_for_statement] = STATE(3575),
    [sym_c_style_for_statement] = STATE(3575),
    [sym_while_statement] = STATE(3522),
    [sym_if_statement] = STATE(3522),
    [sym_case_statement] = STATE(3575),
    [sym_function_definition] = STATE(3575),
    [sym_compound_statement] = STATE(3575),
    [sym_subshell] = STATE(3575),
    [sym_pipeline] = STATE(3781),
    [sym_list] = STATE(3575),
    [sym_negated_command] = STATE(3575),
    [sym_test_command] = STATE(3575),
    [sym_declaration_command] = STATE(3575),
    [sym_unset_command] = STATE(3575),
    [sym_command] = STATE(3575),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(680),
    [sym_variable_assignments] = STATE(3575),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(469),
    [anon_sym_SEMI_SEMI] = ACTIONS(471),
    [anon_sym_SEMI_AMP] = ACTIONS(473),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(473),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [17] = {
    [sym__statements] = STATE(5176),
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3575),
    [sym_for_statement] = STATE(3575),
    [sym_c_style_for_statement] = STATE(3575),
    [sym_while_statement] = STATE(3522),
    [sym_if_statement] = STATE(3522),
    [sym_case_statement] = STATE(3575),
    [sym_function_definition] = STATE(3575),
    [sym_compound_statement] = STATE(3575),
    [sym_subshell] = STATE(3575),
    [sym_pipeline] = STATE(3781),
    [sym_list] = STATE(3575),
    [sym_negated_command] = STATE(3575),
    [sym_test_command] = STATE(3575),
    [sym_declaration_command] = STATE(3575),
    [sym_unset_command] = STATE(3575),
    [sym_command] = STATE(3575),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(680),
    [sym_variable_assignments] = STATE(3575),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(475),
    [anon_sym_SEMI_SEMI] = ACTIONS(477),
    [anon_sym_SEMI_AMP] = ACTIONS(479),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(481),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [18] = {
    [sym__statements] = STATE(5193),
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3575),
    [sym_for_statement] = STATE(3575),
    [sym_c_style_for_statement] = STATE(3575),
    [sym_while_statement] = STATE(3522),
    [sym_if_statement] = STATE(3522),
    [sym_case_statement] = STATE(3575),
    [sym_function_definition] = STATE(3575),
    [sym_compound_statement] = STATE(3575),
    [sym_subshell] = STATE(3575),
    [sym_pipeline] = STATE(3781),
    [sym_list] = STATE(3575),
    [sym_negated_command] = STATE(3575),
    [sym_test_command] = STATE(3575),
    [sym_declaration_command] = STATE(3575),
    [sym_unset_command] = STATE(3575),
    [sym_command] = STATE(3575),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(680),
    [sym_variable_assignments] = STATE(3575),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(483),
    [anon_sym_SEMI_SEMI] = ACTIONS(485),
    [anon_sym_SEMI_AMP] = ACTIONS(487),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [19] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(491),
    [anon_sym_for] = ACTIONS(494),
    [anon_sym_select] = ACTIONS(497),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(500),
    [anon_sym_LT] = ACTIONS(503),
    [anon_sym_GT] = ACTIONS(503),
    [anon_sym_GT_GT] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(512),
    [anon_sym_until] = ACTIONS(512),
    [anon_sym_do] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(517),
    [anon_sym_then] = ACTIONS(515),
    [anon_sym_fi] = ACTIONS(515),
    [anon_sym_elif] = ACTIONS(515),
    [anon_sym_else] = ACTIONS(515),
    [anon_sym_case] = ACTIONS(520),
    [anon_sym_function] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(535),
    [anon_sym_declare] = ACTIONS(538),
    [anon_sym_typeset] = ACTIONS(538),
    [anon_sym_export] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_local] = ACTIONS(538),
    [anon_sym_unset] = ACTIONS(541),
    [anon_sym_unsetenv] = ACTIONS(541),
    [anon_sym_AMP_GT] = ACTIONS(503),
    [anon_sym_AMP_GT_GT] = ACTIONS(506),
    [anon_sym_LT_AMP] = ACTIONS(503),
    [anon_sym_GT_AMP] = ACTIONS(503),
    [anon_sym_GT_PIPE] = ACTIONS(506),
    [anon_sym_LT_AMP_DASH] = ACTIONS(544),
    [anon_sym_GT_AMP_DASH] = ACTIONS(544),
    [anon_sym_LT_LT_LT] = ACTIONS(547),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(550),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(553),
    [anon_sym_DOLLAR] = ACTIONS(556),
    [sym__special_character] = ACTIONS(559),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [sym_raw_string] = ACTIONS(565),
    [sym_ansi_c_string] = ACTIONS(565),
    [aux_sym_number_token1] = ACTIONS(568),
    [aux_sym_number_token2] = ACTIONS(571),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(574),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(577),
    [anon_sym_BQUOTE] = ACTIONS(580),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(583),
    [anon_sym_LT_LPAREN] = ACTIONS(586),
    [anon_sym_GT_LPAREN] = ACTIONS(586),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(589),
    [sym_variable_name] = ACTIONS(592),
    [sym_test_operator] = ACTIONS(595),
    [sym__brace_start] = ACTIONS(598),
  },
  [20] = {
    [sym__statements] = STATE(5157),
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3575),
    [sym_for_statement] = STATE(3575),
    [sym_c_style_for_statement] = STATE(3575),
    [sym_while_statement] = STATE(3522),
    [sym_if_statement] = STATE(3522),
    [sym_case_statement] = STATE(3575),
    [sym_function_definition] = STATE(3575),
    [sym_compound_statement] = STATE(3575),
    [sym_subshell] = STATE(3575),
    [sym_pipeline] = STATE(3781),
    [sym_list] = STATE(3575),
    [sym_negated_command] = STATE(3575),
    [sym_test_command] = STATE(3575),
    [sym_declaration_command] = STATE(3575),
    [sym_unset_command] = STATE(3575),
    [sym_command] = STATE(3575),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(680),
    [sym_variable_assignments] = STATE(3575),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(601),
    [anon_sym_SEMI_SEMI] = ACTIONS(603),
    [anon_sym_SEMI_AMP] = ACTIONS(605),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [21] = {
    [sym__statements] = STATE(5169),
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3575),
    [sym_for_statement] = STATE(3575),
    [sym_c_style_for_statement] = STATE(3575),
    [sym_while_statement] = STATE(3522),
    [sym_if_statement] = STATE(3522),
    [sym_case_statement] = STATE(3575),
    [sym_function_definition] = STATE(3575),
    [sym_compound_statement] = STATE(3575),
    [sym_subshell] = STATE(3575),
    [sym_pipeline] = STATE(3781),
    [sym_list] = STATE(3575),
    [sym_negated_command] = STATE(3575),
    [sym_test_command] = STATE(3575),
    [sym_declaration_command] = STATE(3575),
    [sym_unset_command] = STATE(3575),
    [sym_command] = STATE(3575),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(680),
    [sym_variable_assignments] = STATE(3575),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(607),
    [anon_sym_SEMI_SEMI] = ACTIONS(609),
    [anon_sym_SEMI_AMP] = ACTIONS(611),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [22] = {
    [sym__statements] = STATE(5173),
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3575),
    [sym_for_statement] = STATE(3575),
    [sym_c_style_for_statement] = STATE(3575),
    [sym_while_statement] = STATE(3522),
    [sym_if_statement] = STATE(3522),
    [sym_case_statement] = STATE(3575),
    [sym_function_definition] = STATE(3575),
    [sym_compound_statement] = STATE(3575),
    [sym_subshell] = STATE(3575),
    [sym_pipeline] = STATE(3781),
    [sym_list] = STATE(3575),
    [sym_negated_command] = STATE(3575),
    [sym_test_command] = STATE(3575),
    [sym_declaration_command] = STATE(3575),
    [sym_unset_command] = STATE(3575),
    [sym_command] = STATE(3575),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(680),
    [sym_variable_assignments] = STATE(3575),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(607),
    [anon_sym_SEMI_SEMI] = ACTIONS(615),
    [anon_sym_SEMI_AMP] = ACTIONS(617),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [23] = {
    [sym__statements] = STATE(5196),
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3575),
    [sym_for_statement] = STATE(3575),
    [sym_c_style_for_statement] = STATE(3575),
    [sym_while_statement] = STATE(3522),
    [sym_if_statement] = STATE(3522),
    [sym_case_statement] = STATE(3575),
    [sym_function_definition] = STATE(3575),
    [sym_compound_statement] = STATE(3575),
    [sym_subshell] = STATE(3575),
    [sym_pipeline] = STATE(3781),
    [sym_list] = STATE(3575),
    [sym_negated_command] = STATE(3575),
    [sym_test_command] = STATE(3575),
    [sym_declaration_command] = STATE(3575),
    [sym_unset_command] = STATE(3575),
    [sym_command] = STATE(3575),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(680),
    [sym_variable_assignments] = STATE(3575),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(409),
    [anon_sym_SEMI_SEMI] = ACTIONS(621),
    [anon_sym_SEMI_AMP] = ACTIONS(623),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(625),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [24] = {
    [sym__statements] = STATE(5200),
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3575),
    [sym_for_statement] = STATE(3575),
    [sym_c_style_for_statement] = STATE(3575),
    [sym_while_statement] = STATE(3522),
    [sym_if_statement] = STATE(3522),
    [sym_case_statement] = STATE(3575),
    [sym_function_definition] = STATE(3575),
    [sym_compound_statement] = STATE(3575),
    [sym_subshell] = STATE(3575),
    [sym_pipeline] = STATE(3781),
    [sym_list] = STATE(3575),
    [sym_negated_command] = STATE(3575),
    [sym_test_command] = STATE(3575),
    [sym_declaration_command] = STATE(3575),
    [sym_unset_command] = STATE(3575),
    [sym_command] = STATE(3575),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(680),
    [sym_variable_assignments] = STATE(3575),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(483),
    [anon_sym_SEMI_SEMI] = ACTIONS(627),
    [anon_sym_SEMI_AMP] = ACTIONS(629),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(631),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [25] = {
    [sym__statements] = STATE(5167),
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3575),
    [sym_for_statement] = STATE(3575),
    [sym_c_style_for_statement] = STATE(3575),
    [sym_while_statement] = STATE(3522),
    [sym_if_statement] = STATE(3522),
    [sym_case_statement] = STATE(3575),
    [sym_function_definition] = STATE(3575),
    [sym_compound_statement] = STATE(3575),
    [sym_subshell] = STATE(3575),
    [sym_pipeline] = STATE(3781),
    [sym_list] = STATE(3575),
    [sym_negated_command] = STATE(3575),
    [sym_test_command] = STATE(3575),
    [sym_declaration_command] = STATE(3575),
    [sym_unset_command] = STATE(3575),
    [sym_command] = STATE(3575),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(680),
    [sym_variable_assignments] = STATE(3575),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(633),
    [anon_sym_SEMI_SEMI] = ACTIONS(635),
    [anon_sym_SEMI_AMP] = ACTIONS(637),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [26] = {
    [sym__statements] = STATE(5163),
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3575),
    [sym_for_statement] = STATE(3575),
    [sym_c_style_for_statement] = STATE(3575),
    [sym_while_statement] = STATE(3522),
    [sym_if_statement] = STATE(3522),
    [sym_case_statement] = STATE(3575),
    [sym_function_definition] = STATE(3575),
    [sym_compound_statement] = STATE(3575),
    [sym_subshell] = STATE(3575),
    [sym_pipeline] = STATE(3781),
    [sym_list] = STATE(3575),
    [sym_negated_command] = STATE(3575),
    [sym_test_command] = STATE(3575),
    [sym_declaration_command] = STATE(3575),
    [sym_unset_command] = STATE(3575),
    [sym_command] = STATE(3575),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(680),
    [sym_variable_assignments] = STATE(3575),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(475),
    [anon_sym_SEMI_SEMI] = ACTIONS(639),
    [anon_sym_SEMI_AMP] = ACTIONS(641),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(643),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [27] = {
    [sym__statements] = STATE(5161),
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3575),
    [sym_for_statement] = STATE(3575),
    [sym_c_style_for_statement] = STATE(3575),
    [sym_while_statement] = STATE(3522),
    [sym_if_statement] = STATE(3522),
    [sym_case_statement] = STATE(3575),
    [sym_function_definition] = STATE(3575),
    [sym_compound_statement] = STATE(3575),
    [sym_subshell] = STATE(3575),
    [sym_pipeline] = STATE(3781),
    [sym_list] = STATE(3575),
    [sym_negated_command] = STATE(3575),
    [sym_test_command] = STATE(3575),
    [sym_declaration_command] = STATE(3575),
    [sym_unset_command] = STATE(3575),
    [sym_command] = STATE(3575),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(680),
    [sym_variable_assignments] = STATE(3575),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(326),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_esac] = ACTIONS(645),
    [anon_sym_SEMI_SEMI] = ACTIONS(647),
    [anon_sym_SEMI_AMP] = ACTIONS(649),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(649),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [28] = {
    [sym__statements] = STATE(5369),
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3710),
    [sym_for_statement] = STATE(3710),
    [sym_c_style_for_statement] = STATE(3710),
    [sym_while_statement] = STATE(3542),
    [sym_if_statement] = STATE(3542),
    [sym_case_statement] = STATE(3710),
    [sym_function_definition] = STATE(3710),
    [sym_compound_statement] = STATE(3710),
    [sym_subshell] = STATE(3710),
    [sym_pipeline] = STATE(4025),
    [sym_list] = STATE(3710),
    [sym_negated_command] = STATE(3710),
    [sym_test_command] = STATE(3710),
    [sym_declaration_command] = STATE(3710),
    [sym_unset_command] = STATE(3710),
    [sym_command] = STATE(3710),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(714),
    [sym_variable_assignments] = STATE(3710),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(659),
    [anon_sym_SEMI_AMP] = ACTIONS(413),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [29] = {
    [sym__statements] = STATE(5260),
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3710),
    [sym_for_statement] = STATE(3710),
    [sym_c_style_for_statement] = STATE(3710),
    [sym_while_statement] = STATE(3542),
    [sym_if_statement] = STATE(3542),
    [sym_case_statement] = STATE(3710),
    [sym_function_definition] = STATE(3710),
    [sym_compound_statement] = STATE(3710),
    [sym_subshell] = STATE(3710),
    [sym_pipeline] = STATE(4025),
    [sym_list] = STATE(3710),
    [sym_negated_command] = STATE(3710),
    [sym_test_command] = STATE(3710),
    [sym_declaration_command] = STATE(3710),
    [sym_unset_command] = STATE(3710),
    [sym_command] = STATE(3710),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(714),
    [sym_variable_assignments] = STATE(3710),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(707),
    [anon_sym_SEMI_AMP] = ACTIONS(605),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [30] = {
    [sym__statements] = STATE(5315),
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3710),
    [sym_for_statement] = STATE(3710),
    [sym_c_style_for_statement] = STATE(3710),
    [sym_while_statement] = STATE(3542),
    [sym_if_statement] = STATE(3542),
    [sym_case_statement] = STATE(3710),
    [sym_function_definition] = STATE(3710),
    [sym_compound_statement] = STATE(3710),
    [sym_subshell] = STATE(3710),
    [sym_pipeline] = STATE(4025),
    [sym_list] = STATE(3710),
    [sym_negated_command] = STATE(3710),
    [sym_test_command] = STATE(3710),
    [sym_declaration_command] = STATE(3710),
    [sym_unset_command] = STATE(3710),
    [sym_command] = STATE(3710),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(714),
    [sym_variable_assignments] = STATE(3710),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(709),
    [anon_sym_SEMI_AMP] = ACTIONS(641),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(643),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [31] = {
    [sym__statements] = STATE(5316),
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3710),
    [sym_for_statement] = STATE(3710),
    [sym_c_style_for_statement] = STATE(3710),
    [sym_while_statement] = STATE(3542),
    [sym_if_statement] = STATE(3542),
    [sym_case_statement] = STATE(3710),
    [sym_function_definition] = STATE(3710),
    [sym_compound_statement] = STATE(3710),
    [sym_subshell] = STATE(3710),
    [sym_pipeline] = STATE(4025),
    [sym_list] = STATE(3710),
    [sym_negated_command] = STATE(3710),
    [sym_test_command] = STATE(3710),
    [sym_declaration_command] = STATE(3710),
    [sym_unset_command] = STATE(3710),
    [sym_command] = STATE(3710),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(714),
    [sym_variable_assignments] = STATE(3710),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(711),
    [anon_sym_SEMI_AMP] = ACTIONS(637),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(637),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [32] = {
    [sym__statements] = STATE(5317),
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3710),
    [sym_for_statement] = STATE(3710),
    [sym_c_style_for_statement] = STATE(3710),
    [sym_while_statement] = STATE(3542),
    [sym_if_statement] = STATE(3542),
    [sym_case_statement] = STATE(3710),
    [sym_function_definition] = STATE(3710),
    [sym_compound_statement] = STATE(3710),
    [sym_subshell] = STATE(3710),
    [sym_pipeline] = STATE(4025),
    [sym_list] = STATE(3710),
    [sym_negated_command] = STATE(3710),
    [sym_test_command] = STATE(3710),
    [sym_declaration_command] = STATE(3710),
    [sym_unset_command] = STATE(3710),
    [sym_command] = STATE(3710),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(714),
    [sym_variable_assignments] = STATE(3710),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(713),
    [anon_sym_SEMI_AMP] = ACTIONS(473),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(473),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [33] = {
    [sym__statements] = STATE(5330),
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3710),
    [sym_for_statement] = STATE(3710),
    [sym_c_style_for_statement] = STATE(3710),
    [sym_while_statement] = STATE(3542),
    [sym_if_statement] = STATE(3542),
    [sym_case_statement] = STATE(3710),
    [sym_function_definition] = STATE(3710),
    [sym_compound_statement] = STATE(3710),
    [sym_subshell] = STATE(3710),
    [sym_pipeline] = STATE(4025),
    [sym_list] = STATE(3710),
    [sym_negated_command] = STATE(3710),
    [sym_test_command] = STATE(3710),
    [sym_declaration_command] = STATE(3710),
    [sym_unset_command] = STATE(3710),
    [sym_command] = STATE(3710),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(714),
    [sym_variable_assignments] = STATE(3710),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(715),
    [anon_sym_SEMI_AMP] = ACTIONS(611),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(613),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [34] = {
    [sym__statements] = STATE(5335),
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3710),
    [sym_for_statement] = STATE(3710),
    [sym_c_style_for_statement] = STATE(3710),
    [sym_while_statement] = STATE(3542),
    [sym_if_statement] = STATE(3542),
    [sym_case_statement] = STATE(3710),
    [sym_function_definition] = STATE(3710),
    [sym_compound_statement] = STATE(3710),
    [sym_subshell] = STATE(3710),
    [sym_pipeline] = STATE(4025),
    [sym_list] = STATE(3710),
    [sym_negated_command] = STATE(3710),
    [sym_test_command] = STATE(3710),
    [sym_declaration_command] = STATE(3710),
    [sym_unset_command] = STATE(3710),
    [sym_command] = STATE(3710),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(714),
    [sym_variable_assignments] = STATE(3710),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(717),
    [anon_sym_SEMI_AMP] = ACTIONS(617),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [35] = {
    [sym__statements] = STATE(5360),
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3710),
    [sym_for_statement] = STATE(3710),
    [sym_c_style_for_statement] = STATE(3710),
    [sym_while_statement] = STATE(3542),
    [sym_if_statement] = STATE(3542),
    [sym_case_statement] = STATE(3710),
    [sym_function_definition] = STATE(3710),
    [sym_compound_statement] = STATE(3710),
    [sym_subshell] = STATE(3710),
    [sym_pipeline] = STATE(4025),
    [sym_list] = STATE(3710),
    [sym_negated_command] = STATE(3710),
    [sym_test_command] = STATE(3710),
    [sym_declaration_command] = STATE(3710),
    [sym_unset_command] = STATE(3710),
    [sym_command] = STATE(3710),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(714),
    [sym_variable_assignments] = STATE(3710),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(719),
    [anon_sym_SEMI_AMP] = ACTIONS(479),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(481),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [36] = {
    [sym__statements] = STATE(5367),
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3710),
    [sym_for_statement] = STATE(3710),
    [sym_c_style_for_statement] = STATE(3710),
    [sym_while_statement] = STATE(3542),
    [sym_if_statement] = STATE(3542),
    [sym_case_statement] = STATE(3710),
    [sym_function_definition] = STATE(3710),
    [sym_compound_statement] = STATE(3710),
    [sym_subshell] = STATE(3710),
    [sym_pipeline] = STATE(4025),
    [sym_list] = STATE(3710),
    [sym_negated_command] = STATE(3710),
    [sym_test_command] = STATE(3710),
    [sym_declaration_command] = STATE(3710),
    [sym_unset_command] = STATE(3710),
    [sym_command] = STATE(3710),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(714),
    [sym_variable_assignments] = STATE(3710),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(721),
    [anon_sym_SEMI_AMP] = ACTIONS(487),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [37] = {
    [sym__statements] = STATE(5252),
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3710),
    [sym_for_statement] = STATE(3710),
    [sym_c_style_for_statement] = STATE(3710),
    [sym_while_statement] = STATE(3542),
    [sym_if_statement] = STATE(3542),
    [sym_case_statement] = STATE(3710),
    [sym_function_definition] = STATE(3710),
    [sym_compound_statement] = STATE(3710),
    [sym_subshell] = STATE(3710),
    [sym_pipeline] = STATE(4025),
    [sym_list] = STATE(3710),
    [sym_negated_command] = STATE(3710),
    [sym_test_command] = STATE(3710),
    [sym_declaration_command] = STATE(3710),
    [sym_unset_command] = STATE(3710),
    [sym_command] = STATE(3710),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(714),
    [sym_variable_assignments] = STATE(3710),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(723),
    [anon_sym_SEMI_AMP] = ACTIONS(649),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(649),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [38] = {
    [sym__statements] = STATE(5355),
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3710),
    [sym_for_statement] = STATE(3710),
    [sym_c_style_for_statement] = STATE(3710),
    [sym_while_statement] = STATE(3542),
    [sym_if_statement] = STATE(3542),
    [sym_case_statement] = STATE(3710),
    [sym_function_definition] = STATE(3710),
    [sym_compound_statement] = STATE(3710),
    [sym_subshell] = STATE(3710),
    [sym_pipeline] = STATE(4025),
    [sym_list] = STATE(3710),
    [sym_negated_command] = STATE(3710),
    [sym_test_command] = STATE(3710),
    [sym_declaration_command] = STATE(3710),
    [sym_unset_command] = STATE(3710),
    [sym_command] = STATE(3710),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(714),
    [sym_variable_assignments] = STATE(3710),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(725),
    [anon_sym_SEMI_AMP] = ACTIONS(629),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(631),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [39] = {
    [sym__statements] = STATE(5370),
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3710),
    [sym_for_statement] = STATE(3710),
    [sym_c_style_for_statement] = STATE(3710),
    [sym_while_statement] = STATE(3542),
    [sym_if_statement] = STATE(3542),
    [sym_case_statement] = STATE(3710),
    [sym_function_definition] = STATE(3710),
    [sym_compound_statement] = STATE(3710),
    [sym_subshell] = STATE(3710),
    [sym_pipeline] = STATE(4025),
    [sym_list] = STATE(3710),
    [sym_negated_command] = STATE(3710),
    [sym_test_command] = STATE(3710),
    [sym_declaration_command] = STATE(3710),
    [sym_unset_command] = STATE(3710),
    [sym_command] = STATE(3710),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(714),
    [sym_variable_assignments] = STATE(3710),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(324),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_SEMI_SEMI] = ACTIONS(727),
    [anon_sym_SEMI_AMP] = ACTIONS(623),
    [anon_sym_SEMI_SEMI_AMP] = ACTIONS(625),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [40] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(729),
    [anon_sym_elif] = ACTIONS(729),
    [anon_sym_else] = ACTIONS(729),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [41] = {
    [aux_sym__terminated_statement] = STATE(40),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(731),
    [anon_sym_elif] = ACTIONS(731),
    [anon_sym_else] = ACTIONS(731),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [42] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_do_group] = STATE(4445),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [43] = {
    [sym__statements] = STATE(6031),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [44] = {
    [sym__statements] = STATE(6031),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [45] = {
    [sym__statements] = STATE(6031),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(749),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [46] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_do_group] = STATE(3841),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(751),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [47] = {
    [sym__statements] = STATE(6031),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(753),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [48] = {
    [sym__statements] = STATE(5909),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(755),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [49] = {
    [sym__statements] = STATE(5980),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(757),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [50] = {
    [sym__statements] = STATE(6031),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(759),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [51] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_do_group] = STATE(3883),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_do] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [52] = {
    [sym__statements] = STATE(5909),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_RPAREN] = ACTIONS(763),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [53] = {
    [aux_sym__terminated_statement] = STATE(87),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [54] = {
    [sym__statements] = STATE(5773),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [55] = {
    [sym__statements] = STATE(5874),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1612),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [56] = {
    [sym__statements] = STATE(5876),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [57] = {
    [sym__statements] = STATE(5894),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1790),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [58] = {
    [sym__statements] = STATE(6020),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [59] = {
    [sym__statements] = STATE(5893),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [60] = {
    [sym__statements] = STATE(5892),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [61] = {
    [sym__statements] = STATE(5891),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [62] = {
    [sym__statements] = STATE(5593),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [63] = {
    [sym__statements] = STATE(6024),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [64] = {
    [sym__statements] = STATE(5592),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [65] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_then] = ACTIONS(777),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [66] = {
    [sym__statements] = STATE(6027),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [67] = {
    [sym__statements] = STATE(5718),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [68] = {
    [sym__statements] = STATE(5586),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1560),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [69] = {
    [sym__statements] = STATE(5565),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [70] = {
    [sym__statements] = STATE(5562),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [71] = {
    [sym__statements] = STATE(5559),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [72] = {
    [sym__statements] = STATE(6034),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1755),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [73] = {
    [sym__statements] = STATE(5797),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [74] = {
    [sym__statements] = STATE(6054),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [75] = {
    [sym__statements] = STATE(5545),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1562),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [76] = {
    [sym__statements] = STATE(5528),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [77] = {
    [aux_sym__terminated_statement] = STATE(77),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4011),
    [sym_for_statement] = STATE(4011),
    [sym_c_style_for_statement] = STATE(4011),
    [sym_while_statement] = STATE(3637),
    [sym_if_statement] = STATE(3637),
    [sym_case_statement] = STATE(4011),
    [sym_function_definition] = STATE(4011),
    [sym_compound_statement] = STATE(4011),
    [sym_subshell] = STATE(4011),
    [sym_pipeline] = STATE(4213),
    [sym_list] = STATE(4011),
    [sym_negated_command] = STATE(4011),
    [sym_test_command] = STATE(4011),
    [sym_declaration_command] = STATE(4011),
    [sym_unset_command] = STATE(4011),
    [sym_command] = STATE(4011),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(838),
    [sym_variable_assignments] = STATE(4011),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(491),
    [anon_sym_for] = ACTIONS(494),
    [anon_sym_select] = ACTIONS(497),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(500),
    [anon_sym_LT] = ACTIONS(503),
    [anon_sym_GT] = ACTIONS(503),
    [anon_sym_GT_GT] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(512),
    [anon_sym_until] = ACTIONS(512),
    [anon_sym_if] = ACTIONS(517),
    [anon_sym_case] = ACTIONS(520),
    [anon_sym_function] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_RBRACE] = ACTIONS(779),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(535),
    [anon_sym_declare] = ACTIONS(538),
    [anon_sym_typeset] = ACTIONS(538),
    [anon_sym_export] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_local] = ACTIONS(538),
    [anon_sym_unset] = ACTIONS(541),
    [anon_sym_unsetenv] = ACTIONS(541),
    [anon_sym_AMP_GT] = ACTIONS(503),
    [anon_sym_AMP_GT_GT] = ACTIONS(506),
    [anon_sym_LT_AMP] = ACTIONS(503),
    [anon_sym_GT_AMP] = ACTIONS(503),
    [anon_sym_GT_PIPE] = ACTIONS(506),
    [anon_sym_LT_AMP_DASH] = ACTIONS(544),
    [anon_sym_GT_AMP_DASH] = ACTIONS(544),
    [anon_sym_LT_LT_LT] = ACTIONS(547),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(550),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(553),
    [anon_sym_DOLLAR] = ACTIONS(556),
    [sym__special_character] = ACTIONS(559),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [sym_raw_string] = ACTIONS(565),
    [sym_ansi_c_string] = ACTIONS(565),
    [aux_sym_number_token1] = ACTIONS(568),
    [aux_sym_number_token2] = ACTIONS(571),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(574),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(577),
    [anon_sym_BQUOTE] = ACTIONS(580),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(583),
    [anon_sym_LT_LPAREN] = ACTIONS(586),
    [anon_sym_GT_LPAREN] = ACTIONS(586),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(589),
    [sym_variable_name] = ACTIONS(592),
    [sym_test_operator] = ACTIONS(595),
    [sym__brace_start] = ACTIONS(598),
  },
  [78] = {
    [sym__statements] = STATE(5877),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [79] = {
    [sym__statements] = STATE(5527),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [80] = {
    [sym__statements] = STATE(5902),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1582),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [81] = {
    [sym__statements] = STATE(5904),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [82] = {
    [sym__statements] = STATE(5910),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [83] = {
    [aux_sym__terminated_statement] = STATE(77),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4011),
    [sym_for_statement] = STATE(4011),
    [sym_c_style_for_statement] = STATE(4011),
    [sym_while_statement] = STATE(3637),
    [sym_if_statement] = STATE(3637),
    [sym_case_statement] = STATE(4011),
    [sym_function_definition] = STATE(4011),
    [sym_compound_statement] = STATE(4011),
    [sym_subshell] = STATE(4011),
    [sym_pipeline] = STATE(4213),
    [sym_list] = STATE(4011),
    [sym_negated_command] = STATE(4011),
    [sym_test_command] = STATE(4011),
    [sym_declaration_command] = STATE(4011),
    [sym_unset_command] = STATE(4011),
    [sym_command] = STATE(4011),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(838),
    [sym_variable_assignments] = STATE(4011),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [84] = {
    [sym__statements] = STATE(5961),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1620),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [85] = {
    [sym__statements] = STATE(5982),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [86] = {
    [sym__statements] = STATE(6050),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [87] = {
    [aux_sym__terminated_statement] = STATE(87),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(491),
    [anon_sym_for] = ACTIONS(494),
    [anon_sym_select] = ACTIONS(497),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(500),
    [anon_sym_LT] = ACTIONS(503),
    [anon_sym_GT] = ACTIONS(503),
    [anon_sym_GT_GT] = ACTIONS(506),
    [anon_sym_LPAREN] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(512),
    [anon_sym_until] = ACTIONS(512),
    [anon_sym_done] = ACTIONS(515),
    [anon_sym_if] = ACTIONS(517),
    [anon_sym_case] = ACTIONS(520),
    [anon_sym_function] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(535),
    [anon_sym_declare] = ACTIONS(538),
    [anon_sym_typeset] = ACTIONS(538),
    [anon_sym_export] = ACTIONS(538),
    [anon_sym_readonly] = ACTIONS(538),
    [anon_sym_local] = ACTIONS(538),
    [anon_sym_unset] = ACTIONS(541),
    [anon_sym_unsetenv] = ACTIONS(541),
    [anon_sym_AMP_GT] = ACTIONS(503),
    [anon_sym_AMP_GT_GT] = ACTIONS(506),
    [anon_sym_LT_AMP] = ACTIONS(503),
    [anon_sym_GT_AMP] = ACTIONS(503),
    [anon_sym_GT_PIPE] = ACTIONS(506),
    [anon_sym_LT_AMP_DASH] = ACTIONS(544),
    [anon_sym_GT_AMP_DASH] = ACTIONS(544),
    [anon_sym_LT_LT_LT] = ACTIONS(547),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(550),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(553),
    [anon_sym_DOLLAR] = ACTIONS(556),
    [sym__special_character] = ACTIONS(559),
    [anon_sym_DQUOTE] = ACTIONS(562),
    [sym_raw_string] = ACTIONS(565),
    [sym_ansi_c_string] = ACTIONS(565),
    [aux_sym_number_token1] = ACTIONS(568),
    [aux_sym_number_token2] = ACTIONS(571),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(574),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(577),
    [anon_sym_BQUOTE] = ACTIONS(580),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(583),
    [anon_sym_LT_LPAREN] = ACTIONS(586),
    [anon_sym_GT_LPAREN] = ACTIONS(586),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(589),
    [sym_variable_name] = ACTIONS(592),
    [sym_test_operator] = ACTIONS(595),
    [sym__brace_start] = ACTIONS(598),
  },
  [88] = {
    [sym__statements] = STATE(5613),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [89] = {
    [sym__statements] = STATE(6109),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1621),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [90] = {
    [sym__statements] = STATE(6103),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [91] = {
    [sym__statements] = STATE(6040),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1759),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [92] = {
    [aux_sym__terminated_statement] = STATE(114),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(783),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [93] = {
    [sym__statements] = STATE(5526),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [94] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_then] = ACTIONS(785),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [95] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_then] = ACTIONS(787),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [96] = {
    [sym__statements] = STATE(6060),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [97] = {
    [sym__statements] = STATE(6056),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1624),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [98] = {
    [sym__statements] = STATE(6052),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [99] = {
    [sym__statements] = STATE(6049),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [100] = {
    [sym__statements] = STATE(6001),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [101] = {
    [sym__statements] = STATE(6000),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [102] = {
    [aux_sym__terminated_statement] = STATE(77),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4011),
    [sym_for_statement] = STATE(4011),
    [sym_c_style_for_statement] = STATE(4011),
    [sym_while_statement] = STATE(3637),
    [sym_if_statement] = STATE(3637),
    [sym_case_statement] = STATE(4011),
    [sym_function_definition] = STATE(4011),
    [sym_compound_statement] = STATE(4011),
    [sym_subshell] = STATE(4011),
    [sym_pipeline] = STATE(4213),
    [sym_list] = STATE(4011),
    [sym_negated_command] = STATE(4011),
    [sym_test_command] = STATE(4011),
    [sym_declaration_command] = STATE(4011),
    [sym_unset_command] = STATE(4011),
    [sym_command] = STATE(4011),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(838),
    [sym_variable_assignments] = STATE(4011),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [103] = {
    [aux_sym__terminated_statement] = STATE(113),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(791),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [104] = {
    [sym__statements] = STATE(5501),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1564),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [105] = {
    [sym__statements] = STATE(5999),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [106] = {
    [sym__statements] = STATE(5996),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1715),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [107] = {
    [sym__statements] = STATE(6045),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1626),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [108] = {
    [sym__statements] = STATE(5971),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [109] = {
    [sym__statements] = STATE(5908),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [110] = {
    [sym__statements] = STATE(6033),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [111] = {
    [sym__statements] = STATE(5518),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [112] = {
    [sym__statements] = STATE(6018),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1627),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [113] = {
    [aux_sym__terminated_statement] = STATE(87),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(793),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [114] = {
    [aux_sym__terminated_statement] = STATE(87),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(795),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [115] = {
    [sym__statements] = STATE(5969),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [116] = {
    [sym__statements] = STATE(5980),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [117] = {
    [sym__statements] = STATE(6015),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [118] = {
    [sym__statements] = STATE(6014),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [119] = {
    [sym__statements] = STATE(6007),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1640),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [120] = {
    [sym__statements] = STATE(5966),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [121] = {
    [sym__statements] = STATE(5963),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1780),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [122] = {
    [sym__statements] = STATE(6006),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [123] = {
    [sym__statements] = STATE(5492),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [124] = {
    [sym__statements] = STATE(6003),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [125] = {
    [sym__statements] = STATE(5997),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1642),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [126] = {
    [sym__statements] = STATE(5995),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [127] = {
    [sym__statements] = STATE(5992),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [128] = {
    [sym__statements] = STATE(5977),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1644),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [129] = {
    [sym__statements] = STATE(5973),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [130] = {
    [sym__statements] = STATE(5968),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [131] = {
    [sym__statements] = STATE(5955),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1647),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [132] = {
    [sym__statements] = STATE(5951),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [133] = {
    [sym__statements] = STATE(5943),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [134] = {
    [sym__statements] = STATE(5939),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1651),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [135] = {
    [sym__statements] = STATE(5935),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [136] = {
    [sym__statements] = STATE(5922),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [137] = {
    [sym__statements] = STATE(5901),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [138] = {
    [sym__statements] = STATE(5921),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1657),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [139] = {
    [sym__statements] = STATE(5919),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [140] = {
    [sym__statements] = STATE(5899),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [141] = {
    [sym__statements] = STATE(5916),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [142] = {
    [sym__statements] = STATE(5882),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [143] = {
    [sym__statements] = STATE(5915),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1659),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [144] = {
    [sym__statements] = STATE(5860),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1801),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [145] = {
    [sym__statements] = STATE(5913),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [146] = {
    [sym__statements] = STATE(5763),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [147] = {
    [sym__statements] = STATE(5912),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [148] = {
    [sym__statements] = STATE(5760),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [149] = {
    [sym__statements] = STATE(5500),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [150] = {
    [sym__statements] = STATE(5536),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1566),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [151] = {
    [sym__statements] = STATE(5617),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [152] = {
    [sym__statements] = STATE(5759),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [153] = {
    [sym__statements] = STATE(5698),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1806),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [154] = {
    [sym__statements] = STATE(5618),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [155] = {
    [sym__statements] = STATE(5619),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [156] = {
    [sym__statements] = STATE(5612),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1692),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [157] = {
    [sym__statements] = STATE(5610),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [158] = {
    [sym__statements] = STATE(5604),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [159] = {
    [sym__statements] = STATE(5603),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [160] = {
    [sym__statements] = STATE(5625),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1568),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [161] = {
    [sym__statements] = STATE(5648),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [162] = {
    [sym__statements] = STATE(5638),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [163] = {
    [sym__statements] = STATE(5649),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [164] = {
    [sym__statements] = STATE(5624),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [165] = {
    [sym__statements] = STATE(5843),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [166] = {
    [sym__statements] = STATE(5834),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1608),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [167] = {
    [sym__statements] = STATE(5600),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [168] = {
    [sym__statements] = STATE(5652),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [169] = {
    [aux_sym__terminated_statement] = STATE(53),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [170] = {
    [aux_sym__terminated_statement] = STATE(87),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [171] = {
    [sym__statements] = STATE(5590),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1810),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [172] = {
    [sym__statements] = STATE(5525),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [173] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_then] = ACTIONS(801),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [174] = {
    [sym__statements] = STATE(5534),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [175] = {
    [sym__statements] = STATE(5537),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [176] = {
    [sym__statements] = STATE(5656),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1571),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [177] = {
    [sym__statements] = STATE(5511),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1807),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [178] = {
    [sym__statements] = STATE(5510),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [179] = {
    [aux_sym__terminated_statement] = STATE(19),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(803),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [180] = {
    [sym__statements] = STATE(5508),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [181] = {
    [sym__statements] = STATE(5507),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [182] = {
    [sym__statements] = STATE(5538),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1828),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [183] = {
    [sym__statements] = STATE(5646),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [184] = {
    [sym__statements] = STATE(5775),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [185] = {
    [aux_sym__terminated_statement] = STATE(77),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4011),
    [sym_for_statement] = STATE(4011),
    [sym_c_style_for_statement] = STATE(4011),
    [sym_while_statement] = STATE(3637),
    [sym_if_statement] = STATE(3637),
    [sym_case_statement] = STATE(4011),
    [sym_function_definition] = STATE(4011),
    [sym_compound_statement] = STATE(4011),
    [sym_subshell] = STATE(4011),
    [sym_pipeline] = STATE(4213),
    [sym_list] = STATE(4011),
    [sym_negated_command] = STATE(4011),
    [sym_test_command] = STATE(4011),
    [sym_declaration_command] = STATE(4011),
    [sym_unset_command] = STATE(4011),
    [sym_command] = STATE(4011),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(838),
    [sym_variable_assignments] = STATE(4011),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(805),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [186] = {
    [sym__statements] = STATE(5736),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [187] = {
    [sym__statements] = STATE(5737),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [188] = {
    [sym__statements] = STATE(5520),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1779),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [189] = {
    [sym__statements] = STATE(5521),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [190] = {
    [sym__statements] = STATE(5574),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [191] = {
    [sym__statements] = STATE(5523),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [192] = {
    [sym__statements] = STATE(5519),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [193] = {
    [sym__statements] = STATE(5738),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1630),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [194] = {
    [sym__statements] = STATE(5543),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1592),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [195] = {
    [sym__statements] = STATE(5548),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [196] = {
    [sym__statements] = STATE(5554),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [197] = {
    [sym__statements] = STATE(5832),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [198] = {
    [sym__statements] = STATE(5555),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [199] = {
    [sym__statements] = STATE(5634),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1586),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [200] = {
    [sym__statements] = STATE(5985),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [201] = {
    [sym__statements] = STATE(5986),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [202] = {
    [sym__statements] = STATE(5577),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1724),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [203] = {
    [sym__statements] = STATE(5579),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [204] = {
    [sym__statements] = STATE(5581),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [205] = {
    [sym__statements] = STATE(5582),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [206] = {
    [sym__statements] = STATE(5987),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [207] = {
    [sym__statements] = STATE(5988),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1683),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [208] = {
    [sym__statements] = STATE(5844),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [209] = {
    [aux_sym__terminated_statement] = STATE(87),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(807),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [210] = {
    [sym__statements] = STATE(5588),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [211] = {
    [sym__statements] = STATE(5597),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1787),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [212] = {
    [sym__statements] = STATE(5598),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [213] = {
    [sym__statements] = STATE(5599),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [214] = {
    [sym__statements] = STATE(5605),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [215] = {
    [aux_sym__terminated_statement] = STATE(209),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(809),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [216] = {
    [sym__statements] = STATE(5765),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1607),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [217] = {
    [sym__statements] = STATE(5620),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1709),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [218] = {
    [sym__statements] = STATE(5621),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [219] = {
    [sym__statements] = STATE(5623),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [220] = {
    [sym__statements] = STATE(5837),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [221] = {
    [sym__statements] = STATE(5627),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [222] = {
    [sym__statements] = STATE(5839),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [223] = {
    [sym__statements] = STATE(5661),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1822),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [224] = {
    [sym__statements] = STATE(5662),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [225] = {
    [sym__statements] = STATE(5848),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1725),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [226] = {
    [sym__statements] = STATE(5879),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [227] = {
    [sym__statements] = STATE(5880),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [228] = {
    [sym__statements] = STATE(5881),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [229] = {
    [sym__statements] = STATE(5666),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [230] = {
    [sym__statements] = STATE(5606),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [231] = {
    [sym__statements] = STATE(5896),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1743),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [232] = {
    [sym__statements] = STATE(5669),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [233] = {
    [sym__statements] = STATE(5691),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1797),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [234] = {
    [sym__statements] = STATE(5693),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [235] = {
    [sym__statements] = STATE(5694),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [236] = {
    [sym__statements] = STATE(5909),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [237] = {
    [sym__statements] = STATE(5944),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [238] = {
    [sym__statements] = STATE(5730),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [239] = {
    [sym__statements] = STATE(5696),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [240] = {
    [sym__statements] = STATE(5711),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1712),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [241] = {
    [sym__statements] = STATE(5712),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [242] = {
    [sym__statements] = STATE(5715),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [243] = {
    [sym__statements] = STATE(5716),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [244] = {
    [sym__statements] = STATE(5735),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1590),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [245] = {
    [sym__statements] = STATE(5740),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [246] = {
    [sym__statements] = STATE(5742),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [247] = {
    [sym__statements] = STATE(5743),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [248] = {
    [sym__statements] = STATE(5749),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1616),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [249] = {
    [sym__statements] = STATE(5753),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [250] = {
    [sym__statements] = STATE(5754),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [251] = {
    [sym__statements] = STATE(5756),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [252] = {
    [sym__statements] = STATE(5769),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1696),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [253] = {
    [sym__statements] = STATE(5770),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [254] = {
    [sym__statements] = STATE(5771),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [255] = {
    [sym__statements] = STATE(5772),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [256] = {
    [sym__statements] = STATE(5778),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1559),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [257] = {
    [sym__statements] = STATE(5658),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [258] = {
    [sym__statements] = STATE(5781),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [259] = {
    [sym__statements] = STATE(5782),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [260] = {
    [sym__statements] = STATE(5794),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1733),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [261] = {
    [sym__statements] = STATE(5796),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [262] = {
    [sym__statements] = STATE(5805),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [263] = {
    [sym__statements] = STATE(5812),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [264] = {
    [sym__statements] = STATE(5862),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1752),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [265] = {
    [sym__statements] = STATE(5863),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [266] = {
    [sym__statements] = STATE(5864),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [267] = {
    [sym__statements] = STATE(5866),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [268] = {
    [sym__statements] = STATE(5490),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1834),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [269] = {
    [sym__statements] = STATE(5885),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1764),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [270] = {
    [sym__statements] = STATE(5729),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [271] = {
    [sym__statements] = STATE(5725),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [272] = {
    [aux_sym__terminated_statement] = STATE(185),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4011),
    [sym_for_statement] = STATE(4011),
    [sym_c_style_for_statement] = STATE(4011),
    [sym_while_statement] = STATE(3637),
    [sym_if_statement] = STATE(3637),
    [sym_case_statement] = STATE(4011),
    [sym_function_definition] = STATE(4011),
    [sym_compound_statement] = STATE(4011),
    [sym_subshell] = STATE(4011),
    [sym_pipeline] = STATE(4213),
    [sym_list] = STATE(4011),
    [sym_negated_command] = STATE(4011),
    [sym_test_command] = STATE(4011),
    [sym_declaration_command] = STATE(4011),
    [sym_unset_command] = STATE(4011),
    [sym_command] = STATE(4011),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(838),
    [sym_variable_assignments] = STATE(4011),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(811),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [273] = {
    [aux_sym__terminated_statement] = STATE(170),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(813),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [274] = {
    [sym__statements] = STATE(5677),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [275] = {
    [sym__statements] = STATE(5683),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [276] = {
    [sym__statements] = STATE(5889),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [277] = {
    [sym__statements] = STATE(5890),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [278] = {
    [aux_sym__terminated_statement] = STATE(179),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_fi] = ACTIONS(815),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [279] = {
    [sym__statements] = STATE(5900),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [280] = {
    [aux_sym__terminated_statement] = STATE(287),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [281] = {
    [sym__statements] = STATE(5724),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1595),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [282] = {
    [sym__statements] = STATE(5688),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [283] = {
    [sym__statements] = STATE(5704),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [284] = {
    [sym__statements] = STATE(5687),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [285] = {
    [sym__statements] = STATE(5938),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1792),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [286] = {
    [sym__statements] = STATE(5952),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [287] = {
    [aux_sym__terminated_statement] = STATE(87),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3949),
    [sym_for_statement] = STATE(3949),
    [sym_c_style_for_statement] = STATE(3949),
    [sym_while_statement] = STATE(3704),
    [sym_if_statement] = STATE(3704),
    [sym_case_statement] = STATE(3949),
    [sym_function_definition] = STATE(3949),
    [sym_compound_statement] = STATE(3949),
    [sym_subshell] = STATE(3949),
    [sym_pipeline] = STATE(4174),
    [sym_list] = STATE(3949),
    [sym_negated_command] = STATE(3949),
    [sym_test_command] = STATE(3949),
    [sym_declaration_command] = STATE(3949),
    [sym_unset_command] = STATE(3949),
    [sym_command] = STATE(3949),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(872),
    [sym_variable_assignments] = STATE(3949),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_done] = ACTIONS(819),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [288] = {
    [sym__statements] = STATE(5947),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [289] = {
    [aux_sym__terminated_statement] = STATE(102),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4011),
    [sym_for_statement] = STATE(4011),
    [sym_c_style_for_statement] = STATE(4011),
    [sym_while_statement] = STATE(3637),
    [sym_if_statement] = STATE(3637),
    [sym_case_statement] = STATE(4011),
    [sym_function_definition] = STATE(4011),
    [sym_compound_statement] = STATE(4011),
    [sym_subshell] = STATE(4011),
    [sym_pipeline] = STATE(4213),
    [sym_list] = STATE(4011),
    [sym_negated_command] = STATE(4011),
    [sym_test_command] = STATE(4011),
    [sym_declaration_command] = STATE(4011),
    [sym_unset_command] = STATE(4011),
    [sym_command] = STATE(4011),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(838),
    [sym_variable_assignments] = STATE(4011),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(821),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [290] = {
    [sym__statements] = STATE(5686),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [291] = {
    [sym__statements] = STATE(5960),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [292] = {
    [sym__statements] = STATE(5705),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1842),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [293] = {
    [sym__statements] = STATE(5948),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [294] = {
    [sym__statements] = STATE(5953),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1747),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [295] = {
    [sym__statements] = STATE(5964),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [296] = {
    [sym__statements] = STATE(6010),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1825),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [297] = {
    [sym__statements] = STATE(6016),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [298] = {
    [sym__statements] = STATE(6021),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [299] = {
    [sym__statements] = STATE(5974),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [300] = {
    [sym__statements] = STATE(5639),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [301] = {
    [sym__statements] = STATE(5783),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [302] = {
    [sym__statements] = STATE(6028),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [303] = {
    [sym__statements] = STATE(5647),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [304] = {
    [sym__statements] = STATE(5785),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [305] = {
    [sym__statements] = STATE(5975),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [306] = {
    [sym__statements] = STATE(5786),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [307] = {
    [sym__statements] = STATE(6031),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [308] = {
    [sym__statements] = STATE(5682),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1587),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [309] = {
    [sym__statements] = STATE(5524),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [310] = {
    [sym__statements] = STATE(5979),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [311] = {
    [sym__statements] = STATE(5983),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1751),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [312] = {
    [sym__statements] = STATE(6105),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1870),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [313] = {
    [aux_sym__terminated_statement] = STATE(83),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4011),
    [sym_for_statement] = STATE(4011),
    [sym_c_style_for_statement] = STATE(4011),
    [sym_while_statement] = STATE(3637),
    [sym_if_statement] = STATE(3637),
    [sym_case_statement] = STATE(4011),
    [sym_function_definition] = STATE(4011),
    [sym_compound_statement] = STATE(4011),
    [sym_subshell] = STATE(4011),
    [sym_pipeline] = STATE(4213),
    [sym_list] = STATE(4011),
    [sym_negated_command] = STATE(4011),
    [sym_test_command] = STATE(4011),
    [sym_declaration_command] = STATE(4011),
    [sym_unset_command] = STATE(4011),
    [sym_command] = STATE(4011),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(838),
    [sym_variable_assignments] = STATE(4011),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_RBRACE] = ACTIONS(823),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [314] = {
    [sym__statements] = STATE(6163),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [315] = {
    [sym__statements] = STATE(6041),
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3872),
    [sym_for_statement] = STATE(3872),
    [sym_c_style_for_statement] = STATE(3872),
    [sym_while_statement] = STATE(3611),
    [sym_if_statement] = STATE(3611),
    [sym_case_statement] = STATE(3872),
    [sym_function_definition] = STATE(3872),
    [sym_compound_statement] = STATE(3872),
    [sym_subshell] = STATE(3872),
    [sym_pipeline] = STATE(4076),
    [sym_list] = STATE(3872),
    [sym_negated_command] = STATE(3872),
    [sym_test_command] = STATE(3872),
    [sym_declaration_command] = STATE(3872),
    [sym_unset_command] = STATE(3872),
    [sym_command] = STATE(3872),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(933),
    [sym_variable_assignments] = STATE(3872),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(323),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [316] = {
    [sym__statements] = STATE(5965),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [317] = {
    [sym__statements] = STATE(5858),
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3812),
    [sym_for_statement] = STATE(3812),
    [sym_c_style_for_statement] = STATE(3812),
    [sym_while_statement] = STATE(3612),
    [sym_if_statement] = STATE(3612),
    [sym_case_statement] = STATE(3812),
    [sym_function_definition] = STATE(3812),
    [sym_compound_statement] = STATE(3812),
    [sym_subshell] = STATE(3812),
    [sym_pipeline] = STATE(4101),
    [sym_list] = STATE(3812),
    [sym_negated_command] = STATE(3812),
    [sym_test_command] = STATE(3812),
    [sym_declaration_command] = STATE(3812),
    [sym_unset_command] = STATE(3812),
    [sym_command] = STATE(3812),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(792),
    [sym_variable_assignments] = STATE(3812),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1865),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(327),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [318] = {
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3922),
    [sym_for_statement] = STATE(3922),
    [sym_c_style_for_statement] = STATE(3922),
    [sym_while_statement] = STATE(3640),
    [sym_if_statement] = STATE(3640),
    [sym_case_statement] = STATE(3922),
    [sym_function_definition] = STATE(3922),
    [sym_compound_statement] = STATE(3922),
    [sym_subshell] = STATE(3922),
    [sym_pipeline] = STATE(4170),
    [sym_list] = STATE(3922),
    [sym_negated_command] = STATE(3922),
    [sym_test_command] = STATE(3922),
    [sym_declaration_command] = STATE(3922),
    [sym_unset_command] = STATE(3922),
    [sym_command] = STATE(3922),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(921),
    [sym_variable_assignments] = STATE(3922),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(318),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(825),
    [anon_sym_for] = ACTIONS(828),
    [anon_sym_select] = ACTIONS(831),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(834),
    [anon_sym_LT] = ACTIONS(837),
    [anon_sym_GT] = ACTIONS(837),
    [anon_sym_GT_GT] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(843),
    [anon_sym_while] = ACTIONS(846),
    [anon_sym_until] = ACTIONS(846),
    [anon_sym_if] = ACTIONS(849),
    [anon_sym_case] = ACTIONS(852),
    [anon_sym_function] = ACTIONS(855),
    [anon_sym_LBRACE] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(861),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(867),
    [anon_sym_declare] = ACTIONS(870),
    [anon_sym_typeset] = ACTIONS(870),
    [anon_sym_export] = ACTIONS(870),
    [anon_sym_readonly] = ACTIONS(870),
    [anon_sym_local] = ACTIONS(870),
    [anon_sym_unset] = ACTIONS(873),
    [anon_sym_unsetenv] = ACTIONS(873),
    [anon_sym_AMP_GT] = ACTIONS(837),
    [anon_sym_AMP_GT_GT] = ACTIONS(840),
    [anon_sym_LT_AMP] = ACTIONS(837),
    [anon_sym_GT_AMP] = ACTIONS(837),
    [anon_sym_GT_PIPE] = ACTIONS(840),
    [anon_sym_LT_AMP_DASH] = ACTIONS(876),
    [anon_sym_GT_AMP_DASH] = ACTIONS(876),
    [anon_sym_LT_LT_LT] = ACTIONS(879),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(882),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(885),
    [anon_sym_DOLLAR] = ACTIONS(888),
    [sym__special_character] = ACTIONS(891),
    [anon_sym_DQUOTE] = ACTIONS(894),
    [sym_raw_string] = ACTIONS(897),
    [sym_ansi_c_string] = ACTIONS(897),
    [aux_sym_number_token1] = ACTIONS(900),
    [aux_sym_number_token2] = ACTIONS(903),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(906),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(909),
    [anon_sym_BQUOTE] = ACTIONS(912),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(915),
    [anon_sym_LT_LPAREN] = ACTIONS(918),
    [anon_sym_GT_LPAREN] = ACTIONS(918),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(921),
    [sym_variable_name] = ACTIONS(924),
    [sym_test_operator] = ACTIONS(927),
    [sym__brace_start] = ACTIONS(930),
  },
  [319] = {
    [sym__statement_not_pipeline] = STATE(5226),
    [sym_redirected_statement] = STATE(3817),
    [sym_for_statement] = STATE(3817),
    [sym_c_style_for_statement] = STATE(3817),
    [sym_while_statement] = STATE(3599),
    [sym_if_statement] = STATE(3599),
    [sym_case_statement] = STATE(3817),
    [sym_function_definition] = STATE(3817),
    [sym_compound_statement] = STATE(3817),
    [sym_subshell] = STATE(3817),
    [sym_pipeline] = STATE(4097),
    [sym_list] = STATE(3817),
    [sym_negated_command] = STATE(3817),
    [sym_test_command] = STATE(3817),
    [sym_declaration_command] = STATE(3817),
    [sym_unset_command] = STATE(3817),
    [sym_command] = STATE(3817),
    [sym_command_name] = STATE(433),
    [sym_variable_assignment] = STATE(789),
    [sym_variable_assignments] = STATE(3817),
    [sym_subscript] = STATE(5469),
    [sym_file_redirect] = STATE(1637),
    [sym_herestring_redirect] = STATE(1650),
    [sym_arithmetic_expansion] = STATE(813),
    [sym_brace_expression] = STATE(813),
    [sym_concatenation] = STATE(1141),
    [sym_string] = STATE(813),
    [sym_translated_string] = STATE(813),
    [sym_number] = STATE(813),
    [sym_simple_expansion] = STATE(813),
    [sym_expansion] = STATE(813),
    [sym_command_substitution] = STATE(813),
    [sym_process_substitution] = STATE(813),
    [aux_sym__statements_repeat1] = STATE(318),
    [aux_sym_redirected_statement_repeat2] = STATE(4046),
    [aux_sym_command_repeat1] = STATE(803),
    [aux_sym__literal_repeat1] = STATE(985),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(13),
    [anon_sym_LT] = ACTIONS(15),
    [anon_sym_GT] = ACTIONS(15),
    [anon_sym_GT_GT] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(37),
    [anon_sym_typeset] = ACTIONS(37),
    [anon_sym_export] = ACTIONS(37),
    [anon_sym_readonly] = ACTIONS(37),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_unset] = ACTIONS(39),
    [anon_sym_unsetenv] = ACTIONS(39),
    [anon_sym_AMP_GT] = ACTIONS(15),
    [anon_sym_AMP_GT_GT] = ACTIONS(17),
    [anon_sym_LT_AMP] = ACTIONS(15),
    [anon_sym_GT_AMP] = ACTIONS(15),
    [anon_sym_GT_PIPE] = ACTIONS(17),
    [anon_sym_LT_AMP_DASH] = ACTIONS(41),
    [anon_sym_GT_AMP_DASH] = ACTIONS(41),
    [anon_sym_LT_LT_LT] = ACTIONS(43),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(47),
    [anon_sym_DOLLAR] = ACTIONS(49),
    [sym__special_character] = ACTIONS(51),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_raw_string] = ACTIONS(55),
    [sym_ansi_c_string] = ACTIONS(55),
    [aux_sym_number_token1] = ACTIONS(57),
    [aux_sym_number_token2] = ACTIONS(59),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(67),
    [anon_sym_LT_LPAREN] = ACTIONS(69),
    [anon_sym_GT_LPAREN] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(73),
    [sym_variable_name] = ACTIONS(75),
    [sym_test_operator] = ACTIONS(77),
    [sym__brace_start] = ACTIONS(79),
  },
  [320] = {
    [aux_sym__terminated_statement] = STATE(95),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [321] = {
    [aux_sym__terminated_statement] = STATE(42),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [322] = {
    [aux_sym__terminated_statement] = STATE(65),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [323] = {
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3875),
    [sym_for_statement] = STATE(3875),
    [sym_c_style_for_statement] = STATE(3875),
    [sym_while_statement] = STATE(3593),
    [sym_if_statement] = STATE(3593),
    [sym_case_statement] = STATE(3875),
    [sym_function_definition] = STATE(3875),
    [sym_compound_statement] = STATE(3875),
    [sym_subshell] = STATE(3875),
    [sym_pipeline] = STATE(4075),
    [sym_list] = STATE(3875),
    [sym_negated_command] = STATE(3875),
    [sym_test_command] = STATE(3875),
    [sym_declaration_command] = STATE(3875),
    [sym_unset_command] = STATE(3875),
    [sym_command] = STATE(3875),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(881),
    [sym_variable_assignments] = STATE(3875),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym__statements_repeat1] = STATE(318),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [324] = {
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3667),
    [sym_for_statement] = STATE(3667),
    [sym_c_style_for_statement] = STATE(3667),
    [sym_while_statement] = STATE(3531),
    [sym_if_statement] = STATE(3531),
    [sym_case_statement] = STATE(3667),
    [sym_function_definition] = STATE(3667),
    [sym_compound_statement] = STATE(3667),
    [sym_subshell] = STATE(3667),
    [sym_pipeline] = STATE(3980),
    [sym_list] = STATE(3667),
    [sym_negated_command] = STATE(3667),
    [sym_test_command] = STATE(3667),
    [sym_declaration_command] = STATE(3667),
    [sym_unset_command] = STATE(3667),
    [sym_command] = STATE(3667),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(689),
    [sym_variable_assignments] = STATE(3667),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym__statements_repeat1] = STATE(318),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [325] = {
    [aux_sym__terminated_statement] = STATE(173),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [326] = {
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3577),
    [sym_for_statement] = STATE(3577),
    [sym_c_style_for_statement] = STATE(3577),
    [sym_while_statement] = STATE(3527),
    [sym_if_statement] = STATE(3527),
    [sym_case_statement] = STATE(3577),
    [sym_function_definition] = STATE(3577),
    [sym_compound_statement] = STATE(3577),
    [sym_subshell] = STATE(3577),
    [sym_pipeline] = STATE(3813),
    [sym_list] = STATE(3577),
    [sym_negated_command] = STATE(3577),
    [sym_test_command] = STATE(3577),
    [sym_declaration_command] = STATE(3577),
    [sym_unset_command] = STATE(3577),
    [sym_command] = STATE(3577),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(661),
    [sym_variable_assignments] = STATE(3577),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym__statements_repeat1] = STATE(318),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [327] = {
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3810),
    [sym_for_statement] = STATE(3810),
    [sym_c_style_for_statement] = STATE(3810),
    [sym_while_statement] = STATE(3589),
    [sym_if_statement] = STATE(3589),
    [sym_case_statement] = STATE(3810),
    [sym_function_definition] = STATE(3810),
    [sym_compound_statement] = STATE(3810),
    [sym_subshell] = STATE(3810),
    [sym_pipeline] = STATE(4095),
    [sym_list] = STATE(3810),
    [sym_negated_command] = STATE(3810),
    [sym_test_command] = STATE(3810),
    [sym_declaration_command] = STATE(3810),
    [sym_unset_command] = STATE(3810),
    [sym_command] = STATE(3810),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(815),
    [sym_variable_assignments] = STATE(3810),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym__statements_repeat1] = STATE(318),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [328] = {
    [aux_sym__terminated_statement] = STATE(94),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [329] = {
    [aux_sym__terminated_statement] = STATE(51),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [330] = {
    [aux_sym__terminated_statement] = STATE(46),
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(4043),
    [sym_for_statement] = STATE(4043),
    [sym_c_style_for_statement] = STATE(4043),
    [sym_while_statement] = STATE(3714),
    [sym_if_statement] = STATE(3714),
    [sym_case_statement] = STATE(4043),
    [sym_function_definition] = STATE(4043),
    [sym_compound_statement] = STATE(4043),
    [sym_subshell] = STATE(4043),
    [sym_pipeline] = STATE(4206),
    [sym_list] = STATE(4043),
    [sym_negated_command] = STATE(4043),
    [sym_test_command] = STATE(4043),
    [sym_declaration_command] = STATE(4043),
    [sym_unset_command] = STATE(4043),
    [sym_command] = STATE(4043),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(821),
    [sym_variable_assignments] = STATE(4043),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [331] = {
    [sym__statement_not_pipeline] = STATE(5230),
    [sym_redirected_statement] = STATE(3565),
    [sym_for_statement] = STATE(3565),
    [sym_c_style_for_statement] = STATE(3565),
    [sym_while_statement] = STATE(3523),
    [sym_if_statement] = STATE(3523),
    [sym_case_statement] = STATE(3565),
    [sym_function_definition] = STATE(3565),
    [sym_compound_statement] = STATE(3565),
    [sym_subshell] = STATE(3565),
    [sym_pipeline] = STATE(3564),
    [sym_list] = STATE(3565),
    [sym_negated_command] = STATE(3565),
    [sym_test_command] = STATE(3565),
    [sym_declaration_command] = STATE(3565),
    [sym_unset_command] = STATE(3565),
    [sym_command] = STATE(3565),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(660),
    [sym_variable_assignments] = STATE(3565),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [332] = {
    [sym__statement_not_pipeline] = STATE(5294),
    [sym_redirected_statement] = STATE(4227),
    [sym_for_statement] = STATE(4227),
    [sym_c_style_for_statement] = STATE(4227),
    [sym_while_statement] = STATE(4079),
    [sym_if_statement] = STATE(4079),
    [sym_case_statement] = STATE(4227),
    [sym_function_definition] = STATE(4227),
    [sym_compound_statement] = STATE(4227),
    [sym_subshell] = STATE(4227),
    [sym_pipeline] = STATE(4400),
    [sym_list] = STATE(4227),
    [sym_negated_command] = STATE(4227),
    [sym_test_command] = STATE(4227),
    [sym_declaration_command] = STATE(4227),
    [sym_unset_command] = STATE(4227),
    [sym_command] = STATE(4227),
    [sym_command_name] = STATE(502),
    [sym_variable_assignment] = STATE(1373),
    [sym_variable_assignments] = STATE(4227),
    [sym_subscript] = STATE(5430),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(1225),
    [sym_brace_expression] = STATE(1225),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(1225),
    [sym_translated_string] = STATE(1225),
    [sym_number] = STATE(1225),
    [sym_simple_expansion] = STATE(1225),
    [sym_expansion] = STATE(1225),
    [sym_command_substitution] = STATE(1225),
    [sym_process_substitution] = STATE(1225),
    [aux_sym_redirected_statement_repeat2] = STATE(4377),
    [aux_sym_command_repeat1] = STATE(816),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(935),
    [anon_sym_GT] = ACTIONS(935),
    [anon_sym_GT_GT] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(943),
    [anon_sym_typeset] = ACTIONS(943),
    [anon_sym_export] = ACTIONS(943),
    [anon_sym_readonly] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(943),
    [anon_sym_unset] = ACTIONS(945),
    [anon_sym_unsetenv] = ACTIONS(945),
    [anon_sym_AMP_GT] = ACTIONS(935),
    [anon_sym_AMP_GT_GT] = ACTIONS(937),
    [anon_sym_LT_AMP] = ACTIONS(935),
    [anon_sym_GT_AMP] = ACTIONS(935),
    [anon_sym_GT_PIPE] = ACTIONS(937),
    [anon_sym_LT_AMP_DASH] = ACTIONS(947),
    [anon_sym_GT_AMP_DASH] = ACTIONS(947),
    [anon_sym_LT_LT_LT] = ACTIONS(949),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(953),
    [sym_ansi_c_string] = ACTIONS(953),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(955),
    [sym_variable_name] = ACTIONS(957),
    [sym_test_operator] = ACTIONS(959),
    [sym__brace_start] = ACTIONS(334),
  },
  [333] = {
    [sym__statement_not_pipeline] = STATE(5273),
    [sym_redirected_statement] = STATE(3700),
    [sym_for_statement] = STATE(3700),
    [sym_c_style_for_statement] = STATE(3700),
    [sym_while_statement] = STATE(3539),
    [sym_if_statement] = STATE(3539),
    [sym_case_statement] = STATE(3700),
    [sym_function_definition] = STATE(3700),
    [sym_compound_statement] = STATE(3700),
    [sym_subshell] = STATE(3700),
    [sym_pipeline] = STATE(3698),
    [sym_list] = STATE(3700),
    [sym_negated_command] = STATE(3700),
    [sym_test_command] = STATE(3700),
    [sym_declaration_command] = STATE(3700),
    [sym_unset_command] = STATE(3700),
    [sym_command] = STATE(3700),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(713),
    [sym_variable_assignments] = STATE(3700),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [334] = {
    [sym__statement_not_pipeline] = STATE(3881),
    [sym_redirected_statement] = STATE(3881),
    [sym_for_statement] = STATE(3881),
    [sym_c_style_for_statement] = STATE(3881),
    [sym_while_statement] = STATE(4107),
    [sym_if_statement] = STATE(4107),
    [sym_case_statement] = STATE(3881),
    [sym_function_definition] = STATE(3881),
    [sym_compound_statement] = STATE(3881),
    [sym_subshell] = STATE(3881),
    [sym_pipeline] = STATE(4436),
    [sym_list] = STATE(3881),
    [sym_negated_command] = STATE(3881),
    [sym_test_command] = STATE(3881),
    [sym_declaration_command] = STATE(3881),
    [sym_unset_command] = STATE(3881),
    [sym_command] = STATE(3881),
    [sym_command_name] = STATE(502),
    [sym_variable_assignment] = STATE(1216),
    [sym_variable_assignments] = STATE(3881),
    [sym_subscript] = STATE(5430),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(1225),
    [sym_brace_expression] = STATE(1225),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(1225),
    [sym_translated_string] = STATE(1225),
    [sym_number] = STATE(1225),
    [sym_simple_expansion] = STATE(1225),
    [sym_expansion] = STATE(1225),
    [sym_command_substitution] = STATE(1225),
    [sym_process_substitution] = STATE(1225),
    [aux_sym_redirected_statement_repeat2] = STATE(4377),
    [aux_sym_command_repeat1] = STATE(816),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(935),
    [anon_sym_GT] = ACTIONS(935),
    [anon_sym_GT_GT] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(943),
    [anon_sym_typeset] = ACTIONS(943),
    [anon_sym_export] = ACTIONS(943),
    [anon_sym_readonly] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(943),
    [anon_sym_unset] = ACTIONS(945),
    [anon_sym_unsetenv] = ACTIONS(945),
    [anon_sym_AMP_GT] = ACTIONS(935),
    [anon_sym_AMP_GT_GT] = ACTIONS(937),
    [anon_sym_LT_AMP] = ACTIONS(935),
    [anon_sym_GT_AMP] = ACTIONS(935),
    [anon_sym_GT_PIPE] = ACTIONS(937),
    [anon_sym_LT_AMP_DASH] = ACTIONS(947),
    [anon_sym_GT_AMP_DASH] = ACTIONS(947),
    [anon_sym_LT_LT_LT] = ACTIONS(949),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(953),
    [sym_ansi_c_string] = ACTIONS(953),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(955),
    [sym_variable_name] = ACTIONS(957),
    [sym_test_operator] = ACTIONS(959),
    [sym__brace_start] = ACTIONS(334),
  },
  [335] = {
    [sym__statement_not_pipeline] = STATE(5294),
    [sym_redirected_statement] = STATE(4224),
    [sym_for_statement] = STATE(4224),
    [sym_c_style_for_statement] = STATE(4224),
    [sym_while_statement] = STATE(4105),
    [sym_if_statement] = STATE(4105),
    [sym_case_statement] = STATE(4224),
    [sym_function_definition] = STATE(4224),
    [sym_compound_statement] = STATE(4224),
    [sym_subshell] = STATE(4224),
    [sym_pipeline] = STATE(4222),
    [sym_list] = STATE(4224),
    [sym_negated_command] = STATE(4224),
    [sym_test_command] = STATE(4224),
    [sym_declaration_command] = STATE(4224),
    [sym_unset_command] = STATE(4224),
    [sym_command] = STATE(4224),
    [sym_command_name] = STATE(502),
    [sym_variable_assignment] = STATE(1236),
    [sym_variable_assignments] = STATE(4224),
    [sym_subscript] = STATE(5430),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(1225),
    [sym_brace_expression] = STATE(1225),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(1225),
    [sym_translated_string] = STATE(1225),
    [sym_number] = STATE(1225),
    [sym_simple_expansion] = STATE(1225),
    [sym_expansion] = STATE(1225),
    [sym_command_substitution] = STATE(1225),
    [sym_process_substitution] = STATE(1225),
    [aux_sym_redirected_statement_repeat2] = STATE(4377),
    [aux_sym_command_repeat1] = STATE(816),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(935),
    [anon_sym_GT] = ACTIONS(935),
    [anon_sym_GT_GT] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(943),
    [anon_sym_typeset] = ACTIONS(943),
    [anon_sym_export] = ACTIONS(943),
    [anon_sym_readonly] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(943),
    [anon_sym_unset] = ACTIONS(945),
    [anon_sym_unsetenv] = ACTIONS(945),
    [anon_sym_AMP_GT] = ACTIONS(935),
    [anon_sym_AMP_GT_GT] = ACTIONS(937),
    [anon_sym_LT_AMP] = ACTIONS(935),
    [anon_sym_GT_AMP] = ACTIONS(935),
    [anon_sym_GT_PIPE] = ACTIONS(937),
    [anon_sym_LT_AMP_DASH] = ACTIONS(947),
    [anon_sym_GT_AMP_DASH] = ACTIONS(947),
    [anon_sym_LT_LT_LT] = ACTIONS(949),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(953),
    [sym_ansi_c_string] = ACTIONS(953),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(955),
    [sym_variable_name] = ACTIONS(957),
    [sym_test_operator] = ACTIONS(959),
    [sym__brace_start] = ACTIONS(334),
  },
  [336] = {
    [sym__statement_not_pipeline] = STATE(5323),
    [sym_redirected_statement] = STATE(3896),
    [sym_for_statement] = STATE(3896),
    [sym_c_style_for_statement] = STATE(3896),
    [sym_while_statement] = STATE(3554),
    [sym_if_statement] = STATE(3554),
    [sym_case_statement] = STATE(3896),
    [sym_function_definition] = STATE(3896),
    [sym_compound_statement] = STATE(3896),
    [sym_subshell] = STATE(3896),
    [sym_pipeline] = STATE(3905),
    [sym_list] = STATE(3896),
    [sym_negated_command] = STATE(3896),
    [sym_test_command] = STATE(3896),
    [sym_declaration_command] = STATE(3896),
    [sym_unset_command] = STATE(3896),
    [sym_command] = STATE(3896),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(882),
    [sym_variable_assignments] = STATE(3896),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [337] = {
    [sym__statement_not_pipeline] = STATE(5226),
    [sym_redirected_statement] = STATE(3887),
    [sym_for_statement] = STATE(3887),
    [sym_c_style_for_statement] = STATE(3887),
    [sym_while_statement] = STATE(3634),
    [sym_if_statement] = STATE(3634),
    [sym_case_statement] = STATE(3887),
    [sym_function_definition] = STATE(3887),
    [sym_compound_statement] = STATE(3887),
    [sym_subshell] = STATE(3887),
    [sym_pipeline] = STATE(3897),
    [sym_list] = STATE(3887),
    [sym_negated_command] = STATE(3887),
    [sym_test_command] = STATE(3887),
    [sym_declaration_command] = STATE(3887),
    [sym_unset_command] = STATE(3887),
    [sym_command] = STATE(3887),
    [sym_command_name] = STATE(433),
    [sym_variable_assignment] = STATE(776),
    [sym_variable_assignments] = STATE(3887),
    [sym_subscript] = STATE(5469),
    [sym_file_redirect] = STATE(1637),
    [sym_herestring_redirect] = STATE(1650),
    [sym_arithmetic_expansion] = STATE(813),
    [sym_brace_expression] = STATE(813),
    [sym_concatenation] = STATE(1141),
    [sym_string] = STATE(813),
    [sym_translated_string] = STATE(813),
    [sym_number] = STATE(813),
    [sym_simple_expansion] = STATE(813),
    [sym_expansion] = STATE(813),
    [sym_command_substitution] = STATE(813),
    [sym_process_substitution] = STATE(813),
    [aux_sym_redirected_statement_repeat2] = STATE(4046),
    [aux_sym_command_repeat1] = STATE(803),
    [aux_sym__literal_repeat1] = STATE(985),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(13),
    [anon_sym_LT] = ACTIONS(15),
    [anon_sym_GT] = ACTIONS(15),
    [anon_sym_GT_GT] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(37),
    [anon_sym_typeset] = ACTIONS(37),
    [anon_sym_export] = ACTIONS(37),
    [anon_sym_readonly] = ACTIONS(37),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_unset] = ACTIONS(39),
    [anon_sym_unsetenv] = ACTIONS(39),
    [anon_sym_AMP_GT] = ACTIONS(15),
    [anon_sym_AMP_GT_GT] = ACTIONS(17),
    [anon_sym_LT_AMP] = ACTIONS(15),
    [anon_sym_GT_AMP] = ACTIONS(15),
    [anon_sym_GT_PIPE] = ACTIONS(17),
    [anon_sym_LT_AMP_DASH] = ACTIONS(41),
    [anon_sym_GT_AMP_DASH] = ACTIONS(41),
    [anon_sym_LT_LT_LT] = ACTIONS(43),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(47),
    [anon_sym_DOLLAR] = ACTIONS(49),
    [sym__special_character] = ACTIONS(51),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_raw_string] = ACTIONS(55),
    [sym_ansi_c_string] = ACTIONS(55),
    [aux_sym_number_token1] = ACTIONS(57),
    [aux_sym_number_token2] = ACTIONS(59),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(67),
    [anon_sym_LT_LPAREN] = ACTIONS(69),
    [anon_sym_GT_LPAREN] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(73),
    [sym_variable_name] = ACTIONS(75),
    [sym_test_operator] = ACTIONS(77),
    [sym__brace_start] = ACTIONS(79),
  },
  [338] = {
    [sym__statement_not_pipeline] = STATE(3881),
    [sym_redirected_statement] = STATE(3881),
    [sym_for_statement] = STATE(3881),
    [sym_c_style_for_statement] = STATE(3881),
    [sym_while_statement] = STATE(3583),
    [sym_if_statement] = STATE(3583),
    [sym_case_statement] = STATE(3881),
    [sym_function_definition] = STATE(3881),
    [sym_compound_statement] = STATE(3881),
    [sym_subshell] = STATE(3881),
    [sym_pipeline] = STATE(4441),
    [sym_list] = STATE(3881),
    [sym_negated_command] = STATE(3881),
    [sym_test_command] = STATE(3881),
    [sym_declaration_command] = STATE(3881),
    [sym_unset_command] = STATE(3881),
    [sym_command] = STATE(3881),
    [sym_command_name] = STATE(433),
    [sym_variable_assignment] = STATE(744),
    [sym_variable_assignments] = STATE(3881),
    [sym_subscript] = STATE(5469),
    [sym_file_redirect] = STATE(1637),
    [sym_herestring_redirect] = STATE(1650),
    [sym_arithmetic_expansion] = STATE(813),
    [sym_brace_expression] = STATE(813),
    [sym_concatenation] = STATE(1141),
    [sym_string] = STATE(813),
    [sym_translated_string] = STATE(813),
    [sym_number] = STATE(813),
    [sym_simple_expansion] = STATE(813),
    [sym_expansion] = STATE(813),
    [sym_command_substitution] = STATE(813),
    [sym_process_substitution] = STATE(813),
    [aux_sym_redirected_statement_repeat2] = STATE(4046),
    [aux_sym_command_repeat1] = STATE(803),
    [aux_sym__literal_repeat1] = STATE(985),
    [sym_word] = ACTIONS(7),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(13),
    [anon_sym_LT] = ACTIONS(15),
    [anon_sym_GT] = ACTIONS(15),
    [anon_sym_GT_GT] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(37),
    [anon_sym_typeset] = ACTIONS(37),
    [anon_sym_export] = ACTIONS(37),
    [anon_sym_readonly] = ACTIONS(37),
    [anon_sym_local] = ACTIONS(37),
    [anon_sym_unset] = ACTIONS(39),
    [anon_sym_unsetenv] = ACTIONS(39),
    [anon_sym_AMP_GT] = ACTIONS(15),
    [anon_sym_AMP_GT_GT] = ACTIONS(17),
    [anon_sym_LT_AMP] = ACTIONS(15),
    [anon_sym_GT_AMP] = ACTIONS(15),
    [anon_sym_GT_PIPE] = ACTIONS(17),
    [anon_sym_LT_AMP_DASH] = ACTIONS(41),
    [anon_sym_GT_AMP_DASH] = ACTIONS(41),
    [anon_sym_LT_LT_LT] = ACTIONS(43),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(45),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(47),
    [anon_sym_DOLLAR] = ACTIONS(49),
    [sym__special_character] = ACTIONS(51),
    [anon_sym_DQUOTE] = ACTIONS(53),
    [sym_raw_string] = ACTIONS(55),
    [sym_ansi_c_string] = ACTIONS(55),
    [aux_sym_number_token1] = ACTIONS(57),
    [aux_sym_number_token2] = ACTIONS(59),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(61),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(63),
    [anon_sym_BQUOTE] = ACTIONS(65),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(67),
    [anon_sym_LT_LPAREN] = ACTIONS(69),
    [anon_sym_GT_LPAREN] = ACTIONS(69),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(73),
    [sym_variable_name] = ACTIONS(75),
    [sym_test_operator] = ACTIONS(77),
    [sym__brace_start] = ACTIONS(79),
  },
  [339] = {
    [sym__statement_not_pipeline] = STATE(3915),
    [sym_redirected_statement] = STATE(3915),
    [sym_for_statement] = STATE(3915),
    [sym_c_style_for_statement] = STATE(3915),
    [sym_while_statement] = STATE(3538),
    [sym_if_statement] = STATE(3538),
    [sym_case_statement] = STATE(3915),
    [sym_function_definition] = STATE(3915),
    [sym_compound_statement] = STATE(3915),
    [sym_subshell] = STATE(3915),
    [sym_pipeline] = STATE(4435),
    [sym_list] = STATE(3915),
    [sym_negated_command] = STATE(3915),
    [sym_test_command] = STATE(3915),
    [sym_declaration_command] = STATE(3915),
    [sym_unset_command] = STATE(3915),
    [sym_command] = STATE(3915),
    [sym_command_name] = STATE(428),
    [sym_variable_assignment] = STATE(728),
    [sym_variable_assignments] = STATE(3915),
    [sym_subscript] = STATE(5383),
    [sym_file_redirect] = STATE(1461),
    [sym_herestring_redirect] = STATE(1442),
    [sym_arithmetic_expansion] = STATE(732),
    [sym_brace_expression] = STATE(732),
    [sym_concatenation] = STATE(945),
    [sym_string] = STATE(732),
    [sym_translated_string] = STATE(732),
    [sym_number] = STATE(732),
    [sym_simple_expansion] = STATE(732),
    [sym_expansion] = STATE(732),
    [sym_command_substitution] = STATE(732),
    [sym_process_substitution] = STATE(732),
    [aux_sym_redirected_statement_repeat2] = STATE(3823),
    [aux_sym_command_repeat1] = STATE(759),
    [aux_sym__literal_repeat1] = STATE(827),
    [sym_word] = ACTIONS(651),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(655),
    [anon_sym_GT] = ACTIONS(655),
    [anon_sym_GT_GT] = ACTIONS(657),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(665),
    [anon_sym_typeset] = ACTIONS(665),
    [anon_sym_export] = ACTIONS(665),
    [anon_sym_readonly] = ACTIONS(665),
    [anon_sym_local] = ACTIONS(665),
    [anon_sym_unset] = ACTIONS(667),
    [anon_sym_unsetenv] = ACTIONS(667),
    [anon_sym_AMP_GT] = ACTIONS(655),
    [anon_sym_AMP_GT_GT] = ACTIONS(657),
    [anon_sym_LT_AMP] = ACTIONS(655),
    [anon_sym_GT_AMP] = ACTIONS(655),
    [anon_sym_GT_PIPE] = ACTIONS(657),
    [anon_sym_LT_AMP_DASH] = ACTIONS(669),
    [anon_sym_GT_AMP_DASH] = ACTIONS(669),
    [anon_sym_LT_LT_LT] = ACTIONS(671),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(673),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(675),
    [anon_sym_DOLLAR] = ACTIONS(677),
    [sym__special_character] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [sym_raw_string] = ACTIONS(683),
    [sym_ansi_c_string] = ACTIONS(683),
    [aux_sym_number_token1] = ACTIONS(685),
    [aux_sym_number_token2] = ACTIONS(687),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(689),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(695),
    [anon_sym_LT_LPAREN] = ACTIONS(697),
    [anon_sym_GT_LPAREN] = ACTIONS(697),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(699),
    [sym_variable_name] = ACTIONS(701),
    [sym_test_operator] = ACTIONS(703),
    [sym__brace_start] = ACTIONS(705),
  },
  [340] = {
    [sym__statement_not_pipeline] = STATE(3881),
    [sym_redirected_statement] = STATE(3881),
    [sym_for_statement] = STATE(3881),
    [sym_c_style_for_statement] = STATE(3881),
    [sym_while_statement] = STATE(3561),
    [sym_if_statement] = STATE(3561),
    [sym_case_statement] = STATE(3881),
    [sym_function_definition] = STATE(3881),
    [sym_compound_statement] = STATE(3881),
    [sym_subshell] = STATE(3881),
    [sym_pipeline] = STATE(4432),
    [sym_list] = STATE(3881),
    [sym_negated_command] = STATE(3881),
    [sym_test_command] = STATE(3881),
    [sym_declaration_command] = STATE(3881),
    [sym_unset_command] = STATE(3881),
    [sym_command] = STATE(3881),
    [sym_command_name] = STATE(439),
    [sym_variable_assignment] = STATE(855),
    [sym_variable_assignments] = STATE(3881),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1890),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(3954),
    [aux_sym_command_repeat1] = STATE(814),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(773),
    [anon_sym_typeset] = ACTIONS(773),
    [anon_sym_export] = ACTIONS(773),
    [anon_sym_readonly] = ACTIONS(773),
    [anon_sym_local] = ACTIONS(773),
    [anon_sym_unset] = ACTIONS(775),
    [anon_sym_unsetenv] = ACTIONS(775),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [341] = {
    [sym__statement_not_pipeline] = STATE(4447),
    [sym_redirected_statement] = STATE(4447),
    [sym_for_statement] = STATE(4447),
    [sym_c_style_for_statement] = STATE(4447),
    [sym_while_statement] = STATE(4113),
    [sym_if_statement] = STATE(4113),
    [sym_case_statement] = STATE(4447),
    [sym_function_definition] = STATE(4447),
    [sym_compound_statement] = STATE(4447),
    [sym_subshell] = STATE(4447),
    [sym_pipeline] = STATE(4442),
    [sym_list] = STATE(4447),
    [sym_negated_command] = STATE(4447),
    [sym_test_command] = STATE(4447),
    [sym_declaration_command] = STATE(4447),
    [sym_unset_command] = STATE(4447),
    [sym_command] = STATE(4447),
    [sym_command_name] = STATE(516),
    [sym_variable_assignment] = STATE(1536),
    [sym_variable_assignments] = STATE(4447),
    [sym_subscript] = STATE(5431),
    [sym_file_redirect] = STATE(2352),
    [sym_herestring_redirect] = STATE(2428),
    [sym_arithmetic_expansion] = STATE(1487),
    [sym_brace_expression] = STATE(1487),
    [sym_concatenation] = STATE(1945),
    [sym_string] = STATE(1487),
    [sym_translated_string] = STATE(1487),
    [sym_number] = STATE(1487),
    [sym_simple_expansion] = STATE(1487),
    [sym_expansion] = STATE(1487),
    [sym_command_substitution] = STATE(1487),
    [sym_process_substitution] = STATE(1487),
    [aux_sym_redirected_statement_repeat2] = STATE(4417),
    [aux_sym_command_repeat1] = STATE(806),
    [aux_sym__literal_repeat1] = STATE(1928),
    [sym_word] = ACTIONS(961),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_select] = ACTIONS(147),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(965),
    [anon_sym_GT] = ACTIONS(965),
    [anon_sym_GT_GT] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_until] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_case] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(173),
    [anon_sym_declare] = ACTIONS(175),
    [anon_sym_typeset] = ACTIONS(175),
    [anon_sym_export] = ACTIONS(175),
    [anon_sym_readonly] = ACTIONS(175),
    [anon_sym_local] = ACTIONS(175),
    [anon_sym_unset] = ACTIONS(177),
    [anon_sym_unsetenv] = ACTIONS(177),
    [anon_sym_AMP_GT] = ACTIONS(965),
    [anon_sym_AMP_GT_GT] = ACTIONS(967),
    [anon_sym_LT_AMP] = ACTIONS(965),
    [anon_sym_GT_AMP] = ACTIONS(965),
    [anon_sym_GT_PIPE] = ACTIONS(967),
    [anon_sym_LT_AMP_DASH] = ACTIONS(973),
    [anon_sym_GT_AMP_DASH] = ACTIONS(973),
    [anon_sym_LT_LT_LT] = ACTIONS(975),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(977),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(979),
    [anon_sym_DOLLAR] = ACTIONS(981),
    [sym__special_character] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [sym_raw_string] = ACTIONS(987),
    [sym_ansi_c_string] = ACTIONS(987),
    [aux_sym_number_token1] = ACTIONS(989),
    [aux_sym_number_token2] = ACTIONS(991),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(993),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(995),
    [anon_sym_BQUOTE] = ACTIONS(997),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(999),
    [anon_sym_LT_LPAREN] = ACTIONS(1001),
    [anon_sym_GT_LPAREN] = ACTIONS(1001),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1003),
    [sym_variable_name] = ACTIONS(217),
    [sym_test_operator] = ACTIONS(1005),
    [sym__brace_start] = ACTIONS(1007),
  },
  [342] = {
    [sym__statement_not_pipeline] = STATE(5354),
    [sym_redirected_statement] = STATE(4372),
    [sym_for_statement] = STATE(4372),
    [sym_c_style_for_statement] = STATE(4372),
    [sym_while_statement] = STATE(4194),
    [sym_if_statement] = STATE(4194),
    [sym_case_statement] = STATE(4372),
    [sym_function_definition] = STATE(4372),
    [sym_compound_statement] = STATE(4372),
    [sym_subshell] = STATE(4372),
    [sym_pipeline] = STATE(4367),
    [sym_list] = STATE(4372),
    [sym_negated_command] = STATE(4372),
    [sym_test_command] = STATE(4372),
    [sym_declaration_command] = STATE(4372),
    [sym_unset_command] = STATE(4372),
    [sym_command] = STATE(4372),
    [sym_command_name] = STATE(516),
    [sym_variable_assignment] = STATE(1423),
    [sym_variable_assignments] = STATE(4372),
    [sym_subscript] = STATE(5431),
    [sym_file_redirect] = STATE(2352),
    [sym_herestring_redirect] = STATE(2428),
    [sym_arithmetic_expansion] = STATE(1487),
    [sym_brace_expression] = STATE(1487),
    [sym_concatenation] = STATE(1945),
    [sym_string] = STATE(1487),
    [sym_translated_string] = STATE(1487),
    [sym_number] = STATE(1487),
    [sym_simple_expansion] = STATE(1487),
    [sym_expansion] = STATE(1487),
    [sym_command_substitution] = STATE(1487),
    [sym_process_substitution] = STATE(1487),
    [aux_sym_redirected_statement_repeat2] = STATE(4417),
    [aux_sym_command_repeat1] = STATE(806),
    [aux_sym__literal_repeat1] = STATE(1928),
    [sym_word] = ACTIONS(961),
    [anon_sym_for] = ACTIONS(145),
    [anon_sym_select] = ACTIONS(147),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(965),
    [anon_sym_GT] = ACTIONS(965),
    [anon_sym_GT_GT] = ACTIONS(967),
    [anon_sym_LPAREN] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(157),
    [anon_sym_until] = ACTIONS(157),
    [anon_sym_if] = ACTIONS(159),
    [anon_sym_case] = ACTIONS(161),
    [anon_sym_function] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(165),
    [anon_sym_BANG] = ACTIONS(971),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(173),
    [anon_sym_declare] = ACTIONS(175),
    [anon_sym_typeset] = ACTIONS(175),
    [anon_sym_export] = ACTIONS(175),
    [anon_sym_readonly] = ACTIONS(175),
    [anon_sym_local] = ACTIONS(175),
    [anon_sym_unset] = ACTIONS(177),
    [anon_sym_unsetenv] = ACTIONS(177),
    [anon_sym_AMP_GT] = ACTIONS(965),
    [anon_sym_AMP_GT_GT] = ACTIONS(967),
    [anon_sym_LT_AMP] = ACTIONS(965),
    [anon_sym_GT_AMP] = ACTIONS(965),
    [anon_sym_GT_PIPE] = ACTIONS(967),
    [anon_sym_LT_AMP_DASH] = ACTIONS(973),
    [anon_sym_GT_AMP_DASH] = ACTIONS(973),
    [anon_sym_LT_LT_LT] = ACTIONS(975),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(977),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(979),
    [anon_sym_DOLLAR] = ACTIONS(981),
    [sym__special_character] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [sym_raw_string] = ACTIONS(987),
    [sym_ansi_c_string] = ACTIONS(987),
    [aux_sym_number_token1] = ACTIONS(989),
    [aux_sym_number_token2] = ACTIONS(991),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(993),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(995),
    [anon_sym_BQUOTE] = ACTIONS(997),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(999),
    [anon_sym_LT_LPAREN] = ACTIONS(1001),
    [anon_sym_GT_LPAREN] = ACTIONS(1001),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1003),
    [sym_variable_name] = ACTIONS(217),
    [sym_test_operator] = ACTIONS(1005),
    [sym__brace_start] = ACTIONS(1007),
  },
  [343] = {
    [sym__statement_not_pipeline] = STATE(3915),
    [sym_redirected_statement] = STATE(3915),
    [sym_for_statement] = STATE(3915),
    [sym_c_style_for_statement] = STATE(3915),
    [sym_while_statement] = STATE(3526),
    [sym_if_statement] = STATE(3526),
    [sym_case_statement] = STATE(3915),
    [sym_function_definition] = STATE(3915),
    [sym_compound_statement] = STATE(3915),
    [sym_subshell] = STATE(3915),
    [sym_pipeline] = STATE(4434),
    [sym_list] = STATE(3915),
    [sym_negated_command] = STATE(3915),
    [sym_test_command] = STATE(3915),
    [sym_declaration_command] = STATE(3915),
    [sym_unset_command] = STATE(3915),
    [sym_command] = STATE(3915),
    [sym_command_name] = STATE(426),
    [sym_variable_assignment] = STATE(679),
    [sym_variable_assignments] = STATE(3915),
    [sym_subscript] = STATE(5418),
    [sym_file_redirect] = STATE(1344),
    [sym_herestring_redirect] = STATE(1384),
    [sym_arithmetic_expansion] = STATE(674),
    [sym_brace_expression] = STATE(674),
    [sym_concatenation] = STATE(931),
    [sym_string] = STATE(674),
    [sym_translated_string] = STATE(674),
    [sym_number] = STATE(674),
    [sym_simple_expansion] = STATE(674),
    [sym_expansion] = STATE(674),
    [sym_command_substitution] = STATE(674),
    [sym_process_substitution] = STATE(674),
    [aux_sym_redirected_statement_repeat2] = STATE(3730),
    [aux_sym_command_repeat1] = STATE(758),
    [aux_sym__literal_repeat1] = STATE(757),
    [sym_word] = ACTIONS(389),
    [anon_sym_for] = ACTIONS(391),
    [anon_sym_select] = ACTIONS(393),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(395),
    [anon_sym_LT] = ACTIONS(397),
    [anon_sym_GT] = ACTIONS(397),
    [anon_sym_GT_GT] = ACTIONS(399),
    [anon_sym_LPAREN] = ACTIONS(401),
    [anon_sym_while] = ACTIONS(403),
    [anon_sym_until] = ACTIONS(403),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_case] = ACTIONS(407),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_LBRACE] = ACTIONS(419),
    [anon_sym_BANG] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(425),
    [anon_sym_declare] = ACTIONS(427),
    [anon_sym_typeset] = ACTIONS(427),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_readonly] = ACTIONS(427),
    [anon_sym_local] = ACTIONS(427),
    [anon_sym_unset] = ACTIONS(429),
    [anon_sym_unsetenv] = ACTIONS(429),
    [anon_sym_AMP_GT] = ACTIONS(397),
    [anon_sym_AMP_GT_GT] = ACTIONS(399),
    [anon_sym_LT_AMP] = ACTIONS(397),
    [anon_sym_GT_AMP] = ACTIONS(397),
    [anon_sym_GT_PIPE] = ACTIONS(399),
    [anon_sym_LT_AMP_DASH] = ACTIONS(431),
    [anon_sym_GT_AMP_DASH] = ACTIONS(431),
    [anon_sym_LT_LT_LT] = ACTIONS(433),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(435),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(437),
    [anon_sym_DOLLAR] = ACTIONS(439),
    [sym__special_character] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [sym_raw_string] = ACTIONS(445),
    [sym_ansi_c_string] = ACTIONS(445),
    [aux_sym_number_token1] = ACTIONS(447),
    [aux_sym_number_token2] = ACTIONS(449),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(451),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(453),
    [anon_sym_BQUOTE] = ACTIONS(455),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(457),
    [anon_sym_LT_LPAREN] = ACTIONS(459),
    [anon_sym_GT_LPAREN] = ACTIONS(459),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(461),
    [sym_variable_name] = ACTIONS(463),
    [sym_test_operator] = ACTIONS(465),
    [sym__brace_start] = ACTIONS(467),
  },
  [344] = {
    [sym__statement_not_pipeline] = STATE(3881),
    [sym_redirected_statement] = STATE(3881),
    [sym_for_statement] = STATE(3881),
    [sym_c_style_for_statement] = STATE(3881),
    [sym_while_statement] = STATE(3665),
    [sym_if_statement] = STATE(3665),
    [sym_case_statement] = STATE(3881),
    [sym_function_definition] = STATE(3881),
    [sym_compound_statement] = STATE(3881),
    [sym_subshell] = STATE(3881),
    [sym_pipeline] = STATE(4480),
    [sym_list] = STATE(3881),
    [sym_negated_command] = STATE(3881),
    [sym_test_command] = STATE(3881),
    [sym_declaration_command] = STATE(3881),
    [sym_unset_command] = STATE(3881),
    [sym_command] = STATE(3881),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(900),
    [sym_variable_assignments] = STATE(3881),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [345] = {
    [sym__statement_not_pipeline] = STATE(5359),
    [sym_redirected_statement] = STATE(3984),
    [sym_for_statement] = STATE(3984),
    [sym_c_style_for_statement] = STATE(3984),
    [sym_while_statement] = STATE(3666),
    [sym_if_statement] = STATE(3666),
    [sym_case_statement] = STATE(3984),
    [sym_function_definition] = STATE(3984),
    [sym_compound_statement] = STATE(3984),
    [sym_subshell] = STATE(3984),
    [sym_pipeline] = STATE(3985),
    [sym_list] = STATE(3984),
    [sym_negated_command] = STATE(3984),
    [sym_test_command] = STATE(3984),
    [sym_declaration_command] = STATE(3984),
    [sym_unset_command] = STATE(3984),
    [sym_command] = STATE(3984),
    [sym_command_name] = STATE(437),
    [sym_variable_assignment] = STATE(908),
    [sym_variable_assignments] = STATE(3984),
    [sym_subscript] = STATE(5438),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(925),
    [sym_brace_expression] = STATE(925),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(925),
    [sym_translated_string] = STATE(925),
    [sym_number] = STATE(925),
    [sym_simple_expansion] = STATE(925),
    [sym_expansion] = STATE(925),
    [sym_command_substitution] = STATE(925),
    [sym_process_substitution] = STATE(925),
    [aux_sym_redirected_statement_repeat2] = STATE(4087),
    [aux_sym_command_repeat1] = STATE(788),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(276),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(280),
    [anon_sym_GT] = ACTIONS(280),
    [anon_sym_GT_GT] = ACTIONS(282),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(290),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(292),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(294),
    [anon_sym_typeset] = ACTIONS(294),
    [anon_sym_export] = ACTIONS(294),
    [anon_sym_readonly] = ACTIONS(294),
    [anon_sym_local] = ACTIONS(294),
    [anon_sym_unset] = ACTIONS(296),
    [anon_sym_unsetenv] = ACTIONS(296),
    [anon_sym_AMP_GT] = ACTIONS(280),
    [anon_sym_AMP_GT_GT] = ACTIONS(282),
    [anon_sym_LT_AMP] = ACTIONS(280),
    [anon_sym_GT_AMP] = ACTIONS(280),
    [anon_sym_GT_PIPE] = ACTIONS(282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(298),
    [anon_sym_GT_AMP_DASH] = ACTIONS(298),
    [anon_sym_LT_LT_LT] = ACTIONS(300),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(308),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(312),
    [sym_ansi_c_string] = ACTIONS(312),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(328),
    [sym_variable_name] = ACTIONS(330),
    [sym_test_operator] = ACTIONS(332),
    [sym__brace_start] = ACTIONS(334),
  },
  [346] = {
    [sym__statement_not_pipeline] = STATE(5314),
    [sym_redirected_statement] = STATE(3745),
    [sym_for_statement] = STATE(3745),
    [sym_c_style_for_statement] = STATE(3745),
    [sym_while_statement] = STATE(3557),
    [sym_if_statement] = STATE(3557),
    [sym_case_statement] = STATE(3745),
    [sym_function_definition] = STATE(3745),
    [sym_compound_statement] = STATE(3745),
    [sym_subshell] = STATE(3745),
    [sym_pipeline] = STATE(3752),
    [sym_list] = STATE(3745),
    [sym_negated_command] = STATE(3745),
    [sym_test_command] = STATE(3745),
    [sym_declaration_command] = STATE(3745),
    [sym_unset_command] = STATE(3745),
    [sym_command] = STATE(3745),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(765),
    [sym_variable_assignments] = STATE(3745),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [347] = {
    [sym__statement_not_pipeline] = STATE(3881),
    [sym_redirected_statement] = STATE(3881),
    [sym_for_statement] = STATE(3881),
    [sym_c_style_for_statement] = STATE(3881),
    [sym_while_statement] = STATE(3591),
    [sym_if_statement] = STATE(3591),
    [sym_case_statement] = STATE(3881),
    [sym_function_definition] = STATE(3881),
    [sym_compound_statement] = STATE(3881),
    [sym_subshell] = STATE(3881),
    [sym_pipeline] = STATE(4477),
    [sym_list] = STATE(3881),
    [sym_negated_command] = STATE(3881),
    [sym_test_command] = STATE(3881),
    [sym_declaration_command] = STATE(3881),
    [sym_unset_command] = STATE(3881),
    [sym_command] = STATE(3881),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(802),
    [sym_variable_assignments] = STATE(3881),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(782),
    [sym_brace_expression] = STATE(782),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(782),
    [sym_translated_string] = STATE(782),
    [sym_number] = STATE(782),
    [sym_simple_expansion] = STATE(782),
    [sym_expansion] = STATE(782),
    [sym_command_substitution] = STATE(782),
    [sym_process_substitution] = STATE(782),
    [aux_sym_redirected_statement_repeat2] = STATE(4007),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(735),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(85),
    [anon_sym_GT] = ACTIONS(85),
    [anon_sym_GT_GT] = ACTIONS(87),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(91),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_typeset] = ACTIONS(95),
    [anon_sym_export] = ACTIONS(95),
    [anon_sym_readonly] = ACTIONS(95),
    [anon_sym_local] = ACTIONS(95),
    [anon_sym_unset] = ACTIONS(97),
    [anon_sym_unsetenv] = ACTIONS(97),
    [anon_sym_AMP_GT] = ACTIONS(85),
    [anon_sym_AMP_GT_GT] = ACTIONS(87),
    [anon_sym_LT_AMP] = ACTIONS(85),
    [anon_sym_GT_AMP] = ACTIONS(85),
    [anon_sym_GT_PIPE] = ACTIONS(87),
    [anon_sym_LT_AMP_DASH] = ACTIONS(99),
    [anon_sym_GT_AMP_DASH] = ACTIONS(99),
    [anon_sym_LT_LT_LT] = ACTIONS(101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(743),
    [sym_ansi_c_string] = ACTIONS(743),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(135),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(745),
    [sym__brace_start] = ACTIONS(334),
  },
  [348] = {
    [sym__statement_not_pipeline] = STATE(5294),
    [sym_redirected_statement] = STATE(4246),
    [sym_for_statement] = STATE(4246),
    [sym_c_style_for_statement] = STATE(4246),
    [sym_while_statement] = STATE(4086),
    [sym_if_statement] = STATE(4086),
    [sym_case_statement] = STATE(4246),
    [sym_function_definition] = STATE(4246),
    [sym_compound_statement] = STATE(4246),
    [sym_subshell] = STATE(4246),
    [sym_pipeline] = STATE(4409),
    [sym_list] = STATE(4246),
    [sym_negated_command] = STATE(4246),
    [sym_test_command] = STATE(4246),
    [sym_declaration_command] = STATE(4246),
    [sym_unset_command] = STATE(4246),
    [sym_command] = STATE(4246),
    [sym_command_name] = STATE(502),
    [sym_variable_assignment] = STATE(1372),
    [sym_variable_assignments] = STATE(4246),
    [sym_subscript] = STATE(5430),
    [sym_file_redirect] = STATE(1603),
    [sym_herestring_redirect] = STATE(1697),
    [sym_arithmetic_expansion] = STATE(1225),
    [sym_brace_expression] = STATE(1225),
    [sym_concatenation] = STATE(1176),
    [sym_string] = STATE(1225),
    [sym_translated_string] = STATE(1225),
    [sym_number] = STATE(1225),
    [sym_simple_expansion] = STATE(1225),
    [sym_expansion] = STATE(1225),
    [sym_command_substitution] = STATE(1225),
    [sym_process_substitution] = STATE(1225),
    [aux_sym_redirected_statement_repeat2] = STATE(4377),
    [aux_sym_command_repeat1] = STATE(816),
    [aux_sym__literal_repeat1] = STATE(948),
    [sym_word] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(9),
    [anon_sym_select] = ACTIONS(11),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(278),
    [anon_sym_LT] = ACTIONS(935),
    [anon_sym_GT] = ACTIONS(935),
    [anon_sym_GT_GT] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_while] = ACTIONS(21),
    [anon_sym_until] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(23),
    [anon_sym_case] = ACTIONS(25),
    [anon_sym_function] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_declare] = ACTIONS(943),
    [anon_sym_typeset] = ACTIONS(943),
    [anon_sym_export] = ACTIONS(943),
    [anon_sym_readonly] = ACTIONS(943),
    [anon_sym_local] = ACTIONS(943),
    [anon_sym_unset] = ACTIONS(945),
    [anon_sym_unsetenv] = ACTIONS(945),
    [anon_sym_AMP_GT] = ACTIONS(935),
    [anon_sym_AMP_GT_GT] = ACTIONS(937),
    [anon_sym_LT_AMP] = ACTIONS(935),
    [anon_sym_GT_AMP] = ACTIONS(935),
    [anon_sym_GT_PIPE] = ACTIONS(937),
    [anon_sym_LT_AMP_DASH] = ACTIONS(947),
    [anon_sym_GT_AMP_DASH] = ACTIONS(947),
    [anon_sym_LT_LT_LT] = ACTIONS(949),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(302),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(304),
    [anon_sym_DOLLAR] = ACTIONS(306),
    [sym__special_character] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(310),
    [sym_raw_string] = ACTIONS(953),
    [sym_ansi_c_string] = ACTIONS(953),
    [aux_sym_number_token1] = ACTIONS(314),
    [aux_sym_number_token2] = ACTIONS(316),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(318),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(320),
    [anon_sym_BQUOTE] = ACTIONS(322),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(324),
    [anon_sym_LT_LPAREN] = ACTIONS(326),
    [anon_sym_GT_LPAREN] = ACTIONS(326),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(955),
    [sym_variable_name] = ACTIONS(957),
    [sym_test_operator] = ACTIONS(959),
    [sym__brace_start] = ACTIONS(334),
  },
  [349] = {
    [sym__expression] = STATE(2323),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_postfix_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_arithmetic_expansion] = STATE(2110),
    [sym_brace_expression] = STATE(2110),
    [sym_concatenation] = STATE(2425),
    [sym_string] = STATE(2110),
    [sym_translated_string] = STATE(2110),
    [sym_number] = STATE(2110),
    [sym_simple_expansion] = STATE(2110),
    [sym_expansion] = STATE(2110),
    [sym_command_substitution] = STATE(2110),
    [sym_process_substitution] = STATE(2110),
    [aux_sym__literal_repeat1] = STATE(2096),
    [aux_sym_concatenation_repeat1] = STATE(2032),
    [sym_word] = ACTIONS(1009),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1015),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1017),
    [anon_sym_DASH_DASH2] = ACTIONS(1017),
    [anon_sym_DASH2] = ACTIONS(1019),
    [anon_sym_PLUS2] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1021),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(353),
    [aux_sym_concatenation_token1] = ACTIONS(1023),
    [anon_sym_DOLLAR] = ACTIONS(357),
    [sym__special_character] = ACTIONS(1025),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [sym_raw_string] = ACTIONS(1027),
    [sym_ansi_c_string] = ACTIONS(1027),
    [aux_sym_number_token1] = ACTIONS(365),
    [aux_sym_number_token2] = ACTIONS(367),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(369),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(371),
    [anon_sym_BQUOTE] = ACTIONS(373),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(375),
    [anon_sym_LT_LPAREN] = ACTIONS(377),
    [anon_sym_GT_LPAREN] = ACTIONS(377),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1029),
    [sym_test_operator] = ACTIONS(1031),
    [sym__brace_start] = ACTIONS(381),
  },
  [350] = {
    [sym__expression] = STATE(2323),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_postfix_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_arithmetic_expansion] = STATE(2110),
    [sym_brace_expression] = STATE(2110),
    [sym_concatenation] = STATE(2425),
    [sym_string] = STATE(2110),
    [sym_translated_string] = STATE(2110),
    [sym_number] = STATE(2110),
    [sym_simple_expansion] = STATE(2110),
    [sym_expansion] = STATE(2110),
    [sym_command_substitution] = STATE(2110),
    [sym_process_substitution] = STATE(2110),
    [aux_sym__literal_repeat1] = STATE(2096),
    [aux_sym_concatenation_repeat1] = STATE(2032),
    [sym_word] = ACTIONS(1009),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1033),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1017),
    [anon_sym_DASH_DASH2] = ACTIONS(1017),
    [anon_sym_DASH2] = ACTIONS(1019),
    [anon_sym_PLUS2] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1021),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(353),
    [aux_sym_concatenation_token1] = ACTIONS(1023),
    [anon_sym_DOLLAR] = ACTIONS(357),
    [sym__special_character] = ACTIONS(1025),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [sym_raw_string] = ACTIONS(1027),
    [sym_ansi_c_string] = ACTIONS(1027),
    [aux_sym_number_token1] = ACTIONS(365),
    [aux_sym_number_token2] = ACTIONS(367),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(369),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(371),
    [anon_sym_BQUOTE] = ACTIONS(373),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(375),
    [anon_sym_LT_LPAREN] = ACTIONS(377),
    [anon_sym_GT_LPAREN] = ACTIONS(377),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1035),
    [sym_test_operator] = ACTIONS(1031),
    [sym__brace_start] = ACTIONS(381),
  },
  [351] = {
    [sym__expression] = STATE(2590),
    [sym_binary_expression] = STATE(2153),
    [sym_ternary_expression] = STATE(2153),
    [sym_unary_expression] = STATE(2153),
    [sym_postfix_expression] = STATE(2153),
    [sym_parenthesized_expression] = STATE(2153),
    [sym_arithmetic_expansion] = STATE(2117),
    [sym_brace_expression] = STATE(2117),
    [sym_concatenation] = STATE(2153),
    [sym_string] = STATE(2117),
    [sym_translated_string] = STATE(2117),
    [sym_number] = STATE(2117),
    [sym_simple_expansion] = STATE(2117),
    [sym_expansion] = STATE(2117),
    [sym_command_substitution] = STATE(2117),
    [sym_process_substitution] = STATE(2117),
    [aux_sym__literal_repeat1] = STATE(2171),
    [aux_sym_concatenation_repeat1] = STATE(2120),
    [sym_word] = ACTIONS(1037),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1043),
    [anon_sym_RBRACK_RBRACK] = ACTIONS(344),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1045),
    [anon_sym_DASH_DASH2] = ACTIONS(1045),
    [anon_sym_DASH2] = ACTIONS(1047),
    [anon_sym_PLUS2] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1049),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1039),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1051),
    [aux_sym_concatenation_token1] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [sym__special_character] = ACTIONS(1057),
    [anon_sym_DQUOTE] = ACTIONS(1059),
    [sym_raw_string] = ACTIONS(1061),
    [sym_ansi_c_string] = ACTIONS(1061),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_number_token2] = ACTIONS(1065),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1067),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1069),
    [anon_sym_BQUOTE] = ACTIONS(1071),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1073),
    [anon_sym_LT_LPAREN] = ACTIONS(1075),
    [anon_sym_GT_LPAREN] = ACTIONS(1075),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1053),
    [sym_test_operator] = ACTIONS(1077),
    [sym__brace_start] = ACTIONS(1079),
  },
  [352] = {
    [sym__expression] = STATE(2534),
    [sym_binary_expression] = STATE(2449),
    [sym_ternary_expression] = STATE(2449),
    [sym_unary_expression] = STATE(2449),
    [sym_postfix_expression] = STATE(2449),
    [sym_parenthesized_expression] = STATE(2449),
    [sym_arithmetic_expansion] = STATE(2053),
    [sym_brace_expression] = STATE(2053),
    [sym_concatenation] = STATE(2449),
    [sym_string] = STATE(2053),
    [sym_translated_string] = STATE(2053),
    [sym_number] = STATE(2053),
    [sym_simple_expansion] = STATE(2053),
    [sym_expansion] = STATE(2053),
    [sym_command_substitution] = STATE(2053),
    [sym_process_substitution] = STATE(2053),
    [aux_sym__literal_repeat1] = STATE(2172),
    [aux_sym_concatenation_repeat1] = STATE(2076),
    [sym_word] = ACTIONS(340),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(349),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_RBRACK] = ACTIONS(344),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(183),
    [anon_sym_DASH_DASH2] = ACTIONS(183),
    [anon_sym_DASH2] = ACTIONS(185),
    [anon_sym_PLUS2] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(187),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(353),
    [aux_sym_concatenation_token1] = ACTIONS(1023),
    [anon_sym_DOLLAR] = ACTIONS(357),
    [sym__special_character] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [sym_raw_string] = ACTIONS(363),
    [sym_ansi_c_string] = ACTIONS(363),
    [aux_sym_number_token1] = ACTIONS(365),
    [aux_sym_number_token2] = ACTIONS(367),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(369),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(371),
    [anon_sym_BQUOTE] = ACTIONS(373),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(375),
    [anon_sym_LT_LPAREN] = ACTIONS(377),
    [anon_sym_GT_LPAREN] = ACTIONS(377),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1023),
    [sym_test_operator] = ACTIONS(379),
    [sym__brace_start] = ACTIONS(381),
  },
  [353] = {
    [sym__expression] = STATE(2323),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_postfix_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_arithmetic_expansion] = STATE(2110),
    [sym_brace_expression] = STATE(2110),
    [sym_concatenation] = STATE(2425),
    [sym_string] = STATE(2110),
    [sym_translated_string] = STATE(2110),
    [sym_number] = STATE(2110),
    [sym_simple_expansion] = STATE(2110),
    [sym_expansion] = STATE(2110),
    [sym_command_substitution] = STATE(2110),
    [sym_process_substitution] = STATE(2110),
    [aux_sym__literal_repeat1] = STATE(2096),
    [aux_sym_concatenation_repeat1] = STATE(2032),
    [sym_word] = ACTIONS(1009),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1081),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1017),
    [anon_sym_DASH_DASH2] = ACTIONS(1017),
    [anon_sym_DASH2] = ACTIONS(1019),
    [anon_sym_PLUS2] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1021),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(353),
    [aux_sym_concatenation_token1] = ACTIONS(1023),
    [anon_sym_DOLLAR] = ACTIONS(357),
    [sym__special_character] = ACTIONS(1025),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [sym_raw_string] = ACTIONS(1027),
    [sym_ansi_c_string] = ACTIONS(1027),
    [aux_sym_number_token1] = ACTIONS(365),
    [aux_sym_number_token2] = ACTIONS(367),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(369),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(371),
    [anon_sym_BQUOTE] = ACTIONS(373),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(375),
    [anon_sym_LT_LPAREN] = ACTIONS(377),
    [anon_sym_GT_LPAREN] = ACTIONS(377),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1083),
    [sym_test_operator] = ACTIONS(1031),
    [sym__brace_start] = ACTIONS(381),
  },
  [354] = {
    [sym__expression] = STATE(2323),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_postfix_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_arithmetic_expansion] = STATE(2110),
    [sym_brace_expression] = STATE(2110),
    [sym_concatenation] = STATE(2425),
    [sym_string] = STATE(2110),
    [sym_translated_string] = STATE(2110),
    [sym_number] = STATE(2110),
    [sym_simple_expansion] = STATE(2110),
    [sym_expansion] = STATE(2110),
    [sym_command_substitution] = STATE(2110),
    [sym_process_substitution] = STATE(2110),
    [aux_sym__literal_repeat1] = STATE(2096),
    [aux_sym_concatenation_repeat1] = STATE(2032),
    [sym_word] = ACTIONS(1009),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1085),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1017),
    [anon_sym_DASH_DASH2] = ACTIONS(1017),
    [anon_sym_DASH2] = ACTIONS(1019),
    [anon_sym_PLUS2] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1021),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(353),
    [aux_sym_concatenation_token1] = ACTIONS(1023),
    [anon_sym_DOLLAR] = ACTIONS(357),
    [sym__special_character] = ACTIONS(1025),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [sym_raw_string] = ACTIONS(1027),
    [sym_ansi_c_string] = ACTIONS(1027),
    [aux_sym_number_token1] = ACTIONS(365),
    [aux_sym_number_token2] = ACTIONS(367),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(369),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(371),
    [anon_sym_BQUOTE] = ACTIONS(373),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(375),
    [anon_sym_LT_LPAREN] = ACTIONS(377),
    [anon_sym_GT_LPAREN] = ACTIONS(377),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1087),
    [sym_test_operator] = ACTIONS(1031),
    [sym__brace_start] = ACTIONS(381),
  },
  [355] = {
    [sym__expression] = STATE(2323),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_postfix_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_arithmetic_expansion] = STATE(2110),
    [sym_brace_expression] = STATE(2110),
    [sym_concatenation] = STATE(2425),
    [sym_string] = STATE(2110),
    [sym_translated_string] = STATE(2110),
    [sym_number] = STATE(2110),
    [sym_simple_expansion] = STATE(2110),
    [sym_expansion] = STATE(2110),
    [sym_command_substitution] = STATE(2110),
    [sym_process_substitution] = STATE(2110),
    [aux_sym__literal_repeat1] = STATE(2096),
    [aux_sym_concatenation_repeat1] = STATE(2032),
    [sym_word] = ACTIONS(1009),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1089),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1017),
    [anon_sym_DASH_DASH2] = ACTIONS(1017),
    [anon_sym_DASH2] = ACTIONS(1019),
    [anon_sym_PLUS2] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1021),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(353),
    [aux_sym_concatenation_token1] = ACTIONS(1023),
    [anon_sym_DOLLAR] = ACTIONS(357),
    [sym__special_character] = ACTIONS(1025),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [sym_raw_string] = ACTIONS(1027),
    [sym_ansi_c_string] = ACTIONS(1027),
    [aux_sym_number_token1] = ACTIONS(365),
    [aux_sym_number_token2] = ACTIONS(367),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(369),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(371),
    [anon_sym_BQUOTE] = ACTIONS(373),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(375),
    [anon_sym_LT_LPAREN] = ACTIONS(377),
    [anon_sym_GT_LPAREN] = ACTIONS(377),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1091),
    [sym_test_operator] = ACTIONS(1031),
    [sym__brace_start] = ACTIONS(381),
  },
  [356] = {
    [sym__expression] = STATE(2530),
    [sym_binary_expression] = STATE(2153),
    [sym_ternary_expression] = STATE(2153),
    [sym_unary_expression] = STATE(2153),
    [sym_postfix_expression] = STATE(2153),
    [sym_parenthesized_expression] = STATE(2153),
    [sym_arithmetic_expansion] = STATE(2062),
    [sym_brace_expression] = STATE(2062),
    [sym_concatenation] = STATE(2153),
    [sym_string] = STATE(2062),
    [sym_translated_string] = STATE(2062),
    [sym_number] = STATE(2062),
    [sym_simple_expansion] = STATE(2062),
    [sym_expansion] = STATE(2062),
    [sym_command_substitution] = STATE(2062),
    [sym_process_substitution] = STATE(2062),
    [aux_sym__literal_repeat1] = STATE(2099),
    [aux_sym_concatenation_repeat1] = STATE(2038),
    [sym_word] = ACTIONS(1093),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_COLON] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1097),
    [anon_sym_DASH_DASH2] = ACTIONS(1097),
    [anon_sym_DASH2] = ACTIONS(1099),
    [anon_sym_PLUS2] = ACTIONS(1099),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1039),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1051),
    [aux_sym_concatenation_token1] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [sym__special_character] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1059),
    [sym_raw_string] = ACTIONS(1105),
    [sym_ansi_c_string] = ACTIONS(1105),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_number_token2] = ACTIONS(1065),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1067),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1069),
    [anon_sym_BQUOTE] = ACTIONS(1071),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1073),
    [anon_sym_LT_LPAREN] = ACTIONS(1075),
    [anon_sym_GT_LPAREN] = ACTIONS(1075),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1053),
    [sym_test_operator] = ACTIONS(1107),
    [sym__brace_start] = ACTIONS(1079),
  },
  [357] = {
    [sym__expression] = STATE(2579),
    [sym_binary_expression] = STATE(2153),
    [sym_ternary_expression] = STATE(2153),
    [sym_unary_expression] = STATE(2153),
    [sym_postfix_expression] = STATE(2153),
    [sym_parenthesized_expression] = STATE(2153),
    [sym_arithmetic_expansion] = STATE(2109),
    [sym_brace_expression] = STATE(2109),
    [sym_concatenation] = STATE(2153),
    [sym_string] = STATE(2109),
    [sym_translated_string] = STATE(2109),
    [sym_number] = STATE(2109),
    [sym_simple_expansion] = STATE(2109),
    [sym_expansion] = STATE(2109),
    [sym_command_substitution] = STATE(2109),
    [sym_process_substitution] = STATE(2109),
    [aux_sym__literal_repeat1] = STATE(2099),
    [aux_sym_concatenation_repeat1] = STATE(2111),
    [sym_word] = ACTIONS(1109),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1039),
    [anon_sym_RPAREN_RPAREN] = ACTIONS(344),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1111),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1113),
    [anon_sym_DASH_DASH2] = ACTIONS(1113),
    [anon_sym_DASH2] = ACTIONS(1115),
    [anon_sym_PLUS2] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1117),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1039),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1051),
    [aux_sym_concatenation_token1] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [sym__special_character] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1059),
    [sym_raw_string] = ACTIONS(1121),
    [sym_ansi_c_string] = ACTIONS(1121),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_number_token2] = ACTIONS(1065),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1067),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1069),
    [anon_sym_BQUOTE] = ACTIONS(1071),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1073),
    [anon_sym_LT_LPAREN] = ACTIONS(1075),
    [anon_sym_GT_LPAREN] = ACTIONS(1075),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1053),
    [sym_test_operator] = ACTIONS(1123),
    [sym__brace_start] = ACTIONS(1079),
  },
  [358] = {
    [sym__expression] = STATE(2323),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_postfix_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_arithmetic_expansion] = STATE(2110),
    [sym_brace_expression] = STATE(2110),
    [sym_concatenation] = STATE(2425),
    [sym_string] = STATE(2110),
    [sym_translated_string] = STATE(2110),
    [sym_number] = STATE(2110),
    [sym_simple_expansion] = STATE(2110),
    [sym_expansion] = STATE(2110),
    [sym_command_substitution] = STATE(2110),
    [sym_process_substitution] = STATE(2110),
    [aux_sym__literal_repeat1] = STATE(2096),
    [aux_sym_concatenation_repeat1] = STATE(2032),
    [sym_word] = ACTIONS(1009),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1125),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1017),
    [anon_sym_DASH_DASH2] = ACTIONS(1017),
    [anon_sym_DASH2] = ACTIONS(1019),
    [anon_sym_PLUS2] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1021),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(353),
    [aux_sym_concatenation_token1] = ACTIONS(1023),
    [anon_sym_DOLLAR] = ACTIONS(357),
    [sym__special_character] = ACTIONS(1025),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [sym_raw_string] = ACTIONS(1027),
    [sym_ansi_c_string] = ACTIONS(1027),
    [aux_sym_number_token1] = ACTIONS(365),
    [aux_sym_number_token2] = ACTIONS(367),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(369),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(371),
    [anon_sym_BQUOTE] = ACTIONS(373),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(375),
    [anon_sym_LT_LPAREN] = ACTIONS(377),
    [anon_sym_GT_LPAREN] = ACTIONS(377),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1127),
    [sym_test_operator] = ACTIONS(1031),
    [sym__brace_start] = ACTIONS(381),
  },
  [359] = {
    [sym__expression] = STATE(2323),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_postfix_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_arithmetic_expansion] = STATE(2110),
    [sym_brace_expression] = STATE(2110),
    [sym_concatenation] = STATE(2425),
    [sym_string] = STATE(2110),
    [sym_translated_string] = STATE(2110),
    [sym_number] = STATE(2110),
    [sym_simple_expansion] = STATE(2110),
    [sym_expansion] = STATE(2110),
    [sym_command_substitution] = STATE(2110),
    [sym_process_substitution] = STATE(2110),
    [aux_sym__literal_repeat1] = STATE(2096),
    [aux_sym_concatenation_repeat1] = STATE(2032),
    [sym_word] = ACTIONS(1009),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [anon_sym_BANG] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(344),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1017),
    [anon_sym_DASH_DASH2] = ACTIONS(1017),
    [anon_sym_DASH2] = ACTIONS(1019),
    [anon_sym_PLUS2] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1021),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(342),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(353),
    [aux_sym_concatenation_token1] = ACTIONS(1023),
    [anon_sym_DOLLAR] = ACTIONS(357),
    [sym__special_character] = ACTIONS(1025),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [sym_raw_string] = ACTIONS(1027),
    [sym_ansi_c_string] = ACTIONS(1027),
    [aux_sym_number_token1] = ACTIONS(365),
    [aux_sym_number_token2] = ACTIONS(367),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(369),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(371),
    [anon_sym_BQUOTE] = ACTIONS(373),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(375),
    [anon_sym_LT_LPAREN] = ACTIONS(377),
    [anon_sym_GT_LPAREN] = ACTIONS(377),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(344),
    [sym_test_operator] = ACTIONS(1031),
    [sym__brace_start] = ACTIONS(381),
  },
  [360] = {
    [sym__expression] = STATE(2442),
    [sym_binary_expression] = STATE(2582),
    [sym_ternary_expression] = STATE(2582),
    [sym_unary_expression] = STATE(2582),
    [sym_postfix_expression] = STATE(2582),
    [sym_parenthesized_expression] = STATE(2582),
    [sym_arithmetic_expansion] = STATE(2112),
    [sym_brace_expression] = STATE(2112),
    [sym_concatenation] = STATE(2582),
    [sym_string] = STATE(2112),
    [sym_translated_string] = STATE(2112),
    [sym_number] = STATE(2112),
    [sym_simple_expansion] = STATE(2112),
    [sym_expansion] = STATE(2112),
    [sym_command_substitution] = STATE(2112),
    [sym_process_substitution] = STATE(2112),
    [aux_sym__literal_repeat1] = STATE(2140),
    [aux_sym_concatenation_repeat1] = STATE(2056),
    [sym_word] = ACTIONS(227),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1129),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(238),
    [anon_sym_RPAREN] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(103),
    [anon_sym_DASH_DASH2] = ACTIONS(103),
    [anon_sym_DASH2] = ACTIONS(105),
    [anon_sym_PLUS2] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1129),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1131),
    [aux_sym_concatenation_token1] = ACTIONS(1133),
    [anon_sym_DOLLAR] = ACTIONS(248),
    [sym__special_character] = ACTIONS(1135),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [sym_raw_string] = ACTIONS(1139),
    [sym_ansi_c_string] = ACTIONS(1139),
    [aux_sym_number_token1] = ACTIONS(254),
    [aux_sym_number_token2] = ACTIONS(256),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1141),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(260),
    [anon_sym_BQUOTE] = ACTIONS(262),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1143),
    [anon_sym_LT_LPAREN] = ACTIONS(1145),
    [anon_sym_GT_LPAREN] = ACTIONS(1145),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1133),
    [sym_test_operator] = ACTIONS(272),
    [sym__brace_start] = ACTIONS(274),
  },
  [361] = {
    [sym__expression] = STATE(2653),
    [sym_binary_expression] = STATE(2153),
    [sym_ternary_expression] = STATE(2153),
    [sym_unary_expression] = STATE(2153),
    [sym_postfix_expression] = STATE(2153),
    [sym_parenthesized_expression] = STATE(2153),
    [sym_arithmetic_expansion] = STATE(2156),
    [sym_brace_expression] = STATE(2156),
    [sym_concatenation] = STATE(2153),
    [sym_string] = STATE(2156),
    [sym_translated_string] = STATE(2156),
    [sym_number] = STATE(2156),
    [sym_simple_expansion] = STATE(2156),
    [sym_expansion] = STATE(2156),
    [sym_command_substitution] = STATE(2156),
    [sym_process_substitution] = STATE(2156),
    [aux_sym__literal_repeat1] = STATE(2099),
    [aux_sym_concatenation_repeat1] = STATE(2183),
    [sym_word] = ACTIONS(1147),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1039),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(344),
    [anon_sym_AMP_AMP] = ACTIONS(344),
    [anon_sym_PIPE] = ACTIONS(233),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(233),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(233),
    [anon_sym_GT] = ACTIONS(233),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(233),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_EQ_TILDE] = ACTIONS(233),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_PLUS_PLUS2] = ACTIONS(1151),
    [anon_sym_DASH_DASH2] = ACTIONS(1151),
    [anon_sym_DASH2] = ACTIONS(1153),
    [anon_sym_PLUS2] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1039),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1051),
    [aux_sym_concatenation_token1] = ACTIONS(1053),
    [anon_sym_DOLLAR] = ACTIONS(1055),
    [sym__special_character] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1059),
    [sym_raw_string] = ACTIONS(1159),
    [sym_ansi_c_string] = ACTIONS(1159),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_number_token2] = ACTIONS(1065),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1067),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1069),
    [anon_sym_BQUOTE] = ACTIONS(1071),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1073),
    [anon_sym_LT_LPAREN] = ACTIONS(1075),
    [anon_sym_GT_LPAREN] = ACTIONS(1075),
    [sym_comment] = ACTIONS(71),
    [sym__concat] = ACTIONS(1053),
    [sym_test_operator] = ACTIONS(1161),
    [sym__brace_start] = ACTIONS(1079),
  },
  [362] = {
    [sym_string] = STATE(382),
    [sym_word] = ACTIONS(1163),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1163),
    [anon_sym_PLUS_PLUS] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1163),
    [anon_sym_PLUS_EQ] = ACTIONS(1163),
    [anon_sym_DASH_EQ] = ACTIONS(1163),
    [anon_sym_STAR_EQ] = ACTIONS(1163),
    [anon_sym_SLASH_EQ] = ACTIONS(1163),
    [anon_sym_PERCENT_EQ] = ACTIONS(1163),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1163),
    [anon_sym_LT_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT_GT_EQ] = ACTIONS(1163),
    [anon_sym_AMP_EQ] = ACTIONS(1163),
    [anon_sym_CARET_EQ] = ACTIONS(1163),
    [anon_sym_PIPE_EQ] = ACTIONS(1163),
    [anon_sym_PIPE_PIPE] = ACTIONS(1163),
    [anon_sym_AMP_AMP] = ACTIONS(1163),
    [anon_sym_PIPE] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_EQ_EQ] = ACTIONS(1163),
    [anon_sym_BANG_EQ] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1163),
    [anon_sym_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT_EQ] = ACTIONS(1163),
    [anon_sym_LT_LT] = ACTIONS(1163),
    [anon_sym_GT_GT] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_PERCENT] = ACTIONS(1163),
    [anon_sym_STAR_STAR] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_RPAREN] = ACTIONS(1163),
    [anon_sym_SEMI_SEMI] = ACTIONS(1163),
    [anon_sym_PIPE_AMP] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_EQ_TILDE] = ACTIONS(1163),
    [anon_sym_AMP_GT] = ACTIONS(1163),
    [anon_sym_AMP_GT_GT] = ACTIONS(1163),
    [anon_sym_LT_AMP] = ACTIONS(1163),
    [anon_sym_GT_AMP] = ACTIONS(1163),
    [anon_sym_GT_PIPE] = ACTIONS(1163),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1163),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1163),
    [anon_sym_LT_LT_DASH] = ACTIONS(1163),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1163),
    [anon_sym_LT_LT_LT] = ACTIONS(1163),
    [anon_sym_QMARK] = ACTIONS(1165),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1163),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1163),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [sym__special_character] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1167),
    [sym_raw_string] = ACTIONS(1163),
    [sym_ansi_c_string] = ACTIONS(1163),
    [aux_sym_number_token1] = ACTIONS(1163),
    [aux_sym_number_token2] = ACTIONS(1163),
    [anon_sym_POUND] = ACTIONS(1165),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1163),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1163),
    [anon_sym_BQUOTE] = ACTIONS(1163),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1163),
    [anon_sym_LT_LPAREN] = ACTIONS(1163),
    [anon_sym_GT_LPAREN] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
    [aux_sym__simple_variable_name_token1] = ACTIONS(1169),
    [aux_sym__multiline_variable_name_token1] = ACTIONS(1169),
    [anon_sym_AT2] = ACTIONS(1165),
    [anon_sym_0] = ACTIONS(1165),
    [anon_sym__] = ACTIONS(1165),
    [sym_file_descriptor] = ACTIONS(1171),
    [sym_test_operator] = ACTIONS(1171),
    [sym__bare_dollar] = ACTIONS(1171),
    [sym__brace_start] = ACTIONS(1171),
  },
  [363] = {
    [sym_string] = STATE(382),
    [sym_word] = ACTIONS(1173),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym_EQ] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS_EQ] = ACTIONS(1173),
    [anon_sym_DASH_EQ] = ACTIONS(1173),
    [anon_sym_STAR_EQ] = ACTIONS(1173),
    [anon_sym_SLASH_EQ] = ACTIONS(1173),
    [anon_sym_PERCENT_EQ] = ACTIONS(1173),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1173),
    [anon_sym_LT_LT_EQ] = ACTIONS(1173),
    [anon_sym_GT_GT_EQ] = ACTIONS(1173),
    [anon_sym_AMP_EQ] = ACTIONS(1173),
    [anon_sym_CARET_EQ] = ACTIONS(1173),
    [anon_sym_PIPE_EQ] = ACTIONS(1173),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_AMP_AMP] = ACTIONS(1173),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_CARET] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1173),
    [anon_sym_BANG_EQ] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1173),
    [anon_sym_GT_EQ] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1173),
    [anon_sym_GT_GT] = ACTIONS(1173),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1173),
    [anon_sym_STAR_STAR] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_RPAREN] = ACTIONS(1173),
    [anon_sym_SEMI_SEMI] = ACTIONS(1173),
    [anon_sym_PIPE_AMP] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1165),
    [anon_sym_EQ_TILDE] = ACTIONS(1173),
    [anon_sym_AMP_GT] = ACTIONS(1173),
    [anon_sym_AMP_GT_GT] = ACTIONS(1173),
    [anon_sym_LT_AMP] = ACTIONS(1173),
    [anon_sym_GT_AMP] = ACTIONS(1173),
    [anon_sym_GT_PIPE] = ACTIONS(1173),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1173),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1173),
    [anon_sym_LT_LT_DASH] = ACTIONS(1173),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1173),
    [anon_sym_LT_LT_LT] = ACTIONS(1173),
    [anon_sym_QMARK] = ACTIONS(1165),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1173),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1173),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [sym__special_character] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1167),
    [sym_raw_string] = ACTIONS(1173),
    [sym_ansi_c_string] = ACTIONS(1173),
    [aux_sym_number_token1] = ACTIONS(1173),
    [aux_sym_number_token2] = ACTIONS(1173),
    [anon_sym_POUND] = ACTIONS(1165),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1173),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1173),
    [anon_sym_BQUOTE] = ACTIONS(1173),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1173),
    [anon_sym_LT_LPAREN] = ACTIONS(1173),
    [anon_sym_GT_LPAREN] = ACTIONS(1173),
    [sym_comment] = ACTIONS(3),
    [aux_sym__simple_variable_name_token1] = ACTIONS(1169),
    [aux_sym__multiline_variable_name_token1] = ACTIONS(1169),
    [anon_sym_AT2] = ACTIONS(1165),
    [anon_sym_0] = ACTIONS(1165),
    [anon_sym__] = ACTIONS(1165),
    [sym_file_descriptor] = ACTIONS(1175),
    [sym_test_operator] = ACTIONS(1175),
    [sym__bare_dollar] = ACTIONS(1175),
    [sym__brace_start] = ACTIONS(1175),
  },
  [364] = {
    [sym_string] = STATE(413),
    [sym_word] = ACTIONS(1173),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1173),
    [anon_sym_EQ] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_PLUS_EQ] = ACTIONS(1173),
    [anon_sym_DASH_EQ] = ACTIONS(1173),
    [anon_sym_STAR_EQ] = ACTIONS(1173),
    [anon_sym_SLASH_EQ] = ACTIONS(1173),
    [anon_sym_PERCENT_EQ] = ACTIONS(1173),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1173),
    [anon_sym_LT_LT_EQ] = ACTIONS(1173),
    [anon_sym_GT_GT_EQ] = ACTIONS(1173),
    [anon_sym_AMP_EQ] = ACTIONS(1173),
    [anon_sym_CARET_EQ] = ACTIONS(1173),
    [anon_sym_PIPE_EQ] = ACTIONS(1173),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_AMP_AMP] = ACTIONS(1173),
    [anon_sym_PIPE] = ACTIONS(1173),
    [anon_sym_CARET] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1173),
    [anon_sym_BANG_EQ] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(1173),
    [anon_sym_GT] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1173),
    [anon_sym_GT_EQ] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1173),
    [anon_sym_GT_GT] = ACTIONS(1173),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_SLASH] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1173),
    [anon_sym_STAR_STAR] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_PIPE_AMP] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_RBRACK] = ACTIONS(1173),
    [anon_sym_EQ_TILDE] = ACTIONS(1173),
    [anon_sym_AMP_GT] = ACTIONS(1173),
    [anon_sym_AMP_GT_GT] = ACTIONS(1173),
    [anon_sym_LT_AMP] = ACTIONS(1173),
    [anon_sym_GT_AMP] = ACTIONS(1173),
    [anon_sym_GT_PIPE] = ACTIONS(1173),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1173),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1173),
    [anon_sym_LT_LT_DASH] = ACTIONS(1173),
    [anon_sym_LT_LT_LT] = ACTIONS(1173),
    [anon_sym_QMARK] = ACTIONS(1177),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1173),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1173),
    [anon_sym_DOLLAR] = ACTIONS(1177),
    [sym__special_character] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [sym_raw_string] = ACTIONS(1173),
    [sym_ansi_c_string] = ACTIONS(1173),
    [aux_sym_number_token1] = ACTIONS(1173),
    [aux_sym_number_token2] = ACTIONS(1173),
    [anon_sym_POUND] = ACTIONS(1177),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1173),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1173),
    [anon_sym_BQUOTE] = ACTIONS(1173),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1173),
    [anon_sym_LT_LPAREN] = ACTIONS(1173),
    [anon_sym_GT_LPAREN] = ACTIONS(1173),
    [sym_comment] = ACTIONS(3),
    [aux_sym__simple_variable_name_token1] = ACTIONS(1181),
    [aux_sym__multiline_variable_name_token1] = ACTIONS(1181),
    [anon_sym_AT2] = ACTIONS(1177),
    [anon_sym_0] = ACTIONS(1177),
    [anon_sym__] = ACTIONS(1177),
    [sym_file_descriptor] = ACTIONS(1175),
    [sym_test_operator] = ACTIONS(1175),
    [sym__bare_dollar] = ACTIONS(1175),
    [sym__brace_start] = ACTIONS(1175),
  },
  [365] = {
    [sym_string] = STATE(413),
    [sym_word] = ACTIONS(1163),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1163),
    [anon_sym_EQ] = ACTIONS(1163),
    [anon_sym_PLUS_PLUS] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1163),
    [anon_sym_PLUS_EQ] = ACTIONS(1163),
    [anon_sym_DASH_EQ] = ACTIONS(1163),
    [anon_sym_STAR_EQ] = ACTIONS(1163),
    [anon_sym_SLASH_EQ] = ACTIONS(1163),
    [anon_sym_PERCENT_EQ] = ACTIONS(1163),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1163),
    [anon_sym_LT_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT_GT_EQ] = ACTIONS(1163),
    [anon_sym_AMP_EQ] = ACTIONS(1163),
    [anon_sym_CARET_EQ] = ACTIONS(1163),
    [anon_sym_PIPE_EQ] = ACTIONS(1163),
    [anon_sym_PIPE_PIPE] = ACTIONS(1163),
    [anon_sym_AMP_AMP] = ACTIONS(1163),
    [anon_sym_PIPE] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_EQ_EQ] = ACTIONS(1163),
    [anon_sym_BANG_EQ] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1163),
    [anon_sym_LT_EQ] = ACTIONS(1163),
    [anon_sym_GT_EQ] = ACTIONS(1163),
    [anon_sym_LT_LT] = ACTIONS(1163),
    [anon_sym_GT_GT] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_STAR] = ACTIONS(1177),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_PERCENT] = ACTIONS(1163),
    [anon_sym_STAR_STAR] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_PIPE_AMP] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1177),
    [anon_sym_RBRACK] = ACTIONS(1163),
    [anon_sym_EQ_TILDE] = ACTIONS(1163),
    [anon_sym_AMP_GT] = ACTIONS(1163),
    [anon_sym_AMP_GT_GT] = ACTIONS(1163),
    [anon_sym_LT_AMP] = ACTIONS(1163),
    [anon_sym_GT_AMP] = ACTIONS(1163),
    [anon_sym_GT_PIPE] = ACTIONS(1163),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1163),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1163),
    [anon_sym_LT_LT_DASH] = ACTIONS(1163),
    [anon_sym_LT_LT_LT] = ACTIONS(1163),
    [anon_sym_QMARK] = ACTIONS(1177),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1163),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1163),
    [anon_sym_DOLLAR] = ACTIONS(1177),
    [sym__special_character] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [sym_raw_string] = ACTIONS(1163),
    [sym_ansi_c_string] = ACTIONS(1163),
    [aux_sym_number_token1] = ACTIONS(1163),
    [aux_sym_number_token2] = ACTIONS(1163),
    [anon_sym_POUND] = ACTIONS(1177),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1163),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1163),
    [anon_sym_BQUOTE] = ACTIONS(1163),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1163),
    [anon_sym_LT_LPAREN] = ACTIONS(1163),
    [anon_sym_GT_LPAREN] = ACTIONS(1163),
    [sym_comment] = ACTIONS(3),
    [aux_sym__simple_variable_name_token1] = ACTIONS(1181),
    [aux_sym__multiline_variable_name_token1] = ACTIONS(1181),
    [anon_sym_AT2] = ACTIONS(1177),
    [anon_sym_0] = ACTIONS(1177),
    [anon_sym__] = ACTIONS(1177),
    [sym_file_descriptor] = ACTIONS(1171),
    [sym_test_operator] = ACTIONS(1171),
    [sym__bare_dollar] = ACTIONS(1171),
    [sym__brace_start] = ACTIONS(1171),
  },
  [366] = {
    [aux_sym_concatenation_repeat1] = STATE(368),
    [sym_word] = ACTIONS(1183),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_GT_EQ] = ACTIONS(1185),
    [anon_sym_AMP_EQ] = ACTIONS(1185),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_AMP_AMP] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_RPAREN] = ACTIONS(1187),
    [anon_sym_SEMI_SEMI] = ACTIONS(1183),
    [anon_sym_PIPE_AMP] = ACTIONS(1183),
    [anon_sym_EQ_TILDE] = ACTIONS(1187),
    [anon_sym_AMP_GT] = ACTIONS(1183),
    [anon_sym_AMP_GT_GT] = ACTIONS(1183),
    [anon_sym_LT_AMP] = ACTIONS(1183),
    [anon_sym_GT_AMP] = ACTIONS(1183),
    [anon_sym_GT_PIPE] = ACTIONS(1183),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1183),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1183),
    [anon_sym_LT_LT_DASH] = ACTIONS(1183),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1193),
    [anon_sym_LT_LT_LT] = ACTIONS(1183),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1183),
    [aux_sym_concatenation_token1] = ACTIONS(246),
    [anon_sym_DOLLAR] = ACTIONS(1183),
    [sym__special_character] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1183),
    [sym_raw_string] = ACTIONS(1183),
    [sym_ansi_c_string] = ACTIONS(1183),
    [aux_sym_number_token1] = ACTIONS(1183),
    [aux_sym_number_token2] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1183),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(1183),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1183),
    [anon_sym_LT_LPAREN] = ACTIONS(1183),
    [anon_sym_GT_LPAREN] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1193),
    [sym__concat] = ACTIONS(270),
    [sym_test_operator] = ACTIONS(1195),
    [sym__bare_dollar] = ACTIONS(1193),
    [sym__brace_start] = ACTIONS(1193),
  },
  [367] = {
    [aux_sym_concatenation_repeat1] = STATE(367),
    [sym_word] = ACTIONS(1198),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_PIPE] = ACTIONS(1198),
    [anon_sym_AMP_AMP] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_STAR_STAR] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_RPAREN] = ACTIONS(1198),
    [anon_sym_SEMI_SEMI] = ACTIONS(1198),
    [anon_sym_PIPE_AMP] = ACTIONS(1198),
    [anon_sym_EQ_TILDE] = ACTIONS(1198),
    [anon_sym_AMP_GT] = ACTIONS(1198),
    [anon_sym_AMP_GT_GT] = ACTIONS(1198),
    [anon_sym_LT_AMP] = ACTIONS(1198),
    [anon_sym_GT_AMP] = ACTIONS(1198),
    [anon_sym_GT_PIPE] = ACTIONS(1198),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1198),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1198),
    [anon_sym_LT_LT_DASH] = ACTIONS(1198),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1198),
    [anon_sym_QMARK] = ACTIONS(1198),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1198),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1198),
    [aux_sym_concatenation_token1] = ACTIONS(1202),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym__special_character] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_raw_string] = ACTIONS(1198),
    [sym_ansi_c_string] = ACTIONS(1198),
    [aux_sym_number_token1] = ACTIONS(1198),
    [aux_sym_number_token2] = ACTIONS(1198),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1198),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1198),
    [anon_sym_LT_LPAREN] = ACTIONS(1198),
    [anon_sym_GT_LPAREN] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1200),
    [sym__concat] = ACTIONS(1205),
    [sym_test_operator] = ACTIONS(1200),
    [sym__bare_dollar] = ACTIONS(1200),
    [sym__brace_start] = ACTIONS(1200),
  },
  [368] = {
    [aux_sym_concatenation_repeat1] = STATE(367),
    [sym_word] = ACTIONS(1208),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1208),
    [anon_sym_LT_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT_GT_EQ] = ACTIONS(1208),
    [anon_sym_AMP_EQ] = ACTIONS(1208),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_PIPE] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1208),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [anon_sym_RPAREN] = ACTIONS(1208),
    [anon_sym_SEMI_SEMI] = ACTIONS(1208),
    [anon_sym_PIPE_AMP] = ACTIONS(1208),
    [anon_sym_EQ_TILDE] = ACTIONS(1208),
    [anon_sym_AMP_GT] = ACTIONS(1208),
    [anon_sym_AMP_GT_GT] = ACTIONS(1208),
    [anon_sym_LT_AMP] = ACTIONS(1208),
    [anon_sym_GT_AMP] = ACTIONS(1208),
    [anon_sym_GT_PIPE] = ACTIONS(1208),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1208),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1208),
    [anon_sym_LT_LT_DASH] = ACTIONS(1208),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1208),
    [anon_sym_QMARK] = ACTIONS(1208),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1208),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1208),
    [aux_sym_concatenation_token1] = ACTIONS(246),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [sym__special_character] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1208),
    [sym_raw_string] = ACTIONS(1208),
    [sym_ansi_c_string] = ACTIONS(1208),
    [aux_sym_number_token1] = ACTIONS(1208),
    [aux_sym_number_token2] = ACTIONS(1208),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1208),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1208),
    [anon_sym_LT_LPAREN] = ACTIONS(1208),
    [anon_sym_GT_LPAREN] = ACTIONS(1208),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1210),
    [sym__concat] = ACTIONS(1212),
    [sym_test_operator] = ACTIONS(1210),
    [sym__bare_dollar] = ACTIONS(1210),
    [sym__brace_start] = ACTIONS(1210),
  },
  [369] = {
    [aux_sym_concatenation_repeat1] = STATE(367),
    [sym_word] = ACTIONS(1214),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1214),
    [anon_sym_SEMI] = ACTIONS(1214),
    [anon_sym_EQ] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_EQ] = ACTIONS(1214),
    [anon_sym_DASH_EQ] = ACTIONS(1214),
    [anon_sym_STAR_EQ] = ACTIONS(1214),
    [anon_sym_SLASH_EQ] = ACTIONS(1214),
    [anon_sym_PERCENT_EQ] = ACTIONS(1214),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1214),
    [anon_sym_LT_LT_EQ] = ACTIONS(1214),
    [anon_sym_GT_GT_EQ] = ACTIONS(1214),
    [anon_sym_AMP_EQ] = ACTIONS(1214),
    [anon_sym_CARET_EQ] = ACTIONS(1214),
    [anon_sym_PIPE_EQ] = ACTIONS(1214),
    [anon_sym_PIPE_PIPE] = ACTIONS(1214),
    [anon_sym_AMP_AMP] = ACTIONS(1214),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_CARET] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1214),
    [anon_sym_BANG_EQ] = ACTIONS(1214),
    [anon_sym_LT] = ACTIONS(1214),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_LT_EQ] = ACTIONS(1214),
    [anon_sym_GT_EQ] = ACTIONS(1214),
    [anon_sym_LT_LT] = ACTIONS(1214),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1214),
    [anon_sym_PERCENT] = ACTIONS(1214),
    [anon_sym_STAR_STAR] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1214),
    [anon_sym_RPAREN] = ACTIONS(1214),
    [anon_sym_SEMI_SEMI] = ACTIONS(1214),
    [anon_sym_PIPE_AMP] = ACTIONS(1214),
    [anon_sym_EQ_TILDE] = ACTIONS(1214),
    [anon_sym_AMP_GT] = ACTIONS(1214),
    [anon_sym_AMP_GT_GT] = ACTIONS(1214),
    [anon_sym_LT_AMP] = ACTIONS(1214),
    [anon_sym_GT_AMP] = ACTIONS(1214),
    [anon_sym_GT_PIPE] = ACTIONS(1214),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1214),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1214),
    [anon_sym_LT_LT_DASH] = ACTIONS(1214),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1214),
    [anon_sym_QMARK] = ACTIONS(1214),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1214),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1214),
    [aux_sym_concatenation_token1] = ACTIONS(246),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [sym__special_character] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1214),
    [sym_raw_string] = ACTIONS(1214),
    [sym_ansi_c_string] = ACTIONS(1214),
    [aux_sym_number_token1] = ACTIONS(1214),
    [aux_sym_number_token2] = ACTIONS(1214),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1214),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1214),
    [anon_sym_BQUOTE] = ACTIONS(1214),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1214),
    [anon_sym_LT_LPAREN] = ACTIONS(1214),
    [anon_sym_GT_LPAREN] = ACTIONS(1214),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1216),
    [sym__concat] = ACTIONS(1218),
    [sym_test_operator] = ACTIONS(1216),
    [sym__bare_dollar] = ACTIONS(1216),
    [sym__brace_start] = ACTIONS(1216),
  },
  [370] = {
    [aux_sym_concatenation_repeat1] = STATE(369),
    [sym_word] = ACTIONS(1220),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1220),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_EQ] = ACTIONS(1220),
    [anon_sym_DASH_EQ] = ACTIONS(1220),
    [anon_sym_STAR_EQ] = ACTIONS(1220),
    [anon_sym_SLASH_EQ] = ACTIONS(1220),
    [anon_sym_PERCENT_EQ] = ACTIONS(1220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1220),
    [anon_sym_LT_LT_EQ] = ACTIONS(1220),
    [anon_sym_GT_GT_EQ] = ACTIONS(1220),
    [anon_sym_AMP_EQ] = ACTIONS(1220),
    [anon_sym_CARET_EQ] = ACTIONS(1220),
    [anon_sym_PIPE_EQ] = ACTIONS(1220),
    [anon_sym_PIPE_PIPE] = ACTIONS(1220),
    [anon_sym_AMP_AMP] = ACTIONS(1220),
    [anon_sym_PIPE] = ACTIONS(1220),
    [anon_sym_CARET] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_EQ_EQ] = ACTIONS(1220),
    [anon_sym_BANG_EQ] = ACTIONS(1220),
    [anon_sym_LT] = ACTIONS(1220),
    [anon_sym_GT] = ACTIONS(1220),
    [anon_sym_LT_EQ] = ACTIONS(1220),
    [anon_sym_GT_EQ] = ACTIONS(1220),
    [anon_sym_LT_LT] = ACTIONS(1220),
    [anon_sym_GT_GT] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1220),
    [anon_sym_SLASH] = ACTIONS(1220),
    [anon_sym_PERCENT] = ACTIONS(1220),
    [anon_sym_STAR_STAR] = ACTIONS(1220),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [anon_sym_RPAREN] = ACTIONS(1220),
    [anon_sym_SEMI_SEMI] = ACTIONS(1220),
    [anon_sym_PIPE_AMP] = ACTIONS(1220),
    [anon_sym_EQ_TILDE] = ACTIONS(1220),
    [anon_sym_AMP_GT] = ACTIONS(1220),
    [anon_sym_AMP_GT_GT] = ACTIONS(1220),
    [anon_sym_LT_AMP] = ACTIONS(1220),
    [anon_sym_GT_AMP] = ACTIONS(1220),
    [anon_sym_GT_PIPE] = ACTIONS(1220),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1220),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1220),
    [anon_sym_LT_LT_DASH] = ACTIONS(1220),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1222),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_QMARK] = ACTIONS(1220),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1220),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1220),
    [aux_sym_concatenation_token1] = ACTIONS(246),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [sym__special_character] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [sym_raw_string] = ACTIONS(1220),
    [sym_ansi_c_string] = ACTIONS(1220),
    [aux_sym_number_token1] = ACTIONS(1220),
    [aux_sym_number_token2] = ACTIONS(1220),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1220),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LPAREN] = ACTIONS(1220),
    [anon_sym_GT_LPAREN] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1222),
    [sym__concat] = ACTIONS(270),
    [sym_test_operator] = ACTIONS(1222),
    [sym__bare_dollar] = ACTIONS(1222),
    [sym__brace_start] = ACTIONS(1222),
  },
  [371] = {
    [aux_sym_concatenation_repeat1] = STATE(368),
    [sym_word] = ACTIONS(1183),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_GT_EQ] = ACTIONS(1185),
    [anon_sym_AMP_EQ] = ACTIONS(1185),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_AMP_AMP] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_RPAREN] = ACTIONS(1187),
    [anon_sym_SEMI_SEMI] = ACTIONS(1183),
    [anon_sym_PIPE_AMP] = ACTIONS(1183),
    [anon_sym_EQ_TILDE] = ACTIONS(1187),
    [anon_sym_AMP_GT] = ACTIONS(1183),
    [anon_sym_AMP_GT_GT] = ACTIONS(1183),
    [anon_sym_LT_AMP] = ACTIONS(1183),
    [anon_sym_GT_AMP] = ACTIONS(1183),
    [anon_sym_GT_PIPE] = ACTIONS(1183),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1183),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1183),
    [anon_sym_LT_LT_DASH] = ACTIONS(1183),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1193),
    [anon_sym_LT_LT_LT] = ACTIONS(1183),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1183),
    [aux_sym_concatenation_token1] = ACTIONS(246),
    [anon_sym_DOLLAR] = ACTIONS(1183),
    [sym__special_character] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1183),
    [sym_raw_string] = ACTIONS(1183),
    [sym_ansi_c_string] = ACTIONS(1183),
    [aux_sym_number_token1] = ACTIONS(1183),
    [aux_sym_number_token2] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1183),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(1183),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1183),
    [anon_sym_LT_LPAREN] = ACTIONS(1183),
    [anon_sym_GT_LPAREN] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1193),
    [sym__concat] = ACTIONS(270),
    [sym_test_operator] = ACTIONS(1195),
    [sym__bare_dollar] = ACTIONS(1193),
    [sym__brace_start] = ACTIONS(1193),
  },
  [372] = {
    [sym_word] = ACTIONS(1224),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1224),
    [anon_sym_EQ] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_EQ] = ACTIONS(1224),
    [anon_sym_DASH_EQ] = ACTIONS(1224),
    [anon_sym_STAR_EQ] = ACTIONS(1224),
    [anon_sym_SLASH_EQ] = ACTIONS(1224),
    [anon_sym_PERCENT_EQ] = ACTIONS(1224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1224),
    [anon_sym_LT_LT_EQ] = ACTIONS(1224),
    [anon_sym_GT_GT_EQ] = ACTIONS(1224),
    [anon_sym_AMP_EQ] = ACTIONS(1224),
    [anon_sym_CARET_EQ] = ACTIONS(1224),
    [anon_sym_PIPE_EQ] = ACTIONS(1224),
    [anon_sym_PIPE_PIPE] = ACTIONS(1224),
    [anon_sym_AMP_AMP] = ACTIONS(1224),
    [anon_sym_PIPE] = ACTIONS(1224),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_EQ_EQ] = ACTIONS(1224),
    [anon_sym_BANG_EQ] = ACTIONS(1224),
    [anon_sym_LT] = ACTIONS(1224),
    [anon_sym_GT] = ACTIONS(1224),
    [anon_sym_LT_EQ] = ACTIONS(1224),
    [anon_sym_GT_EQ] = ACTIONS(1224),
    [anon_sym_LT_LT] = ACTIONS(1224),
    [anon_sym_GT_GT] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_SLASH] = ACTIONS(1224),
    [anon_sym_PERCENT] = ACTIONS(1224),
    [anon_sym_STAR_STAR] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_RPAREN] = ACTIONS(1224),
    [anon_sym_SEMI_SEMI] = ACTIONS(1224),
    [anon_sym_PIPE_AMP] = ACTIONS(1224),
    [anon_sym_EQ_TILDE] = ACTIONS(1224),
    [anon_sym_AMP_GT] = ACTIONS(1224),
    [anon_sym_AMP_GT_GT] = ACTIONS(1224),
    [anon_sym_LT_AMP] = ACTIONS(1224),
    [anon_sym_GT_AMP] = ACTIONS(1224),
    [anon_sym_GT_PIPE] = ACTIONS(1224),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1224),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1224),
    [anon_sym_LT_LT_DASH] = ACTIONS(1224),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1224),
    [anon_sym_QMARK] = ACTIONS(1224),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1224),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1224),
    [aux_sym_concatenation_token1] = ACTIONS(1224),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [sym__special_character] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1224),
    [sym_raw_string] = ACTIONS(1224),
    [sym_ansi_c_string] = ACTIONS(1224),
    [aux_sym_number_token1] = ACTIONS(1224),
    [aux_sym_number_token2] = ACTIONS(1224),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1224),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1224),
    [anon_sym_LT_LPAREN] = ACTIONS(1224),
    [anon_sym_GT_LPAREN] = ACTIONS(1224),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1226),
    [sym__concat] = ACTIONS(1226),
    [sym_test_operator] = ACTIONS(1226),
    [sym__bare_dollar] = ACTIONS(1226),
    [sym__brace_start] = ACTIONS(1226),
  },
  [373] = {
    [sym_word] = ACTIONS(1228),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1228),
    [anon_sym_EQ] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_EQ] = ACTIONS(1228),
    [anon_sym_DASH_EQ] = ACTIONS(1228),
    [anon_sym_STAR_EQ] = ACTIONS(1228),
    [anon_sym_SLASH_EQ] = ACTIONS(1228),
    [anon_sym_PERCENT_EQ] = ACTIONS(1228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1228),
    [anon_sym_LT_LT_EQ] = ACTIONS(1228),
    [anon_sym_GT_GT_EQ] = ACTIONS(1228),
    [anon_sym_AMP_EQ] = ACTIONS(1228),
    [anon_sym_CARET_EQ] = ACTIONS(1228),
    [anon_sym_PIPE_EQ] = ACTIONS(1228),
    [anon_sym_PIPE_PIPE] = ACTIONS(1228),
    [anon_sym_AMP_AMP] = ACTIONS(1228),
    [anon_sym_PIPE] = ACTIONS(1228),
    [anon_sym_CARET] = ACTIONS(1228),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_EQ_EQ] = ACTIONS(1228),
    [anon_sym_BANG_EQ] = ACTIONS(1228),
    [anon_sym_LT] = ACTIONS(1228),
    [anon_sym_GT] = ACTIONS(1228),
    [anon_sym_LT_EQ] = ACTIONS(1228),
    [anon_sym_GT_EQ] = ACTIONS(1228),
    [anon_sym_LT_LT] = ACTIONS(1228),
    [anon_sym_GT_GT] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_SLASH] = ACTIONS(1228),
    [anon_sym_PERCENT] = ACTIONS(1228),
    [anon_sym_STAR_STAR] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_RPAREN] = ACTIONS(1228),
    [anon_sym_SEMI_SEMI] = ACTIONS(1228),
    [anon_sym_PIPE_AMP] = ACTIONS(1228),
    [anon_sym_EQ_TILDE] = ACTIONS(1228),
    [anon_sym_AMP_GT] = ACTIONS(1228),
    [anon_sym_AMP_GT_GT] = ACTIONS(1228),
    [anon_sym_LT_AMP] = ACTIONS(1228),
    [anon_sym_GT_AMP] = ACTIONS(1228),
    [anon_sym_GT_PIPE] = ACTIONS(1228),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1228),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1228),
    [anon_sym_LT_LT_DASH] = ACTIONS(1228),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1230),
    [anon_sym_LT_LT_LT] = ACTIONS(1228),
    [anon_sym_QMARK] = ACTIONS(1228),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1228),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1228),
    [aux_sym_concatenation_token1] = ACTIONS(1228),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [sym__special_character] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [sym_raw_string] = ACTIONS(1228),
    [sym_ansi_c_string] = ACTIONS(1228),
    [aux_sym_number_token1] = ACTIONS(1228),
    [aux_sym_number_token2] = ACTIONS(1228),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1228),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1228),
    [anon_sym_LT_LPAREN] = ACTIONS(1228),
    [anon_sym_GT_LPAREN] = ACTIONS(1228),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1230),
    [sym__concat] = ACTIONS(1230),
    [sym_test_operator] = ACTIONS(1230),
    [sym__bare_dollar] = ACTIONS(1230),
    [sym__brace_start] = ACTIONS(1230),
  },
  [374] = {
    [sym_word] = ACTIONS(1232),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1232),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_EQ] = ACTIONS(1232),
    [anon_sym_DASH_EQ] = ACTIONS(1232),
    [anon_sym_STAR_EQ] = ACTIONS(1232),
    [anon_sym_SLASH_EQ] = ACTIONS(1232),
    [anon_sym_PERCENT_EQ] = ACTIONS(1232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1232),
    [anon_sym_LT_LT_EQ] = ACTIONS(1232),
    [anon_sym_GT_GT_EQ] = ACTIONS(1232),
    [anon_sym_AMP_EQ] = ACTIONS(1232),
    [anon_sym_CARET_EQ] = ACTIONS(1232),
    [anon_sym_PIPE_EQ] = ACTIONS(1232),
    [anon_sym_PIPE_PIPE] = ACTIONS(1232),
    [anon_sym_AMP_AMP] = ACTIONS(1232),
    [anon_sym_PIPE] = ACTIONS(1232),
    [anon_sym_CARET] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_EQ_EQ] = ACTIONS(1232),
    [anon_sym_BANG_EQ] = ACTIONS(1232),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(1232),
    [anon_sym_LT_EQ] = ACTIONS(1232),
    [anon_sym_GT_EQ] = ACTIONS(1232),
    [anon_sym_LT_LT] = ACTIONS(1232),
    [anon_sym_GT_GT] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_SLASH] = ACTIONS(1232),
    [anon_sym_PERCENT] = ACTIONS(1232),
    [anon_sym_STAR_STAR] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [anon_sym_RPAREN] = ACTIONS(1232),
    [anon_sym_SEMI_SEMI] = ACTIONS(1232),
    [anon_sym_PIPE_AMP] = ACTIONS(1232),
    [anon_sym_EQ_TILDE] = ACTIONS(1232),
    [anon_sym_AMP_GT] = ACTIONS(1232),
    [anon_sym_AMP_GT_GT] = ACTIONS(1232),
    [anon_sym_LT_AMP] = ACTIONS(1232),
    [anon_sym_GT_AMP] = ACTIONS(1232),
    [anon_sym_GT_PIPE] = ACTIONS(1232),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1232),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1232),
    [anon_sym_LT_LT_DASH] = ACTIONS(1232),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1232),
    [anon_sym_QMARK] = ACTIONS(1232),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1232),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1232),
    [aux_sym_concatenation_token1] = ACTIONS(1232),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [sym__special_character] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [sym_raw_string] = ACTIONS(1232),
    [sym_ansi_c_string] = ACTIONS(1232),
    [aux_sym_number_token1] = ACTIONS(1232),
    [aux_sym_number_token2] = ACTIONS(1232),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1232),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1232),
    [anon_sym_LT_LPAREN] = ACTIONS(1232),
    [anon_sym_GT_LPAREN] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1234),
    [sym__concat] = ACTIONS(1234),
    [sym_test_operator] = ACTIONS(1234),
    [sym__bare_dollar] = ACTIONS(1234),
    [sym__brace_start] = ACTIONS(1234),
  },
  [375] = {
    [sym_word] = ACTIONS(1236),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(1236),
    [anon_sym_EQ] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_EQ] = ACTIONS(1236),
    [anon_sym_DASH_EQ] = ACTIONS(1236),
    [anon_sym_STAR_EQ] = ACTIONS(1236),
    [anon_sym_SLASH_EQ] = ACTIONS(1236),
    [anon_sym_PERCENT_EQ] = ACTIONS(1236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1236),
    [anon_sym_LT_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT_GT_EQ] = ACTIONS(1236),
    [anon_sym_AMP_EQ] = ACTIONS(1236),
    [anon_sym_CARET_EQ] = ACTIONS(1236),
    [anon_sym_PIPE_EQ] = ACTIONS(1236),
    [anon_sym_PIPE_PIPE] = ACTIONS(1236),
    [anon_sym_AMP_AMP] = ACTIONS(1236),
    [anon_sym_PIPE] = ACTIONS(1236),
    [anon_sym_CARET] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1236),
    [anon_sym_EQ_EQ] = ACTIONS(1236),
    [anon_sym_BANG_EQ] = ACTIONS(1236),
    [anon_sym_LT] = ACTIONS(1236),
    [anon_sym_GT] = ACTIONS(1236),
    [anon_sym_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT_EQ] = ACTIONS(1236),
    [anon_sym_LT_LT] = ACTIONS(1236),
    [anon_sym_GT_GT] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_SLASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(1236),
    [anon_sym_STAR_STAR] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_RPAREN] = ACTIONS(1236),
    [anon_sym_SEMI_SEMI] = ACTIONS(1236),
    [anon_sym_PIPE_AMP] = ACTIONS(1236),
    [anon_sym_EQ_TILDE] = ACTIONS(1236),
    [anon_sym_AMP_GT] = ACTIONS(1236),
    [anon_sym_AMP_GT_GT] = ACTIONS(1236),
    [anon_sym_LT_AMP] = ACTIONS(1236),
    [anon_sym_GT_AMP] = ACTIONS(1236),
    [anon_sym_GT_PIPE] = ACTIONS(1236),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1236),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1236),
    [anon_sym_LT_LT_DASH] = ACTIONS(1236),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1236),
    [anon_sym_QMARK] = ACTIONS(1236),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1236),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1236),
    [aux_sym_concatenation_token1] = ACTIONS(1236),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [sym__special_character] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [sym_raw_string] = ACTIONS(1236),
    [sym_ansi_c_string] = ACTIONS(1236),
    [aux_sym_number_token1] = ACTIONS(1236),
    [aux_sym_number_token2] = ACTIONS(1236),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1236),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1236),
    [anon_sym_LT_LPAREN] = ACTIONS(1236),
    [anon_sym_GT_LPAREN] = ACTIONS(1236),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1238),
    [sym__concat] = ACTIONS(1238),
    [sym_test_operator] = ACTIONS(1238),
    [sym__bare_dollar] = ACTIONS(1238),
    [sym__brace_start] = ACTIONS(1238),
  },
  [376] = {
    [sym_word] = ACTIONS(1240),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_EQ] = ACTIONS(1240),
    [anon_sym_DASH_EQ] = ACTIONS(1240),
    [anon_sym_STAR_EQ] = ACTIONS(1240),
    [anon_sym_SLASH_EQ] = ACTIONS(1240),
    [anon_sym_PERCENT_EQ] = ACTIONS(1240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1240),
    [anon_sym_LT_LT_EQ] = ACTIONS(1240),
    [anon_sym_GT_GT_EQ] = ACTIONS(1240),
    [anon_sym_AMP_EQ] = ACTIONS(1240),
    [anon_sym_CARET_EQ] = ACTIONS(1240),
    [anon_sym_PIPE_EQ] = ACTIONS(1240),
    [anon_sym_PIPE_PIPE] = ACTIONS(1240),
    [anon_sym_AMP_AMP] = ACTIONS(1240),
    [anon_sym_PIPE] = ACTIONS(1240),
    [anon_sym_CARET] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_EQ_EQ] = ACTIONS(1240),
    [anon_sym_BANG_EQ] = ACTIONS(1240),
    [anon_sym_LT] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(1240),
    [anon_sym_LT_EQ] = ACTIONS(1240),
    [anon_sym_GT_EQ] = ACTIONS(1240),
    [anon_sym_LT_LT] = ACTIONS(1240),
    [anon_sym_GT_GT] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_SLASH] = ACTIONS(1240),
    [anon_sym_PERCENT] = ACTIONS(1240),
    [anon_sym_STAR_STAR] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_RPAREN] = ACTIONS(1240),
    [anon_sym_SEMI_SEMI] = ACTIONS(1240),
    [anon_sym_PIPE_AMP] = ACTIONS(1240),
    [anon_sym_EQ_TILDE] = ACTIONS(1240),
    [anon_sym_AMP_GT] = ACTIONS(1240),
    [anon_sym_AMP_GT_GT] = ACTIONS(1240),
    [anon_sym_LT_AMP] = ACTIONS(1240),
    [anon_sym_GT_AMP] = ACTIONS(1240),
    [anon_sym_GT_PIPE] = ACTIONS(1240),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1240),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1240),
    [anon_sym_LT_LT_DASH] = ACTIONS(1240),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1240),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1240),
    [aux_sym_concatenation_token1] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [sym__special_character] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [sym_raw_string] = ACTIONS(1240),
    [sym_ansi_c_string] = ACTIONS(1240),
    [aux_sym_number_token1] = ACTIONS(1240),
    [aux_sym_number_token2] = ACTIONS(1240),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1240),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LPAREN] = ACTIONS(1240),
    [anon_sym_GT_LPAREN] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1242),
    [sym__concat] = ACTIONS(1242),
    [sym_test_operator] = ACTIONS(1242),
    [sym__bare_dollar] = ACTIONS(1242),
    [sym__brace_start] = ACTIONS(1242),
  },
  [377] = {
    [sym_word] = ACTIONS(1244),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(1244),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_EQ] = ACTIONS(1244),
    [anon_sym_DASH_EQ] = ACTIONS(1244),
    [anon_sym_STAR_EQ] = ACTIONS(1244),
    [anon_sym_SLASH_EQ] = ACTIONS(1244),
    [anon_sym_PERCENT_EQ] = ACTIONS(1244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1244),
    [anon_sym_LT_LT_EQ] = ACTIONS(1244),
    [anon_sym_GT_GT_EQ] = ACTIONS(1244),
    [anon_sym_AMP_EQ] = ACTIONS(1244),
    [anon_sym_CARET_EQ] = ACTIONS(1244),
    [anon_sym_PIPE_EQ] = ACTIONS(1244),
    [anon_sym_PIPE_PIPE] = ACTIONS(1244),
    [anon_sym_AMP_AMP] = ACTIONS(1244),
    [anon_sym_PIPE] = ACTIONS(1244),
    [anon_sym_CARET] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_EQ_EQ] = ACTIONS(1244),
    [anon_sym_BANG_EQ] = ACTIONS(1244),
    [anon_sym_LT] = ACTIONS(1244),
    [anon_sym_GT] = ACTIONS(1244),
    [anon_sym_LT_EQ] = ACTIONS(1244),
    [anon_sym_GT_EQ] = ACTIONS(1244),
    [anon_sym_LT_LT] = ACTIONS(1244),
    [anon_sym_GT_GT] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_SLASH] = ACTIONS(1244),
    [anon_sym_PERCENT] = ACTIONS(1244),
    [anon_sym_STAR_STAR] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_RPAREN] = ACTIONS(1244),
    [anon_sym_SEMI_SEMI] = ACTIONS(1244),
    [anon_sym_PIPE_AMP] = ACTIONS(1244),
    [anon_sym_EQ_TILDE] = ACTIONS(1244),
    [anon_sym_AMP_GT] = ACTIONS(1244),
    [anon_sym_AMP_GT_GT] = ACTIONS(1244),
    [anon_sym_LT_AMP] = ACTIONS(1244),
    [anon_sym_GT_AMP] = ACTIONS(1244),
    [anon_sym_GT_PIPE] = ACTIONS(1244),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1244),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1244),
    [anon_sym_LT_LT_DASH] = ACTIONS(1244),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1246),
    [anon_sym_LT_LT_LT] = ACTIONS(1244),
    [anon_sym_QMARK] = ACTIONS(1244),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1244),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1244),
    [aux_sym_concatenation_token1] = ACTIONS(1244),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [sym__special_character] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1244),
    [sym_raw_string] = ACTIONS(1244),
    [sym_ansi_c_string] = ACTIONS(1244),
    [aux_sym_number_token1] = ACTIONS(1244),
    [aux_sym_number_token2] = ACTIONS(1244),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1244),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1244),
    [anon_sym_LT_LPAREN] = ACTIONS(1244),
    [anon_sym_GT_LPAREN] = ACTIONS(1244),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1246),
    [sym__concat] = ACTIONS(1246),
    [sym_test_operator] = ACTIONS(1246),
    [sym__bare_dollar] = ACTIONS(1246),
    [sym__brace_start] = ACTIONS(1246),
  },
  [378] = {
    [sym_word] = ACTIONS(1248),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1248),
    [anon_sym_SEMI] = ACTIONS(1248),
    [anon_sym_EQ] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_EQ] = ACTIONS(1248),
    [anon_sym_DASH_EQ] = ACTIONS(1248),
    [anon_sym_STAR_EQ] = ACTIONS(1248),
    [anon_sym_SLASH_EQ] = ACTIONS(1248),
    [anon_sym_PERCENT_EQ] = ACTIONS(1248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1248),
    [anon_sym_LT_LT_EQ] = ACTIONS(1248),
    [anon_sym_GT_GT_EQ] = ACTIONS(1248),
    [anon_sym_AMP_EQ] = ACTIONS(1248),
    [anon_sym_CARET_EQ] = ACTIONS(1248),
    [anon_sym_PIPE_EQ] = ACTIONS(1248),
    [anon_sym_PIPE_PIPE] = ACTIONS(1248),
    [anon_sym_AMP_AMP] = ACTIONS(1248),
    [anon_sym_PIPE] = ACTIONS(1248),
    [anon_sym_CARET] = ACTIONS(1248),
    [anon_sym_AMP] = ACTIONS(1248),
    [anon_sym_EQ_EQ] = ACTIONS(1248),
    [anon_sym_BANG_EQ] = ACTIONS(1248),
    [anon_sym_LT] = ACTIONS(1248),
    [anon_sym_GT] = ACTIONS(1248),
    [anon_sym_LT_EQ] = ACTIONS(1248),
    [anon_sym_GT_EQ] = ACTIONS(1248),
    [anon_sym_LT_LT] = ACTIONS(1248),
    [anon_sym_GT_GT] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_SLASH] = ACTIONS(1248),
    [anon_sym_PERCENT] = ACTIONS(1248),
    [anon_sym_STAR_STAR] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_RPAREN] = ACTIONS(1248),
    [anon_sym_SEMI_SEMI] = ACTIONS(1248),
    [anon_sym_PIPE_AMP] = ACTIONS(1248),
    [anon_sym_EQ_TILDE] = ACTIONS(1248),
    [anon_sym_AMP_GT] = ACTIONS(1248),
    [anon_sym_AMP_GT_GT] = ACTIONS(1248),
    [anon_sym_LT_AMP] = ACTIONS(1248),
    [anon_sym_GT_AMP] = ACTIONS(1248),
    [anon_sym_GT_PIPE] = ACTIONS(1248),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1248),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1248),
    [anon_sym_LT_LT_DASH] = ACTIONS(1248),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1248),
    [anon_sym_QMARK] = ACTIONS(1248),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1248),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1248),
    [aux_sym_concatenation_token1] = ACTIONS(1248),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [sym__special_character] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1248),
    [sym_raw_string] = ACTIONS(1248),
    [sym_ansi_c_string] = ACTIONS(1248),
    [aux_sym_number_token1] = ACTIONS(1248),
    [aux_sym_number_token2] = ACTIONS(1248),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1248),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1248),
    [anon_sym_LT_LPAREN] = ACTIONS(1248),
    [anon_sym_GT_LPAREN] = ACTIONS(1248),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1250),
    [sym__concat] = ACTIONS(1250),
    [sym_test_operator] = ACTIONS(1250),
    [sym__bare_dollar] = ACTIONS(1250),
    [sym__brace_start] = ACTIONS(1250),
  },
  [379] = {
    [sym_word] = ACTIONS(1252),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1252),
    [anon_sym_SEMI] = ACTIONS(1252),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_EQ] = ACTIONS(1252),
    [anon_sym_DASH_EQ] = ACTIONS(1252),
    [anon_sym_STAR_EQ] = ACTIONS(1252),
    [anon_sym_SLASH_EQ] = ACTIONS(1252),
    [anon_sym_PERCENT_EQ] = ACTIONS(1252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1252),
    [anon_sym_LT_LT_EQ] = ACTIONS(1252),
    [anon_sym_GT_GT_EQ] = ACTIONS(1252),
    [anon_sym_AMP_EQ] = ACTIONS(1252),
    [anon_sym_CARET_EQ] = ACTIONS(1252),
    [anon_sym_PIPE_EQ] = ACTIONS(1252),
    [anon_sym_PIPE_PIPE] = ACTIONS(1252),
    [anon_sym_AMP_AMP] = ACTIONS(1252),
    [anon_sym_PIPE] = ACTIONS(1252),
    [anon_sym_CARET] = ACTIONS(1252),
    [anon_sym_AMP] = ACTIONS(1252),
    [anon_sym_EQ_EQ] = ACTIONS(1252),
    [anon_sym_BANG_EQ] = ACTIONS(1252),
    [anon_sym_LT] = ACTIONS(1252),
    [anon_sym_GT] = ACTIONS(1252),
    [anon_sym_LT_EQ] = ACTIONS(1252),
    [anon_sym_GT_EQ] = ACTIONS(1252),
    [anon_sym_LT_LT] = ACTIONS(1252),
    [anon_sym_GT_GT] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_SLASH] = ACTIONS(1252),
    [anon_sym_PERCENT] = ACTIONS(1252),
    [anon_sym_STAR_STAR] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [anon_sym_RPAREN] = ACTIONS(1252),
    [anon_sym_SEMI_SEMI] = ACTIONS(1252),
    [anon_sym_PIPE_AMP] = ACTIONS(1252),
    [anon_sym_EQ_TILDE] = ACTIONS(1252),
    [anon_sym_AMP_GT] = ACTIONS(1252),
    [anon_sym_AMP_GT_GT] = ACTIONS(1252),
    [anon_sym_LT_AMP] = ACTIONS(1252),
    [anon_sym_GT_AMP] = ACTIONS(1252),
    [anon_sym_GT_PIPE] = ACTIONS(1252),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1252),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1252),
    [anon_sym_LT_LT_DASH] = ACTIONS(1252),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1252),
    [anon_sym_QMARK] = ACTIONS(1252),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1252),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1252),
    [aux_sym_concatenation_token1] = ACTIONS(1252),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [sym__special_character] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1252),
    [sym_raw_string] = ACTIONS(1252),
    [sym_ansi_c_string] = ACTIONS(1252),
    [aux_sym_number_token1] = ACTIONS(1252),
    [aux_sym_number_token2] = ACTIONS(1252),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1252),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1252),
    [anon_sym_LT_LPAREN] = ACTIONS(1252),
    [anon_sym_GT_LPAREN] = ACTIONS(1252),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1254),
    [sym__concat] = ACTIONS(1254),
    [sym_test_operator] = ACTIONS(1254),
    [sym__bare_dollar] = ACTIONS(1254),
    [sym__brace_start] = ACTIONS(1254),
  },
  [380] = {
    [sym_word] = ACTIONS(1256),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1256),
    [anon_sym_SEMI] = ACTIONS(1256),
    [anon_sym_EQ] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_EQ] = ACTIONS(1256),
    [anon_sym_DASH_EQ] = ACTIONS(1256),
    [anon_sym_STAR_EQ] = ACTIONS(1256),
    [anon_sym_SLASH_EQ] = ACTIONS(1256),
    [anon_sym_PERCENT_EQ] = ACTIONS(1256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1256),
    [anon_sym_LT_LT_EQ] = ACTIONS(1256),
    [anon_sym_GT_GT_EQ] = ACTIONS(1256),
    [anon_sym_AMP_EQ] = ACTIONS(1256),
    [anon_sym_CARET_EQ] = ACTIONS(1256),
    [anon_sym_PIPE_EQ] = ACTIONS(1256),
    [anon_sym_PIPE_PIPE] = ACTIONS(1256),
    [anon_sym_AMP_AMP] = ACTIONS(1256),
    [anon_sym_PIPE] = ACTIONS(1256),
    [anon_sym_CARET] = ACTIONS(1256),
    [anon_sym_AMP] = ACTIONS(1256),
    [anon_sym_EQ_EQ] = ACTIONS(1256),
    [anon_sym_BANG_EQ] = ACTIONS(1256),
    [anon_sym_LT] = ACTIONS(1256),
    [anon_sym_GT] = ACTIONS(1256),
    [anon_sym_LT_EQ] = ACTIONS(1256),
    [anon_sym_GT_EQ] = ACTIONS(1256),
    [anon_sym_LT_LT] = ACTIONS(1256),
    [anon_sym_GT_GT] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_SLASH] = ACTIONS(1256),
    [anon_sym_PERCENT] = ACTIONS(1256),
    [anon_sym_STAR_STAR] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [anon_sym_RPAREN] = ACTIONS(1256),
    [anon_sym_SEMI_SEMI] = ACTIONS(1256),
    [anon_sym_PIPE_AMP] = ACTIONS(1256),
    [anon_sym_EQ_TILDE] = ACTIONS(1256),
    [anon_sym_AMP_GT] = ACTIONS(1256),
    [anon_sym_AMP_GT_GT] = ACTIONS(1256),
    [anon_sym_LT_AMP] = ACTIONS(1256),
    [anon_sym_GT_AMP] = ACTIONS(1256),
    [anon_sym_GT_PIPE] = ACTIONS(1256),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1256),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1256),
    [anon_sym_LT_LT_DASH] = ACTIONS(1256),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1256),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1256),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1256),
    [aux_sym_concatenation_token1] = ACTIONS(1256),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [sym__special_character] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1256),
    [sym_raw_string] = ACTIONS(1256),
    [sym_ansi_c_string] = ACTIONS(1256),
    [aux_sym_number_token1] = ACTIONS(1256),
    [aux_sym_number_token2] = ACTIONS(1256),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1256),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1256),
    [anon_sym_LT_LPAREN] = ACTIONS(1256),
    [anon_sym_GT_LPAREN] = ACTIONS(1256),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1258),
    [sym__concat] = ACTIONS(1258),
    [sym_test_operator] = ACTIONS(1258),
    [sym__bare_dollar] = ACTIONS(1258),
    [sym__brace_start] = ACTIONS(1258),
  },
  [381] = {
    [sym_word] = ACTIONS(1260),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1260),
    [anon_sym_SEMI] = ACTIONS(1260),
    [anon_sym_EQ] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_EQ] = ACTIONS(1260),
    [anon_sym_DASH_EQ] = ACTIONS(1260),
    [anon_sym_STAR_EQ] = ACTIONS(1260),
    [anon_sym_SLASH_EQ] = ACTIONS(1260),
    [anon_sym_PERCENT_EQ] = ACTIONS(1260),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1260),
    [anon_sym_LT_LT_EQ] = ACTIONS(1260),
    [anon_sym_GT_GT_EQ] = ACTIONS(1260),
    [anon_sym_AMP_EQ] = ACTIONS(1260),
    [anon_sym_CARET_EQ] = ACTIONS(1260),
    [anon_sym_PIPE_EQ] = ACTIONS(1260),
    [anon_sym_PIPE_PIPE] = ACTIONS(1260),
    [anon_sym_AMP_AMP] = ACTIONS(1260),
    [anon_sym_PIPE] = ACTIONS(1260),
    [anon_sym_CARET] = ACTIONS(1260),
    [anon_sym_AMP] = ACTIONS(1260),
    [anon_sym_EQ_EQ] = ACTIONS(1260),
    [anon_sym_BANG_EQ] = ACTIONS(1260),
    [anon_sym_LT] = ACTIONS(1260),
    [anon_sym_GT] = ACTIONS(1260),
    [anon_sym_LT_EQ] = ACTIONS(1260),
    [anon_sym_GT_EQ] = ACTIONS(1260),
    [anon_sym_LT_LT] = ACTIONS(1260),
    [anon_sym_GT_GT] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1260),
    [anon_sym_SLASH] = ACTIONS(1260),
    [anon_sym_PERCENT] = ACTIONS(1260),
    [anon_sym_STAR_STAR] = ACTIONS(1260),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [anon_sym_RPAREN] = ACTIONS(1260),
    [anon_sym_SEMI_SEMI] = ACTIONS(1260),
    [anon_sym_PIPE_AMP] = ACTIONS(1260),
    [anon_sym_EQ_TILDE] = ACTIONS(1260),
    [anon_sym_AMP_GT] = ACTIONS(1260),
    [anon_sym_AMP_GT_GT] = ACTIONS(1260),
    [anon_sym_LT_AMP] = ACTIONS(1260),
    [anon_sym_GT_AMP] = ACTIONS(1260),
    [anon_sym_GT_PIPE] = ACTIONS(1260),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1260),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1260),
    [anon_sym_LT_LT_DASH] = ACTIONS(1260),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1262),
    [anon_sym_LT_LT_LT] = ACTIONS(1260),
    [anon_sym_QMARK] = ACTIONS(1260),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1260),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1260),
    [aux_sym_concatenation_token1] = ACTIONS(1260),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [sym__special_character] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1260),
    [sym_raw_string] = ACTIONS(1260),
    [sym_ansi_c_string] = ACTIONS(1260),
    [aux_sym_number_token1] = ACTIONS(1260),
    [aux_sym_number_token2] = ACTIONS(1260),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1260),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1260),
    [anon_sym_LT_LPAREN] = ACTIONS(1260),
    [anon_sym_GT_LPAREN] = ACTIONS(1260),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1262),
    [sym__concat] = ACTIONS(1262),
    [sym_test_operator] = ACTIONS(1262),
    [sym__bare_dollar] = ACTIONS(1262),
    [sym__brace_start] = ACTIONS(1262),
  },
  [382] = {
    [sym_word] = ACTIONS(1264),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1264),
    [anon_sym_SEMI] = ACTIONS(1264),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_EQ] = ACTIONS(1264),
    [anon_sym_DASH_EQ] = ACTIONS(1264),
    [anon_sym_STAR_EQ] = ACTIONS(1264),
    [anon_sym_SLASH_EQ] = ACTIONS(1264),
    [anon_sym_PERCENT_EQ] = ACTIONS(1264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1264),
    [anon_sym_LT_LT_EQ] = ACTIONS(1264),
    [anon_sym_GT_GT_EQ] = ACTIONS(1264),
    [anon_sym_AMP_EQ] = ACTIONS(1264),
    [anon_sym_CARET_EQ] = ACTIONS(1264),
    [anon_sym_PIPE_EQ] = ACTIONS(1264),
    [anon_sym_PIPE_PIPE] = ACTIONS(1264),
    [anon_sym_AMP_AMP] = ACTIONS(1264),
    [anon_sym_PIPE] = ACTIONS(1264),
    [anon_sym_CARET] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_EQ_EQ] = ACTIONS(1264),
    [anon_sym_BANG_EQ] = ACTIONS(1264),
    [anon_sym_LT] = ACTIONS(1264),
    [anon_sym_GT] = ACTIONS(1264),
    [anon_sym_LT_EQ] = ACTIONS(1264),
    [anon_sym_GT_EQ] = ACTIONS(1264),
    [anon_sym_LT_LT] = ACTIONS(1264),
    [anon_sym_GT_GT] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_SLASH] = ACTIONS(1264),
    [anon_sym_PERCENT] = ACTIONS(1264),
    [anon_sym_STAR_STAR] = ACTIONS(1264),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_RPAREN] = ACTIONS(1264),
    [anon_sym_SEMI_SEMI] = ACTIONS(1264),
    [anon_sym_PIPE_AMP] = ACTIONS(1264),
    [anon_sym_EQ_TILDE] = ACTIONS(1264),
    [anon_sym_AMP_GT] = ACTIONS(1264),
    [anon_sym_AMP_GT_GT] = ACTIONS(1264),
    [anon_sym_LT_AMP] = ACTIONS(1264),
    [anon_sym_GT_AMP] = ACTIONS(1264),
    [anon_sym_GT_PIPE] = ACTIONS(1264),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1264),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1264),
    [anon_sym_LT_LT_DASH] = ACTIONS(1264),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1264),
    [anon_sym_QMARK] = ACTIONS(1264),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1264),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1264),
    [aux_sym_concatenation_token1] = ACTIONS(1264),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [sym__special_character] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1264),
    [sym_raw_string] = ACTIONS(1264),
    [sym_ansi_c_string] = ACTIONS(1264),
    [aux_sym_number_token1] = ACTIONS(1264),
    [aux_sym_number_token2] = ACTIONS(1264),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1264),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1264),
    [anon_sym_LT_LPAREN] = ACTIONS(1264),
    [anon_sym_GT_LPAREN] = ACTIONS(1264),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1266),
    [sym__concat] = ACTIONS(1266),
    [sym_test_operator] = ACTIONS(1266),
    [sym__bare_dollar] = ACTIONS(1266),
    [sym__brace_start] = ACTIONS(1266),
  },
  [383] = {
    [sym_word] = ACTIONS(1240),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_EQ] = ACTIONS(1240),
    [anon_sym_DASH_EQ] = ACTIONS(1240),
    [anon_sym_STAR_EQ] = ACTIONS(1240),
    [anon_sym_SLASH_EQ] = ACTIONS(1240),
    [anon_sym_PERCENT_EQ] = ACTIONS(1240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1240),
    [anon_sym_LT_LT_EQ] = ACTIONS(1240),
    [anon_sym_GT_GT_EQ] = ACTIONS(1240),
    [anon_sym_AMP_EQ] = ACTIONS(1240),
    [anon_sym_CARET_EQ] = ACTIONS(1240),
    [anon_sym_PIPE_EQ] = ACTIONS(1240),
    [anon_sym_PIPE_PIPE] = ACTIONS(1240),
    [anon_sym_AMP_AMP] = ACTIONS(1240),
    [anon_sym_PIPE] = ACTIONS(1240),
    [anon_sym_CARET] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_EQ_EQ] = ACTIONS(1240),
    [anon_sym_BANG_EQ] = ACTIONS(1240),
    [anon_sym_LT] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(1240),
    [anon_sym_LT_EQ] = ACTIONS(1240),
    [anon_sym_GT_EQ] = ACTIONS(1240),
    [anon_sym_LT_LT] = ACTIONS(1240),
    [anon_sym_GT_GT] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_SLASH] = ACTIONS(1240),
    [anon_sym_PERCENT] = ACTIONS(1240),
    [anon_sym_STAR_STAR] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_RPAREN] = ACTIONS(1240),
    [anon_sym_SEMI_SEMI] = ACTIONS(1240),
    [anon_sym_PIPE_AMP] = ACTIONS(1240),
    [anon_sym_EQ_TILDE] = ACTIONS(1240),
    [anon_sym_AMP_GT] = ACTIONS(1240),
    [anon_sym_AMP_GT_GT] = ACTIONS(1240),
    [anon_sym_LT_AMP] = ACTIONS(1240),
    [anon_sym_GT_AMP] = ACTIONS(1240),
    [anon_sym_GT_PIPE] = ACTIONS(1240),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1240),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1240),
    [anon_sym_LT_LT_DASH] = ACTIONS(1240),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1240),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1240),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1240),
    [aux_sym_concatenation_token1] = ACTIONS(1240),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [sym__special_character] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [sym_raw_string] = ACTIONS(1240),
    [sym_ansi_c_string] = ACTIONS(1240),
    [aux_sym_number_token1] = ACTIONS(1240),
    [aux_sym_number_token2] = ACTIONS(1240),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1240),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1240),
    [anon_sym_LT_LPAREN] = ACTIONS(1240),
    [anon_sym_GT_LPAREN] = ACTIONS(1240),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1242),
    [sym__concat] = ACTIONS(1242),
    [sym_test_operator] = ACTIONS(1242),
    [sym__bare_dollar] = ACTIONS(1242),
    [sym__brace_start] = ACTIONS(1242),
  },
  [384] = {
    [sym_word] = ACTIONS(1268),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1268),
    [anon_sym_SEMI] = ACTIONS(1268),
    [anon_sym_EQ] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_EQ] = ACTIONS(1268),
    [anon_sym_DASH_EQ] = ACTIONS(1268),
    [anon_sym_STAR_EQ] = ACTIONS(1268),
    [anon_sym_SLASH_EQ] = ACTIONS(1268),
    [anon_sym_PERCENT_EQ] = ACTIONS(1268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1268),
    [anon_sym_LT_LT_EQ] = ACTIONS(1268),
    [anon_sym_GT_GT_EQ] = ACTIONS(1268),
    [anon_sym_AMP_EQ] = ACTIONS(1268),
    [anon_sym_CARET_EQ] = ACTIONS(1268),
    [anon_sym_PIPE_EQ] = ACTIONS(1268),
    [anon_sym_PIPE_PIPE] = ACTIONS(1268),
    [anon_sym_AMP_AMP] = ACTIONS(1268),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_CARET] = ACTIONS(1268),
    [anon_sym_AMP] = ACTIONS(1268),
    [anon_sym_EQ_EQ] = ACTIONS(1268),
    [anon_sym_BANG_EQ] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(1268),
    [anon_sym_GT] = ACTIONS(1268),
    [anon_sym_LT_EQ] = ACTIONS(1268),
    [anon_sym_GT_EQ] = ACTIONS(1268),
    [anon_sym_LT_LT] = ACTIONS(1268),
    [anon_sym_GT_GT] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1268),
    [anon_sym_SLASH] = ACTIONS(1268),
    [anon_sym_PERCENT] = ACTIONS(1268),
    [anon_sym_STAR_STAR] = ACTIONS(1268),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [anon_sym_RPAREN] = ACTIONS(1268),
    [anon_sym_SEMI_SEMI] = ACTIONS(1268),
    [anon_sym_PIPE_AMP] = ACTIONS(1268),
    [anon_sym_EQ_TILDE] = ACTIONS(1268),
    [anon_sym_AMP_GT] = ACTIONS(1268),
    [anon_sym_AMP_GT_GT] = ACTIONS(1268),
    [anon_sym_LT_AMP] = ACTIONS(1268),
    [anon_sym_GT_AMP] = ACTIONS(1268),
    [anon_sym_GT_PIPE] = ACTIONS(1268),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1268),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1268),
    [anon_sym_LT_LT_DASH] = ACTIONS(1268),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1270),
    [anon_sym_LT_LT_LT] = ACTIONS(1268),
    [anon_sym_QMARK] = ACTIONS(1268),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1268),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1268),
    [aux_sym_concatenation_token1] = ACTIONS(1268),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [sym__special_character] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1268),
    [sym_raw_string] = ACTIONS(1268),
    [sym_ansi_c_string] = ACTIONS(1268),
    [aux_sym_number_token1] = ACTIONS(1268),
    [aux_sym_number_token2] = ACTIONS(1268),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1268),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1268),
    [anon_sym_LT_LPAREN] = ACTIONS(1268),
    [anon_sym_GT_LPAREN] = ACTIONS(1268),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1270),
    [sym__concat] = ACTIONS(1270),
    [sym_test_operator] = ACTIONS(1270),
    [sym__bare_dollar] = ACTIONS(1270),
    [sym__brace_start] = ACTIONS(1270),
  },
  [385] = {
    [sym_word] = ACTIONS(1272),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1272),
    [anon_sym_SEMI] = ACTIONS(1272),
    [anon_sym_EQ] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_EQ] = ACTIONS(1272),
    [anon_sym_DASH_EQ] = ACTIONS(1272),
    [anon_sym_STAR_EQ] = ACTIONS(1272),
    [anon_sym_SLASH_EQ] = ACTIONS(1272),
    [anon_sym_PERCENT_EQ] = ACTIONS(1272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1272),
    [anon_sym_LT_LT_EQ] = ACTIONS(1272),
    [anon_sym_GT_GT_EQ] = ACTIONS(1272),
    [anon_sym_AMP_EQ] = ACTIONS(1272),
    [anon_sym_CARET_EQ] = ACTIONS(1272),
    [anon_sym_PIPE_EQ] = ACTIONS(1272),
    [anon_sym_PIPE_PIPE] = ACTIONS(1272),
    [anon_sym_AMP_AMP] = ACTIONS(1272),
    [anon_sym_PIPE] = ACTIONS(1272),
    [anon_sym_CARET] = ACTIONS(1272),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_EQ_EQ] = ACTIONS(1272),
    [anon_sym_BANG_EQ] = ACTIONS(1272),
    [anon_sym_LT] = ACTIONS(1272),
    [anon_sym_GT] = ACTIONS(1272),
    [anon_sym_LT_EQ] = ACTIONS(1272),
    [anon_sym_GT_EQ] = ACTIONS(1272),
    [anon_sym_LT_LT] = ACTIONS(1272),
    [anon_sym_GT_GT] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(1272),
    [anon_sym_PERCENT] = ACTIONS(1272),
    [anon_sym_STAR_STAR] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [anon_sym_RPAREN] = ACTIONS(1272),
    [anon_sym_SEMI_SEMI] = ACTIONS(1272),
    [anon_sym_PIPE_AMP] = ACTIONS(1272),
    [anon_sym_EQ_TILDE] = ACTIONS(1272),
    [anon_sym_AMP_GT] = ACTIONS(1272),
    [anon_sym_AMP_GT_GT] = ACTIONS(1272),
    [anon_sym_LT_AMP] = ACTIONS(1272),
    [anon_sym_GT_AMP] = ACTIONS(1272),
    [anon_sym_GT_PIPE] = ACTIONS(1272),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1272),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1272),
    [anon_sym_LT_LT_DASH] = ACTIONS(1272),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1272),
    [anon_sym_QMARK] = ACTIONS(1272),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1272),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1272),
    [aux_sym_concatenation_token1] = ACTIONS(1272),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [sym__special_character] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1272),
    [sym_raw_string] = ACTIONS(1272),
    [sym_ansi_c_string] = ACTIONS(1272),
    [aux_sym_number_token1] = ACTIONS(1272),
    [aux_sym_number_token2] = ACTIONS(1272),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1272),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1272),
    [anon_sym_LT_LPAREN] = ACTIONS(1272),
    [anon_sym_GT_LPAREN] = ACTIONS(1272),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1274),
    [sym__concat] = ACTIONS(1274),
    [sym_test_operator] = ACTIONS(1274),
    [sym__bare_dollar] = ACTIONS(1274),
    [sym__brace_start] = ACTIONS(1274),
  },
  [386] = {
    [sym_word] = ACTIONS(1198),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_GT_EQ] = ACTIONS(1198),
    [anon_sym_AMP_EQ] = ACTIONS(1198),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_PIPE] = ACTIONS(1198),
    [anon_sym_AMP_AMP] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_STAR_STAR] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_RPAREN] = ACTIONS(1198),
    [anon_sym_SEMI_SEMI] = ACTIONS(1198),
    [anon_sym_PIPE_AMP] = ACTIONS(1198),
    [anon_sym_EQ_TILDE] = ACTIONS(1198),
    [anon_sym_AMP_GT] = ACTIONS(1198),
    [anon_sym_AMP_GT_GT] = ACTIONS(1198),
    [anon_sym_LT_AMP] = ACTIONS(1198),
    [anon_sym_GT_AMP] = ACTIONS(1198),
    [anon_sym_GT_PIPE] = ACTIONS(1198),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1198),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1198),
    [anon_sym_LT_LT_DASH] = ACTIONS(1198),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1198),
    [anon_sym_QMARK] = ACTIONS(1198),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1198),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1198),
    [aux_sym_concatenation_token1] = ACTIONS(1198),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym__special_character] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [sym_raw_string] = ACTIONS(1198),
    [sym_ansi_c_string] = ACTIONS(1198),
    [aux_sym_number_token1] = ACTIONS(1198),
    [aux_sym_number_token2] = ACTIONS(1198),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1198),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1198),
    [anon_sym_LT_LPAREN] = ACTIONS(1198),
    [anon_sym_GT_LPAREN] = ACTIONS(1198),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1200),
    [sym__concat] = ACTIONS(1200),
    [sym_test_operator] = ACTIONS(1200),
    [sym__bare_dollar] = ACTIONS(1200),
    [sym__brace_start] = ACTIONS(1200),
  },
  [387] = {
    [sym_word] = ACTIONS(1276),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1276),
    [anon_sym_SEMI] = ACTIONS(1276),
    [anon_sym_EQ] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_EQ] = ACTIONS(1276),
    [anon_sym_DASH_EQ] = ACTIONS(1276),
    [anon_sym_STAR_EQ] = ACTIONS(1276),
    [anon_sym_SLASH_EQ] = ACTIONS(1276),
    [anon_sym_PERCENT_EQ] = ACTIONS(1276),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1276),
    [anon_sym_LT_LT_EQ] = ACTIONS(1276),
    [anon_sym_GT_GT_EQ] = ACTIONS(1276),
    [anon_sym_AMP_EQ] = ACTIONS(1276),
    [anon_sym_CARET_EQ] = ACTIONS(1276),
    [anon_sym_PIPE_EQ] = ACTIONS(1276),
    [anon_sym_PIPE_PIPE] = ACTIONS(1276),
    [anon_sym_AMP_AMP] = ACTIONS(1276),
    [anon_sym_PIPE] = ACTIONS(1276),
    [anon_sym_CARET] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_EQ_EQ] = ACTIONS(1276),
    [anon_sym_BANG_EQ] = ACTIONS(1276),
    [anon_sym_LT] = ACTIONS(1276),
    [anon_sym_GT] = ACTIONS(1276),
    [anon_sym_LT_EQ] = ACTIONS(1276),
    [anon_sym_GT_EQ] = ACTIONS(1276),
    [anon_sym_LT_LT] = ACTIONS(1276),
    [anon_sym_GT_GT] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1276),
    [anon_sym_SLASH] = ACTIONS(1276),
    [anon_sym_PERCENT] = ACTIONS(1276),
    [anon_sym_STAR_STAR] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [anon_sym_RPAREN] = ACTIONS(1276),
    [anon_sym_SEMI_SEMI] = ACTIONS(1276),
    [anon_sym_PIPE_AMP] = ACTIONS(1276),
    [anon_sym_EQ_TILDE] = ACTIONS(1276),
    [anon_sym_AMP_GT] = ACTIONS(1276),
    [anon_sym_AMP_GT_GT] = ACTIONS(1276),
    [anon_sym_LT_AMP] = ACTIONS(1276),
    [anon_sym_GT_AMP] = ACTIONS(1276),
    [anon_sym_GT_PIPE] = ACTIONS(1276),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1276),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1276),
    [anon_sym_LT_LT_DASH] = ACTIONS(1276),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1276),
    [anon_sym_QMARK] = ACTIONS(1276),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1276),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1276),
    [aux_sym_concatenation_token1] = ACTIONS(1276),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [sym__special_character] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1276),
    [sym_raw_string] = ACTIONS(1276),
    [sym_ansi_c_string] = ACTIONS(1276),
    [aux_sym_number_token1] = ACTIONS(1276),
    [aux_sym_number_token2] = ACTIONS(1276),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1276),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1276),
    [anon_sym_LT_LPAREN] = ACTIONS(1276),
    [anon_sym_GT_LPAREN] = ACTIONS(1276),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1278),
    [sym__concat] = ACTIONS(1278),
    [sym_test_operator] = ACTIONS(1278),
    [sym__bare_dollar] = ACTIONS(1278),
    [sym__brace_start] = ACTIONS(1278),
  },
  [388] = {
    [sym_word] = ACTIONS(1280),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1280),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_EQ] = ACTIONS(1280),
    [anon_sym_DASH_EQ] = ACTIONS(1280),
    [anon_sym_STAR_EQ] = ACTIONS(1280),
    [anon_sym_SLASH_EQ] = ACTIONS(1280),
    [anon_sym_PERCENT_EQ] = ACTIONS(1280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1280),
    [anon_sym_LT_LT_EQ] = ACTIONS(1280),
    [anon_sym_GT_GT_EQ] = ACTIONS(1280),
    [anon_sym_AMP_EQ] = ACTIONS(1280),
    [anon_sym_CARET_EQ] = ACTIONS(1280),
    [anon_sym_PIPE_EQ] = ACTIONS(1280),
    [anon_sym_PIPE_PIPE] = ACTIONS(1280),
    [anon_sym_AMP_AMP] = ACTIONS(1280),
    [anon_sym_PIPE] = ACTIONS(1280),
    [anon_sym_CARET] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_EQ_EQ] = ACTIONS(1280),
    [anon_sym_BANG_EQ] = ACTIONS(1280),
    [anon_sym_LT] = ACTIONS(1280),
    [anon_sym_GT] = ACTIONS(1280),
    [anon_sym_LT_EQ] = ACTIONS(1280),
    [anon_sym_GT_EQ] = ACTIONS(1280),
    [anon_sym_LT_LT] = ACTIONS(1280),
    [anon_sym_GT_GT] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_SLASH] = ACTIONS(1280),
    [anon_sym_PERCENT] = ACTIONS(1280),
    [anon_sym_STAR_STAR] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_RPAREN] = ACTIONS(1280),
    [anon_sym_SEMI_SEMI] = ACTIONS(1280),
    [anon_sym_PIPE_AMP] = ACTIONS(1280),
    [anon_sym_EQ_TILDE] = ACTIONS(1280),
    [anon_sym_AMP_GT] = ACTIONS(1280),
    [anon_sym_AMP_GT_GT] = ACTIONS(1280),
    [anon_sym_LT_AMP] = ACTIONS(1280),
    [anon_sym_GT_AMP] = ACTIONS(1280),
    [anon_sym_GT_PIPE] = ACTIONS(1280),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1280),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1280),
    [anon_sym_LT_LT_DASH] = ACTIONS(1280),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1280),
    [anon_sym_QMARK] = ACTIONS(1280),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1280),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1280),
    [aux_sym_concatenation_token1] = ACTIONS(1280),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [sym__special_character] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1280),
    [sym_raw_string] = ACTIONS(1280),
    [sym_ansi_c_string] = ACTIONS(1280),
    [aux_sym_number_token1] = ACTIONS(1280),
    [aux_sym_number_token2] = ACTIONS(1280),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1280),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1280),
    [anon_sym_LT_LPAREN] = ACTIONS(1280),
    [anon_sym_GT_LPAREN] = ACTIONS(1280),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1282),
    [sym__concat] = ACTIONS(1282),
    [sym_test_operator] = ACTIONS(1282),
    [sym__bare_dollar] = ACTIONS(1282),
    [sym__brace_start] = ACTIONS(1282),
  },
  [389] = {
    [sym_word] = ACTIONS(1284),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1284),
    [anon_sym_SEMI] = ACTIONS(1284),
    [anon_sym_EQ] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_EQ] = ACTIONS(1284),
    [anon_sym_DASH_EQ] = ACTIONS(1284),
    [anon_sym_STAR_EQ] = ACTIONS(1284),
    [anon_sym_SLASH_EQ] = ACTIONS(1284),
    [anon_sym_PERCENT_EQ] = ACTIONS(1284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1284),
    [anon_sym_LT_LT_EQ] = ACTIONS(1284),
    [anon_sym_GT_GT_EQ] = ACTIONS(1284),
    [anon_sym_AMP_EQ] = ACTIONS(1284),
    [anon_sym_CARET_EQ] = ACTIONS(1284),
    [anon_sym_PIPE_EQ] = ACTIONS(1284),
    [anon_sym_PIPE_PIPE] = ACTIONS(1284),
    [anon_sym_AMP_AMP] = ACTIONS(1284),
    [anon_sym_PIPE] = ACTIONS(1284),
    [anon_sym_CARET] = ACTIONS(1284),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_EQ_EQ] = ACTIONS(1284),
    [anon_sym_BANG_EQ] = ACTIONS(1284),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_GT] = ACTIONS(1284),
    [anon_sym_LT_EQ] = ACTIONS(1284),
    [anon_sym_GT_EQ] = ACTIONS(1284),
    [anon_sym_LT_LT] = ACTIONS(1284),
    [anon_sym_GT_GT] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_SLASH] = ACTIONS(1284),
    [anon_sym_PERCENT] = ACTIONS(1284),
    [anon_sym_STAR_STAR] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [anon_sym_RPAREN] = ACTIONS(1284),
    [anon_sym_SEMI_SEMI] = ACTIONS(1284),
    [anon_sym_PIPE_AMP] = ACTIONS(1284),
    [anon_sym_EQ_TILDE] = ACTIONS(1284),
    [anon_sym_AMP_GT] = ACTIONS(1284),
    [anon_sym_AMP_GT_GT] = ACTIONS(1284),
    [anon_sym_LT_AMP] = ACTIONS(1284),
    [anon_sym_GT_AMP] = ACTIONS(1284),
    [anon_sym_GT_PIPE] = ACTIONS(1284),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1284),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1284),
    [anon_sym_LT_LT_DASH] = ACTIONS(1284),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1284),
    [anon_sym_QMARK] = ACTIONS(1284),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1284),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1284),
    [aux_sym_concatenation_token1] = ACTIONS(1284),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [sym__special_character] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1284),
    [sym_raw_string] = ACTIONS(1284),
    [sym_ansi_c_string] = ACTIONS(1284),
    [aux_sym_number_token1] = ACTIONS(1284),
    [aux_sym_number_token2] = ACTIONS(1284),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1284),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1284),
    [anon_sym_LT_LPAREN] = ACTIONS(1284),
    [anon_sym_GT_LPAREN] = ACTIONS(1284),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1286),
    [sym__concat] = ACTIONS(1286),
    [sym_test_operator] = ACTIONS(1286),
    [sym__bare_dollar] = ACTIONS(1286),
    [sym__brace_start] = ACTIONS(1286),
  },
  [390] = {
    [sym_word] = ACTIONS(1288),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1288),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym_EQ] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_EQ] = ACTIONS(1288),
    [anon_sym_DASH_EQ] = ACTIONS(1288),
    [anon_sym_STAR_EQ] = ACTIONS(1288),
    [anon_sym_SLASH_EQ] = ACTIONS(1288),
    [anon_sym_PERCENT_EQ] = ACTIONS(1288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1288),
    [anon_sym_LT_LT_EQ] = ACTIONS(1288),
    [anon_sym_GT_GT_EQ] = ACTIONS(1288),
    [anon_sym_AMP_EQ] = ACTIONS(1288),
    [anon_sym_CARET_EQ] = ACTIONS(1288),
    [anon_sym_PIPE_EQ] = ACTIONS(1288),
    [anon_sym_PIPE_PIPE] = ACTIONS(1288),
    [anon_sym_AMP_AMP] = ACTIONS(1288),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_CARET] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_EQ_EQ] = ACTIONS(1288),
    [anon_sym_BANG_EQ] = ACTIONS(1288),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1288),
    [anon_sym_GT_EQ] = ACTIONS(1288),
    [anon_sym_LT_LT] = ACTIONS(1288),
    [anon_sym_GT_GT] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_SLASH] = ACTIONS(1288),
    [anon_sym_PERCENT] = ACTIONS(1288),
    [anon_sym_STAR_STAR] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [anon_sym_RPAREN] = ACTIONS(1288),
    [anon_sym_SEMI_SEMI] = ACTIONS(1288),
    [anon_sym_PIPE_AMP] = ACTIONS(1288),
    [anon_sym_EQ_TILDE] = ACTIONS(1288),
    [anon_sym_AMP_GT] = ACTIONS(1288),
    [anon_sym_AMP_GT_GT] = ACTIONS(1288),
    [anon_sym_LT_AMP] = ACTIONS(1288),
    [anon_sym_GT_AMP] = ACTIONS(1288),
    [anon_sym_GT_PIPE] = ACTIONS(1288),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1288),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1288),
    [anon_sym_LT_LT_DASH] = ACTIONS(1288),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1288),
    [anon_sym_QMARK] = ACTIONS(1288),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1288),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1288),
    [aux_sym_concatenation_token1] = ACTIONS(1288),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [sym__special_character] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1288),
    [sym_raw_string] = ACTIONS(1288),
    [sym_ansi_c_string] = ACTIONS(1288),
    [aux_sym_number_token1] = ACTIONS(1288),
    [aux_sym_number_token2] = ACTIONS(1288),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1288),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1288),
    [anon_sym_LT_LPAREN] = ACTIONS(1288),
    [anon_sym_GT_LPAREN] = ACTIONS(1288),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1290),
    [sym__concat] = ACTIONS(1290),
    [sym_test_operator] = ACTIONS(1290),
    [sym__bare_dollar] = ACTIONS(1290),
    [sym__brace_start] = ACTIONS(1290),
  },
  [391] = {
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(1292),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1292),
    [anon_sym_SEMI] = ACTIONS(1292),
    [anon_sym_EQ] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1292),
    [anon_sym_GT_GT_EQ] = ACTIONS(1292),
    [anon_sym_AMP_EQ] = ACTIONS(1292),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_PIPE] = ACTIONS(1292),
    [anon_sym_AMP_AMP] = ACTIONS(1292),
    [anon_sym_PIPE] = ACTIONS(1292),
    [anon_sym_CARET] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_EQ_EQ] = ACTIONS(1292),
    [anon_sym_BANG_EQ] = ACTIONS(1292),
    [anon_sym_LT] = ACTIONS(1292),
    [anon_sym_GT] = ACTIONS(1292),
    [anon_sym_LT_EQ] = ACTIONS(1292),
    [anon_sym_GT_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT] = ACTIONS(1292),
    [anon_sym_GT_GT] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1292),
    [anon_sym_SLASH] = ACTIONS(1292),
    [anon_sym_PERCENT] = ACTIONS(1292),
    [anon_sym_STAR_STAR] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [anon_sym_RPAREN] = ACTIONS(1292),
    [anon_sym_SEMI_SEMI] = ACTIONS(1292),
    [anon_sym_PIPE_AMP] = ACTIONS(1292),
    [anon_sym_EQ_TILDE] = ACTIONS(1292),
    [anon_sym_AMP_GT] = ACTIONS(1292),
    [anon_sym_AMP_GT_GT] = ACTIONS(1292),
    [anon_sym_LT_AMP] = ACTIONS(1292),
    [anon_sym_GT_AMP] = ACTIONS(1292),
    [anon_sym_GT_PIPE] = ACTIONS(1292),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1292),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1292),
    [anon_sym_LT_LT_DASH] = ACTIONS(1292),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1294),
    [anon_sym_LT_LT_LT] = ACTIONS(1292),
    [anon_sym_QMARK] = ACTIONS(1292),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1292),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1292),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [sym__special_character] = ACTIONS(1296),
    [anon_sym_DQUOTE] = ACTIONS(1292),
    [sym_raw_string] = ACTIONS(1292),
    [sym_ansi_c_string] = ACTIONS(1292),
    [aux_sym_number_token1] = ACTIONS(1292),
    [aux_sym_number_token2] = ACTIONS(1292),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1292),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1292),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1292),
    [anon_sym_LT_LPAREN] = ACTIONS(1292),
    [anon_sym_GT_LPAREN] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1294),
    [sym_test_operator] = ACTIONS(1294),
    [sym__bare_dollar] = ACTIONS(1294),
    [sym__brace_start] = ACTIONS(1294),
  },
  [392] = {
    [aux_sym__literal_repeat1] = STATE(391),
    [sym_word] = ACTIONS(231),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(231),
    [anon_sym_SEMI] = ACTIONS(231),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(233),
    [anon_sym_GT_GT_EQ] = ACTIONS(233),
    [anon_sym_AMP_EQ] = ACTIONS(233),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(233),
    [anon_sym_PIPE_PIPE] = ACTIONS(235),
    [anon_sym_AMP_AMP] = ACTIONS(235),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(235),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(233),
    [anon_sym_GT_EQ] = ACTIONS(233),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_RPAREN] = ACTIONS(235),
    [anon_sym_SEMI_SEMI] = ACTIONS(231),
    [anon_sym_PIPE_AMP] = ACTIONS(231),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_AMP_GT] = ACTIONS(231),
    [anon_sym_AMP_GT_GT] = ACTIONS(231),
    [anon_sym_LT_AMP] = ACTIONS(231),
    [anon_sym_GT_AMP] = ACTIONS(231),
    [anon_sym_GT_PIPE] = ACTIONS(231),
    [anon_sym_LT_AMP_DASH] = ACTIONS(231),
    [anon_sym_GT_AMP_DASH] = ACTIONS(231),
    [anon_sym_LT_LT_DASH] = ACTIONS(231),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(268),
    [anon_sym_LT_LT_LT] = ACTIONS(231),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(231),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(231),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [sym__special_character] = ACTIONS(1299),
    [anon_sym_DQUOTE] = ACTIONS(231),
    [sym_raw_string] = ACTIONS(231),
    [sym_ansi_c_string] = ACTIONS(231),
    [aux_sym_number_token1] = ACTIONS(231),
    [aux_sym_number_token2] = ACTIONS(231),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(231),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(231),
    [anon_sym_BQUOTE] = ACTIONS(231),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(231),
    [anon_sym_LT_LPAREN] = ACTIONS(231),
    [anon_sym_GT_LPAREN] = ACTIONS(231),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(268),
    [sym_test_operator] = ACTIONS(346),
    [sym__bare_dollar] = ACTIONS(268),
    [sym__brace_start] = ACTIONS(268),
  },
  [393] = {
    [aux_sym_concatenation_repeat1] = STATE(393),
    [sym_word] = ACTIONS(1198),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_AMP_EQ] = ACTIONS(1200),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_STAR_STAR] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_PIPE_AMP] = ACTIONS(1200),
    [anon_sym_RBRACK] = ACTIONS(1200),
    [anon_sym_EQ_TILDE] = ACTIONS(1198),
    [anon_sym_AMP_GT] = ACTIONS(1198),
    [anon_sym_AMP_GT_GT] = ACTIONS(1200),
    [anon_sym_LT_AMP] = ACTIONS(1198),
    [anon_sym_GT_AMP] = ACTIONS(1198),
    [anon_sym_GT_PIPE] = ACTIONS(1200),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1200),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1200),
    [anon_sym_LT_LT_DASH] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_QMARK] = ACTIONS(1198),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1200),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1200),
    [aux_sym_concatenation_token1] = ACTIONS(1301),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym__special_character] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [sym_raw_string] = ACTIONS(1200),
    [sym_ansi_c_string] = ACTIONS(1200),
    [aux_sym_number_token1] = ACTIONS(1198),
    [aux_sym_number_token2] = ACTIONS(1198),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1200),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LPAREN] = ACTIONS(1200),
    [anon_sym_GT_LPAREN] = ACTIONS(1200),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1200),
    [sym__concat] = ACTIONS(1301),
    [sym_test_operator] = ACTIONS(1200),
    [sym__bare_dollar] = ACTIONS(1200),
    [sym__brace_start] = ACTIONS(1200),
  },
  [394] = {
    [aux_sym_concatenation_repeat1] = STATE(393),
    [sym_word] = ACTIONS(1208),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1210),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1208),
    [anon_sym_DASH_EQ] = ACTIONS(1208),
    [anon_sym_STAR_EQ] = ACTIONS(1208),
    [anon_sym_SLASH_EQ] = ACTIONS(1208),
    [anon_sym_PERCENT_EQ] = ACTIONS(1208),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1208),
    [anon_sym_LT_LT_EQ] = ACTIONS(1210),
    [anon_sym_GT_GT_EQ] = ACTIONS(1210),
    [anon_sym_AMP_EQ] = ACTIONS(1210),
    [anon_sym_CARET_EQ] = ACTIONS(1208),
    [anon_sym_PIPE_EQ] = ACTIONS(1210),
    [anon_sym_PIPE_PIPE] = ACTIONS(1210),
    [anon_sym_AMP_AMP] = ACTIONS(1210),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_EQ_EQ] = ACTIONS(1208),
    [anon_sym_BANG_EQ] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_LT_EQ] = ACTIONS(1210),
    [anon_sym_GT_EQ] = ACTIONS(1210),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_STAR_STAR] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [anon_sym_PIPE_AMP] = ACTIONS(1210),
    [anon_sym_RBRACK] = ACTIONS(1210),
    [anon_sym_EQ_TILDE] = ACTIONS(1208),
    [anon_sym_AMP_GT] = ACTIONS(1208),
    [anon_sym_AMP_GT_GT] = ACTIONS(1210),
    [anon_sym_LT_AMP] = ACTIONS(1208),
    [anon_sym_GT_AMP] = ACTIONS(1208),
    [anon_sym_GT_PIPE] = ACTIONS(1210),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1210),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1210),
    [anon_sym_LT_LT_DASH] = ACTIONS(1210),
    [anon_sym_LT_LT_LT] = ACTIONS(1210),
    [anon_sym_QMARK] = ACTIONS(1208),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1210),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1210),
    [aux_sym_concatenation_token1] = ACTIONS(355),
    [anon_sym_DOLLAR] = ACTIONS(1208),
    [sym__special_character] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [sym_raw_string] = ACTIONS(1210),
    [sym_ansi_c_string] = ACTIONS(1210),
    [aux_sym_number_token1] = ACTIONS(1208),
    [aux_sym_number_token2] = ACTIONS(1208),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1210),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1208),
    [anon_sym_BQUOTE] = ACTIONS(1208),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1210),
    [anon_sym_LT_LPAREN] = ACTIONS(1210),
    [anon_sym_GT_LPAREN] = ACTIONS(1210),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1210),
    [sym__concat] = ACTIONS(1304),
    [sym_test_operator] = ACTIONS(1210),
    [sym__bare_dollar] = ACTIONS(1210),
    [sym__brace_start] = ACTIONS(1210),
  },
  [395] = {
    [sym_word] = ACTIONS(1183),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1183),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_GT_EQ] = ACTIONS(1185),
    [anon_sym_AMP_EQ] = ACTIONS(1185),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_AMP_AMP] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_RPAREN] = ACTIONS(1187),
    [anon_sym_SEMI_SEMI] = ACTIONS(1183),
    [anon_sym_PIPE_AMP] = ACTIONS(1183),
    [anon_sym_EQ_TILDE] = ACTIONS(1187),
    [anon_sym_AMP_GT] = ACTIONS(1183),
    [anon_sym_AMP_GT_GT] = ACTIONS(1183),
    [anon_sym_LT_AMP] = ACTIONS(1183),
    [anon_sym_GT_AMP] = ACTIONS(1183),
    [anon_sym_GT_PIPE] = ACTIONS(1183),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1183),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1183),
    [anon_sym_LT_LT_DASH] = ACTIONS(1183),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1193),
    [anon_sym_LT_LT_LT] = ACTIONS(1183),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1183),
    [anon_sym_DOLLAR] = ACTIONS(1183),
    [sym__special_character] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1183),
    [sym_raw_string] = ACTIONS(1183),
    [sym_ansi_c_string] = ACTIONS(1183),
    [aux_sym_number_token1] = ACTIONS(1183),
    [aux_sym_number_token2] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1183),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(1183),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1183),
    [anon_sym_LT_LPAREN] = ACTIONS(1183),
    [anon_sym_GT_LPAREN] = ACTIONS(1183),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1193),
    [sym_test_operator] = ACTIONS(1195),
    [sym__bare_dollar] = ACTIONS(1193),
    [sym__brace_start] = ACTIONS(1193),
  },
  [396] = {
    [aux_sym_concatenation_repeat1] = STATE(398),
    [sym_word] = ACTIONS(1220),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_EQ] = ACTIONS(1220),
    [anon_sym_DASH_EQ] = ACTIONS(1220),
    [anon_sym_STAR_EQ] = ACTIONS(1220),
    [anon_sym_SLASH_EQ] = ACTIONS(1220),
    [anon_sym_PERCENT_EQ] = ACTIONS(1220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1220),
    [anon_sym_LT_LT_EQ] = ACTIONS(1222),
    [anon_sym_GT_GT_EQ] = ACTIONS(1222),
    [anon_sym_AMP_EQ] = ACTIONS(1222),
    [anon_sym_CARET_EQ] = ACTIONS(1220),
    [anon_sym_PIPE_EQ] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1220),
    [anon_sym_CARET] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_EQ_EQ] = ACTIONS(1220),
    [anon_sym_BANG_EQ] = ACTIONS(1220),
    [anon_sym_LT] = ACTIONS(1220),
    [anon_sym_GT] = ACTIONS(1220),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1220),
    [anon_sym_GT_GT] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1220),
    [anon_sym_SLASH] = ACTIONS(1220),
    [anon_sym_PERCENT] = ACTIONS(1220),
    [anon_sym_STAR_STAR] = ACTIONS(1220),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [anon_sym_PIPE_AMP] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_EQ_TILDE] = ACTIONS(1220),
    [anon_sym_AMP_GT] = ACTIONS(1220),
    [anon_sym_AMP_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_AMP] = ACTIONS(1220),
    [anon_sym_GT_AMP] = ACTIONS(1220),
    [anon_sym_GT_PIPE] = ACTIONS(1222),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1222),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1222),
    [anon_sym_LT_LT_DASH] = ACTIONS(1222),
    [anon_sym_LT_LT_LT] = ACTIONS(1222),
    [anon_sym_QMARK] = ACTIONS(1220),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1222),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1222),
    [aux_sym_concatenation_token1] = ACTIONS(355),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [sym__special_character] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_raw_string] = ACTIONS(1222),
    [sym_ansi_c_string] = ACTIONS(1222),
    [aux_sym_number_token1] = ACTIONS(1220),
    [aux_sym_number_token2] = ACTIONS(1220),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1222),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1222),
    [anon_sym_LT_LPAREN] = ACTIONS(1222),
    [anon_sym_GT_LPAREN] = ACTIONS(1222),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1222),
    [sym__concat] = ACTIONS(355),
    [sym_test_operator] = ACTIONS(1222),
    [sym__bare_dollar] = ACTIONS(1222),
    [sym__brace_start] = ACTIONS(1222),
  },
  [397] = {
    [sym_word] = ACTIONS(1220),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1220),
    [anon_sym_SEMI] = ACTIONS(1220),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_EQ] = ACTIONS(1220),
    [anon_sym_DASH_EQ] = ACTIONS(1220),
    [anon_sym_STAR_EQ] = ACTIONS(1220),
    [anon_sym_SLASH_EQ] = ACTIONS(1220),
    [anon_sym_PERCENT_EQ] = ACTIONS(1220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1220),
    [anon_sym_LT_LT_EQ] = ACTIONS(1220),
    [anon_sym_GT_GT_EQ] = ACTIONS(1220),
    [anon_sym_AMP_EQ] = ACTIONS(1220),
    [anon_sym_CARET_EQ] = ACTIONS(1220),
    [anon_sym_PIPE_EQ] = ACTIONS(1220),
    [anon_sym_PIPE_PIPE] = ACTIONS(1220),
    [anon_sym_AMP_AMP] = ACTIONS(1220),
    [anon_sym_PIPE] = ACTIONS(1220),
    [anon_sym_CARET] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_EQ_EQ] = ACTIONS(1220),
    [anon_sym_BANG_EQ] = ACTIONS(1220),
    [anon_sym_LT] = ACTIONS(1220),
    [anon_sym_GT] = ACTIONS(1220),
    [anon_sym_LT_EQ] = ACTIONS(1220),
    [anon_sym_GT_EQ] = ACTIONS(1220),
    [anon_sym_LT_LT] = ACTIONS(1220),
    [anon_sym_GT_GT] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1220),
    [anon_sym_SLASH] = ACTIONS(1220),
    [anon_sym_PERCENT] = ACTIONS(1220),
    [anon_sym_STAR_STAR] = ACTIONS(1220),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [anon_sym_RPAREN] = ACTIONS(1220),
    [anon_sym_SEMI_SEMI] = ACTIONS(1220),
    [anon_sym_PIPE_AMP] = ACTIONS(1220),
    [anon_sym_EQ_TILDE] = ACTIONS(1220),
    [anon_sym_AMP_GT] = ACTIONS(1220),
    [anon_sym_AMP_GT_GT] = ACTIONS(1220),
    [anon_sym_LT_AMP] = ACTIONS(1220),
    [anon_sym_GT_AMP] = ACTIONS(1220),
    [anon_sym_GT_PIPE] = ACTIONS(1220),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1220),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1220),
    [anon_sym_LT_LT_DASH] = ACTIONS(1220),
    [aux_sym_heredoc_redirect_token1] = ACTIONS(1222),
    [anon_sym_LT_LT_LT] = ACTIONS(1220),
    [anon_sym_QMARK] = ACTIONS(1220),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1220),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [sym__special_character] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1220),
    [sym_raw_string] = ACTIONS(1220),
    [sym_ansi_c_string] = ACTIONS(1220),
    [aux_sym_number_token1] = ACTIONS(1220),
    [aux_sym_number_token2] = ACTIONS(1220),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1220),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1220),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1220),
    [anon_sym_LT_LPAREN] = ACTIONS(1220),
    [anon_sym_GT_LPAREN] = ACTIONS(1220),
    [sym_comment] = ACTIONS(3),
    [sym_file_descriptor] = ACTIONS(1222),
    [sym_test_operator] = ACTIONS(1222),
    [sym__bare_dollar] = ACTIONS(1222),
    [sym__brace_start] = ACTIONS(1222),
  },
  [398] = {
    [aux_sym_concatenation_repeat1] = STATE(393),
    [sym_word] = ACTIONS(1214),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1216),
    [anon_sym_EQ] = ACTIONS(1214),
    [anon_sym_PLUS_PLUS] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(1214),
    [anon_sym_PLUS_EQ] = ACTIONS(1214),
    [anon_sym_DASH_EQ] = ACTIONS(1214),
    [anon_sym_STAR_EQ] = ACTIONS(1214),
    [anon_sym_SLASH_EQ] = ACTIONS(1214),
    [anon_sym_PERCENT_EQ] = ACTIONS(1214),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1214),
    [anon_sym_LT_LT_EQ] = ACTIONS(1216),
    [anon_sym_GT_GT_EQ] = ACTIONS(1216),
    [anon_sym_AMP_EQ] = ACTIONS(1216),
    [anon_sym_CARET_EQ] = ACTIONS(1214),
    [anon_sym_PIPE_EQ] = ACTIONS(1216),
    [anon_sym_PIPE_PIPE] = ACTIONS(1216),
    [anon_sym_AMP_AMP] = ACTIONS(1216),
    [anon_sym_PIPE] = ACTIONS(1214),
    [anon_sym_CARET] = ACTIONS(1214),
    [anon_sym_AMP] = ACTIONS(1214),
    [anon_sym_EQ_EQ] = ACTIONS(1214),
    [anon_sym_BANG_EQ] = ACTIONS(1214),
    [anon_sym_LT] = ACTIONS(1214),
    [anon_sym_GT] = ACTIONS(1214),
    [anon_sym_LT_EQ] = ACTIONS(1216),
    [anon_sym_GT_EQ] = ACTIONS(1216),
    [anon_sym_LT_LT] = ACTIONS(1214),
    [anon_sym_GT_GT] = ACTIONS(1214),
    [anon_sym_PLUS] = ACTIONS(1214),
    [anon_sym_DASH] = ACTIONS(1214),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_SLASH] = ACTIONS(1214),
    [anon_sym_PERCENT] = ACTIONS(1214),
    [anon_sym_STAR_STAR] = ACTIONS(1214),
    [anon_sym_LPAREN] = ACTIONS(1214),
    [anon_sym_PIPE_AMP] = ACTIONS(1216),
    [anon_sym_RBRACK] = ACTIONS(1216),
    [anon_sym_EQ_TILDE] = ACTIONS(1214),
    [anon_sym_AMP_GT] = ACTIONS(1214),
    [anon_sym_AMP_GT_GT] = ACTIONS(1216),
    [anon_sym_LT_AMP] = ACTIONS(1214),
    [anon_sym_GT_AMP] = ACTIONS(1214),
    [anon_sym_GT_PIPE] = ACTIONS(1216),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1216),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1216),
    [anon_sym_LT_LT_DASH] = ACTIONS(1216),
    [anon_sym_LT_LT_LT] = ACTIONS(1216),
    [anon_sym_QMARK] = ACTIONS(1214),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1216),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1216),
    [aux_sym_concatenation_token1] = ACTIONS(355),
    [anon_sym_DOLLAR] = ACTIONS(1214),
    [sym__special_character] = ACTIONS(1214),
    [anon_sym_DQUOTE] = ACTIONS(1216),
    [sym_raw_string] = ACTIONS(1216),
    [sym_ansi_c_string] = ACTIONS(1216),
    [aux_sym_number_token1] = ACTIONS(1214),
    [aux_sym_number_token2] = ACTIONS(1214),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1216),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1214),
    [anon_sym_BQUOTE] = ACTIONS(1214),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1216),
    [anon_sym_LT_LPAREN] = ACTIONS(1216),
    [anon_sym_GT_LPAREN] = ACTIONS(1216),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1216),
    [sym__concat] = ACTIONS(1306),
    [sym_test_operator] = ACTIONS(1216),
    [sym__bare_dollar] = ACTIONS(1216),
    [sym__brace_start] = ACTIONS(1216),
  },
  [399] = {
    [aux_sym_concatenation_repeat1] = STATE(394),
    [sym_word] = ACTIONS(1183),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1193),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1308),
    [anon_sym_GT_GT_EQ] = ACTIONS(1308),
    [anon_sym_AMP_EQ] = ACTIONS(1308),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1308),
    [anon_sym_PIPE_PIPE] = ACTIONS(1195),
    [anon_sym_AMP_AMP] = ACTIONS(1195),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1308),
    [anon_sym_GT_EQ] = ACTIONS(1308),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1310),
    [anon_sym_PIPE_AMP] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(1308),
    [anon_sym_EQ_TILDE] = ACTIONS(1187),
    [anon_sym_AMP_GT] = ACTIONS(1183),
    [anon_sym_AMP_GT_GT] = ACTIONS(1193),
    [anon_sym_LT_AMP] = ACTIONS(1183),
    [anon_sym_GT_AMP] = ACTIONS(1183),
    [anon_sym_GT_PIPE] = ACTIONS(1193),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1193),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1193),
    [anon_sym_LT_LT_DASH] = ACTIONS(1193),
    [anon_sym_LT_LT_LT] = ACTIONS(1193),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1193),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1193),
    [aux_sym_concatenation_token1] = ACTIONS(355),
    [anon_sym_DOLLAR] = ACTIONS(1183),
    [sym__special_character] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_raw_string] = ACTIONS(1193),
    [sym_ansi_c_string] = ACTIONS(1193),
    [aux_sym_number_token1] = ACTIONS(1183),
    [aux_sym_number_token2] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1193),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(1183),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1193),
    [anon_sym_LT_LPAREN] = ACTIONS(1193),
    [anon_sym_GT_LPAREN] = ACTIONS(1193),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1193),
    [sym__concat] = ACTIONS(355),
    [sym_test_operator] = ACTIONS(1195),
    [sym__bare_dollar] = ACTIONS(1193),
    [sym__brace_start] = ACTIONS(1193),
  },
  [400] = {
    [aux_sym_concatenation_repeat1] = STATE(394),
    [sym_word] = ACTIONS(1183),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1193),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1308),
    [anon_sym_GT_GT_EQ] = ACTIONS(1308),
    [anon_sym_AMP_EQ] = ACTIONS(1308),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1308),
    [anon_sym_PIPE_PIPE] = ACTIONS(1195),
    [anon_sym_AMP_AMP] = ACTIONS(1195),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1308),
    [anon_sym_GT_EQ] = ACTIONS(1308),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_PIPE_AMP] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(1308),
    [anon_sym_EQ_TILDE] = ACTIONS(1187),
    [anon_sym_AMP_GT] = ACTIONS(1183),
    [anon_sym_AMP_GT_GT] = ACTIONS(1193),
    [anon_sym_LT_AMP] = ACTIONS(1183),
    [anon_sym_GT_AMP] = ACTIONS(1183),
    [anon_sym_GT_PIPE] = ACTIONS(1193),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1193),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1193),
    [anon_sym_LT_LT_DASH] = ACTIONS(1193),
    [anon_sym_LT_LT_LT] = ACTIONS(1193),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1193),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1193),
    [aux_sym_concatenation_token1] = ACTIONS(355),
    [anon_sym_DOLLAR] = ACTIONS(1183),
    [sym__special_character] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_raw_string] = ACTIONS(1193),
    [sym_ansi_c_string] = ACTIONS(1193),
    [aux_sym_number_token1] = ACTIONS(1183),
    [aux_sym_number_token2] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1193),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(1183),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1193),
    [anon_sym_LT_LPAREN] = ACTIONS(1193),
    [anon_sym_GT_LPAREN] = ACTIONS(1193),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1193),
    [sym__concat] = ACTIONS(355),
    [sym_test_operator] = ACTIONS(1195),
    [sym__bare_dollar] = ACTIONS(1193),
    [sym__brace_start] = ACTIONS(1193),
  },
  [401] = {
    [sym_word] = ACTIONS(1260),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1262),
    [anon_sym_EQ] = ACTIONS(1260),
    [anon_sym_PLUS_PLUS] = ACTIONS(1260),
    [anon_sym_DASH_DASH] = ACTIONS(1260),
    [anon_sym_PLUS_EQ] = ACTIONS(1260),
    [anon_sym_DASH_EQ] = ACTIONS(1260),
    [anon_sym_STAR_EQ] = ACTIONS(1260),
    [anon_sym_SLASH_EQ] = ACTIONS(1260),
    [anon_sym_PERCENT_EQ] = ACTIONS(1260),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1260),
    [anon_sym_LT_LT_EQ] = ACTIONS(1262),
    [anon_sym_GT_GT_EQ] = ACTIONS(1262),
    [anon_sym_AMP_EQ] = ACTIONS(1262),
    [anon_sym_CARET_EQ] = ACTIONS(1260),
    [anon_sym_PIPE_EQ] = ACTIONS(1262),
    [anon_sym_PIPE_PIPE] = ACTIONS(1262),
    [anon_sym_AMP_AMP] = ACTIONS(1262),
    [anon_sym_PIPE] = ACTIONS(1260),
    [anon_sym_CARET] = ACTIONS(1260),
    [anon_sym_AMP] = ACTIONS(1260),
    [anon_sym_EQ_EQ] = ACTIONS(1260),
    [anon_sym_BANG_EQ] = ACTIONS(1260),
    [anon_sym_LT] = ACTIONS(1260),
    [anon_sym_GT] = ACTIONS(1260),
    [anon_sym_LT_EQ] = ACTIONS(1262),
    [anon_sym_GT_EQ] = ACTIONS(1262),
    [anon_sym_LT_LT] = ACTIONS(1260),
    [anon_sym_GT_GT] = ACTIONS(1260),
    [anon_sym_PLUS] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1260),
    [anon_sym_STAR] = ACTIONS(1260),
    [anon_sym_SLASH] = ACTIONS(1260),
    [anon_sym_PERCENT] = ACTIONS(1260),
    [anon_sym_STAR_STAR] = ACTIONS(1260),
    [anon_sym_LPAREN] = ACTIONS(1260),
    [anon_sym_PIPE_AMP] = ACTIONS(1262),
    [anon_sym_RBRACK] = ACTIONS(1262),
    [anon_sym_EQ_TILDE] = ACTIONS(1260),
    [anon_sym_AMP_GT] = ACTIONS(1260),
    [anon_sym_AMP_GT_GT] = ACTIONS(1262),
    [anon_sym_LT_AMP] = ACTIONS(1260),
    [anon_sym_GT_AMP] = ACTIONS(1260),
    [anon_sym_GT_PIPE] = ACTIONS(1262),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1262),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1262),
    [anon_sym_LT_LT_DASH] = ACTIONS(1262),
    [anon_sym_LT_LT_LT] = ACTIONS(1262),
    [anon_sym_QMARK] = ACTIONS(1260),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1262),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1262),
    [aux_sym_concatenation_token1] = ACTIONS(1262),
    [anon_sym_DOLLAR] = ACTIONS(1260),
    [sym__special_character] = ACTIONS(1260),
    [anon_sym_DQUOTE] = ACTIONS(1262),
    [sym_raw_string] = ACTIONS(1262),
    [sym_ansi_c_string] = ACTIONS(1262),
    [aux_sym_number_token1] = ACTIONS(1260),
    [aux_sym_number_token2] = ACTIONS(1260),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1262),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1260),
    [anon_sym_BQUOTE] = ACTIONS(1260),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1262),
    [anon_sym_LT_LPAREN] = ACTIONS(1262),
    [anon_sym_GT_LPAREN] = ACTIONS(1262),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1262),
    [sym__concat] = ACTIONS(1262),
    [sym_test_operator] = ACTIONS(1262),
    [sym__bare_dollar] = ACTIONS(1262),
    [sym__brace_start] = ACTIONS(1262),
  },
  [402] = {
    [sym_word] = ACTIONS(1240),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1242),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_EQ] = ACTIONS(1240),
    [anon_sym_DASH_EQ] = ACTIONS(1240),
    [anon_sym_STAR_EQ] = ACTIONS(1240),
    [anon_sym_SLASH_EQ] = ACTIONS(1240),
    [anon_sym_PERCENT_EQ] = ACTIONS(1240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1240),
    [anon_sym_LT_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT_GT_EQ] = ACTIONS(1242),
    [anon_sym_AMP_EQ] = ACTIONS(1242),
    [anon_sym_CARET_EQ] = ACTIONS(1240),
    [anon_sym_PIPE_EQ] = ACTIONS(1242),
    [anon_sym_PIPE_PIPE] = ACTIONS(1242),
    [anon_sym_AMP_AMP] = ACTIONS(1242),
    [anon_sym_PIPE] = ACTIONS(1240),
    [anon_sym_CARET] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_EQ_EQ] = ACTIONS(1240),
    [anon_sym_BANG_EQ] = ACTIONS(1240),
    [anon_sym_LT] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(1240),
    [anon_sym_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT_EQ] = ACTIONS(1242),
    [anon_sym_LT_LT] = ACTIONS(1240),
    [anon_sym_GT_GT] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_SLASH] = ACTIONS(1240),
    [anon_sym_PERCENT] = ACTIONS(1240),
    [anon_sym_STAR_STAR] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_PIPE_AMP] = ACTIONS(1242),
    [anon_sym_RBRACK] = ACTIONS(1242),
    [anon_sym_EQ_TILDE] = ACTIONS(1240),
    [anon_sym_AMP_GT] = ACTIONS(1240),
    [anon_sym_AMP_GT_GT] = ACTIONS(1242),
    [anon_sym_LT_AMP] = ACTIONS(1240),
    [anon_sym_GT_AMP] = ACTIONS(1240),
    [anon_sym_GT_PIPE] = ACTIONS(1242),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1242),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1242),
    [anon_sym_LT_LT_DASH] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1242),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1242),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1242),
    [aux_sym_concatenation_token1] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [sym__special_character] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_raw_string] = ACTIONS(1242),
    [sym_ansi_c_string] = ACTIONS(1242),
    [aux_sym_number_token1] = ACTIONS(1240),
    [aux_sym_number_token2] = ACTIONS(1240),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1242),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1242),
    [anon_sym_LT_LPAREN] = ACTIONS(1242),
    [anon_sym_GT_LPAREN] = ACTIONS(1242),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1242),
    [sym__concat] = ACTIONS(1242),
    [sym_test_operator] = ACTIONS(1242),
    [sym__bare_dollar] = ACTIONS(1242),
    [sym__brace_start] = ACTIONS(1242),
  },
  [403] = {
    [sym_word] = ACTIONS(1240),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1242),
    [anon_sym_EQ] = ACTIONS(1240),
    [anon_sym_PLUS_PLUS] = ACTIONS(1240),
    [anon_sym_DASH_DASH] = ACTIONS(1240),
    [anon_sym_PLUS_EQ] = ACTIONS(1240),
    [anon_sym_DASH_EQ] = ACTIONS(1240),
    [anon_sym_STAR_EQ] = ACTIONS(1240),
    [anon_sym_SLASH_EQ] = ACTIONS(1240),
    [anon_sym_PERCENT_EQ] = ACTIONS(1240),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1240),
    [anon_sym_LT_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT_GT_EQ] = ACTIONS(1242),
    [anon_sym_AMP_EQ] = ACTIONS(1242),
    [anon_sym_CARET_EQ] = ACTIONS(1240),
    [anon_sym_PIPE_EQ] = ACTIONS(1242),
    [anon_sym_PIPE_PIPE] = ACTIONS(1242),
    [anon_sym_AMP_AMP] = ACTIONS(1242),
    [anon_sym_PIPE] = ACTIONS(1240),
    [anon_sym_CARET] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_EQ_EQ] = ACTIONS(1240),
    [anon_sym_BANG_EQ] = ACTIONS(1240),
    [anon_sym_LT] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(1240),
    [anon_sym_LT_EQ] = ACTIONS(1242),
    [anon_sym_GT_EQ] = ACTIONS(1242),
    [anon_sym_LT_LT] = ACTIONS(1240),
    [anon_sym_GT_GT] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_SLASH] = ACTIONS(1240),
    [anon_sym_PERCENT] = ACTIONS(1240),
    [anon_sym_STAR_STAR] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_PIPE_AMP] = ACTIONS(1242),
    [anon_sym_RBRACK] = ACTIONS(1242),
    [anon_sym_EQ_TILDE] = ACTIONS(1240),
    [anon_sym_AMP_GT] = ACTIONS(1240),
    [anon_sym_AMP_GT_GT] = ACTIONS(1242),
    [anon_sym_LT_AMP] = ACTIONS(1240),
    [anon_sym_GT_AMP] = ACTIONS(1240),
    [anon_sym_GT_PIPE] = ACTIONS(1242),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1242),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1242),
    [anon_sym_LT_LT_DASH] = ACTIONS(1242),
    [anon_sym_LT_LT_LT] = ACTIONS(1242),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1242),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1242),
    [aux_sym_concatenation_token1] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1240),
    [sym__special_character] = ACTIONS(1240),
    [anon_sym_DQUOTE] = ACTIONS(1242),
    [sym_raw_string] = ACTIONS(1242),
    [sym_ansi_c_string] = ACTIONS(1242),
    [aux_sym_number_token1] = ACTIONS(1240),
    [aux_sym_number_token2] = ACTIONS(1240),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1242),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1240),
    [anon_sym_BQUOTE] = ACTIONS(1240),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1242),
    [anon_sym_LT_LPAREN] = ACTIONS(1242),
    [anon_sym_GT_LPAREN] = ACTIONS(1242),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1242),
    [sym__concat] = ACTIONS(1242),
    [sym_test_operator] = ACTIONS(1242),
    [sym__bare_dollar] = ACTIONS(1242),
    [sym__brace_start] = ACTIONS(1242),
  },
  [404] = {
    [sym_word] = ACTIONS(1198),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1200),
    [anon_sym_EQ] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_PLUS_EQ] = ACTIONS(1198),
    [anon_sym_DASH_EQ] = ACTIONS(1198),
    [anon_sym_STAR_EQ] = ACTIONS(1198),
    [anon_sym_SLASH_EQ] = ACTIONS(1198),
    [anon_sym_PERCENT_EQ] = ACTIONS(1198),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1198),
    [anon_sym_LT_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT_GT_EQ] = ACTIONS(1200),
    [anon_sym_AMP_EQ] = ACTIONS(1200),
    [anon_sym_CARET_EQ] = ACTIONS(1198),
    [anon_sym_PIPE_EQ] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_STAR_STAR] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_PIPE_AMP] = ACTIONS(1200),
    [anon_sym_RBRACK] = ACTIONS(1200),
    [anon_sym_EQ_TILDE] = ACTIONS(1198),
    [anon_sym_AMP_GT] = ACTIONS(1198),
    [anon_sym_AMP_GT_GT] = ACTIONS(1200),
    [anon_sym_LT_AMP] = ACTIONS(1198),
    [anon_sym_GT_AMP] = ACTIONS(1198),
    [anon_sym_GT_PIPE] = ACTIONS(1200),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1200),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1200),
    [anon_sym_LT_LT_DASH] = ACTIONS(1200),
    [anon_sym_LT_LT_LT] = ACTIONS(1200),
    [anon_sym_QMARK] = ACTIONS(1198),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1200),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1200),
    [aux_sym_concatenation_token1] = ACTIONS(1200),
    [anon_sym_DOLLAR] = ACTIONS(1198),
    [sym__special_character] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1200),
    [sym_raw_string] = ACTIONS(1200),
    [sym_ansi_c_string] = ACTIONS(1200),
    [aux_sym_number_token1] = ACTIONS(1198),
    [aux_sym_number_token2] = ACTIONS(1198),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1200),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1198),
    [anon_sym_BQUOTE] = ACTIONS(1198),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1200),
    [anon_sym_LT_LPAREN] = ACTIONS(1200),
    [anon_sym_GT_LPAREN] = ACTIONS(1200),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1200),
    [sym__concat] = ACTIONS(1200),
    [sym_test_operator] = ACTIONS(1200),
    [sym__bare_dollar] = ACTIONS(1200),
    [sym__brace_start] = ACTIONS(1200),
  },
  [405] = {
    [sym_word] = ACTIONS(1228),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1230),
    [anon_sym_EQ] = ACTIONS(1228),
    [anon_sym_PLUS_PLUS] = ACTIONS(1228),
    [anon_sym_DASH_DASH] = ACTIONS(1228),
    [anon_sym_PLUS_EQ] = ACTIONS(1228),
    [anon_sym_DASH_EQ] = ACTIONS(1228),
    [anon_sym_STAR_EQ] = ACTIONS(1228),
    [anon_sym_SLASH_EQ] = ACTIONS(1228),
    [anon_sym_PERCENT_EQ] = ACTIONS(1228),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1228),
    [anon_sym_LT_LT_EQ] = ACTIONS(1230),
    [anon_sym_GT_GT_EQ] = ACTIONS(1230),
    [anon_sym_AMP_EQ] = ACTIONS(1230),
    [anon_sym_CARET_EQ] = ACTIONS(1228),
    [anon_sym_PIPE_EQ] = ACTIONS(1230),
    [anon_sym_PIPE_PIPE] = ACTIONS(1230),
    [anon_sym_AMP_AMP] = ACTIONS(1230),
    [anon_sym_PIPE] = ACTIONS(1228),
    [anon_sym_CARET] = ACTIONS(1228),
    [anon_sym_AMP] = ACTIONS(1228),
    [anon_sym_EQ_EQ] = ACTIONS(1228),
    [anon_sym_BANG_EQ] = ACTIONS(1228),
    [anon_sym_LT] = ACTIONS(1228),
    [anon_sym_GT] = ACTIONS(1228),
    [anon_sym_LT_EQ] = ACTIONS(1230),
    [anon_sym_GT_EQ] = ACTIONS(1230),
    [anon_sym_LT_LT] = ACTIONS(1228),
    [anon_sym_GT_GT] = ACTIONS(1228),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_STAR] = ACTIONS(1228),
    [anon_sym_SLASH] = ACTIONS(1228),
    [anon_sym_PERCENT] = ACTIONS(1228),
    [anon_sym_STAR_STAR] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1228),
    [anon_sym_PIPE_AMP] = ACTIONS(1230),
    [anon_sym_RBRACK] = ACTIONS(1230),
    [anon_sym_EQ_TILDE] = ACTIONS(1228),
    [anon_sym_AMP_GT] = ACTIONS(1228),
    [anon_sym_AMP_GT_GT] = ACTIONS(1230),
    [anon_sym_LT_AMP] = ACTIONS(1228),
    [anon_sym_GT_AMP] = ACTIONS(1228),
    [anon_sym_GT_PIPE] = ACTIONS(1230),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1230),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1230),
    [anon_sym_LT_LT_DASH] = ACTIONS(1230),
    [anon_sym_LT_LT_LT] = ACTIONS(1230),
    [anon_sym_QMARK] = ACTIONS(1228),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1230),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1230),
    [aux_sym_concatenation_token1] = ACTIONS(1230),
    [anon_sym_DOLLAR] = ACTIONS(1228),
    [sym__special_character] = ACTIONS(1228),
    [anon_sym_DQUOTE] = ACTIONS(1230),
    [sym_raw_string] = ACTIONS(1230),
    [sym_ansi_c_string] = ACTIONS(1230),
    [aux_sym_number_token1] = ACTIONS(1228),
    [aux_sym_number_token2] = ACTIONS(1228),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1230),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1228),
    [anon_sym_BQUOTE] = ACTIONS(1228),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1230),
    [anon_sym_LT_LPAREN] = ACTIONS(1230),
    [anon_sym_GT_LPAREN] = ACTIONS(1230),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1230),
    [sym__concat] = ACTIONS(1230),
    [sym_test_operator] = ACTIONS(1230),
    [sym__bare_dollar] = ACTIONS(1230),
    [sym__brace_start] = ACTIONS(1230),
  },
  [406] = {
    [sym_word] = ACTIONS(1224),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1226),
    [anon_sym_EQ] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_PLUS_EQ] = ACTIONS(1224),
    [anon_sym_DASH_EQ] = ACTIONS(1224),
    [anon_sym_STAR_EQ] = ACTIONS(1224),
    [anon_sym_SLASH_EQ] = ACTIONS(1224),
    [anon_sym_PERCENT_EQ] = ACTIONS(1224),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1224),
    [anon_sym_LT_LT_EQ] = ACTIONS(1226),
    [anon_sym_GT_GT_EQ] = ACTIONS(1226),
    [anon_sym_AMP_EQ] = ACTIONS(1226),
    [anon_sym_CARET_EQ] = ACTIONS(1224),
    [anon_sym_PIPE_EQ] = ACTIONS(1226),
    [anon_sym_PIPE_PIPE] = ACTIONS(1226),
    [anon_sym_AMP_AMP] = ACTIONS(1226),
    [anon_sym_PIPE] = ACTIONS(1224),
    [anon_sym_CARET] = ACTIONS(1224),
    [anon_sym_AMP] = ACTIONS(1224),
    [anon_sym_EQ_EQ] = ACTIONS(1224),
    [anon_sym_BANG_EQ] = ACTIONS(1224),
    [anon_sym_LT] = ACTIONS(1224),
    [anon_sym_GT] = ACTIONS(1224),
    [anon_sym_LT_EQ] = ACTIONS(1226),
    [anon_sym_GT_EQ] = ACTIONS(1226),
    [anon_sym_LT_LT] = ACTIONS(1224),
    [anon_sym_GT_GT] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1224),
    [anon_sym_DASH] = ACTIONS(1224),
    [anon_sym_STAR] = ACTIONS(1224),
    [anon_sym_SLASH] = ACTIONS(1224),
    [anon_sym_PERCENT] = ACTIONS(1224),
    [anon_sym_STAR_STAR] = ACTIONS(1224),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_PIPE_AMP] = ACTIONS(1226),
    [anon_sym_RBRACK] = ACTIONS(1226),
    [anon_sym_EQ_TILDE] = ACTIONS(1224),
    [anon_sym_AMP_GT] = ACTIONS(1224),
    [anon_sym_AMP_GT_GT] = ACTIONS(1226),
    [anon_sym_LT_AMP] = ACTIONS(1224),
    [anon_sym_GT_AMP] = ACTIONS(1224),
    [anon_sym_GT_PIPE] = ACTIONS(1226),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1226),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1226),
    [anon_sym_LT_LT_DASH] = ACTIONS(1226),
    [anon_sym_LT_LT_LT] = ACTIONS(1226),
    [anon_sym_QMARK] = ACTIONS(1224),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1226),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1226),
    [aux_sym_concatenation_token1] = ACTIONS(1226),
    [anon_sym_DOLLAR] = ACTIONS(1224),
    [sym__special_character] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [sym_raw_string] = ACTIONS(1226),
    [sym_ansi_c_string] = ACTIONS(1226),
    [aux_sym_number_token1] = ACTIONS(1224),
    [aux_sym_number_token2] = ACTIONS(1224),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1226),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1224),
    [anon_sym_BQUOTE] = ACTIONS(1224),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1226),
    [anon_sym_LT_LPAREN] = ACTIONS(1226),
    [anon_sym_GT_LPAREN] = ACTIONS(1226),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1226),
    [sym__concat] = ACTIONS(1226),
    [sym_test_operator] = ACTIONS(1226),
    [sym__bare_dollar] = ACTIONS(1226),
    [sym__brace_start] = ACTIONS(1226),
  },
  [407] = {
    [sym_word] = ACTIONS(1280),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1282),
    [anon_sym_EQ] = ACTIONS(1280),
    [anon_sym_PLUS_PLUS] = ACTIONS(1280),
    [anon_sym_DASH_DASH] = ACTIONS(1280),
    [anon_sym_PLUS_EQ] = ACTIONS(1280),
    [anon_sym_DASH_EQ] = ACTIONS(1280),
    [anon_sym_STAR_EQ] = ACTIONS(1280),
    [anon_sym_SLASH_EQ] = ACTIONS(1280),
    [anon_sym_PERCENT_EQ] = ACTIONS(1280),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1280),
    [anon_sym_LT_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT_GT_EQ] = ACTIONS(1282),
    [anon_sym_AMP_EQ] = ACTIONS(1282),
    [anon_sym_CARET_EQ] = ACTIONS(1280),
    [anon_sym_PIPE_EQ] = ACTIONS(1282),
    [anon_sym_PIPE_PIPE] = ACTIONS(1282),
    [anon_sym_AMP_AMP] = ACTIONS(1282),
    [anon_sym_PIPE] = ACTIONS(1280),
    [anon_sym_CARET] = ACTIONS(1280),
    [anon_sym_AMP] = ACTIONS(1280),
    [anon_sym_EQ_EQ] = ACTIONS(1280),
    [anon_sym_BANG_EQ] = ACTIONS(1280),
    [anon_sym_LT] = ACTIONS(1280),
    [anon_sym_GT] = ACTIONS(1280),
    [anon_sym_LT_EQ] = ACTIONS(1282),
    [anon_sym_GT_EQ] = ACTIONS(1282),
    [anon_sym_LT_LT] = ACTIONS(1280),
    [anon_sym_GT_GT] = ACTIONS(1280),
    [anon_sym_PLUS] = ACTIONS(1280),
    [anon_sym_DASH] = ACTIONS(1280),
    [anon_sym_STAR] = ACTIONS(1280),
    [anon_sym_SLASH] = ACTIONS(1280),
    [anon_sym_PERCENT] = ACTIONS(1280),
    [anon_sym_STAR_STAR] = ACTIONS(1280),
    [anon_sym_LPAREN] = ACTIONS(1280),
    [anon_sym_PIPE_AMP] = ACTIONS(1282),
    [anon_sym_RBRACK] = ACTIONS(1282),
    [anon_sym_EQ_TILDE] = ACTIONS(1280),
    [anon_sym_AMP_GT] = ACTIONS(1280),
    [anon_sym_AMP_GT_GT] = ACTIONS(1282),
    [anon_sym_LT_AMP] = ACTIONS(1280),
    [anon_sym_GT_AMP] = ACTIONS(1280),
    [anon_sym_GT_PIPE] = ACTIONS(1282),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1282),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1282),
    [anon_sym_LT_LT_DASH] = ACTIONS(1282),
    [anon_sym_LT_LT_LT] = ACTIONS(1282),
    [anon_sym_QMARK] = ACTIONS(1280),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1282),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1282),
    [aux_sym_concatenation_token1] = ACTIONS(1282),
    [anon_sym_DOLLAR] = ACTIONS(1280),
    [sym__special_character] = ACTIONS(1280),
    [anon_sym_DQUOTE] = ACTIONS(1282),
    [sym_raw_string] = ACTIONS(1282),
    [sym_ansi_c_string] = ACTIONS(1282),
    [aux_sym_number_token1] = ACTIONS(1280),
    [aux_sym_number_token2] = ACTIONS(1280),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1282),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1280),
    [anon_sym_BQUOTE] = ACTIONS(1280),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1282),
    [anon_sym_LT_LPAREN] = ACTIONS(1282),
    [anon_sym_GT_LPAREN] = ACTIONS(1282),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1282),
    [sym__concat] = ACTIONS(1282),
    [sym_test_operator] = ACTIONS(1282),
    [sym__bare_dollar] = ACTIONS(1282),
    [sym__brace_start] = ACTIONS(1282),
  },
  [408] = {
    [sym_word] = ACTIONS(1284),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1286),
    [anon_sym_EQ] = ACTIONS(1284),
    [anon_sym_PLUS_PLUS] = ACTIONS(1284),
    [anon_sym_DASH_DASH] = ACTIONS(1284),
    [anon_sym_PLUS_EQ] = ACTIONS(1284),
    [anon_sym_DASH_EQ] = ACTIONS(1284),
    [anon_sym_STAR_EQ] = ACTIONS(1284),
    [anon_sym_SLASH_EQ] = ACTIONS(1284),
    [anon_sym_PERCENT_EQ] = ACTIONS(1284),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1284),
    [anon_sym_LT_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT_GT_EQ] = ACTIONS(1286),
    [anon_sym_AMP_EQ] = ACTIONS(1286),
    [anon_sym_CARET_EQ] = ACTIONS(1284),
    [anon_sym_PIPE_EQ] = ACTIONS(1286),
    [anon_sym_PIPE_PIPE] = ACTIONS(1286),
    [anon_sym_AMP_AMP] = ACTIONS(1286),
    [anon_sym_PIPE] = ACTIONS(1284),
    [anon_sym_CARET] = ACTIONS(1284),
    [anon_sym_AMP] = ACTIONS(1284),
    [anon_sym_EQ_EQ] = ACTIONS(1284),
    [anon_sym_BANG_EQ] = ACTIONS(1284),
    [anon_sym_LT] = ACTIONS(1284),
    [anon_sym_GT] = ACTIONS(1284),
    [anon_sym_LT_EQ] = ACTIONS(1286),
    [anon_sym_GT_EQ] = ACTIONS(1286),
    [anon_sym_LT_LT] = ACTIONS(1284),
    [anon_sym_GT_GT] = ACTIONS(1284),
    [anon_sym_PLUS] = ACTIONS(1284),
    [anon_sym_DASH] = ACTIONS(1284),
    [anon_sym_STAR] = ACTIONS(1284),
    [anon_sym_SLASH] = ACTIONS(1284),
    [anon_sym_PERCENT] = ACTIONS(1284),
    [anon_sym_STAR_STAR] = ACTIONS(1284),
    [anon_sym_LPAREN] = ACTIONS(1284),
    [anon_sym_PIPE_AMP] = ACTIONS(1286),
    [anon_sym_RBRACK] = ACTIONS(1286),
    [anon_sym_EQ_TILDE] = ACTIONS(1284),
    [anon_sym_AMP_GT] = ACTIONS(1284),
    [anon_sym_AMP_GT_GT] = ACTIONS(1286),
    [anon_sym_LT_AMP] = ACTIONS(1284),
    [anon_sym_GT_AMP] = ACTIONS(1284),
    [anon_sym_GT_PIPE] = ACTIONS(1286),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1286),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1286),
    [anon_sym_LT_LT_DASH] = ACTIONS(1286),
    [anon_sym_LT_LT_LT] = ACTIONS(1286),
    [anon_sym_QMARK] = ACTIONS(1284),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1286),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1286),
    [aux_sym_concatenation_token1] = ACTIONS(1286),
    [anon_sym_DOLLAR] = ACTIONS(1284),
    [sym__special_character] = ACTIONS(1284),
    [anon_sym_DQUOTE] = ACTIONS(1286),
    [sym_raw_string] = ACTIONS(1286),
    [sym_ansi_c_string] = ACTIONS(1286),
    [aux_sym_number_token1] = ACTIONS(1284),
    [aux_sym_number_token2] = ACTIONS(1284),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1286),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1284),
    [anon_sym_BQUOTE] = ACTIONS(1284),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1286),
    [anon_sym_LT_LPAREN] = ACTIONS(1286),
    [anon_sym_GT_LPAREN] = ACTIONS(1286),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1286),
    [sym__concat] = ACTIONS(1286),
    [sym_test_operator] = ACTIONS(1286),
    [sym__bare_dollar] = ACTIONS(1286),
    [sym__brace_start] = ACTIONS(1286),
  },
  [409] = {
    [sym_word] = ACTIONS(1272),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1274),
    [anon_sym_EQ] = ACTIONS(1272),
    [anon_sym_PLUS_PLUS] = ACTIONS(1272),
    [anon_sym_DASH_DASH] = ACTIONS(1272),
    [anon_sym_PLUS_EQ] = ACTIONS(1272),
    [anon_sym_DASH_EQ] = ACTIONS(1272),
    [anon_sym_STAR_EQ] = ACTIONS(1272),
    [anon_sym_SLASH_EQ] = ACTIONS(1272),
    [anon_sym_PERCENT_EQ] = ACTIONS(1272),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1272),
    [anon_sym_LT_LT_EQ] = ACTIONS(1274),
    [anon_sym_GT_GT_EQ] = ACTIONS(1274),
    [anon_sym_AMP_EQ] = ACTIONS(1274),
    [anon_sym_CARET_EQ] = ACTIONS(1272),
    [anon_sym_PIPE_EQ] = ACTIONS(1274),
    [anon_sym_PIPE_PIPE] = ACTIONS(1274),
    [anon_sym_AMP_AMP] = ACTIONS(1274),
    [anon_sym_PIPE] = ACTIONS(1272),
    [anon_sym_CARET] = ACTIONS(1272),
    [anon_sym_AMP] = ACTIONS(1272),
    [anon_sym_EQ_EQ] = ACTIONS(1272),
    [anon_sym_BANG_EQ] = ACTIONS(1272),
    [anon_sym_LT] = ACTIONS(1272),
    [anon_sym_GT] = ACTIONS(1272),
    [anon_sym_LT_EQ] = ACTIONS(1274),
    [anon_sym_GT_EQ] = ACTIONS(1274),
    [anon_sym_LT_LT] = ACTIONS(1272),
    [anon_sym_GT_GT] = ACTIONS(1272),
    [anon_sym_PLUS] = ACTIONS(1272),
    [anon_sym_DASH] = ACTIONS(1272),
    [anon_sym_STAR] = ACTIONS(1272),
    [anon_sym_SLASH] = ACTIONS(1272),
    [anon_sym_PERCENT] = ACTIONS(1272),
    [anon_sym_STAR_STAR] = ACTIONS(1272),
    [anon_sym_LPAREN] = ACTIONS(1272),
    [anon_sym_PIPE_AMP] = ACTIONS(1274),
    [anon_sym_RBRACK] = ACTIONS(1274),
    [anon_sym_EQ_TILDE] = ACTIONS(1272),
    [anon_sym_AMP_GT] = ACTIONS(1272),
    [anon_sym_AMP_GT_GT] = ACTIONS(1274),
    [anon_sym_LT_AMP] = ACTIONS(1272),
    [anon_sym_GT_AMP] = ACTIONS(1272),
    [anon_sym_GT_PIPE] = ACTIONS(1274),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1274),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1274),
    [anon_sym_LT_LT_DASH] = ACTIONS(1274),
    [anon_sym_LT_LT_LT] = ACTIONS(1274),
    [anon_sym_QMARK] = ACTIONS(1272),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1274),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1274),
    [aux_sym_concatenation_token1] = ACTIONS(1274),
    [anon_sym_DOLLAR] = ACTIONS(1272),
    [sym__special_character] = ACTIONS(1272),
    [anon_sym_DQUOTE] = ACTIONS(1274),
    [sym_raw_string] = ACTIONS(1274),
    [sym_ansi_c_string] = ACTIONS(1274),
    [aux_sym_number_token1] = ACTIONS(1272),
    [aux_sym_number_token2] = ACTIONS(1272),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1274),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1272),
    [anon_sym_BQUOTE] = ACTIONS(1272),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1274),
    [anon_sym_LT_LPAREN] = ACTIONS(1274),
    [anon_sym_GT_LPAREN] = ACTIONS(1274),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1274),
    [sym__concat] = ACTIONS(1274),
    [sym_test_operator] = ACTIONS(1274),
    [sym__bare_dollar] = ACTIONS(1274),
    [sym__brace_start] = ACTIONS(1274),
  },
  [410] = {
    [sym_word] = ACTIONS(1236),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1238),
    [anon_sym_EQ] = ACTIONS(1236),
    [anon_sym_PLUS_PLUS] = ACTIONS(1236),
    [anon_sym_DASH_DASH] = ACTIONS(1236),
    [anon_sym_PLUS_EQ] = ACTIONS(1236),
    [anon_sym_DASH_EQ] = ACTIONS(1236),
    [anon_sym_STAR_EQ] = ACTIONS(1236),
    [anon_sym_SLASH_EQ] = ACTIONS(1236),
    [anon_sym_PERCENT_EQ] = ACTIONS(1236),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1236),
    [anon_sym_LT_LT_EQ] = ACTIONS(1238),
    [anon_sym_GT_GT_EQ] = ACTIONS(1238),
    [anon_sym_AMP_EQ] = ACTIONS(1238),
    [anon_sym_CARET_EQ] = ACTIONS(1236),
    [anon_sym_PIPE_EQ] = ACTIONS(1238),
    [anon_sym_PIPE_PIPE] = ACTIONS(1238),
    [anon_sym_AMP_AMP] = ACTIONS(1238),
    [anon_sym_PIPE] = ACTIONS(1236),
    [anon_sym_CARET] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1236),
    [anon_sym_EQ_EQ] = ACTIONS(1236),
    [anon_sym_BANG_EQ] = ACTIONS(1236),
    [anon_sym_LT] = ACTIONS(1236),
    [anon_sym_GT] = ACTIONS(1236),
    [anon_sym_LT_EQ] = ACTIONS(1238),
    [anon_sym_GT_EQ] = ACTIONS(1238),
    [anon_sym_LT_LT] = ACTIONS(1236),
    [anon_sym_GT_GT] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_SLASH] = ACTIONS(1236),
    [anon_sym_PERCENT] = ACTIONS(1236),
    [anon_sym_STAR_STAR] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_PIPE_AMP] = ACTIONS(1238),
    [anon_sym_RBRACK] = ACTIONS(1238),
    [anon_sym_EQ_TILDE] = ACTIONS(1236),
    [anon_sym_AMP_GT] = ACTIONS(1236),
    [anon_sym_AMP_GT_GT] = ACTIONS(1238),
    [anon_sym_LT_AMP] = ACTIONS(1236),
    [anon_sym_GT_AMP] = ACTIONS(1236),
    [anon_sym_GT_PIPE] = ACTIONS(1238),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1238),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1238),
    [anon_sym_LT_LT_DASH] = ACTIONS(1238),
    [anon_sym_LT_LT_LT] = ACTIONS(1238),
    [anon_sym_QMARK] = ACTIONS(1236),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1238),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1238),
    [aux_sym_concatenation_token1] = ACTIONS(1238),
    [anon_sym_DOLLAR] = ACTIONS(1236),
    [sym__special_character] = ACTIONS(1236),
    [anon_sym_DQUOTE] = ACTIONS(1238),
    [sym_raw_string] = ACTIONS(1238),
    [sym_ansi_c_string] = ACTIONS(1238),
    [aux_sym_number_token1] = ACTIONS(1236),
    [aux_sym_number_token2] = ACTIONS(1236),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1238),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1236),
    [anon_sym_BQUOTE] = ACTIONS(1236),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1238),
    [anon_sym_LT_LPAREN] = ACTIONS(1238),
    [anon_sym_GT_LPAREN] = ACTIONS(1238),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1238),
    [sym__concat] = ACTIONS(1238),
    [sym_test_operator] = ACTIONS(1238),
    [sym__bare_dollar] = ACTIONS(1238),
    [sym__brace_start] = ACTIONS(1238),
  },
  [411] = {
    [sym_word] = ACTIONS(1232),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1234),
    [anon_sym_EQ] = ACTIONS(1232),
    [anon_sym_PLUS_PLUS] = ACTIONS(1232),
    [anon_sym_DASH_DASH] = ACTIONS(1232),
    [anon_sym_PLUS_EQ] = ACTIONS(1232),
    [anon_sym_DASH_EQ] = ACTIONS(1232),
    [anon_sym_STAR_EQ] = ACTIONS(1232),
    [anon_sym_SLASH_EQ] = ACTIONS(1232),
    [anon_sym_PERCENT_EQ] = ACTIONS(1232),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1232),
    [anon_sym_LT_LT_EQ] = ACTIONS(1234),
    [anon_sym_GT_GT_EQ] = ACTIONS(1234),
    [anon_sym_AMP_EQ] = ACTIONS(1234),
    [anon_sym_CARET_EQ] = ACTIONS(1232),
    [anon_sym_PIPE_EQ] = ACTIONS(1234),
    [anon_sym_PIPE_PIPE] = ACTIONS(1234),
    [anon_sym_AMP_AMP] = ACTIONS(1234),
    [anon_sym_PIPE] = ACTIONS(1232),
    [anon_sym_CARET] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_EQ_EQ] = ACTIONS(1232),
    [anon_sym_BANG_EQ] = ACTIONS(1232),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(1232),
    [anon_sym_LT_EQ] = ACTIONS(1234),
    [anon_sym_GT_EQ] = ACTIONS(1234),
    [anon_sym_LT_LT] = ACTIONS(1232),
    [anon_sym_GT_GT] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_SLASH] = ACTIONS(1232),
    [anon_sym_PERCENT] = ACTIONS(1232),
    [anon_sym_STAR_STAR] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [anon_sym_PIPE_AMP] = ACTIONS(1234),
    [anon_sym_RBRACK] = ACTIONS(1234),
    [anon_sym_EQ_TILDE] = ACTIONS(1232),
    [anon_sym_AMP_GT] = ACTIONS(1232),
    [anon_sym_AMP_GT_GT] = ACTIONS(1234),
    [anon_sym_LT_AMP] = ACTIONS(1232),
    [anon_sym_GT_AMP] = ACTIONS(1232),
    [anon_sym_GT_PIPE] = ACTIONS(1234),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1234),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1234),
    [anon_sym_LT_LT_DASH] = ACTIONS(1234),
    [anon_sym_LT_LT_LT] = ACTIONS(1234),
    [anon_sym_QMARK] = ACTIONS(1232),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1234),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1234),
    [aux_sym_concatenation_token1] = ACTIONS(1234),
    [anon_sym_DOLLAR] = ACTIONS(1232),
    [sym__special_character] = ACTIONS(1232),
    [anon_sym_DQUOTE] = ACTIONS(1234),
    [sym_raw_string] = ACTIONS(1234),
    [sym_ansi_c_string] = ACTIONS(1234),
    [aux_sym_number_token1] = ACTIONS(1232),
    [aux_sym_number_token2] = ACTIONS(1232),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1234),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1232),
    [anon_sym_BQUOTE] = ACTIONS(1232),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1234),
    [anon_sym_LT_LPAREN] = ACTIONS(1234),
    [anon_sym_GT_LPAREN] = ACTIONS(1234),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1234),
    [sym__concat] = ACTIONS(1234),
    [sym_test_operator] = ACTIONS(1234),
    [sym__bare_dollar] = ACTIONS(1234),
    [sym__brace_start] = ACTIONS(1234),
  },
  [412] = {
    [sym_word] = ACTIONS(1256),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1258),
    [anon_sym_EQ] = ACTIONS(1256),
    [anon_sym_PLUS_PLUS] = ACTIONS(1256),
    [anon_sym_DASH_DASH] = ACTIONS(1256),
    [anon_sym_PLUS_EQ] = ACTIONS(1256),
    [anon_sym_DASH_EQ] = ACTIONS(1256),
    [anon_sym_STAR_EQ] = ACTIONS(1256),
    [anon_sym_SLASH_EQ] = ACTIONS(1256),
    [anon_sym_PERCENT_EQ] = ACTIONS(1256),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1256),
    [anon_sym_LT_LT_EQ] = ACTIONS(1258),
    [anon_sym_GT_GT_EQ] = ACTIONS(1258),
    [anon_sym_AMP_EQ] = ACTIONS(1258),
    [anon_sym_CARET_EQ] = ACTIONS(1256),
    [anon_sym_PIPE_EQ] = ACTIONS(1258),
    [anon_sym_PIPE_PIPE] = ACTIONS(1258),
    [anon_sym_AMP_AMP] = ACTIONS(1258),
    [anon_sym_PIPE] = ACTIONS(1256),
    [anon_sym_CARET] = ACTIONS(1256),
    [anon_sym_AMP] = ACTIONS(1256),
    [anon_sym_EQ_EQ] = ACTIONS(1256),
    [anon_sym_BANG_EQ] = ACTIONS(1256),
    [anon_sym_LT] = ACTIONS(1256),
    [anon_sym_GT] = ACTIONS(1256),
    [anon_sym_LT_EQ] = ACTIONS(1258),
    [anon_sym_GT_EQ] = ACTIONS(1258),
    [anon_sym_LT_LT] = ACTIONS(1256),
    [anon_sym_GT_GT] = ACTIONS(1256),
    [anon_sym_PLUS] = ACTIONS(1256),
    [anon_sym_DASH] = ACTIONS(1256),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_SLASH] = ACTIONS(1256),
    [anon_sym_PERCENT] = ACTIONS(1256),
    [anon_sym_STAR_STAR] = ACTIONS(1256),
    [anon_sym_LPAREN] = ACTIONS(1256),
    [anon_sym_PIPE_AMP] = ACTIONS(1258),
    [anon_sym_RBRACK] = ACTIONS(1258),
    [anon_sym_EQ_TILDE] = ACTIONS(1256),
    [anon_sym_AMP_GT] = ACTIONS(1256),
    [anon_sym_AMP_GT_GT] = ACTIONS(1258),
    [anon_sym_LT_AMP] = ACTIONS(1256),
    [anon_sym_GT_AMP] = ACTIONS(1256),
    [anon_sym_GT_PIPE] = ACTIONS(1258),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1258),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1258),
    [anon_sym_LT_LT_DASH] = ACTIONS(1258),
    [anon_sym_LT_LT_LT] = ACTIONS(1258),
    [anon_sym_QMARK] = ACTIONS(1256),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1258),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1258),
    [aux_sym_concatenation_token1] = ACTIONS(1258),
    [anon_sym_DOLLAR] = ACTIONS(1256),
    [sym__special_character] = ACTIONS(1256),
    [anon_sym_DQUOTE] = ACTIONS(1258),
    [sym_raw_string] = ACTIONS(1258),
    [sym_ansi_c_string] = ACTIONS(1258),
    [aux_sym_number_token1] = ACTIONS(1256),
    [aux_sym_number_token2] = ACTIONS(1256),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1258),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1256),
    [anon_sym_BQUOTE] = ACTIONS(1256),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1258),
    [anon_sym_LT_LPAREN] = ACTIONS(1258),
    [anon_sym_GT_LPAREN] = ACTIONS(1258),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1258),
    [sym__concat] = ACTIONS(1258),
    [sym_test_operator] = ACTIONS(1258),
    [sym__bare_dollar] = ACTIONS(1258),
    [sym__brace_start] = ACTIONS(1258),
  },
  [413] = {
    [sym_word] = ACTIONS(1264),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1266),
    [anon_sym_EQ] = ACTIONS(1264),
    [anon_sym_PLUS_PLUS] = ACTIONS(1264),
    [anon_sym_DASH_DASH] = ACTIONS(1264),
    [anon_sym_PLUS_EQ] = ACTIONS(1264),
    [anon_sym_DASH_EQ] = ACTIONS(1264),
    [anon_sym_STAR_EQ] = ACTIONS(1264),
    [anon_sym_SLASH_EQ] = ACTIONS(1264),
    [anon_sym_PERCENT_EQ] = ACTIONS(1264),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1264),
    [anon_sym_LT_LT_EQ] = ACTIONS(1266),
    [anon_sym_GT_GT_EQ] = ACTIONS(1266),
    [anon_sym_AMP_EQ] = ACTIONS(1266),
    [anon_sym_CARET_EQ] = ACTIONS(1264),
    [anon_sym_PIPE_EQ] = ACTIONS(1266),
    [anon_sym_PIPE_PIPE] = ACTIONS(1266),
    [anon_sym_AMP_AMP] = ACTIONS(1266),
    [anon_sym_PIPE] = ACTIONS(1264),
    [anon_sym_CARET] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1264),
    [anon_sym_EQ_EQ] = ACTIONS(1264),
    [anon_sym_BANG_EQ] = ACTIONS(1264),
    [anon_sym_LT] = ACTIONS(1264),
    [anon_sym_GT] = ACTIONS(1264),
    [anon_sym_LT_EQ] = ACTIONS(1266),
    [anon_sym_GT_EQ] = ACTIONS(1266),
    [anon_sym_LT_LT] = ACTIONS(1264),
    [anon_sym_GT_GT] = ACTIONS(1264),
    [anon_sym_PLUS] = ACTIONS(1264),
    [anon_sym_DASH] = ACTIONS(1264),
    [anon_sym_STAR] = ACTIONS(1264),
    [anon_sym_SLASH] = ACTIONS(1264),
    [anon_sym_PERCENT] = ACTIONS(1264),
    [anon_sym_STAR_STAR] = ACTIONS(1264),
    [anon_sym_LPAREN] = ACTIONS(1264),
    [anon_sym_PIPE_AMP] = ACTIONS(1266),
    [anon_sym_RBRACK] = ACTIONS(1266),
    [anon_sym_EQ_TILDE] = ACTIONS(1264),
    [anon_sym_AMP_GT] = ACTIONS(1264),
    [anon_sym_AMP_GT_GT] = ACTIONS(1266),
    [anon_sym_LT_AMP] = ACTIONS(1264),
    [anon_sym_GT_AMP] = ACTIONS(1264),
    [anon_sym_GT_PIPE] = ACTIONS(1266),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1266),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1266),
    [anon_sym_LT_LT_DASH] = ACTIONS(1266),
    [anon_sym_LT_LT_LT] = ACTIONS(1266),
    [anon_sym_QMARK] = ACTIONS(1264),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1266),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1266),
    [aux_sym_concatenation_token1] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1264),
    [sym__special_character] = ACTIONS(1264),
    [anon_sym_DQUOTE] = ACTIONS(1266),
    [sym_raw_string] = ACTIONS(1266),
    [sym_ansi_c_string] = ACTIONS(1266),
    [aux_sym_number_token1] = ACTIONS(1264),
    [aux_sym_number_token2] = ACTIONS(1264),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1266),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1264),
    [anon_sym_BQUOTE] = ACTIONS(1264),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1266),
    [anon_sym_LT_LPAREN] = ACTIONS(1266),
    [anon_sym_GT_LPAREN] = ACTIONS(1266),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1266),
    [sym__concat] = ACTIONS(1266),
    [sym_test_operator] = ACTIONS(1266),
    [sym__bare_dollar] = ACTIONS(1266),
    [sym__brace_start] = ACTIONS(1266),
  },
  [414] = {
    [sym_word] = ACTIONS(1248),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1250),
    [anon_sym_EQ] = ACTIONS(1248),
    [anon_sym_PLUS_PLUS] = ACTIONS(1248),
    [anon_sym_DASH_DASH] = ACTIONS(1248),
    [anon_sym_PLUS_EQ] = ACTIONS(1248),
    [anon_sym_DASH_EQ] = ACTIONS(1248),
    [anon_sym_STAR_EQ] = ACTIONS(1248),
    [anon_sym_SLASH_EQ] = ACTIONS(1248),
    [anon_sym_PERCENT_EQ] = ACTIONS(1248),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1248),
    [anon_sym_LT_LT_EQ] = ACTIONS(1250),
    [anon_sym_GT_GT_EQ] = ACTIONS(1250),
    [anon_sym_AMP_EQ] = ACTIONS(1250),
    [anon_sym_CARET_EQ] = ACTIONS(1248),
    [anon_sym_PIPE_EQ] = ACTIONS(1250),
    [anon_sym_PIPE_PIPE] = ACTIONS(1250),
    [anon_sym_AMP_AMP] = ACTIONS(1250),
    [anon_sym_PIPE] = ACTIONS(1248),
    [anon_sym_CARET] = ACTIONS(1248),
    [anon_sym_AMP] = ACTIONS(1248),
    [anon_sym_EQ_EQ] = ACTIONS(1248),
    [anon_sym_BANG_EQ] = ACTIONS(1248),
    [anon_sym_LT] = ACTIONS(1248),
    [anon_sym_GT] = ACTIONS(1248),
    [anon_sym_LT_EQ] = ACTIONS(1250),
    [anon_sym_GT_EQ] = ACTIONS(1250),
    [anon_sym_LT_LT] = ACTIONS(1248),
    [anon_sym_GT_GT] = ACTIONS(1248),
    [anon_sym_PLUS] = ACTIONS(1248),
    [anon_sym_DASH] = ACTIONS(1248),
    [anon_sym_STAR] = ACTIONS(1248),
    [anon_sym_SLASH] = ACTIONS(1248),
    [anon_sym_PERCENT] = ACTIONS(1248),
    [anon_sym_STAR_STAR] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1248),
    [anon_sym_PIPE_AMP] = ACTIONS(1250),
    [anon_sym_RBRACK] = ACTIONS(1250),
    [anon_sym_EQ_TILDE] = ACTIONS(1248),
    [anon_sym_AMP_GT] = ACTIONS(1248),
    [anon_sym_AMP_GT_GT] = ACTIONS(1250),
    [anon_sym_LT_AMP] = ACTIONS(1248),
    [anon_sym_GT_AMP] = ACTIONS(1248),
    [anon_sym_GT_PIPE] = ACTIONS(1250),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1250),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1250),
    [anon_sym_LT_LT_DASH] = ACTIONS(1250),
    [anon_sym_LT_LT_LT] = ACTIONS(1250),
    [anon_sym_QMARK] = ACTIONS(1248),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1250),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1250),
    [aux_sym_concatenation_token1] = ACTIONS(1250),
    [anon_sym_DOLLAR] = ACTIONS(1248),
    [sym__special_character] = ACTIONS(1248),
    [anon_sym_DQUOTE] = ACTIONS(1250),
    [sym_raw_string] = ACTIONS(1250),
    [sym_ansi_c_string] = ACTIONS(1250),
    [aux_sym_number_token1] = ACTIONS(1248),
    [aux_sym_number_token2] = ACTIONS(1248),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1250),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1248),
    [anon_sym_BQUOTE] = ACTIONS(1248),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1250),
    [anon_sym_LT_LPAREN] = ACTIONS(1250),
    [anon_sym_GT_LPAREN] = ACTIONS(1250),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1250),
    [sym__concat] = ACTIONS(1250),
    [sym_test_operator] = ACTIONS(1250),
    [sym__bare_dollar] = ACTIONS(1250),
    [sym__brace_start] = ACTIONS(1250),
  },
  [415] = {
    [sym_word] = ACTIONS(1252),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1254),
    [anon_sym_EQ] = ACTIONS(1252),
    [anon_sym_PLUS_PLUS] = ACTIONS(1252),
    [anon_sym_DASH_DASH] = ACTIONS(1252),
    [anon_sym_PLUS_EQ] = ACTIONS(1252),
    [anon_sym_DASH_EQ] = ACTIONS(1252),
    [anon_sym_STAR_EQ] = ACTIONS(1252),
    [anon_sym_SLASH_EQ] = ACTIONS(1252),
    [anon_sym_PERCENT_EQ] = ACTIONS(1252),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1252),
    [anon_sym_LT_LT_EQ] = ACTIONS(1254),
    [anon_sym_GT_GT_EQ] = ACTIONS(1254),
    [anon_sym_AMP_EQ] = ACTIONS(1254),
    [anon_sym_CARET_EQ] = ACTIONS(1252),
    [anon_sym_PIPE_EQ] = ACTIONS(1254),
    [anon_sym_PIPE_PIPE] = ACTIONS(1254),
    [anon_sym_AMP_AMP] = ACTIONS(1254),
    [anon_sym_PIPE] = ACTIONS(1252),
    [anon_sym_CARET] = ACTIONS(1252),
    [anon_sym_AMP] = ACTIONS(1252),
    [anon_sym_EQ_EQ] = ACTIONS(1252),
    [anon_sym_BANG_EQ] = ACTIONS(1252),
    [anon_sym_LT] = ACTIONS(1252),
    [anon_sym_GT] = ACTIONS(1252),
    [anon_sym_LT_EQ] = ACTIONS(1254),
    [anon_sym_GT_EQ] = ACTIONS(1254),
    [anon_sym_LT_LT] = ACTIONS(1252),
    [anon_sym_GT_GT] = ACTIONS(1252),
    [anon_sym_PLUS] = ACTIONS(1252),
    [anon_sym_DASH] = ACTIONS(1252),
    [anon_sym_STAR] = ACTIONS(1252),
    [anon_sym_SLASH] = ACTIONS(1252),
    [anon_sym_PERCENT] = ACTIONS(1252),
    [anon_sym_STAR_STAR] = ACTIONS(1252),
    [anon_sym_LPAREN] = ACTIONS(1252),
    [anon_sym_PIPE_AMP] = ACTIONS(1254),
    [anon_sym_RBRACK] = ACTIONS(1254),
    [anon_sym_EQ_TILDE] = ACTIONS(1252),
    [anon_sym_AMP_GT] = ACTIONS(1252),
    [anon_sym_AMP_GT_GT] = ACTIONS(1254),
    [anon_sym_LT_AMP] = ACTIONS(1252),
    [anon_sym_GT_AMP] = ACTIONS(1252),
    [anon_sym_GT_PIPE] = ACTIONS(1254),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1254),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1254),
    [anon_sym_LT_LT_DASH] = ACTIONS(1254),
    [anon_sym_LT_LT_LT] = ACTIONS(1254),
    [anon_sym_QMARK] = ACTIONS(1252),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1254),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1254),
    [aux_sym_concatenation_token1] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1252),
    [sym__special_character] = ACTIONS(1252),
    [anon_sym_DQUOTE] = ACTIONS(1254),
    [sym_raw_string] = ACTIONS(1254),
    [sym_ansi_c_string] = ACTIONS(1254),
    [aux_sym_number_token1] = ACTIONS(1252),
    [aux_sym_number_token2] = ACTIONS(1252),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1254),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1252),
    [anon_sym_BQUOTE] = ACTIONS(1252),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1254),
    [anon_sym_LT_LPAREN] = ACTIONS(1254),
    [anon_sym_GT_LPAREN] = ACTIONS(1254),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1254),
    [sym__concat] = ACTIONS(1254),
    [sym_test_operator] = ACTIONS(1254),
    [sym__bare_dollar] = ACTIONS(1254),
    [sym__brace_start] = ACTIONS(1254),
  },
  [416] = {
    [sym_word] = ACTIONS(1276),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1278),
    [anon_sym_EQ] = ACTIONS(1276),
    [anon_sym_PLUS_PLUS] = ACTIONS(1276),
    [anon_sym_DASH_DASH] = ACTIONS(1276),
    [anon_sym_PLUS_EQ] = ACTIONS(1276),
    [anon_sym_DASH_EQ] = ACTIONS(1276),
    [anon_sym_STAR_EQ] = ACTIONS(1276),
    [anon_sym_SLASH_EQ] = ACTIONS(1276),
    [anon_sym_PERCENT_EQ] = ACTIONS(1276),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1276),
    [anon_sym_LT_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT_GT_EQ] = ACTIONS(1278),
    [anon_sym_AMP_EQ] = ACTIONS(1278),
    [anon_sym_CARET_EQ] = ACTIONS(1276),
    [anon_sym_PIPE_EQ] = ACTIONS(1278),
    [anon_sym_PIPE_PIPE] = ACTIONS(1278),
    [anon_sym_AMP_AMP] = ACTIONS(1278),
    [anon_sym_PIPE] = ACTIONS(1276),
    [anon_sym_CARET] = ACTIONS(1276),
    [anon_sym_AMP] = ACTIONS(1276),
    [anon_sym_EQ_EQ] = ACTIONS(1276),
    [anon_sym_BANG_EQ] = ACTIONS(1276),
    [anon_sym_LT] = ACTIONS(1276),
    [anon_sym_GT] = ACTIONS(1276),
    [anon_sym_LT_EQ] = ACTIONS(1278),
    [anon_sym_GT_EQ] = ACTIONS(1278),
    [anon_sym_LT_LT] = ACTIONS(1276),
    [anon_sym_GT_GT] = ACTIONS(1276),
    [anon_sym_PLUS] = ACTIONS(1276),
    [anon_sym_DASH] = ACTIONS(1276),
    [anon_sym_STAR] = ACTIONS(1276),
    [anon_sym_SLASH] = ACTIONS(1276),
    [anon_sym_PERCENT] = ACTIONS(1276),
    [anon_sym_STAR_STAR] = ACTIONS(1276),
    [anon_sym_LPAREN] = ACTIONS(1276),
    [anon_sym_PIPE_AMP] = ACTIONS(1278),
    [anon_sym_RBRACK] = ACTIONS(1278),
    [anon_sym_EQ_TILDE] = ACTIONS(1276),
    [anon_sym_AMP_GT] = ACTIONS(1276),
    [anon_sym_AMP_GT_GT] = ACTIONS(1278),
    [anon_sym_LT_AMP] = ACTIONS(1276),
    [anon_sym_GT_AMP] = ACTIONS(1276),
    [anon_sym_GT_PIPE] = ACTIONS(1278),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1278),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1278),
    [anon_sym_LT_LT_DASH] = ACTIONS(1278),
    [anon_sym_LT_LT_LT] = ACTIONS(1278),
    [anon_sym_QMARK] = ACTIONS(1276),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1278),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1278),
    [aux_sym_concatenation_token1] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1276),
    [sym__special_character] = ACTIONS(1276),
    [anon_sym_DQUOTE] = ACTIONS(1278),
    [sym_raw_string] = ACTIONS(1278),
    [sym_ansi_c_string] = ACTIONS(1278),
    [aux_sym_number_token1] = ACTIONS(1276),
    [aux_sym_number_token2] = ACTIONS(1276),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1278),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1276),
    [anon_sym_BQUOTE] = ACTIONS(1276),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1278),
    [anon_sym_LT_LPAREN] = ACTIONS(1278),
    [anon_sym_GT_LPAREN] = ACTIONS(1278),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1278),
    [sym__concat] = ACTIONS(1278),
    [sym_test_operator] = ACTIONS(1278),
    [sym__bare_dollar] = ACTIONS(1278),
    [sym__brace_start] = ACTIONS(1278),
  },
  [417] = {
    [sym_word] = ACTIONS(1288),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1290),
    [anon_sym_EQ] = ACTIONS(1288),
    [anon_sym_PLUS_PLUS] = ACTIONS(1288),
    [anon_sym_DASH_DASH] = ACTIONS(1288),
    [anon_sym_PLUS_EQ] = ACTIONS(1288),
    [anon_sym_DASH_EQ] = ACTIONS(1288),
    [anon_sym_STAR_EQ] = ACTIONS(1288),
    [anon_sym_SLASH_EQ] = ACTIONS(1288),
    [anon_sym_PERCENT_EQ] = ACTIONS(1288),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1288),
    [anon_sym_LT_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT_GT_EQ] = ACTIONS(1290),
    [anon_sym_AMP_EQ] = ACTIONS(1290),
    [anon_sym_CARET_EQ] = ACTIONS(1288),
    [anon_sym_PIPE_EQ] = ACTIONS(1290),
    [anon_sym_PIPE_PIPE] = ACTIONS(1290),
    [anon_sym_AMP_AMP] = ACTIONS(1290),
    [anon_sym_PIPE] = ACTIONS(1288),
    [anon_sym_CARET] = ACTIONS(1288),
    [anon_sym_AMP] = ACTIONS(1288),
    [anon_sym_EQ_EQ] = ACTIONS(1288),
    [anon_sym_BANG_EQ] = ACTIONS(1288),
    [anon_sym_LT] = ACTIONS(1288),
    [anon_sym_GT] = ACTIONS(1288),
    [anon_sym_LT_EQ] = ACTIONS(1290),
    [anon_sym_GT_EQ] = ACTIONS(1290),
    [anon_sym_LT_LT] = ACTIONS(1288),
    [anon_sym_GT_GT] = ACTIONS(1288),
    [anon_sym_PLUS] = ACTIONS(1288),
    [anon_sym_DASH] = ACTIONS(1288),
    [anon_sym_STAR] = ACTIONS(1288),
    [anon_sym_SLASH] = ACTIONS(1288),
    [anon_sym_PERCENT] = ACTIONS(1288),
    [anon_sym_STAR_STAR] = ACTIONS(1288),
    [anon_sym_LPAREN] = ACTIONS(1288),
    [anon_sym_PIPE_AMP] = ACTIONS(1290),
    [anon_sym_RBRACK] = ACTIONS(1290),
    [anon_sym_EQ_TILDE] = ACTIONS(1288),
    [anon_sym_AMP_GT] = ACTIONS(1288),
    [anon_sym_AMP_GT_GT] = ACTIONS(1290),
    [anon_sym_LT_AMP] = ACTIONS(1288),
    [anon_sym_GT_AMP] = ACTIONS(1288),
    [anon_sym_GT_PIPE] = ACTIONS(1290),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1290),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1290),
    [anon_sym_LT_LT_DASH] = ACTIONS(1290),
    [anon_sym_LT_LT_LT] = ACTIONS(1290),
    [anon_sym_QMARK] = ACTIONS(1288),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1290),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1290),
    [aux_sym_concatenation_token1] = ACTIONS(1290),
    [anon_sym_DOLLAR] = ACTIONS(1288),
    [sym__special_character] = ACTIONS(1288),
    [anon_sym_DQUOTE] = ACTIONS(1290),
    [sym_raw_string] = ACTIONS(1290),
    [sym_ansi_c_string] = ACTIONS(1290),
    [aux_sym_number_token1] = ACTIONS(1288),
    [aux_sym_number_token2] = ACTIONS(1288),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1290),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1288),
    [anon_sym_BQUOTE] = ACTIONS(1288),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1290),
    [anon_sym_LT_LPAREN] = ACTIONS(1290),
    [anon_sym_GT_LPAREN] = ACTIONS(1290),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1290),
    [sym__concat] = ACTIONS(1290),
    [sym_test_operator] = ACTIONS(1290),
    [sym__bare_dollar] = ACTIONS(1290),
    [sym__brace_start] = ACTIONS(1290),
  },
  [418] = {
    [sym_word] = ACTIONS(1268),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1270),
    [anon_sym_EQ] = ACTIONS(1268),
    [anon_sym_PLUS_PLUS] = ACTIONS(1268),
    [anon_sym_DASH_DASH] = ACTIONS(1268),
    [anon_sym_PLUS_EQ] = ACTIONS(1268),
    [anon_sym_DASH_EQ] = ACTIONS(1268),
    [anon_sym_STAR_EQ] = ACTIONS(1268),
    [anon_sym_SLASH_EQ] = ACTIONS(1268),
    [anon_sym_PERCENT_EQ] = ACTIONS(1268),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1268),
    [anon_sym_LT_LT_EQ] = ACTIONS(1270),
    [anon_sym_GT_GT_EQ] = ACTIONS(1270),
    [anon_sym_AMP_EQ] = ACTIONS(1270),
    [anon_sym_CARET_EQ] = ACTIONS(1268),
    [anon_sym_PIPE_EQ] = ACTIONS(1270),
    [anon_sym_PIPE_PIPE] = ACTIONS(1270),
    [anon_sym_AMP_AMP] = ACTIONS(1270),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_CARET] = ACTIONS(1268),
    [anon_sym_AMP] = ACTIONS(1268),
    [anon_sym_EQ_EQ] = ACTIONS(1268),
    [anon_sym_BANG_EQ] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(1268),
    [anon_sym_GT] = ACTIONS(1268),
    [anon_sym_LT_EQ] = ACTIONS(1270),
    [anon_sym_GT_EQ] = ACTIONS(1270),
    [anon_sym_LT_LT] = ACTIONS(1268),
    [anon_sym_GT_GT] = ACTIONS(1268),
    [anon_sym_PLUS] = ACTIONS(1268),
    [anon_sym_DASH] = ACTIONS(1268),
    [anon_sym_STAR] = ACTIONS(1268),
    [anon_sym_SLASH] = ACTIONS(1268),
    [anon_sym_PERCENT] = ACTIONS(1268),
    [anon_sym_STAR_STAR] = ACTIONS(1268),
    [anon_sym_LPAREN] = ACTIONS(1268),
    [anon_sym_PIPE_AMP] = ACTIONS(1270),
    [anon_sym_RBRACK] = ACTIONS(1270),
    [anon_sym_EQ_TILDE] = ACTIONS(1268),
    [anon_sym_AMP_GT] = ACTIONS(1268),
    [anon_sym_AMP_GT_GT] = ACTIONS(1270),
    [anon_sym_LT_AMP] = ACTIONS(1268),
    [anon_sym_GT_AMP] = ACTIONS(1268),
    [anon_sym_GT_PIPE] = ACTIONS(1270),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1270),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1270),
    [anon_sym_LT_LT_DASH] = ACTIONS(1270),
    [anon_sym_LT_LT_LT] = ACTIONS(1270),
    [anon_sym_QMARK] = ACTIONS(1268),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1270),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1270),
    [aux_sym_concatenation_token1] = ACTIONS(1270),
    [anon_sym_DOLLAR] = ACTIONS(1268),
    [sym__special_character] = ACTIONS(1268),
    [anon_sym_DQUOTE] = ACTIONS(1270),
    [sym_raw_string] = ACTIONS(1270),
    [sym_ansi_c_string] = ACTIONS(1270),
    [aux_sym_number_token1] = ACTIONS(1268),
    [aux_sym_number_token2] = ACTIONS(1268),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1270),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1268),
    [anon_sym_BQUOTE] = ACTIONS(1268),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1270),
    [anon_sym_LT_LPAREN] = ACTIONS(1270),
    [anon_sym_GT_LPAREN] = ACTIONS(1270),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1270),
    [sym__concat] = ACTIONS(1270),
    [sym_test_operator] = ACTIONS(1270),
    [sym__bare_dollar] = ACTIONS(1270),
    [sym__brace_start] = ACTIONS(1270),
  },
  [419] = {
    [sym_word] = ACTIONS(1244),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1246),
    [anon_sym_EQ] = ACTIONS(1244),
    [anon_sym_PLUS_PLUS] = ACTIONS(1244),
    [anon_sym_DASH_DASH] = ACTIONS(1244),
    [anon_sym_PLUS_EQ] = ACTIONS(1244),
    [anon_sym_DASH_EQ] = ACTIONS(1244),
    [anon_sym_STAR_EQ] = ACTIONS(1244),
    [anon_sym_SLASH_EQ] = ACTIONS(1244),
    [anon_sym_PERCENT_EQ] = ACTIONS(1244),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1244),
    [anon_sym_LT_LT_EQ] = ACTIONS(1246),
    [anon_sym_GT_GT_EQ] = ACTIONS(1246),
    [anon_sym_AMP_EQ] = ACTIONS(1246),
    [anon_sym_CARET_EQ] = ACTIONS(1244),
    [anon_sym_PIPE_EQ] = ACTIONS(1246),
    [anon_sym_PIPE_PIPE] = ACTIONS(1246),
    [anon_sym_AMP_AMP] = ACTIONS(1246),
    [anon_sym_PIPE] = ACTIONS(1244),
    [anon_sym_CARET] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_EQ_EQ] = ACTIONS(1244),
    [anon_sym_BANG_EQ] = ACTIONS(1244),
    [anon_sym_LT] = ACTIONS(1244),
    [anon_sym_GT] = ACTIONS(1244),
    [anon_sym_LT_EQ] = ACTIONS(1246),
    [anon_sym_GT_EQ] = ACTIONS(1246),
    [anon_sym_LT_LT] = ACTIONS(1244),
    [anon_sym_GT_GT] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1244),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_SLASH] = ACTIONS(1244),
    [anon_sym_PERCENT] = ACTIONS(1244),
    [anon_sym_STAR_STAR] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_PIPE_AMP] = ACTIONS(1246),
    [anon_sym_RBRACK] = ACTIONS(1246),
    [anon_sym_EQ_TILDE] = ACTIONS(1244),
    [anon_sym_AMP_GT] = ACTIONS(1244),
    [anon_sym_AMP_GT_GT] = ACTIONS(1246),
    [anon_sym_LT_AMP] = ACTIONS(1244),
    [anon_sym_GT_AMP] = ACTIONS(1244),
    [anon_sym_GT_PIPE] = ACTIONS(1246),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1246),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1246),
    [anon_sym_LT_LT_DASH] = ACTIONS(1246),
    [anon_sym_LT_LT_LT] = ACTIONS(1246),
    [anon_sym_QMARK] = ACTIONS(1244),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1246),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1246),
    [aux_sym_concatenation_token1] = ACTIONS(1246),
    [anon_sym_DOLLAR] = ACTIONS(1244),
    [sym__special_character] = ACTIONS(1244),
    [anon_sym_DQUOTE] = ACTIONS(1246),
    [sym_raw_string] = ACTIONS(1246),
    [sym_ansi_c_string] = ACTIONS(1246),
    [aux_sym_number_token1] = ACTIONS(1244),
    [aux_sym_number_token2] = ACTIONS(1244),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1246),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1244),
    [anon_sym_BQUOTE] = ACTIONS(1244),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1246),
    [anon_sym_LT_LPAREN] = ACTIONS(1246),
    [anon_sym_GT_LPAREN] = ACTIONS(1246),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1246),
    [sym__concat] = ACTIONS(1246),
    [sym_test_operator] = ACTIONS(1246),
    [sym__bare_dollar] = ACTIONS(1246),
    [sym__brace_start] = ACTIONS(1246),
  },
  [420] = {
    [aux_sym__literal_repeat1] = STATE(421),
    [sym_word] = ACTIONS(231),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(268),
    [anon_sym_EQ] = ACTIONS(233),
    [anon_sym_PLUS_PLUS] = ACTIONS(233),
    [anon_sym_DASH_DASH] = ACTIONS(233),
    [anon_sym_PLUS_EQ] = ACTIONS(233),
    [anon_sym_DASH_EQ] = ACTIONS(233),
    [anon_sym_STAR_EQ] = ACTIONS(233),
    [anon_sym_SLASH_EQ] = ACTIONS(233),
    [anon_sym_PERCENT_EQ] = ACTIONS(233),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(233),
    [anon_sym_LT_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_GT_EQ] = ACTIONS(344),
    [anon_sym_AMP_EQ] = ACTIONS(344),
    [anon_sym_CARET_EQ] = ACTIONS(233),
    [anon_sym_PIPE_EQ] = ACTIONS(344),
    [anon_sym_PIPE_PIPE] = ACTIONS(346),
    [anon_sym_AMP_AMP] = ACTIONS(346),
    [anon_sym_PIPE] = ACTIONS(235),
    [anon_sym_CARET] = ACTIONS(233),
    [anon_sym_AMP] = ACTIONS(233),
    [anon_sym_EQ_EQ] = ACTIONS(235),
    [anon_sym_BANG_EQ] = ACTIONS(233),
    [anon_sym_LT] = ACTIONS(235),
    [anon_sym_GT] = ACTIONS(235),
    [anon_sym_LT_EQ] = ACTIONS(344),
    [anon_sym_GT_EQ] = ACTIONS(344),
    [anon_sym_LT_LT] = ACTIONS(235),
    [anon_sym_GT_GT] = ACTIONS(235),
    [anon_sym_PLUS] = ACTIONS(233),
    [anon_sym_DASH] = ACTIONS(233),
    [anon_sym_STAR] = ACTIONS(233),
    [anon_sym_SLASH] = ACTIONS(233),
    [anon_sym_PERCENT] = ACTIONS(233),
    [anon_sym_STAR_STAR] = ACTIONS(233),
    [anon_sym_LPAREN] = ACTIONS(231),
    [anon_sym_PIPE_AMP] = ACTIONS(268),
    [anon_sym_RBRACK] = ACTIONS(344),
    [anon_sym_EQ_TILDE] = ACTIONS(235),
    [anon_sym_AMP_GT] = ACTIONS(231),
    [anon_sym_AMP_GT_GT] = ACTIONS(268),
    [anon_sym_LT_AMP] = ACTIONS(231),
    [anon_sym_GT_AMP] = ACTIONS(231),
    [anon_sym_GT_PIPE] = ACTIONS(268),
    [anon_sym_LT_AMP_DASH] = ACTIONS(268),
    [anon_sym_GT_AMP_DASH] = ACTIONS(268),
    [anon_sym_LT_LT_DASH] = ACTIONS(268),
    [anon_sym_LT_LT_LT] = ACTIONS(268),
    [anon_sym_QMARK] = ACTIONS(233),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(268),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(268),
    [anon_sym_DOLLAR] = ACTIONS(231),
    [sym__special_character] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(268),
    [sym_raw_string] = ACTIONS(268),
    [sym_ansi_c_string] = ACTIONS(268),
    [aux_sym_number_token1] = ACTIONS(231),
    [aux_sym_number_token2] = ACTIONS(231),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(268),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(231),
    [anon_sym_BQUOTE] = ACTIONS(268),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(268),
    [anon_sym_LT_LPAREN] = ACTIONS(268),
    [anon_sym_GT_LPAREN] = ACTIONS(268),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(268),
    [sym_test_operator] = ACTIONS(346),
    [sym__bare_dollar] = ACTIONS(268),
    [sym__brace_start] = ACTIONS(268),
  },
  [421] = {
    [aux_sym__literal_repeat1] = STATE(421),
    [sym_word] = ACTIONS(1292),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1294),
    [anon_sym_EQ] = ACTIONS(1292),
    [anon_sym_PLUS_PLUS] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1292),
    [anon_sym_PLUS_EQ] = ACTIONS(1292),
    [anon_sym_DASH_EQ] = ACTIONS(1292),
    [anon_sym_STAR_EQ] = ACTIONS(1292),
    [anon_sym_SLASH_EQ] = ACTIONS(1292),
    [anon_sym_PERCENT_EQ] = ACTIONS(1292),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1292),
    [anon_sym_LT_LT_EQ] = ACTIONS(1294),
    [anon_sym_GT_GT_EQ] = ACTIONS(1294),
    [anon_sym_AMP_EQ] = ACTIONS(1294),
    [anon_sym_CARET_EQ] = ACTIONS(1292),
    [anon_sym_PIPE_EQ] = ACTIONS(1294),
    [anon_sym_PIPE_PIPE] = ACTIONS(1294),
    [anon_sym_AMP_AMP] = ACTIONS(1294),
    [anon_sym_PIPE] = ACTIONS(1292),
    [anon_sym_CARET] = ACTIONS(1292),
    [anon_sym_AMP] = ACTIONS(1292),
    [anon_sym_EQ_EQ] = ACTIONS(1292),
    [anon_sym_BANG_EQ] = ACTIONS(1292),
    [anon_sym_LT] = ACTIONS(1292),
    [anon_sym_GT] = ACTIONS(1292),
    [anon_sym_LT_EQ] = ACTIONS(1294),
    [anon_sym_GT_EQ] = ACTIONS(1294),
    [anon_sym_LT_LT] = ACTIONS(1292),
    [anon_sym_GT_GT] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1292),
    [anon_sym_SLASH] = ACTIONS(1292),
    [anon_sym_PERCENT] = ACTIONS(1292),
    [anon_sym_STAR_STAR] = ACTIONS(1292),
    [anon_sym_LPAREN] = ACTIONS(1292),
    [anon_sym_PIPE_AMP] = ACTIONS(1294),
    [anon_sym_RBRACK] = ACTIONS(1294),
    [anon_sym_EQ_TILDE] = ACTIONS(1292),
    [anon_sym_AMP_GT] = ACTIONS(1292),
    [anon_sym_AMP_GT_GT] = ACTIONS(1294),
    [anon_sym_LT_AMP] = ACTIONS(1292),
    [anon_sym_GT_AMP] = ACTIONS(1292),
    [anon_sym_GT_PIPE] = ACTIONS(1294),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1294),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1294),
    [anon_sym_LT_LT_DASH] = ACTIONS(1294),
    [anon_sym_LT_LT_LT] = ACTIONS(1294),
    [anon_sym_QMARK] = ACTIONS(1292),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1294),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1294),
    [anon_sym_DOLLAR] = ACTIONS(1292),
    [sym__special_character] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_raw_string] = ACTIONS(1294),
    [sym_ansi_c_string] = ACTIONS(1294),
    [aux_sym_number_token1] = ACTIONS(1292),
    [aux_sym_number_token2] = ACTIONS(1292),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1294),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1292),
    [anon_sym_BQUOTE] = ACTIONS(1294),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1294),
    [anon_sym_LT_LPAREN] = ACTIONS(1294),
    [anon_sym_GT_LPAREN] = ACTIONS(1294),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1294),
    [sym_test_operator] = ACTIONS(1294),
    [sym__bare_dollar] = ACTIONS(1294),
    [sym__brace_start] = ACTIONS(1294),
  },
  [422] = {
    [sym_word] = ACTIONS(1183),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1193),
    [anon_sym_EQ] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_PLUS_EQ] = ACTIONS(1185),
    [anon_sym_DASH_EQ] = ACTIONS(1185),
    [anon_sym_STAR_EQ] = ACTIONS(1185),
    [anon_sym_SLASH_EQ] = ACTIONS(1185),
    [anon_sym_PERCENT_EQ] = ACTIONS(1185),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1185),
    [anon_sym_LT_LT_EQ] = ACTIONS(1308),
    [anon_sym_GT_GT_EQ] = ACTIONS(1308),
    [anon_sym_AMP_EQ] = ACTIONS(1308),
    [anon_sym_CARET_EQ] = ACTIONS(1185),
    [anon_sym_PIPE_EQ] = ACTIONS(1308),
    [anon_sym_PIPE_PIPE] = ACTIONS(1195),
    [anon_sym_AMP_AMP] = ACTIONS(1195),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1308),
    [anon_sym_GT_EQ] = ACTIONS(1308),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1185),
    [anon_sym_DASH] = ACTIONS(1185),
    [anon_sym_STAR] = ACTIONS(1185),
    [anon_sym_SLASH] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_PIPE_AMP] = ACTIONS(1193),
    [anon_sym_RBRACK] = ACTIONS(1308),
    [anon_sym_EQ_TILDE] = ACTIONS(1187),
    [anon_sym_AMP_GT] = ACTIONS(1183),
    [anon_sym_AMP_GT_GT] = ACTIONS(1193),
    [anon_sym_LT_AMP] = ACTIONS(1183),
    [anon_sym_GT_AMP] = ACTIONS(1183),
    [anon_sym_GT_PIPE] = ACTIONS(1193),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1193),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1193),
    [anon_sym_LT_LT_DASH] = ACTIONS(1193),
    [anon_sym_LT_LT_LT] = ACTIONS(1193),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1193),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1193),
    [anon_sym_DOLLAR] = ACTIONS(1183),
    [sym__special_character] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1193),
    [sym_raw_string] = ACTIONS(1193),
    [sym_ansi_c_string] = ACTIONS(1193),
    [aux_sym_number_token1] = ACTIONS(1183),
    [aux_sym_number_token2] = ACTIONS(1183),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1193),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1183),
    [anon_sym_BQUOTE] = ACTIONS(1193),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1193),
    [anon_sym_LT_LPAREN] = ACTIONS(1193),
    [anon_sym_GT_LPAREN] = ACTIONS(1193),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1193),
    [sym_test_operator] = ACTIONS(1195),
    [sym__bare_dollar] = ACTIONS(1193),
    [sym__brace_start] = ACTIONS(1193),
  },
  [423] = {
    [sym_word] = ACTIONS(1220),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(1222),
    [anon_sym_EQ] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_PLUS_EQ] = ACTIONS(1220),
    [anon_sym_DASH_EQ] = ACTIONS(1220),
    [anon_sym_STAR_EQ] = ACTIONS(1220),
    [anon_sym_SLASH_EQ] = ACTIONS(1220),
    [anon_sym_PERCENT_EQ] = ACTIONS(1220),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1220),
    [anon_sym_LT_LT_EQ] = ACTIONS(1222),
    [anon_sym_GT_GT_EQ] = ACTIONS(1222),
    [anon_sym_AMP_EQ] = ACTIONS(1222),
    [anon_sym_CARET_EQ] = ACTIONS(1220),
    [anon_sym_PIPE_EQ] = ACTIONS(1222),
    [anon_sym_PIPE_PIPE] = ACTIONS(1222),
    [anon_sym_AMP_AMP] = ACTIONS(1222),
    [anon_sym_PIPE] = ACTIONS(1220),
    [anon_sym_CARET] = ACTIONS(1220),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym_EQ_EQ] = ACTIONS(1220),
    [anon_sym_BANG_EQ] = ACTIONS(1220),
    [anon_sym_LT] = ACTIONS(1220),
    [anon_sym_GT] = ACTIONS(1220),
    [anon_sym_LT_EQ] = ACTIONS(1222),
    [anon_sym_GT_EQ] = ACTIONS(1222),
    [anon_sym_LT_LT] = ACTIONS(1220),
    [anon_sym_GT_GT] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1220),
    [anon_sym_DASH] = ACTIONS(1220),
    [anon_sym_STAR] = ACTIONS(1220),
    [anon_sym_SLASH] = ACTIONS(1220),
    [anon_sym_PERCENT] = ACTIONS(1220),
    [anon_sym_STAR_STAR] = ACTIONS(1220),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [anon_sym_PIPE_AMP] = ACTIONS(1222),
    [anon_sym_RBRACK] = ACTIONS(1222),
    [anon_sym_EQ_TILDE] = ACTIONS(1220),
    [anon_sym_AMP_GT] = ACTIONS(1220),
    [anon_sym_AMP_GT_GT] = ACTIONS(1222),
    [anon_sym_LT_AMP] = ACTIONS(1220),
    [anon_sym_GT_AMP] = ACTIONS(1220),
    [anon_sym_GT_PIPE] = ACTIONS(1222),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1222),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1222),
    [anon_sym_LT_LT_DASH] = ACTIONS(1222),
    [anon_sym_LT_LT_LT] = ACTIONS(1222),
    [anon_sym_QMARK] = ACTIONS(1220),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(1222),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(1222),
    [anon_sym_DOLLAR] = ACTIONS(1220),
    [sym__special_character] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [sym_raw_string] = ACTIONS(1222),
    [sym_ansi_c_string] = ACTIONS(1222),
    [aux_sym_number_token1] = ACTIONS(1220),
    [aux_sym_number_token2] = ACTIONS(1220),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1222),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(1220),
    [anon_sym_BQUOTE] = ACTIONS(1222),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(1222),
    [anon_sym_LT_LPAREN] = ACTIONS(1222),
    [anon_sym_GT_LPAREN] = ACTIONS(1222),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1222),
    [sym_test_operator] = ACTIONS(1222),
    [sym__bare_dollar] = ACTIONS(1222),
    [sym__brace_start] = ACTIONS(1222),
  },
  [424] = {
    [sym_subshell] = STATE(4510),
    [sym_test_command] = STATE(4510),
    [sym_command] = STATE(4514),
    [sym_command_name] = STATE(516),
    [sym_variable_assignment] = STATE(2298),
    [sym_subscript] = STATE(5431),
    [sym_file_redirect] = STATE(3000),
    [sym_herestring_redirect] = STATE(3000),
    [sym__expression] = STATE(2535),
    [sym_binary_expression] = STATE(2449),
    [sym_ternary_expression] = STATE(2449),
    [sym_unary_expression] = STATE(2449),
    [sym_postfix_expression] = STATE(2449),
    [sym_parenthesized_expression] = STATE(2449),
    [sym_arithmetic_expansion] = STATE(400),
    [sym_brace_expression] = STATE(400),
    [sym_concatenation] = STATE(422),
    [sym_string] = STATE(400),
    [sym_translated_string] = STATE(400),
    [sym_number] = STATE(400),
    [sym_simple_expansion] = STATE(400),
    [sym_expansion] = STATE(400),
    [sym_command_substitution] = STATE(400),
    [sym_process_substitution] = STATE(400),
    [aux_sym_command_repeat1] = STATE(806),
    [aux_sym__literal_repeat1] = STATE(420),
    [sym_word] = ACTIONS(1318),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(149),
    [anon_sym_LT] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1320),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(155),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LBRACK] = ACTIONS(169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(173),
    [anon_sym_AMP_GT] = ACTIONS(1320),
    [anon_sym_AMP_GT_GT] = ACTIONS(1322),
    [anon_sym_LT_AMP] = ACTIONS(1320),
    [anon_sym_GT_AMP] = ACTIONS(1320),
    [anon_sym_GT_PIPE] = ACTIONS(1322),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1324),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS2] = ACTIONS(183),
    [anon_sym_DASH_DASH2] = ACTIONS(183),
    [anon_sym_DASH2] = ACTIONS(185),
    [anon_sym_PLUS2] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(187),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(189),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(191),
    [anon_sym_DOLLAR] = ACTIONS(193),
    [sym__special_character] = ACTIONS(195),
    [anon_sym_DQUOTE] = ACTIONS(197),
    [sym_raw_string] = ACTIONS(199),
    [sym_ansi_c_string] = ACTIONS(199),
    [aux_sym_number_token1] = ACTIONS(201),
    [aux_sym_number_token2] = ACTIONS(203),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(205),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(207),
    [anon_sym_BQUOTE] = ACTIONS(209),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(211),
    [anon_sym_LT_LPAREN] = ACTIONS(213),
    [anon_sym_GT_LPAREN] = ACTIONS(213),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1328),
    [sym_variable_name] = ACTIONS(217),
    [sym_test_operator] = ACTIONS(219),
    [sym__brace_start] = ACTIONS(221),
  },
  [425] = {
    [sym_subshell] = STATE(4041),
    [sym_test_command] = STATE(4041),
    [sym_command] = STATE(4039),
    [sym_command_name] = STATE(431),
    [sym_variable_assignment] = STATE(1576),
    [sym_subscript] = STATE(5403),
    [sym_file_redirect] = STATE(3000),
    [sym_herestring_redirect] = STATE(3000),
    [sym__expression] = STATE(2441),
    [sym_binary_expression] = STATE(2582),
    [sym_ternary_expression] = STATE(2582),
    [sym_unary_expression] = STATE(2582),
    [sym_postfix_expression] = STATE(2582),
    [sym_parenthesized_expression] = STATE(2582),
    [sym_arithmetic_expansion] = STATE(371),
    [sym_brace_expression] = STATE(371),
    [sym_concatenation] = STATE(395),
    [sym_string] = STATE(371),
    [sym_translated_string] = STATE(371),
    [sym_number] = STATE(371),
    [sym_simple_expansion] = STATE(371),
    [sym_expansion] = STATE(371),
    [sym_command_substitution] = STATE(371),
    [sym_process_substitution] = STATE(371),
    [aux_sym_command_repeat1] = STATE(812),
    [aux_sym__literal_repeat1] = STATE(392),
    [sym_word] = ACTIONS(1330),
    [anon_sym_LPAREN_LPAREN] = ACTIONS(83),
    [anon_sym_LT] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1320),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_LPAREN] = ACTIONS(89),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym_AMP_GT] = ACTIONS(1320),
    [anon_sym_AMP_GT_GT] = ACTIONS(1322),
    [anon_sym_LT_AMP] = ACTIONS(1320),
    [anon_sym_GT_AMP] = ACTIONS(1320),
    [anon_sym_GT_PIPE] = ACTIONS(1322),
    [anon_sym_LT_AMP_DASH] = ACTIONS(1324),
    [anon_sym_GT_AMP_DASH] = ACTIONS(1324),
    [anon_sym_LT_LT_LT] = ACTIONS(1326),
    [anon_sym_PLUS_PLUS2] = ACTIONS(103),
    [anon_sym_DASH_DASH2] = ACTIONS(103),
    [anon_sym_DASH2] = ACTIONS(105),
    [anon_sym_PLUS2] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(107),
    [anon_sym_DOLLAR_LPAREN_LPAREN] = ACTIONS(109),
    [anon_sym_DOLLAR_LBRACK] = ACTIONS(111),
    [anon_sym_DOLLAR] = ACTIONS(113),
    [sym__special_character] = ACTIONS(115),
    [anon_sym_DQUOTE] = ACTIONS(117),
    [sym_raw_string] = ACTIONS(119),
    [sym_ansi_c_string] = ACTIONS(119),
    [aux_sym_number_token1] = ACTIONS(121),
    [aux_sym_number_token2] = ACTIONS(123),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(125),
    [anon_sym_DOLLAR_LPAREN] = ACTIONS(127),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_DOLLAR_BQUOTE] = ACTIONS(131),
    [anon_sym_LT_LPAREN] = ACTIONS(133),
    [anon_sym_GT_LPAREN] = ACTIONS(133),
    [sym_comment] = ACTIONS(71),
    [sym_file_descriptor] = ACTIONS(1328),
    [sym_variable_name] = ACTIONS(137),
    [sym_test_operator] = ACTIONS(139),
    [sym__brace_start] = ACTIONS(141),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(1342), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1346), 1,
      sym__special_character,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    ACTIONS(1350), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1352), 1,
      anon_sym_BQUOTE,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1358), 1,
      sym_test_operator,
    ACTIONS(1360), 1,
      sym__bare_dollar,
    STATE(432), 1,
      aux_sym_command_repeat2,
    STATE(867), 1,
      aux_sym__literal_repeat1,
    STATE(977), 1,
      sym_concatenation,
    STATE(979), 1,
      sym_herestring_redirect,
    STATE(3952), 1,
      sym_subshell,
    ACTIONS(1334), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1338), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1340), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1356), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1332), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(729), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [120] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(1342), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1346), 1,
      sym__special_character,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    ACTIONS(1350), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1352), 1,
      anon_sym_BQUOTE,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1358), 1,
      sym_test_operator,
    ACTIONS(1360), 1,
      sym__bare_dollar,
    STATE(435), 1,
      aux_sym_command_repeat2,
    STATE(867), 1,
      aux_sym__literal_repeat1,
    STATE(977), 1,
      sym_concatenation,
    STATE(979), 1,
      sym_herestring_redirect,
    STATE(3938), 1,
      sym_subshell,
    ACTIONS(1334), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1338), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1356), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1332), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(729), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [240] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(1372), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1374), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1376), 1,
      sym__special_character,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    ACTIONS(1380), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1382), 1,
      anon_sym_BQUOTE,
    ACTIONS(1384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1388), 1,
      sym_test_operator,
    ACTIONS(1390), 1,
      sym__bare_dollar,
    STATE(440), 1,
      aux_sym_command_repeat2,
    STATE(951), 1,
      aux_sym__literal_repeat1,
    STATE(1178), 1,
      sym_herestring_redirect,
    STATE(1179), 1,
      sym_concatenation,
    STATE(3952), 1,
      sym_subshell,
    ACTIONS(1340), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1368), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1370), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1366), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(764), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [359] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(1372), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1374), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1376), 1,
      sym__special_character,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    ACTIONS(1380), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1382), 1,
      anon_sym_BQUOTE,
    ACTIONS(1384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1388), 1,
      sym_test_operator,
    ACTIONS(1390), 1,
      sym__bare_dollar,
    STATE(444), 1,
      aux_sym_command_repeat2,
    STATE(951), 1,
      aux_sym__literal_repeat1,
    STATE(1178), 1,
      sym_herestring_redirect,
    STATE(1179), 1,
      sym_concatenation,
    STATE(3938), 1,
      sym_subshell,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1368), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1370), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1366), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(764), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [478] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1405), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1408), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_DOLLAR,
    ACTIONS(1414), 1,
      sym__special_character,
    ACTIONS(1417), 1,
      anon_sym_DQUOTE,
    ACTIONS(1420), 1,
      aux_sym_number_token1,
    ACTIONS(1423), 1,
      aux_sym_number_token2,
    ACTIONS(1426), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1429), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1432), 1,
      anon_sym_BQUOTE,
    ACTIONS(1435), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1441), 1,
      sym_file_descriptor,
    ACTIONS(1444), 1,
      sym_test_operator,
    ACTIONS(1447), 1,
      sym__bare_dollar,
    ACTIONS(1450), 1,
      sym__brace_start,
    STATE(430), 1,
      aux_sym_command_repeat2,
    STATE(867), 1,
      aux_sym__literal_repeat1,
    STATE(977), 1,
      sym_concatenation,
    STATE(979), 1,
      sym_herestring_redirect,
    ACTIONS(1395), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1400), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1438), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1392), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(729), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1398), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [594] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1459), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1463), 1,
      sym__special_character,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1475), 1,
      sym_test_operator,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    STATE(454), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    STATE(4006), 1,
      sym_subshell,
    ACTIONS(1340), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1457), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1453), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(835), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [712] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(1342), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1346), 1,
      sym__special_character,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    ACTIONS(1350), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1352), 1,
      anon_sym_BQUOTE,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1358), 1,
      sym_test_operator,
    ACTIONS(1360), 1,
      sym__bare_dollar,
    STATE(430), 1,
      aux_sym_command_repeat2,
    STATE(867), 1,
      aux_sym__literal_repeat1,
    STATE(977), 1,
      sym_concatenation,
    STATE(979), 1,
      sym_herestring_redirect,
    ACTIONS(1334), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1338), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1356), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1481), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1332), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(729), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1479), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [826] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(1489), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1491), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1493), 1,
      sym__special_character,
    ACTIONS(1495), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1499), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1505), 1,
      sym_test_operator,
    ACTIONS(1507), 1,
      sym__bare_dollar,
    STATE(460), 1,
      aux_sym_command_repeat2,
    STATE(1148), 1,
      aux_sym__literal_repeat1,
    STATE(1325), 1,
      sym_concatenation,
    STATE(1335), 1,
      sym_herestring_redirect,
    STATE(4006), 1,
      sym_subshell,
    ACTIONS(1485), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1487), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1503), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1340), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1483), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(875), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [944] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(1489), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1491), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1493), 1,
      sym__special_character,
    ACTIONS(1495), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1499), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1505), 1,
      sym_test_operator,
    ACTIONS(1507), 1,
      sym__bare_dollar,
    STATE(455), 1,
      aux_sym_command_repeat2,
    STATE(1148), 1,
      aux_sym__literal_repeat1,
    STATE(1325), 1,
      sym_concatenation,
    STATE(1335), 1,
      sym_herestring_redirect,
    STATE(3923), 1,
      sym_subshell,
    ACTIONS(1485), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1487), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1503), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1364), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1483), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(875), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1062] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(1342), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1346), 1,
      sym__special_character,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    ACTIONS(1350), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1352), 1,
      anon_sym_BQUOTE,
    ACTIONS(1354), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1358), 1,
      sym_test_operator,
    ACTIONS(1360), 1,
      sym__bare_dollar,
    STATE(430), 1,
      aux_sym_command_repeat2,
    STATE(867), 1,
      aux_sym__literal_repeat1,
    STATE(977), 1,
      sym_concatenation,
    STATE(979), 1,
      sym_herestring_redirect,
    ACTIONS(1334), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1338), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1356), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1332), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(729), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1509), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1176] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1459), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1463), 1,
      sym__special_character,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1475), 1,
      sym_test_operator,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    STATE(458), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    STATE(3923), 1,
      sym_subshell,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1457), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1453), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(835), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1294] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(470), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    STATE(4006), 1,
      sym_subshell,
    ACTIONS(1340), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(991), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1411] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    STATE(735), 1,
      sym_string,
    ACTIONS(1525), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1523), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [1486] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(472), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    STATE(4006), 1,
      sym_subshell,
    ACTIONS(1340), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(991), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [1601] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(1372), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1374), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1376), 1,
      sym__special_character,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    ACTIONS(1380), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1382), 1,
      anon_sym_BQUOTE,
    ACTIONS(1384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1388), 1,
      sym_test_operator,
    ACTIONS(1390), 1,
      sym__bare_dollar,
    STATE(446), 1,
      aux_sym_command_repeat2,
    STATE(951), 1,
      aux_sym__literal_repeat1,
    STATE(1178), 1,
      sym_herestring_redirect,
    STATE(1179), 1,
      sym_concatenation,
    ACTIONS(1368), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1370), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1481), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1366), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(764), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1479), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1714] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(477), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    STATE(3923), 1,
      sym_subshell,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(991), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1831] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1537), 1,
      anon_sym_DOLLAR,
    ACTIONS(1539), 1,
      sym__special_character,
    ACTIONS(1541), 1,
      anon_sym_DQUOTE,
    ACTIONS(1543), 1,
      aux_sym_number_token1,
    ACTIONS(1545), 1,
      aux_sym_number_token2,
    ACTIONS(1547), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1549), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_BQUOTE,
    ACTIONS(1553), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1557), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(1559), 1,
      sym_variable_name,
    ACTIONS(1561), 1,
      sym_test_operator,
    ACTIONS(1563), 1,
      sym__brace_start,
    STATE(1166), 1,
      aux_sym__literal_repeat1,
    STATE(5385), 1,
      sym_subscript,
    ACTIONS(1529), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1533), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1555), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1527), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(448), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(916), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1531), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [1940] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1537), 1,
      anon_sym_DOLLAR,
    ACTIONS(1539), 1,
      sym__special_character,
    ACTIONS(1541), 1,
      anon_sym_DQUOTE,
    ACTIONS(1543), 1,
      aux_sym_number_token1,
    ACTIONS(1545), 1,
      aux_sym_number_token2,
    ACTIONS(1547), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1549), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_BQUOTE,
    ACTIONS(1553), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1559), 1,
      sym_variable_name,
    ACTIONS(1561), 1,
      sym_test_operator,
    ACTIONS(1563), 1,
      sym__brace_start,
    ACTIONS(1569), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1166), 1,
      aux_sym__literal_repeat1,
    STATE(5385), 1,
      sym_subscript,
    ACTIONS(1529), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1555), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1567), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1527), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(442), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(916), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1565), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [2049] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(1372), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1374), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1376), 1,
      sym__special_character,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    ACTIONS(1380), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1382), 1,
      anon_sym_BQUOTE,
    ACTIONS(1384), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1388), 1,
      sym_test_operator,
    ACTIONS(1390), 1,
      sym__bare_dollar,
    STATE(446), 1,
      aux_sym_command_repeat2,
    STATE(951), 1,
      aux_sym__literal_repeat1,
    STATE(1178), 1,
      sym_herestring_redirect,
    STATE(1179), 1,
      sym_concatenation,
    ACTIONS(1368), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1370), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1386), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1366), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(764), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1509), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [2162] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    STATE(735), 1,
      sym_string,
    ACTIONS(1525), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1523), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2237] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1580), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1583), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1586), 1,
      anon_sym_DOLLAR,
    ACTIONS(1589), 1,
      sym__special_character,
    ACTIONS(1592), 1,
      anon_sym_DQUOTE,
    ACTIONS(1595), 1,
      aux_sym_number_token1,
    ACTIONS(1598), 1,
      aux_sym_number_token2,
    ACTIONS(1601), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1604), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1607), 1,
      anon_sym_BQUOTE,
    ACTIONS(1610), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1616), 1,
      sym_file_descriptor,
    ACTIONS(1619), 1,
      sym_test_operator,
    ACTIONS(1622), 1,
      sym__bare_dollar,
    ACTIONS(1625), 1,
      sym__brace_start,
    STATE(446), 1,
      aux_sym_command_repeat2,
    STATE(951), 1,
      aux_sym__literal_repeat1,
    STATE(1178), 1,
      sym_herestring_redirect,
    STATE(1179), 1,
      sym_concatenation,
    ACTIONS(1574), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1577), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1613), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1571), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(764), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1398), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [2352] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(475), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    STATE(3923), 1,
      sym_subshell,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(991), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [2467] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1641), 1,
      anon_sym_DOLLAR,
    ACTIONS(1644), 1,
      sym__special_character,
    ACTIONS(1647), 1,
      anon_sym_DQUOTE,
    ACTIONS(1650), 1,
      aux_sym_number_token1,
    ACTIONS(1653), 1,
      aux_sym_number_token2,
    ACTIONS(1656), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1662), 1,
      anon_sym_BQUOTE,
    ACTIONS(1665), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1671), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(1674), 1,
      sym_variable_name,
    ACTIONS(1677), 1,
      sym_test_operator,
    ACTIONS(1680), 1,
      sym__brace_start,
    STATE(1166), 1,
      aux_sym__literal_repeat1,
    STATE(5385), 1,
      sym_subscript,
    ACTIONS(1631), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1668), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1628), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(448), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(916), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1634), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [2576] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    STATE(775), 1,
      sym_string,
    ACTIONS(1685), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1683), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [2650] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1696), 1,
      anon_sym_DOLLAR,
    ACTIONS(1699), 1,
      sym__special_character,
    ACTIONS(1702), 1,
      anon_sym_DQUOTE,
    ACTIONS(1705), 1,
      aux_sym_number_token1,
    ACTIONS(1708), 1,
      aux_sym_number_token2,
    ACTIONS(1711), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1714), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1717), 1,
      anon_sym_BQUOTE,
    ACTIONS(1720), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1726), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(1729), 1,
      sym_variable_name,
    ACTIONS(1732), 1,
      sym_test_operator,
    ACTIONS(1735), 1,
      sym__brace_start,
    STATE(1392), 1,
      aux_sym__literal_repeat1,
    STATE(5384), 1,
      sym_subscript,
    ACTIONS(1636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1690), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1723), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1687), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(450), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(947), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1634), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [2758] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1742), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1744), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym__special_character,
    ACTIONS(1748), 1,
      anon_sym_DQUOTE,
    ACTIONS(1750), 1,
      aux_sym_number_token1,
    ACTIONS(1752), 1,
      aux_sym_number_token2,
    ACTIONS(1754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1758), 1,
      anon_sym_BQUOTE,
    ACTIONS(1760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1764), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(1766), 1,
      sym_variable_name,
    ACTIONS(1768), 1,
      sym_test_operator,
    ACTIONS(1770), 1,
      sym__brace_start,
    STATE(1392), 1,
      aux_sym__literal_repeat1,
    STATE(5384), 1,
      sym_subscript,
    ACTIONS(1567), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1740), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1762), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1738), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(452), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(947), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1565), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [2866] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1742), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1744), 1,
      anon_sym_DOLLAR,
    ACTIONS(1746), 1,
      sym__special_character,
    ACTIONS(1748), 1,
      anon_sym_DQUOTE,
    ACTIONS(1750), 1,
      aux_sym_number_token1,
    ACTIONS(1752), 1,
      aux_sym_number_token2,
    ACTIONS(1754), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1758), 1,
      anon_sym_BQUOTE,
    ACTIONS(1760), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1766), 1,
      sym_variable_name,
    ACTIONS(1768), 1,
      sym_test_operator,
    ACTIONS(1770), 1,
      sym__brace_start,
    ACTIONS(1772), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1392), 1,
      aux_sym__literal_repeat1,
    STATE(5384), 1,
      sym_subscript,
    ACTIONS(1533), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1740), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1762), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1738), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(450), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(947), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1531), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [2974] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    STATE(775), 1,
      sym_string,
    ACTIONS(1685), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1683), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3048] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1459), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1463), 1,
      sym__special_character,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1475), 1,
      sym_test_operator,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    STATE(457), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1457), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1481), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1453), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(835), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1479), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [3160] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(1489), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1491), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1493), 1,
      sym__special_character,
    ACTIONS(1495), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1499), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1505), 1,
      sym_test_operator,
    ACTIONS(1507), 1,
      sym__bare_dollar,
    STATE(459), 1,
      aux_sym_command_repeat2,
    STATE(1148), 1,
      aux_sym__literal_repeat1,
    STATE(1325), 1,
      sym_concatenation,
    STATE(1335), 1,
      sym_herestring_redirect,
    ACTIONS(1485), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1487), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1503), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1483), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(1511), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(875), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1509), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [3272] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    STATE(735), 1,
      sym_string,
    ACTIONS(1525), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1523), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3346] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1783), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1786), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR,
    ACTIONS(1792), 1,
      sym__special_character,
    ACTIONS(1795), 1,
      anon_sym_DQUOTE,
    ACTIONS(1798), 1,
      aux_sym_number_token1,
    ACTIONS(1801), 1,
      aux_sym_number_token2,
    ACTIONS(1804), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1807), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1810), 1,
      anon_sym_BQUOTE,
    ACTIONS(1813), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1819), 1,
      sym_file_descriptor,
    ACTIONS(1822), 1,
      sym_test_operator,
    ACTIONS(1825), 1,
      sym__bare_dollar,
    ACTIONS(1828), 1,
      sym__brace_start,
    STATE(457), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    ACTIONS(1777), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1780), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1816), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1774), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(835), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1398), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [3460] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1459), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1463), 1,
      sym__special_character,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1475), 1,
      sym_test_operator,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    STATE(457), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1457), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1453), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(835), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1509), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [3572] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1840), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1843), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1846), 1,
      anon_sym_DOLLAR,
    ACTIONS(1849), 1,
      sym__special_character,
    ACTIONS(1852), 1,
      anon_sym_DQUOTE,
    ACTIONS(1855), 1,
      aux_sym_number_token1,
    ACTIONS(1858), 1,
      aux_sym_number_token2,
    ACTIONS(1861), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1864), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1867), 1,
      anon_sym_BQUOTE,
    ACTIONS(1870), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1876), 1,
      sym_file_descriptor,
    ACTIONS(1879), 1,
      sym_test_operator,
    ACTIONS(1882), 1,
      sym__bare_dollar,
    ACTIONS(1885), 1,
      sym__brace_start,
    STATE(459), 1,
      aux_sym_command_repeat2,
    STATE(1148), 1,
      aux_sym__literal_repeat1,
    STATE(1325), 1,
      sym_concatenation,
    STATE(1335), 1,
      sym_herestring_redirect,
    ACTIONS(1403), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1834), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1837), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1873), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1831), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(875), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1398), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [3686] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(1489), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1491), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1493), 1,
      sym__special_character,
    ACTIONS(1495), 1,
      anon_sym_DQUOTE,
    ACTIONS(1497), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1499), 1,
      anon_sym_BQUOTE,
    ACTIONS(1501), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1505), 1,
      sym_test_operator,
    ACTIONS(1507), 1,
      sym__bare_dollar,
    STATE(459), 1,
      aux_sym_command_repeat2,
    STATE(1148), 1,
      aux_sym__literal_repeat1,
    STATE(1325), 1,
      sym_concatenation,
    STATE(1335), 1,
      sym_herestring_redirect,
    ACTIONS(1485), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1487), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1503), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1481), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1483), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(875), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1479), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [3798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    STATE(735), 1,
      sym_string,
    ACTIONS(1525), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1523), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3872] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 1,
      anon_sym_DQUOTE,
    STATE(932), 1,
      sym_string,
    ACTIONS(1890), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(1888), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [3945] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1905), 1,
      anon_sym_DOLLAR,
    ACTIONS(1908), 1,
      sym__special_character,
    ACTIONS(1911), 1,
      anon_sym_DQUOTE,
    ACTIONS(1914), 1,
      aux_sym_number_token1,
    ACTIONS(1917), 1,
      aux_sym_number_token2,
    ACTIONS(1920), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1923), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_BQUOTE,
    ACTIONS(1929), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1935), 1,
      sym_test_operator,
    ACTIONS(1938), 1,
      sym__brace_start,
    STATE(1162), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1895), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1932), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(463), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1892), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(1900), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    STATE(876), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [4046] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    STATE(775), 1,
      sym_string,
    ACTIONS(1685), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1683), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1162), 1,
      aux_sym__literal_repeat1,
    STATE(463), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(876), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4190] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1951), 1,
      anon_sym_DOLLAR,
    ACTIONS(1953), 1,
      sym__special_character,
    ACTIONS(1955), 1,
      anon_sym_DQUOTE,
    ACTIONS(1957), 1,
      aux_sym_number_token1,
    ACTIONS(1959), 1,
      aux_sym_number_token2,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1971), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(1973), 1,
      sym_variable_name,
    ACTIONS(1975), 1,
      sym_test_operator,
    ACTIONS(1977), 1,
      sym__brace_start,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5410), 1,
      sym_subscript,
    ACTIONS(1947), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1969), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1533), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1945), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(476), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1136), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1531), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [4297] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1162), 1,
      aux_sym__literal_repeat1,
    STATE(463), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(876), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4368] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    STATE(775), 1,
      sym_string,
    ACTIONS(1685), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(1683), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 1,
      anon_sym_DQUOTE,
    STATE(932), 1,
      sym_string,
    ACTIONS(1890), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(1888), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [4514] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(473), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1481), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(991), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1479), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [4625] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1949), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1951), 1,
      anon_sym_DOLLAR,
    ACTIONS(1953), 1,
      sym__special_character,
    ACTIONS(1955), 1,
      anon_sym_DQUOTE,
    ACTIONS(1957), 1,
      aux_sym_number_token1,
    ACTIONS(1959), 1,
      aux_sym_number_token2,
    ACTIONS(1961), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1965), 1,
      anon_sym_BQUOTE,
    ACTIONS(1967), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1973), 1,
      sym_variable_name,
    ACTIONS(1975), 1,
      sym_test_operator,
    ACTIONS(1977), 1,
      sym__brace_start,
    ACTIONS(1983), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5410), 1,
      sym_subscript,
    ACTIONS(1947), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1969), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1567), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1945), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(466), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1136), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1565), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [4732] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(473), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1481), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(991), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1479), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [4841] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1786), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR,
    ACTIONS(1795), 1,
      anon_sym_DQUOTE,
    ACTIONS(1798), 1,
      aux_sym_number_token1,
    ACTIONS(1801), 1,
      aux_sym_number_token2,
    ACTIONS(1804), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1807), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1810), 1,
      anon_sym_BQUOTE,
    ACTIONS(1813), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1825), 1,
      sym__bare_dollar,
    ACTIONS(1828), 1,
      sym__brace_start,
    ACTIONS(1991), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1994), 1,
      sym__special_character,
    ACTIONS(1997), 1,
      sym_file_descriptor,
    ACTIONS(2000), 1,
      sym_test_operator,
    STATE(473), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    ACTIONS(1777), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1816), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1988), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1985), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(991), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1398), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [4954] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2009), 1,
      anon_sym_DOLLAR,
    ACTIONS(2011), 1,
      sym__special_character,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2019), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2023), 1,
      anon_sym_BQUOTE,
    ACTIONS(2025), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2029), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2031), 1,
      sym_variable_name,
    ACTIONS(2033), 1,
      sym_test_operator,
    ACTIONS(2035), 1,
      sym__brace_start,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    STATE(5448), 1,
      sym_subscript,
    ACTIONS(1533), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2005), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2003), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(480), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1531), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [5061] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(473), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(991), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1509), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [5170] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2046), 1,
      anon_sym_DOLLAR,
    ACTIONS(2049), 1,
      sym__special_character,
    ACTIONS(2052), 1,
      anon_sym_DQUOTE,
    ACTIONS(2055), 1,
      aux_sym_number_token1,
    ACTIONS(2058), 1,
      aux_sym_number_token2,
    ACTIONS(2061), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2064), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2067), 1,
      anon_sym_BQUOTE,
    ACTIONS(2070), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2076), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2079), 1,
      sym_variable_name,
    ACTIONS(2082), 1,
      sym_test_operator,
    ACTIONS(2085), 1,
      sym__brace_start,
    STATE(1545), 1,
      aux_sym__literal_repeat1,
    STATE(5410), 1,
      sym_subscript,
    ACTIONS(2040), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2073), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1636), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2037), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(476), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1136), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1634), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [5277] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    ACTIONS(1517), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1519), 1,
      sym__special_character,
    ACTIONS(1521), 1,
      sym_test_operator,
    STATE(473), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1515), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(1513), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(991), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1509), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [5388] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5461] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2009), 1,
      anon_sym_DOLLAR,
    ACTIONS(2011), 1,
      sym__special_character,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2019), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2023), 1,
      anon_sym_BQUOTE,
    ACTIONS(2025), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2031), 1,
      sym_variable_name,
    ACTIONS(2033), 1,
      sym_test_operator,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(2092), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    STATE(5448), 1,
      sym_subscript,
    ACTIONS(1567), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2005), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2003), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(474), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1565), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [5568] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2103), 1,
      anon_sym_DOLLAR,
    ACTIONS(2106), 1,
      sym__special_character,
    ACTIONS(2109), 1,
      anon_sym_DQUOTE,
    ACTIONS(2112), 1,
      aux_sym_number_token1,
    ACTIONS(2115), 1,
      aux_sym_number_token2,
    ACTIONS(2118), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2121), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2124), 1,
      anon_sym_BQUOTE,
    ACTIONS(2127), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2133), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2136), 1,
      sym_variable_name,
    ACTIONS(2139), 1,
      sym_test_operator,
    ACTIONS(2142), 1,
      sym__brace_start,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    STATE(5448), 1,
      sym_subscript,
    ACTIONS(1636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2097), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2130), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2094), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(480), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1634), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [5675] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5748] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_DQUOTE,
    STATE(1032), 1,
      sym_string,
    ACTIONS(2149), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2145), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5820] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(779), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 33,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_do,
      anon_sym_if,
      anon_sym_then,
      anon_sym_fi,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [5884] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 1,
      anon_sym_DQUOTE,
    STATE(932), 1,
      sym_string,
    ACTIONS(1890), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(1888), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [5956] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2009), 1,
      anon_sym_DOLLAR,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2019), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(2153), 1,
      sym__special_character,
    ACTIONS(2155), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2157), 1,
      sym_variable_name,
    ACTIONS(2159), 1,
      sym_test_operator,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    STATE(5461), 1,
      sym_subscript,
    ACTIONS(1533), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2005), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2151), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(486), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1317), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1531), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [6060] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2103), 1,
      anon_sym_DOLLAR,
    ACTIONS(2109), 1,
      anon_sym_DQUOTE,
    ACTIONS(2112), 1,
      aux_sym_number_token1,
    ACTIONS(2115), 1,
      aux_sym_number_token2,
    ACTIONS(2118), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2121), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2124), 1,
      anon_sym_BQUOTE,
    ACTIONS(2127), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2142), 1,
      sym__brace_start,
    ACTIONS(2164), 1,
      sym__special_character,
    ACTIONS(2167), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2170), 1,
      sym_variable_name,
    ACTIONS(2173), 1,
      sym_test_operator,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    STATE(5461), 1,
      sym_subscript,
    ACTIONS(1636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2097), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2130), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2161), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(486), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1317), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1634), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [6166] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2186), 1,
      anon_sym_DOLLAR,
    ACTIONS(2188), 1,
      sym__special_character,
    ACTIONS(2190), 1,
      anon_sym_DQUOTE,
    ACTIONS(2192), 1,
      aux_sym_number_token1,
    ACTIONS(2194), 1,
      aux_sym_number_token2,
    ACTIONS(2196), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2198), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2200), 1,
      anon_sym_BQUOTE,
    ACTIONS(2202), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2206), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2208), 1,
      sym_test_operator,
    ACTIONS(2210), 1,
      sym__brace_start,
    STATE(1212), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2178), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2182), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2204), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(504), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2176), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(961), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2180), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [6268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_DQUOTE,
    STATE(1032), 1,
      sym_string,
    ACTIONS(2149), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2145), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6340] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6412] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    ACTIONS(2216), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2218), 1,
      sym__special_character,
    ACTIONS(2220), 1,
      sym_test_operator,
    STATE(547), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    STATE(3923), 1,
      sym_subshell,
    ACTIONS(1364), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2214), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2212), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1458), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1362), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [6526] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 1,
      anon_sym_DQUOTE,
    STATE(932), 1,
      sym_string,
    ACTIONS(1890), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(1888), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1079), 1,
      aux_sym__literal_repeat1,
    STATE(1330), 1,
      sym_concatenation,
    ACTIONS(2224), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(863), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6668] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6740] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6812] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2235), 1,
      anon_sym_DOLLAR,
    ACTIONS(2238), 1,
      sym__special_character,
    ACTIONS(2241), 1,
      anon_sym_DQUOTE,
    ACTIONS(2244), 1,
      aux_sym_number_token1,
    ACTIONS(2247), 1,
      aux_sym_number_token2,
    ACTIONS(2250), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2253), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2256), 1,
      anon_sym_BQUOTE,
    ACTIONS(2259), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2265), 1,
      sym_test_operator,
    ACTIONS(2268), 1,
      sym__brace_start,
    STATE(1217), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2229), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2262), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(495), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1900), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2226), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(998), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [6912] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1217), 1,
      aux_sym__literal_repeat1,
    STATE(495), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(998), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [6982] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2009), 1,
      anon_sym_DOLLAR,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2019), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2023), 1,
      anon_sym_BQUOTE,
    ACTIONS(2025), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(2153), 1,
      sym__special_character,
    ACTIONS(2157), 1,
      sym_variable_name,
    ACTIONS(2159), 1,
      sym_test_operator,
    ACTIONS(2271), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    STATE(5461), 1,
      sym_subscript,
    ACTIONS(1567), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2005), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2151), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(500), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1317), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1565), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [7088] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2186), 1,
      anon_sym_DOLLAR,
    ACTIONS(2188), 1,
      sym__special_character,
    ACTIONS(2190), 1,
      anon_sym_DQUOTE,
    ACTIONS(2192), 1,
      aux_sym_number_token1,
    ACTIONS(2194), 1,
      aux_sym_number_token2,
    ACTIONS(2196), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2198), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2200), 1,
      anon_sym_BQUOTE,
    ACTIONS(2202), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2208), 1,
      sym_test_operator,
    ACTIONS(2210), 1,
      sym__brace_start,
    ACTIONS(2277), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1212), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2178), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2204), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2275), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(487), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2176), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(961), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2273), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [7190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1217), 1,
      aux_sym__literal_repeat1,
    STATE(495), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(998), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7260] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2009), 1,
      anon_sym_DOLLAR,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2019), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2023), 1,
      anon_sym_BQUOTE,
    ACTIONS(2025), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(2153), 1,
      sym__special_character,
    ACTIONS(2155), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2157), 1,
      sym_variable_name,
    ACTIONS(2159), 1,
      sym_test_operator,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    STATE(5461), 1,
      sym_subscript,
    ACTIONS(1533), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2005), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2151), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(486), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1317), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1531), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [7366] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2009), 1,
      anon_sym_DOLLAR,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2019), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2025), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(2153), 1,
      sym__special_character,
    ACTIONS(2157), 1,
      sym_variable_name,
    ACTIONS(2159), 1,
      sym_test_operator,
    ACTIONS(2279), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    STATE(5461), 1,
      sym_subscript,
    ACTIONS(1567), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2005), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2151), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(485), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1317), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1565), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [7470] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    ACTIONS(2216), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2218), 1,
      sym__special_character,
    ACTIONS(2220), 1,
      sym_test_operator,
    STATE(541), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    STATE(4006), 1,
      sym_subshell,
    ACTIONS(1340), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2214), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2212), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1458), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1336), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [7584] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7656] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2291), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2294), 1,
      anon_sym_DOLLAR,
    ACTIONS(2297), 1,
      sym__special_character,
    ACTIONS(2300), 1,
      anon_sym_DQUOTE,
    ACTIONS(2303), 1,
      aux_sym_number_token1,
    ACTIONS(2306), 1,
      aux_sym_number_token2,
    ACTIONS(2309), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2312), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2315), 1,
      anon_sym_BQUOTE,
    ACTIONS(2318), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2324), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2327), 1,
      sym_test_operator,
    ACTIONS(2330), 1,
      sym__brace_start,
    STATE(1212), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2284), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2289), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2321), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(504), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2281), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(961), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2287), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [7758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1084), 1,
      aux_sym__literal_repeat1,
    STATE(1334), 1,
      sym_concatenation,
    ACTIONS(2335), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(862), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_DQUOTE,
    STATE(1051), 1,
      sym_string,
    ACTIONS(2339), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2337), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [7899] = 37,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(302), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(951), 1,
      sym__special_character,
    ACTIONS(957), 1,
      sym_variable_name,
    ACTIONS(959), 1,
      sym_test_operator,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2341), 1,
      sym_word,
    STATE(502), 1,
      sym_command_name,
    STATE(816), 1,
      aux_sym_command_repeat1,
    STATE(948), 1,
      aux_sym__literal_repeat1,
    STATE(1176), 1,
      sym_concatenation,
    STATE(1576), 1,
      sym_variable_assignment,
    STATE(4039), 1,
      sym_command,
    STATE(5430), 1,
      sym_subscript,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(953), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(4041), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1225), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [8030] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2349), 1,
      anon_sym_DOLLAR,
    ACTIONS(2351), 1,
      sym__special_character,
    ACTIONS(2353), 1,
      anon_sym_DQUOTE,
    ACTIONS(2355), 1,
      aux_sym_number_token1,
    ACTIONS(2357), 1,
      aux_sym_number_token2,
    ACTIONS(2359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_BQUOTE,
    ACTIONS(2365), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2369), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2371), 1,
      sym_test_operator,
    ACTIONS(2373), 1,
      sym__brace_start,
    STATE(1416), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2275), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2367), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(523), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2343), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1184), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2273), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [8131] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2384), 1,
      anon_sym_DOLLAR,
    ACTIONS(2387), 1,
      sym__special_character,
    ACTIONS(2390), 1,
      anon_sym_DQUOTE,
    ACTIONS(2393), 1,
      aux_sym_number_token1,
    ACTIONS(2396), 1,
      aux_sym_number_token2,
    ACTIONS(2399), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2402), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2405), 1,
      anon_sym_BQUOTE,
    ACTIONS(2408), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2414), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2417), 1,
      sym_test_operator,
    ACTIONS(2420), 1,
      sym__brace_start,
    STATE(1416), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2289), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2378), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2411), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(509), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2375), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1184), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2287), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [8232] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1420), 1,
      aux_sym__literal_repeat1,
    STATE(525), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1981), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(1091), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [8301] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2432), 1,
      anon_sym_DOLLAR,
    ACTIONS(2435), 1,
      sym__special_character,
    ACTIONS(2438), 1,
      anon_sym_DQUOTE,
    ACTIONS(2441), 1,
      aux_sym_number_token1,
    ACTIONS(2444), 1,
      aux_sym_number_token2,
    ACTIONS(2447), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2450), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2453), 1,
      anon_sym_BQUOTE,
    ACTIONS(2456), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2462), 1,
      sym_test_operator,
    ACTIONS(2465), 1,
      sym__brace_start,
    STATE(1524), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1900), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2426), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(511), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2423), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1186), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [8400] = 37,
    ACTIONS(13), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(45), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(51), 1,
      sym__special_character,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(75), 1,
      sym_variable_name,
    ACTIONS(77), 1,
      sym_test_operator,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2468), 1,
      sym_word,
    STATE(433), 1,
      sym_command_name,
    STATE(803), 1,
      aux_sym_command_repeat1,
    STATE(985), 1,
      aux_sym__literal_repeat1,
    STATE(1141), 1,
      sym_concatenation,
    STATE(1580), 1,
      sym_variable_assignment,
    STATE(4039), 1,
      sym_command,
    STATE(5469), 1,
      sym_subscript,
    ACTIONS(55), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(4041), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(813), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [8531] = 37,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(653), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(673), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(679), 1,
      sym__special_character,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(701), 1,
      sym_variable_name,
    ACTIONS(703), 1,
      sym_test_operator,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2470), 1,
      sym_word,
    STATE(428), 1,
      sym_command_name,
    STATE(759), 1,
      aux_sym_command_repeat1,
    STATE(827), 1,
      aux_sym__literal_repeat1,
    STATE(945), 1,
      sym_concatenation,
    STATE(1445), 1,
      sym_variable_assignment,
    STATE(3955), 1,
      sym_command,
    STATE(5383), 1,
      sym_subscript,
    ACTIONS(683), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(3962), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(732), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [8662] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2476), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(2478), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(2474), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2472), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [8729] = 37,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(169), 1,
      anon_sym_LBRACK,
    ACTIONS(173), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(217), 1,
      sym_variable_name,
    ACTIONS(963), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(969), 1,
      anon_sym_LPAREN,
    ACTIONS(977), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(981), 1,
      anon_sym_DOLLAR,
    ACTIONS(983), 1,
      sym__special_character,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1005), 1,
      sym_test_operator,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2480), 1,
      sym_word,
    STATE(516), 1,
      sym_command_name,
    STATE(806), 1,
      aux_sym_command_repeat1,
    STATE(1928), 1,
      aux_sym__literal_repeat1,
    STATE(1945), 1,
      sym_concatenation,
    STATE(2298), 1,
      sym_variable_assignment,
    STATE(4514), 1,
      sym_command,
    STATE(5431), 1,
      sym_subscript,
    ACTIONS(987), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(4510), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1487), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [8860] = 29,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(981), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(2482), 1,
      sym_word,
    ACTIONS(2486), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2488), 1,
      sym__special_character,
    ACTIONS(2492), 1,
      sym_test_operator,
    ACTIONS(2494), 1,
      sym__bare_dollar,
    STATE(617), 1,
      aux_sym_command_repeat2,
    STATE(1955), 1,
      aux_sym__literal_repeat1,
    STATE(2050), 1,
      sym_concatenation,
    STATE(2073), 1,
      sym_herestring_redirect,
    STATE(4522), 1,
      sym_subshell,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2490), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1336), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1738), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1340), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [8975] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2502), 1,
      anon_sym_DOLLAR,
    ACTIONS(2504), 1,
      sym__special_character,
    ACTIONS(2506), 1,
      anon_sym_DQUOTE,
    ACTIONS(2508), 1,
      aux_sym_number_token1,
    ACTIONS(2510), 1,
      aux_sym_number_token2,
    ACTIONS(2512), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2514), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2516), 1,
      anon_sym_BQUOTE,
    ACTIONS(2518), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2522), 1,
      sym_test_operator,
    ACTIONS(2524), 1,
      sym__brace_start,
    STATE(1524), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2498), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2520), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(511), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2496), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1186), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [9074] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 1,
      anon_sym_DQUOTE,
    STATE(1145), 1,
      sym_string,
    ACTIONS(2530), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2526), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9145] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(2532), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(2474), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2472), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [9212] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 1,
      anon_sym_DQUOTE,
    STATE(1145), 1,
      sym_string,
    ACTIONS(2530), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2526), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9283] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_DQUOTE,
    STATE(1051), 1,
      sym_string,
    ACTIONS(2339), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2337), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9425] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2349), 1,
      anon_sym_DOLLAR,
    ACTIONS(2351), 1,
      sym__special_character,
    ACTIONS(2353), 1,
      anon_sym_DQUOTE,
    ACTIONS(2355), 1,
      aux_sym_number_token1,
    ACTIONS(2357), 1,
      aux_sym_number_token2,
    ACTIONS(2359), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2363), 1,
      anon_sym_BQUOTE,
    ACTIONS(2365), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2371), 1,
      sym_test_operator,
    ACTIONS(2373), 1,
      sym__brace_start,
    ACTIONS(2536), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1416), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2182), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2345), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2367), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(509), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2343), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1184), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2180), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [9526] = 37,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(395), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(435), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(441), 1,
      sym__special_character,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(463), 1,
      sym_variable_name,
    ACTIONS(465), 1,
      sym_test_operator,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2538), 1,
      sym_word,
    STATE(426), 1,
      sym_command_name,
    STATE(757), 1,
      aux_sym__literal_repeat1,
    STATE(758), 1,
      aux_sym_command_repeat1,
    STATE(931), 1,
      sym_concatenation,
    STATE(1397), 1,
      sym_variable_assignment,
    STATE(3955), 1,
      sym_command,
    STATE(5418), 1,
      sym_subscript,
    ACTIONS(445), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(3962), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(674), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [9657] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2549), 1,
      anon_sym_DOLLAR,
    ACTIONS(2552), 1,
      sym__special_character,
    ACTIONS(2555), 1,
      anon_sym_DQUOTE,
    ACTIONS(2558), 1,
      aux_sym_number_token1,
    ACTIONS(2561), 1,
      aux_sym_number_token2,
    ACTIONS(2564), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2567), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2570), 1,
      anon_sym_BQUOTE,
    ACTIONS(2573), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2579), 1,
      sym_test_operator,
    ACTIONS(2582), 1,
      sym__brace_start,
    STATE(1420), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2543), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2576), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(525), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2540), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(1900), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(1091), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [9756] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2502), 1,
      anon_sym_DOLLAR,
    ACTIONS(2504), 1,
      sym__special_character,
    ACTIONS(2506), 1,
      anon_sym_DQUOTE,
    ACTIONS(2508), 1,
      aux_sym_number_token1,
    ACTIONS(2510), 1,
      aux_sym_number_token2,
    ACTIONS(2512), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2514), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2516), 1,
      anon_sym_BQUOTE,
    ACTIONS(2518), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2522), 1,
      sym_test_operator,
    ACTIONS(2524), 1,
      sym__brace_start,
    STATE(1524), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2498), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2520), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(511), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2496), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1186), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [9855] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    STATE(538), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1174), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [9924] = 37,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(302), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(308), 1,
      sym__special_character,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(330), 1,
      sym_variable_name,
    ACTIONS(332), 1,
      sym_test_operator,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2585), 1,
      sym_word,
    STATE(439), 1,
      sym_command_name,
    STATE(814), 1,
      aux_sym_command_repeat1,
    STATE(948), 1,
      aux_sym__literal_repeat1,
    STATE(1176), 1,
      sym_concatenation,
    STATE(1900), 1,
      sym_variable_assignment,
    STATE(4039), 1,
      sym_command,
    STATE(5438), 1,
      sym_subscript,
    ACTIONS(312), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(4041), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(925), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [10055] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2532), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(2534), 2,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
    ACTIONS(2474), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2472), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [10122] = 37,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(278), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(302), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(308), 1,
      sym__special_character,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(330), 1,
      sym_variable_name,
    ACTIONS(332), 1,
      sym_test_operator,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2585), 1,
      sym_word,
    STATE(437), 1,
      sym_command_name,
    STATE(788), 1,
      aux_sym_command_repeat1,
    STATE(948), 1,
      aux_sym__literal_repeat1,
    STATE(1176), 1,
      sym_concatenation,
    STATE(1576), 1,
      sym_variable_assignment,
    STATE(4039), 1,
      sym_command,
    STATE(5438), 1,
      sym_subscript,
    ACTIONS(312), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(4041), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(925), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [10253] = 37,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(137), 1,
      sym_variable_name,
    ACTIONS(278), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(302), 1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(741), 1,
      sym__special_character,
    ACTIONS(745), 1,
      sym_test_operator,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2587), 1,
      sym_word,
    STATE(431), 1,
      sym_command_name,
    STATE(812), 1,
      aux_sym_command_repeat1,
    STATE(948), 1,
      aux_sym__literal_repeat1,
    STATE(1176), 1,
      sym_concatenation,
    STATE(1576), 1,
      sym_variable_assignment,
    STATE(4039), 1,
      sym_command,
    STATE(5403), 1,
      sym_subscript,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(743), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    STATE(4041), 2,
      sym_subshell,
      sym_test_command,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(782), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [10384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1420), 1,
      aux_sym__literal_repeat1,
    STATE(525), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1943), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(1091), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [10453] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2476), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(2478), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(2474), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2472), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [10520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    STATE(538), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1174), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [10589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1386), 1,
      aux_sym__literal_repeat1,
    STATE(1418), 1,
      sym_concatenation,
    ACTIONS(2224), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1011), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [10658] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [10729] = 29,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(981), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(2482), 1,
      sym_word,
    ACTIONS(2486), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2488), 1,
      sym__special_character,
    ACTIONS(2492), 1,
      sym_test_operator,
    ACTIONS(2494), 1,
      sym__bare_dollar,
    STATE(600), 1,
      aux_sym_command_repeat2,
    STATE(1955), 1,
      aux_sym__literal_repeat1,
    STATE(2050), 1,
      sym_concatenation,
    STATE(2073), 1,
      sym_herestring_redirect,
    STATE(4521), 1,
      sym_subshell,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2490), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1362), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1738), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1364), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [10844] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2598), 1,
      anon_sym_DOLLAR,
    ACTIONS(2601), 1,
      sym__special_character,
    ACTIONS(2604), 1,
      anon_sym_DQUOTE,
    ACTIONS(2607), 1,
      aux_sym_number_token1,
    ACTIONS(2610), 1,
      aux_sym_number_token2,
    ACTIONS(2613), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_BQUOTE,
    ACTIONS(2622), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2628), 1,
      sym_test_operator,
    ACTIONS(2631), 1,
      sym__brace_start,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2592), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2625), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(538), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1900), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2589), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1174), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [10943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1394), 1,
      aux_sym__literal_repeat1,
    STATE(1413), 1,
      sym_concatenation,
    ACTIONS(2335), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1002), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [11012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1515), 1,
      aux_sym__literal_repeat1,
    STATE(1631), 1,
      sym_concatenation,
    ACTIONS(2224), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1146), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [11080] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    ACTIONS(2216), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2218), 1,
      sym__special_character,
    ACTIONS(2220), 1,
      sym_test_operator,
    STATE(546), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1481), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2214), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2212), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1458), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1479), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [11188] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2640), 1,
      anon_sym_DOLLAR,
    ACTIONS(2642), 1,
      sym__special_character,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2650), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2654), 1,
      anon_sym_BQUOTE,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2660), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2662), 1,
      sym_test_operator,
    ACTIONS(2664), 1,
      sym__brace_start,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2275), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2636), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2658), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(576), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2634), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1219), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2273), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [11288] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2672), 1,
      anon_sym_DOLLAR,
    ACTIONS(2674), 1,
      sym__special_character,
    ACTIONS(2676), 1,
      anon_sym_DQUOTE,
    ACTIONS(2678), 1,
      aux_sym_number_token1,
    ACTIONS(2680), 1,
      aux_sym_number_token2,
    ACTIONS(2682), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2684), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2686), 1,
      anon_sym_BQUOTE,
    ACTIONS(2688), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2692), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2694), 1,
      sym_test_operator,
    ACTIONS(2696), 1,
      sym__brace_start,
    STATE(1577), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2668), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2690), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(559), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2182), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2666), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1376), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2180), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [11388] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2707), 1,
      anon_sym_DOLLAR,
    ACTIONS(2710), 1,
      sym__special_character,
    ACTIONS(2713), 1,
      anon_sym_DQUOTE,
    ACTIONS(2716), 1,
      aux_sym_number_token1,
    ACTIONS(2719), 1,
      aux_sym_number_token2,
    ACTIONS(2722), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2725), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2728), 1,
      anon_sym_BQUOTE,
    ACTIONS(2731), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2737), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2740), 1,
      sym_test_operator,
    ACTIONS(2743), 1,
      sym__brace_start,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2289), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2701), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2734), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(544), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2698), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1219), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2287), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [11488] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2755), 1,
      anon_sym_DOLLAR,
    ACTIONS(2758), 1,
      sym__special_character,
    ACTIONS(2761), 1,
      anon_sym_DQUOTE,
    ACTIONS(2764), 1,
      aux_sym_number_token1,
    ACTIONS(2767), 1,
      aux_sym_number_token2,
    ACTIONS(2770), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2773), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2776), 1,
      anon_sym_BQUOTE,
    ACTIONS(2779), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2785), 1,
      sym_test_operator,
    ACTIONS(2788), 1,
      sym__brace_start,
    STATE(1769), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1900), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2749), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2782), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(545), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2746), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1355), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [11586] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1786), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1789), 1,
      anon_sym_DOLLAR,
    ACTIONS(1795), 1,
      anon_sym_DQUOTE,
    ACTIONS(1798), 1,
      aux_sym_number_token1,
    ACTIONS(1801), 1,
      aux_sym_number_token2,
    ACTIONS(1804), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1807), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1810), 1,
      anon_sym_BQUOTE,
    ACTIONS(1813), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1825), 1,
      sym__bare_dollar,
    ACTIONS(1828), 1,
      sym__brace_start,
    ACTIONS(2797), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2800), 1,
      sym__special_character,
    ACTIONS(2803), 1,
      sym_file_descriptor,
    ACTIONS(2806), 1,
      sym_test_operator,
    STATE(546), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    ACTIONS(1777), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1816), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2794), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2791), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1458), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1398), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [11696] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1461), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    ACTIONS(1467), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
    ACTIONS(1471), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1477), 1,
      sym__bare_dollar,
    ACTIONS(2216), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2218), 1,
      sym__special_character,
    ACTIONS(2220), 1,
      sym_test_operator,
    STATE(546), 1,
      aux_sym_command_repeat2,
    STATE(1110), 1,
      aux_sym__literal_repeat1,
    STATE(1314), 1,
      sym_concatenation,
    STATE(1324), 1,
      sym_herestring_redirect,
    ACTIONS(1455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1473), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2214), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2212), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1458), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1509), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [11804] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 1,
      anon_sym_DQUOTE,
    STATE(1065), 1,
      sym_string,
    ACTIONS(2811), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2809), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [11874] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2598), 1,
      anon_sym_DOLLAR,
    ACTIONS(2604), 1,
      anon_sym_DQUOTE,
    ACTIONS(2607), 1,
      aux_sym_number_token1,
    ACTIONS(2610), 1,
      aux_sym_number_token2,
    ACTIONS(2613), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_BQUOTE,
    ACTIONS(2622), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2631), 1,
      sym__brace_start,
    ACTIONS(2816), 1,
      sym__special_character,
    ACTIONS(2819), 1,
      sym_test_operator,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2592), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2625), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(549), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1900), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2813), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1319), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [11972] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 1,
      anon_sym_DQUOTE,
    STATE(1312), 1,
      sym_string,
    ACTIONS(2826), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(2822), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12042] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(171), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    ACTIONS(2830), 1,
      anon_sym_BANG,
    ACTIONS(2836), 1,
      anon_sym_TILDE,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(2840), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2842), 1,
      sym_variable_name,
    STATE(1932), 1,
      sym_command_substitution,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    STATE(2440), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2832), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2834), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1931), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2109), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2423), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [12170] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 1,
      anon_sym_DQUOTE,
    STATE(1065), 1,
      sym_string,
    ACTIONS(2811), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2809), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12240] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1430), 1,
      aux_sym__literal_repeat1,
    STATE(1753), 1,
      sym_concatenation,
    ACTIONS(2335), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(1126), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12308] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2506), 1,
      anon_sym_DQUOTE,
    STATE(1277), 1,
      sym_string,
    ACTIONS(2846), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2844), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    STATE(549), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1319), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12446] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1433), 1,
      aux_sym__literal_repeat1,
    STATE(1748), 1,
      sym_concatenation,
    ACTIONS(2335), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1090), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12514] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2506), 1,
      anon_sym_DQUOTE,
    STATE(1277), 1,
      sym_string,
    ACTIONS(2846), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2844), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12584] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    STATE(549), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1319), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [12652] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2854), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2857), 1,
      anon_sym_DOLLAR,
    ACTIONS(2860), 1,
      sym__special_character,
    ACTIONS(2863), 1,
      anon_sym_DQUOTE,
    ACTIONS(2866), 1,
      aux_sym_number_token1,
    ACTIONS(2869), 1,
      aux_sym_number_token2,
    ACTIONS(2872), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2875), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2878), 1,
      anon_sym_BQUOTE,
    ACTIONS(2881), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2887), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2890), 1,
      sym_test_operator,
    ACTIONS(2893), 1,
      sym__brace_start,
    STATE(1577), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2851), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2884), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(559), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2289), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2848), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1376), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2287), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [12752] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2900), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2902), 1,
      anon_sym_DOLLAR,
    ACTIONS(2904), 1,
      sym__special_character,
    ACTIONS(2906), 1,
      anon_sym_DQUOTE,
    ACTIONS(2908), 1,
      aux_sym_number_token1,
    ACTIONS(2910), 1,
      aux_sym_number_token2,
    ACTIONS(2912), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2914), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2916), 1,
      anon_sym_BQUOTE,
    ACTIONS(2918), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2922), 1,
      sym_test_operator,
    ACTIONS(2924), 1,
      sym__brace_start,
    STATE(1769), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2898), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2920), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(545), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2896), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1355), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [12850] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2900), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2902), 1,
      anon_sym_DOLLAR,
    ACTIONS(2904), 1,
      sym__special_character,
    ACTIONS(2906), 1,
      anon_sym_DQUOTE,
    ACTIONS(2908), 1,
      aux_sym_number_token1,
    ACTIONS(2910), 1,
      aux_sym_number_token2,
    ACTIONS(2912), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2914), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2916), 1,
      anon_sym_BQUOTE,
    ACTIONS(2918), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2922), 1,
      sym_test_operator,
    ACTIONS(2924), 1,
      sym__brace_start,
    STATE(1769), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2898), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2920), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(545), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(2896), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1355), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [12948] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DQUOTE,
    STATE(1078), 1,
      sym_string,
    ACTIONS(2928), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2926), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [13018] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    ACTIONS(2938), 1,
      sym__special_character,
    ACTIONS(2940), 1,
      anon_sym_DQUOTE,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2946), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2950), 1,
      anon_sym_BQUOTE,
    ACTIONS(2952), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2956), 1,
      sym_test_operator,
    ACTIONS(2958), 1,
      sym__brace_start,
    STATE(3638), 1,
      aux_sym__literal_repeat1,
    STATE(3993), 1,
      sym_concatenation,
    ACTIONS(2335), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2932), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2954), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2930), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3625), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [13116] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    ACTIONS(2830), 1,
      anon_sym_BANG,
    ACTIONS(2836), 1,
      anon_sym_TILDE,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(2960), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1932), 1,
      sym_command_substitution,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    STATE(2547), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2832), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2834), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1931), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2109), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2415), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [13244] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    ACTIONS(2830), 1,
      anon_sym_BANG,
    ACTIONS(2836), 1,
      anon_sym_TILDE,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(2962), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1932), 1,
      sym_command_substitution,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    STATE(2547), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2832), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2834), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1931), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2109), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2424), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [13372] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_DQUOTE,
    STATE(1353), 1,
      sym_string,
    ACTIONS(2968), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2964), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [13442] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(171), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    ACTIONS(2830), 1,
      anon_sym_BANG,
    ACTIONS(2836), 1,
      anon_sym_TILDE,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(2970), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1932), 1,
      sym_command_substitution,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    STATE(2440), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2832), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2834), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1931), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2109), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2360), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [13570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1547), 1,
      aux_sym__literal_repeat1,
    STATE(1742), 1,
      sym_concatenation,
    ACTIONS(2224), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(1155), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [13638] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2672), 1,
      anon_sym_DOLLAR,
    ACTIONS(2674), 1,
      sym__special_character,
    ACTIONS(2676), 1,
      anon_sym_DQUOTE,
    ACTIONS(2678), 1,
      aux_sym_number_token1,
    ACTIONS(2680), 1,
      aux_sym_number_token2,
    ACTIONS(2682), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2684), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2686), 1,
      anon_sym_BQUOTE,
    ACTIONS(2688), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2694), 1,
      sym_test_operator,
    ACTIONS(2696), 1,
      sym__brace_start,
    ACTIONS(2972), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1577), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2668), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2690), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(543), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2275), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2666), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1376), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2273), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [13738] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_DQUOTE,
    STATE(1353), 1,
      sym_string,
    ACTIONS(2968), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2964), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [13808] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 1,
      anon_sym_DQUOTE,
    STATE(1312), 1,
      sym_string,
    ACTIONS(2826), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(2822), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [13878] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    ACTIONS(2830), 1,
      anon_sym_BANG,
    ACTIONS(2836), 1,
      anon_sym_TILDE,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(2974), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1932), 1,
      sym_command_substitution,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    STATE(2578), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2832), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2834), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1931), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2109), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2364), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [14006] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    ACTIONS(2938), 1,
      sym__special_character,
    ACTIONS(2940), 1,
      anon_sym_DQUOTE,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2946), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2950), 1,
      anon_sym_BQUOTE,
    ACTIONS(2952), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2958), 1,
      sym__brace_start,
    ACTIONS(2978), 1,
      sym_test_operator,
    STATE(3672), 1,
      aux_sym__literal_repeat1,
    STATE(3990), 1,
      sym_concatenation,
    ACTIONS(2224), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2932), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2954), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2976), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3615), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [14104] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DQUOTE,
    STATE(1078), 1,
      sym_string,
    ACTIONS(2928), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2926), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [14174] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    ACTIONS(2830), 1,
      anon_sym_BANG,
    ACTIONS(2836), 1,
      anon_sym_TILDE,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(2980), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1932), 1,
      sym_command_substitution,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    STATE(2547), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2832), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2834), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1931), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2109), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2335), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [14302] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2640), 1,
      anon_sym_DOLLAR,
    ACTIONS(2642), 1,
      sym__special_character,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2650), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2654), 1,
      anon_sym_BQUOTE,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2662), 1,
      sym_test_operator,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(2982), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2182), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2636), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2658), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(544), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2634), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1219), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2180), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [14402] = 36,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    ACTIONS(2830), 1,
      anon_sym_BANG,
    ACTIONS(2836), 1,
      anon_sym_TILDE,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(2984), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1932), 1,
      sym_command_substitution,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    STATE(2578), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2832), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2834), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1931), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2109), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2434), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [14530] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_DQUOTE,
    STATE(1535), 1,
      sym_string,
    ACTIONS(2988), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2986), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [14599] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [14668] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2990), 1,
      anon_sym_LPAREN,
    ACTIONS(2992), 1,
      anon_sym_BANG,
    ACTIONS(2998), 1,
      anon_sym_TILDE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    ACTIONS(3002), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3004), 1,
      sym_variable_name,
    STATE(2119), 1,
      sym_command_substitution,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2462), 1,
      sym__expression,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2994), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2996), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2112), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2114), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2709), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [14793] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2990), 1,
      anon_sym_LPAREN,
    ACTIONS(2992), 1,
      anon_sym_BANG,
    ACTIONS(2998), 1,
      anon_sym_TILDE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(3006), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2119), 1,
      sym_command_substitution,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2467), 1,
      sym__expression,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2994), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2996), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2112), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2114), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2711), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [14918] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2990), 1,
      anon_sym_LPAREN,
    ACTIONS(2992), 1,
      anon_sym_BANG,
    ACTIONS(2998), 1,
      anon_sym_TILDE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(3008), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2119), 1,
      sym_command_substitution,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2441), 1,
      sym__expression,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2994), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2996), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2112), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2114), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2714), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [15043] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2640), 1,
      anon_sym_DOLLAR,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2650), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2654), 1,
      anon_sym_BQUOTE,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(3012), 1,
      sym__special_character,
    ACTIONS(3014), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3016), 1,
      sym_test_operator,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2275), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2636), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2658), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(587), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3010), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1453), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2273), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [15142] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2640), 1,
      anon_sym_DOLLAR,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2650), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(3012), 1,
      sym__special_character,
    ACTIONS(3016), 1,
      sym_test_operator,
    ACTIONS(3018), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2275), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2636), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2658), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(586), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3010), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1453), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2273), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [15239] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2100), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2103), 1,
      anon_sym_DOLLAR,
    ACTIONS(2109), 1,
      anon_sym_DQUOTE,
    ACTIONS(2112), 1,
      aux_sym_number_token1,
    ACTIONS(2115), 1,
      aux_sym_number_token2,
    ACTIONS(2118), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2121), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2124), 1,
      anon_sym_BQUOTE,
    ACTIONS(2127), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2142), 1,
      sym__brace_start,
    ACTIONS(3023), 1,
      sym__special_character,
    ACTIONS(3026), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3029), 1,
      sym_variable_name,
    ACTIONS(3032), 1,
      sym_test_operator,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    STATE(5401), 1,
      sym_subscript,
    ACTIONS(1636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2097), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2130), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3020), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(585), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1889), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1634), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [15342] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2640), 1,
      anon_sym_DOLLAR,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2650), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(3012), 1,
      sym__special_character,
    ACTIONS(3016), 1,
      sym_test_operator,
    ACTIONS(3035), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2182), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2636), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2658), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(609), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3010), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1453), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2180), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [15439] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2640), 1,
      anon_sym_DOLLAR,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2650), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2654), 1,
      anon_sym_BQUOTE,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(3012), 1,
      sym__special_character,
    ACTIONS(3016), 1,
      sym_test_operator,
    ACTIONS(3035), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2182), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2636), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2658), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(609), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3010), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1453), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2180), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [15538] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    ACTIONS(2940), 1,
      anon_sym_DQUOTE,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2946), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2950), 1,
      anon_sym_BQUOTE,
    ACTIONS(2952), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2958), 1,
      sym__brace_start,
    ACTIONS(3039), 1,
      sym__special_character,
    ACTIONS(3041), 1,
      sym_test_operator,
    STATE(3672), 1,
      aux_sym__literal_repeat1,
    STATE(3990), 1,
      sym_concatenation,
    ACTIONS(2224), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2932), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2954), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3037), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3646), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [15635] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    ACTIONS(2940), 1,
      anon_sym_DQUOTE,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2946), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2950), 1,
      anon_sym_BQUOTE,
    ACTIONS(2952), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2958), 1,
      sym__brace_start,
    ACTIONS(3039), 1,
      sym__special_character,
    ACTIONS(3045), 1,
      sym_test_operator,
    STATE(3638), 1,
      aux_sym__literal_repeat1,
    STATE(3993), 1,
      sym_concatenation,
    ACTIONS(2335), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2932), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2954), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3043), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3650), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [15732] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2990), 1,
      anon_sym_LPAREN,
    ACTIONS(2992), 1,
      anon_sym_BANG,
    ACTIONS(2998), 1,
      anon_sym_TILDE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(3047), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2119), 1,
      sym_command_substitution,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2484), 1,
      sym__expression,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2994), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2996), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2112), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2114), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2675), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [15857] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2009), 1,
      anon_sym_DOLLAR,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2019), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2023), 1,
      anon_sym_BQUOTE,
    ACTIONS(2025), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(3051), 1,
      sym__special_character,
    ACTIONS(3053), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3055), 1,
      sym_variable_name,
    ACTIONS(3057), 1,
      sym_test_operator,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    STATE(5401), 1,
      sym_subscript,
    ACTIONS(1533), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2005), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3049), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(585), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1889), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1531), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [15960] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    STATE(1388), 1,
      sym_string,
    ACTIONS(3061), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3059), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16029] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    STATE(1388), 1,
      sym_string,
    ACTIONS(3061), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3059), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16098] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16167] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3071), 1,
      sym__special_character,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3079), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_BQUOTE,
    ACTIONS(3085), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3089), 1,
      sym_test_operator,
    ACTIONS(3091), 1,
      sym__brace_start,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3065), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(606), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3063), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1510), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [16264] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3071), 1,
      sym__special_character,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3079), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_BQUOTE,
    ACTIONS(3085), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3089), 1,
      sym_test_operator,
    ACTIONS(3091), 1,
      sym__brace_start,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3065), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(606), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3063), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1510), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [16361] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR,
    ACTIONS(3101), 1,
      sym__special_character,
    ACTIONS(3103), 1,
      anon_sym_DQUOTE,
    ACTIONS(3105), 1,
      aux_sym_number_token1,
    ACTIONS(3107), 1,
      aux_sym_number_token2,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3113), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3119), 1,
      sym_test_operator,
    ACTIONS(3121), 1,
      sym__brace_start,
    STATE(1910), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3117), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(598), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1943), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3093), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1407), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [16458] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3132), 1,
      anon_sym_DOLLAR,
    ACTIONS(3135), 1,
      sym__special_character,
    ACTIONS(3138), 1,
      anon_sym_DQUOTE,
    ACTIONS(3141), 1,
      aux_sym_number_token1,
    ACTIONS(3144), 1,
      aux_sym_number_token2,
    ACTIONS(3147), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3150), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3153), 1,
      anon_sym_BQUOTE,
    ACTIONS(3156), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3162), 1,
      sym_test_operator,
    ACTIONS(3165), 1,
      sym__brace_start,
    STATE(1910), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3126), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3159), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(598), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1900), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3123), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1407), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [16555] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    ACTIONS(2830), 1,
      anon_sym_BANG,
    ACTIONS(2836), 1,
      anon_sym_TILDE,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(3168), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1932), 1,
      sym_command_substitution,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2241), 1,
      sym__expression,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2832), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2834), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1931), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2109), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2285), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [16680] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(981), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(2482), 1,
      sym_word,
    ACTIONS(2486), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2488), 1,
      sym__special_character,
    ACTIONS(2492), 1,
      sym_test_operator,
    ACTIONS(2494), 1,
      sym__bare_dollar,
    STATE(601), 1,
      aux_sym_command_repeat2,
    STATE(1955), 1,
      aux_sym__literal_repeat1,
    STATE(2050), 1,
      sym_concatenation,
    STATE(2073), 1,
      sym_herestring_redirect,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2490), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1509), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1738), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1511), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [16789] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3170), 1,
      sym_word,
    ACTIONS(3179), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(3182), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3185), 1,
      anon_sym_DOLLAR,
    ACTIONS(3188), 1,
      sym__special_character,
    ACTIONS(3191), 1,
      anon_sym_DQUOTE,
    ACTIONS(3197), 1,
      aux_sym_number_token1,
    ACTIONS(3200), 1,
      aux_sym_number_token2,
    ACTIONS(3203), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3206), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_BQUOTE,
    ACTIONS(3212), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3218), 1,
      sym_file_descriptor,
    ACTIONS(3221), 1,
      sym_test_operator,
    ACTIONS(3224), 1,
      sym__bare_dollar,
    ACTIONS(3227), 1,
      sym__brace_start,
    STATE(601), 1,
      aux_sym_command_repeat2,
    STATE(1955), 1,
      aux_sym__literal_repeat1,
    STATE(2050), 1,
      sym_concatenation,
    STATE(2073), 1,
      sym_herestring_redirect,
    ACTIONS(3173), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3176), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(3194), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3215), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1398), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1403), 9,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
    STATE(1738), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [16900] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_DQUOTE,
    STATE(1353), 1,
      sym_string,
    ACTIONS(2968), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2964), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [16969] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_DQUOTE,
    STATE(1285), 1,
      sym_string,
    ACTIONS(3232), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(3230), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [17038] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_DQUOTE,
    STATE(1285), 1,
      sym_string,
    ACTIONS(3232), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(3230), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [17107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1515), 1,
      aux_sym__literal_repeat1,
    STATE(1631), 1,
      sym_concatenation,
    ACTIONS(2224), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1309), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [17174] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3240), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3243), 1,
      anon_sym_DOLLAR,
    ACTIONS(3246), 1,
      sym__special_character,
    ACTIONS(3249), 1,
      anon_sym_DQUOTE,
    ACTIONS(3252), 1,
      aux_sym_number_token1,
    ACTIONS(3255), 1,
      aux_sym_number_token2,
    ACTIONS(3258), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_BQUOTE,
    ACTIONS(3267), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3273), 1,
      sym_test_operator,
    ACTIONS(3276), 1,
      sym__brace_start,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1900), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3237), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3270), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(606), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3234), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1510), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [17271] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3097), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR,
    ACTIONS(3101), 1,
      sym__special_character,
    ACTIONS(3103), 1,
      anon_sym_DQUOTE,
    ACTIONS(3105), 1,
      aux_sym_number_token1,
    ACTIONS(3107), 1,
      aux_sym_number_token2,
    ACTIONS(3109), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3113), 1,
      anon_sym_BQUOTE,
    ACTIONS(3115), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3119), 1,
      sym_test_operator,
    ACTIONS(3121), 1,
      sym__brace_start,
    STATE(1910), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3095), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3117), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(598), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1981), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3093), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1407), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [17368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1433), 1,
      aux_sym__literal_repeat1,
    STATE(1748), 1,
      sym_concatenation,
    ACTIONS(2335), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1304), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [17435] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2707), 1,
      anon_sym_DOLLAR,
    ACTIONS(2713), 1,
      anon_sym_DQUOTE,
    ACTIONS(2716), 1,
      aux_sym_number_token1,
    ACTIONS(2719), 1,
      aux_sym_number_token2,
    ACTIONS(2722), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2725), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2728), 1,
      anon_sym_BQUOTE,
    ACTIONS(2731), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2743), 1,
      sym__brace_start,
    ACTIONS(3282), 1,
      sym__special_character,
    ACTIONS(3285), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3288), 1,
      sym_test_operator,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2289), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2701), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2734), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(609), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3279), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1453), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2287), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [17534] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2990), 1,
      anon_sym_LPAREN,
    ACTIONS(2992), 1,
      anon_sym_BANG,
    ACTIONS(2998), 1,
      anon_sym_TILDE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(3291), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2119), 1,
      sym_command_substitution,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2600), 1,
      sym__expression,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2994), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2996), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2112), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2114), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2683), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [17659] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    ACTIONS(2830), 1,
      anon_sym_BANG,
    ACTIONS(2836), 1,
      anon_sym_TILDE,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(3293), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1932), 1,
      sym_command_substitution,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    STATE(2603), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2832), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2834), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1931), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2109), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2290), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [17784] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2009), 1,
      anon_sym_DOLLAR,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2019), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2023), 1,
      anon_sym_BQUOTE,
    ACTIONS(2025), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(3051), 1,
      sym__special_character,
    ACTIONS(3055), 1,
      sym_variable_name,
    ACTIONS(3057), 1,
      sym_test_operator,
    ACTIONS(3295), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1542), 1,
      aux_sym__literal_repeat1,
    STATE(5401), 1,
      sym_subscript,
    ACTIONS(1567), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2005), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2027), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3049), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(591), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    STATE(1889), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1565), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [17887] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_DQUOTE,
    STATE(1353), 1,
      sym_string,
    ACTIONS(2968), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2964), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [17956] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_DQUOTE,
    STATE(1535), 1,
      sym_string,
    ACTIONS(2988), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2986), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18025] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_DQUOTE,
    STATE(1398), 1,
      sym_string,
    ACTIONS(3299), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3297), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18094] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_DQUOTE,
    STATE(1398), 1,
      sym_string,
    ACTIONS(3299), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3297), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18163] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(981), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(2482), 1,
      sym_word,
    ACTIONS(2486), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(2488), 1,
      sym__special_character,
    ACTIONS(2492), 1,
      sym_test_operator,
    ACTIONS(2494), 1,
      sym__bare_dollar,
    STATE(601), 1,
      aux_sym_command_repeat2,
    STATE(1955), 1,
      aux_sym__literal_repeat1,
    STATE(2050), 1,
      sym_concatenation,
    STATE(2073), 1,
      sym_herestring_redirect,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2484), 2,
      anon_sym_EQ_EQ,
      anon_sym_EQ_TILDE,
    ACTIONS(2490), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1479), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1738), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1481), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [18272] = 35,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2828), 1,
      anon_sym_LPAREN,
    ACTIONS(2830), 1,
      anon_sym_BANG,
    ACTIONS(2836), 1,
      anon_sym_TILDE,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(3301), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1932), 1,
      sym_command_substitution,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    STATE(2610), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2832), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(2834), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(1931), 4,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
    STATE(2109), 4,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_process_substitution,
    STATE(2277), 4,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
  [18397] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_DQUOTE,
    STATE(1520), 1,
      sym_string,
    ACTIONS(3305), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(3303), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18465] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(779), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [18525] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3315), 1,
      sym__special_character,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3323), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3327), 1,
      anon_sym_BQUOTE,
    ACTIONS(3329), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3333), 1,
      sym_test_operator,
    ACTIONS(3335), 1,
      sym__brace_start,
    STATE(3697), 1,
      aux_sym__literal_repeat1,
    STATE(4044), 1,
      sym_concatenation,
    ACTIONS(3309), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3331), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2224), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3307), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3767), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [18621] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18689] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    STATE(1734), 1,
      sym_string,
    ACTIONS(3339), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3337), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18825] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3079), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(3343), 1,
      sym__special_character,
    ACTIONS(3345), 1,
      sym_test_operator,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3065), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(629), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3341), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1641), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [18919] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    STATE(1734), 1,
      sym_string,
    ACTIONS(3339), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3337), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [18987] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    STATE(1388), 1,
      sym_string,
    ACTIONS(3061), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3059), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19055] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3079), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3085), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(3343), 1,
      sym__special_character,
    ACTIONS(3345), 1,
      sym_test_operator,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3065), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(629), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3341), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1641), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [19149] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3240), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3243), 1,
      anon_sym_DOLLAR,
    ACTIONS(3249), 1,
      anon_sym_DQUOTE,
    ACTIONS(3252), 1,
      aux_sym_number_token1,
    ACTIONS(3255), 1,
      aux_sym_number_token2,
    ACTIONS(3258), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_BQUOTE,
    ACTIONS(3267), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3276), 1,
      sym__brace_start,
    ACTIONS(3350), 1,
      sym__special_character,
    ACTIONS(3353), 1,
      sym_test_operator,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1900), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3237), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3270), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(629), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3347), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1641), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [19245] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3323), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3327), 1,
      anon_sym_BQUOTE,
    ACTIONS(3329), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(3358), 1,
      sym__special_character,
    ACTIONS(3360), 1,
      sym_test_operator,
    STATE(3697), 1,
      aux_sym__literal_repeat1,
    STATE(4044), 1,
      sym_concatenation,
    ACTIONS(2224), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3309), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3331), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3356), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3878), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [19341] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(779), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(515), 29,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_done,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [19401] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3323), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3327), 1,
      anon_sym_BQUOTE,
    ACTIONS(3329), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(3358), 1,
      sym__special_character,
    ACTIONS(3364), 1,
      sym_test_operator,
    STATE(3661), 1,
      aux_sym__literal_repeat1,
    STATE(3970), 1,
      sym_concatenation,
    ACTIONS(2335), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3309), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3331), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3362), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3871), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [19497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_DQUOTE,
    STATE(1681), 1,
      sym_string,
    ACTIONS(3368), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(3366), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19565] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 1,
      anon_sym_DQUOTE,
    STATE(1585), 1,
      sym_string,
    ACTIONS(3374), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(3370), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19633] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_DQUOTE,
    STATE(1681), 1,
      sym_string,
    ACTIONS(3368), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(3366), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19701] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 1,
      anon_sym_DQUOTE,
    STATE(1585), 1,
      sym_string,
    ACTIONS(3374), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(3370), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [19769] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3376), 1,
      sym_word,
    ACTIONS(3382), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3385), 1,
      anon_sym_DOLLAR,
    ACTIONS(3388), 1,
      sym__special_character,
    ACTIONS(3391), 1,
      anon_sym_DQUOTE,
    ACTIONS(3397), 1,
      aux_sym_number_token1,
    ACTIONS(3400), 1,
      aux_sym_number_token2,
    ACTIONS(3403), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3406), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3409), 1,
      anon_sym_BQUOTE,
    ACTIONS(3412), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3418), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3421), 1,
      sym_variable_name,
    ACTIONS(3424), 1,
      sym_test_operator,
    ACTIONS(3427), 1,
      sym__brace_start,
    STATE(2143), 1,
      aux_sym__literal_repeat1,
    STATE(5470), 1,
      sym_subscript,
    ACTIONS(3379), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3394), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3415), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(637), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    ACTIONS(1634), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1973), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1636), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [19873] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3430), 1,
      sym_word,
    ACTIONS(3434), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3436), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      sym__special_character,
    ACTIONS(3440), 1,
      anon_sym_DQUOTE,
    ACTIONS(3444), 1,
      aux_sym_number_token1,
    ACTIONS(3446), 1,
      aux_sym_number_token2,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3450), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3452), 1,
      anon_sym_BQUOTE,
    ACTIONS(3454), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3458), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3460), 1,
      sym_variable_name,
    ACTIONS(3462), 1,
      sym_test_operator,
    ACTIONS(3464), 1,
      sym__brace_start,
    STATE(2143), 1,
      aux_sym__literal_repeat1,
    STATE(5470), 1,
      sym_subscript,
    ACTIONS(3432), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3442), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3456), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(643), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    ACTIONS(1565), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1973), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1567), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [19977] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_DQUOTE,
    STATE(1520), 1,
      sym_string,
    ACTIONS(3305), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
    ACTIONS(3303), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20045] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3315), 1,
      sym__special_character,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3323), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3327), 1,
      anon_sym_BQUOTE,
    ACTIONS(3329), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(3468), 1,
      sym_test_operator,
    STATE(3661), 1,
      aux_sym__literal_repeat1,
    STATE(3970), 1,
      sym_concatenation,
    ACTIONS(3309), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3331), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2335), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3466), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3842), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [20141] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2478), 1,
      ts_builtin_sym_end,
    ACTIONS(2474), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2472), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [20203] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    STATE(1388), 1,
      sym_string,
    ACTIONS(3061), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3059), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20271] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3430), 1,
      sym_word,
    ACTIONS(3434), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3436), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      sym__special_character,
    ACTIONS(3440), 1,
      anon_sym_DQUOTE,
    ACTIONS(3444), 1,
      aux_sym_number_token1,
    ACTIONS(3446), 1,
      aux_sym_number_token2,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3450), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3452), 1,
      anon_sym_BQUOTE,
    ACTIONS(3454), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3460), 1,
      sym_variable_name,
    ACTIONS(3462), 1,
      sym_test_operator,
    ACTIONS(3464), 1,
      sym__brace_start,
    ACTIONS(3470), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2143), 1,
      aux_sym__literal_repeat1,
    STATE(5470), 1,
      sym_subscript,
    ACTIONS(3432), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3442), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3456), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(637), 3,
      sym_variable_assignment,
      sym_concatenation,
      aux_sym_declaration_command_repeat1,
    ACTIONS(1531), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1973), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1533), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [20375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    STATE(1451), 1,
      sym_string,
    ACTIONS(3474), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3472), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20443] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    STATE(1451), 1,
      sym_string,
    ACTIONS(3474), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3472), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [20511] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2532), 1,
      ts_builtin_sym_end,
    ACTIONS(2474), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2472), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [20573] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3079), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_BQUOTE,
    ACTIONS(3085), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(3343), 1,
      sym__special_character,
    ACTIONS(3345), 1,
      sym_test_operator,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3065), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(629), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3341), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1641), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [20669] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3079), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_BQUOTE,
    ACTIONS(3085), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(3343), 1,
      sym__special_character,
    ACTIONS(3345), 1,
      sym_test_operator,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3065), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(629), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3341), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1641), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [20765] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3323), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3329), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(3478), 1,
      sym__special_character,
    ACTIONS(3480), 1,
      sym_test_operator,
    STATE(3697), 1,
      aux_sym__literal_repeat1,
    STATE(4044), 1,
      sym_concatenation,
    ACTIONS(2224), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3309), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3331), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3476), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3774), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [20858] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3494), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    STATE(2986), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    STATE(5563), 1,
      sym__heredoc_expression,
    STATE(5564), 1,
      sym__heredoc_pipeline,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3488), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4496), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [20969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    STATE(678), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1884), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [21034] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3524), 1,
      sym_word,
    ACTIONS(3530), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3533), 1,
      anon_sym_DOLLAR,
    ACTIONS(3536), 1,
      sym__special_character,
    ACTIONS(3539), 1,
      anon_sym_DQUOTE,
    ACTIONS(3545), 1,
      aux_sym_number_token1,
    ACTIONS(3548), 1,
      aux_sym_number_token2,
    ACTIONS(3551), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3554), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3557), 1,
      anon_sym_BQUOTE,
    ACTIONS(3560), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3566), 1,
      sym_test_operator,
    ACTIONS(3569), 1,
      sym__brace_start,
    STATE(2104), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3527), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3542), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3563), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(652), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1898), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1896), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 13,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [21131] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(3572), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3038), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    STATE(5851), 1,
      sym__heredoc_expression,
    STATE(5854), 1,
      sym__heredoc_pipeline,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3488), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4484), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [21242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3576), 1,
      sym__concat,
    STATE(664), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [21307] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2104), 1,
      aux_sym__literal_repeat1,
    STATE(652), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1896), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1981), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [21372] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2478), 1,
      anon_sym_BQUOTE,
    ACTIONS(2474), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2472), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [21433] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    STATE(1734), 1,
      sym_string,
    ACTIONS(3339), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3337), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [21500] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    STATE(1734), 1,
      sym_string,
    ACTIONS(3339), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3337), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [21567] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(3578), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3032), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    STATE(5835), 1,
      sym__heredoc_expression,
    STATE(5838), 1,
      sym__heredoc_pipeline,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3488), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4550), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [21678] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3590), 1,
      sym_variable_name,
    STATE(5432), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3540), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [21751] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      sym_variable_name,
    ACTIONS(3599), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5432), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3593), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3595), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(3540), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(2534), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [21830] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    STATE(654), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [21895] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3323), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3329), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(3478), 1,
      sym__special_character,
    ACTIONS(3605), 1,
      sym_test_operator,
    STATE(3661), 1,
      aux_sym__literal_repeat1,
    STATE(3970), 1,
      sym_concatenation,
    ACTIONS(2335), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3309), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3331), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3603), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3770), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [21988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3607), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3610), 1,
      sym__concat,
    STATE(664), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22053] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2474), 23,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2472), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [22112] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(3613), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2993), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    STATE(5726), 1,
      sym__heredoc_expression,
    STATE(5728), 1,
      sym__heredoc_pipeline,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3488), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4505), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [22223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3615), 1,
      sym__concat,
    STATE(664), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22288] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    STATE(1451), 1,
      sym_string,
    ACTIONS(3474), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3472), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22355] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 1,
      anon_sym_DQUOTE,
    STATE(1585), 1,
      sym_string,
    ACTIONS(3374), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(3370), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22422] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 1,
      anon_sym_DQUOTE,
    STATE(1585), 1,
      sym_string,
    ACTIONS(3374), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
    ACTIONS(3370), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    STATE(678), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1884), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22554] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    STATE(1451), 1,
      sym_string,
    ACTIONS(3474), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3472), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    STATE(654), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22686] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    STATE(667), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [22751] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(3617), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3006), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    STATE(5560), 1,
      sym__heredoc_expression,
    STATE(5561), 1,
      sym__heredoc_pipeline,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3488), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4493), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [22862] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(3619), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3020), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    STATE(5655), 1,
      sym__heredoc_expression,
    STATE(5659), 1,
      sym__heredoc_pipeline,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3488), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4544), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [22973] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3323), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3327), 1,
      anon_sym_BQUOTE,
    ACTIONS(3329), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(3623), 1,
      sym__special_character,
    ACTIONS(3625), 1,
      sym_test_operator,
    STATE(3661), 1,
      aux_sym__literal_repeat1,
    STATE(3970), 1,
      sym_concatenation,
    ACTIONS(2335), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3309), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3331), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3621), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4032), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [23068] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2598), 1,
      anon_sym_DOLLAR,
    ACTIONS(2604), 1,
      anon_sym_DQUOTE,
    ACTIONS(2607), 1,
      aux_sym_number_token1,
    ACTIONS(2610), 1,
      aux_sym_number_token2,
    ACTIONS(2613), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2616), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_BQUOTE,
    ACTIONS(2622), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2631), 1,
      sym__brace_start,
    ACTIONS(3630), 1,
      sym__special_character,
    ACTIONS(3633), 1,
      sym_test_operator,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2592), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2625), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(678), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1900), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3627), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1884), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [23163] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      sym_variable_name,
    STATE(5432), 1,
      sym_subscript,
    ACTIONS(3588), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3540), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(3584), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [23234] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      sym_variable_name,
    ACTIONS(3642), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5432), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3595), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3638), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(3540), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3640), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [23313] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    ACTIONS(3644), 1,
      anon_sym_LPAREN,
    STATE(667), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [23380] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_BQUOTE,
    ACTIONS(2474), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2472), 28,
      anon_sym_for,
      anon_sym_select,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_until,
      anon_sym_if,
      anon_sym_case,
      anon_sym_function,
      anon_sym_BANG,
      anon_sym_LBRACK,
      anon_sym_declare,
      anon_sym_typeset,
      anon_sym_export,
      anon_sym_readonly,
      anon_sym_local,
      anon_sym_unset,
      anon_sym_unsetenv,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
  [23441] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(3647), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3027), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    STATE(5667), 1,
      sym__heredoc_expression,
    STATE(5668), 1,
      sym__heredoc_pipeline,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3488), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4526), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [23552] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3323), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3327), 1,
      anon_sym_BQUOTE,
    ACTIONS(3329), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(3623), 1,
      sym__special_character,
    ACTIONS(3651), 1,
      sym_test_operator,
    STATE(3697), 1,
      aux_sym__literal_repeat1,
    STATE(4044), 1,
      sym_concatenation,
    ACTIONS(2224), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3309), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3331), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3649), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4028), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [23647] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2104), 1,
      aux_sym__literal_repeat1,
    STATE(652), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1896), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1943), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [23712] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(3653), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2989), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    STATE(5790), 1,
      sym__heredoc_expression,
    STATE(5791), 1,
      sym__heredoc_pipeline,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3488), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4552), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [23823] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2640), 1,
      anon_sym_DOLLAR,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2650), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2654), 1,
      anon_sym_BQUOTE,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(3657), 1,
      sym__special_character,
    ACTIONS(3659), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3661), 1,
      sym_test_operator,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2182), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2636), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2658), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(710), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3655), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1961), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2180), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [23919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [23977] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3669), 1,
      sym_variable_name,
    STATE(5389), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3663), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3665), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3635), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(2534), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24229] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 1,
      anon_sym_LPAREN,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(736), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24295] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    STATE(739), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24475] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3683), 1,
      sym_word,
    ACTIONS(3689), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3692), 1,
      anon_sym_DOLLAR,
    ACTIONS(3695), 1,
      sym__special_character,
    ACTIONS(3698), 1,
      anon_sym_DQUOTE,
    ACTIONS(3704), 1,
      aux_sym_number_token1,
    ACTIONS(3707), 1,
      aux_sym_number_token2,
    ACTIONS(3710), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3713), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3716), 1,
      anon_sym_BQUOTE,
    ACTIONS(3719), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3725), 1,
      sym_test_operator,
    ACTIONS(3728), 1,
      sym__brace_start,
    STATE(2207), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3686), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3701), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3722), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(697), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1898), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1952), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 12,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [24571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1433), 1,
      aux_sym__literal_repeat1,
    STATE(1748), 1,
      sym_concatenation,
    ACTIONS(2335), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1888), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24751] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(738), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    STATE(739), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [24937] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(738), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    STATE(723), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25065] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_DQUOTE,
    STATE(1353), 1,
      sym_string,
    ACTIONS(2968), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2964), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25131] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2207), 1,
      aux_sym__literal_repeat1,
    STATE(697), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1952), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1981), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [25195] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2207), 1,
      aux_sym__literal_repeat1,
    STATE(697), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1952), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1943), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [25259] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_DQUOTE,
    STATE(1964), 1,
      sym_string,
    ACTIONS(3739), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3735), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25325] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2707), 1,
      anon_sym_DOLLAR,
    ACTIONS(2713), 1,
      anon_sym_DQUOTE,
    ACTIONS(2716), 1,
      aux_sym_number_token1,
    ACTIONS(2719), 1,
      aux_sym_number_token2,
    ACTIONS(2722), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2725), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2728), 1,
      anon_sym_BQUOTE,
    ACTIONS(2731), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2743), 1,
      sym__brace_start,
    ACTIONS(3744), 1,
      sym__special_character,
    ACTIONS(3747), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3750), 1,
      sym_test_operator,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2289), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2701), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2734), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(710), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3741), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1961), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2287), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [25421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3756), 1,
      sym__concat,
    STATE(711), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25543] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3669), 1,
      sym_variable_name,
    STATE(5389), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3635), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25615] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      sym_variable_name,
    ACTIONS(3761), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5389), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3665), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3759), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(3635), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3640), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25751] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2093), 1,
      aux_sym__literal_repeat1,
    STATE(2174), 1,
      sym_concatenation,
    STATE(1915), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(2224), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [25815] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_DQUOTE,
    STATE(1964), 1,
      sym_string,
    ACTIONS(3739), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3735), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25881] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_DQUOTE,
    STATE(1353), 1,
      sym_string,
    ACTIONS(2968), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(2964), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [25947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    STATE(739), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1515), 1,
      aux_sym__literal_repeat1,
    STATE(1631), 1,
      sym_concatenation,
    ACTIONS(2224), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    STATE(1920), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    STATE(723), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3771), 1,
      sym__concat,
    STATE(664), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26319] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(2640), 1,
      anon_sym_DOLLAR,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2650), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2654), 1,
      anon_sym_BQUOTE,
    ACTIONS(2656), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(3657), 1,
      sym__special_character,
    ACTIONS(3661), 1,
      sym_test_operator,
    ACTIONS(3773), 1,
      aux_sym__simple_variable_name_token1,
    STATE(1629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(2275), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(2636), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(2658), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(687), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(3655), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(1961), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2273), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [26415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    STATE(723), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    STATE(739), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3781), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3779), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26543] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3669), 1,
      sym_variable_name,
    STATE(5389), 1,
      sym_subscript,
    ACTIONS(3588), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3635), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(3584), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [26613] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    STATE(723), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3785), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3783), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(736), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26915] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3601), 1,
      sym__concat,
    STATE(739), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [26979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3791), 1,
      sym__concat,
    STATE(711), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27159] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3793), 1,
      sym__concat,
    STATE(711), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3795), 1,
      sym__concat,
    STATE(664), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 44,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27345] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2055), 1,
      aux_sym__literal_repeat1,
    STATE(2194), 1,
      sym_concatenation,
    STATE(1927), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(2335), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [27409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27523] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 1,
      sym_variable_name,
    STATE(5434), 1,
      sym_subscript,
    ACTIONS(3588), 2,
      sym_test_operator,
      sym__brace_start,
    STATE(3694), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3636), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(3584), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [27592] = 23,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3800), 1,
      sym_word,
    ACTIONS(3804), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3806), 1,
      anon_sym_DOLLAR,
    ACTIONS(3808), 1,
      sym__special_character,
    ACTIONS(3810), 1,
      anon_sym_DQUOTE,
    ACTIONS(3814), 1,
      aux_sym_number_token1,
    ACTIONS(3816), 1,
      aux_sym_number_token2,
    ACTIONS(3818), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3820), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3822), 1,
      anon_sym_BQUOTE,
    ACTIONS(3824), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3828), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3830), 1,
      sym_test_operator,
    ACTIONS(3832), 1,
      sym__brace_start,
    STATE(2308), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3802), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3812), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3826), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(787), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2273), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2019), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2275), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [27689] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3079), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_BQUOTE,
    ACTIONS(3085), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(3836), 1,
      sym__special_character,
    ACTIONS(3838), 1,
      sym_test_operator,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3065), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(772), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3834), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2101), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [27782] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    STATE(798), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [27845] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3844), 1,
      sym_word,
    ACTIONS(3848), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3850), 1,
      anon_sym_DOLLAR,
    ACTIONS(3852), 1,
      sym__special_character,
    ACTIONS(3854), 1,
      anon_sym_DQUOTE,
    ACTIONS(3858), 1,
      aux_sym_number_token1,
    ACTIONS(3860), 1,
      aux_sym_number_token2,
    ACTIONS(3862), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3864), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_BQUOTE,
    ACTIONS(3868), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3872), 1,
      sym_test_operator,
    ACTIONS(3874), 1,
      sym__brace_start,
    STATE(2312), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3846), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3856), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3870), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(784), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1979), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2023), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1981), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [27940] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3079), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3083), 1,
      anon_sym_BQUOTE,
    ACTIONS(3085), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(3836), 1,
      sym__special_character,
    ACTIONS(3838), 1,
      sym_test_operator,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3065), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3087), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(772), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3834), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2101), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [28033] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    STATE(1388), 1,
      sym_string,
    ACTIONS(3061), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3059), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28098] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    ACTIONS(3876), 1,
      anon_sym_LPAREN,
    STATE(790), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28277] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(804), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    STATE(798), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(268), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28403] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3881), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym__special_character,
    STATE(810), 1,
      aux_sym__literal_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28527] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(465), 1,
      sym_test_operator,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2538), 1,
      sym_word,
    ACTIONS(3885), 1,
      sym__special_character,
    ACTIONS(3887), 1,
      sym_variable_name,
    STATE(427), 1,
      sym_command_name,
    STATE(757), 1,
      aux_sym__literal_repeat1,
    STATE(931), 1,
      sym_concatenation,
    STATE(5442), 1,
      sym_subscript,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(445), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2573), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(674), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28638] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(703), 1,
      sym_test_operator,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2470), 1,
      sym_word,
    ACTIONS(3887), 1,
      sym_variable_name,
    ACTIONS(3889), 1,
      sym__special_character,
    STATE(429), 1,
      sym_command_name,
    STATE(827), 1,
      aux_sym__literal_repeat1,
    STATE(945), 1,
      sym_concatenation,
    STATE(5442), 1,
      sym_subscript,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(683), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2573), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(732), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [28749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(797), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(804), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28932] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3893), 1,
      anon_sym_DQUOTE,
    STATE(2077), 1,
      sym_string,
    ACTIONS(3895), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3891), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [28997] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(804), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3785), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3783), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29060] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3897), 1,
      sym_variable_name,
    STATE(5455), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3692), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 8,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_LT_LT_DASH,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29131] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3844), 1,
      sym_word,
    ACTIONS(3848), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3850), 1,
      anon_sym_DOLLAR,
    ACTIONS(3852), 1,
      sym__special_character,
    ACTIONS(3854), 1,
      anon_sym_DQUOTE,
    ACTIONS(3858), 1,
      aux_sym_number_token1,
    ACTIONS(3860), 1,
      aux_sym_number_token2,
    ACTIONS(3862), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3864), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_BQUOTE,
    ACTIONS(3868), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3872), 1,
      sym_test_operator,
    ACTIONS(3874), 1,
      sym__brace_start,
    STATE(2312), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3846), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3856), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3870), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(784), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1941), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2023), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1943), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [29226] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    STATE(1388), 1,
      sym_string,
    ACTIONS(3061), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3059), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(797), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3781), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3779), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29525] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3240), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3243), 1,
      anon_sym_DOLLAR,
    ACTIONS(3249), 1,
      anon_sym_DQUOTE,
    ACTIONS(3252), 1,
      aux_sym_number_token1,
    ACTIONS(3255), 1,
      aux_sym_number_token2,
    ACTIONS(3258), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3261), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3264), 1,
      anon_sym_BQUOTE,
    ACTIONS(3267), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3276), 1,
      sym__brace_start,
    ACTIONS(3903), 1,
      sym__special_character,
    ACTIONS(3906), 1,
      sym_test_operator,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1900), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3237), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3270), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(772), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(3900), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2101), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [29618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(797), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29681] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2144), 1,
      aux_sym__literal_repeat1,
    STATE(2304), 1,
      sym_concatenation,
    STATE(1991), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(2224), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [29744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29801] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 1,
      sym_variable_name,
    STATE(5434), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(3694), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_LT_LT_DASH,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [29872] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2139), 1,
      aux_sym__literal_repeat1,
    STATE(2295), 1,
      sym_concatenation,
    STATE(1965), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(2335), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [29935] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3893), 1,
      anon_sym_DQUOTE,
    STATE(2077), 1,
      sym_string,
    ACTIONS(3895), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3891), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30000] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(817), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(817), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(797), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(756), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30252] = 23,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3911), 1,
      sym_word,
    ACTIONS(3917), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3920), 1,
      anon_sym_DOLLAR,
    ACTIONS(3923), 1,
      sym__special_character,
    ACTIONS(3926), 1,
      anon_sym_DQUOTE,
    ACTIONS(3932), 1,
      aux_sym_number_token1,
    ACTIONS(3935), 1,
      aux_sym_number_token2,
    ACTIONS(3938), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3941), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3944), 1,
      anon_sym_BQUOTE,
    ACTIONS(3947), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3953), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3956), 1,
      sym_test_operator,
    ACTIONS(3959), 1,
      sym__brace_start,
    STATE(2308), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3914), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3929), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3950), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(783), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2287), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2019), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2289), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [30349] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3962), 1,
      sym_word,
    ACTIONS(3968), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3971), 1,
      anon_sym_DOLLAR,
    ACTIONS(3974), 1,
      sym__special_character,
    ACTIONS(3977), 1,
      anon_sym_DQUOTE,
    ACTIONS(3983), 1,
      aux_sym_number_token1,
    ACTIONS(3986), 1,
      aux_sym_number_token2,
    ACTIONS(3989), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3992), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3995), 1,
      anon_sym_BQUOTE,
    ACTIONS(3998), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4004), 1,
      sym_test_operator,
    ACTIONS(4007), 1,
      sym__brace_start,
    STATE(2312), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3965), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3980), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(784), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1898), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2023), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [30444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30501] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1190), 1,
      anon_sym_LPAREN,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(756), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30566] = 23,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3800), 1,
      sym_word,
    ACTIONS(3804), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3806), 1,
      anon_sym_DOLLAR,
    ACTIONS(3808), 1,
      sym__special_character,
    ACTIONS(3810), 1,
      anon_sym_DQUOTE,
    ACTIONS(3814), 1,
      aux_sym_number_token1,
    ACTIONS(3816), 1,
      aux_sym_number_token2,
    ACTIONS(3818), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3820), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3822), 1,
      anon_sym_BQUOTE,
    ACTIONS(3824), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3830), 1,
      sym_test_operator,
    ACTIONS(3832), 1,
      sym__brace_start,
    ACTIONS(4010), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2308), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3802), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3812), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3826), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(783), 2,
      sym_concatenation,
      aux_sym_unset_command_repeat1,
    ACTIONS(2180), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2019), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2182), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [30663] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(332), 1,
      sym_test_operator,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2585), 1,
      sym_word,
    ACTIONS(3887), 1,
      sym_variable_name,
    ACTIONS(4012), 1,
      sym__special_character,
    STATE(441), 1,
      sym_command_name,
    STATE(948), 1,
      aux_sym__literal_repeat1,
    STATE(1176), 1,
      sym_concatenation,
    STATE(5442), 1,
      sym_subscript,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(312), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2573), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(925), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [30774] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      ts_builtin_sym_end,
    ACTIONS(3797), 1,
      sym_variable_name,
    ACTIONS(4020), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5434), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4016), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(3694), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4014), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4022), 1,
      sym__concat,
    STATE(818), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [30971] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_RPAREN,
    ACTIONS(3761), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3897), 1,
      sym_variable_name,
    STATE(5455), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4024), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3692), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3759), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4026), 1,
      sym__concat,
    STATE(711), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4028), 1,
      sym__concat,
    STATE(818), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(804), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31579] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3897), 1,
      sym_variable_name,
    STATE(5455), 1,
      sym_subscript,
    ACTIONS(3588), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3692), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(3584), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [31648] = 30,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(77), 1,
      sym_test_operator,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2468), 1,
      sym_word,
    ACTIONS(3887), 1,
      sym_variable_name,
    ACTIONS(4030), 1,
      sym__special_character,
    STATE(434), 1,
      sym_command_name,
    STATE(985), 1,
      aux_sym__literal_repeat1,
    STATE(1141), 1,
      sym_concatenation,
    STATE(5442), 1,
      sym_subscript,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(55), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2573), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(813), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4032), 1,
      sym__concat,
    STATE(711), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [31879] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(981), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1005), 1,
      sym_test_operator,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2480), 1,
      sym_word,
    ACTIONS(3887), 1,
      sym_variable_name,
    ACTIONS(4034), 1,
      sym__special_character,
    STATE(537), 1,
      sym_command_name,
    STATE(1928), 1,
      aux_sym__literal_repeat1,
    STATE(1945), 1,
      sym_concatenation,
    STATE(5442), 1,
      sym_subscript,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(987), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2573), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1487), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [31990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32047] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3677), 1,
      sym__concat,
    STATE(797), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4036), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4039), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4042), 1,
      sym__special_character,
    STATE(810), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32234] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 1,
      sym_variable_name,
    ACTIONS(4045), 1,
      ts_builtin_sym_end,
    ACTIONS(4049), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5434), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4016), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    STATE(3694), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4047), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32311] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(745), 1,
      sym_test_operator,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2587), 1,
      sym_word,
    ACTIONS(3887), 1,
      sym_variable_name,
    ACTIONS(4051), 1,
      sym__special_character,
    STATE(436), 1,
      sym_command_name,
    STATE(948), 1,
      aux_sym__literal_repeat1,
    STATE(1176), 1,
      sym_concatenation,
    STATE(5442), 1,
      sym_subscript,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(743), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2573), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(782), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    STATE(790), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32485] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(332), 1,
      sym_test_operator,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2585), 1,
      sym_word,
    ACTIONS(3887), 1,
      sym_variable_name,
    ACTIONS(4012), 1,
      sym__special_character,
    STATE(447), 1,
      sym_command_name,
    STATE(948), 1,
      aux_sym__literal_repeat1,
    STATE(1176), 1,
      sym_concatenation,
    STATE(5442), 1,
      sym_subscript,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(312), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2573), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(925), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32596] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_RPAREN,
    ACTIONS(3667), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3897), 1,
      sym_variable_name,
    STATE(5455), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4024), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3692), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3663), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32673] = 30,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(959), 1,
      sym_test_operator,
    ACTIONS(1326), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(1328), 1,
      sym_file_descriptor,
    ACTIONS(2341), 1,
      sym_word,
    ACTIONS(3887), 1,
      sym_variable_name,
    ACTIONS(4053), 1,
      sym__special_character,
    STATE(490), 1,
      sym_command_name,
    STATE(948), 1,
      aux_sym__literal_repeat1,
    STATE(1176), 1,
      sym_concatenation,
    STATE(5442), 1,
      sym_subscript,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(953), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1324), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2573), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(1322), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(1320), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(1225), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [32784] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4055), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32847] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4057), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4060), 1,
      sym__concat,
    STATE(818), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [32966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4067), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4069), 1,
      sym__concat,
    STATE(868), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [33028] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4077), 1,
      sym_variable_name,
    STATE(5465), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3849), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4071), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33102] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4080), 1,
      sym__concat,
    STATE(818), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33332] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    STATE(1451), 1,
      sym_string,
    ACTIONS(3474), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3472), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      sym__special_character,
    STATE(919), 1,
      aux_sym__literal_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4067), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4069), 1,
      sym__concat,
    STATE(864), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [33574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33686] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4090), 1,
      sym__concat,
    STATE(852), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4090), 1,
      sym__concat,
    STATE(851), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33810] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4092), 1,
      sym__concat,
    STATE(818), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33872] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(886), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3785), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3783), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [33990] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4094), 1,
      sym_word,
    ACTIONS(4098), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    ACTIONS(4102), 1,
      sym__special_character,
    ACTIONS(4104), 1,
      anon_sym_DQUOTE,
    ACTIONS(4108), 1,
      aux_sym_number_token1,
    ACTIONS(4110), 1,
      aux_sym_number_token2,
    ACTIONS(4112), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4114), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4116), 1,
      anon_sym_BQUOTE,
    ACTIONS(4118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4122), 1,
      sym_test_operator,
    ACTIONS(4124), 1,
      sym__brace_start,
    STATE(2561), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4096), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4106), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(859), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1979), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2229), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1981), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [34084] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      sym_variable_name,
    ACTIONS(4128), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5465), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3849), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4126), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(896), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4130), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4133), 1,
      sym__concat,
    STATE(841), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4090), 1,
      sym__concat,
    STATE(852), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4090), 1,
      sym__concat,
    STATE(851), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34462] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3323), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3327), 1,
      anon_sym_BQUOTE,
    ACTIONS(3329), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(4138), 1,
      sym__special_character,
    ACTIONS(4140), 1,
      sym_test_operator,
    STATE(3661), 1,
      aux_sym__literal_repeat1,
    STATE(3970), 1,
      sym_concatenation,
    ACTIONS(2335), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3309), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3331), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4136), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4277), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [34554] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3311), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3323), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3327), 1,
      anon_sym_BQUOTE,
    ACTIONS(3329), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(4138), 1,
      sym__special_character,
    ACTIONS(4144), 1,
      sym_test_operator,
    STATE(3697), 1,
      aux_sym__literal_repeat1,
    STATE(4044), 1,
      sym_concatenation,
    ACTIONS(2224), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3309), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3331), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4142), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4311), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [34646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34702] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4094), 1,
      sym_word,
    ACTIONS(4098), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    ACTIONS(4102), 1,
      sym__special_character,
    ACTIONS(4104), 1,
      anon_sym_DQUOTE,
    ACTIONS(4108), 1,
      aux_sym_number_token1,
    ACTIONS(4110), 1,
      aux_sym_number_token2,
    ACTIONS(4112), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4114), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4116), 1,
      anon_sym_BQUOTE,
    ACTIONS(4118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4122), 1,
      sym_test_operator,
    ACTIONS(4124), 1,
      sym__brace_start,
    STATE(2561), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4096), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4106), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(859), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1941), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2229), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1943), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [34796] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    ACTIONS(4146), 1,
      anon_sym_LPAREN,
    STATE(927), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(896), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [34978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4149), 1,
      sym__concat,
    STATE(841), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4151), 1,
      sym__concat,
    STATE(841), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35214] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4153), 1,
      sym_variable_name,
    STATE(5485), 1,
      sym_subscript,
    ACTIONS(3588), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3713), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(3584), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [35282] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    STATE(1451), 1,
      sym_string,
    ACTIONS(3474), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3472), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4090), 1,
      sym__concat,
    STATE(851), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35408] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4090), 1,
      sym__concat,
    STATE(852), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35470] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4156), 1,
      sym_word,
    ACTIONS(4162), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4165), 1,
      anon_sym_DOLLAR,
    ACTIONS(4168), 1,
      sym__special_character,
    ACTIONS(4171), 1,
      anon_sym_DQUOTE,
    ACTIONS(4177), 1,
      aux_sym_number_token1,
    ACTIONS(4180), 1,
      aux_sym_number_token2,
    ACTIONS(4183), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4186), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4189), 1,
      anon_sym_BQUOTE,
    ACTIONS(4192), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4198), 1,
      sym_test_operator,
    ACTIONS(4201), 1,
      sym__brace_start,
    STATE(2561), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4174), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4195), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(859), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1898), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(2229), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1900), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [35564] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_DQUOTE,
    STATE(2159), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym__concat,
      sym_test_operator,
    ACTIONS(4208), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4204), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [35628] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_DQUOTE,
    STATE(2159), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym__concat,
      sym_test_operator,
    ACTIONS(4208), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4204), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [35692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4090), 1,
      sym__concat,
    STATE(851), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35754] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4090), 1,
      sym__concat,
    STATE(851), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4067), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4210), 1,
      sym__concat,
    STATE(870), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [35878] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4214), 1,
      anon_sym_DQUOTE,
    STATE(2173), 1,
      sym_string,
    ACTIONS(4216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [35998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym__special_character,
    STATE(810), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4067), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4218), 1,
      sym__concat,
    STATE(870), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [36120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36176] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4220), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4223), 1,
      sym__concat,
    STATE(870), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [36238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4090), 1,
      sym__concat,
    STATE(852), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36300] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      sym_variable_name,
    ACTIONS(4228), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5465), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3849), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4226), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4090), 1,
      sym__concat,
    STATE(852), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36492] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    STATE(822), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3785), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3783), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4088), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4090), 1,
      sym__concat,
    STATE(851), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36616] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4067), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4069), 1,
      sym__concat,
    STATE(864), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [36678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    STATE(834), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36740] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    STATE(822), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym__special_character,
    STATE(810), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36862] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_BQUOTE,
    ACTIONS(4153), 1,
      sym_variable_name,
    ACTIONS(4242), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5485), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4240), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3713), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4238), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 27,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [36938] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4153), 1,
      sym_variable_name,
    STATE(5485), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3713), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_LT_LT_DASH,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(886), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37070] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(896), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37132] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4244), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37194] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4246), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37368] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    STATE(834), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37430] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    STATE(1734), 1,
      sym_string,
    ACTIONS(3339), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3337), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37494] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    STATE(1734), 1,
      sym_string,
    ACTIONS(3339), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3337), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(885), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37732] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(886), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4248), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(896), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [37974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38030] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      sym_variable_name,
    STATE(5465), 1,
      sym_subscript,
    ACTIONS(3588), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3849), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(3584), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [38098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(896), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3781), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3779), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym__special_character,
    STATE(810), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38388] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(886), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38506] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4077), 1,
      sym_variable_name,
    STATE(5465), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(3849), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_LT_LT_DASH,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3883), 1,
      sym__special_character,
    STATE(810), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3781), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3779), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38636] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    STATE(834), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3781), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3779), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38698] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4250), 1,
      sym_word,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4256), 1,
      anon_sym_DOLLAR,
    ACTIONS(4258), 1,
      sym__special_character,
    ACTIONS(4260), 1,
      anon_sym_DQUOTE,
    ACTIONS(4264), 1,
      aux_sym_number_token1,
    ACTIONS(4266), 1,
      aux_sym_number_token2,
    ACTIONS(4268), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4272), 1,
      anon_sym_BQUOTE,
    ACTIONS(4274), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4278), 1,
      sym_test_operator,
    ACTIONS(4280), 1,
      sym__brace_start,
    STATE(4341), 1,
      aux_sym__literal_repeat1,
    STATE(4450), 1,
      sym_concatenation,
    ACTIONS(4252), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4262), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4276), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2333), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(4229), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2335), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [38792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    STATE(822), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [38910] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4256), 1,
      anon_sym_DOLLAR,
    ACTIONS(4258), 1,
      sym__special_character,
    ACTIONS(4260), 1,
      anon_sym_DQUOTE,
    ACTIONS(4264), 1,
      aux_sym_number_token1,
    ACTIONS(4266), 1,
      aux_sym_number_token2,
    ACTIONS(4268), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4272), 1,
      anon_sym_BQUOTE,
    ACTIONS(4274), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4280), 1,
      sym__brace_start,
    ACTIONS(4282), 1,
      sym_word,
    ACTIONS(4286), 1,
      sym_test_operator,
    STATE(4391), 1,
      aux_sym__literal_repeat1,
    STATE(4475), 1,
      sym_concatenation,
    ACTIONS(4252), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4276), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4284), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2222), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(4266), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2224), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [39004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4067), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4069), 1,
      sym__concat,
    STATE(868), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4290), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4288), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [39122] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_DQUOTE,
    STATE(2022), 1,
      sym_string,
    ACTIONS(4296), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4292), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 31,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4067), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4069), 1,
      sym__concat,
    STATE(864), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4300), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4298), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [39248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 1,
      sym__special_character,
    STATE(919), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39364] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 1,
      sym_variable_name,
    ACTIONS(4307), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5465), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3849), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4305), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39438] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_DQUOTE,
    STATE(2022), 1,
      sym_string,
    ACTIONS(4296), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4292), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 31,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39558] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    ACTIONS(4309), 1,
      anon_sym_LPAREN,
    STATE(927), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(927), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    STATE(834), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39746] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4312), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39808] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    STATE(822), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3842), 1,
      sym__concat,
    STATE(834), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [39988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 43,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40100] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4153), 1,
      sym_variable_name,
    ACTIONS(4316), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5485), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4240), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(3713), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4314), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 27,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40232] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(885), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40574] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4214), 1,
      anon_sym_DQUOTE,
    STATE(2173), 1,
      sym_string,
    ACTIONS(4216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 32,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 7,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4318), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4320), 1,
      sym__concat,
    STATE(1040), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [40810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [40865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4324), 1,
      sym__concat,
    STATE(971), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4300), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4298), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [40926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4324), 1,
      sym__concat,
    STATE(990), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4290), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4288), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [40987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4326), 1,
      sym__special_character,
    STATE(987), 1,
      aux_sym__literal_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41046] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41101] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_test_operator,
    ACTIONS(4330), 1,
      anon_sym_DQUOTE,
    STATE(1987), 1,
      sym_string,
    ACTIONS(4332), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4328), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_RPAREN_RPAREN,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_TILDE,
  [41164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      sym__special_character,
    STATE(919), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4336), 1,
      sym__concat,
    STATE(963), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [41339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [41394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [41449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4338), 1,
      sym__concat,
    STATE(963), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41510] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 1,
      anon_sym_DQUOTE,
    ACTIONS(1171), 1,
      sym_test_operator,
    STATE(2217), 1,
      sym_string,
    ACTIONS(4342), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4340), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
  [41573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41683] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4318), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4348), 1,
      sym__concat,
    STATE(1050), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4346), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4344), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [41744] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4318), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4348), 1,
      sym__concat,
    STATE(944), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4352), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4350), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [41805] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 1,
      anon_sym_DQUOTE,
    ACTIONS(1175), 1,
      sym_test_operator,
    STATE(2217), 1,
      sym_string,
    ACTIONS(4342), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4340), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
  [41868] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4354), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4357), 1,
      sym__concat,
    STATE(963), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4360), 1,
      sym__concat,
    STATE(956), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [41990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4362), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4364), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4360), 1,
      sym__concat,
    STATE(952), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42228] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      sym__special_character,
    STATE(919), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3781), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3779), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [42342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4366), 1,
      sym__concat,
    STATE(995), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [42403] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4370), 1,
      anon_sym_DQUOTE,
    STATE(2374), 1,
      sym_string,
    ACTIONS(4372), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4368), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 31,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42466] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4370), 1,
      anon_sym_DQUOTE,
    STATE(2374), 1,
      sym_string,
    ACTIONS(4372), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4368), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 31,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_test_operator,
    ACTIONS(4330), 1,
      anon_sym_DQUOTE,
    STATE(1987), 1,
      sym_string,
    ACTIONS(4332), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4328), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_TILDE,
      anon_sym_COLON,
  [42592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_test_operator,
    ACTIONS(4330), 1,
      anon_sym_DQUOTE,
    STATE(1987), 1,
      sym_string,
    ACTIONS(4332), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4328), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_TILDE,
      anon_sym_COLON,
  [42655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4324), 1,
      sym__concat,
    STATE(971), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [42716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3785), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3783), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4374), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [42991] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4382), 1,
      anon_sym_DQUOTE,
    ACTIONS(4384), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4386), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4388), 1,
      anon_sym_BQUOTE,
    ACTIONS(4390), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2094), 3,
      sym_string,
      sym_expansion,
      sym_command_substitution,
    ACTIONS(4380), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(4378), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [43058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4324), 1,
      sym__concat,
    STATE(990), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [43119] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      anon_sym_DQUOTE,
    STATE(2136), 1,
      sym_string,
    ACTIONS(4396), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4392), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 31,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4398), 1,
      sym__special_character,
    STATE(992), 1,
      aux_sym__literal_repeat1,
    ACTIONS(268), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43241] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      anon_sym_DQUOTE,
    STATE(2136), 1,
      sym_string,
    ACTIONS(4396), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4392), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 31,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4400), 1,
      sym__special_character,
    STATE(987), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4360), 1,
      sym__concat,
    STATE(952), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(965), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4403), 1,
      sym__concat,
    STATE(995), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [43546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(966), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3785), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3783), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43607] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4405), 1,
      sym__special_character,
    STATE(992), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [43721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 42,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43776] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4411), 1,
      sym__concat,
    STATE(995), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [43837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [43892] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_test_operator,
    ACTIONS(4330), 1,
      anon_sym_DQUOTE,
    STATE(1987), 1,
      sym_string,
    ACTIONS(4332), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4328), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_RPAREN_RPAREN,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_TILDE,
  [43955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4360), 1,
      sym__concat,
    STATE(956), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4318), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4348), 1,
      sym__concat,
    STATE(1050), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [44132] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4360), 1,
      sym__concat,
    STATE(952), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4360), 1,
      sym__concat,
    STATE(956), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [44309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4360), 1,
      sym__concat,
    STATE(956), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44370] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(966), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4360), 1,
      sym__concat,
    STATE(952), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [44547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4360), 1,
      sym__concat,
    STATE(956), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(965), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [44724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4360), 1,
      sym__concat,
    STATE(956), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [44840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4360), 1,
      sym__concat,
    STATE(952), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [44901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [44956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(965), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45072] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4414), 1,
      sym_word,
    ACTIONS(4418), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4420), 1,
      anon_sym_DOLLAR,
    ACTIONS(4422), 1,
      sym__special_character,
    ACTIONS(4424), 1,
      anon_sym_DQUOTE,
    ACTIONS(4428), 1,
      aux_sym_number_token1,
    ACTIONS(4430), 1,
      aux_sym_number_token2,
    ACTIONS(4432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4434), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4436), 1,
      anon_sym_BQUOTE,
    ACTIONS(4438), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4442), 1,
      sym_test_operator,
    ACTIONS(4444), 1,
      sym__brace_start,
    STATE(4422), 1,
      aux_sym__literal_repeat1,
    STATE(4513), 1,
      sym_concatenation,
    ACTIONS(4416), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4426), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4440), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(2333), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(4344), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2335), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [45165] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4420), 1,
      anon_sym_DOLLAR,
    ACTIONS(4422), 1,
      sym__special_character,
    ACTIONS(4424), 1,
      anon_sym_DQUOTE,
    ACTIONS(4428), 1,
      aux_sym_number_token1,
    ACTIONS(4430), 1,
      aux_sym_number_token2,
    ACTIONS(4432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4434), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4436), 1,
      anon_sym_BQUOTE,
    ACTIONS(4438), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4444), 1,
      sym__brace_start,
    ACTIONS(4446), 1,
      sym_word,
    ACTIONS(4450), 1,
      sym_test_operator,
    STATE(4413), 1,
      aux_sym__literal_repeat1,
    STATE(4511), 1,
      sym_concatenation,
    ACTIONS(4416), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4440), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4448), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(2222), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    STATE(4351), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2224), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [45258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(966), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [45374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(965), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45490] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(966), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [45606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45661] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_test_operator,
    ACTIONS(4206), 1,
      anon_sym_DQUOTE,
    STATE(2159), 1,
      sym_string,
    ACTIONS(4208), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4204), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [45724] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_test_operator,
    ACTIONS(4206), 1,
      anon_sym_DQUOTE,
    STATE(2159), 1,
      sym_string,
    ACTIONS(4208), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4204), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [45787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      sym__special_character,
    STATE(919), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(965), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3781), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3779), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [45962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [46182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [46292] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_test_operator,
    ACTIONS(4330), 1,
      anon_sym_DQUOTE,
    STATE(1987), 1,
      sym_string,
    ACTIONS(4332), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4328), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
  [46355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [46410] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_test_operator,
    ACTIONS(4330), 1,
      anon_sym_DQUOTE,
    STATE(1987), 1,
      sym_string,
    ACTIONS(4332), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4328), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 33,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
  [46473] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4452), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4455), 1,
      sym__concat,
    STATE(1040), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [46534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [46589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [46644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4324), 1,
      sym__concat,
    STATE(971), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [46705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [46870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [46980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      sym__special_character,
    STATE(919), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47039] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4318), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4458), 1,
      sym__concat,
    STATE(1040), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      sym__special_character,
    STATE(1077), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4464), 1,
      sym__concat,
    STATE(1102), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47327] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4468), 1,
      sym__concat,
    STATE(1142), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4470), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4472), 1,
      sym__concat,
    STATE(1114), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4474), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4477), 1,
      sym__concat,
    STATE(1061), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4480), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4483), 1,
      sym__concat,
    STATE(1063), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47837] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4488), 1,
      sym__concat,
    STATE(1093), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [47897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [47951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4468), 1,
      sym__concat,
    STATE(1142), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48065] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4490), 1,
      sym__concat,
    STATE(1093), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4468), 1,
      sym__concat,
    STATE(1142), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48239] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4495), 1,
      sym__concat,
    STATE(1071), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48353] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1111), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1106), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4504), 1,
      sym__concat,
    STATE(1071), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48587] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4506), 1,
      sym__special_character,
    STATE(1077), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [48699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      sym__special_character,
    STATE(1077), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4511), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4326), 1,
      sym__special_character,
    STATE(987), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48869] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1054), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1092), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [48989] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      sym__special_character,
    STATE(1077), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4517), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49047] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4470), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4519), 1,
      sym__concat,
    STATE(1063), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1054), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1092), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      sym__special_character,
    STATE(1077), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1054), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4468), 1,
      sym__concat,
    STATE(1095), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49459] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4521), 1,
      sym__concat,
    STATE(1102), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4523), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4526), 1,
      sym__concat,
    STATE(1093), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4529), 1,
      sym__concat,
    STATE(1061), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      sym__special_character,
    STATE(1140), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4326), 1,
      sym__special_character,
    STATE(987), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [49917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4533), 1,
      sym__concat,
    STATE(1071), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [49977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [50031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4535), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4538), 1,
      sym__concat,
    STATE(1102), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [50145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1092), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4541), 1,
      sym__concat,
    STATE(1125), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [50319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [50373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4326), 1,
      sym__special_character,
    STATE(987), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3781), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3779), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      sym__special_character,
    STATE(1077), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50489] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4326), 1,
      sym__special_character,
    STATE(987), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50547] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4543), 1,
      sym__concat,
    STATE(1125), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [50607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [50715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4470), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4545), 1,
      sym__concat,
    STATE(1063), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [50775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [50829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4468), 1,
      sym__concat,
    STATE(1095), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4468), 1,
      sym__concat,
    STATE(1095), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [50949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4468), 1,
      sym__concat,
    STATE(1142), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4398), 1,
      sym__special_character,
    STATE(992), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3781), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3779), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4547), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4550), 1,
      sym__concat,
    STATE(1125), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51397] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4468), 1,
      sym__concat,
    STATE(1095), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51511] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4470), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4472), 1,
      sym__concat,
    STATE(1085), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4398), 1,
      sym__special_character,
    STATE(992), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3765), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4470), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4472), 1,
      sym__concat,
    STATE(1114), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [51851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4470), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4472), 1,
      sym__concat,
    STATE(1114), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4300), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4298), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [51965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4470), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4472), 1,
      sym__concat,
    STATE(1085), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4290), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4288), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52025] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1054), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4398), 1,
      sym__special_character,
    STATE(992), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3681), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1092), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52203] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4553), 1,
      sym__special_character,
    STATE(1140), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4556), 1,
      sym__concat,
    STATE(1061), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1106), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52543] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1054), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52603] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4558), 1,
      anon_sym_DQUOTE,
    ACTIONS(4560), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4562), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4564), 1,
      anon_sym_BQUOTE,
    ACTIONS(4566), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2212), 3,
      sym_string,
      sym_expansion,
      sym_command_substitution,
    ACTIONS(4380), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(4378), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [52669] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4398), 1,
      sym__special_character,
    STATE(992), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3789), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4468), 1,
      sym__concat,
    STATE(1142), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [52841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [52949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4468), 1,
      sym__concat,
    STATE(1095), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53117] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1111), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4290), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4288), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [53177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1106), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4300), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4298), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [53291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53345] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_test_operator,
    ACTIONS(4330), 1,
      anon_sym_DQUOTE,
    STATE(1987), 1,
      sym_string,
    ACTIONS(4332), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4328), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 32,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_TILDE,
  [53407] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_test_operator,
    ACTIONS(4330), 1,
      anon_sym_DQUOTE,
    STATE(1987), 1,
      sym_string,
    ACTIONS(4332), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4328), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 32,
      anon_sym_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_TILDE,
  [53469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      sym__special_character,
    STATE(1077), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53635] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4468), 1,
      sym__concat,
    STATE(1095), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      sym__special_character,
    STATE(1140), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4300), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4298), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [53753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [53807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4568), 1,
      sym__concat,
    STATE(1064), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [53867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [53921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [53975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4570), 1,
      sym__concat,
    STATE(1100), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1054), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54203] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1092), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54317] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4568), 1,
      sym__concat,
    STATE(1064), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4374), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3785), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3783), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 41,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4570), 1,
      sym__concat,
    STATE(1076), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4352), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4350), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4570), 1,
      sym__concat,
    STATE(1100), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4346), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4344), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4568), 1,
      sym__concat,
    STATE(1068), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [54935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [54989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55259] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4575), 1,
      sym__concat,
    STATE(1197), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55531] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      sym__special_character,
    STATE(1199), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4581), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4583), 1,
      sym__concat,
    STATE(1231), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4346), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4344), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4588), 1,
      sym__concat,
    STATE(1201), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4591), 1,
      sym__special_character,
    STATE(1210), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [55922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [55975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56081] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4593), 1,
      sym__special_character,
    STATE(1209), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56138] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4596), 1,
      sym__special_character,
    STATE(1210), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4599), 1,
      sym__special_character,
    STATE(1209), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4346), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4344), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4581), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4601), 1,
      sym__concat,
    STATE(1201), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56470] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      sym_variable_name,
    STATE(5393), 1,
      sym_subscript,
    ACTIONS(3588), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(4201), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3584), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
    ACTIONS(3580), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym__special_character,
    STATE(1199), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4610), 1,
      sym__concat,
    STATE(1338), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4346), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4344), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4610), 1,
      sym__concat,
    STATE(1306), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4352), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4350), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [56763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4614), 1,
      sym__concat,
    STATE(1402), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4616), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4618), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [56993] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1224), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym__special_character,
    STATE(1199), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57321] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4581), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4620), 1,
      sym__concat,
    STATE(1201), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57380] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4610), 1,
      sym__concat,
    STATE(1338), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57598] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4603), 1,
      sym_variable_name,
    STATE(5393), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    STATE(4201), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [57824] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1242), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4622), 1,
      sym__concat,
    STATE(1125), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [57942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4624), 1,
      sym__concat,
    STATE(1125), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1245), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [58060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4626), 1,
      sym__concat,
    STATE(1102), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [58119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4628), 1,
      sym__concat,
    STATE(1102), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [58178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [58231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1223), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(268), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(231), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [58449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [58661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [58714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [58979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1223), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LPAREN,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59197] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    ACTIONS(4630), 1,
      sym_extglob_pattern,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2460), 1,
      sym__extglob_blob,
    STATE(2620), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [59300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59353] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4635), 1,
      sym__concat,
    STATE(1267), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59624] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1241), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym__special_character,
    STATE(1199), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59846] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1242), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [59905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [59958] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4581), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4583), 1,
      sym__concat,
    STATE(1231), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60017] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4642), 1,
      sym_extglob_pattern,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2355), 1,
      sym__extglob_blob,
    STATE(2389), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [60120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60173] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym__special_character,
    STATE(1199), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60601] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_DQUOTE,
    ACTIONS(4646), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4648), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4650), 1,
      anon_sym_BQUOTE,
    ACTIONS(4652), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2375), 3,
      sym_string,
      sym_expansion,
      sym_command_substitution,
    ACTIONS(4380), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(4378), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [60666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1244), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [60884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [60990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1245), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61049] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1244), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [61161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [61267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1245), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [61432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1244), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4654), 1,
      sym__concat,
    STATE(1267), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [61603] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1244), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1245), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1244), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [61992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3785), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3783), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1241), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4290), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4288), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [62210] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1242), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4300), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4298), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [62269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1244), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62328] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1245), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4656), 1,
      sym__concat,
    STATE(1197), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4374), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3785), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3783), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [62817] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4664), 1,
      anon_sym_DOLLAR,
    ACTIONS(4666), 1,
      sym__special_character,
    ACTIONS(4668), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      aux_sym_number_token1,
    ACTIONS(4672), 1,
      aux_sym_number_token2,
    ACTIONS(4674), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4678), 1,
      anon_sym_BQUOTE,
    ACTIONS(4680), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4684), 1,
      sym_test_operator,
    ACTIONS(4686), 1,
      sym__brace_start,
    STATE(2954), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4660), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4682), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1369), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4658), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2729), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [62906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [62959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63065] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4664), 1,
      anon_sym_DOLLAR,
    ACTIONS(4666), 1,
      sym__special_character,
    ACTIONS(4668), 1,
      anon_sym_DQUOTE,
    ACTIONS(4670), 1,
      aux_sym_number_token1,
    ACTIONS(4672), 1,
      aux_sym_number_token2,
    ACTIONS(4674), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4678), 1,
      anon_sym_BQUOTE,
    ACTIONS(4680), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4684), 1,
      sym_test_operator,
    ACTIONS(4686), 1,
      sym__brace_start,
    STATE(2954), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4660), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4682), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1369), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4658), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2729), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [63154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 6,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4374), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [63313] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4688), 1,
      sym_extglob_pattern,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2208), 1,
      sym__extglob_blob,
    STATE(2439), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [63416] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4690), 1,
      sym__concat,
    STATE(1267), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [63475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [63581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [63740] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4694), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4706), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [63854] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    ACTIONS(4710), 1,
      anon_sym_LPAREN,
    STATE(1224), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1193), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1183), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [63968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4713), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [64021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [64074] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4717), 1,
      anon_sym_DQUOTE,
    ACTIONS(4719), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4721), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4723), 1,
      anon_sym_BQUOTE,
    ACTIONS(4725), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2263), 3,
      sym_string,
      sym_expansion,
      sym_command_substitution,
    ACTIONS(4380), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(4378), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [64139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4614), 1,
      sym__concat,
    STATE(1402), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4614), 1,
      sym__concat,
    STATE(1323), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [64469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64575] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    ACTIONS(4729), 1,
      sym_extglob_pattern,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2587), 1,
      sym__expression,
    STATE(2588), 1,
      sym__extglob_blob,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [64678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [64731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [64943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [64996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [65049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [65102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [65155] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4737), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4740), 1,
      anon_sym_DOLLAR,
    ACTIONS(4743), 1,
      sym__special_character,
    ACTIONS(4746), 1,
      anon_sym_DQUOTE,
    ACTIONS(4749), 1,
      aux_sym_number_token1,
    ACTIONS(4752), 1,
      aux_sym_number_token2,
    ACTIONS(4755), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4758), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4761), 1,
      anon_sym_BQUOTE,
    ACTIONS(4764), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4770), 1,
      sym_test_operator,
    ACTIONS(4773), 1,
      sym__brace_start,
    STATE(2954), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1900), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4734), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4767), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1369), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(4731), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(2729), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1898), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [65244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [65297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [65350] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      sym_variable_name,
    ACTIONS(4778), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5393), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4776), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(4201), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65419] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4603), 1,
      sym_variable_name,
    ACTIONS(4780), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5393), 1,
      sym_subscript,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4776), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(4201), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3588), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65541] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4688), 1,
      sym_extglob_pattern,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2208), 1,
      sym__extglob_blob,
    STATE(2520), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4581), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4583), 1,
      sym__concat,
    STATE(1215), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4352), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4350), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [65703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4713), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65756] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4688), 1,
      sym_extglob_pattern,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2208), 1,
      sym__extglob_blob,
    STATE(2504), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [65859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4706), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [65965] = 28,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4688), 1,
      sym_extglob_pattern,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2208), 1,
      sym__extglob_blob,
    STATE(2723), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [66068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [66121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4704), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4784), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4692), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym__special_character,
    STATE(1199), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4511), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [66447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66500] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4591), 1,
      sym__special_character,
    STATE(1210), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4300), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4298), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [66663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym__special_character,
    STATE(1199), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4517), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [66826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [66879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3588), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3580), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(4788), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [66936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [66989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 7,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4792), 1,
      sym__concat,
    STATE(1197), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [67260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [67366] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2578), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4794), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4796), 1,
      sym__concat,
    STATE(1538), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4794), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4796), 1,
      sym__concat,
    STATE(1463), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [67634] = 22,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4798), 1,
      sym_word,
    ACTIONS(4804), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4807), 1,
      anon_sym_DOLLAR,
    ACTIONS(4810), 1,
      sym__special_character,
    ACTIONS(4813), 1,
      anon_sym_DQUOTE,
    ACTIONS(4819), 1,
      aux_sym_number_token1,
    ACTIONS(4822), 1,
      aux_sym_number_token2,
    ACTIONS(4825), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4828), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4831), 1,
      anon_sym_BQUOTE,
    ACTIONS(4834), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4840), 1,
      sym_test_operator,
    ACTIONS(4843), 1,
      sym__brace_start,
    STATE(2974), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4801), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4816), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4837), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1410), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1898), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1900), 8,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
    STATE(2906), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [67724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [67776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 1,
      sym__special_character,
    STATE(1444), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3765), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 1,
      sym__special_character,
    STATE(1444), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4086), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4848), 1,
      sym__special_character,
    STATE(1415), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [67996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4851), 1,
      sym__special_character,
    STATE(1492), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4346), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4344), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [68052] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    ACTIONS(4853), 1,
      sym__regex_no_space,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2514), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68204] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4853), 1,
      sym__regex_no_space,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2455), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 1,
      sym__special_character,
    STATE(1444), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4610), 1,
      sym__concat,
    STATE(1494), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4346), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4344), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [68418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__special_character,
    STATE(1415), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68474] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_LT_LT,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    ACTIONS(3636), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4857), 1,
      sym_variable_name,
    STATE(5477), 1,
      sym_subscript,
    STATE(4261), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(3586), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT_LT_DASH,
    STATE(4326), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3588), 21,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [68542] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4853), 1,
      sym__regex_no_space,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2629), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [68642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [68694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [68902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 1,
      sym__special_character,
    STATE(1444), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4517), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [68958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__special_character,
    STATE(1415), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4517), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69118] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4794), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4796), 1,
      sym__concat,
    STATE(1463), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [69228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [69384] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    ACTIONS(4860), 1,
      sym__regex_no_space,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2575), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4706), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [69536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__special_character,
    STATE(1415), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4704), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4784), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4692), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69648] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2974), 1,
      aux_sym__literal_repeat1,
    STATE(1410), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2906), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1979), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1981), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [69706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4862), 1,
      sym__special_character,
    STATE(1444), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [69762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3588), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3580), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(4788), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [69818] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(171), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2440), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [69918] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4869), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4871), 1,
      anon_sym_DOLLAR,
    ACTIONS(4873), 1,
      sym__special_character,
    ACTIONS(4875), 1,
      anon_sym_DQUOTE,
    ACTIONS(4877), 1,
      aux_sym_number_token1,
    ACTIONS(4879), 1,
      aux_sym_number_token2,
    ACTIONS(4881), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4883), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4891), 1,
      sym_test_operator,
    ACTIONS(4893), 1,
      sym__brace_start,
    STATE(4573), 1,
      aux_sym__literal_repeat1,
    STATE(4703), 1,
      sym_concatenation,
    ACTIONS(2335), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4867), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4889), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4865), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4525), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [70006] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4897), 1,
      sym__concat,
    STATE(1454), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70064] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1498), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3789), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3787), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70122] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4869), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4871), 1,
      anon_sym_DOLLAR,
    ACTIONS(4873), 1,
      sym__special_character,
    ACTIONS(4875), 1,
      anon_sym_DQUOTE,
    ACTIONS(4877), 1,
      aux_sym_number_token1,
    ACTIONS(4879), 1,
      aux_sym_number_token2,
    ACTIONS(4881), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4883), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4885), 1,
      anon_sym_BQUOTE,
    ACTIONS(4887), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4893), 1,
      sym__brace_start,
    ACTIONS(4901), 1,
      sym_test_operator,
    STATE(4575), 1,
      aux_sym__literal_repeat1,
    STATE(4702), 1,
      sym_concatenation,
    ACTIONS(2224), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4867), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4889), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(4899), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4489), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [70210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [70262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4903), 1,
      sym__concat,
    STATE(1454), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70320] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4610), 1,
      sym__concat,
    STATE(1497), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4352), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4350), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [70378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4905), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4908), 1,
      sym__concat,
    STATE(1454), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [70488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4911), 1,
      sym__special_character,
    STATE(1456), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [70544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4713), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [70596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1493), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3785), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3783), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [70706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4694), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4794), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4914), 1,
      sym__concat,
    STATE(1528), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [70980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71188] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2974), 1,
      aux_sym__literal_repeat1,
    STATE(1410), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2906), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(1941), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1943), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [71246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1493), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71356] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1498), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1493), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DQUOTE,
    STATE(2897), 1,
      sym_string,
    ACTIONS(4918), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4916), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [71792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [71948] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    ACTIONS(4920), 1,
      sym__regex_no_space,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 1,
      sym__special_character,
    STATE(1456), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1498), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72162] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1310), 1,
      anon_sym_LPAREN,
    STATE(1502), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1183), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1193), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [72220] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1502), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1183), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1193), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [72276] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1501), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(231), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(268), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [72332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72436] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(225), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2547), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [72536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 1,
      sym__special_character,
    STATE(1492), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4929), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4931), 1,
      sym__concat,
    STATE(1267), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4933), 1,
      sym__special_character,
    STATE(1530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4086), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72816] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4935), 1,
      sym__concat,
    STATE(1267), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [72874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4937), 1,
      sym__concat,
    STATE(809), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__special_character,
    STATE(1415), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [72988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4610), 1,
      sym__concat,
    STATE(1494), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73046] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4924), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4939), 1,
      sym__concat,
    STATE(1557), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1216), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [73104] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4924), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4941), 1,
      sym__concat,
    STATE(1557), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [73162] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1501), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1222), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [73218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4943), 1,
      sym__concat,
    STATE(1448), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1498), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3781), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3779), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73490] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1493), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3777), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3775), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4943), 1,
      sym__concat,
    STATE(1452), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73606] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4943), 1,
      sym__concat,
    STATE(1448), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__special_character,
    STATE(1415), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4511), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [73928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [73980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74136] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 1,
      aux_sym_concatenation_token1,
    ACTIONS(3909), 1,
      sym__concat,
    STATE(1498), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74246] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    ACTIONS(3636), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4857), 1,
      sym_variable_name,
    ACTIONS(4947), 1,
      anon_sym_LT_LT,
    ACTIONS(4949), 1,
      anon_sym_LT_LT_DASH,
    STATE(5477), 1,
      sym_subscript,
    ACTIONS(4945), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    STATE(4261), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(4252), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3588), 21,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [74316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym__special_character,
    STATE(1552), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74476] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DQUOTE,
    STATE(2897), 1,
      sym_string,
    ACTIONS(4918), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4916), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4956), 1,
      sym__concat,
    STATE(1528), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [74594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74646] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4959), 1,
      sym__special_character,
    STATE(1530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74702] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4962), 1,
      sym__regex_no_space,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2396), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [74802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 40,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [74958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75010] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4857), 1,
      sym_variable_name,
    STATE(5477), 1,
      sym_subscript,
    STATE(4261), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    STATE(4326), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3580), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3584), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3636), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
    ACTIONS(3588), 15,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [75074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [75126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4794), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4964), 1,
      sym__concat,
    STATE(1528), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4706), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [75288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 1,
      sym__special_character,
    STATE(1444), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3681), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4922), 1,
      sym__special_character,
    STATE(1456), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4300), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4298), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [75400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [75452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [75504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4933), 1,
      sym__special_character,
    STATE(1530), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4300), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4298), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [75560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4713), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 1,
      sym__special_character,
    STATE(1444), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4511), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [75720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      sym__special_character,
    STATE(1415), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75776] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4853), 1,
      sym__regex_no_space,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2454), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [75876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [75928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4966), 1,
      sym__special_character,
    STATE(1552), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [75984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [76088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [76140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76192] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1557), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4969), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [76248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76299] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4972), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76360] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4975), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76472] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4978), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76533] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [76584] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4981), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76645] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2382), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [76742] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4984), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76854] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4987), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [76915] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4924), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4990), 1,
      sym__concat,
    STATE(1557), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [76972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77023] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4992), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77135] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2326), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77232] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2611), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77329] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2241), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3588), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3580), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(4788), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [77481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 1,
      sym__special_character,
    STATE(1707), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4346), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4344), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [77536] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2613), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [77633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4790), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3580), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(4788), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [77739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77790] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4997), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [77953] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78004] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5000), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78065] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5003), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78177] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2535), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78274] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5006), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78335] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 1,
      sym__special_character,
    STATE(1591), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [78390] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5012), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [78553] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5015), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78614] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5018), 1,
      sym__concat,
    STATE(1454), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [78671] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4924), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5020), 1,
      sym__concat,
    STATE(1557), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1216), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [78728] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2241), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78825] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2521), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [78922] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2497), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79019] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2608), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79116] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2441), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79213] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79272] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2471), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4706), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79471] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5022), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79532] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5025), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79593] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2600), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79741] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2549), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [79838] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5028), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [79899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4713), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [79950] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2383), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80047] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4943), 1,
      sym__concat,
    STATE(1667), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5031), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80165] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2984), 1,
      aux_sym__literal_repeat1,
    STATE(2991), 1,
      sym_concatenation,
    STATE(2877), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2222), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(2224), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80222] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(5034), 1,
      sym_word,
    ACTIONS(5038), 1,
      sym_test_operator,
    STATE(2052), 1,
      aux_sym__literal_repeat1,
    STATE(2678), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(5036), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 2,
      sym_ternary_expression,
      sym_postfix_expression,
    STATE(2376), 4,
      sym_binary_expression,
      sym_unary_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2015), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80321] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2484), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80418] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5040), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80479] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5043), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80540] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [80591] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2526), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80688] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5046), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80749] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2397), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [80846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5049), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80907] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5052), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [80968] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2474), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5055), 1,
      sym__special_character,
    STATE(1591), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4346), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4344), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [81120] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5057), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [81181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [81232] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(5060), 1,
      sym_word,
    ACTIONS(5064), 1,
      sym_test_operator,
    STATE(2118), 1,
      aux_sym__literal_repeat1,
    STATE(2678), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(5062), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 2,
      sym_ternary_expression,
      sym_postfix_expression,
    STATE(2324), 4,
      sym_binary_expression,
      sym_unary_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2116), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81331] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2563), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81428] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2614), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81525] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2537), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81622] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2536), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81719] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4699), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [81778] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2396), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [81875] = 6,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2983), 1,
      aux_sym__literal_repeat1,
    STATE(2996), 1,
      sym_concatenation,
    STATE(2910), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
    ACTIONS(2333), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(2335), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [81932] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5066), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [81993] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4943), 1,
      sym__concat,
    STATE(1596), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [82050] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5069), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [82111] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2334), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82208] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5072), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [82269] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(5075), 1,
      sym_word,
    ACTIONS(5079), 1,
      sym_test_operator,
    STATE(2012), 1,
      aux_sym__literal_repeat1,
    STATE(2678), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(5077), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 2,
      sym_ternary_expression,
      sym_postfix_expression,
    STATE(2332), 4,
      sym_binary_expression,
      sym_unary_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2086), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [82419] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5081), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [82480] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2384), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4706), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [82628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4704), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4784), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4692), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [82683] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5084), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [82744] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2387), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [82892] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2562), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [82989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [83040] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [83091] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5087), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [83152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 39,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [83203] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5090), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [83264] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4943), 1,
      sym__concat,
    STATE(1667), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [83321] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2241), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83418] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2327), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83515] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2445), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83612] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2610), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83709] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2604), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83806] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2605), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [83903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5093), 1,
      sym__concat,
    STATE(1454), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [83960] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2606), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84057] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2607), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84154] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2609), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84251] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2616), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84348] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2618), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84445] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2619), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84542] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2603), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84639] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2621), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84736] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2622), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84833] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2623), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [84930] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2624), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85027] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2625), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85124] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2651), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85272] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2648), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85369] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5095), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85430] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2598), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85527] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2390), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85624] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2241), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85823] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(5098), 1,
      sym_word,
    ACTIONS(5102), 1,
      sym_test_operator,
    STATE(2090), 1,
      aux_sym__literal_repeat1,
    STATE(2678), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(5100), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 2,
      sym_ternary_expression,
      sym_postfix_expression,
    STATE(2343), 4,
      sym_binary_expression,
      sym_unary_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2100), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [85922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 1,
      sym__special_character,
    STATE(1690), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [85977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86028] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5107), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86089] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2597), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4713), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86237] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2493), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86334] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5110), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4786), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4704), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4784), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4692), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [86501] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2276), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [86598] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86649] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4713), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [86751] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86802] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86853] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1597), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3679), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3681), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86908] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1569), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3731), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3733), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [86963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5113), 1,
      sym__special_character,
    STATE(1707), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [87018] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2391), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87115] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5116), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87278] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5119), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87339] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1597), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3763), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3765), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [87445] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5122), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87506] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1569), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3767), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3769), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87561] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2583), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87658] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [87709] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2381), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [87806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [87959] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(5125), 1,
      sym_word,
    ACTIONS(5129), 1,
      sym_test_operator,
    STATE(2047), 1,
      aux_sym__literal_repeat1,
    STATE(2678), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(5127), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 2,
      sym_ternary_expression,
      sym_postfix_expression,
    STATE(2302), 4,
      sym_binary_expression,
      sym_unary_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2067), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88058] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5131), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88119] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5134), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88231] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1597), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3787), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3789), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [88286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4706), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [88337] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2529), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88485] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2495), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88582] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2372), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88679] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5137), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [88791] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2492), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88888] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2452), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [88985] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2570), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89082] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1569), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3783), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3785), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4713), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89188] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2627), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89285] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2514), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89433] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5140), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89494] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2491), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89642] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2482), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [89739] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5143), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [89851] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1597), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1222), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [89906] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2477), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90003] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5146), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90064] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5149), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90176] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2476), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90273] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5152), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90487] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5155), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4706), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90701] = 27,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(5158), 1,
      sym_word,
    ACTIONS(5162), 1,
      sym_test_operator,
    STATE(2115), 1,
      aux_sym__literal_repeat1,
    STATE(2678), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(5160), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 2,
      sym_ternary_expression,
      sym_postfix_expression,
    STATE(2330), 4,
      sym_binary_expression,
      sym_unary_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2102), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [90800] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5164), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [90861] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1569), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3775), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3777), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [90916] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2459), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91013] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1597), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4924), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3779), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3781), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91068] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2444), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      sym__special_character,
    STATE(1690), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91220] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2601), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91317] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2450), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91414] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91465] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91516] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2707), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91613] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91664] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [91715] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2503), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [91812] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_DQUOTE,
    STATE(2960), 1,
      sym_string,
    ACTIONS(5173), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(5169), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 26,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91871] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5175), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91932] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5178), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [91993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92044] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [92095] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2456), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92192] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2568), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92289] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_DQUOTE,
    STATE(2960), 1,
      sym_string,
    ACTIONS(5173), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 4,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(5169), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 26,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92348] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2466), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92445] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5181), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92506] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2454), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 6,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92654] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5184), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92715] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2574), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92812] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5187), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [92873] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2575), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [92970] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1109), 1,
      sym_word,
    ACTIONS(1111), 1,
      anon_sym_BANG,
    ACTIONS(1117), 1,
      anon_sym_TILDE,
    ACTIONS(1119), 1,
      sym__special_character,
    ACTIONS(1123), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2532), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1113), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1115), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1121), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2109), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93067] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93118] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5190), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93281] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2596), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93378] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2394), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93475] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5193), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93536] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93587] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2576), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [93684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93735] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [93786] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5196), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93847] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5199), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [93908] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2393), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94005] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2580), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94102] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5202), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94163] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2595), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94260] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2462), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94357] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 16,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 27,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [94408] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2710), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [94556] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2498), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94653] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2747), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94750] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2629), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94847] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2736), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [94944] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2732), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95092] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5205), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95153] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2727), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95250] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2726), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95347] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5208), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95408] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2724), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95505] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2594), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5211), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [95663] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2499), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95760] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2721), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95857] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2589), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [95954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96056] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5214), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96117] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2716), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96214] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2451), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96362] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2501), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96459] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2713), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96556] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1147), 1,
      sym_word,
    ACTIONS(1149), 1,
      anon_sym_BANG,
    ACTIONS(1155), 1,
      anon_sym_TILDE,
    ACTIONS(1157), 1,
      sym__special_character,
    ACTIONS(1161), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2712), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1151), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1153), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1159), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2156), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96704] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5217), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [96765] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2502), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96862] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2505), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [96959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 6,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [97010] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2453), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97107] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2455), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97204] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2473), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97301] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2478), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97398] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2480), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97495] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2481), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97592] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2483), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97689] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2511), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97786] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2506), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97883] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2539), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [97980] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2545), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98077] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2546), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98174] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2551), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98271] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(1093), 1,
      sym_word,
    ACTIONS(1095), 1,
      anon_sym_BANG,
    ACTIONS(1101), 1,
      anon_sym_TILDE,
    ACTIONS(1103), 1,
      sym__special_character,
    ACTIONS(1107), 1,
      sym_test_operator,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    STATE(2099), 1,
      aux_sym__literal_repeat1,
    STATE(2559), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1097), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1099), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1105), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2062), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98368] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2507), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98516] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2508), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98613] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2509), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98710] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2513), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [98807] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5220), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [98970] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2586), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99067] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2585), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99164] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(5223), 1,
      anon_sym_RPAREN,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4692), 18,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99225] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(1009), 1,
      sym_word,
    ACTIONS(1011), 1,
      anon_sym_LPAREN,
    ACTIONS(1013), 1,
      anon_sym_BANG,
    ACTIONS(1021), 1,
      anon_sym_TILDE,
    ACTIONS(1031), 1,
      sym_test_operator,
    ACTIONS(4638), 1,
      sym__special_character,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    STATE(2096), 1,
      aux_sym__literal_repeat1,
    STATE(2392), 1,
      sym__expression,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(1017), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1019), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1027), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2425), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2110), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99322] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(107), 1,
      anon_sym_TILDE,
    ACTIONS(227), 1,
      sym_word,
    ACTIONS(238), 1,
      anon_sym_LPAREN,
    ACTIONS(240), 1,
      anon_sym_BANG,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(272), 1,
      sym_test_operator,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1135), 1,
      sym__special_character,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    STATE(2140), 1,
      aux_sym__literal_repeat1,
    STATE(2467), 1,
      sym__expression,
    ACTIONS(103), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(105), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1139), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2582), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2112), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99419] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1037), 1,
      sym_word,
    ACTIONS(1041), 1,
      anon_sym_LPAREN,
    ACTIONS(1043), 1,
      anon_sym_BANG,
    ACTIONS(1049), 1,
      anon_sym_TILDE,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1077), 1,
      sym_test_operator,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(4782), 1,
      sym__special_character,
    STATE(2171), 1,
      aux_sym__literal_repeat1,
    STATE(2515), 1,
      sym__expression,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1045), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(1047), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(1061), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2153), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99516] = 26,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(187), 1,
      anon_sym_TILDE,
    ACTIONS(340), 1,
      sym_word,
    ACTIONS(349), 1,
      anon_sym_LPAREN,
    ACTIONS(351), 1,
      anon_sym_BANG,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(379), 1,
      sym_test_operator,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4727), 1,
      sym__special_character,
    STATE(2172), 1,
      aux_sym__literal_repeat1,
    STATE(2581), 1,
      sym__expression,
    ACTIONS(183), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(185), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(363), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2449), 6,
      sym_binary_expression,
      sym_ternary_expression,
      sym_unary_expression,
      sym_postfix_expression,
      sym_parenthesized_expression,
      sym_concatenation,
    STATE(2053), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [99613] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1905), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [99669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1905), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [99725] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [99775] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1905), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4300), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4298), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [99831] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1922), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99887] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1880), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5226), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [99941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1925), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [99997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100047] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1925), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100103] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1922), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100159] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [100209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1898), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [100265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [100315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1922), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4500), 1,
      sym__concat,
    STATE(1898), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4290), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4288), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [100427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4699), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4701), 1,
      sym_file_descriptor,
    ACTIONS(4704), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(4694), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4696), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_BQUOTE,
    ACTIONS(4692), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 38,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [100535] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [100585] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1912), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5229), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4230), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4232), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [100639] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1250), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [100689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 1,
      sym__special_character,
    STATE(1895), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100743] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1907), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5229), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4234), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4236), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [100797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1925), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100853] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5234), 1,
      sym__concat,
    STATE(1125), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [100909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1922), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [100965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3588), 3,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(3580), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
    ACTIONS(4788), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [101019] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1230), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1922), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101125] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101175] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5236), 1,
      sym__concat,
    STATE(1125), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [101281] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101331] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5229), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5238), 1,
      sym__concat,
    STATE(1880), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101387] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101437] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5240), 1,
      sym__special_character,
    STATE(1895), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 35,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101541] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101591] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5229), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5242), 1,
      sym__concat,
    STATE(1880), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1216), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101647] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1913), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5244), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [101701] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 28,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [101751] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1907), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5229), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1941), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1943), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101805] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1912), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5229), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3679), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3681), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101859] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5247), 1,
      sym__special_character,
    STATE(1917), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1294), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [101913] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1925), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [101969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1925), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102025] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4513), 1,
      sym__concat,
    STATE(1922), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102081] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1907), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5229), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3731), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3733), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102135] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5250), 1,
      sym__concat,
    STATE(1102), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102191] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 1,
      sym__special_character,
    STATE(1929), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102245] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1907), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5229), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3767), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3769), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5254), 1,
      sym__concat,
    STATE(1102), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 5,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102355] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1912), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5229), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3763), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3765), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102409] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1907), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5229), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1979), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1981), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102463] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5256), 1,
      sym__special_character,
    STATE(1917), 1,
      aux_sym__literal_repeat1,
    ACTIONS(231), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(268), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5258), 1,
      sym__special_character,
    STATE(1929), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [102571] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1912), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5229), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1222), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102625] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym_test_operator,
    STATE(2030), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(5263), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [102680] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym_test_operator,
    STATE(2030), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(5267), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5265), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [102735] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1950), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5269), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3763), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3765), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102788] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5256), 1,
      sym__special_character,
    STATE(1917), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3779), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3781), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [102841] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      anon_sym_esac,
    ACTIONS(5281), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5283), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5287), 1,
      sym__special_character,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5299), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5852), 1,
      sym_last_case_item,
    ACTIONS(5273), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5303), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2725), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5271), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5275), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [102936] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2076), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 15,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      sym__special_character,
    ACTIONS(1222), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [102989] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103038] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5269), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5311), 1,
      sym__concat,
    STATE(1997), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103093] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5283), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5287), 1,
      sym__special_character,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5299), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5315), 1,
      anon_sym_esac,
    ACTIONS(5317), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5750), 1,
      sym_last_case_item,
    ACTIONS(5273), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5303), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2849), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5271), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5313), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103188] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1950), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5269), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1222), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103241] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103290] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 37,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [103388] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5283), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5287), 1,
      sym__special_character,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5299), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5321), 1,
      anon_sym_esac,
    ACTIONS(5323), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5751), 1,
      sym_last_case_item,
    ACTIONS(5273), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5303), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2757), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5271), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5319), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103483] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1183), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1193), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103532] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1938), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5269), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3731), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3733), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103585] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1950), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5269), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3679), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3681), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103638] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103687] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5283), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5287), 1,
      sym__special_character,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5299), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5327), 1,
      anon_sym_esac,
    ACTIONS(5329), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5752), 1,
      sym_last_case_item,
    ACTIONS(5273), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5303), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2851), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5271), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5325), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [103782] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5269), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5331), 1,
      sym__concat,
    STATE(1997), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1216), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103837] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1938), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5269), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3767), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3769), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103890] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1938), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5269), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4234), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4236), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103943] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1950), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5269), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4230), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4232), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [103996] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104045] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5256), 1,
      sym__special_character,
    STATE(1917), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3787), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3789), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104098] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4610), 1,
      sym__concat,
    STATE(2006), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4346), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4344), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [104153] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1023), 1,
      aux_sym_concatenation_token1,
    STATE(2032), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 15,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      sym__special_character,
    ACTIONS(1222), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [104206] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1226), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [104255] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5283), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5287), 1,
      sym__special_character,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5299), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5335), 1,
      anon_sym_esac,
    ACTIONS(5337), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6035), 1,
      sym_last_case_item,
    ACTIONS(5273), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5303), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2695), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5271), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5333), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104350] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [104399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4610), 1,
      sym__concat,
    STATE(2007), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4352), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4350), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [104454] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5283), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5287), 1,
      sym__special_character,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5299), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5341), 1,
      anon_sym_esac,
    ACTIONS(5343), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5787), 1,
      sym_last_case_item,
    ACTIONS(5273), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5303), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2871), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5271), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5339), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104549] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104598] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104647] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1938), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5269), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1979), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1981), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104700] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5283), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5287), 1,
      sym__special_character,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5299), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5347), 1,
      anon_sym_esac,
    ACTIONS(5349), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5779), 1,
      sym_last_case_item,
    ACTIONS(5273), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5303), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2867), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5271), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5345), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [104795] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [104844] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1968), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5351), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1200), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [104897] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2038), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1222), 24,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      sym__special_character,
  [104950] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [104999] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 15,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_LPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1222), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105048] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5283), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5287), 1,
      sym__special_character,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5299), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5356), 1,
      anon_sym_esac,
    ACTIONS(5358), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5856), 1,
      sym_last_case_item,
    ACTIONS(5273), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5303), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2719), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5271), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5354), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [105143] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1986), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5360), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4288), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4290), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105196] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105245] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2056), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1133), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1222), 24,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      sym__special_character,
  [105298] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2004), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5360), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1222), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105351] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1950), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5269), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4084), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4086), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105404] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2111), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1222), 24,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      sym__special_character,
  [105457] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1938), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5269), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4063), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4065), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105510] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [105559] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105608] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105657] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105706] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105755] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5256), 1,
      sym__special_character,
    STATE(1917), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3763), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3765), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105808] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5360), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5362), 1,
      sym__concat,
    STATE(1968), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1210), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105863] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [105912] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [105961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 5,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 36,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [106010] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106059] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1938), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5269), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1941), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1943), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106112] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106161] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2004), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5360), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4298), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4300), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106214] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 27,
      sym__concat,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      aux_sym_concatenation_token1,
  [106263] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106312] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2004), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5360), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4084), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4086), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106365] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1997), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5364), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106418] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5256), 1,
      sym__special_character,
    STATE(1917), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3679), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3681), 25,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106471] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5283), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5287), 1,
      sym__special_character,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5299), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5369), 1,
      anon_sym_esac,
    ACTIONS(5371), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6037), 1,
      sym_last_case_item,
    ACTIONS(5273), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5303), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2693), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5271), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5367), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106566] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(1986), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5360), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4063), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4065), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106619] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5283), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5287), 1,
      sym__special_character,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5299), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5375), 1,
      anon_sym_esac,
    ACTIONS(5377), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6053), 1,
      sym_last_case_item,
    ACTIONS(5273), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5303), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2676), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5271), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5373), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106714] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5283), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5287), 1,
      sym__special_character,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5299), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5381), 1,
      anon_sym_esac,
    ACTIONS(5383), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6051), 1,
      sym_last_case_item,
    ACTIONS(5273), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5303), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2679), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5271), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5379), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [106809] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106858] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5360), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5385), 1,
      sym__concat,
    STATE(1968), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1216), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106913] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [106962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5387), 1,
      sym__concat,
    STATE(1267), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [107017] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5389), 1,
      sym__concat,
    STATE(1267), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [107072] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5283), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5287), 1,
      sym__special_character,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5295), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5299), 1,
      anon_sym_BQUOTE,
    ACTIONS(5301), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5393), 1,
      anon_sym_esac,
    ACTIONS(5395), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5761), 1,
      sym_last_case_item,
    ACTIONS(5273), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(5303), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2754), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    ACTIONS(5271), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(5391), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [107167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4610), 1,
      sym__concat,
    STATE(2006), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 34,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
  [107222] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2120), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 15,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      sym__special_character,
    ACTIONS(1222), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [107275] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107324] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_RBRACK,
    ACTIONS(5397), 1,
      sym__special_character,
    ACTIONS(5399), 1,
      sym__concat,
    STATE(2079), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(344), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [107380] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107428] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [107476] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1023), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5401), 1,
      anon_sym_RBRACK,
    ACTIONS(5403), 1,
      sym__concat,
    STATE(2028), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [107532] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107580] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1234), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107628] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2020), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5405), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4230), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4232), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107680] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2070), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5407), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4350), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4352), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107732] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5405), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5409), 1,
      sym__concat,
    STATE(2045), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1216), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107786] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2068), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5407), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4344), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4346), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107838] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1266), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107886] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2036), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5405), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4234), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4236), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [107938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5411), 1,
      sym__concat,
    STATE(1454), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [107992] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108040] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2020), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5405), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1222), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108092] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3731), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3733), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108140] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1023), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5413), 1,
      sym__concat,
    STATE(2049), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [108194] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108242] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1053), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5415), 1,
      sym__concat,
    STATE(1913), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 23,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [108296] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1230), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108344] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1023), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5417), 1,
      sym__concat,
    STATE(2049), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1216), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [108398] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2068), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5407), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1222), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108450] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5419), 1,
      sym__special_character,
    STATE(2034), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1294), 24,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [108502] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3767), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3769), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108550] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5405), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5422), 1,
      sym__concat,
    STATE(2045), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108604] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1286), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108652] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1053), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5424), 1,
      sym__concat,
    STATE(1913), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1216), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [108706] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [108754] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [108802] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5426), 1,
      sym__special_character,
    STATE(2041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1294), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108854] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1278), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [108902] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1053), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5429), 1,
      sym__concat,
    STATE(1913), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [108956] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1200), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109004] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2045), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5431), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109056] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109104] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_RBRACK,
    ACTIONS(5397), 1,
      sym__special_character,
    ACTIONS(5434), 1,
      sym__concat,
    STATE(2079), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(344), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [109160] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109208] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2049), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5436), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [109260] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3783), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3785), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109308] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5439), 1,
      sym__special_character,
    STATE(2041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3763), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3765), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109360] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1081), 1,
      anon_sym_RBRACK,
    ACTIONS(5397), 1,
      sym__special_character,
    ACTIONS(5441), 1,
      sym__concat,
    STATE(2079), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(344), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [109416] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2078), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1023), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [109468] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109516] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5439), 1,
      sym__special_character,
    STATE(2041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4515), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4517), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109568] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1133), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5443), 1,
      sym__concat,
    STATE(2092), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1216), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [109622] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1246), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109670] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1274), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4943), 1,
      sym__concat,
    STATE(2113), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [109772] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109820] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [109868] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2043), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [109920] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [109968] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110016] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1290), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110064] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1254), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110112] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1023), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5445), 1,
      anon_sym_RBRACK,
    ACTIONS(5447), 1,
      sym__concat,
    STATE(2028), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [110168] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5407), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5449), 1,
      sym__concat,
    STATE(2074), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1216), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110222] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1250), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110270] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5407), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5451), 1,
      sym__concat,
    STATE(2074), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1210), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110324] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1133), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5453), 1,
      sym__concat,
    STATE(2092), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [110378] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110426] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4374), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4376), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110474] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2074), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5455), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1200), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110526] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1282), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110574] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1023), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5458), 1,
      sym__concat,
    STATE(2049), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1216), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [110628] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110676] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1023), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5460), 1,
      sym__concat,
    STATE(2049), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [110730] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5462), 1,
      sym__special_character,
    STATE(2079), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1294), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [110782] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1053), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5465), 1,
      sym__concat,
    STATE(1913), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [110836] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [110884] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2183), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1222), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      sym__special_character,
  [110936] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3775), 14,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_EQ_TILDE,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3777), 26,
      sym_file_descriptor,
      sym_test_operator,
      sym__bare_dollar,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [110984] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [111032] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [111080] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1023), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5467), 1,
      anon_sym_RBRACK,
    ACTIONS(5469), 1,
      sym__concat,
    STATE(2028), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [111136] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 26,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [111184] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111232] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5439), 1,
      sym__special_character,
    STATE(2041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3679), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3681), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111284] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_RBRACK,
    ACTIONS(5397), 1,
      sym__special_character,
    ACTIONS(5471), 1,
      sym__concat,
    STATE(2079), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(344), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [111340] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1238), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111388] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2092), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5473), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [111440] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5439), 1,
      sym__special_character,
    STATE(2041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4509), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4511), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111492] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5480), 1,
      sym_extglob_pattern,
    ACTIONS(5478), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [111542] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111590] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5397), 1,
      sym__special_character,
    STATE(2079), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(344), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [111642] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1258), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111690] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1226), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [111738] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5482), 1,
      sym__special_character,
    STATE(2034), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(344), 24,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [111790] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1023), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5484), 1,
      anon_sym_RBRACK,
    ACTIONS(5486), 1,
      sym__concat,
    STATE(2028), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [111846] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4943), 1,
      sym__concat,
    STATE(2024), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [111900] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1023), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5488), 1,
      anon_sym_RBRACK,
    ACTIONS(5490), 1,
      sym__concat,
    STATE(2028), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [111956] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1242), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112004] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5439), 1,
      sym__special_character,
    STATE(2041), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4230), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4232), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112056] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1270), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112104] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1242), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112152] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112200] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112248] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2030), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112300] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1023), 1,
      aux_sym_concatenation_token1,
    STATE(2028), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112352] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1053), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5492), 1,
      sym__concat,
    STATE(1913), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1216), 23,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112406] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2071), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1133), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5494), 1,
      sym__concat,
    STATE(1454), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [112512] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym_test_operator,
    STATE(2071), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1133), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(5263), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112566] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym_RBRACK,
    ACTIONS(5397), 1,
      sym__special_character,
    ACTIONS(5496), 1,
      sym__concat,
    STATE(2079), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(344), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112622] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1023), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5498), 1,
      anon_sym_RBRACK,
    ACTIONS(5500), 1,
      sym__concat,
    STATE(2028), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112678] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2080), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112730] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_RBRACK,
    ACTIONS(5397), 1,
      sym__special_character,
    ACTIONS(5502), 1,
      sym__concat,
    STATE(2079), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(344), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112786] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1308), 1,
      sym_test_operator,
    STATE(2071), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1133), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(5267), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5265), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112840] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1053), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5504), 1,
      sym__concat,
    STATE(1913), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1216), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [112894] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1262), 26,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112942] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [112990] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113038] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 27,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4895), 1,
      aux_sym_concatenation_token1,
    ACTIONS(4943), 1,
      sym__concat,
    STATE(2113), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 33,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [113140] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1238), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113187] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1230), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [113234] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5506), 1,
      sym__special_character,
    STATE(2128), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1294), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113285] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5513), 1,
      sym__concat,
    ACTIONS(5511), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5509), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [113334] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1290), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113381] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5519), 1,
      sym__concat,
    ACTIONS(5517), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5515), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [113430] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1246), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113477] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [113524] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1200), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113571] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1278), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113618] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1266), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113665] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4694), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(4696), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4699), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_LT_LT_DASH,
    ACTIONS(4692), 6,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4701), 6,
      sym_file_descriptor,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4704), 15,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113720] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4784), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(4786), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_LT_LT_DASH,
    ACTIONS(4692), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4704), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113771] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5521), 1,
      sym__special_character,
    STATE(2254), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4515), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4517), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113822] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5523), 1,
      sym__special_character,
    STATE(2243), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(344), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [113873] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1222), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [113920] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5525), 1,
      sym__special_character,
    STATE(2142), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1294), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [113971] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5528), 1,
      sym__special_character,
    STATE(2128), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4298), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4300), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114022] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5521), 1,
      sym__special_character,
    STATE(2254), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4509), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4511), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114073] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1226), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114120] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5534), 1,
      sym__concat,
    ACTIONS(5532), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5530), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [114169] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5540), 1,
      sym__concat,
    ACTIONS(5538), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5536), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [114218] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114265] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114312] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5521), 1,
      sym__special_character,
    STATE(2254), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4084), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4086), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114363] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5542), 1,
      anon_sym_LBRACK,
    ACTIONS(5263), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [114412] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114459] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [114506] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5544), 1,
      sym__special_character,
    STATE(2154), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1294), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114557] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1222), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
      sym__special_character,
  [114604] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2184), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1053), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114655] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [114702] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [114749] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [114796] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [114843] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [114890] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2168), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5547), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1222), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114941] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [114988] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115035] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115082] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2166), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5549), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115133] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5547), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5552), 1,
      sym__concat,
    STATE(2166), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115186] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5547), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5554), 1,
      sym__concat,
    STATE(2166), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1216), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115239] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115286] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115333] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5556), 1,
      sym__special_character,
    STATE(2142), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(344), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [115384] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5558), 1,
      sym__special_character,
    STATE(2154), 1,
      aux_sym__literal_repeat1,
    ACTIONS(233), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(344), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [115435] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115482] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1941), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1943), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115529] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115576] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115623] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115670] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3731), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3733), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115717] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115764] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [115811] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [115858] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5562), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [115905] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1053), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5564), 1,
      sym__concat,
    STATE(1913), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1216), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [115958] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1053), 1,
      aux_sym_concatenation_token1,
    ACTIONS(5566), 1,
      sym__concat,
    STATE(1913), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1210), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [116011] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [116058] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1250), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116105] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116152] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [116199] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 25,
      sym__concat,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [116246] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116293] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116340] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116387] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116434] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1979), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1981), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116481] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3767), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3769), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116528] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116575] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116622] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116669] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116716] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116763] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116810] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116857] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [116904] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116951] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [116998] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5570), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5568), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [117045] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5521), 1,
      sym__special_character,
    STATE(2254), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4230), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4232), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117096] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5572), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [117143] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1282), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117190] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117237] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1230), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [117284] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5576), 1,
      sym_extglob_pattern,
    ACTIONS(5478), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [117333] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117380] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5521), 1,
      sym__special_character,
    STATE(2254), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3679), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3681), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117431] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117478] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5572), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [117525] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1266), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [117572] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117619] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1230), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117666] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1242), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117713] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1270), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117760] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 15,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      sym__special_character,
    ACTIONS(1222), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [117807] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [117854] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1258), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117901] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1234), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [117948] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [117995] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1250), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118042] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118089] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2167), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5547), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4234), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4236), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [118140] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2168), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(5547), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4230), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4232), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [118191] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5521), 1,
      sym__special_character,
    STATE(2254), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3763), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3765), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [118242] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118289] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1226), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118336] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1274), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [118383] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118430] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1278), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118477] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1200), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118524] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1242), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [118571] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118618] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1282), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118665] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5580), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5578), 23,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [118714] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1286), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [118761] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5584), 1,
      sym__special_character,
    STATE(2243), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1294), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [118812] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1254), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [118859] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118906] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [118953] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1250), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119000] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1246), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [119047] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1262), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119094] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119141] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1226), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [119188] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5528), 1,
      sym__special_character,
    STATE(2128), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4084), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4086), 24,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119239] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 14,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119286] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5587), 1,
      sym__special_character,
    STATE(2254), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1294), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119337] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1290), 25,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      aux_sym_concatenation_token1,
  [119384] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5592), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5590), 25,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [119431] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5594), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    STATE(5340), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [119513] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5632), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5296), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [119595] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [119641] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [119687] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [119733] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5634), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5287), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [119815] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5636), 1,
      sym_extglob_pattern,
    ACTIONS(5478), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [119863] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4063), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4065), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119909] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1222), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [119955] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1222), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [120001] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [120047] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [120093] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [120139] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5638), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5267), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120221] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [120267] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5642), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5640), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [120313] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5646), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5644), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [120359] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5511), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5509), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [120405] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5648), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5232), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120487] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_EQ,
    ACTIONS(5656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_CARET,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5680), 1,
      sym_test_operator,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5668), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 15,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [120561] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5684), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5682), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [120617] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5517), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5515), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [120663] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [120709] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1222), 24,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      sym__special_character,
  [120755] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5686), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5334), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120837] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5690), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5688), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [120883] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5692), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5372), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [120965] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [121011] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5684), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5682), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [121059] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5696), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [121109] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [121155] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5694), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [121207] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [121253] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5684), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5682), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [121309] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5698), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5223), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121391] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_DQUOTE,
    STATE(3623), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(5704), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(5700), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [121445] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5706), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5235), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121527] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_DQUOTE,
    STATE(3623), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(5704), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(5700), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [121581] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1979), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1981), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [121627] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1230), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [121673] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5708), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5311), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121755] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3580), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4788), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4790), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
    ACTIONS(3588), 16,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [121805] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 15,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      sym__special_character,
    ACTIONS(1222), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [121851] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5710), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5364), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [121933] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5694), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [121987] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5445), 1,
      anon_sym_RBRACK,
    ACTIONS(5712), 1,
      sym__concat,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [122037] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5714), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5295), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [122119] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1941), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1943), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [122165] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5694), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [122221] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5716), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5218), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [122303] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5718), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5288), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [122385] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5720), 1,
      sym__special_character,
    STATE(2430), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4344), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4346), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [122435] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5724), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5722), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [122481] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5694), 20,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [122541] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5694), 18,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [122603] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5726), 1,
      sym__special_character,
    STATE(2313), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4230), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4232), 24,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [122653] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5728), 1,
      sym__special_character,
    STATE(2313), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1294), 24,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [122703] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5731), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5251), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [122785] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5733), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5356), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [122867] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [122913] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5735), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5213), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [122995] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5737), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5262), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [123077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 1,
      anon_sym_EQ,
    ACTIONS(5743), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5739), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [123125] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5694), 18,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [123189] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3767), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3769), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [123235] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4063), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4065), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [123281] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5680), 1,
      sym_test_operator,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 21,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [123339] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5498), 1,
      anon_sym_RBRACK,
    ACTIONS(5745), 1,
      sym__concat,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [123389] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5747), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5308), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [123471] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [123527] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5580), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5578), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [123575] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5749), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5217), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [123657] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5751), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5274), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [123739] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5488), 1,
      anon_sym_RBRACK,
    ACTIONS(5753), 1,
      sym__concat,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [123789] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5696), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 18,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [123855] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5467), 1,
      anon_sym_RBRACK,
    ACTIONS(5755), 1,
      sym__concat,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [123905] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5757), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5210), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [123987] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [124043] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5759), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5337), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [124125] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5763), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5761), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [124171] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5696), 1,
      anon_sym_EQ,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 18,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [124239] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5767), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5765), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [124285] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5769), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5313), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [124367] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5773), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5771), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [124413] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5773), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5771), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [124459] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 15,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      sym__special_character,
    ACTIONS(1222), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [124505] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5484), 1,
      anon_sym_RBRACK,
    ACTIONS(5775), 1,
      sym__concat,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [124555] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [124601] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4713), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4715), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [124647] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [124693] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [124739] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1250), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [124785] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [124831] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [124877] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5696), 1,
      anon_sym_EQ,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 17,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [124947] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4694), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(4699), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4692), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4696), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4701), 6,
      sym_file_descriptor,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4704), 16,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125001] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5777), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5312), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [125083] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_COLON,
  [125159] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5572), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [125205] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5562), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [125251] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5779), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5299), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [125333] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5572), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [125379] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5781), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5322), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [125461] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5783), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5325), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [125543] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5787), 1,
      anon_sym_EQ,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5785), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [125615] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5696), 1,
      anon_sym_EQ,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_COLON,
  [125689] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [125735] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5789), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5366), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [125817] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125863] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5791), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5302), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [125945] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [125991] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126037] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4706), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4708), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [126083] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5570), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5568), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126129] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [126175] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_CARET,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5680), 1,
      sym_test_operator,
    ACTIONS(5793), 1,
      anon_sym_EQ,
    ACTIONS(5795), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5797), 1,
      anon_sym_QMARK,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5668), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 13,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
  [126253] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3731), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3733), 26,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [126299] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [126345] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5799), 1,
      sym_extglob_pattern,
    ACTIONS(5478), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5476), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126393] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5401), 1,
      anon_sym_RBRACK,
    ACTIONS(5801), 1,
      sym__concat,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 22,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126443] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [126489] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [126535] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5803), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5350), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [126617] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5805), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5237), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [126699] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126749] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126799] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5572), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126851] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5572), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [126905] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5807), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5348), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [126987] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5809), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5269), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [127069] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5680), 1,
      sym_test_operator,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 21,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127127] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5811), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5303), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [127209] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5680), 1,
      sym_test_operator,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5668), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 19,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127271] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5680), 1,
      sym_test_operator,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5668), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 17,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127335] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5680), 1,
      sym_test_operator,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5668), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5574), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 17,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127401] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5662), 1,
      anon_sym_CARET,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5680), 1,
      sym_test_operator,
    ACTIONS(5574), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5668), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 17,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127469] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_CARET,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5680), 1,
      sym_test_operator,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5668), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 17,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127539] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_CARET,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5680), 1,
      sym_test_operator,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5668), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127611] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127657] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_CARET,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5680), 1,
      sym_test_operator,
    ACTIONS(5797), 1,
      anon_sym_QMARK,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5668), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 14,
      sym__concat,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [127733] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5652), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 22,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [127789] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [127835] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [127881] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [127927] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [127973] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [128019] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [128065] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [128111] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [128157] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [128203] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5592), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5590), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [128249] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5813), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5321), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [128331] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4706), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4708), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [128377] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128423] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [128469] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 25,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [128515] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5815), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5245), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [128597] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5817), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5264), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [128679] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5819), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5343), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [128761] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4713), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(4715), 25,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [128807] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128853] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128899] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128945] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [128991] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 24,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [129037] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5696), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5694), 22,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [129085] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5821), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5297), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [129167] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5823), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5239), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [129249] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 24,
      sym__concat,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129295] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129341] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 24,
      sym_test_operator,
      sym_extglob_pattern,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [129387] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4784), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(4786), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(4692), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4704), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [129437] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5825), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5306), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [129519] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5827), 1,
      sym__special_character,
    STATE(2430), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1294), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [129569] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5830), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5328), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [129651] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5832), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5242), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [129733] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5834), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5301), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [129815] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5836), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5368), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [129897] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5838), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5246), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [129979] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5840), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5342), 1,
      aux_sym_arithmetic_expansion_repeat1,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [130061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5842), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [130106] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5858), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5854), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5846), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [130161] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5862), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 18,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130222] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5874), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5876), 1,
      anon_sym_EQ,
    ACTIONS(5880), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5882), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5884), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_CARET,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5892), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5894), 1,
      anon_sym_QMARK,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5862), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5890), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5878), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [130301] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130356] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5910), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5908), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [130460] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5862), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5890), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5574), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130525] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5912), 1,
      anon_sym_EQ,
    ACTIONS(5916), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5920), 1,
      anon_sym_PIPE,
    ACTIONS(5922), 1,
      anon_sym_CARET,
    ACTIONS(5924), 1,
      anon_sym_AMP,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5940), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5942), 1,
      anon_sym_QMARK,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5930), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5914), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [130604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [130649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [130694] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5946), 1,
      anon_sym_LBRACK,
    ACTIONS(5263), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130741] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130786] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5886), 1,
      anon_sym_CARET,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5574), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5862), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5890), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130853] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130904] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5884), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_CARET,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5862), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5890), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [130973] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [131028] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5880), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5882), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5884), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_CARET,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5894), 1,
      anon_sym_QMARK,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5862), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5890), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 13,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
  [131103] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5960), 1,
      anon_sym_PIPE,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5972), 1,
      anon_sym_QMARK,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_COLON,
  [131178] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5882), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5884), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_CARET,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5862), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5890), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [131249] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      aux_sym__simple_variable_name_token1,
      sym_word,
    ACTIONS(1222), 24,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [131294] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5562), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [131339] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5862), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5890), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 16,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [131402] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5572), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [131447] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5874), 1,
      anon_sym_RBRACK,
    ACTIONS(5976), 1,
      anon_sym_EQ,
    ACTIONS(5982), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5984), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5986), 1,
      anon_sym_PIPE,
    ACTIONS(5988), 1,
      anon_sym_CARET,
    ACTIONS(5990), 1,
      anon_sym_AMP,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6008), 1,
      anon_sym_QMARK,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5992), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5996), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5980), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [131526] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [131581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [131626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [131671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [131716] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5876), 1,
      anon_sym_EQ,
    ACTIONS(5880), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5882), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5884), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_CARET,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5892), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5894), 1,
      anon_sym_QMARK,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5862), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5890), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 12,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [131793] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5580), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5578), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [131840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [131885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [131930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [131975] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5912), 1,
      anon_sym_EQ,
    ACTIONS(5916), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5920), 1,
      anon_sym_PIPE,
    ACTIONS(5922), 1,
      anon_sym_CARET,
    ACTIONS(5924), 1,
      anon_sym_AMP,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5940), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5942), 1,
      anon_sym_QMARK,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(6012), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5930), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5914), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [132054] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5572), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132099] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5960), 1,
      anon_sym_PIPE,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5972), 1,
      anon_sym_QMARK,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(6014), 1,
      anon_sym_EQ,
    ACTIONS(6016), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_COLON,
  [132176] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_EQ,
    ACTIONS(5916), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5920), 1,
      anon_sym_PIPE,
    ACTIONS(5922), 1,
      anon_sym_CARET,
    ACTIONS(5924), 1,
      anon_sym_AMP,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5930), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132249] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5570), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5568), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132294] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 20,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132351] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132404] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5960), 1,
      anon_sym_PIPE,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [132475] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym_EQ,
    ACTIONS(5982), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5984), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5986), 1,
      anon_sym_PIPE,
    ACTIONS(5988), 1,
      anon_sym_CARET,
    ACTIONS(5990), 1,
      anon_sym_AMP,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6008), 1,
      anon_sym_QMARK,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(6012), 1,
      anon_sym_RBRACK,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5992), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5996), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5980), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [132554] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5960), 1,
      anon_sym_PIPE,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [132623] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(5574), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [132690] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [132741] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5574), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [132806] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(6018), 1,
      anon_sym_EQ,
    ACTIONS(6022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6026), 1,
      anon_sym_PIPE,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_AMP,
    ACTIONS(6038), 1,
      anon_sym_RPAREN,
    ACTIONS(6040), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6042), 1,
      anon_sym_QMARK,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6020), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [132885] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6046), 1,
      anon_sym_esac,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5719), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2845), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [132974] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6064), 1,
      anon_sym_esac,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5721), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2847), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [133063] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5315), 1,
      anon_sym_esac,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5750), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2849), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [133152] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5327), 1,
      anon_sym_esac,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5752), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2851), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [133241] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6066), 1,
      sym__concat,
    ACTIONS(5511), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5509), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133288] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6068), 1,
      sym__concat,
    ACTIONS(5517), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5515), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133335] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133384] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_EQ,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(6022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6026), 1,
      anon_sym_PIPE,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_AMP,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133457] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5960), 1,
      anon_sym_PIPE,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5972), 1,
      anon_sym_QMARK,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(6014), 1,
      anon_sym_EQ,
    ACTIONS(6016), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6072), 1,
      anon_sym_COLON,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6070), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [133536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [133581] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5960), 1,
      anon_sym_PIPE,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5972), 1,
      anon_sym_QMARK,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(6014), 1,
      anon_sym_EQ,
    ACTIONS(6016), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6074), 1,
      anon_sym_COLON,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6070), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [133660] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6076), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [133737] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5960), 1,
      anon_sym_PIPE,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5972), 1,
      anon_sym_QMARK,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(6014), 1,
      anon_sym_EQ,
    ACTIONS(6016), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6078), 1,
      anon_sym_COLON,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6070), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [133816] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133865] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133914] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6080), 1,
      sym__concat,
    ACTIONS(5511), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5509), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [133961] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134014] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134071] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_EQ,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5880), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5882), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5884), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_CARET,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5862), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5890), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 14,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134144] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5930), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 18,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134205] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5930), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134268] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5924), 1,
      anon_sym_AMP,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5930), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5574), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134333] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5922), 1,
      anon_sym_CARET,
    ACTIONS(5924), 1,
      anon_sym_AMP,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(5574), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5930), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134400] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5920), 1,
      anon_sym_PIPE,
    ACTIONS(5922), 1,
      anon_sym_CARET,
    ACTIONS(5924), 1,
      anon_sym_AMP,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5930), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134469] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5920), 1,
      anon_sym_PIPE,
    ACTIONS(5922), 1,
      anon_sym_CARET,
    ACTIONS(5924), 1,
      anon_sym_AMP,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5930), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134540] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_DQUOTE,
    STATE(3623), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(5704), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(5700), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [134593] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [134656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6082), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [134701] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5912), 1,
      anon_sym_EQ,
    ACTIONS(5916), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5920), 1,
      anon_sym_PIPE,
    ACTIONS(5922), 1,
      anon_sym_CARET,
    ACTIONS(5924), 1,
      anon_sym_AMP,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5940), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5942), 1,
      anon_sym_QMARK,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5930), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK_RBRACK,
  [134778] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5916), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5920), 1,
      anon_sym_PIPE,
    ACTIONS(5922), 1,
      anon_sym_CARET,
    ACTIONS(5924), 1,
      anon_sym_AMP,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5942), 1,
      anon_sym_QMARK,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5930), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
  [134853] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [134908] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6086), 1,
      anon_sym_esac,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5663), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2780), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [134997] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6088), 1,
      anon_sym_esac,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5679), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2779), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [135086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5858), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5846), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [135135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5858), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5846), 33,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [135184] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 18,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [135245] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [135300] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6090), 1,
      sym__concat,
    ACTIONS(5532), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5530), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [135347] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6092), 1,
      anon_sym_esac,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6011), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2708), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [135436] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6094), 1,
      sym__concat,
    ACTIONS(5538), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5536), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [135483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5858), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5854), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5846), 30,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
  [135534] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [135589] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6096), 1,
      anon_sym_esac,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6012), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2696), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [135678] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5858), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5854), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5846), 28,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [135731] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(6018), 1,
      anon_sym_EQ,
    ACTIONS(6022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6026), 1,
      anon_sym_PIPE,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_AMP,
    ACTIONS(6040), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6042), 1,
      anon_sym_QMARK,
    ACTIONS(6098), 1,
      anon_sym_RPAREN,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6020), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [135810] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [135867] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6100), 1,
      anon_sym_EQ,
    ACTIONS(5739), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5743), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [135914] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [135969] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6102), 1,
      sym__special_character,
    STATE(2533), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1294), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [136018] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [136075] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [136130] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5580), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5578), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [136177] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [136232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5858), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5854), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6105), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5846), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [136289] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [136346] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5858), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6107), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5854), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6105), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5846), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [136405] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5858), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6109), 1,
      anon_sym_AMP,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6107), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5854), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6105), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5846), 19,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
  [136466] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5858), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6109), 1,
      anon_sym_AMP,
    ACTIONS(6111), 1,
      anon_sym_CARET,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6107), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5854), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6105), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5846), 18,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
  [136529] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5858), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6109), 1,
      anon_sym_AMP,
    ACTIONS(6111), 1,
      anon_sym_CARET,
    ACTIONS(6113), 1,
      anon_sym_PIPE,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6107), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5854), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6105), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5846), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
  [136594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [136639] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [136692] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [136743] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5876), 1,
      anon_sym_EQ,
    ACTIONS(5880), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5882), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5884), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_CARET,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5892), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5894), 1,
      anon_sym_QMARK,
    ACTIONS(6012), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5862), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5890), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5878), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [136822] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5592), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5590), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [136867] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5912), 1,
      anon_sym_EQ,
    ACTIONS(5916), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5918), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5920), 1,
      anon_sym_PIPE,
    ACTIONS(5922), 1,
      anon_sym_CARET,
    ACTIONS(5924), 1,
      anon_sym_AMP,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5940), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5942), 1,
      anon_sym_QMARK,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(6115), 1,
      anon_sym_RBRACK_RBRACK,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5926), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5928), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5930), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5914), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [136946] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym_EQ,
    ACTIONS(5982), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5984), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5986), 1,
      anon_sym_PIPE,
    ACTIONS(5988), 1,
      anon_sym_CARET,
    ACTIONS(5990), 1,
      anon_sym_AMP,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6008), 1,
      anon_sym_QMARK,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(6115), 1,
      anon_sym_RBRACK,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5992), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5996), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5980), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [137025] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [137074] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5592), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5590), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [137119] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5858), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6109), 1,
      anon_sym_AMP,
    ACTIONS(6111), 1,
      anon_sym_CARET,
    ACTIONS(6113), 1,
      anon_sym_PIPE,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6107), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6117), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(5854), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6105), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5846), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
  [137186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [137231] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5858), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6109), 1,
      anon_sym_AMP,
    ACTIONS(6111), 1,
      anon_sym_CARET,
    ACTIONS(6113), 1,
      anon_sym_PIPE,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6107), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6117), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6119), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
    ACTIONS(5854), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6105), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5846), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [137300] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5335), 1,
      anon_sym_esac,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6035), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2695), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [137389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6123), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6121), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [137434] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6125), 1,
      anon_sym_EQ,
    ACTIONS(5739), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5743), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [137481] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [137530] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5369), 1,
      anon_sym_esac,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6037), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2693), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [137619] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6127), 1,
      sym__special_character,
    STATE(2533), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4230), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4232), 23,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [137668] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5960), 1,
      anon_sym_PIPE,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5972), 1,
      anon_sym_QMARK,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(6014), 1,
      anon_sym_EQ,
    ACTIONS(6016), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6129), 1,
      anon_sym_COLON,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6070), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [137747] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(6018), 1,
      anon_sym_EQ,
    ACTIONS(6022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6026), 1,
      anon_sym_PIPE,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_AMP,
    ACTIONS(6040), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6042), 1,
      anon_sym_QMARK,
    ACTIONS(6131), 1,
      anon_sym_RPAREN,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6020), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [137826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [137871] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6109), 1,
      anon_sym_AMP,
    ACTIONS(6111), 1,
      anon_sym_CARET,
    ACTIONS(6113), 1,
      anon_sym_PIPE,
    ACTIONS(6137), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(5848), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5850), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6107), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6117), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6119), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
    ACTIONS(6133), 2,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(5854), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6105), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6135), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [137942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6141), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6139), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [137987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6145), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6143), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [138032] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_EQ,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5960), 1,
      anon_sym_PIPE,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
      anon_sym_COLON,
  [138105] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 13,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      sym__special_character,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1222), 24,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [138150] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5960), 1,
      anon_sym_PIPE,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5972), 1,
      anon_sym_QMARK,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(6014), 1,
      anon_sym_EQ,
    ACTIONS(6016), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6147), 1,
      anon_sym_COLON,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6070), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [138229] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5562), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5560), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6141), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6139), 36,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
  [138319] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6162), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(6165), 1,
      sym_file_descriptor,
    ACTIONS(6168), 1,
      sym_variable_name,
    STATE(5442), 1,
      sym_subscript,
    ACTIONS(6159), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(2573), 2,
      sym_variable_assignment,
      aux_sym_command_repeat1,
    STATE(3000), 2,
      sym_file_redirect,
      sym_herestring_redirect,
    ACTIONS(6156), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(6149), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(6153), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(6151), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [138382] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138437] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5982), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5984), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5986), 1,
      anon_sym_PIPE,
    ACTIONS(5988), 1,
      anon_sym_CARET,
    ACTIONS(5990), 1,
      anon_sym_AMP,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6008), 1,
      anon_sym_QMARK,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5992), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5996), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [138512] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5976), 1,
      anon_sym_EQ,
    ACTIONS(5982), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5984), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5986), 1,
      anon_sym_PIPE,
    ACTIONS(5988), 1,
      anon_sym_CARET,
    ACTIONS(5990), 1,
      anon_sym_AMP,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6006), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6008), 1,
      anon_sym_QMARK,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5992), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5996), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
  [138589] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5321), 1,
      anon_sym_esac,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5751), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2757), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [138678] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5876), 1,
      anon_sym_EQ,
    ACTIONS(5880), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5882), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5884), 1,
      anon_sym_PIPE,
    ACTIONS(5886), 1,
      anon_sym_CARET,
    ACTIONS(5888), 1,
      anon_sym_AMP,
    ACTIONS(5892), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5894), 1,
      anon_sym_QMARK,
    ACTIONS(6115), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5860), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5862), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5890), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5878), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [138757] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5872), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 20,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138814] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5984), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5986), 1,
      anon_sym_PIPE,
    ACTIONS(5988), 1,
      anon_sym_CARET,
    ACTIONS(5990), 1,
      anon_sym_AMP,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5992), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5996), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138885] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5986), 1,
      anon_sym_PIPE,
    ACTIONS(5988), 1,
      anon_sym_CARET,
    ACTIONS(5990), 1,
      anon_sym_AMP,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5992), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5996), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138954] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1185), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1308), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [138999] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_CARET,
    ACTIONS(5990), 1,
      anon_sym_AMP,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(5574), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5992), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5996), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139066] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6171), 1,
      anon_sym_LBRACK,
    ACTIONS(5263), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5261), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139113] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5990), 1,
      anon_sym_AMP,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5992), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5996), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5574), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139178] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5992), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5996), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139241] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5996), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 18,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139302] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5572), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139347] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139404] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5944), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139461] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6173), 1,
      sym__concat,
    ACTIONS(5538), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5536), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139508] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(2940), 1,
      anon_sym_DQUOTE,
    STATE(3669), 1,
      sym_string,
    ACTIONS(6177), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6175), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [139561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(2940), 1,
      anon_sym_DQUOTE,
    STATE(3669), 1,
      sym_string,
    ACTIONS(6177), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6175), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [139614] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139667] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139718] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139767] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(6018), 1,
      anon_sym_EQ,
    ACTIONS(6022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6026), 1,
      anon_sym_PIPE,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_AMP,
    ACTIONS(6040), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6042), 1,
      anon_sym_QMARK,
    ACTIONS(6179), 1,
      anon_sym_RPAREN,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6020), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [139846] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5960), 1,
      anon_sym_PIPE,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5972), 1,
      anon_sym_QMARK,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(6014), 1,
      anon_sym_EQ,
    ACTIONS(6016), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6181), 1,
      anon_sym_COLON,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6070), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [139925] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6183), 1,
      sym__concat,
    ACTIONS(5532), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5530), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [139972] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(6018), 1,
      anon_sym_EQ,
    ACTIONS(6022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6026), 1,
      anon_sym_PIPE,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_AMP,
    ACTIONS(6040), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6042), 1,
      anon_sym_QMARK,
    ACTIONS(6185), 1,
      anon_sym_RPAREN,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6020), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [140051] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140100] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5572), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140145] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140200] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140255] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(6022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6026), 1,
      anon_sym_PIPE,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_AMP,
    ACTIONS(6042), 1,
      anon_sym_QMARK,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
  [140330] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(6018), 1,
      anon_sym_EQ,
    ACTIONS(6022), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6026), 1,
      anon_sym_PIPE,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_AMP,
    ACTIONS(6040), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6042), 1,
      anon_sym_QMARK,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
  [140407] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(6024), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6026), 1,
      anon_sym_PIPE,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_AMP,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140478] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140533] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(6026), 1,
      anon_sym_PIPE,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_AMP,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140602] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5864), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5866), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5868), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140657] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5932), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5936), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140712] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_DQUOTE,
    STATE(3623), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(5704), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(5700), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [140765] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_EQ,
    ACTIONS(5982), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5984), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5986), 1,
      anon_sym_PIPE,
    ACTIONS(5988), 1,
      anon_sym_CARET,
    ACTIONS(5990), 1,
      anon_sym_AMP,
    ACTIONS(6004), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6010), 1,
      sym_test_operator,
    ACTIONS(5978), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5992), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5994), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5996), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5998), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6000), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6002), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [140838] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5954), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5956), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5960), 1,
      anon_sym_PIPE,
    ACTIONS(5962), 1,
      anon_sym_CARET,
    ACTIONS(5964), 1,
      anon_sym_AMP,
    ACTIONS(5972), 1,
      anon_sym_QMARK,
    ACTIONS(5974), 1,
      sym_test_operator,
    ACTIONS(6014), 1,
      anon_sym_EQ,
    ACTIONS(6016), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6187), 1,
      anon_sym_COLON,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5948), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5950), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5966), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5970), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5952), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6070), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [140917] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(5393), 1,
      anon_sym_esac,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5761), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2754), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [141006] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(6028), 1,
      anon_sym_CARET,
    ACTIONS(6030), 1,
      anon_sym_AMP,
    ACTIONS(5574), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141073] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5570), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5568), 23,
      sym_test_operator,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141118] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(6030), 1,
      anon_sym_AMP,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5574), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141183] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6032), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141246] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6034), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6036), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 18,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141307] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5906), 1,
      sym_test_operator,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5898), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141364] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141417] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5902), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141468] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141517] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5896), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141566] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6189), 1,
      sym__concat,
    ACTIONS(5517), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5515), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141613] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 21,
      sym_test_operator,
      anon_sym_RPAREN_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141662] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5710), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [141738] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(6225), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6249), 1,
      anon_sym_QMARK,
    ACTIONS(6251), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6235), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6237), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6239), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
  [141812] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5694), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141862] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5696), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141910] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5696), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5694), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [141956] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(6259), 1,
      anon_sym_COLON,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [142032] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5517), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5515), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [142076] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5511), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5509), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [142120] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6121), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6123), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [142164] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6269), 1,
      anon_sym_CARET,
    ACTIONS(6271), 1,
      anon_sym_AMP,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6263), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
    ACTIONS(6265), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6273), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6277), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6279), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6281), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 13,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [142232] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1230), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [142276] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(6287), 1,
      anon_sym_COLON,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [142352] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5694), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [142406] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6269), 1,
      anon_sym_CARET,
    ACTIONS(6271), 1,
      anon_sym_AMP,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6273), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6277), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6279), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6281), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 17,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
  [142470] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5846), 1,
      anon_sym_PIPE,
    ACTIONS(6269), 1,
      anon_sym_CARET,
    ACTIONS(6271), 1,
      anon_sym_AMP,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6273), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6277), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6279), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6281), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 17,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
  [142534] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6271), 1,
      anon_sym_AMP,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5846), 2,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6273), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6277), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6279), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6281), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 17,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
  [142596] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6273), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6277), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6279), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6281), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5846), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(6283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 17,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
  [142656] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6293), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6295), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5694), 18,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [142714] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6277), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6279), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6281), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5846), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(6283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 19,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [142772] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [142816] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [142870] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6297), 1,
      anon_sym_EQ,
    ACTIONS(6301), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6305), 1,
      anon_sym_PIPE,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_AMP,
    ACTIONS(6313), 1,
      anon_sym_RPAREN,
    ACTIONS(6315), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6317), 1,
      anon_sym_QMARK,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6293), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6295), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6299), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [142946] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6293), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6295), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5694), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143006] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143060] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6309), 1,
      anon_sym_AMP,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6293), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6295), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5696), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143122] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6251), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5580), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5578), 19,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143178] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_AMP,
    ACTIONS(5696), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6293), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6295), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143242] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6279), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6281), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5846), 5,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5858), 21,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [143296] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6281), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5846), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5858), 21,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [143348] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5846), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5858), 21,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [143398] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5696), 1,
      anon_sym_EQ,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6305), 1,
      anon_sym_PIPE,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_AMP,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6293), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6295), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143464] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5696), 1,
      anon_sym_EQ,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6305), 1,
      anon_sym_PIPE,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_AMP,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6293), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6295), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143532] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5846), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 21,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [143580] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5846), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 21,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [143628] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6297), 1,
      anon_sym_EQ,
    ACTIONS(6301), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6305), 1,
      anon_sym_PIPE,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_AMP,
    ACTIONS(6315), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6317), 1,
      anon_sym_QMARK,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6293), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6295), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
  [143702] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5642), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5640), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143746] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5646), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5644), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143790] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5696), 1,
      anon_sym_EQ,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6305), 1,
      anon_sym_PIPE,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_AMP,
    ACTIONS(6317), 1,
      anon_sym_QMARK,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6293), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6295), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
  [143862] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5690), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5688), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [143906] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5842), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5844), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [143950] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5908), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5910), 21,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [143996] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5813), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [144072] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6082), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6084), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [144116] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5706), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [144192] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5759), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [144268] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5803), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [144344] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6269), 1,
      anon_sym_CARET,
    ACTIONS(6271), 1,
      anon_sym_AMP,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6265), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6273), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6277), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6279), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6281), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 15,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
  [144410] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6297), 1,
      anon_sym_EQ,
    ACTIONS(6301), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6305), 1,
      anon_sym_PIPE,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_AMP,
    ACTIONS(6315), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6317), 1,
      anon_sym_QMARK,
    ACTIONS(6319), 1,
      anon_sym_RPAREN,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6293), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6295), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6299), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [144486] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6037), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [144572] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5805), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [144648] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5658), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5660), 1,
      anon_sym_PIPE,
    ACTIONS(5662), 1,
      anon_sym_CARET,
    ACTIONS(5664), 1,
      anon_sym_AMP,
    ACTIONS(5678), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5680), 1,
      sym_test_operator,
    ACTIONS(5793), 1,
      anon_sym_EQ,
    ACTIONS(5795), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6249), 1,
      anon_sym_QMARK,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5666), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5668), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5670), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5672), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5674), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5676), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6321), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [144724] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6035), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [144810] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5809), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [144886] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [144930] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1250), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [144974] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6297), 1,
      anon_sym_EQ,
    ACTIONS(6301), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6305), 1,
      anon_sym_PIPE,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_AMP,
    ACTIONS(6315), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6317), 1,
      anon_sym_QMARK,
    ACTIONS(6323), 1,
      anon_sym_RPAREN,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6293), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6295), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6299), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [145050] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5632), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [145126] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5840), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [145202] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5836), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [145278] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5834), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [145354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(2940), 1,
      anon_sym_DQUOTE,
    STATE(3669), 1,
      sym_string,
    ACTIONS(6177), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6175), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [145406] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(2940), 1,
      anon_sym_DQUOTE,
    STATE(3669), 1,
      sym_string,
    ACTIONS(6177), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6175), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [145458] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5832), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [145534] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5830), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [145610] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5825), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [145686] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6012), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [145772] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 12,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1222), 24,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [145816] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6011), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [145902] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6005), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [145988] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146064] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [146108] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5815), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146184] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5787), 1,
      anon_sym_EQ,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6301), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6303), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6305), 1,
      anon_sym_PIPE,
    ACTIONS(6307), 1,
      anon_sym_CARET,
    ACTIONS(6309), 1,
      anon_sym_AMP,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6293), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6295), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6311), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5785), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [146254] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5819), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146330] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6325), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6327), 1,
      sym__concat,
    STATE(2773), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [146456] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [146500] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5724), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5722), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [146544] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5598), 1,
      anon_sym_EQ,
    ACTIONS(5604), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(5606), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5608), 1,
      anon_sym_PIPE,
    ACTIONS(5610), 1,
      anon_sym_CARET,
    ACTIONS(5612), 1,
      anon_sym_AMP,
    ACTIONS(5626), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5628), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5630), 1,
      anon_sym_QMARK,
    ACTIONS(6329), 1,
      anon_sym_COLON,
    ACTIONS(5600), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5614), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5616), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5618), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5620), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5622), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5624), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5602), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [146620] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_EQ,
    ACTIONS(6225), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6251), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6235), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6237), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6239), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5654), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [146692] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(6004), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [146778] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5684), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5682), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [146832] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [146880] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5684), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5682), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [146926] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5574), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [146974] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5572), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [147024] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6289), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5684), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5682), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [147078] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [147122] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5572), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [147174] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [147218] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5638), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [147294] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5761), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [147380] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6139), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6141), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [147424] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6251), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 19,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [147480] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6143), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6145), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [147524] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6251), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6237), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6239), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 17,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [147584] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6251), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6235), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6237), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6239), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5572), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [147646] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5751), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [147732] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6233), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6251), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6235), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6237), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6239), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5574), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [147796] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6251), 1,
      sym_test_operator,
    ACTIONS(5574), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6235), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6237), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6239), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [147862] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5731), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [147938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6325), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6327), 1,
      sym__concat,
    STATE(2771), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [147988] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6325), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6327), 1,
      sym__concat,
    STATE(2773), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [148038] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6139), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6141), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [148082] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6251), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6235), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6237), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6239), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148150] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148194] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [148238] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5686), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [148314] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5574), 1,
      anon_sym_EQ,
    ACTIONS(6227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6251), 1,
      sym_test_operator,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6235), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6237), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6239), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148384] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1230), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148428] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6225), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6227), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6229), 1,
      anon_sym_PIPE,
    ACTIONS(6231), 1,
      anon_sym_CARET,
    ACTIONS(6233), 1,
      anon_sym_AMP,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6249), 1,
      anon_sym_QMARK,
    ACTIONS(6251), 1,
      sym_test_operator,
    ACTIONS(6331), 1,
      anon_sym_EQ,
    ACTIONS(6333), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6235), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6237), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6239), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5572), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [148504] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148548] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148592] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148636] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148680] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_PIPE,
    ACTIONS(6269), 1,
      anon_sym_CARET,
    ACTIONS(6271), 1,
      anon_sym_AMP,
    ACTIONS(6285), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6137), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
    ACTIONS(6261), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6263), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
    ACTIONS(6265), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6273), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6275), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6277), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6279), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6281), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6283), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6335), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [148750] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148794] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148838] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5791), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [148914] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5582), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6241), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6243), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6245), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5574), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5572), 20,
      sym_test_operator,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [148968] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5789), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [149044] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5781), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [149120] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5779), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [149196] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5696), 1,
      anon_sym_EQ,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149262] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6257), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6253), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6291), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6255), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5694), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149314] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149358] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5679), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [149444] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5777), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [149520] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149564] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5663), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [149650] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149694] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [149738] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149782] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [149826] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149870] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [149914] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6337), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6340), 1,
      sym__concat,
    STATE(2764), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [149964] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 23,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [150008] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1250), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150052] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150096] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150140] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1250), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150184] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1230), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6325), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6343), 1,
      sym__concat,
    STATE(2764), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [150278] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 12,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
  [150352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6325), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6345), 1,
      sym__concat,
    STATE(2764), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [150402] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150446] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5769), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [150522] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5807), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [150598] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5757), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [150674] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5773), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5771), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150718] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5553), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [150804] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5551), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [150890] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5773), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5771), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [150934] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5838), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [151010] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5767), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5765), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151054] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151098] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5763), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5761), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151142] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5787), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5785), 14,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [151212] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    STATE(3621), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6351), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6347), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_BQUOTE,
  [151264] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5749), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [151340] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    STATE(3621), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6351), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6347), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_BQUOTE,
  [151392] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5751), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [151468] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6082), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6084), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [151512] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5747), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [151588] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5846), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 21,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [151636] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5846), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 21,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [151684] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5737), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [151760] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5846), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5858), 21,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [151810] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5733), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [151886] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6359), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5846), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5858), 21,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [151938] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6359), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6361), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5846), 5,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5858), 21,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [151992] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6359), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6361), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6363), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(5846), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(6357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 19,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RPAREN,
  [152050] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6359), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6361), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6363), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6367), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(5846), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(6357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 17,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_RPAREN,
  [152110] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [152154] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [152198] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [152242] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6369), 1,
      anon_sym_AMP,
    ACTIONS(5846), 2,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6359), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6361), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6363), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6367), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 17,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_RPAREN,
  [152304] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5846), 1,
      anon_sym_PIPE,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6369), 1,
      anon_sym_AMP,
    ACTIONS(6371), 1,
      anon_sym_CARET,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6359), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6361), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6363), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6367), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 17,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_RPAREN,
  [152368] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5718), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [152444] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6369), 1,
      anon_sym_AMP,
    ACTIONS(6371), 1,
      anon_sym_CARET,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6359), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6361), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6363), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6367), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 17,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_RPAREN,
  [152508] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5648), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [152584] = 14,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6369), 1,
      anon_sym_AMP,
    ACTIONS(6371), 1,
      anon_sym_CARET,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6359), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6361), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6363), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6367), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6375), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 15,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_RPAREN,
  [152650] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5763), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5761), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152694] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5767), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5765), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152738] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6369), 1,
      anon_sym_AMP,
    ACTIONS(6371), 1,
      anon_sym_CARET,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6359), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6361), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6363), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6367), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6375), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6377), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
    ACTIONS(6357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5858), 13,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RPAREN,
  [152806] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152850] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1270), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152894] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1242), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [152938] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5692), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [153014] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5773), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5771), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153058] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6121), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6123), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [153102] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5773), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5771), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153146] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5716), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [153222] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5696), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5694), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153268] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5696), 13,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153316] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 10,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5694), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153366] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5698), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [153442] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6355), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6369), 1,
      anon_sym_AMP,
    ACTIONS(6371), 1,
      anon_sym_CARET,
    ACTIONS(6373), 1,
      anon_sym_PIPE,
    ACTIONS(6137), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6359), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6361), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6363), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6365), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6367), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6375), 2,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
    ACTIONS(6377), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
    ACTIONS(6357), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6379), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [153512] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6139), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6141), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [153556] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6143), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6145), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [153600] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6139), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(6141), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [153644] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 8,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(5694), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153696] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5694), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153750] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5684), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5682), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153804] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5634), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [153880] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5684), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5682), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153926] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5517), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5515), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [153970] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5684), 6,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5682), 20,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154024] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    STATE(3621), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6351), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6347), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [154076] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5694), 18,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154134] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5724), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5722), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154178] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5696), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
    ACTIONS(5694), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    STATE(3621), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6351), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6347), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [154290] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1262), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [154334] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(5696), 3,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154396] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5511), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5509), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154440] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5695), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [154526] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(5696), 2,
      anon_sym_EQ,
      anon_sym_PIPE,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 16,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [154590] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5697), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [154676] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5594), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [154752] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5719), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [154838] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5821), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [154914] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5721), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [155000] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    STATE(3621), 1,
      sym_string,
    ACTIONS(6351), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1171), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(6347), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [155052] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1230), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155096] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5642), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5640), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [155140] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5735), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [155216] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5646), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5644), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [155260] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1238), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155304] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1258), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155348] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5783), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [155424] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1234), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155468] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1254), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155512] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1286), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155556] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1250), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155600] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5823), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [155676] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    STATE(3621), 1,
      sym_string,
    ACTIONS(6351), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1175), 3,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
    ACTIONS(6347), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [155728] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6353), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(5908), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5910), 21,
      anon_sym_COMMA,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155774] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5750), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [155860] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5817), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [155936] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(1274), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [155980] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5842), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5844), 23,
      anon_sym_COMMA,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_DASHo,
      anon_sym_AMP_AMP,
      anon_sym_DASHa,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RPAREN,
  [156024] = 24,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5271), 1,
      sym_word,
    ACTIONS(5277), 1,
      anon_sym_LPAREN,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5305), 1,
      sym_test_operator,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5126), 1,
      aux_sym__literal_repeat1,
    STATE(5752), 1,
      sym_last_case_item,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6054), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5281), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5034), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [156110] = 15,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5696), 1,
      anon_sym_EQ,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [156178] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5690), 14,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
    ACTIONS(5688), 22,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
      anon_sym_QMARK,
  [156222] = 17,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5696), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5694), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACK,
      anon_sym_EQ_TILDE,
  [156294] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5811), 1,
      anon_sym_RBRACK,
    ACTIONS(6191), 1,
      anon_sym_EQ,
    ACTIONS(6197), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6199), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6201), 1,
      anon_sym_PIPE,
    ACTIONS(6203), 1,
      anon_sym_CARET,
    ACTIONS(6205), 1,
      anon_sym_AMP,
    ACTIONS(6219), 1,
      anon_sym_STAR_STAR,
    ACTIONS(6221), 1,
      anon_sym_EQ_TILDE,
    ACTIONS(6223), 1,
      anon_sym_QMARK,
    ACTIONS(6193), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(6207), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6209), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6211), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(6213), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6215), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6217), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6195), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [156370] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2886), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6381), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3763), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3765), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156417] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2885), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6381), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1941), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1943), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156464] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    STATE(3687), 1,
      sym_string,
    ACTIONS(6385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6383), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [156515] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    STATE(3687), 1,
      sym_string,
    ACTIONS(6385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6383), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [156566] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2886), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6381), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1222), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156613] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(6391), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6393), 1,
      sym__special_character,
    ACTIONS(6395), 1,
      sym_test_operator,
    STATE(3973), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2908), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(6387), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(6389), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [156692] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2882), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6397), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156739] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2885), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6381), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4063), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4065), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156786] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2886), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6381), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4084), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4086), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156833] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6381), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6400), 1,
      sym__concat,
    STATE(2882), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156882] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6381), 1,
      aux_sym_concatenation_token1,
    ACTIONS(6402), 1,
      sym__concat,
    STATE(2882), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1216), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [156931] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(6393), 1,
      sym__special_character,
    ACTIONS(6395), 1,
      sym_test_operator,
    ACTIONS(6406), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3973), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2908), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(6387), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(6404), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [157010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157311] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(6393), 1,
      sym__special_character,
    ACTIONS(6395), 1,
      sym_test_operator,
    ACTIONS(6410), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3973), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2908), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(6387), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    ACTIONS(6408), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [157390] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6412), 1,
      sym_word,
    ACTIONS(6416), 1,
      anon_sym_LPAREN,
    ACTIONS(6418), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6420), 1,
      anon_sym_DOLLAR,
    ACTIONS(6422), 1,
      sym__special_character,
    ACTIONS(6424), 1,
      anon_sym_DQUOTE,
    ACTIONS(6428), 1,
      aux_sym_number_token1,
    ACTIONS(6430), 1,
      aux_sym_number_token2,
    ACTIONS(6432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6434), 1,
      anon_sym_RBRACE3,
    ACTIONS(6436), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6438), 1,
      anon_sym_BQUOTE,
    ACTIONS(6440), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6444), 1,
      sym_variable_name,
    ACTIONS(6446), 1,
      sym_test_operator,
    ACTIONS(6448), 1,
      sym__expansion_word,
    ACTIONS(6450), 1,
      sym__brace_start,
    STATE(5021), 1,
      sym_command_substitution,
    STATE(5205), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6414), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6426), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6442), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(5051), 4,
      sym_string,
      sym_array,
      sym_simple_expansion,
      sym_expansion,
    STATE(5471), 6,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_number,
      sym__concatenation_in_expansion,
      sym_process_substitution,
  [157477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157735] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    STATE(3687), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(6385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6383), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [157786] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2886), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6381), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4230), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4232), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [157833] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    STATE(3621), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6351), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6347), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [157884] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2885), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6381), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4234), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4236), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [157931] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [157974] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(6458), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6461), 1,
      anon_sym_DOLLAR,
    ACTIONS(6464), 1,
      sym__special_character,
    ACTIONS(6467), 1,
      anon_sym_DQUOTE,
    ACTIONS(6470), 1,
      aux_sym_number_token1,
    ACTIONS(6473), 1,
      aux_sym_number_token2,
    ACTIONS(6476), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6482), 1,
      anon_sym_BQUOTE,
    ACTIONS(6485), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6491), 1,
      sym_test_operator,
    ACTIONS(6494), 1,
      sym__brace_start,
    STATE(3973), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6455), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6488), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2908), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    ACTIONS(1898), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    ACTIONS(6452), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(3706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [158053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158096] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2885), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6381), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1979), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1981), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [158143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158229] = 23,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6497), 1,
      sym_word,
    ACTIONS(6503), 1,
      anon_sym_LPAREN,
    ACTIONS(6506), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6509), 1,
      anon_sym_DOLLAR,
    ACTIONS(6512), 1,
      sym__special_character,
    ACTIONS(6515), 1,
      anon_sym_DQUOTE,
    ACTIONS(6521), 1,
      aux_sym_number_token1,
    ACTIONS(6524), 1,
      aux_sym_number_token2,
    ACTIONS(6527), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6530), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6533), 1,
      anon_sym_BQUOTE,
    ACTIONS(6536), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6542), 1,
      sym_test_operator,
    ACTIONS(6545), 1,
      sym_extglob_pattern,
    ACTIONS(6548), 1,
      sym__brace_start,
    STATE(5132), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6518), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6539), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2913), 2,
      sym_case_item,
      aux_sym_case_statement_repeat1,
    STATE(5298), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5014), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [158312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158355] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    STATE(3621), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6351), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6347), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [158406] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2885), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6381), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3767), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3769), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [158453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 30,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [158496] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    STATE(3687), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      ts_builtin_sym_end,
    ACTIONS(6385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6383), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [158547] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6416), 1,
      anon_sym_LPAREN,
    ACTIONS(6418), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6420), 1,
      anon_sym_DOLLAR,
    ACTIONS(6422), 1,
      sym__special_character,
    ACTIONS(6424), 1,
      anon_sym_DQUOTE,
    ACTIONS(6428), 1,
      aux_sym_number_token1,
    ACTIONS(6430), 1,
      aux_sym_number_token2,
    ACTIONS(6432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6436), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6438), 1,
      anon_sym_BQUOTE,
    ACTIONS(6440), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6444), 1,
      sym_variable_name,
    ACTIONS(6450), 1,
      sym__brace_start,
    ACTIONS(6551), 1,
      sym_word,
    ACTIONS(6555), 1,
      anon_sym_RBRACE3,
    ACTIONS(6557), 1,
      sym_test_operator,
    ACTIONS(6559), 1,
      sym__expansion_word,
    STATE(5016), 1,
      sym_command_substitution,
    STATE(5151), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6414), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6442), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6553), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5136), 4,
      sym_string,
      sym_array,
      sym_simple_expansion,
      sym_expansion,
    STATE(5416), 6,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_number,
      sym__concatenation_in_expansion,
      sym_process_substitution,
  [158634] = 25,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6416), 1,
      anon_sym_LPAREN,
    ACTIONS(6418), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6420), 1,
      anon_sym_DOLLAR,
    ACTIONS(6422), 1,
      sym__special_character,
    ACTIONS(6424), 1,
      anon_sym_DQUOTE,
    ACTIONS(6428), 1,
      aux_sym_number_token1,
    ACTIONS(6430), 1,
      aux_sym_number_token2,
    ACTIONS(6432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6436), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6438), 1,
      anon_sym_BQUOTE,
    ACTIONS(6440), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6444), 1,
      sym_variable_name,
    ACTIONS(6450), 1,
      sym__brace_start,
    ACTIONS(6561), 1,
      sym_word,
    ACTIONS(6565), 1,
      anon_sym_RBRACE3,
    ACTIONS(6567), 1,
      sym_test_operator,
    ACTIONS(6569), 1,
      sym__expansion_word,
    STATE(5043), 1,
      sym_command_substitution,
    STATE(5182), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6414), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6442), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6563), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5094), 4,
      sym_string,
      sym_array,
      sym_simple_expansion,
      sym_expansion,
    STATE(5409), 6,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_translated_string,
      sym_number,
      sym__concatenation_in_expansion,
      sym_process_substitution,
  [158721] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    STATE(3687), 1,
      sym_string,
    ACTIONS(6385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6383), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_BQUOTE,
  [158772] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2886), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6381), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3679), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3681), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [158819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    STATE(3687), 1,
      sym_string,
    ACTIONS(6385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6383), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
      anon_sym_BQUOTE,
  [158870] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(2885), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(6381), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3731), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(3733), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [158917] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6571), 1,
      sym_word,
    ACTIONS(6575), 1,
      anon_sym_LPAREN,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6579), 1,
      anon_sym_DOLLAR,
    ACTIONS(6581), 1,
      sym__special_character,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6601), 1,
      sym__comment_word,
    ACTIONS(6603), 1,
      sym__empty_value,
    ACTIONS(6605), 1,
      sym_test_operator,
    ACTIONS(6607), 1,
      sym__brace_start,
    STATE(3629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6585), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3856), 2,
      sym_concatenation,
      sym_array,
    STATE(3786), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [158999] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 1,
      sym_word,
    ACTIONS(6613), 1,
      anon_sym_LPAREN,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6617), 1,
      anon_sym_DOLLAR,
    ACTIONS(6619), 1,
      sym__special_character,
    ACTIONS(6621), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      aux_sym_number_token1,
    ACTIONS(6627), 1,
      aux_sym_number_token2,
    ACTIONS(6629), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6631), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_BQUOTE,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6639), 1,
      sym__comment_word,
    ACTIONS(6641), 1,
      sym__empty_value,
    ACTIONS(6643), 1,
      sym_test_operator,
    ACTIONS(6645), 1,
      sym__brace_start,
    STATE(1414), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6611), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6623), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1789), 2,
      sym_concatenation,
      sym_array,
    STATE(1116), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [159081] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    STATE(3794), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(6649), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6647), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 19,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [159131] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159173] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    STATE(3794), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(6649), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6647), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 19,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [159223] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159265] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_SLASH,
    ACTIONS(6655), 1,
      anon_sym_PERCENT,
    ACTIONS(6657), 1,
      anon_sym_COLON,
    ACTIONS(6661), 1,
      anon_sym_RBRACE3,
    ACTIONS(6663), 1,
      anon_sym_AT,
    ACTIONS(6665), 1,
      anon_sym_STAR2,
    STATE(5108), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5806), 1,
      sym__expansion_operator,
    STATE(5807), 1,
      sym__expansion_max_length,
    STATE(5808), 1,
      sym__expansion_regex_removal,
    STATE(5809), 1,
      sym__expansion_regex_replacement,
    STATE(5810), 1,
      sym__expansion_regex,
    STATE(5811), 1,
      sym__expansion_expression,
    ACTIONS(6651), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(6671), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(6659), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6669), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(6667), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [159341] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 1,
      anon_sym_DOLLAR,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(6675), 1,
      sym_word,
    ACTIONS(6679), 1,
      anon_sym_LPAREN,
    ACTIONS(6681), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6683), 1,
      sym__special_character,
    ACTIONS(6685), 1,
      anon_sym_DQUOTE,
    ACTIONS(6689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_BQUOTE,
    ACTIONS(6693), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6697), 1,
      sym__comment_word,
    ACTIONS(6699), 1,
      sym__empty_value,
    ACTIONS(6701), 1,
      sym_test_operator,
    STATE(1484), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6677), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6687), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1646), 2,
      sym_concatenation,
      sym_array,
    STATE(1073), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [159423] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    STATE(3687), 1,
      sym_string,
    ACTIONS(6385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6383), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [159473] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [159515] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6703), 1,
      sym_word,
    ACTIONS(6707), 1,
      anon_sym_LPAREN,
    ACTIONS(6709), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6711), 1,
      anon_sym_DOLLAR,
    ACTIONS(6713), 1,
      sym__special_character,
    ACTIONS(6715), 1,
      anon_sym_DQUOTE,
    ACTIONS(6719), 1,
      aux_sym_number_token1,
    ACTIONS(6721), 1,
      aux_sym_number_token2,
    ACTIONS(6723), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6727), 1,
      anon_sym_BQUOTE,
    ACTIONS(6729), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6733), 1,
      sym__comment_word,
    ACTIONS(6735), 1,
      sym__empty_value,
    ACTIONS(6737), 1,
      sym_test_operator,
    ACTIONS(6739), 1,
      sym__brace_start,
    STATE(3619), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6705), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6717), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6731), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3820), 2,
      sym_concatenation,
      sym_array,
    STATE(3622), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [159597] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOLLAR,
    ACTIONS(1543), 1,
      aux_sym_number_token1,
    ACTIONS(1545), 1,
      aux_sym_number_token2,
    ACTIONS(1549), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1563), 1,
      sym__brace_start,
    ACTIONS(6741), 1,
      sym_word,
    ACTIONS(6745), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6749), 1,
      sym__special_character,
    ACTIONS(6751), 1,
      anon_sym_DQUOTE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6763), 1,
      sym__comment_word,
    ACTIONS(6765), 1,
      sym__empty_value,
    ACTIONS(6767), 1,
      sym_test_operator,
    STATE(1096), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6743), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6753), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1356), 2,
      sym_concatenation,
      sym_array,
    STATE(820), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [159679] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 1,
      anon_sym_DOLLAR,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(6679), 1,
      anon_sym_LPAREN,
    ACTIONS(6681), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6685), 1,
      anon_sym_DQUOTE,
    ACTIONS(6689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_BQUOTE,
    ACTIONS(6693), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6697), 1,
      sym__comment_word,
    ACTIONS(6699), 1,
      sym__empty_value,
    ACTIONS(6769), 1,
      sym_word,
    ACTIONS(6771), 1,
      sym__special_character,
    ACTIONS(6775), 1,
      sym_test_operator,
    STATE(1484), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6677), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6773), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1646), 2,
      sym_concatenation,
      sym_array,
    STATE(1272), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [159761] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6575), 1,
      anon_sym_LPAREN,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6579), 1,
      anon_sym_DOLLAR,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6601), 1,
      sym__comment_word,
    ACTIONS(6603), 1,
      sym__empty_value,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(6777), 1,
      sym_word,
    ACTIONS(6779), 1,
      sym__special_character,
    ACTIONS(6783), 1,
      sym_test_operator,
    STATE(3629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6781), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3856), 2,
      sym_concatenation,
      sym_array,
    STATE(3643), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [159843] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    STATE(3687), 1,
      sym_string,
    ACTIONS(6385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6383), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [159893] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      aux_sym_number_token1,
    ACTIONS(1959), 1,
      aux_sym_number_token2,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1977), 1,
      sym__brace_start,
    ACTIONS(6785), 1,
      sym_word,
    ACTIONS(6789), 1,
      anon_sym_LPAREN,
    ACTIONS(6791), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6793), 1,
      sym__special_character,
    ACTIONS(6795), 1,
      anon_sym_DQUOTE,
    ACTIONS(6799), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6801), 1,
      anon_sym_BQUOTE,
    ACTIONS(6803), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6807), 1,
      sym__comment_word,
    ACTIONS(6809), 1,
      sym__empty_value,
    ACTIONS(6811), 1,
      sym_test_operator,
    STATE(1496), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6787), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6797), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6805), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1653), 2,
      sym_concatenation,
      sym_array,
    STATE(1128), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [159975] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6813), 1,
      sym_word,
    ACTIONS(6817), 1,
      anon_sym_LPAREN,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6823), 1,
      sym__special_character,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6843), 1,
      sym__comment_word,
    ACTIONS(6845), 1,
      sym__empty_value,
    ACTIONS(6847), 1,
      sym_test_operator,
    ACTIONS(6849), 1,
      sym__brace_start,
    STATE(1422), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6827), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1558), 2,
      sym_concatenation,
      sym_array,
    STATE(1082), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160057] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6851), 1,
      sym_word,
    ACTIONS(6855), 1,
      anon_sym_LPAREN,
    ACTIONS(6857), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6859), 1,
      anon_sym_DOLLAR,
    ACTIONS(6861), 1,
      sym__special_character,
    ACTIONS(6863), 1,
      anon_sym_DQUOTE,
    ACTIONS(6867), 1,
      aux_sym_number_token1,
    ACTIONS(6869), 1,
      aux_sym_number_token2,
    ACTIONS(6871), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6875), 1,
      anon_sym_BQUOTE,
    ACTIONS(6877), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6881), 1,
      sym__comment_word,
    ACTIONS(6883), 1,
      sym__empty_value,
    ACTIONS(6885), 1,
      sym_test_operator,
    ACTIONS(6887), 1,
      sym__brace_start,
    STATE(1089), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6853), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6865), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6879), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1341), 2,
      sym_concatenation,
      sym_array,
    STATE(857), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160139] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6707), 1,
      anon_sym_LPAREN,
    ACTIONS(6709), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6711), 1,
      anon_sym_DOLLAR,
    ACTIONS(6715), 1,
      anon_sym_DQUOTE,
    ACTIONS(6719), 1,
      aux_sym_number_token1,
    ACTIONS(6721), 1,
      aux_sym_number_token2,
    ACTIONS(6723), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6727), 1,
      anon_sym_BQUOTE,
    ACTIONS(6729), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6733), 1,
      sym__comment_word,
    ACTIONS(6735), 1,
      sym__empty_value,
    ACTIONS(6739), 1,
      sym__brace_start,
    ACTIONS(6889), 1,
      sym_word,
    ACTIONS(6891), 1,
      sym__special_character,
    ACTIONS(6895), 1,
      sym_test_operator,
    STATE(3619), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6705), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6731), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6893), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3820), 2,
      sym_concatenation,
      sym_array,
    STATE(3535), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160221] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160263] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160305] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 1,
      anon_sym_DOLLAR,
    ACTIONS(1750), 1,
      aux_sym_number_token1,
    ACTIONS(1752), 1,
      aux_sym_number_token2,
    ACTIONS(1756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1770), 1,
      sym__brace_start,
    ACTIONS(6897), 1,
      sym_word,
    ACTIONS(6901), 1,
      anon_sym_LPAREN,
    ACTIONS(6903), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6905), 1,
      sym__special_character,
    ACTIONS(6907), 1,
      anon_sym_DQUOTE,
    ACTIONS(6911), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6913), 1,
      anon_sym_BQUOTE,
    ACTIONS(6915), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6919), 1,
      sym__comment_word,
    ACTIONS(6921), 1,
      sym__empty_value,
    ACTIONS(6923), 1,
      sym_test_operator,
    STATE(1202), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6899), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6909), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6917), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1548), 2,
      sym_concatenation,
      sym_array,
    STATE(983), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160387] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6817), 1,
      anon_sym_LPAREN,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6843), 1,
      sym__comment_word,
    ACTIONS(6845), 1,
      sym__empty_value,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(6925), 1,
      sym_word,
    ACTIONS(6927), 1,
      sym__special_character,
    ACTIONS(6931), 1,
      sym_test_operator,
    STATE(1422), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6929), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1558), 2,
      sym_concatenation,
      sym_array,
    STATE(1899), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160469] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160511] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160553] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160595] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160637] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160679] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 1,
      sym__special_character,
    STATE(2959), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [160767] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 1,
      anon_sym_DOLLAR,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(6679), 1,
      anon_sym_LPAREN,
    ACTIONS(6681), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6685), 1,
      anon_sym_DQUOTE,
    ACTIONS(6689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_BQUOTE,
    ACTIONS(6693), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6697), 1,
      sym__comment_word,
    ACTIONS(6699), 1,
      sym__empty_value,
    ACTIONS(6935), 1,
      sym_word,
    ACTIONS(6937), 1,
      sym__special_character,
    ACTIONS(6941), 1,
      sym_test_operator,
    STATE(1484), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6677), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(6939), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1646), 2,
      sym_concatenation,
      sym_array,
    STATE(1886), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160849] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6943), 1,
      sym_word,
    ACTIONS(6947), 1,
      anon_sym_LPAREN,
    ACTIONS(6949), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6951), 1,
      anon_sym_DOLLAR,
    ACTIONS(6953), 1,
      sym__special_character,
    ACTIONS(6955), 1,
      anon_sym_DQUOTE,
    ACTIONS(6959), 1,
      aux_sym_number_token1,
    ACTIONS(6961), 1,
      aux_sym_number_token2,
    ACTIONS(6963), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6965), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6967), 1,
      anon_sym_BQUOTE,
    ACTIONS(6969), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6973), 1,
      sym__comment_word,
    ACTIONS(6975), 1,
      sym__empty_value,
    ACTIONS(6977), 1,
      sym_test_operator,
    ACTIONS(6979), 1,
      sym__brace_start,
    STATE(2976), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6945), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6957), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(6971), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3013), 2,
      sym_concatenation,
      sym_array,
    STATE(2883), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [160931] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [160973] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6981), 1,
      sym_word,
    ACTIONS(6985), 1,
      anon_sym_LPAREN,
    ACTIONS(6987), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6989), 1,
      anon_sym_DOLLAR,
    ACTIONS(6991), 1,
      sym__special_character,
    ACTIONS(6993), 1,
      anon_sym_DQUOTE,
    ACTIONS(6997), 1,
      aux_sym_number_token1,
    ACTIONS(6999), 1,
      aux_sym_number_token2,
    ACTIONS(7001), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7005), 1,
      anon_sym_BQUOTE,
    ACTIONS(7007), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7011), 1,
      sym__comment_word,
    ACTIONS(7013), 1,
      sym__empty_value,
    ACTIONS(7015), 1,
      sym_test_operator,
    ACTIONS(7017), 1,
      sym__brace_start,
    STATE(4368), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6983), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6995), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7009), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4457), 2,
      sym_concatenation,
      sym_array,
    STATE(4312), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7019), 1,
      sym__special_character,
    STATE(2959), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 28,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [161101] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [161143] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6817), 1,
      anon_sym_LPAREN,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6843), 1,
      sym__comment_word,
    ACTIONS(6845), 1,
      sym__empty_value,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7022), 1,
      sym_word,
    ACTIONS(7024), 1,
      sym__special_character,
    ACTIONS(7028), 1,
      sym_test_operator,
    STATE(1422), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7026), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1558), 2,
      sym_concatenation,
      sym_array,
    STATE(1293), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161225] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [161267] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [161309] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [161351] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6575), 1,
      anon_sym_LPAREN,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6579), 1,
      anon_sym_DOLLAR,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6601), 1,
      sym__comment_word,
    ACTIONS(6603), 1,
      sym__empty_value,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7030), 1,
      sym_word,
    ACTIONS(7032), 1,
      sym__special_character,
    ACTIONS(7036), 1,
      sym_test_operator,
    STATE(3629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7034), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3856), 2,
      sym_concatenation,
      sym_array,
    STATE(3719), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161433] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [161475] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6575), 1,
      anon_sym_LPAREN,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6579), 1,
      anon_sym_DOLLAR,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6601), 1,
      sym__comment_word,
    ACTIONS(6603), 1,
      sym__empty_value,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7038), 1,
      sym_word,
    ACTIONS(7040), 1,
      sym__special_character,
    ACTIONS(7044), 1,
      sym_test_operator,
    STATE(3629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7042), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3856), 2,
      sym_concatenation,
      sym_array,
    STATE(4192), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161557] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3436), 1,
      anon_sym_DOLLAR,
    ACTIONS(3438), 1,
      sym__special_character,
    ACTIONS(3440), 1,
      anon_sym_DQUOTE,
    ACTIONS(3444), 1,
      aux_sym_number_token1,
    ACTIONS(3446), 1,
      aux_sym_number_token2,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3450), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3452), 1,
      anon_sym_BQUOTE,
    ACTIONS(3454), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3464), 1,
      sym__brace_start,
    ACTIONS(7046), 1,
      sym_word,
    ACTIONS(7048), 1,
      anon_sym_LPAREN,
    ACTIONS(7052), 1,
      sym__comment_word,
    ACTIONS(7054), 1,
      sym__empty_value,
    ACTIONS(7056), 1,
      sym_test_operator,
    STATE(2252), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3432), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3456), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7050), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2264), 2,
      sym_concatenation,
      sym_array,
    STATE(2000), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161639] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6575), 1,
      anon_sym_LPAREN,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6579), 1,
      anon_sym_DOLLAR,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6601), 1,
      sym__comment_word,
    ACTIONS(6603), 1,
      sym__empty_value,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7058), 1,
      sym_word,
    ACTIONS(7060), 1,
      sym__special_character,
    ACTIONS(7064), 1,
      sym_test_operator,
    STATE(3629), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7062), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3856), 2,
      sym_concatenation,
      sym_array,
    STATE(3648), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161721] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [161763] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7066), 1,
      sym_word,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(7072), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7074), 1,
      anon_sym_DOLLAR,
    ACTIONS(7076), 1,
      sym__special_character,
    ACTIONS(7078), 1,
      anon_sym_DQUOTE,
    ACTIONS(7082), 1,
      aux_sym_number_token1,
    ACTIONS(7084), 1,
      aux_sym_number_token2,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7088), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7090), 1,
      anon_sym_BQUOTE,
    ACTIONS(7092), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7096), 1,
      sym__comment_word,
    ACTIONS(7098), 1,
      sym__empty_value,
    ACTIONS(7100), 1,
      sym_test_operator,
    ACTIONS(7102), 1,
      sym__brace_start,
    STATE(1273), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7068), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7080), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7094), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1460), 2,
      sym_concatenation,
      sym_array,
    STATE(964), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161845] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7104), 1,
      sym_word,
    ACTIONS(7108), 1,
      anon_sym_LPAREN,
    ACTIONS(7110), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7112), 1,
      anon_sym_DOLLAR,
    ACTIONS(7114), 1,
      sym__special_character,
    ACTIONS(7116), 1,
      anon_sym_DQUOTE,
    ACTIONS(7120), 1,
      aux_sym_number_token1,
    ACTIONS(7122), 1,
      aux_sym_number_token2,
    ACTIONS(7124), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_BQUOTE,
    ACTIONS(7130), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7134), 1,
      sym__comment_word,
    ACTIONS(7136), 1,
      sym__empty_value,
    ACTIONS(7138), 1,
      sym_test_operator,
    ACTIONS(7140), 1,
      sym__brace_start,
    STATE(2150), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7106), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7118), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7132), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2322), 2,
      sym_concatenation,
      sym_array,
    STATE(1979), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [161927] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 11,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 23,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [161969] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7142), 1,
      sym__special_character,
    STATE(2979), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4230), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4232), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162014] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7142), 1,
      sym__special_character,
    STATE(2979), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3679), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3681), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162059] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7142), 1,
      sym__special_character,
    STATE(2979), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4084), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4086), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162104] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_SLASH,
    ACTIONS(6655), 1,
      anon_sym_PERCENT,
    ACTIONS(6657), 1,
      anon_sym_COLON,
    ACTIONS(7144), 1,
      anon_sym_RBRACE3,
    ACTIONS(7146), 1,
      anon_sym_AT,
    STATE(5109), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5815), 1,
      sym__expansion_operator,
    STATE(5816), 1,
      sym__expansion_max_length,
    STATE(5818), 1,
      sym__expansion_regex_removal,
    STATE(5820), 1,
      sym__expansion_regex_replacement,
    STATE(5821), 1,
      sym__expansion_regex,
    STATE(5822), 1,
      sym__expansion_expression,
    ACTIONS(6651), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(6671), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(6659), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6669), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(6667), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [162177] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_SLASH,
    ACTIONS(6655), 1,
      anon_sym_PERCENT,
    ACTIONS(6657), 1,
      anon_sym_COLON,
    ACTIONS(6661), 1,
      anon_sym_RBRACE3,
    ACTIONS(7146), 1,
      anon_sym_AT,
    STATE(5099), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5799), 1,
      sym__expansion_operator,
    STATE(5800), 1,
      sym__expansion_max_length,
    STATE(5801), 1,
      sym__expansion_regex_removal,
    STATE(5802), 1,
      sym__expansion_regex_replacement,
    STATE(5803), 1,
      sym__expansion_regex,
    STATE(5804), 1,
      sym__expansion_expression,
    ACTIONS(6651), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(6671), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(6659), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6669), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(6667), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [162250] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7148), 1,
      sym__special_character,
    STATE(2979), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1294), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162295] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7142), 1,
      sym__special_character,
    STATE(2979), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3763), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3765), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162340] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_SLASH,
    ACTIONS(6655), 1,
      anon_sym_PERCENT,
    ACTIONS(6657), 1,
      anon_sym_COLON,
    ACTIONS(7146), 1,
      anon_sym_AT,
    ACTIONS(7151), 1,
      anon_sym_RBRACE3,
    STATE(5128), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5875), 1,
      sym__expansion_regex_replacement,
    STATE(5905), 1,
      sym__expansion_operator,
    STATE(5906), 1,
      sym__expansion_max_length,
    STATE(5907), 1,
      sym__expansion_regex_removal,
    STATE(5917), 1,
      sym__expansion_regex,
    STATE(5918), 1,
      sym__expansion_expression,
    ACTIONS(6651), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(6671), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(6659), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6669), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(6667), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [162413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 29,
      anon_sym_LPAREN_LPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [162454] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7142), 1,
      sym__special_character,
    STATE(2979), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4515), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4517), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162499] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7142), 1,
      sym__special_character,
    STATE(2979), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4509), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4511), 21,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [162544] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_SLASH,
    ACTIONS(6655), 1,
      anon_sym_PERCENT,
    ACTIONS(6657), 1,
      anon_sym_COLON,
    ACTIONS(7146), 1,
      anon_sym_AT,
    ACTIONS(7153), 1,
      anon_sym_RBRACE3,
    STATE(5114), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5923), 1,
      sym__expansion_operator,
    STATE(5924), 1,
      sym__expansion_max_length,
    STATE(5925), 1,
      sym__expansion_regex_removal,
    STATE(5926), 1,
      sym__expansion_regex_replacement,
    STATE(5927), 1,
      sym__expansion_regex,
    STATE(5928), 1,
      sym__expansion_expression,
    ACTIONS(6651), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(6671), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(6659), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6669), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(6667), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [162617] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7155), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2992), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [162693] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7161), 1,
      anon_sym_RPAREN,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [162769] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7191), 1,
      sym_word,
    ACTIONS(7195), 1,
      sym_test_operator,
    STATE(5107), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7193), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5371), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5040), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [162845] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7197), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2992), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [162921] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    STATE(3621), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6351), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6347), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [162969] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1941), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1943), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [163009] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7205), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(7207), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7210), 1,
      anon_sym_DOLLAR,
    ACTIONS(7213), 1,
      sym__special_character,
    ACTIONS(7216), 1,
      anon_sym_DQUOTE,
    ACTIONS(7219), 1,
      aux_sym_number_token1,
    ACTIONS(7222), 1,
      aux_sym_number_token2,
    ACTIONS(7225), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7228), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7231), 1,
      anon_sym_BQUOTE,
    ACTIONS(7234), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7240), 1,
      sym_test_operator,
    ACTIONS(7243), 1,
      sym__brace_start,
    STATE(2992), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    ACTIONS(7202), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7237), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7199), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163085] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7246), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2992), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163161] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7248), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3004), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163237] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7250), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163313] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1979), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1981), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [163353] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7252), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3029), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163429] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7254), 1,
      sym_word,
    ACTIONS(7258), 1,
      sym_test_operator,
    STATE(5164), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7256), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5435), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5125), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163505] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7260), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2995), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163581] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4692), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4704), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [163621] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7262), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3033), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163697] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7264), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3014), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163773] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3767), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3769), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [163813] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7266), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163889] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7268), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3016), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [163965] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7270), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2992), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164041] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1222), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [164081] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7272), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164157] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7274), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164233] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7276), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3009), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164309] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7278), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164385] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7280), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2987), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164461] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4063), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4065), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [164501] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7282), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164577] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7284), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3024), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164653] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7286), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164729] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7288), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164805] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7290), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3017), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164881] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7292), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3008), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [164957] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7294), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2992), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165033] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5307), 1,
      sym_extglob_pattern,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6050), 1,
      sym__special_character,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7296), 1,
      sym_word,
    ACTIONS(7300), 1,
      sym_test_operator,
    STATE(5055), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7298), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5221), 2,
      sym_concatenation,
      sym__extglob_blob,
    STATE(5022), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165109] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7302), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165185] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7304), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3022), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165261] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7306), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165337] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7308), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165413] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7310), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3028), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165489] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7312), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2992), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165565] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7314), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165641] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7316), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165717] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_RPAREN,
    ACTIONS(7318), 1,
      sym_word,
    ACTIONS(7324), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7327), 1,
      anon_sym_DOLLAR,
    ACTIONS(7330), 1,
      sym__special_character,
    ACTIONS(7333), 1,
      anon_sym_DQUOTE,
    ACTIONS(7339), 1,
      aux_sym_number_token1,
    ACTIONS(7342), 1,
      aux_sym_number_token2,
    ACTIONS(7345), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7348), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7351), 1,
      anon_sym_BQUOTE,
    ACTIONS(7354), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7360), 1,
      sym_test_operator,
    ACTIONS(7363), 1,
      sym__brace_start,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7321), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7336), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7357), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165793] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7366), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3011), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165869] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7368), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2992), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [165945] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7370), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3030), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166021] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_word,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7167), 1,
      sym__special_character,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7187), 1,
      sym_test_operator,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(7372), 1,
      anon_sym_RPAREN,
    STATE(4275), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7171), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3025), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(4088), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166097] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    STATE(3621), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(6351), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6347), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [166145] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3731), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(3733), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [166185] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4706), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4708), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [166225] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3500), 1,
      sym__special_character,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3508), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3512), 1,
      anon_sym_BQUOTE,
    ACTIONS(3514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3520), 1,
      sym_test_operator,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7374), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2992), 1,
      aux_sym__heredoc_command,
    STATE(4217), 1,
      aux_sym__literal_repeat1,
    STATE(4355), 1,
      sym_concatenation,
    ACTIONS(3484), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(3482), 3,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(4077), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166301] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4713), 10,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4715), 22,
      sym_file_descriptor,
      sym_variable_name,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [166341] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6951), 1,
      anon_sym_DOLLAR,
    ACTIONS(6953), 1,
      sym__special_character,
    ACTIONS(6955), 1,
      anon_sym_DQUOTE,
    ACTIONS(6959), 1,
      aux_sym_number_token1,
    ACTIONS(6961), 1,
      aux_sym_number_token2,
    ACTIONS(6963), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6965), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6967), 1,
      anon_sym_BQUOTE,
    ACTIONS(6969), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6979), 1,
      sym__brace_start,
    ACTIONS(7376), 1,
      sym_word,
    ACTIONS(7380), 1,
      sym_test_operator,
    STATE(2974), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6945), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6971), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7378), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1443), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2906), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166414] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    STATE(3687), 1,
      sym_string,
    ACTIONS(6385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6383), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [166461] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2896), 1,
      sym_word,
    ACTIONS(2902), 1,
      anon_sym_DOLLAR,
    ACTIONS(2908), 1,
      aux_sym_number_token1,
    ACTIONS(2910), 1,
      aux_sym_number_token2,
    ACTIONS(2914), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2922), 1,
      sym_test_operator,
    ACTIONS(2924), 1,
      sym__brace_start,
    ACTIONS(7384), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7386), 1,
      sym__special_character,
    ACTIONS(7388), 1,
      anon_sym_DQUOTE,
    ACTIONS(7392), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7394), 1,
      anon_sym_BQUOTE,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1769), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7382), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7390), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7398), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(561), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1355), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166534] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7400), 1,
      sym_word,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7406), 1,
      anon_sym_DOLLAR,
    ACTIONS(7408), 1,
      sym__special_character,
    ACTIONS(7410), 1,
      anon_sym_DQUOTE,
    ACTIONS(7414), 1,
      aux_sym_number_token1,
    ACTIONS(7416), 1,
      aux_sym_number_token2,
    ACTIONS(7418), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7420), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7422), 1,
      anon_sym_BQUOTE,
    ACTIONS(7424), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7428), 1,
      sym_test_operator,
    ACTIONS(7430), 1,
      sym__brace_start,
    STATE(2104), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7402), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7412), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7426), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(685), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1896), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166607] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4658), 1,
      sym_word,
    ACTIONS(4664), 1,
      anon_sym_DOLLAR,
    ACTIONS(4670), 1,
      aux_sym_number_token1,
    ACTIONS(4672), 1,
      aux_sym_number_token2,
    ACTIONS(4676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4684), 1,
      sym_test_operator,
    ACTIONS(4686), 1,
      sym__brace_start,
    ACTIONS(7434), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7436), 1,
      sym__special_character,
    ACTIONS(7438), 1,
      anon_sym_DQUOTE,
    ACTIONS(7442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7444), 1,
      anon_sym_BQUOTE,
    ACTIONS(7446), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2954), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7432), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7440), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7448), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1333), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2729), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166680] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7452), 1,
      anon_sym_RBRACK,
    ACTIONS(7458), 1,
      sym_test_operator,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7454), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166751] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7458), 1,
      sym_test_operator,
    ACTIONS(7460), 1,
      anon_sym_RBRACK,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7454), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166822] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_SLASH,
    ACTIONS(6655), 1,
      anon_sym_PERCENT,
    ACTIONS(6657), 1,
      anon_sym_COLON,
    ACTIONS(6661), 1,
      anon_sym_RBRACE3,
    ACTIONS(6663), 1,
      anon_sym_AT,
    ACTIONS(6665), 1,
      anon_sym_STAR2,
    ACTIONS(7462), 1,
      anon_sym_LBRACK,
    STATE(5491), 1,
      sym__expansion_regex_removal,
    STATE(5825), 1,
      sym__expansion_operator,
    STATE(5826), 1,
      sym__expansion_max_length,
    STATE(5828), 1,
      sym__expansion_regex_replacement,
    STATE(5829), 1,
      sym__expansion_regex,
    STATE(5830), 1,
      sym__expansion_expression,
    ACTIONS(6651), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(6671), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(6659), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6669), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(6667), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [166893] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7072), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7074), 1,
      anon_sym_DOLLAR,
    ACTIONS(7076), 1,
      sym__special_character,
    ACTIONS(7078), 1,
      anon_sym_DQUOTE,
    ACTIONS(7082), 1,
      aux_sym_number_token1,
    ACTIONS(7084), 1,
      aux_sym_number_token2,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7088), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7090), 1,
      anon_sym_BQUOTE,
    ACTIONS(7092), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7102), 1,
      sym__brace_start,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7468), 1,
      sym_test_operator,
    STATE(1217), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7068), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7094), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7466), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(499), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(998), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [166966] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7400), 1,
      sym_word,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7406), 1,
      anon_sym_DOLLAR,
    ACTIONS(7408), 1,
      sym__special_character,
    ACTIONS(7410), 1,
      anon_sym_DQUOTE,
    ACTIONS(7414), 1,
      aux_sym_number_token1,
    ACTIONS(7416), 1,
      aux_sym_number_token2,
    ACTIONS(7418), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7420), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7422), 1,
      anon_sym_BQUOTE,
    ACTIONS(7424), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7428), 1,
      sym_test_operator,
    ACTIONS(7430), 1,
      sym__brace_start,
    STATE(2104), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7402), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7412), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7426), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(655), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1896), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7472), 1,
      anon_sym_DQUOTE,
    STATE(4198), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(7474), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7470), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 16,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [167086] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2896), 1,
      sym_word,
    ACTIONS(2902), 1,
      anon_sym_DOLLAR,
    ACTIONS(2908), 1,
      aux_sym_number_token1,
    ACTIONS(2910), 1,
      aux_sym_number_token2,
    ACTIONS(2914), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2922), 1,
      sym_test_operator,
    ACTIONS(2924), 1,
      sym__brace_start,
    ACTIONS(7384), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7386), 1,
      sym__special_character,
    ACTIONS(7388), 1,
      anon_sym_DQUOTE,
    ACTIONS(7392), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7394), 1,
      anon_sym_BQUOTE,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1769), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7382), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7390), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7398), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(560), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1355), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167159] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7072), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7074), 1,
      anon_sym_DOLLAR,
    ACTIONS(7076), 1,
      sym__special_character,
    ACTIONS(7078), 1,
      anon_sym_DQUOTE,
    ACTIONS(7082), 1,
      aux_sym_number_token1,
    ACTIONS(7084), 1,
      aux_sym_number_token2,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7088), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7090), 1,
      anon_sym_BQUOTE,
    ACTIONS(7092), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7102), 1,
      sym__brace_start,
    ACTIONS(7464), 1,
      sym_word,
    ACTIONS(7468), 1,
      sym_test_operator,
    STATE(1217), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7068), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7094), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7466), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(496), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(998), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167232] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    STATE(3687), 1,
      sym_string,
    ACTIONS(6385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6383), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_heredoc_redirect_token1,
  [167279] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7472), 1,
      anon_sym_DQUOTE,
    STATE(4198), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(7474), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7470), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 16,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [167326] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(6387), 1,
      sym_word,
    ACTIONS(6395), 1,
      sym_test_operator,
    ACTIONS(7478), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7480), 1,
      sym__special_character,
    ACTIONS(7482), 1,
      anon_sym_DQUOTE,
    ACTIONS(7486), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_BQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(3973), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7476), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7484), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7492), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2881), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(3706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167399] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6823), 1,
      sym__special_character,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7494), 1,
      sym_word,
    ACTIONS(7498), 1,
      sym_test_operator,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7496), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(527), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1174), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167472] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6823), 1,
      sym__special_character,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7494), 1,
      sym_word,
    ACTIONS(7498), 1,
      sym_test_operator,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7496), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(534), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1174), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167545] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(3341), 1,
      sym_word,
    ACTIONS(3345), 1,
      sym_test_operator,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7504), 1,
      sym__special_character,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7508), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(647), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1641), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167618] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4658), 1,
      sym_word,
    ACTIONS(4664), 1,
      anon_sym_DOLLAR,
    ACTIONS(4670), 1,
      aux_sym_number_token1,
    ACTIONS(4672), 1,
      aux_sym_number_token2,
    ACTIONS(4676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4684), 1,
      sym_test_operator,
    ACTIONS(4686), 1,
      sym__brace_start,
    ACTIONS(7434), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7436), 1,
      sym__special_character,
    ACTIONS(7438), 1,
      anon_sym_DQUOTE,
    ACTIONS(7442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7444), 1,
      anon_sym_BQUOTE,
    ACTIONS(7446), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2954), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7432), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7440), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7448), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(1329), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2729), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167691] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(6387), 1,
      sym_word,
    ACTIONS(6395), 1,
      sym_test_operator,
    ACTIONS(7478), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7480), 1,
      sym__special_character,
    ACTIONS(7482), 1,
      anon_sym_DQUOTE,
    ACTIONS(7486), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_BQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(3973), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7476), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7484), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7492), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2895), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(3706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167764] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7110), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7112), 1,
      anon_sym_DOLLAR,
    ACTIONS(7114), 1,
      sym__special_character,
    ACTIONS(7116), 1,
      anon_sym_DQUOTE,
    ACTIONS(7120), 1,
      aux_sym_number_token1,
    ACTIONS(7122), 1,
      aux_sym_number_token2,
    ACTIONS(7124), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_BQUOTE,
    ACTIONS(7130), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7140), 1,
      sym__brace_start,
    ACTIONS(7518), 1,
      sym_word,
    ACTIONS(7522), 1,
      sym_test_operator,
    STATE(2207), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7106), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7132), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7520), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(707), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1952), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167837] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4094), 1,
      sym_word,
    ACTIONS(4098), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    ACTIONS(4102), 1,
      sym__special_character,
    ACTIONS(4104), 1,
      anon_sym_DQUOTE,
    ACTIONS(4108), 1,
      aux_sym_number_token1,
    ACTIONS(4110), 1,
      aux_sym_number_token2,
    ACTIONS(4112), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4114), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4116), 1,
      anon_sym_BQUOTE,
    ACTIONS(4118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4122), 1,
      sym_test_operator,
    ACTIONS(4124), 1,
      sym__brace_start,
    STATE(2561), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4096), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4106), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(847), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2229), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167910] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7110), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7112), 1,
      anon_sym_DOLLAR,
    ACTIONS(7114), 1,
      sym__special_character,
    ACTIONS(7116), 1,
      anon_sym_DQUOTE,
    ACTIONS(7120), 1,
      aux_sym_number_token1,
    ACTIONS(7122), 1,
      aux_sym_number_token2,
    ACTIONS(7124), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_BQUOTE,
    ACTIONS(7130), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7140), 1,
      sym__brace_start,
    ACTIONS(7518), 1,
      sym_word,
    ACTIONS(7522), 1,
      sym_test_operator,
    STATE(2207), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7106), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7132), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7520), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(708), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1952), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [167983] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4094), 1,
      sym_word,
    ACTIONS(4098), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    ACTIONS(4102), 1,
      sym__special_character,
    ACTIONS(4104), 1,
      anon_sym_DQUOTE,
    ACTIONS(4108), 1,
      aux_sym_number_token1,
    ACTIONS(4110), 1,
      aux_sym_number_token2,
    ACTIONS(4112), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4114), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4116), 1,
      anon_sym_BQUOTE,
    ACTIONS(4118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4122), 1,
      sym_test_operator,
    ACTIONS(4124), 1,
      sym__brace_start,
    STATE(2561), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4096), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4106), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(4120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(837), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2229), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168056] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7458), 1,
      sym_test_operator,
    ACTIONS(7524), 1,
      anon_sym_RBRACK,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7454), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168127] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    STATE(3794), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(6649), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6647), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 16,
      anon_sym_LPAREN_LPAREN,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [168174] = 21,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(7526), 1,
      sym_word,
    ACTIONS(7528), 1,
      sym__special_character,
    ACTIONS(7532), 1,
      sym_test_operator,
    ACTIONS(7534), 1,
      sym_regex,
    STATE(1122), 1,
      aux_sym__literal_repeat1,
    STATE(1292), 1,
      sym_concatenation,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7530), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(912), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168249] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(3341), 1,
      sym_word,
    ACTIONS(3345), 1,
      sym_test_operator,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7504), 1,
      sym__special_character,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7508), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(628), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1641), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168322] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7458), 1,
      sym_test_operator,
    ACTIONS(7536), 1,
      anon_sym_RBRACK,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7454), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168393] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3063), 1,
      sym_word,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3089), 1,
      sym_test_operator,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7538), 1,
      sym__special_character,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7540), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(595), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1510), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168466] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(981), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(2488), 1,
      sym__special_character,
    ACTIONS(7542), 1,
      sym_word,
    ACTIONS(7546), 1,
      sym_test_operator,
    ACTIONS(7548), 1,
      sym_regex,
    STATE(1934), 1,
      aux_sym__literal_repeat1,
    STATE(2083), 1,
      sym_concatenation,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7544), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1765), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168541] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    STATE(3794), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_test_operator,
      sym__brace_start,
    ACTIONS(6649), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6647), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 16,
      anon_sym_LPAREN_LPAREN,
      aux_sym_heredoc_redirect_token1,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [168588] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7550), 1,
      sym_word,
    ACTIONS(7552), 1,
      sym__special_character,
    ACTIONS(7556), 1,
      sym_test_operator,
    ACTIONS(7558), 1,
      sym_regex,
    STATE(1108), 1,
      aux_sym__literal_repeat1,
    STATE(1305), 1,
      sym_concatenation,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7554), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1509), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168663] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(6387), 1,
      sym_word,
    ACTIONS(6395), 1,
      sym_test_operator,
    ACTIONS(7478), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7480), 1,
      sym__special_character,
    ACTIONS(7482), 1,
      anon_sym_DQUOTE,
    ACTIONS(7486), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_BQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(3973), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7476), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7484), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7492), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(2887), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(3706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168736] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3063), 1,
      sym_word,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3089), 1,
      sym_test_operator,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7538), 1,
      sym__special_character,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7540), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(596), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1510), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168809] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7458), 1,
      sym_test_operator,
    ACTIONS(7560), 1,
      anon_sym_RBRACK,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7454), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168880] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(7562), 1,
      sym_word,
    ACTIONS(7564), 1,
      sym__special_character,
    ACTIONS(7568), 1,
      sym_test_operator,
    ACTIONS(7570), 1,
      sym_regex,
    STATE(969), 1,
      aux_sym__literal_repeat1,
    STATE(1159), 1,
      sym_concatenation,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7566), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(761), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [168955] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7458), 1,
      sym_test_operator,
    ACTIONS(7572), 1,
      anon_sym_RBRACK,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7454), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169026] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(3341), 1,
      sym_word,
    ACTIONS(3345), 1,
      sym_test_operator,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7504), 1,
      sym__special_character,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7508), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(625), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1641), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169099] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6859), 1,
      anon_sym_DOLLAR,
    ACTIONS(6861), 1,
      sym__special_character,
    ACTIONS(6863), 1,
      anon_sym_DQUOTE,
    ACTIONS(6867), 1,
      aux_sym_number_token1,
    ACTIONS(6869), 1,
      aux_sym_number_token2,
    ACTIONS(6871), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6875), 1,
      anon_sym_BQUOTE,
    ACTIONS(6877), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6887), 1,
      sym__brace_start,
    ACTIONS(7574), 1,
      sym_word,
    ACTIONS(7578), 1,
      sym_test_operator,
    STATE(1162), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6853), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6879), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7576), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(465), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(876), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169172] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6617), 1,
      anon_sym_DOLLAR,
    ACTIONS(6619), 1,
      sym__special_character,
    ACTIONS(6621), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      aux_sym_number_token1,
    ACTIONS(6627), 1,
      aux_sym_number_token2,
    ACTIONS(6629), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6631), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_BQUOTE,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6645), 1,
      sym__brace_start,
    ACTIONS(7580), 1,
      sym_word,
    ACTIONS(7584), 1,
      sym_test_operator,
    STATE(1420), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6611), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7582), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(510), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1091), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169245] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6859), 1,
      anon_sym_DOLLAR,
    ACTIONS(6861), 1,
      sym__special_character,
    ACTIONS(6863), 1,
      anon_sym_DQUOTE,
    ACTIONS(6867), 1,
      aux_sym_number_token1,
    ACTIONS(6869), 1,
      aux_sym_number_token2,
    ACTIONS(6871), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6875), 1,
      anon_sym_BQUOTE,
    ACTIONS(6877), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6887), 1,
      sym__brace_start,
    ACTIONS(7574), 1,
      sym_word,
    ACTIONS(7578), 1,
      sym_test_operator,
    STATE(1162), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6853), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6879), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7576), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(467), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(876), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169318] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR,
    ACTIONS(3105), 1,
      aux_sym_number_token1,
    ACTIONS(3107), 1,
      aux_sym_number_token2,
    ACTIONS(3111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3119), 1,
      sym_test_operator,
    ACTIONS(3121), 1,
      sym__brace_start,
    ACTIONS(7588), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7590), 1,
      sym__special_character,
    ACTIONS(7592), 1,
      anon_sym_DQUOTE,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7598), 1,
      anon_sym_BQUOTE,
    ACTIONS(7600), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1910), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7586), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7594), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7602), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(597), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1407), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169391] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3093), 1,
      sym_word,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR,
    ACTIONS(3105), 1,
      aux_sym_number_token1,
    ACTIONS(3107), 1,
      aux_sym_number_token2,
    ACTIONS(3111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3119), 1,
      sym_test_operator,
    ACTIONS(3121), 1,
      sym__brace_start,
    ACTIONS(7588), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7590), 1,
      sym__special_character,
    ACTIONS(7592), 1,
      anon_sym_DQUOTE,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7598), 1,
      anon_sym_BQUOTE,
    ACTIONS(7600), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1910), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7586), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7594), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7602), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(607), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1407), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169464] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(3341), 1,
      sym_word,
    ACTIONS(3345), 1,
      sym_test_operator,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7504), 1,
      sym__special_character,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7508), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(648), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1641), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169537] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(3834), 1,
      sym_word,
    ACTIONS(3838), 1,
      sym_test_operator,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7604), 1,
      sym__special_character,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7606), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(746), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2101), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169610] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7024), 1,
      sym__special_character,
    ACTIONS(7608), 1,
      sym_word,
    ACTIONS(7612), 1,
      sym_test_operator,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7610), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(555), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1319), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DQUOTE,
    STATE(4323), 1,
      sym_string,
    ACTIONS(1171), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(7618), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7614), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [169730] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7024), 1,
      sym__special_character,
    ACTIONS(7608), 1,
      sym_word,
    ACTIONS(7612), 1,
      sym_test_operator,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7610), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(558), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1319), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169803] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(7620), 1,
      sym_word,
    ACTIONS(7622), 1,
      sym__special_character,
    ACTIONS(7626), 1,
      sym_test_operator,
    ACTIONS(7628), 1,
      sym_regex,
    STATE(909), 1,
      aux_sym__literal_repeat1,
    STATE(943), 1,
      sym_concatenation,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7624), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(726), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169878] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DQUOTE,
    STATE(4323), 1,
      sym_string,
    ACTIONS(1175), 2,
      sym_file_descriptor,
      sym_variable_name,
    ACTIONS(7618), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7614), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [169925] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6951), 1,
      anon_sym_DOLLAR,
    ACTIONS(6953), 1,
      sym__special_character,
    ACTIONS(6955), 1,
      anon_sym_DQUOTE,
    ACTIONS(6959), 1,
      aux_sym_number_token1,
    ACTIONS(6961), 1,
      aux_sym_number_token2,
    ACTIONS(6963), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6965), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6967), 1,
      anon_sym_BQUOTE,
    ACTIONS(6969), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6979), 1,
      sym__brace_start,
    ACTIONS(7376), 1,
      sym_word,
    ACTIONS(7380), 1,
      sym_test_operator,
    STATE(2974), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6945), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6971), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7378), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1469), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2906), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [169998] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(3834), 1,
      sym_word,
    ACTIONS(3838), 1,
      sym_test_operator,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7604), 1,
      sym__special_character,
    STATE(1923), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7606), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(749), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2101), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170071] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7558), 1,
      sym_regex,
    ACTIONS(7630), 1,
      sym_word,
    ACTIONS(7632), 1,
      sym__special_character,
    ACTIONS(7636), 1,
      sym_test_operator,
    STATE(1108), 1,
      aux_sym__literal_repeat1,
    STATE(1305), 1,
      sym_concatenation,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7634), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1005), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170146] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7458), 1,
      sym_test_operator,
    ACTIONS(7638), 1,
      anon_sym_RBRACK,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7454), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170217] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7458), 1,
      sym_test_operator,
    ACTIONS(7640), 1,
      anon_sym_RBRACK,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7454), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170288] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(7644), 1,
      anon_sym_DQUOTE,
    STATE(4346), 1,
      sym_string,
    ACTIONS(7646), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7642), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [170335] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3844), 1,
      sym_word,
    ACTIONS(3848), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3850), 1,
      anon_sym_DOLLAR,
    ACTIONS(3854), 1,
      anon_sym_DQUOTE,
    ACTIONS(3858), 1,
      aux_sym_number_token1,
    ACTIONS(3860), 1,
      aux_sym_number_token2,
    ACTIONS(3862), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3864), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_BQUOTE,
    ACTIONS(3868), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3872), 1,
      sym_test_operator,
    ACTIONS(3874), 1,
      sym__brace_start,
    ACTIONS(7648), 1,
      sym__special_character,
    STATE(2312), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3846), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3856), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3870), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(748), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2023), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170408] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6617), 1,
      anon_sym_DOLLAR,
    ACTIONS(6619), 1,
      sym__special_character,
    ACTIONS(6621), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      aux_sym_number_token1,
    ACTIONS(6627), 1,
      aux_sym_number_token2,
    ACTIONS(6629), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6631), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_BQUOTE,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6645), 1,
      sym__brace_start,
    ACTIONS(7580), 1,
      sym_word,
    ACTIONS(7584), 1,
      sym_test_operator,
    STATE(1420), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6611), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7582), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(532), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1091), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170481] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(7644), 1,
      anon_sym_DQUOTE,
    STATE(4346), 1,
      sym_string,
    ACTIONS(7646), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7642), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [170528] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7458), 1,
      sym_test_operator,
    ACTIONS(7650), 1,
      anon_sym_RBRACK,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7454), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170599] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3844), 1,
      sym_word,
    ACTIONS(3848), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3850), 1,
      anon_sym_DOLLAR,
    ACTIONS(3854), 1,
      anon_sym_DQUOTE,
    ACTIONS(3858), 1,
      aux_sym_number_token1,
    ACTIONS(3860), 1,
      aux_sym_number_token2,
    ACTIONS(3862), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3864), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_BQUOTE,
    ACTIONS(3868), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3872), 1,
      sym_test_operator,
    ACTIONS(3874), 1,
      sym__brace_start,
    ACTIONS(7648), 1,
      sym__special_character,
    STATE(2312), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3846), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3856), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(3870), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(766), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(2023), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170672] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(6927), 1,
      sym__special_character,
    ACTIONS(7652), 1,
      sym_word,
    ACTIONS(7656), 1,
      sym_test_operator,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7654), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(671), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1884), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170745] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7458), 1,
      sym_test_operator,
    ACTIONS(7658), 1,
      anon_sym_RBRACK,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7454), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170816] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7458), 1,
      sym_test_operator,
    ACTIONS(7660), 1,
      anon_sym_RBRACK,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7454), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170887] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2496), 1,
      sym_word,
    ACTIONS(2502), 1,
      anon_sym_DOLLAR,
    ACTIONS(2508), 1,
      aux_sym_number_token1,
    ACTIONS(2510), 1,
      aux_sym_number_token2,
    ACTIONS(2514), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2522), 1,
      sym_test_operator,
    ACTIONS(2524), 1,
      sym__brace_start,
    ACTIONS(7664), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7666), 1,
      sym__special_character,
    ACTIONS(7668), 1,
      anon_sym_DQUOTE,
    ACTIONS(7672), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7674), 1,
      anon_sym_BQUOTE,
    ACTIONS(7676), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1524), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7662), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7670), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7678), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(517), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1186), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [170960] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(6927), 1,
      sym__special_character,
    ACTIONS(7652), 1,
      sym_word,
    ACTIONS(7656), 1,
      sym_test_operator,
    STATE(1549), 1,
      aux_sym__literal_repeat1,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7654), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(651), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1884), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171033] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7458), 1,
      sym_test_operator,
    ACTIONS(7680), 1,
      anon_sym_RBRACK,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7454), 2,
      sym__special_character,
      sym__comment_word,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171104] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2496), 1,
      sym_word,
    ACTIONS(2502), 1,
      anon_sym_DOLLAR,
    ACTIONS(2508), 1,
      aux_sym_number_token1,
    ACTIONS(2510), 1,
      aux_sym_number_token2,
    ACTIONS(2514), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2522), 1,
      sym_test_operator,
    ACTIONS(2524), 1,
      sym__brace_start,
    ACTIONS(7664), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7666), 1,
      sym__special_character,
    ACTIONS(7668), 1,
      anon_sym_DQUOTE,
    ACTIONS(7672), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7674), 1,
      anon_sym_BQUOTE,
    ACTIONS(7676), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(1524), 1,
      aux_sym__literal_repeat1,
    ACTIONS(7662), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7670), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7678), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(526), 2,
      sym_concatenation,
      aux_sym_for_statement_repeat1,
    STATE(1186), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171177] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7558), 1,
      sym_regex,
    ACTIONS(7682), 1,
      sym_word,
    ACTIONS(7684), 1,
      sym__special_character,
    ACTIONS(7688), 1,
      sym_test_operator,
    STATE(1108), 1,
      aux_sym__literal_repeat1,
    STATE(1305), 1,
      sym_concatenation,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7686), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(906), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171252] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6579), 1,
      anon_sym_DOLLAR,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7690), 1,
      sym_word,
    ACTIONS(7696), 1,
      sym__comment_word,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7692), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7694), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3627), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171320] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6715), 1,
      anon_sym_DQUOTE,
    ACTIONS(6719), 1,
      aux_sym_number_token1,
    ACTIONS(6721), 1,
      aux_sym_number_token2,
    ACTIONS(6723), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6727), 1,
      anon_sym_BQUOTE,
    ACTIONS(6729), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6739), 1,
      sym__brace_start,
    ACTIONS(7698), 1,
      sym_word,
    ACTIONS(7700), 1,
      anon_sym_DOLLAR,
    ACTIONS(7706), 1,
      sym__comment_word,
    ACTIONS(6705), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6731), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7702), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7704), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3632), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171388] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7734), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2293), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [171462] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3810), 1,
      anon_sym_DQUOTE,
    ACTIONS(3814), 1,
      aux_sym_number_token1,
    ACTIONS(3816), 1,
      aux_sym_number_token2,
    ACTIONS(3818), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3820), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3822), 1,
      anon_sym_BQUOTE,
    ACTIONS(3824), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3832), 1,
      sym__brace_start,
    ACTIONS(7736), 1,
      sym_word,
    ACTIONS(7738), 1,
      anon_sym_DOLLAR,
    ACTIONS(7744), 1,
      sym__comment_word,
    ACTIONS(3802), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3826), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7740), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7742), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2134), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171530] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4098), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4104), 1,
      anon_sym_DQUOTE,
    ACTIONS(4108), 1,
      aux_sym_number_token1,
    ACTIONS(4110), 1,
      aux_sym_number_token2,
    ACTIONS(4112), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4114), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4116), 1,
      anon_sym_BQUOTE,
    ACTIONS(4118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4124), 1,
      sym__brace_start,
    ACTIONS(7746), 1,
      sym_word,
    ACTIONS(7748), 1,
      anon_sym_DOLLAR,
    ACTIONS(7754), 1,
      sym__comment_word,
    ACTIONS(4096), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7750), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7752), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2377), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171598] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(7756), 1,
      sym_word,
    ACTIONS(7758), 1,
      anon_sym_DOLLAR,
    ACTIONS(7764), 1,
      sym__comment_word,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7760), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7762), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1700), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171666] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(7756), 1,
      sym_word,
    ACTIONS(7764), 1,
      sym__comment_word,
    ACTIONS(7766), 1,
      anon_sym_DOLLAR,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7760), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7762), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1700), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171734] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6621), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      aux_sym_number_token1,
    ACTIONS(6627), 1,
      aux_sym_number_token2,
    ACTIONS(6629), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6631), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_BQUOTE,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6645), 1,
      sym__brace_start,
    ACTIONS(7768), 1,
      sym_word,
    ACTIONS(7770), 1,
      anon_sym_DOLLAR,
    ACTIONS(7776), 1,
      sym__comment_word,
    ACTIONS(6611), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7772), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7774), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1352), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171802] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(7778), 1,
      sym_word,
    ACTIONS(7780), 1,
      anon_sym_DOLLAR,
    ACTIONS(7786), 1,
      sym__comment_word,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7782), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7784), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(830), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171870] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3440), 1,
      anon_sym_DQUOTE,
    ACTIONS(3444), 1,
      aux_sym_number_token1,
    ACTIONS(3446), 1,
      aux_sym_number_token2,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3450), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3452), 1,
      anon_sym_BQUOTE,
    ACTIONS(3454), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3464), 1,
      sym__brace_start,
    ACTIONS(7788), 1,
      sym_word,
    ACTIONS(7790), 1,
      anon_sym_DOLLAR,
    ACTIONS(7796), 1,
      sym__comment_word,
    ACTIONS(3432), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3456), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7792), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7794), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2044), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [171938] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7798), 1,
      sym_word,
    ACTIONS(7802), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7804), 1,
      anon_sym_DOLLAR,
    ACTIONS(7806), 1,
      sym__special_character,
    ACTIONS(7808), 1,
      anon_sym_DQUOTE,
    ACTIONS(7812), 1,
      aux_sym_number_token1,
    ACTIONS(7814), 1,
      aux_sym_number_token2,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7820), 1,
      anon_sym_BQUOTE,
    ACTIONS(7822), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7826), 1,
      sym_test_operator,
    ACTIONS(7828), 1,
      sym__brace_start,
    STATE(4981), 1,
      aux_sym__literal_repeat1,
    STATE(5071), 1,
      sym_concatenation,
    ACTIONS(7800), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7810), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(7824), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(4956), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172010] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(7830), 1,
      sym_word,
    ACTIONS(7832), 1,
      anon_sym_DOLLAR,
    ACTIONS(7838), 1,
      sym__comment_word,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7834), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7836), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1970), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172078] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(7830), 1,
      sym_word,
    ACTIONS(7838), 1,
      sym__comment_word,
    ACTIONS(7840), 1,
      anon_sym_DOLLAR,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7834), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7836), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1970), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172146] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7844), 1,
      anon_sym_DOLLAR,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172214] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6617), 1,
      anon_sym_DOLLAR,
    ACTIONS(6619), 1,
      sym__special_character,
    ACTIONS(6621), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      aux_sym_number_token1,
    ACTIONS(6627), 1,
      aux_sym_number_token2,
    ACTIONS(6629), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6631), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_BQUOTE,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6645), 1,
      sym__brace_start,
    ACTIONS(7852), 1,
      sym_word,
    ACTIONS(7856), 1,
      sym_test_operator,
    STATE(1541), 1,
      aux_sym__literal_repeat1,
    STATE(1584), 1,
      sym_concatenation,
    ACTIONS(6611), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7854), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1165), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172286] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(7858), 1,
      anon_sym_DOLLAR,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172354] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4424), 1,
      anon_sym_DQUOTE,
    ACTIONS(4428), 1,
      aux_sym_number_token1,
    ACTIONS(4430), 1,
      aux_sym_number_token2,
    ACTIONS(4432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4434), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4436), 1,
      anon_sym_BQUOTE,
    ACTIONS(4438), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4444), 1,
      sym__brace_start,
    ACTIONS(7860), 1,
      sym_word,
    ACTIONS(7862), 1,
      anon_sym_DOLLAR,
    ACTIONS(7868), 1,
      sym__comment_word,
    ACTIONS(4416), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4440), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7864), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7866), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4420), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172422] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7870), 1,
      sym_word,
    ACTIONS(7876), 1,
      sym__comment_word,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7872), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7874), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1358), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172490] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7904), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2700), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [172564] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7870), 1,
      sym_word,
    ACTIONS(7876), 1,
      sym__comment_word,
    ACTIONS(7906), 1,
      anon_sym_DOLLAR,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7872), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7874), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1358), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172632] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4424), 1,
      anon_sym_DQUOTE,
    ACTIONS(4428), 1,
      aux_sym_number_token1,
    ACTIONS(4430), 1,
      aux_sym_number_token2,
    ACTIONS(4432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4434), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4436), 1,
      anon_sym_BQUOTE,
    ACTIONS(4438), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4444), 1,
      sym__brace_start,
    ACTIONS(7860), 1,
      sym_word,
    ACTIONS(7868), 1,
      sym__comment_word,
    ACTIONS(7908), 1,
      anon_sym_DOLLAR,
    ACTIONS(4416), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4440), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7864), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7866), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4420), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172700] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7936), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7938), 1,
      sym_variable_name,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2671), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [172774] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7940), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2649), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [172848] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(7942), 1,
      sym_word,
    ACTIONS(7944), 1,
      anon_sym_DOLLAR,
    ACTIONS(7950), 1,
      sym__comment_word,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7946), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7948), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(740), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [172916] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7952), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2639), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [172990] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7870), 1,
      sym_word,
    ACTIONS(7876), 1,
      sym__comment_word,
    ACTIONS(7954), 1,
      anon_sym_DOLLAR,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7872), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7874), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1358), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173058] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(6681), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6685), 1,
      anon_sym_DQUOTE,
    ACTIONS(6689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_BQUOTE,
    ACTIONS(6693), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7956), 1,
      sym_word,
    ACTIONS(7958), 1,
      anon_sym_DOLLAR,
    ACTIONS(7964), 1,
      sym__comment_word,
    ACTIONS(6677), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7960), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1367), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173126] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(7966), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2699), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [173200] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(7942), 1,
      sym_word,
    ACTIONS(7950), 1,
      sym__comment_word,
    ACTIONS(7968), 1,
      anon_sym_DOLLAR,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7946), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7948), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(740), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173268] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(6681), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6685), 1,
      anon_sym_DQUOTE,
    ACTIONS(6689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_BQUOTE,
    ACTIONS(6693), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7956), 1,
      sym_word,
    ACTIONS(7964), 1,
      sym__comment_word,
    ACTIONS(7970), 1,
      anon_sym_DOLLAR,
    ACTIONS(6677), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7960), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1367), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173336] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(2980), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2335), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [173410] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7972), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2413), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [173484] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(7974), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2672), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [173558] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(7976), 1,
      sym_word,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7982), 1,
      anon_sym_DOLLAR,
    ACTIONS(7986), 1,
      anon_sym_DQUOTE,
    ACTIONS(7990), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7992), 1,
      anon_sym_BQUOTE,
    ACTIONS(7994), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7998), 1,
      sym__comment_word,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7984), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7996), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7988), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1478), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173626] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(7976), 1,
      sym_word,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_DQUOTE,
    ACTIONS(7990), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7992), 1,
      anon_sym_BQUOTE,
    ACTIONS(7994), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7998), 1,
      sym__comment_word,
    ACTIONS(8000), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7984), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7996), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7988), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1478), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173694] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8002), 1,
      sym_word,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8008), 1,
      anon_sym_DOLLAR,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8024), 1,
      sym__comment_word,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8010), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8014), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3649), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173762] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8002), 1,
      sym_word,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8024), 1,
      sym__comment_word,
    ACTIONS(8026), 1,
      anon_sym_DOLLAR,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8010), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8014), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3649), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173830] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3440), 1,
      anon_sym_DQUOTE,
    ACTIONS(3444), 1,
      aux_sym_number_token1,
    ACTIONS(3446), 1,
      aux_sym_number_token2,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3450), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3452), 1,
      anon_sym_BQUOTE,
    ACTIONS(3454), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3464), 1,
      sym__brace_start,
    ACTIONS(7788), 1,
      sym_word,
    ACTIONS(7796), 1,
      sym__comment_word,
    ACTIONS(8028), 1,
      anon_sym_DOLLAR,
    ACTIONS(3432), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3456), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7792), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7794), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2044), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173898] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7690), 1,
      sym_word,
    ACTIONS(7696), 1,
      sym__comment_word,
    ACTIONS(8030), 1,
      anon_sym_DOLLAR,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7692), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7694), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3627), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [173966] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7690), 1,
      sym_word,
    ACTIONS(7696), 1,
      sym__comment_word,
    ACTIONS(8032), 1,
      anon_sym_DOLLAR,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7692), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7694), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3627), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174034] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(117), 1,
      anon_sym_DQUOTE,
    ACTIONS(121), 1,
      aux_sym_number_token1,
    ACTIONS(123), 1,
      aux_sym_number_token2,
    ACTIONS(125), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(129), 1,
      anon_sym_BQUOTE,
    ACTIONS(131), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(141), 1,
      sym__brace_start,
    ACTIONS(8034), 1,
      sym_word,
    ACTIONS(8036), 1,
      anon_sym_DOLLAR,
    ACTIONS(8042), 1,
      sym__comment_word,
    ACTIONS(109), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(133), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8038), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8040), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(386), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174102] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(117), 1,
      anon_sym_DQUOTE,
    ACTIONS(121), 1,
      aux_sym_number_token1,
    ACTIONS(123), 1,
      aux_sym_number_token2,
    ACTIONS(125), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(129), 1,
      anon_sym_BQUOTE,
    ACTIONS(131), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(141), 1,
      sym__brace_start,
    ACTIONS(8034), 1,
      sym_word,
    ACTIONS(8042), 1,
      sym__comment_word,
    ACTIONS(8044), 1,
      anon_sym_DOLLAR,
    ACTIONS(109), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(133), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8038), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8040), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(386), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174170] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4877), 1,
      aux_sym_number_token1,
    ACTIONS(4879), 1,
      aux_sym_number_token2,
    ACTIONS(4883), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4893), 1,
      sym__brace_start,
    ACTIONS(8046), 1,
      sym_word,
    ACTIONS(8050), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8052), 1,
      anon_sym_DOLLAR,
    ACTIONS(8056), 1,
      anon_sym_DQUOTE,
    ACTIONS(8060), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8062), 1,
      anon_sym_BQUOTE,
    ACTIONS(8064), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8068), 1,
      sym__comment_word,
    ACTIONS(8048), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8054), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8066), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8058), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4574), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174238] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174306] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4877), 1,
      aux_sym_number_token1,
    ACTIONS(4879), 1,
      aux_sym_number_token2,
    ACTIONS(4883), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4893), 1,
      sym__brace_start,
    ACTIONS(8046), 1,
      sym_word,
    ACTIONS(8050), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8056), 1,
      anon_sym_DQUOTE,
    ACTIONS(8060), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8062), 1,
      anon_sym_BQUOTE,
    ACTIONS(8064), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8068), 1,
      sym__comment_word,
    ACTIONS(8070), 1,
      anon_sym_DOLLAR,
    ACTIONS(8048), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8054), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8066), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8058), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4574), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174374] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6863), 1,
      anon_sym_DQUOTE,
    ACTIONS(6867), 1,
      aux_sym_number_token1,
    ACTIONS(6869), 1,
      aux_sym_number_token2,
    ACTIONS(6871), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6875), 1,
      anon_sym_BQUOTE,
    ACTIONS(6877), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6887), 1,
      sym__brace_start,
    ACTIONS(8072), 1,
      sym_word,
    ACTIONS(8074), 1,
      anon_sym_DOLLAR,
    ACTIONS(8080), 1,
      sym__comment_word,
    ACTIONS(6853), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6879), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8076), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8078), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(999), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174442] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8082), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2632), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [174516] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8084), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2631), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [174590] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7410), 1,
      anon_sym_DQUOTE,
    ACTIONS(7414), 1,
      aux_sym_number_token1,
    ACTIONS(7416), 1,
      aux_sym_number_token2,
    ACTIONS(7418), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7420), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7422), 1,
      anon_sym_BQUOTE,
    ACTIONS(7424), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7430), 1,
      sym__brace_start,
    ACTIONS(8086), 1,
      sym_word,
    ACTIONS(8088), 1,
      anon_sym_DOLLAR,
    ACTIONS(8094), 1,
      sym__comment_word,
    ACTIONS(7402), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7426), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8090), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8092), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2003), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174658] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6863), 1,
      anon_sym_DQUOTE,
    ACTIONS(6867), 1,
      aux_sym_number_token1,
    ACTIONS(6869), 1,
      aux_sym_number_token2,
    ACTIONS(6871), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6875), 1,
      anon_sym_BQUOTE,
    ACTIONS(6877), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6887), 1,
      sym__brace_start,
    ACTIONS(8072), 1,
      sym_word,
    ACTIONS(8080), 1,
      sym__comment_word,
    ACTIONS(8096), 1,
      anon_sym_DOLLAR,
    ACTIONS(6853), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6879), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8076), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8078), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(999), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174726] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7410), 1,
      anon_sym_DQUOTE,
    ACTIONS(7414), 1,
      aux_sym_number_token1,
    ACTIONS(7416), 1,
      aux_sym_number_token2,
    ACTIONS(7418), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7420), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7422), 1,
      anon_sym_BQUOTE,
    ACTIONS(7424), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7430), 1,
      sym__brace_start,
    ACTIONS(8086), 1,
      sym_word,
    ACTIONS(8094), 1,
      sym__comment_word,
    ACTIONS(8098), 1,
      anon_sym_DOLLAR,
    ACTIONS(7402), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7426), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8090), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8092), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2003), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174794] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8100), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2630), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [174868] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2958), 1,
      sym__brace_start,
    ACTIONS(8102), 1,
      sym_word,
    ACTIONS(8106), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8108), 1,
      sym__special_character,
    ACTIONS(8110), 1,
      anon_sym_DQUOTE,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8116), 1,
      anon_sym_BQUOTE,
    ACTIONS(8118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8122), 1,
      sym_test_operator,
    STATE(3696), 1,
      aux_sym__literal_repeat1,
    STATE(4002), 1,
      sym_concatenation,
    ACTIONS(8104), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8112), 2,
      sym_raw_string,
      sym_ansi_c_string,
    ACTIONS(8120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    STATE(3597), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [174940] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8124), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2752), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [175014] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8126), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2640), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [175088] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 1,
      anon_sym_DOLLAR,
    ACTIONS(2908), 1,
      aux_sym_number_token1,
    ACTIONS(2910), 1,
      aux_sym_number_token2,
    ACTIONS(2914), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2924), 1,
      sym__brace_start,
    ACTIONS(7384), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7388), 1,
      anon_sym_DQUOTE,
    ACTIONS(7392), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7394), 1,
      anon_sym_BQUOTE,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8128), 1,
      sym_word,
    ACTIONS(8134), 1,
      sym__comment_word,
    ACTIONS(7382), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7398), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8130), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8132), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1556), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175156] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7406), 1,
      anon_sym_DOLLAR,
    ACTIONS(7408), 1,
      sym__special_character,
    ACTIONS(7410), 1,
      anon_sym_DQUOTE,
    ACTIONS(7414), 1,
      aux_sym_number_token1,
    ACTIONS(7416), 1,
      aux_sym_number_token2,
    ACTIONS(7418), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7420), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7422), 1,
      anon_sym_BQUOTE,
    ACTIONS(7424), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7430), 1,
      sym__brace_start,
    ACTIONS(8136), 1,
      sym_word,
    ACTIONS(8140), 1,
      sym_test_operator,
    STATE(2089), 1,
      aux_sym__literal_repeat1,
    STATE(2178), 1,
      sym_concatenation,
    ACTIONS(7402), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7426), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8138), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1921), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175228] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6955), 1,
      anon_sym_DQUOTE,
    ACTIONS(6959), 1,
      aux_sym_number_token1,
    ACTIONS(6961), 1,
      aux_sym_number_token2,
    ACTIONS(6963), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6965), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6967), 1,
      anon_sym_BQUOTE,
    ACTIONS(6969), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6979), 1,
      sym__brace_start,
    ACTIONS(8142), 1,
      sym_word,
    ACTIONS(8144), 1,
      anon_sym_DOLLAR,
    ACTIONS(8150), 1,
      sym__comment_word,
    ACTIONS(6945), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6971), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8146), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8148), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2966), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175296] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6955), 1,
      anon_sym_DQUOTE,
    ACTIONS(6959), 1,
      aux_sym_number_token1,
    ACTIONS(6961), 1,
      aux_sym_number_token2,
    ACTIONS(6963), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6965), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6967), 1,
      anon_sym_BQUOTE,
    ACTIONS(6969), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6979), 1,
      sym__brace_start,
    ACTIONS(8142), 1,
      sym_word,
    ACTIONS(8150), 1,
      sym__comment_word,
    ACTIONS(8152), 1,
      anon_sym_DOLLAR,
    ACTIONS(6945), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6971), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8146), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8148), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2966), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175364] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8154), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2645), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [175438] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8156), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2650), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [175512] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7406), 1,
      anon_sym_DOLLAR,
    ACTIONS(7408), 1,
      sym__special_character,
    ACTIONS(7410), 1,
      anon_sym_DQUOTE,
    ACTIONS(7414), 1,
      aux_sym_number_token1,
    ACTIONS(7416), 1,
      aux_sym_number_token2,
    ACTIONS(7418), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7420), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7422), 1,
      anon_sym_BQUOTE,
    ACTIONS(7424), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7430), 1,
      sym__brace_start,
    ACTIONS(8158), 1,
      sym_word,
    ACTIONS(8162), 1,
      sym_test_operator,
    STATE(2051), 1,
      aux_sym__literal_repeat1,
    STATE(2195), 1,
      sym_concatenation,
    ACTIONS(7402), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7426), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8160), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1924), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175584] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8164), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2652), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [175658] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8166), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2654), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [175732] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8168), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2658), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [175806] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8170), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2659), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [175880] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(7778), 1,
      sym_word,
    ACTIONS(7786), 1,
      sym__comment_word,
    ACTIONS(8172), 1,
      anon_sym_DOLLAR,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7782), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7784), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(830), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [175948] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8174), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2662), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [176022] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8176), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2314), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [176096] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(8178), 1,
      anon_sym_DOLLAR,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176164] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_DOLLAR,
    ACTIONS(2355), 1,
      aux_sym_number_token1,
    ACTIONS(2357), 1,
      aux_sym_number_token2,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2373), 1,
      sym__brace_start,
    ACTIONS(8180), 1,
      sym_word,
    ACTIONS(8184), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8188), 1,
      anon_sym_DQUOTE,
    ACTIONS(8192), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8194), 1,
      anon_sym_BQUOTE,
    ACTIONS(8196), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8200), 1,
      sym__comment_word,
    ACTIONS(8182), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8186), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8198), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8190), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1340), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176232] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8202), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2665), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [176306] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6617), 1,
      anon_sym_DOLLAR,
    ACTIONS(6619), 1,
      sym__special_character,
    ACTIONS(6621), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      aux_sym_number_token1,
    ACTIONS(6627), 1,
      aux_sym_number_token2,
    ACTIONS(6629), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6631), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_BQUOTE,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6645), 1,
      sym__brace_start,
    ACTIONS(8204), 1,
      sym_word,
    ACTIONS(8208), 1,
      sym_test_operator,
    STATE(1412), 1,
      aux_sym__literal_repeat1,
    STATE(1781), 1,
      sym_concatenation,
    ACTIONS(6611), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8206), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1117), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176378] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3105), 1,
      aux_sym_number_token1,
    ACTIONS(3107), 1,
      aux_sym_number_token2,
    ACTIONS(3111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3121), 1,
      sym__brace_start,
    ACTIONS(7588), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7592), 1,
      anon_sym_DQUOTE,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7598), 1,
      anon_sym_BQUOTE,
    ACTIONS(7600), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8210), 1,
      sym_word,
    ACTIONS(8212), 1,
      anon_sym_DOLLAR,
    ACTIONS(8218), 1,
      sym__comment_word,
    ACTIONS(7586), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7602), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8214), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8216), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1572), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176446] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 1,
      aux_sym_number_token1,
    ACTIONS(1545), 1,
      aux_sym_number_token2,
    ACTIONS(1549), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1563), 1,
      sym__brace_start,
    ACTIONS(6747), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6751), 1,
      anon_sym_DQUOTE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8220), 1,
      sym_word,
    ACTIONS(8222), 1,
      anon_sym_DOLLAR,
    ACTIONS(8228), 1,
      sym__comment_word,
    ACTIONS(6743), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8224), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8226), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1042), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176514] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(7778), 1,
      sym_word,
    ACTIONS(7786), 1,
      sym__comment_word,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7782), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7784), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(830), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176582] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4420), 1,
      anon_sym_DOLLAR,
    ACTIONS(4422), 1,
      sym__special_character,
    ACTIONS(4424), 1,
      anon_sym_DQUOTE,
    ACTIONS(4428), 1,
      aux_sym_number_token1,
    ACTIONS(4430), 1,
      aux_sym_number_token2,
    ACTIONS(4432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4434), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4436), 1,
      anon_sym_BQUOTE,
    ACTIONS(4438), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4444), 1,
      sym__brace_start,
    ACTIONS(8230), 1,
      sym_word,
    ACTIONS(8234), 1,
      sym_test_operator,
    STATE(4421), 1,
      aux_sym__literal_repeat1,
    STATE(4512), 1,
      sym_concatenation,
    ACTIONS(4416), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4440), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8232), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4334), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176654] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 1,
      aux_sym_number_token1,
    ACTIONS(4672), 1,
      aux_sym_number_token2,
    ACTIONS(4676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4686), 1,
      sym__brace_start,
    ACTIONS(7434), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7438), 1,
      anon_sym_DQUOTE,
    ACTIONS(7442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7444), 1,
      anon_sym_BQUOTE,
    ACTIONS(7446), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8236), 1,
      sym_word,
    ACTIONS(8238), 1,
      anon_sym_DOLLAR,
    ACTIONS(8244), 1,
      sym__comment_word,
    ACTIONS(7432), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7448), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8240), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8242), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2912), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176722] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 1,
      aux_sym_number_token1,
    ACTIONS(1545), 1,
      aux_sym_number_token2,
    ACTIONS(1549), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1563), 1,
      sym__brace_start,
    ACTIONS(6747), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6751), 1,
      anon_sym_DQUOTE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8220), 1,
      sym_word,
    ACTIONS(8228), 1,
      sym__comment_word,
    ACTIONS(8246), 1,
      anon_sym_DOLLAR,
    ACTIONS(6743), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8224), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8226), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1042), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176790] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(8248), 1,
      anon_sym_DOLLAR,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [176858] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8250), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2746), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [176932] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7552), 1,
      sym__special_character,
    ACTIONS(8252), 1,
      sym_word,
    ACTIONS(8256), 1,
      sym_test_operator,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1290), 1,
      sym_concatenation,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8254), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1473), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177004] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7552), 1,
      sym__special_character,
    ACTIONS(8258), 1,
      sym_word,
    ACTIONS(8262), 1,
      sym_test_operator,
    STATE(1081), 1,
      aux_sym__literal_repeat1,
    STATE(1271), 1,
      sym_concatenation,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8260), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1471), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177076] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8264), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2366), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [177150] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3105), 1,
      aux_sym_number_token1,
    ACTIONS(3107), 1,
      aux_sym_number_token2,
    ACTIONS(3111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3121), 1,
      sym__brace_start,
    ACTIONS(7588), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7592), 1,
      anon_sym_DQUOTE,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7598), 1,
      anon_sym_BQUOTE,
    ACTIONS(7600), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8210), 1,
      sym_word,
    ACTIONS(8218), 1,
      sym__comment_word,
    ACTIONS(8266), 1,
      anon_sym_DOLLAR,
    ACTIONS(7586), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7602), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8214), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8216), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1572), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177218] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 1,
      aux_sym_number_token1,
    ACTIONS(4672), 1,
      aux_sym_number_token2,
    ACTIONS(4676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4686), 1,
      sym__brace_start,
    ACTIONS(7434), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7438), 1,
      anon_sym_DQUOTE,
    ACTIONS(7442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7444), 1,
      anon_sym_BQUOTE,
    ACTIONS(7446), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8236), 1,
      sym_word,
    ACTIONS(8244), 1,
      sym__comment_word,
    ACTIONS(8268), 1,
      anon_sym_DOLLAR,
    ACTIONS(7432), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7448), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8240), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8242), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2912), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177286] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(7976), 1,
      sym_word,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_DQUOTE,
    ACTIONS(7990), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7992), 1,
      anon_sym_BQUOTE,
    ACTIONS(7994), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7998), 1,
      sym__comment_word,
    ACTIONS(8270), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7984), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7996), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7988), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1478), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177354] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(3293), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2290), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [177428] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6621), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      aux_sym_number_token1,
    ACTIONS(6627), 1,
      aux_sym_number_token2,
    ACTIONS(6629), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6631), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_BQUOTE,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6645), 1,
      sym__brace_start,
    ACTIONS(7768), 1,
      sym_word,
    ACTIONS(7776), 1,
      sym__comment_word,
    ACTIONS(8272), 1,
      anon_sym_DOLLAR,
    ACTIONS(6611), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7772), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7774), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1352), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177496] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(7976), 1,
      sym_word,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_DQUOTE,
    ACTIONS(7990), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7992), 1,
      anon_sym_BQUOTE,
    ACTIONS(7994), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7998), 1,
      sym__comment_word,
    ACTIONS(8274), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7984), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7996), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7988), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1478), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177564] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(7830), 1,
      sym_word,
    ACTIONS(7838), 1,
      sym__comment_word,
    ACTIONS(8276), 1,
      anon_sym_DOLLAR,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7834), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7836), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1970), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177632] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 1,
      anon_sym_DOLLAR,
    ACTIONS(1750), 1,
      aux_sym_number_token1,
    ACTIONS(1752), 1,
      aux_sym_number_token2,
    ACTIONS(1756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1770), 1,
      sym__brace_start,
    ACTIONS(6903), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6907), 1,
      anon_sym_DQUOTE,
    ACTIONS(6911), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6913), 1,
      anon_sym_BQUOTE,
    ACTIONS(6915), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8278), 1,
      sym_word,
    ACTIONS(8284), 1,
      sym__comment_word,
    ACTIONS(6899), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6917), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8280), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8282), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1120), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177700] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7072), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7074), 1,
      anon_sym_DOLLAR,
    ACTIONS(7078), 1,
      anon_sym_DQUOTE,
    ACTIONS(7082), 1,
      aux_sym_number_token1,
    ACTIONS(7084), 1,
      aux_sym_number_token2,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7088), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7090), 1,
      anon_sym_BQUOTE,
    ACTIONS(7092), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7102), 1,
      sym__brace_start,
    ACTIONS(8286), 1,
      sym_word,
    ACTIONS(8292), 1,
      sym__comment_word,
    ACTIONS(7068), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7094), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8288), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8290), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1163), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177768] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6711), 1,
      anon_sym_DOLLAR,
    ACTIONS(6715), 1,
      anon_sym_DQUOTE,
    ACTIONS(6719), 1,
      aux_sym_number_token1,
    ACTIONS(6721), 1,
      aux_sym_number_token2,
    ACTIONS(6723), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6727), 1,
      anon_sym_BQUOTE,
    ACTIONS(6729), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6739), 1,
      sym__brace_start,
    ACTIONS(7698), 1,
      sym_word,
    ACTIONS(7706), 1,
      sym__comment_word,
    ACTIONS(6705), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6731), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7702), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7704), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3632), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177836] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(8294), 1,
      sym_word,
    ACTIONS(8300), 1,
      sym__comment_word,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8296), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8298), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(795), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [177904] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(3168), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2285), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [177978] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2958), 1,
      sym__brace_start,
    ACTIONS(8106), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_DQUOTE,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8116), 1,
      anon_sym_BQUOTE,
    ACTIONS(8118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8302), 1,
      sym_word,
    ACTIONS(8308), 1,
      sym__comment_word,
    ACTIONS(8104), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8304), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8306), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3675), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178046] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_DOLLAR,
    ACTIONS(2508), 1,
      aux_sym_number_token1,
    ACTIONS(2510), 1,
      aux_sym_number_token2,
    ACTIONS(2514), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2524), 1,
      sym__brace_start,
    ACTIONS(7664), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7668), 1,
      anon_sym_DQUOTE,
    ACTIONS(7672), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7674), 1,
      anon_sym_BQUOTE,
    ACTIONS(7676), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8310), 1,
      sym_word,
    ACTIONS(8316), 1,
      sym__comment_word,
    ACTIONS(7662), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7678), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8312), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8314), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1322), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178114] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(7830), 1,
      sym_word,
    ACTIONS(7838), 1,
      sym__comment_word,
    ACTIONS(8318), 1,
      anon_sym_DOLLAR,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7834), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7836), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1970), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178182] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(3301), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2277), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [178256] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8320), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2748), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [178330] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(2974), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2364), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [178404] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8322), 1,
      sym_word,
    ACTIONS(8324), 1,
      anon_sym_DOLLAR,
    ACTIONS(8330), 1,
      sym__comment_word,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8326), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8328), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1720), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178472] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2192), 1,
      aux_sym_number_token1,
    ACTIONS(2194), 1,
      aux_sym_number_token2,
    ACTIONS(2198), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2210), 1,
      sym__brace_start,
    ACTIONS(8332), 1,
      sym_word,
    ACTIONS(8336), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8338), 1,
      anon_sym_DOLLAR,
    ACTIONS(8342), 1,
      anon_sym_DQUOTE,
    ACTIONS(8346), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8348), 1,
      anon_sym_BQUOTE,
    ACTIONS(8350), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8354), 1,
      sym__comment_word,
    ACTIONS(8334), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8340), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8352), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8344), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1060), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178540] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3806), 1,
      anon_sym_DOLLAR,
    ACTIONS(3810), 1,
      anon_sym_DQUOTE,
    ACTIONS(3814), 1,
      aux_sym_number_token1,
    ACTIONS(3816), 1,
      aux_sym_number_token2,
    ACTIONS(3818), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3820), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3822), 1,
      anon_sym_BQUOTE,
    ACTIONS(3824), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3832), 1,
      sym__brace_start,
    ACTIONS(7736), 1,
      sym_word,
    ACTIONS(7744), 1,
      sym__comment_word,
    ACTIONS(3802), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3826), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7740), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7742), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2134), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178608] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8356), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2749), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [178682] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3002), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2709), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [178756] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2192), 1,
      aux_sym_number_token1,
    ACTIONS(2194), 1,
      aux_sym_number_token2,
    ACTIONS(2198), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2210), 1,
      sym__brace_start,
    ACTIONS(8332), 1,
      sym_word,
    ACTIONS(8336), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8342), 1,
      anon_sym_DQUOTE,
    ACTIONS(8346), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8348), 1,
      anon_sym_BQUOTE,
    ACTIONS(8350), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8354), 1,
      sym__comment_word,
    ACTIONS(8358), 1,
      anon_sym_DOLLAR,
    ACTIONS(8334), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8340), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8352), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8344), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1060), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178824] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(3006), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2711), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [178898] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6993), 1,
      anon_sym_DQUOTE,
    ACTIONS(6997), 1,
      aux_sym_number_token1,
    ACTIONS(6999), 1,
      aux_sym_number_token2,
    ACTIONS(7001), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7005), 1,
      anon_sym_BQUOTE,
    ACTIONS(7007), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7017), 1,
      sym__brace_start,
    ACTIONS(8360), 1,
      sym_word,
    ACTIONS(8362), 1,
      anon_sym_DOLLAR,
    ACTIONS(8368), 1,
      sym__comment_word,
    ACTIONS(6983), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7009), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8364), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8366), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4337), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [178966] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7802), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7804), 1,
      anon_sym_DOLLAR,
    ACTIONS(7808), 1,
      anon_sym_DQUOTE,
    ACTIONS(7812), 1,
      aux_sym_number_token1,
    ACTIONS(7814), 1,
      aux_sym_number_token2,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7820), 1,
      anon_sym_BQUOTE,
    ACTIONS(7822), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7828), 1,
      sym__brace_start,
    ACTIONS(8370), 1,
      sym_word,
    ACTIONS(8376), 1,
      sym__comment_word,
    ACTIONS(7800), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7824), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8372), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8374), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4998), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179034] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(7778), 1,
      sym_word,
    ACTIONS(7786), 1,
      sym__comment_word,
    ACTIONS(8378), 1,
      anon_sym_DOLLAR,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7782), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7784), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(830), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179102] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(3008), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2714), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [179176] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6993), 1,
      anon_sym_DQUOTE,
    ACTIONS(6997), 1,
      aux_sym_number_token1,
    ACTIONS(6999), 1,
      aux_sym_number_token2,
    ACTIONS(7001), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7005), 1,
      anon_sym_BQUOTE,
    ACTIONS(7007), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7017), 1,
      sym__brace_start,
    ACTIONS(8360), 1,
      sym_word,
    ACTIONS(8368), 1,
      sym__comment_word,
    ACTIONS(8380), 1,
      anon_sym_DOLLAR,
    ACTIONS(6983), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7009), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8364), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8366), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4337), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179244] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8382), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2359), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [179318] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(7830), 1,
      sym_word,
    ACTIONS(7838), 1,
      sym__comment_word,
    ACTIONS(8384), 1,
      anon_sym_DOLLAR,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7834), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7836), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1970), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179386] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(8386), 1,
      anon_sym_DOLLAR,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179454] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(8388), 1,
      anon_sym_DOLLAR,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179522] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 1,
      anon_sym_DOLLAR,
    ACTIONS(2192), 1,
      aux_sym_number_token1,
    ACTIONS(2194), 1,
      aux_sym_number_token2,
    ACTIONS(2198), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2210), 1,
      sym__brace_start,
    ACTIONS(8332), 1,
      sym_word,
    ACTIONS(8336), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8342), 1,
      anon_sym_DQUOTE,
    ACTIONS(8346), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8348), 1,
      anon_sym_BQUOTE,
    ACTIONS(8350), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8354), 1,
      sym__comment_word,
    ACTIONS(8334), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8340), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8352), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8344), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1060), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179590] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4256), 1,
      anon_sym_DOLLAR,
    ACTIONS(4260), 1,
      anon_sym_DQUOTE,
    ACTIONS(4264), 1,
      aux_sym_number_token1,
    ACTIONS(4266), 1,
      aux_sym_number_token2,
    ACTIONS(4268), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4272), 1,
      anon_sym_BQUOTE,
    ACTIONS(4274), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4280), 1,
      sym__brace_start,
    ACTIONS(8390), 1,
      sym_word,
    ACTIONS(8396), 1,
      sym__comment_word,
    ACTIONS(4252), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4276), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8392), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8394), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4370), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179658] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(6681), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6685), 1,
      anon_sym_DQUOTE,
    ACTIONS(6689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_BQUOTE,
    ACTIONS(6693), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7956), 1,
      sym_word,
    ACTIONS(7964), 1,
      sym__comment_word,
    ACTIONS(8398), 1,
      anon_sym_DOLLAR,
    ACTIONS(6677), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7960), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1367), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179726] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 1,
      anon_sym_DOLLAR,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(6681), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6685), 1,
      anon_sym_DQUOTE,
    ACTIONS(6689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_BQUOTE,
    ACTIONS(6693), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7956), 1,
      sym_word,
    ACTIONS(7964), 1,
      sym__comment_word,
    ACTIONS(6677), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7960), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1367), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179794] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8002), 1,
      sym_word,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8024), 1,
      sym__comment_word,
    ACTIONS(8400), 1,
      anon_sym_DOLLAR,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8010), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8014), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3649), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [179862] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(3291), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2683), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [179936] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8002), 1,
      sym_word,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8024), 1,
      sym__comment_word,
    ACTIONS(8402), 1,
      anon_sym_DOLLAR,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8010), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8014), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3649), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180004] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8404), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2362), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [180078] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7690), 1,
      sym_word,
    ACTIONS(7696), 1,
      sym__comment_word,
    ACTIONS(8406), 1,
      anon_sym_DOLLAR,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7692), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7694), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3627), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180146] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6951), 1,
      anon_sym_DOLLAR,
    ACTIONS(6953), 1,
      sym__special_character,
    ACTIONS(6955), 1,
      anon_sym_DQUOTE,
    ACTIONS(6959), 1,
      aux_sym_number_token1,
    ACTIONS(6961), 1,
      aux_sym_number_token2,
    ACTIONS(6963), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6965), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6967), 1,
      anon_sym_BQUOTE,
    ACTIONS(6969), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6979), 1,
      sym__brace_start,
    ACTIONS(8408), 1,
      sym_word,
    ACTIONS(8412), 1,
      sym_test_operator,
    STATE(2980), 1,
      aux_sym__literal_repeat1,
    STATE(3003), 1,
      sym_concatenation,
    ACTIONS(6945), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6971), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8410), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2916), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180218] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7690), 1,
      sym_word,
    ACTIONS(7696), 1,
      sym__comment_word,
    ACTIONS(8414), 1,
      anon_sym_DOLLAR,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7692), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7694), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3627), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180286] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4420), 1,
      anon_sym_DOLLAR,
    ACTIONS(4422), 1,
      sym__special_character,
    ACTIONS(4424), 1,
      anon_sym_DQUOTE,
    ACTIONS(4428), 1,
      aux_sym_number_token1,
    ACTIONS(4430), 1,
      aux_sym_number_token2,
    ACTIONS(4432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4434), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4436), 1,
      anon_sym_BQUOTE,
    ACTIONS(4438), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4444), 1,
      sym__brace_start,
    ACTIONS(8416), 1,
      sym_word,
    ACTIONS(8420), 1,
      sym_test_operator,
    STATE(4411), 1,
      aux_sym__literal_repeat1,
    STATE(4529), 1,
      sym_concatenation,
    ACTIONS(4416), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4440), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8418), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4350), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180358] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6823), 1,
      sym__special_character,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(8422), 1,
      sym_word,
    ACTIONS(8426), 1,
      sym_test_operator,
    STATE(1441), 1,
      aux_sym__literal_repeat1,
    STATE(1761), 1,
      sym_concatenation,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8424), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1086), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180430] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(6681), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6685), 1,
      anon_sym_DQUOTE,
    ACTIONS(6689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_BQUOTE,
    ACTIONS(6693), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7956), 1,
      sym_word,
    ACTIONS(7964), 1,
      sym__comment_word,
    ACTIONS(8428), 1,
      anon_sym_DOLLAR,
    ACTIONS(6677), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7960), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1367), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180498] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_number_token1,
    ACTIONS(2510), 1,
      aux_sym_number_token2,
    ACTIONS(2514), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2524), 1,
      sym__brace_start,
    ACTIONS(7664), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7668), 1,
      anon_sym_DQUOTE,
    ACTIONS(7672), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7674), 1,
      anon_sym_BQUOTE,
    ACTIONS(7676), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8310), 1,
      sym_word,
    ACTIONS(8316), 1,
      sym__comment_word,
    ACTIONS(8430), 1,
      anon_sym_DOLLAR,
    ACTIONS(7662), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7678), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8312), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8314), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1322), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180566] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8432), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2354), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [180640] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8434), 1,
      sym_word,
    ACTIONS(8436), 1,
      sym__special_character,
    ACTIONS(8440), 1,
      sym_test_operator,
    STATE(3684), 1,
      aux_sym__literal_repeat1,
    STATE(4020), 1,
      sym_concatenation,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8438), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3799), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180712] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8436), 1,
      sym__special_character,
    ACTIONS(8442), 1,
      sym_word,
    ACTIONS(8446), 1,
      sym_test_operator,
    STATE(3659), 1,
      aux_sym__literal_repeat1,
    STATE(3967), 1,
      sym_concatenation,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8444), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180784] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      aux_sym_number_token1,
    ACTIONS(2510), 1,
      aux_sym_number_token2,
    ACTIONS(2514), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2524), 1,
      sym__brace_start,
    ACTIONS(7664), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7668), 1,
      anon_sym_DQUOTE,
    ACTIONS(7672), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7674), 1,
      anon_sym_BQUOTE,
    ACTIONS(7676), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8310), 1,
      sym_word,
    ACTIONS(8316), 1,
      sym__comment_word,
    ACTIONS(8448), 1,
      anon_sym_DOLLAR,
    ACTIONS(7662), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7678), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8312), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8314), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1322), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180852] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8450), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2351), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [180926] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6615), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6617), 1,
      anon_sym_DOLLAR,
    ACTIONS(6621), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      aux_sym_number_token1,
    ACTIONS(6627), 1,
      aux_sym_number_token2,
    ACTIONS(6629), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6631), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6633), 1,
      anon_sym_BQUOTE,
    ACTIONS(6635), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6645), 1,
      sym__brace_start,
    ACTIONS(7768), 1,
      sym_word,
    ACTIONS(7776), 1,
      sym__comment_word,
    ACTIONS(6611), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6637), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7772), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7774), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1352), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [180994] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8452), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2337), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [181068] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8454), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2331), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [181142] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8456), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2320), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [181216] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8458), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2311), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [181290] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8460), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2310), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [181364] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6951), 1,
      anon_sym_DOLLAR,
    ACTIONS(6953), 1,
      sym__special_character,
    ACTIONS(6955), 1,
      anon_sym_DQUOTE,
    ACTIONS(6959), 1,
      aux_sym_number_token1,
    ACTIONS(6961), 1,
      aux_sym_number_token2,
    ACTIONS(6963), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6965), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6967), 1,
      anon_sym_BQUOTE,
    ACTIONS(6969), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6979), 1,
      sym__brace_start,
    ACTIONS(8462), 1,
      sym_word,
    ACTIONS(8466), 1,
      sym_test_operator,
    STATE(2975), 1,
      aux_sym__literal_repeat1,
    STATE(3036), 1,
      sym_concatenation,
    ACTIONS(6945), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6971), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8464), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2924), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181436] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8468), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2305), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [181510] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6823), 1,
      sym__special_character,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(8470), 1,
      sym_word,
    ACTIONS(8474), 1,
      sym_test_operator,
    STATE(1499), 1,
      aux_sym__literal_repeat1,
    STATE(1655), 1,
      sym_concatenation,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8472), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1137), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181582] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8476), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2301), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [181656] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8478), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2288), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [181730] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_DOLLAR,
    ACTIONS(1543), 1,
      aux_sym_number_token1,
    ACTIONS(1545), 1,
      aux_sym_number_token2,
    ACTIONS(1549), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1563), 1,
      sym__brace_start,
    ACTIONS(6747), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6751), 1,
      anon_sym_DQUOTE,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6757), 1,
      anon_sym_BQUOTE,
    ACTIONS(6759), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8220), 1,
      sym_word,
    ACTIONS(8228), 1,
      sym__comment_word,
    ACTIONS(6743), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6761), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8224), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8226), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1042), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181798] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(7622), 1,
      sym__special_character,
    ACTIONS(8480), 1,
      sym_word,
    ACTIONS(8484), 1,
      sym_test_operator,
    STATE(880), 1,
      aux_sym__literal_repeat1,
    STATE(967), 1,
      sym_concatenation,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8482), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(722), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181870] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7690), 1,
      sym_word,
    ACTIONS(7696), 1,
      sym__comment_word,
    ACTIONS(8486), 1,
      anon_sym_DOLLAR,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7692), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7694), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3627), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [181938] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8488), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2286), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182012] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7690), 1,
      sym_word,
    ACTIONS(7696), 1,
      sym__comment_word,
    ACTIONS(8490), 1,
      anon_sym_DOLLAR,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7692), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7694), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3627), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182080] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7024), 1,
      sym__special_character,
    ACTIONS(8492), 1,
      sym_word,
    ACTIONS(8496), 1,
      sym_test_operator,
    STATE(1499), 1,
      aux_sym__literal_repeat1,
    STATE(1655), 1,
      sym_concatenation,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8494), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1307), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6859), 1,
      anon_sym_DOLLAR,
    ACTIONS(6863), 1,
      anon_sym_DQUOTE,
    ACTIONS(6867), 1,
      aux_sym_number_token1,
    ACTIONS(6869), 1,
      aux_sym_number_token2,
    ACTIONS(6871), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6875), 1,
      anon_sym_BQUOTE,
    ACTIONS(6877), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6887), 1,
      sym__brace_start,
    ACTIONS(8072), 1,
      sym_word,
    ACTIONS(8080), 1,
      sym__comment_word,
    ACTIONS(6853), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6879), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8076), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8078), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(999), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182220] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7024), 1,
      sym__special_character,
    ACTIONS(8498), 1,
      sym_word,
    ACTIONS(8502), 1,
      sym_test_operator,
    STATE(1441), 1,
      aux_sym__literal_repeat1,
    STATE(1761), 1,
      sym_concatenation,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8500), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1297), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182292] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8504), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2422), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182366] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8506), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2706), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182440] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8322), 1,
      sym_word,
    ACTIONS(8330), 1,
      sym__comment_word,
    ACTIONS(8508), 1,
      anon_sym_DOLLAR,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8326), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8328), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1720), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182508] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8510), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2786), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182582] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2958), 1,
      sym__brace_start,
    ACTIONS(8106), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_DQUOTE,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8116), 1,
      anon_sym_BQUOTE,
    ACTIONS(8118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8302), 1,
      sym_word,
    ACTIONS(8308), 1,
      sym__comment_word,
    ACTIONS(8512), 1,
      anon_sym_DOLLAR,
    ACTIONS(8104), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8304), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8306), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3675), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182650] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8514), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2750), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182724] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8516), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2357), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [182798] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4418), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4420), 1,
      anon_sym_DOLLAR,
    ACTIONS(4424), 1,
      anon_sym_DQUOTE,
    ACTIONS(4428), 1,
      aux_sym_number_token1,
    ACTIONS(4430), 1,
      aux_sym_number_token2,
    ACTIONS(4432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4434), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4436), 1,
      anon_sym_BQUOTE,
    ACTIONS(4438), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4444), 1,
      sym__brace_start,
    ACTIONS(7860), 1,
      sym_word,
    ACTIONS(7868), 1,
      sym__comment_word,
    ACTIONS(4416), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4440), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7864), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7866), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4420), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182866] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2958), 1,
      sym__brace_start,
    ACTIONS(8106), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_DQUOTE,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8116), 1,
      anon_sym_BQUOTE,
    ACTIONS(8118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8302), 1,
      sym_word,
    ACTIONS(8308), 1,
      sym__comment_word,
    ACTIONS(8518), 1,
      anon_sym_DOLLAR,
    ACTIONS(8104), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8304), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8306), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3675), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [182934] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4098), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4100), 1,
      anon_sym_DOLLAR,
    ACTIONS(4104), 1,
      anon_sym_DQUOTE,
    ACTIONS(4108), 1,
      aux_sym_number_token1,
    ACTIONS(4110), 1,
      aux_sym_number_token2,
    ACTIONS(4112), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4114), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4116), 1,
      anon_sym_BQUOTE,
    ACTIONS(4118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4124), 1,
      sym__brace_start,
    ACTIONS(7746), 1,
      sym_word,
    ACTIONS(7754), 1,
      sym__comment_word,
    ACTIONS(4096), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7750), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7752), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2377), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183002] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6715), 1,
      anon_sym_DQUOTE,
    ACTIONS(6719), 1,
      aux_sym_number_token1,
    ACTIONS(6721), 1,
      aux_sym_number_token2,
    ACTIONS(6723), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6727), 1,
      anon_sym_BQUOTE,
    ACTIONS(6729), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6739), 1,
      sym__brace_start,
    ACTIONS(7698), 1,
      sym_word,
    ACTIONS(7706), 1,
      sym__comment_word,
    ACTIONS(8520), 1,
      anon_sym_DOLLAR,
    ACTIONS(6705), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6731), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7702), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7704), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3632), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183070] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6715), 1,
      anon_sym_DQUOTE,
    ACTIONS(6719), 1,
      aux_sym_number_token1,
    ACTIONS(6721), 1,
      aux_sym_number_token2,
    ACTIONS(6723), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6727), 1,
      anon_sym_BQUOTE,
    ACTIONS(6729), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6739), 1,
      sym__brace_start,
    ACTIONS(7698), 1,
      sym_word,
    ACTIONS(7706), 1,
      sym__comment_word,
    ACTIONS(8522), 1,
      anon_sym_DOLLAR,
    ACTIONS(6705), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6731), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7702), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7704), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3632), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183138] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(8294), 1,
      sym_word,
    ACTIONS(8300), 1,
      sym__comment_word,
    ACTIONS(8524), 1,
      anon_sym_DOLLAR,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8296), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8298), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(795), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183206] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8526), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2755), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [183280] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7802), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7804), 1,
      anon_sym_DOLLAR,
    ACTIONS(7806), 1,
      sym__special_character,
    ACTIONS(7808), 1,
      anon_sym_DQUOTE,
    ACTIONS(7812), 1,
      aux_sym_number_token1,
    ACTIONS(7814), 1,
      aux_sym_number_token2,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7820), 1,
      anon_sym_BQUOTE,
    ACTIONS(7822), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7828), 1,
      sym__brace_start,
    ACTIONS(8528), 1,
      sym_word,
    ACTIONS(8532), 1,
      sym_test_operator,
    STATE(4999), 1,
      aux_sym__literal_repeat1,
    STATE(5127), 1,
      sym_concatenation,
    ACTIONS(7800), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7824), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8530), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4948), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183352] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(7778), 1,
      sym_word,
    ACTIONS(7786), 1,
      sym__comment_word,
    ACTIONS(8534), 1,
      anon_sym_DOLLAR,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7782), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7784), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(830), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183420] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(8294), 1,
      sym_word,
    ACTIONS(8300), 1,
      sym__comment_word,
    ACTIONS(8536), 1,
      anon_sym_DOLLAR,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8296), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8298), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(795), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183488] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7632), 1,
      sym__special_character,
    ACTIONS(8538), 1,
      sym_word,
    ACTIONS(8542), 1,
      sym_test_operator,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1290), 1,
      sym_concatenation,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8540), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1019), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183560] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7632), 1,
      sym__special_character,
    ACTIONS(8544), 1,
      sym_word,
    ACTIONS(8548), 1,
      sym_test_operator,
    STATE(1081), 1,
      aux_sym__literal_repeat1,
    STATE(1271), 1,
      sym_concatenation,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8546), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1023), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183632] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8550), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2353), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [183706] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2958), 1,
      sym__brace_start,
    ACTIONS(8106), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_DQUOTE,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8116), 1,
      anon_sym_BQUOTE,
    ACTIONS(8118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8302), 1,
      sym_word,
    ACTIONS(8308), 1,
      sym__comment_word,
    ACTIONS(8552), 1,
      anon_sym_DOLLAR,
    ACTIONS(8104), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8304), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8306), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3675), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183774] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(111), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(113), 1,
      anon_sym_DOLLAR,
    ACTIONS(117), 1,
      anon_sym_DQUOTE,
    ACTIONS(121), 1,
      aux_sym_number_token1,
    ACTIONS(123), 1,
      aux_sym_number_token2,
    ACTIONS(125), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(127), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(129), 1,
      anon_sym_BQUOTE,
    ACTIONS(131), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(141), 1,
      sym__brace_start,
    ACTIONS(8034), 1,
      sym_word,
    ACTIONS(8042), 1,
      sym__comment_word,
    ACTIONS(109), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(133), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8038), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8040), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(386), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183842] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(7942), 1,
      sym_word,
    ACTIONS(7950), 1,
      sym__comment_word,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7946), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7948), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(740), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183910] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8002), 1,
      sym_word,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8024), 1,
      sym__comment_word,
    ACTIONS(8554), 1,
      anon_sym_DOLLAR,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8010), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8014), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3649), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [183978] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6859), 1,
      anon_sym_DOLLAR,
    ACTIONS(6861), 1,
      sym__special_character,
    ACTIONS(6863), 1,
      anon_sym_DQUOTE,
    ACTIONS(6867), 1,
      aux_sym_number_token1,
    ACTIONS(6869), 1,
      aux_sym_number_token2,
    ACTIONS(6871), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6875), 1,
      anon_sym_BQUOTE,
    ACTIONS(6877), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6887), 1,
      sym__brace_start,
    ACTIONS(8556), 1,
      sym_word,
    ACTIONS(8560), 1,
      sym_test_operator,
    STATE(1109), 1,
      aux_sym__literal_repeat1,
    STATE(1387), 1,
      sym_concatenation,
    ACTIONS(6853), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6879), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8558), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(833), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184050] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8002), 1,
      sym_word,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8024), 1,
      sym__comment_word,
    ACTIONS(8562), 1,
      anon_sym_DOLLAR,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8010), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8014), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3649), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184118] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8564), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2775), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [184192] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2958), 1,
      sym__brace_start,
    ACTIONS(8106), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_DQUOTE,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8116), 1,
      anon_sym_BQUOTE,
    ACTIONS(8118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8302), 1,
      sym_word,
    ACTIONS(8308), 1,
      sym__comment_word,
    ACTIONS(8566), 1,
      anon_sym_DOLLAR,
    ACTIONS(8104), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8304), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8306), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3675), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184260] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6857), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6859), 1,
      anon_sym_DOLLAR,
    ACTIONS(6861), 1,
      sym__special_character,
    ACTIONS(6863), 1,
      anon_sym_DQUOTE,
    ACTIONS(6867), 1,
      aux_sym_number_token1,
    ACTIONS(6869), 1,
      aux_sym_number_token2,
    ACTIONS(6871), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6873), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6875), 1,
      anon_sym_BQUOTE,
    ACTIONS(6877), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6887), 1,
      sym__brace_start,
    ACTIONS(8568), 1,
      sym_word,
    ACTIONS(8572), 1,
      sym_test_operator,
    STATE(1053), 1,
      aux_sym__literal_repeat1,
    STATE(1399), 1,
      sym_concatenation,
    ACTIONS(6853), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6879), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8570), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(843), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184332] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4260), 1,
      anon_sym_DQUOTE,
    ACTIONS(4264), 1,
      aux_sym_number_token1,
    ACTIONS(4266), 1,
      aux_sym_number_token2,
    ACTIONS(4268), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4272), 1,
      anon_sym_BQUOTE,
    ACTIONS(4274), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4280), 1,
      sym__brace_start,
    ACTIONS(8390), 1,
      sym_word,
    ACTIONS(8396), 1,
      sym__comment_word,
    ACTIONS(8574), 1,
      anon_sym_DOLLAR,
    ACTIONS(4252), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4276), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8392), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8394), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4370), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184400] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(8576), 1,
      anon_sym_DOLLAR,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184468] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7870), 1,
      sym_word,
    ACTIONS(7876), 1,
      sym__comment_word,
    ACTIONS(8578), 1,
      anon_sym_DOLLAR,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7872), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7874), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1358), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184536] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7870), 1,
      sym_word,
    ACTIONS(7876), 1,
      sym__comment_word,
    ACTIONS(8580), 1,
      anon_sym_DOLLAR,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7872), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7874), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1358), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184604] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(8294), 1,
      sym_word,
    ACTIONS(8300), 1,
      sym__comment_word,
    ACTIONS(8582), 1,
      anon_sym_DOLLAR,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8296), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8298), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(795), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184672] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8584), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2339), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [184746] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8586), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2777), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [184820] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8588), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2333), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [184894] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(8294), 1,
      sym_word,
    ACTIONS(8300), 1,
      sym__comment_word,
    ACTIONS(8590), 1,
      anon_sym_DOLLAR,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8296), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8298), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(795), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [184962] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8592), 1,
      sym_word,
    ACTIONS(8594), 1,
      sym__special_character,
    ACTIONS(8598), 1,
      sym_test_operator,
    STATE(3684), 1,
      aux_sym__literal_repeat1,
    STATE(4020), 1,
      sym_concatenation,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8596), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3876), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185034] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(7942), 1,
      sym_word,
    ACTIONS(7950), 1,
      sym__comment_word,
    ACTIONS(8600), 1,
      anon_sym_DOLLAR,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7946), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7948), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(740), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185102] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(7942), 1,
      sym_word,
    ACTIONS(7950), 1,
      sym__comment_word,
    ACTIONS(8602), 1,
      anon_sym_DOLLAR,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7946), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7948), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(740), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185170] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7690), 1,
      sym_word,
    ACTIONS(7696), 1,
      sym__comment_word,
    ACTIONS(8604), 1,
      anon_sym_DOLLAR,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7692), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7694), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3627), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185238] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8594), 1,
      sym__special_character,
    ACTIONS(8606), 1,
      sym_word,
    ACTIONS(8610), 1,
      sym_test_operator,
    STATE(3659), 1,
      aux_sym__literal_repeat1,
    STATE(3967), 1,
      sym_concatenation,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8608), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3867), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185310] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4260), 1,
      anon_sym_DQUOTE,
    ACTIONS(4264), 1,
      aux_sym_number_token1,
    ACTIONS(4266), 1,
      aux_sym_number_token2,
    ACTIONS(4268), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4272), 1,
      anon_sym_BQUOTE,
    ACTIONS(4274), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4280), 1,
      sym__brace_start,
    ACTIONS(8390), 1,
      sym_word,
    ACTIONS(8396), 1,
      sym__comment_word,
    ACTIONS(8612), 1,
      anon_sym_DOLLAR,
    ACTIONS(4252), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4276), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8392), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8394), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4370), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185378] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8614), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2496), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [185452] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(981), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(7756), 1,
      sym_word,
    ACTIONS(7764), 1,
      sym__comment_word,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7760), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7762), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1700), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185520] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7110), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7112), 1,
      anon_sym_DOLLAR,
    ACTIONS(7114), 1,
      sym__special_character,
    ACTIONS(7116), 1,
      anon_sym_DQUOTE,
    ACTIONS(7120), 1,
      aux_sym_number_token1,
    ACTIONS(7122), 1,
      aux_sym_number_token2,
    ACTIONS(7124), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_BQUOTE,
    ACTIONS(7130), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7140), 1,
      sym__brace_start,
    ACTIONS(8616), 1,
      sym_word,
    ACTIONS(8620), 1,
      sym_test_operator,
    STATE(2214), 1,
      aux_sym__literal_repeat1,
    STATE(2373), 1,
      sym_concatenation,
    ACTIONS(7106), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7132), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8618), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1946), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185592] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7802), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7808), 1,
      anon_sym_DQUOTE,
    ACTIONS(7812), 1,
      aux_sym_number_token1,
    ACTIONS(7814), 1,
      aux_sym_number_token2,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7820), 1,
      anon_sym_BQUOTE,
    ACTIONS(7822), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7828), 1,
      sym__brace_start,
    ACTIONS(8370), 1,
      sym_word,
    ACTIONS(8376), 1,
      sym__comment_word,
    ACTIONS(8622), 1,
      anon_sym_DOLLAR,
    ACTIONS(7800), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7824), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8372), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8374), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4998), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185660] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2958), 1,
      sym__brace_start,
    ACTIONS(8106), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_DQUOTE,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8116), 1,
      anon_sym_BQUOTE,
    ACTIONS(8118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8624), 1,
      sym_word,
    ACTIONS(8626), 1,
      sym__special_character,
    ACTIONS(8630), 1,
      sym_test_operator,
    STATE(3703), 1,
      aux_sym__literal_repeat1,
    STATE(4003), 1,
      sym_concatenation,
    ACTIONS(8104), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8628), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3656), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185732] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_DOLLAR,
    ACTIONS(4877), 1,
      aux_sym_number_token1,
    ACTIONS(4879), 1,
      aux_sym_number_token2,
    ACTIONS(4883), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4893), 1,
      sym__brace_start,
    ACTIONS(8046), 1,
      sym_word,
    ACTIONS(8050), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8056), 1,
      anon_sym_DQUOTE,
    ACTIONS(8060), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8062), 1,
      anon_sym_BQUOTE,
    ACTIONS(8064), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8068), 1,
      sym__comment_word,
    ACTIONS(8048), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8054), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8066), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8058), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4574), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185800] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(8632), 1,
      anon_sym_DOLLAR,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185868] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7690), 1,
      sym_word,
    ACTIONS(7696), 1,
      sym__comment_word,
    ACTIONS(8634), 1,
      anon_sym_DOLLAR,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7692), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7694), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3627), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [185936] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2958), 1,
      sym__brace_start,
    ACTIONS(8106), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8110), 1,
      anon_sym_DQUOTE,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8116), 1,
      anon_sym_BQUOTE,
    ACTIONS(8118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8626), 1,
      sym__special_character,
    ACTIONS(8636), 1,
      sym_word,
    ACTIONS(8640), 1,
      sym_test_operator,
    STATE(3696), 1,
      aux_sym__literal_repeat1,
    STATE(4002), 1,
      sym_concatenation,
    ACTIONS(8104), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8638), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3654), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186008] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7454), 1,
      sym__comment_word,
    ACTIONS(8642), 1,
      anon_sym_DOLLAR,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7458), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186076] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7802), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7808), 1,
      anon_sym_DQUOTE,
    ACTIONS(7812), 1,
      aux_sym_number_token1,
    ACTIONS(7814), 1,
      aux_sym_number_token2,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7820), 1,
      anon_sym_BQUOTE,
    ACTIONS(7822), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7828), 1,
      sym__brace_start,
    ACTIONS(8370), 1,
      sym_word,
    ACTIONS(8376), 1,
      sym__comment_word,
    ACTIONS(8644), 1,
      anon_sym_DOLLAR,
    ACTIONS(7800), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7824), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8372), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8374), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4998), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186144] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8646), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2297), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [186218] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_DOLLAR,
    ACTIONS(2942), 1,
      aux_sym_number_token1,
    ACTIONS(2944), 1,
      aux_sym_number_token2,
    ACTIONS(2948), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2958), 1,
      sym__brace_start,
    ACTIONS(8106), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8108), 1,
      sym__special_character,
    ACTIONS(8110), 1,
      anon_sym_DQUOTE,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8116), 1,
      anon_sym_BQUOTE,
    ACTIONS(8118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8648), 1,
      sym_word,
    ACTIONS(8652), 1,
      sym_test_operator,
    STATE(3703), 1,
      aux_sym__literal_repeat1,
    STATE(4003), 1,
      sym_concatenation,
    ACTIONS(8104), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8650), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3594), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186290] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3434), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3436), 1,
      anon_sym_DOLLAR,
    ACTIONS(3440), 1,
      anon_sym_DQUOTE,
    ACTIONS(3444), 1,
      aux_sym_number_token1,
    ACTIONS(3446), 1,
      aux_sym_number_token2,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3450), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3452), 1,
      anon_sym_BQUOTE,
    ACTIONS(3454), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3464), 1,
      sym__brace_start,
    ACTIONS(7788), 1,
      sym_word,
    ACTIONS(7796), 1,
      sym__comment_word,
    ACTIONS(3432), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3456), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7792), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7794), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2044), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186358] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8322), 1,
      sym_word,
    ACTIONS(8330), 1,
      sym__comment_word,
    ACTIONS(8654), 1,
      anon_sym_DOLLAR,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8326), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8328), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1720), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186426] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(8656), 1,
      sym_word,
    ACTIONS(8658), 1,
      anon_sym_DOLLAR,
    ACTIONS(8664), 1,
      sym__comment_word,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8660), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8662), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4111), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186494] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      anon_sym_DOLLAR,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(7976), 1,
      sym_word,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_DQUOTE,
    ACTIONS(7990), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7992), 1,
      anon_sym_BQUOTE,
    ACTIONS(7994), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7998), 1,
      sym__comment_word,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7984), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7996), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7988), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1478), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186562] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8002), 1,
      sym_word,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8024), 1,
      sym__comment_word,
    ACTIONS(8666), 1,
      anon_sym_DOLLAR,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8010), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8014), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3649), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186630] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(8670), 1,
      anon_sym_DQUOTE,
    STATE(4392), 1,
      sym_string,
    ACTIONS(8672), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(8668), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [186676] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(8656), 1,
      sym_word,
    ACTIONS(8664), 1,
      sym__comment_word,
    ACTIONS(8674), 1,
      anon_sym_DOLLAR,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8660), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8662), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4111), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186744] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_DOLLAR,
    ACTIONS(4670), 1,
      aux_sym_number_token1,
    ACTIONS(4672), 1,
      aux_sym_number_token2,
    ACTIONS(4676), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4686), 1,
      sym__brace_start,
    ACTIONS(7434), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7438), 1,
      anon_sym_DQUOTE,
    ACTIONS(7442), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7444), 1,
      anon_sym_BQUOTE,
    ACTIONS(7446), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8236), 1,
      sym_word,
    ACTIONS(8244), 1,
      sym__comment_word,
    ACTIONS(7432), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7448), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8240), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8242), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2912), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186812] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6989), 1,
      anon_sym_DOLLAR,
    ACTIONS(6993), 1,
      anon_sym_DQUOTE,
    ACTIONS(6997), 1,
      aux_sym_number_token1,
    ACTIONS(6999), 1,
      aux_sym_number_token2,
    ACTIONS(7001), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7003), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7005), 1,
      anon_sym_BQUOTE,
    ACTIONS(7007), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7017), 1,
      sym__brace_start,
    ACTIONS(8360), 1,
      sym_word,
    ACTIONS(8368), 1,
      sym__comment_word,
    ACTIONS(6983), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7009), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8364), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8366), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4337), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186880] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6709), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6715), 1,
      anon_sym_DQUOTE,
    ACTIONS(6719), 1,
      aux_sym_number_token1,
    ACTIONS(6721), 1,
      aux_sym_number_token2,
    ACTIONS(6723), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6727), 1,
      anon_sym_BQUOTE,
    ACTIONS(6729), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6739), 1,
      sym__brace_start,
    ACTIONS(7698), 1,
      sym_word,
    ACTIONS(7706), 1,
      sym__comment_word,
    ACTIONS(8676), 1,
      anon_sym_DOLLAR,
    ACTIONS(6705), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6731), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7702), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7704), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3632), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [186948] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8002), 1,
      sym_word,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8024), 1,
      sym__comment_word,
    ACTIONS(8678), 1,
      anon_sym_DOLLAR,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8010), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8014), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3649), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187016] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7690), 1,
      sym_word,
    ACTIONS(7696), 1,
      sym__comment_word,
    ACTIONS(8680), 1,
      anon_sym_DOLLAR,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7692), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7694), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3627), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187084] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6577), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_DQUOTE,
    ACTIONS(6587), 1,
      aux_sym_number_token1,
    ACTIONS(6589), 1,
      aux_sym_number_token2,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6593), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6595), 1,
      anon_sym_BQUOTE,
    ACTIONS(6597), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6607), 1,
      sym__brace_start,
    ACTIONS(7690), 1,
      sym_word,
    ACTIONS(7696), 1,
      sym__comment_word,
    ACTIONS(8682), 1,
      anon_sym_DOLLAR,
    ACTIONS(6573), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6599), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7692), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7694), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3627), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187152] = 20,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(7528), 1,
      sym__special_character,
    ACTIONS(8684), 1,
      sym_word,
    ACTIONS(8688), 1,
      sym_test_operator,
    STATE(1138), 1,
      aux_sym__literal_repeat1,
    STATE(1332), 1,
      sym_concatenation,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8686), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(928), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187224] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3810), 1,
      anon_sym_DQUOTE,
    ACTIONS(3814), 1,
      aux_sym_number_token1,
    ACTIONS(3816), 1,
      aux_sym_number_token2,
    ACTIONS(3818), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3820), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3822), 1,
      anon_sym_BQUOTE,
    ACTIONS(3824), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3832), 1,
      sym__brace_start,
    ACTIONS(7736), 1,
      sym_word,
    ACTIONS(7744), 1,
      sym__comment_word,
    ACTIONS(8690), 1,
      anon_sym_DOLLAR,
    ACTIONS(3802), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3826), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7740), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7742), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2134), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187292] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3854), 1,
      anon_sym_DQUOTE,
    ACTIONS(3858), 1,
      aux_sym_number_token1,
    ACTIONS(3860), 1,
      aux_sym_number_token2,
    ACTIONS(3862), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3864), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_BQUOTE,
    ACTIONS(3868), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3874), 1,
      sym__brace_start,
    ACTIONS(8692), 1,
      sym_word,
    ACTIONS(8694), 1,
      anon_sym_DOLLAR,
    ACTIONS(8700), 1,
      sym__comment_word,
    ACTIONS(3846), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3870), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8696), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8698), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2177), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187360] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7684), 1,
      sym__special_character,
    ACTIONS(8702), 1,
      sym_word,
    ACTIONS(8706), 1,
      sym_test_operator,
    STATE(1081), 1,
      aux_sym__literal_repeat1,
    STATE(1271), 1,
      sym_concatenation,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8704), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(883), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187432] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3854), 1,
      anon_sym_DQUOTE,
    ACTIONS(3858), 1,
      aux_sym_number_token1,
    ACTIONS(3860), 1,
      aux_sym_number_token2,
    ACTIONS(3862), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3864), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_BQUOTE,
    ACTIONS(3868), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3874), 1,
      sym__brace_start,
    ACTIONS(8692), 1,
      sym_word,
    ACTIONS(8700), 1,
      sym__comment_word,
    ACTIONS(8708), 1,
      anon_sym_DOLLAR,
    ACTIONS(3846), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3870), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8696), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8698), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2177), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187500] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7110), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7112), 1,
      anon_sym_DOLLAR,
    ACTIONS(7114), 1,
      sym__special_character,
    ACTIONS(7116), 1,
      anon_sym_DQUOTE,
    ACTIONS(7120), 1,
      aux_sym_number_token1,
    ACTIONS(7122), 1,
      aux_sym_number_token2,
    ACTIONS(7124), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_BQUOTE,
    ACTIONS(7130), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7140), 1,
      sym__brace_start,
    ACTIONS(8710), 1,
      sym_word,
    ACTIONS(8714), 1,
      sym_test_operator,
    STATE(2231), 1,
      aux_sym__literal_repeat1,
    STATE(2321), 1,
      sym_concatenation,
    ACTIONS(7106), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7132), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8712), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1951), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187572] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7478), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7482), 1,
      anon_sym_DQUOTE,
    ACTIONS(7486), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_BQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8716), 1,
      sym_word,
    ACTIONS(8718), 1,
      anon_sym_DOLLAR,
    ACTIONS(8724), 1,
      sym__comment_word,
    ACTIONS(7476), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7492), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8720), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8722), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3791), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187640] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8726), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2788), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [187714] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      aux_sym_number_token1,
    ACTIONS(203), 1,
      aux_sym_number_token2,
    ACTIONS(205), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(207), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(209), 1,
      anon_sym_BQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(221), 1,
      sym__brace_start,
    ACTIONS(8728), 1,
      sym_word,
    ACTIONS(8730), 1,
      anon_sym_DOLLAR,
    ACTIONS(8736), 1,
      sym__comment_word,
    ACTIONS(189), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(213), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8732), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8734), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(404), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187782] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(3850), 1,
      anon_sym_DOLLAR,
    ACTIONS(3854), 1,
      anon_sym_DQUOTE,
    ACTIONS(3858), 1,
      aux_sym_number_token1,
    ACTIONS(3860), 1,
      aux_sym_number_token2,
    ACTIONS(3862), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3864), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3866), 1,
      anon_sym_BQUOTE,
    ACTIONS(3868), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3874), 1,
      sym__brace_start,
    ACTIONS(8692), 1,
      sym_word,
    ACTIONS(8700), 1,
      sym__comment_word,
    ACTIONS(3846), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(3870), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8696), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8698), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2177), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187850] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8322), 1,
      sym_word,
    ACTIONS(8330), 1,
      sym__comment_word,
    ACTIONS(8738), 1,
      anon_sym_DOLLAR,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8326), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8328), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1720), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [187918] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3004), 1,
      sym_variable_name,
    ACTIONS(3047), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(7880), 1,
      anon_sym_BANG,
    ACTIONS(7886), 1,
      anon_sym_TILDE,
    ACTIONS(7888), 1,
      anon_sym_DOLLAR,
    ACTIONS(7890), 1,
      anon_sym_DQUOTE,
    ACTIONS(7892), 1,
      aux_sym_number_token1,
    ACTIONS(7894), 1,
      aux_sym_number_token2,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7898), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7900), 1,
      anon_sym_BQUOTE,
    ACTIONS(7902), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2778), 1,
      sym__arithmetic_postfix_expression,
    STATE(2781), 1,
      sym__arithmetic_unary_expression,
    STATE(2783), 1,
      sym__arithmetic_ternary_expression,
    STATE(2785), 1,
      sym__arithmetic_binary_expression,
    ACTIONS(7882), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7884), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2675), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [187992] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7110), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7112), 1,
      anon_sym_DOLLAR,
    ACTIONS(7116), 1,
      anon_sym_DQUOTE,
    ACTIONS(7120), 1,
      aux_sym_number_token1,
    ACTIONS(7122), 1,
      aux_sym_number_token2,
    ACTIONS(7124), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_BQUOTE,
    ACTIONS(7130), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7140), 1,
      sym__brace_start,
    ACTIONS(8740), 1,
      sym_word,
    ACTIONS(8746), 1,
      sym__comment_word,
    ACTIONS(7106), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7132), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8742), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8744), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2029), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188060] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8748), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2697), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [188134] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8750), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2328), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [188208] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(7830), 1,
      sym_word,
    ACTIONS(7838), 1,
      sym__comment_word,
    ACTIONS(8752), 1,
      anon_sym_DOLLAR,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7834), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7836), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1970), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188276] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7478), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7482), 1,
      anon_sym_DQUOTE,
    ACTIONS(7486), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_BQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8716), 1,
      sym_word,
    ACTIONS(8724), 1,
      sym__comment_word,
    ACTIONS(8754), 1,
      anon_sym_DOLLAR,
    ACTIONS(7476), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7492), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8720), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8722), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3791), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188344] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8756), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2633), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [188418] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7802), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7804), 1,
      anon_sym_DOLLAR,
    ACTIONS(7806), 1,
      sym__special_character,
    ACTIONS(7808), 1,
      anon_sym_DQUOTE,
    ACTIONS(7812), 1,
      aux_sym_number_token1,
    ACTIONS(7814), 1,
      aux_sym_number_token2,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7820), 1,
      anon_sym_BQUOTE,
    ACTIONS(7822), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7828), 1,
      sym__brace_start,
    ACTIONS(8758), 1,
      sym_word,
    ACTIONS(8762), 1,
      sym_test_operator,
    STATE(5004), 1,
      aux_sym__literal_repeat1,
    STATE(5142), 1,
      sym_concatenation,
    ACTIONS(7800), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7824), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8760), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4938), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188490] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(981), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(2488), 1,
      sym__special_character,
    ACTIONS(8764), 1,
      sym_word,
    ACTIONS(8768), 1,
      sym_test_operator,
    STATE(1998), 1,
      aux_sym__literal_repeat1,
    STATE(2027), 1,
      sym_concatenation,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8766), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1706), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188562] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8002), 1,
      sym_word,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8024), 1,
      sym__comment_word,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8010), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8014), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3649), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188630] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7072), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7078), 1,
      anon_sym_DQUOTE,
    ACTIONS(7082), 1,
      aux_sym_number_token1,
    ACTIONS(7084), 1,
      aux_sym_number_token2,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7088), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7090), 1,
      anon_sym_BQUOTE,
    ACTIONS(7092), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7102), 1,
      sym__brace_start,
    ACTIONS(8286), 1,
      sym_word,
    ACTIONS(8292), 1,
      sym__comment_word,
    ACTIONS(8770), 1,
      anon_sym_DOLLAR,
    ACTIONS(7068), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7094), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8288), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8290), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1163), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188698] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7110), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7116), 1,
      anon_sym_DQUOTE,
    ACTIONS(7120), 1,
      aux_sym_number_token1,
    ACTIONS(7122), 1,
      aux_sym_number_token2,
    ACTIONS(7124), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_BQUOTE,
    ACTIONS(7130), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7140), 1,
      sym__brace_start,
    ACTIONS(8740), 1,
      sym_word,
    ACTIONS(8746), 1,
      sym__comment_word,
    ACTIONS(8772), 1,
      anon_sym_DOLLAR,
    ACTIONS(7106), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7132), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8742), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8744), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2029), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188766] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(7830), 1,
      sym_word,
    ACTIONS(7838), 1,
      sym__comment_word,
    ACTIONS(8774), 1,
      anon_sym_DOLLAR,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7834), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7836), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1970), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188834] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7478), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7482), 1,
      anon_sym_DQUOTE,
    ACTIONS(7486), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_BQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8716), 1,
      sym_word,
    ACTIONS(8724), 1,
      sym__comment_word,
    ACTIONS(8776), 1,
      anon_sym_DOLLAR,
    ACTIONS(7476), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7492), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8720), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8722), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3791), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188902] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7072), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7078), 1,
      anon_sym_DQUOTE,
    ACTIONS(7082), 1,
      aux_sym_number_token1,
    ACTIONS(7084), 1,
      aux_sym_number_token2,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7088), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7090), 1,
      anon_sym_BQUOTE,
    ACTIONS(7092), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7102), 1,
      sym__brace_start,
    ACTIONS(8286), 1,
      sym_word,
    ACTIONS(8292), 1,
      sym__comment_word,
    ACTIONS(8778), 1,
      anon_sym_DOLLAR,
    ACTIONS(7068), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7094), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8288), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8290), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1163), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [188970] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8002), 1,
      sym_word,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8024), 1,
      sym__comment_word,
    ACTIONS(8780), 1,
      anon_sym_DOLLAR,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8010), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8014), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3649), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189038] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8002), 1,
      sym_word,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8024), 1,
      sym__comment_word,
    ACTIONS(8782), 1,
      anon_sym_DOLLAR,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8010), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8014), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3649), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189106] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(7756), 1,
      sym_word,
    ACTIONS(7764), 1,
      sym__comment_word,
    ACTIONS(8784), 1,
      anon_sym_DOLLAR,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7760), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7762), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1700), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189174] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(7756), 1,
      sym_word,
    ACTIONS(7764), 1,
      sym__comment_word,
    ACTIONS(8786), 1,
      anon_sym_DOLLAR,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7760), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7762), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1700), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189242] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      aux_sym_number_token1,
    ACTIONS(203), 1,
      aux_sym_number_token2,
    ACTIONS(205), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(207), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(209), 1,
      anon_sym_BQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(221), 1,
      sym__brace_start,
    ACTIONS(8728), 1,
      sym_word,
    ACTIONS(8736), 1,
      sym__comment_word,
    ACTIONS(8788), 1,
      anon_sym_DOLLAR,
    ACTIONS(189), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(213), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8732), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8734), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(404), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189310] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7110), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7116), 1,
      anon_sym_DQUOTE,
    ACTIONS(7120), 1,
      aux_sym_number_token1,
    ACTIONS(7122), 1,
      aux_sym_number_token2,
    ACTIONS(7124), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7128), 1,
      anon_sym_BQUOTE,
    ACTIONS(7130), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7140), 1,
      sym__brace_start,
    ACTIONS(8740), 1,
      sym_word,
    ACTIONS(8746), 1,
      sym__comment_word,
    ACTIONS(8790), 1,
      anon_sym_DOLLAR,
    ACTIONS(7106), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7132), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8742), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8744), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2029), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189378] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8792), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2361), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [189452] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_DOLLAR,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8794), 1,
      sym_word,
    ACTIONS(8800), 1,
      sym__comment_word,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8796), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8798), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5175), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189520] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_DOLLAR,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8322), 1,
      sym_word,
    ACTIONS(8330), 1,
      sym__comment_word,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8326), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8328), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1720), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189588] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(8802), 1,
      anon_sym_DOLLAR,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189656] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(7564), 1,
      sym__special_character,
    ACTIONS(8804), 1,
      sym_word,
    ACTIONS(8808), 1,
      sym_test_operator,
    STATE(1049), 1,
      aux_sym__literal_repeat1,
    STATE(1057), 1,
      sym_concatenation,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8806), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(801), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189728] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(8810), 1,
      anon_sym_DOLLAR,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189796] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6949), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6951), 1,
      anon_sym_DOLLAR,
    ACTIONS(6955), 1,
      anon_sym_DQUOTE,
    ACTIONS(6959), 1,
      aux_sym_number_token1,
    ACTIONS(6961), 1,
      aux_sym_number_token2,
    ACTIONS(6963), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6965), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6967), 1,
      anon_sym_BQUOTE,
    ACTIONS(6969), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6979), 1,
      sym__brace_start,
    ACTIONS(8142), 1,
      sym_word,
    ACTIONS(8150), 1,
      sym__comment_word,
    ACTIONS(6945), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6971), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8146), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8148), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2966), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189864] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_DOLLAR,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7478), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7482), 1,
      anon_sym_DQUOTE,
    ACTIONS(7486), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_BQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8716), 1,
      sym_word,
    ACTIONS(8724), 1,
      sym__comment_word,
    ACTIONS(7476), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7492), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8720), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8722), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3791), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [189932] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(7830), 1,
      sym_word,
    ACTIONS(7838), 1,
      sym__comment_word,
    ACTIONS(8812), 1,
      anon_sym_DOLLAR,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7834), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7836), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1970), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [190000] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8814), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2822), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190074] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8816), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2823), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190148] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8818), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2824), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190222] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8820), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2830), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190296] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8822), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2831), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190370] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8824), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2673), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190444] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      aux_sym_number_token1,
    ACTIONS(3506), 1,
      aux_sym_number_token2,
    ACTIONS(3510), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3522), 1,
      sym__brace_start,
    ACTIONS(7478), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7482), 1,
      anon_sym_DQUOTE,
    ACTIONS(7486), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7488), 1,
      anon_sym_BQUOTE,
    ACTIONS(7490), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8716), 1,
      sym_word,
    ACTIONS(8724), 1,
      sym__comment_word,
    ACTIONS(8826), 1,
      anon_sym_DOLLAR,
    ACTIONS(7476), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7492), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8720), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8722), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3791), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [190512] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8828), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2838), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190586] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8830), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2840), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190660] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 1,
      aux_sym_number_token1,
    ACTIONS(1752), 1,
      aux_sym_number_token2,
    ACTIONS(1756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1770), 1,
      sym__brace_start,
    ACTIONS(6903), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6907), 1,
      anon_sym_DQUOTE,
    ACTIONS(6911), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6913), 1,
      anon_sym_BQUOTE,
    ACTIONS(6915), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8278), 1,
      sym_word,
    ACTIONS(8284), 1,
      sym__comment_word,
    ACTIONS(8832), 1,
      anon_sym_DOLLAR,
    ACTIONS(6899), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6917), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8280), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8282), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1120), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [190728] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8834), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2843), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190802] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8836), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2846), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190876] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8838), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2751), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [190950] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1750), 1,
      aux_sym_number_token1,
    ACTIONS(1752), 1,
      aux_sym_number_token2,
    ACTIONS(1756), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1770), 1,
      sym__brace_start,
    ACTIONS(6903), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6907), 1,
      anon_sym_DQUOTE,
    ACTIONS(6911), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6913), 1,
      anon_sym_BQUOTE,
    ACTIONS(6915), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8278), 1,
      sym_word,
    ACTIONS(8284), 1,
      sym__comment_word,
    ACTIONS(8840), 1,
      anon_sym_DOLLAR,
    ACTIONS(6899), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6917), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8280), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8282), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1120), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191018] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8842), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2872), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191092] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_DOLLAR,
    ACTIONS(1957), 1,
      aux_sym_number_token1,
    ACTIONS(1959), 1,
      aux_sym_number_token2,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1977), 1,
      sym__brace_start,
    ACTIONS(6791), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6795), 1,
      anon_sym_DQUOTE,
    ACTIONS(6799), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6801), 1,
      anon_sym_BQUOTE,
    ACTIONS(6803), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8844), 1,
      sym_word,
    ACTIONS(8850), 1,
      sym__comment_word,
    ACTIONS(6787), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6805), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1261), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191160] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8852), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2379), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191234] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(191), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(193), 1,
      anon_sym_DOLLAR,
    ACTIONS(197), 1,
      anon_sym_DQUOTE,
    ACTIONS(201), 1,
      aux_sym_number_token1,
    ACTIONS(203), 1,
      aux_sym_number_token2,
    ACTIONS(205), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(207), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(209), 1,
      anon_sym_BQUOTE,
    ACTIONS(211), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(221), 1,
      sym__brace_start,
    ACTIONS(8728), 1,
      sym_word,
    ACTIONS(8736), 1,
      sym__comment_word,
    ACTIONS(189), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(213), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8732), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8734), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(404), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191302] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8854), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2772), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191376] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    ACTIONS(8856), 1,
      sym_word,
    ACTIONS(8858), 1,
      anon_sym_DOLLAR,
    ACTIONS(8864), 1,
      sym__comment_word,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8860), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8862), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2237), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191444] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8794), 1,
      sym_word,
    ACTIONS(8800), 1,
      sym__comment_word,
    ACTIONS(8866), 1,
      anon_sym_DOLLAR,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8796), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8798), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5175), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191512] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8868), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2874), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191586] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(306), 1,
      anon_sym_DOLLAR,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7684), 1,
      sym__special_character,
    ACTIONS(8870), 1,
      sym_word,
    ACTIONS(8874), 1,
      sym_test_operator,
    STATE(1097), 1,
      aux_sym__literal_repeat1,
    STATE(1290), 1,
      sym_concatenation,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8872), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(895), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191658] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5291), 1,
      aux_sym_number_token1,
    ACTIONS(5293), 1,
      aux_sym_number_token2,
    ACTIONS(5297), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(5309), 1,
      sym__brace_start,
    ACTIONS(6048), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6052), 1,
      anon_sym_DQUOTE,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6058), 1,
      anon_sym_BQUOTE,
    ACTIONS(6060), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8794), 1,
      sym_word,
    ACTIONS(8800), 1,
      sym__comment_word,
    ACTIONS(8876), 1,
      anon_sym_DOLLAR,
    ACTIONS(6044), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6062), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8796), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8798), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(5175), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191726] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8878), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2677), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191800] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 1,
      aux_sym_number_token1,
    ACTIONS(1959), 1,
      aux_sym_number_token2,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1977), 1,
      sym__brace_start,
    ACTIONS(6791), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6795), 1,
      anon_sym_DQUOTE,
    ACTIONS(6799), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6801), 1,
      anon_sym_BQUOTE,
    ACTIONS(6803), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8844), 1,
      sym_word,
    ACTIONS(8850), 1,
      sym__comment_word,
    ACTIONS(8880), 1,
      anon_sym_DOLLAR,
    ACTIONS(6787), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6805), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1261), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [191868] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8882), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2380), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [191942] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4256), 1,
      anon_sym_DOLLAR,
    ACTIONS(4260), 1,
      anon_sym_DQUOTE,
    ACTIONS(4264), 1,
      aux_sym_number_token1,
    ACTIONS(4266), 1,
      aux_sym_number_token2,
    ACTIONS(4268), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4272), 1,
      anon_sym_BQUOTE,
    ACTIONS(4274), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4280), 1,
      sym__brace_start,
    ACTIONS(8884), 1,
      sym_word,
    ACTIONS(8886), 1,
      sym__special_character,
    ACTIONS(8890), 1,
      sym_test_operator,
    STATE(4357), 1,
      aux_sym__literal_repeat1,
    STATE(4459), 1,
      sym_concatenation,
    ACTIONS(4252), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4276), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8888), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4288), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192014] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2672), 1,
      anon_sym_DOLLAR,
    ACTIONS(2678), 1,
      aux_sym_number_token1,
    ACTIONS(2680), 1,
      aux_sym_number_token2,
    ACTIONS(2684), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2696), 1,
      sym__brace_start,
    ACTIONS(8892), 1,
      sym_word,
    ACTIONS(8896), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_DQUOTE,
    ACTIONS(8904), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8906), 1,
      anon_sym_BQUOTE,
    ACTIONS(8908), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8912), 1,
      sym__comment_word,
    ACTIONS(8894), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8898), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8910), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8902), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1544), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192082] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    ACTIONS(8856), 1,
      sym_word,
    ACTIONS(8864), 1,
      sym__comment_word,
    ACTIONS(8914), 1,
      anon_sym_DOLLAR,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8860), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8862), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2237), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192150] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8916), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2701), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [192224] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8918), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2680), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [192298] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4098), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4104), 1,
      anon_sym_DQUOTE,
    ACTIONS(4108), 1,
      aux_sym_number_token1,
    ACTIONS(4110), 1,
      aux_sym_number_token2,
    ACTIONS(4112), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4114), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4116), 1,
      anon_sym_BQUOTE,
    ACTIONS(4118), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4124), 1,
      sym__brace_start,
    ACTIONS(7746), 1,
      sym_word,
    ACTIONS(7754), 1,
      sym__comment_word,
    ACTIONS(8920), 1,
      anon_sym_DOLLAR,
    ACTIONS(4096), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4120), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7750), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7752), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2377), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192366] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8922), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2836), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [192440] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8924), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2834), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [192514] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8926), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2832), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [192588] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8928), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2386), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [192662] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3099), 1,
      anon_sym_DOLLAR,
    ACTIONS(3105), 1,
      aux_sym_number_token1,
    ACTIONS(3107), 1,
      aux_sym_number_token2,
    ACTIONS(3111), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3121), 1,
      sym__brace_start,
    ACTIONS(7588), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7592), 1,
      anon_sym_DQUOTE,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7598), 1,
      anon_sym_BQUOTE,
    ACTIONS(7600), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8210), 1,
      sym_word,
    ACTIONS(8218), 1,
      sym__comment_word,
    ACTIONS(7586), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7602), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8214), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8216), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1572), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192730] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2355), 1,
      aux_sym_number_token1,
    ACTIONS(2357), 1,
      aux_sym_number_token2,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2373), 1,
      sym__brace_start,
    ACTIONS(8180), 1,
      sym_word,
    ACTIONS(8184), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8188), 1,
      anon_sym_DQUOTE,
    ACTIONS(8192), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8194), 1,
      anon_sym_BQUOTE,
    ACTIONS(8196), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8200), 1,
      sym__comment_word,
    ACTIONS(8930), 1,
      anon_sym_DOLLAR,
    ACTIONS(8182), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8186), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8198), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8190), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1340), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192798] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(677), 1,
      anon_sym_DOLLAR,
    ACTIONS(681), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      aux_sym_number_token1,
    ACTIONS(687), 1,
      aux_sym_number_token2,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(691), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(705), 1,
      sym__brace_start,
    ACTIONS(7564), 1,
      sym__special_character,
    ACTIONS(8932), 1,
      sym_word,
    ACTIONS(8936), 1,
      sym_test_operator,
    STATE(1028), 1,
      aux_sym__literal_repeat1,
    STATE(1080), 1,
      sym_concatenation,
    ACTIONS(673), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(697), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8934), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(754), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192870] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(6927), 1,
      sym__special_character,
    ACTIONS(8938), 1,
      sym_word,
    ACTIONS(8942), 1,
      sym_test_operator,
    STATE(1499), 1,
      aux_sym__literal_repeat1,
    STATE(1655), 1,
      sym_concatenation,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8940), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1902), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [192942] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7072), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7074), 1,
      anon_sym_DOLLAR,
    ACTIONS(7076), 1,
      sym__special_character,
    ACTIONS(7078), 1,
      anon_sym_DQUOTE,
    ACTIONS(7082), 1,
      aux_sym_number_token1,
    ACTIONS(7084), 1,
      aux_sym_number_token2,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7088), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7090), 1,
      anon_sym_BQUOTE,
    ACTIONS(7092), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7102), 1,
      sym__brace_start,
    ACTIONS(8944), 1,
      sym_word,
    ACTIONS(8948), 1,
      sym_test_operator,
    STATE(1226), 1,
      aux_sym__literal_repeat1,
    STATE(1512), 1,
      sym_concatenation,
    ACTIONS(7068), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7094), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8946), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1004), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193014] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2355), 1,
      aux_sym_number_token1,
    ACTIONS(2357), 1,
      aux_sym_number_token2,
    ACTIONS(2361), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2373), 1,
      sym__brace_start,
    ACTIONS(8180), 1,
      sym_word,
    ACTIONS(8184), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8188), 1,
      anon_sym_DQUOTE,
    ACTIONS(8192), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8194), 1,
      anon_sym_BQUOTE,
    ACTIONS(8196), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8200), 1,
      sym__comment_word,
    ACTIONS(8950), 1,
      anon_sym_DOLLAR,
    ACTIONS(8182), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8186), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8198), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8190), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1340), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193082] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8952), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2684), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [193156] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7163), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7165), 1,
      anon_sym_DOLLAR,
    ACTIONS(7169), 1,
      anon_sym_DQUOTE,
    ACTIONS(7173), 1,
      aux_sym_number_token1,
    ACTIONS(7175), 1,
      aux_sym_number_token2,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7179), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7181), 1,
      anon_sym_BQUOTE,
    ACTIONS(7183), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7189), 1,
      sym__brace_start,
    ACTIONS(8656), 1,
      sym_word,
    ACTIONS(8664), 1,
      sym__comment_word,
    ACTIONS(7159), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7185), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8660), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8662), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4111), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193224] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(7976), 1,
      sym_word,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_DQUOTE,
    ACTIONS(7990), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7992), 1,
      anon_sym_BQUOTE,
    ACTIONS(7994), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7998), 1,
      sym__comment_word,
    ACTIONS(8954), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7984), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7996), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7988), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1478), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193292] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      aux_sym_number_token1,
    ACTIONS(2648), 1,
      aux_sym_number_token2,
    ACTIONS(2652), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2664), 1,
      sym__brace_start,
    ACTIONS(7976), 1,
      sym_word,
    ACTIONS(7980), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_DQUOTE,
    ACTIONS(7990), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7992), 1,
      anon_sym_BQUOTE,
    ACTIONS(7994), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7998), 1,
      sym__comment_word,
    ACTIONS(8956), 1,
      anon_sym_DOLLAR,
    ACTIONS(7978), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7984), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7996), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7988), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1478), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193360] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8322), 1,
      sym_word,
    ACTIONS(8330), 1,
      sym__comment_word,
    ACTIONS(8958), 1,
      anon_sym_DOLLAR,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8326), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8328), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1720), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193428] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8960), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2258), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [193502] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      aux_sym_number_token1,
    ACTIONS(3077), 1,
      aux_sym_number_token2,
    ACTIONS(3081), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3091), 1,
      sym__brace_start,
    ACTIONS(7502), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7506), 1,
      anon_sym_DQUOTE,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7512), 1,
      anon_sym_BQUOTE,
    ACTIONS(7514), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8322), 1,
      sym_word,
    ACTIONS(8330), 1,
      sym__comment_word,
    ACTIONS(8962), 1,
      anon_sym_DOLLAR,
    ACTIONS(7500), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7516), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8326), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8328), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1720), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193570] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1055), 1,
      anon_sym_DOLLAR,
    ACTIONS(1059), 1,
      anon_sym_DQUOTE,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      aux_sym_number_token2,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1079), 1,
      sym__brace_start,
    ACTIONS(2838), 1,
      anon_sym_BQUOTE,
    ACTIONS(7830), 1,
      sym_word,
    ACTIONS(7838), 1,
      sym__comment_word,
    ACTIONS(1039), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1075), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7834), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7836), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1970), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193638] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7404), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7406), 1,
      anon_sym_DOLLAR,
    ACTIONS(7410), 1,
      anon_sym_DQUOTE,
    ACTIONS(7414), 1,
      aux_sym_number_token1,
    ACTIONS(7416), 1,
      aux_sym_number_token2,
    ACTIONS(7418), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7420), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7422), 1,
      anon_sym_BQUOTE,
    ACTIONS(7424), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7430), 1,
      sym__brace_start,
    ACTIONS(8086), 1,
      sym_word,
    ACTIONS(8094), 1,
      sym__comment_word,
    ACTIONS(7402), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7426), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8090), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8092), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2003), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193706] = 20,
    ACTIONS(47), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(49), 1,
      anon_sym_DOLLAR,
    ACTIONS(53), 1,
      anon_sym_DQUOTE,
    ACTIONS(57), 1,
      aux_sym_number_token1,
    ACTIONS(59), 1,
      aux_sym_number_token2,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(63), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(65), 1,
      anon_sym_BQUOTE,
    ACTIONS(67), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(79), 1,
      sym__brace_start,
    ACTIONS(7528), 1,
      sym__special_character,
    ACTIONS(8964), 1,
      sym_word,
    ACTIONS(8968), 1,
      sym_test_operator,
    STATE(1130), 1,
      aux_sym__literal_repeat1,
    STATE(1321), 1,
      sym_concatenation,
    ACTIONS(45), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(69), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8966), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(879), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193778] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6821), 1,
      anon_sym_DOLLAR,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(6927), 1,
      sym__special_character,
    ACTIONS(8970), 1,
      sym_word,
    ACTIONS(8974), 1,
      sym_test_operator,
    STATE(1441), 1,
      aux_sym__literal_repeat1,
    STATE(1761), 1,
      sym_concatenation,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8972), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1879), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [193850] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8976), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2685), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [193924] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8978), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2436), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [193998] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8980), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2792), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194072] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(8982), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2686), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194146] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8984), 1,
      sym_word,
    ACTIONS(8986), 1,
      sym__special_character,
    ACTIONS(8990), 1,
      sym_test_operator,
    STATE(3684), 1,
      aux_sym__literal_repeat1,
    STATE(4020), 1,
      sym_concatenation,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8988), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4030), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194218] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(2984), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2434), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194292] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8986), 1,
      sym__special_character,
    ACTIONS(8992), 1,
      sym_word,
    ACTIONS(8996), 1,
      sym_test_operator,
    STATE(3659), 1,
      aux_sym__literal_repeat1,
    STATE(3967), 1,
      sym_concatenation,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8994), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4036), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194364] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4254), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(4256), 1,
      anon_sym_DOLLAR,
    ACTIONS(4260), 1,
      anon_sym_DQUOTE,
    ACTIONS(4264), 1,
      aux_sym_number_token1,
    ACTIONS(4266), 1,
      aux_sym_number_token2,
    ACTIONS(4268), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(4270), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(4272), 1,
      anon_sym_BQUOTE,
    ACTIONS(4274), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4280), 1,
      sym__brace_start,
    ACTIONS(8886), 1,
      sym__special_character,
    ACTIONS(8998), 1,
      sym_word,
    ACTIONS(9002), 1,
      sym_test_operator,
    STATE(4375), 1,
      aux_sym__literal_repeat1,
    STATE(4458), 1,
      sym_concatenation,
    ACTIONS(4252), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(4276), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9000), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4263), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194436] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7454), 1,
      sym__comment_word,
    ACTIONS(9004), 1,
      anon_sym_DOLLAR,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7458), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194504] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2908), 1,
      aux_sym_number_token1,
    ACTIONS(2910), 1,
      aux_sym_number_token2,
    ACTIONS(2914), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2924), 1,
      sym__brace_start,
    ACTIONS(7384), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7388), 1,
      anon_sym_DQUOTE,
    ACTIONS(7392), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7394), 1,
      anon_sym_BQUOTE,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8128), 1,
      sym_word,
    ACTIONS(8134), 1,
      sym__comment_word,
    ACTIONS(9006), 1,
      anon_sym_DOLLAR,
    ACTIONS(7382), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7398), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8130), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8132), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1556), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194572] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(2960), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2415), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194646] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9008), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2702), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [194720] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2908), 1,
      aux_sym_number_token1,
    ACTIONS(2910), 1,
      aux_sym_number_token2,
    ACTIONS(2914), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2924), 1,
      sym__brace_start,
    ACTIONS(7384), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7388), 1,
      anon_sym_DQUOTE,
    ACTIONS(7392), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7394), 1,
      anon_sym_BQUOTE,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8128), 1,
      sym_word,
    ACTIONS(8134), 1,
      sym__comment_word,
    ACTIONS(9010), 1,
      anon_sym_DOLLAR,
    ACTIONS(7382), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7398), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8130), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8132), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1556), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194788] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7072), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(7074), 1,
      anon_sym_DOLLAR,
    ACTIONS(7076), 1,
      sym__special_character,
    ACTIONS(7078), 1,
      anon_sym_DQUOTE,
    ACTIONS(7082), 1,
      aux_sym_number_token1,
    ACTIONS(7084), 1,
      aux_sym_number_token2,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7088), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7090), 1,
      anon_sym_BQUOTE,
    ACTIONS(7092), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7102), 1,
      sym__brace_start,
    ACTIONS(9012), 1,
      sym_word,
    ACTIONS(9016), 1,
      sym_test_operator,
    STATE(1281), 1,
      aux_sym__literal_repeat1,
    STATE(1470), 1,
      sym_concatenation,
    ACTIONS(7068), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(7094), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9014), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1008), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194860] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(979), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(981), 1,
      anon_sym_DOLLAR,
    ACTIONS(985), 1,
      anon_sym_DQUOTE,
    ACTIONS(989), 1,
      aux_sym_number_token1,
    ACTIONS(991), 1,
      aux_sym_number_token2,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(995), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(997), 1,
      anon_sym_BQUOTE,
    ACTIONS(999), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(1007), 1,
      sym__brace_start,
    ACTIONS(2488), 1,
      sym__special_character,
    ACTIONS(9018), 1,
      sym_word,
    ACTIONS(9022), 1,
      sym_test_operator,
    STATE(1985), 1,
      aux_sym__literal_repeat1,
    STATE(2035), 1,
      sym_concatenation,
    ACTIONS(977), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1001), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9020), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1716), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [194932] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9024), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2687), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195006] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9026), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2433), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195080] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9028), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2690), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195154] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9030), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2432), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195228] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 1,
      aux_sym_number_token1,
    ACTIONS(1959), 1,
      aux_sym_number_token2,
    ACTIONS(1963), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(1977), 1,
      sym__brace_start,
    ACTIONS(6791), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6795), 1,
      anon_sym_DQUOTE,
    ACTIONS(6799), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6801), 1,
      anon_sym_BQUOTE,
    ACTIONS(6803), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8844), 1,
      sym_word,
    ACTIONS(8850), 1,
      sym__comment_word,
    ACTIONS(9032), 1,
      anon_sym_DOLLAR,
    ACTIONS(6787), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6805), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1261), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195296] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9034), 1,
      sym_word,
    ACTIONS(9036), 1,
      sym__special_character,
    ACTIONS(9040), 1,
      sym_test_operator,
    STATE(3684), 1,
      aux_sym__literal_repeat1,
    STATE(4020), 1,
      sym_concatenation,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9038), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3772), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195368] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9042), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2691), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195442] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9036), 1,
      sym__special_character,
    ACTIONS(9044), 1,
      sym_word,
    ACTIONS(9048), 1,
      sym_test_operator,
    STATE(3659), 1,
      aux_sym__literal_repeat1,
    STATE(3967), 1,
      sym_concatenation,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9046), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(3768), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195514] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      aux_sym_number_token1,
    ACTIONS(2680), 1,
      aux_sym_number_token2,
    ACTIONS(2684), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2696), 1,
      sym__brace_start,
    ACTIONS(8892), 1,
      sym_word,
    ACTIONS(8896), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_DQUOTE,
    ACTIONS(8904), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8906), 1,
      anon_sym_BQUOTE,
    ACTIONS(8908), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8912), 1,
      sym__comment_word,
    ACTIONS(9050), 1,
      anon_sym_DOLLAR,
    ACTIONS(8894), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8898), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8910), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8902), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1544), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195582] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9052), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2329), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195656] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9054), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2790), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [195730] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9056), 1,
      sym_word,
    ACTIONS(9058), 1,
      sym__special_character,
    ACTIONS(9062), 1,
      sym_test_operator,
    STATE(3684), 1,
      aux_sym__literal_repeat1,
    STATE(4020), 1,
      sym_concatenation,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9060), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4321), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195802] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3313), 1,
      anon_sym_DOLLAR,
    ACTIONS(3319), 1,
      aux_sym_number_token1,
    ACTIONS(3321), 1,
      aux_sym_number_token2,
    ACTIONS(3325), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(3335), 1,
      sym__brace_start,
    ACTIONS(8006), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8012), 1,
      anon_sym_DQUOTE,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8018), 1,
      anon_sym_BQUOTE,
    ACTIONS(8020), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9058), 1,
      sym__special_character,
    ACTIONS(9064), 1,
      sym_word,
    ACTIONS(9068), 1,
      sym_test_operator,
    STATE(3659), 1,
      aux_sym__literal_repeat1,
    STATE(3967), 1,
      sym_concatenation,
    ACTIONS(8004), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8022), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9066), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(4265), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195874] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2678), 1,
      aux_sym_number_token1,
    ACTIONS(2680), 1,
      aux_sym_number_token2,
    ACTIONS(2684), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2696), 1,
      sym__brace_start,
    ACTIONS(8892), 1,
      sym_word,
    ACTIONS(8896), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(8900), 1,
      anon_sym_DQUOTE,
    ACTIONS(8904), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(8906), 1,
      anon_sym_BQUOTE,
    ACTIONS(8908), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(8912), 1,
      sym__comment_word,
    ACTIONS(9070), 1,
      anon_sym_DOLLAR,
    ACTIONS(8894), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(8898), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8910), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8902), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1544), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [195942] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2840), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2423), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196016] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9072), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2850), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196090] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9074), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2283), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196164] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9076), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2817), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196238] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9078), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2385), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196312] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9080), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2776), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196386] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9082), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2281), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196460] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9084), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2735), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196534] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9086), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2408), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196608] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(357), 1,
      anon_sym_DOLLAR,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7454), 1,
      sym__comment_word,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7458), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [196676] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9088), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2669), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196750] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9090), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2303), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196824] = 20,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(437), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(439), 1,
      anon_sym_DOLLAR,
    ACTIONS(443), 1,
      anon_sym_DQUOTE,
    ACTIONS(447), 1,
      aux_sym_number_token1,
    ACTIONS(449), 1,
      aux_sym_number_token2,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(453), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(455), 1,
      anon_sym_BQUOTE,
    ACTIONS(457), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(467), 1,
      sym__brace_start,
    ACTIONS(7622), 1,
      sym__special_character,
    ACTIONS(9092), 1,
      sym_word,
    ACTIONS(9096), 1,
      sym_test_operator,
    STATE(905), 1,
      aux_sym__literal_repeat1,
    STATE(959), 1,
      sym_concatenation,
    ACTIONS(435), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(459), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(9094), 2,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(705), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [196896] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9098), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2431), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [196970] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9100), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2692), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197044] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9102), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2429), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197118] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(6681), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6685), 1,
      anon_sym_DQUOTE,
    ACTIONS(6689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_BQUOTE,
    ACTIONS(6693), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7956), 1,
      sym_word,
    ACTIONS(7964), 1,
      sym__comment_word,
    ACTIONS(9104), 1,
      anon_sym_DOLLAR,
    ACTIONS(6677), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7960), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1367), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [197186] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(8670), 1,
      anon_sym_DQUOTE,
    STATE(4392), 1,
      sym_string,
    ACTIONS(8672), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(8668), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [197232] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2015), 1,
      aux_sym_number_token1,
    ACTIONS(2017), 1,
      aux_sym_number_token2,
    ACTIONS(2021), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(2035), 1,
      sym__brace_start,
    ACTIONS(6681), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6685), 1,
      anon_sym_DQUOTE,
    ACTIONS(6689), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_BQUOTE,
    ACTIONS(6693), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7956), 1,
      sym_word,
    ACTIONS(7964), 1,
      sym__comment_word,
    ACTIONS(9106), 1,
      anon_sym_DOLLAR,
    ACTIONS(6677), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6695), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7960), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7962), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1367), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [197300] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9108), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2875), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197374] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9110), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2270), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197448] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7870), 1,
      sym_word,
    ACTIONS(7876), 1,
      sym__comment_word,
    ACTIONS(9112), 1,
      anon_sym_DOLLAR,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7872), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7874), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1358), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [197516] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6819), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(6825), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      aux_sym_number_token1,
    ACTIONS(6831), 1,
      aux_sym_number_token2,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6835), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(6837), 1,
      anon_sym_BQUOTE,
    ACTIONS(6839), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(6849), 1,
      sym__brace_start,
    ACTIONS(7870), 1,
      sym_word,
    ACTIONS(7876), 1,
      sym__comment_word,
    ACTIONS(9114), 1,
      anon_sym_DOLLAR,
    ACTIONS(6815), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(6841), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7872), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7874), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(1358), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [197584] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9116), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2718), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197658] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9118), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2435), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197732] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9120), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2782), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197806] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9122), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2275), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [197880] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7454), 1,
      sym__comment_word,
    ACTIONS(9124), 1,
      anon_sym_DOLLAR,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7458), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [197948] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9126), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2809), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198022] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9128), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2291), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198096] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9130), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2825), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198170] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9132), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2317), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198244] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9134), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2855), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198318] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(2962), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2424), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198392] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(361), 1,
      anon_sym_DQUOTE,
    ACTIONS(365), 1,
      aux_sym_number_token1,
    ACTIONS(367), 1,
      aux_sym_number_token2,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(371), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(375), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(381), 1,
      sym__brace_start,
    ACTIONS(4640), 1,
      anon_sym_BQUOTE,
    ACTIONS(7450), 1,
      sym_word,
    ACTIONS(7454), 1,
      sym__comment_word,
    ACTIONS(9136), 1,
      anon_sym_DOLLAR,
    ACTIONS(342), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(377), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7458), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7456), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2180), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198460] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9138), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2864), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198534] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      anon_sym_DOLLAR,
    ACTIONS(254), 1,
      aux_sym_number_token1,
    ACTIONS(256), 1,
      aux_sym_number_token2,
    ACTIONS(260), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(274), 1,
      sym__brace_start,
    ACTIONS(1131), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(1137), 1,
      anon_sym_DQUOTE,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(3000), 1,
      anon_sym_BQUOTE,
    ACTIONS(8856), 1,
      sym_word,
    ACTIONS(8864), 1,
      sym__comment_word,
    ACTIONS(1129), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(1145), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(8860), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(8862), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(2237), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [198602] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9140), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2414), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198676] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9142), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2868), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198750] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9144), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2388), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198824] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9146), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2728), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198898] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(2970), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2360), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [198972] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9148), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2859), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199046] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9150), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2257), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199120] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9152), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2848), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199194] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9154), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2262), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199268] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9156), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2833), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199342] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9158), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2300), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199416] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9160), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2628), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199490] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(9162), 1,
      anon_sym_DOLLAR,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199558] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(304), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(310), 1,
      anon_sym_DQUOTE,
    ACTIONS(314), 1,
      aux_sym_number_token1,
    ACTIONS(316), 1,
      aux_sym_number_token2,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(320), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(322), 1,
      anon_sym_BQUOTE,
    ACTIONS(324), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(334), 1,
      sym__brace_start,
    ACTIONS(7842), 1,
      sym_word,
    ACTIONS(7850), 1,
      sym__comment_word,
    ACTIONS(9164), 1,
      anon_sym_DOLLAR,
    ACTIONS(302), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    ACTIONS(326), 2,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
    ACTIONS(7846), 2,
      sym_test_operator,
      sym__special_character,
    ACTIONS(7848), 3,
      sym__bare_dollar,
      sym_raw_string,
      sym_ansi_c_string,
    STATE(853), 9,
      sym_arithmetic_expansion,
      sym_brace_expression,
      sym_string,
      sym_translated_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      sym_process_substitution,
  [199626] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9166), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2306), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199700] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9168), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2821), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199774] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9170), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2307), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199848] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9172), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2807), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199922] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9174), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2315), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [199996] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9176), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2797), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [200070] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9178), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2318), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [200144] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7910), 1,
      anon_sym_LPAREN,
    ACTIONS(7912), 1,
      anon_sym_BANG,
    ACTIONS(7918), 1,
      anon_sym_TILDE,
    ACTIONS(7920), 1,
      anon_sym_DOLLAR,
    ACTIONS(7922), 1,
      anon_sym_DQUOTE,
    ACTIONS(7924), 1,
      aux_sym_number_token1,
    ACTIONS(7926), 1,
      aux_sym_number_token2,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7930), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_BQUOTE,
    ACTIONS(7934), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(7938), 1,
      sym_variable_name,
    ACTIONS(9180), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2811), 1,
      sym__arithmetic_binary_expression,
    STATE(2812), 1,
      sym__arithmetic_ternary_expression,
    STATE(2818), 1,
      sym__arithmetic_unary_expression,
    STATE(2820), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7914), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7916), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2795), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [200218] = 21,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_variable_name,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(7710), 1,
      anon_sym_BANG,
    ACTIONS(7716), 1,
      anon_sym_TILDE,
    ACTIONS(7718), 1,
      anon_sym_DOLLAR,
    ACTIONS(7720), 1,
      anon_sym_DQUOTE,
    ACTIONS(7722), 1,
      aux_sym_number_token1,
    ACTIONS(7724), 1,
      aux_sym_number_token2,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(7728), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(7730), 1,
      anon_sym_BQUOTE,
    ACTIONS(7732), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9182), 1,
      aux_sym__simple_variable_name_token1,
    STATE(2336), 1,
      sym__arithmetic_binary_expression,
    STATE(2338), 1,
      sym__arithmetic_ternary_expression,
    STATE(2340), 1,
      sym__arithmetic_unary_expression,
    STATE(2341), 1,
      sym__arithmetic_postfix_expression,
    ACTIONS(7712), 2,
      anon_sym_PLUS_PLUS2,
      anon_sym_DASH_DASH2,
    ACTIONS(7714), 2,
      anon_sym_DASH2,
      anon_sym_PLUS2,
    STATE(2325), 9,
      sym_subscript,
      sym__arithmetic_expression,
      sym__arithmetic_literal,
      sym__arithmetic_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [200292] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3642), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9188), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9190), 1,
      sym_file_descriptor,
    STATE(4004), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3595), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3638), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9186), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3640), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(9184), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [200349] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9188), 1,
      anon_sym_LT_LT_LT,
    STATE(4004), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [200394] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9196), 1,
      anon_sym_LPAREN,
    ACTIONS(9198), 1,
      aux_sym__c_word_token1,
    ACTIONS(9200), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9204), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      aux_sym_number_token1,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9210), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9214), 1,
      anon_sym_BQUOTE,
    ACTIONS(9216), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    STATE(3537), 1,
      sym__c_terminator,
    STATE(5018), 1,
      sym__c_expression,
    STATE(5177), 1,
      sym__c_variable_assignment,
    STATE(5870), 1,
      sym__for_body,
    ACTIONS(9192), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2565), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [200469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9220), 1,
      sym__concat,
    STATE(3532), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [200512] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9188), 1,
      anon_sym_LT_LT_LT,
    STATE(4004), 1,
      sym_herestring_redirect,
    ACTIONS(3636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3584), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [200555] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3599), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9188), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9190), 1,
      sym_file_descriptor,
    STATE(4004), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3593), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3595), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9186), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(2534), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(9184), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [200612] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9196), 1,
      anon_sym_LPAREN,
    ACTIONS(9198), 1,
      aux_sym__c_word_token1,
    ACTIONS(9200), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9204), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      aux_sym_number_token1,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9210), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9214), 1,
      anon_sym_BQUOTE,
    ACTIONS(9216), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    STATE(3537), 1,
      sym__c_terminator,
    STATE(5018), 1,
      sym__c_expression,
    STATE(5177), 1,
      sym__c_variable_assignment,
    STATE(5967), 1,
      sym__for_body,
    ACTIONS(9192), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2565), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [200687] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6653), 1,
      anon_sym_SLASH,
    ACTIONS(6655), 1,
      anon_sym_PERCENT,
    ACTIONS(6657), 1,
      anon_sym_COLON,
    ACTIONS(7146), 1,
      anon_sym_AT,
    ACTIONS(7462), 1,
      anon_sym_LBRACK,
    STATE(5929), 1,
      sym__expansion_operator,
    STATE(5930), 1,
      sym__expansion_max_length,
    STATE(5931), 1,
      sym__expansion_regex_removal,
    STATE(5932), 1,
      sym__expansion_regex_replacement,
    STATE(5933), 1,
      sym__expansion_regex,
    STATE(5934), 1,
      sym__expansion_expression,
    ACTIONS(6651), 2,
      anon_sym_COMMA,
      anon_sym_CARET,
    ACTIONS(6671), 2,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
    ACTIONS(6659), 3,
      sym__immediate_double_hash,
      anon_sym_POUND,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6669), 3,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
    ACTIONS(6667), 8,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
  [200752] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9196), 1,
      anon_sym_LPAREN,
    ACTIONS(9198), 1,
      aux_sym__c_word_token1,
    ACTIONS(9200), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9204), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      aux_sym_number_token1,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9210), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9214), 1,
      anon_sym_BQUOTE,
    ACTIONS(9216), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    STATE(3537), 1,
      sym__c_terminator,
    STATE(5018), 1,
      sym__c_expression,
    STATE(5177), 1,
      sym__c_variable_assignment,
    STATE(5676), 1,
      sym__for_body,
    ACTIONS(9192), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2565), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [200827] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9226), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9228), 1,
      sym_file_descriptor,
    STATE(4004), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3663), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3665), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9224), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(2534), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9222), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [200883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9230), 1,
      sym__concat,
    STATE(3544), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [200925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3603), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [200967] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9220), 1,
      sym__concat,
    STATE(3532), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9220), 1,
      sym__concat,
    STATE(3543), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9220), 1,
      sym__concat,
    STATE(3617), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [201093] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9196), 1,
      anon_sym_LPAREN,
    ACTIONS(9198), 1,
      aux_sym__c_word_token1,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9204), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      aux_sym_number_token1,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9210), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9214), 1,
      anon_sym_BQUOTE,
    ACTIONS(9216), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9238), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    STATE(3913), 1,
      sym__c_terminator,
    STATE(5029), 1,
      sym__c_expression,
    STATE(5177), 1,
      sym__c_variable_assignment,
    ACTIONS(9194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(9236), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(2565), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [201165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9226), 1,
      anon_sym_LT_LT_LT,
    STATE(4004), 1,
      sym_herestring_redirect,
    ACTIONS(3636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3584), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201207] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9226), 1,
      anon_sym_LT_LT_LT,
    STATE(4004), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9244), 1,
      sym_variable_name,
    STATE(5432), 1,
      sym_subscript,
    ACTIONS(9242), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3547), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9240), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201293] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9196), 1,
      anon_sym_LPAREN,
    ACTIONS(9198), 1,
      aux_sym__c_word_token1,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9204), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      aux_sym_number_token1,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9210), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9214), 1,
      anon_sym_BQUOTE,
    ACTIONS(9216), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9248), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    STATE(3830), 1,
      sym__c_terminator,
    STATE(5015), 1,
      sym__c_expression,
    STATE(5177), 1,
      sym__c_variable_assignment,
    ACTIONS(9194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(9246), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(2565), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [201365] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3761), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9226), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9228), 1,
      sym_file_descriptor,
    STATE(4004), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3665), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3759), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9224), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3640), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9222), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [201421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9250), 1,
      sym__concat,
    STATE(3544), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9252), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9255), 1,
      sym__concat,
    STATE(3544), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201505] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9196), 1,
      anon_sym_LPAREN,
    ACTIONS(9198), 1,
      aux_sym__c_word_token1,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9204), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      aux_sym_number_token1,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9210), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9212), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9214), 1,
      anon_sym_BQUOTE,
    ACTIONS(9216), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9260), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    STATE(3866), 1,
      sym__c_terminator,
    STATE(5045), 1,
      sym__c_expression,
    STATE(5177), 1,
      sym__c_variable_assignment,
    ACTIONS(9194), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(9258), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    STATE(2565), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [201577] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9262), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9265), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [201619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9272), 1,
      sym_variable_name,
    STATE(5432), 1,
      sym_subscript,
    ACTIONS(9270), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3547), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9268), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3603), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201702] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9275), 1,
      sym_variable_name,
    STATE(5389), 1,
      sym_subscript,
    ACTIONS(9270), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3549), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9268), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [201743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [201778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [201813] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 1,
      sym_file_descriptor,
    ACTIONS(4875), 1,
      anon_sym_DQUOTE,
    STATE(4568), 1,
      sym_string,
    ACTIONS(9280), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(9278), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1173), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_heredoc_redirect_token1,
  [201856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [201891] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9282), 1,
      anon_sym_LT_LT_LT,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 18,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [201934] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 1,
      sym_file_descriptor,
    ACTIONS(4875), 1,
      anon_sym_DQUOTE,
    STATE(4568), 1,
      sym_string,
    ACTIONS(9280), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(9278), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
    ACTIONS(1163), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_heredoc_redirect_token1,
  [201977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202012] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9284), 1,
      anon_sym_LT_LT_LT,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 18,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [202055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9282), 1,
      anon_sym_LT_LT_LT,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3584), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [202201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [202308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [202347] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(3731), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
      anon_sym_BQUOTE,
  [202388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [202598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9292), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9294), 1,
      sym_file_descriptor,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9186), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3578), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9184), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9290), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
  [202678] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3642), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9294), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3595), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3638), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9186), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3640), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(9184), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [202729] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4045), 1,
      ts_builtin_sym_end,
    ACTIONS(4049), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9300), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9302), 1,
      sym_file_descriptor,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4016), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9298), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4047), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9296), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [202784] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3599), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9294), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3593), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3595), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9186), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(2534), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(9184), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [202835] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9315), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9317), 1,
      sym_file_descriptor,
    ACTIONS(9309), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9312), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3578), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9306), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9304), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
  [202880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [202915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9320), 1,
      sym__concat,
    ACTIONS(5538), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5536), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [202952] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9322), 1,
      sym__concat,
    ACTIONS(5532), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5530), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [202989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [203024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_LT_LT_LT,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3636), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3584), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203065] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [203100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9324), 1,
      sym__concat,
    ACTIONS(5517), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5515), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [203137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [203172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [203207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [203242] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_RPAREN,
    ACTIONS(3667), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9284), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9330), 1,
      sym_file_descriptor,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4024), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9328), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3663), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9326), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [203297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9332), 1,
      sym__concat,
    ACTIONS(5511), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5509), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [203334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9284), 1,
      anon_sym_LT_LT_LT,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3584), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [203410] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_BQUOTE,
    ACTIONS(4242), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9282), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9338), 1,
      sym_file_descriptor,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4240), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9336), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4238), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9334), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [203465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3609), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9340), 1,
      sym__special_character,
    STATE(3595), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203545] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3603), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203586] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3609), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [203662] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      ts_builtin_sym_end,
    ACTIONS(4020), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9300), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9302), 1,
      sym_file_descriptor,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4016), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9298), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4014), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9296), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [203717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3603), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [203793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9343), 1,
      sym__special_character,
    STATE(3602), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [203832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9346), 1,
      sym__concat,
    STATE(3610), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [203873] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(3670), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [203914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [203949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [203984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [204019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [204054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9348), 1,
      sym__concat,
    STATE(3610), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9350), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9353), 1,
      sym__concat,
    STATE(3610), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204136] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4316), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9282), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9338), 1,
      sym_file_descriptor,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4240), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9336), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4314), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9334), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [204191] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_RPAREN,
    ACTIONS(3761), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9284), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9330), 1,
      sym_file_descriptor,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4024), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9328), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3759), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9326), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [204246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(3677), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [204287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3674), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [204328] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3609), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [204404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9356), 1,
      sym__concat,
    STATE(3544), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9358), 1,
      sym__concat,
    STATE(3544), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9360), 1,
      sym__special_character,
    STATE(3595), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4086), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [204560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [204595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9220), 1,
      sym__concat,
    STATE(3618), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [204671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3603), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4517), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3609), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [204788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [204823] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9218), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9220), 1,
      sym__concat,
    STATE(3617), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [204864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9362), 1,
      sym__special_character,
    STATE(3602), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4086), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [204903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 5,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [204938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9364), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9367), 1,
      sym__concat,
    STATE(3631), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [204979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [205014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 4,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [205049] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9300), 1,
      anon_sym_LT_LT_LT,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 17,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205092] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9370), 1,
      sym_variable_name,
    STATE(5389), 1,
      sym_subscript,
    ACTIONS(9242), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3549), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9240), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [205167] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9376), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9378), 1,
      sym_file_descriptor,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4126), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [205219] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9380), 1,
      sym__special_character,
    STATE(3668), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4517), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [205291] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4307), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9376), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9378), 1,
      sym_file_descriptor,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4305), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [205343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9382), 1,
      sym_variable_name,
    STATE(5434), 1,
      sym_subscript,
    STATE(3641), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9270), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9268), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(3677), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205423] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(3676), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [205497] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3674), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205577] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3674), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4517), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205617] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(3660), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [205691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [205765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [205799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3674), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205839] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205879] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3674), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9234), 1,
      sym__concat,
    STATE(3673), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205959] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(3670), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [205999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [206033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9385), 1,
      sym__special_character,
    STATE(3686), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3765), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [206071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9387), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9385), 1,
      sym__special_character,
    STATE(3686), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4517), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [206149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [206183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [206217] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9399), 1,
      sym_file_descriptor,
    ACTIONS(9394), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3664), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9391), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9389), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [206259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9376), 1,
      anon_sym_LT_LT_LT,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3584), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206299] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9376), 1,
      anon_sym_LT_LT_LT,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 17,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206341] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9402), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3663), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3665), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9224), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(2534), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9222), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [206391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9404), 1,
      sym__special_character,
    STATE(3668), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [206463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9407), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [206537] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9380), 1,
      sym__special_character,
    STATE(3668), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206575] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9409), 1,
      sym__concat,
    STATE(3610), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206615] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9232), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9411), 1,
      sym__concat,
    STATE(3610), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [206689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9413), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9415), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [206769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [206803] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3844), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [206843] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3805), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [206883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9423), 1,
      sym__concat,
    STATE(3691), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [206923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5515), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [206957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [206991] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9385), 1,
      sym__special_character,
    STATE(3686), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3681), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [207029] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9425), 1,
      sym__concat,
    STATE(3691), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [207069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9427), 1,
      sym__special_character,
    STATE(3686), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [207107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [207141] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9430), 1,
      sym_variable_name,
    STATE(5455), 1,
      sym_subscript,
    ACTIONS(9270), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3688), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9268), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [207215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [207249] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9433), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9436), 1,
      sym__concat,
    STATE(3691), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [207289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9439), 1,
      sym_variable_name,
    STATE(5455), 1,
      sym_subscript,
    ACTIONS(9242), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3688), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9240), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [207363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9441), 1,
      sym_variable_name,
    STATE(5434), 1,
      sym_subscript,
    STATE(3641), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9242), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9240), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [207437] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9380), 1,
      sym__special_character,
    STATE(3668), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3681), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207475] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9385), 1,
      sym__special_character,
    STATE(3686), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4511), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [207513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [207583] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9443), 1,
      sym__concat,
    STATE(3681), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4232), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [207661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [207695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9380), 1,
      sym__special_character,
    STATE(3668), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3765), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [207733] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9376), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9378), 1,
      sym_file_descriptor,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4226), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [207785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5644), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [207819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9443), 1,
      sym__concat,
    STATE(3685), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4236), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4234), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [207859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
      anon_sym_BQUOTE,
  [207893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5640), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [207927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5511), 5,
      anon_sym_COMMA,
      anon_sym_CARET,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
    ACTIONS(5509), 21,
      sym__immediate_double_hash,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_POUND,
      anon_sym_RBRACE3,
      anon_sym_AT,
      anon_sym_EQ2,
      anon_sym_COLON_EQ,
      anon_sym_DASH3,
      anon_sym_COLON_DASH,
      anon_sym_PLUS3,
      anon_sym_COLON_PLUS,
      anon_sym_QMARK2,
      anon_sym_COLON_QMARK,
      anon_sym_PERCENT_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_SLASH_POUND,
      anon_sym_SLASH_PERCENT,
      anon_sym_COMMA_COMMA,
      anon_sym_CARET_CARET,
  [207961] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3761), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9402), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3665), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3759), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9224), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3640), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9222), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [208011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [208045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [208079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9445), 1,
      sym_variable_name,
    STATE(5485), 1,
      sym_subscript,
    ACTIONS(9242), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3715), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9240), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [208119] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9376), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(9378), 1,
      sym_file_descriptor,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4071), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [208171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9447), 1,
      sym_variable_name,
    STATE(5485), 1,
      sym_subscript,
    ACTIONS(9270), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3715), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9268), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [208211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(3731), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [208251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [208285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(3732), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [208359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(3800), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [208467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [208501] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [208535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [208603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [208671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3779), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
      anon_sym_BQUOTE,
  [208711] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9452), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9454), 1,
      sym_file_descriptor,
    ACTIONS(9186), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3664), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9184), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9450), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [208753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9456), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [208793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9458), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [208833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 4,
      sym_file_descriptor,
      sym__concat,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
      anon_sym_BQUOTE,
  [208867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9443), 1,
      sym__concat,
    STATE(3681), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [208907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [208975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [209009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [209043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [209077] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9315), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9466), 1,
      sym_file_descriptor,
    ACTIONS(9309), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9463), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3740), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9460), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9304), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
  [209121] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9292), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9402), 1,
      sym_file_descriptor,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9224), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3740), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9222), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9290), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
  [209165] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9473), 1,
      anon_sym_RBRACE3,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5570), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209224] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9489), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      aux_sym__c_word_token1,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    STATE(5326), 1,
      sym__c_expression,
    STATE(5446), 1,
      sym__c_variable_assignment,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2743), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [209289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [209322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 18,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [209359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9513), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(6036), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209418] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9515), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5991), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209477] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4045), 1,
      ts_builtin_sym_end,
    ACTIONS(4049), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9517), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4016), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9298), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4047), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9296), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [209526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [209559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [209592] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9519), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5516), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209651] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [209686] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9292), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9521), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9328), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3859), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9290), 8,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
    ACTIONS(9326), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [209729] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9523), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(6038), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209788] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      aux_sym__c_word_token1,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9525), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    STATE(5278), 1,
      sym__c_expression,
    STATE(5446), 1,
      sym__c_variable_assignment,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2743), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [209853] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9527), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5857), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [209912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [209945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [209978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [210011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [210044] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9529), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5505), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [210136] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9531), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5956), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [210228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [210261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [210294] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3808), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [210333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3777), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [210372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3779), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [210411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3777), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [210450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3779), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4517), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [210489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3777), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [210528] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3779), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [210567] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3777), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [210606] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9533), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5542), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3779), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [210704] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9535), 1,
      sym__concat,
    STATE(3631), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [210743] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9537), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5962), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9539), 1,
      sym__concat,
    STATE(3631), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [210841] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9541), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5575), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [210900] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3642), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9294), 1,
      sym_file_descriptor,
    ACTIONS(3595), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3638), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9186), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3640), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(9184), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [210947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3805), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [210986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [211019] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9543), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5897), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [211111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(3796), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [211150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(3800), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [211189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [211222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [211255] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9545), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5596), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [211347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [211380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
      anon_sym_BQUOTE,
  [211413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [211446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9547), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9549), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [211479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9551), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [211518] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      aux_sym__c_word_token1,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9553), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    STATE(5212), 1,
      sym__c_expression,
    STATE(5446), 1,
      sym__c_variable_assignment,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2743), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [211583] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      aux_sym__c_word_token1,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9555), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    STATE(5211), 1,
      sym__c_expression,
    STATE(5446), 1,
      sym__c_variable_assignment,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2743), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [211648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3808), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [211687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9557), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [211726] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4016), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [211765] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9559), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5614), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211824] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9561), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5849), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211883] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9563), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5859), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [211942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9565), 1,
      sym__concat,
    STATE(3631), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [211981] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9517), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9292), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9298), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3899), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9290), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
    ACTIONS(9296), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [212024] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9567), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5616), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9569), 1,
      sym__concat,
    STATE(3631), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4706), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212155] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_RPAREN,
    ACTIONS(3667), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9521), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4024), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9328), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3663), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9326), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [212204] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9571), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5744), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212263] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_RPAREN,
    ACTIONS(3761), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9521), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4024), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9328), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3759), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9326), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [212312] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3599), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9294), 1,
      sym_file_descriptor,
    ACTIONS(3593), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3595), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9186), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(2534), 4,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(9184), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [212359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9573), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5994), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4713), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9575), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5660), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212510] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      ts_builtin_sym_end,
    ACTIONS(4020), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9517), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4016), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9298), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4014), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9296), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [212559] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9577), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5665), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212618] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9579), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5684), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [212710] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9581), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5689), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212769] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9583), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5710), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9452), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9585), 1,
      sym_file_descriptor,
    ACTIONS(9224), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3828), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9222), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9450), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [212869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 21,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [212902] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9587), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5637), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [212961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9589), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9591), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [212994] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      aux_sym__c_word_token1,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9593), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    STATE(5333), 1,
      sym__c_expression,
    STATE(5446), 1,
      sym__c_variable_assignment,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2743), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [213059] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9601), 1,
      sym_file_descriptor,
    ACTIONS(9598), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3828), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9595), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9389), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [213100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3805), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4511), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213139] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      aux_sym__c_word_token1,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9604), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    STATE(5329), 1,
      sym__c_expression,
    STATE(5446), 1,
      sym__c_variable_assignment,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2743), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [213204] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9606), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5914), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213263] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9608), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5569), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3891), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9612), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9614), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9610), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213359] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9616), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5731), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213418] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9618), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5497), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213477] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9620), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5764), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3805), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4517), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213575] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9622), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5541), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9589), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9591), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [213667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9624), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5766), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9626), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9628), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [213759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3808), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9630), 1,
      sym__concat,
    STATE(3631), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213837] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9632), 1,
      sym__concat,
    STATE(3631), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [213876] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9634), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5539), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [213935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4706), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [213968] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3805), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [214007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9636), 1,
      sym_variable_name,
    STATE(5465), 1,
      sym_subscript,
    ACTIONS(9270), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3848), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9268), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [214046] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9639), 1,
      sym_variable_name,
    STATE(5465), 1,
      sym_subscript,
    ACTIONS(9242), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3848), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9240), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [214085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [214118] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9641), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5584), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9547), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9549), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [214210] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3808), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [214249] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9643), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5632), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214308] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9645), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5777), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4065), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [214400] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9647), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5628), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214459] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9649), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5681), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214518] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9315), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9660), 1,
      sym_file_descriptor,
    ACTIONS(9654), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9657), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3859), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9304), 8,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
    ACTIONS(9651), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [214561] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9663), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5757), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9665), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9667), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [214653] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9669), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5707), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9673), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [214745] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9675), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5989), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [214804] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      aux_sym__c_word_token1,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9677), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    STATE(5266), 1,
      sym__c_expression,
    STATE(5446), 1,
      sym__c_variable_assignment,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2743), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [214869] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      aux_sym__c_word_token1,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9679), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    STATE(5265), 1,
      sym__c_expression,
    STATE(5446), 1,
      sym__c_variable_assignment,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2743), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [214934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3843), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [214973] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9681), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5793), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3844), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [215071] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9683), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5895), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215130] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3843), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [215169] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4316), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9685), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4240), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9336), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4314), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9334), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [215218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3844), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4517), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [215257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4715), 4,
      sym_file_descriptor,
      sym_variable_name,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4713), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [215290] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_BQUOTE,
    ACTIONS(4242), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9685), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4240), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9336), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4238), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9334), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [215339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3843), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [215378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3844), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [215417] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3843), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [215456] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(3844), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [215495] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9687), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5873), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215554] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4443), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9693), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9689), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9691), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [215591] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9696), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5788), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9626), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9628), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [215683] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9698), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5869), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215742] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9700), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5883), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215801] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9702), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5941), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 17,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [215897] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9454), 1,
      sym_file_descriptor,
    ACTIONS(9706), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3929), 1,
      sym_file_redirect,
    ACTIONS(9186), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9184), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9704), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [215938] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9708), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(6116), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [215997] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9454), 1,
      sym_file_descriptor,
    ACTIONS(9712), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3966), 1,
      sym_file_redirect,
    ACTIONS(9186), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9184), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9710), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [216038] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3891), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9689), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9714), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9691), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [216075] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9717), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(6057), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216134] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9719), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(6058), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9721), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9723), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [216226] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9725), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(6047), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 18,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [216322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [216357] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9727), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(6019), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216416] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9735), 1,
      sym_file_descriptor,
    ACTIONS(9315), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9654), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9732), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3899), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9304), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
    ACTIONS(9729), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [216459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9740), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9738), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [216492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9665), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9667), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [216525] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9742), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(6008), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9740), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9738), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
      anon_sym_BQUOTE,
  [216617] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9744), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5878), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [216711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9721), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9723), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [216744] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9292), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9685), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9336), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3910), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9290), 8,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_BQUOTE,
    ACTIONS(9334), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [216787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9746), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(6009), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216846] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9748), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5998), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [216905] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9315), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9756), 1,
      sym_file_descriptor,
    ACTIONS(9654), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9753), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3910), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9304), 8,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_BQUOTE,
    ACTIONS(9750), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [216948] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9759), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5978), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [217007] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9761), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5957), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [217066] = 19,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      aux_sym__c_word_token1,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9763), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    STATE(5214), 1,
      sym__c_expression,
    STATE(5446), 1,
      sym__c_variable_assignment,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2743), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [217131] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9765), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5940), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [217190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4443), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9689), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9693), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9691), 20,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217227] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9454), 1,
      sym_file_descriptor,
    ACTIONS(9769), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3945), 1,
      sym_file_redirect,
    ACTIONS(9186), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9184), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9767), 12,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [217268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9673), 23,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [217301] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9475), 1,
      anon_sym_BANG2,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(9485), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(9487), 1,
      sym_variable_name,
    ACTIONS(9771), 1,
      anon_sym_RBRACE3,
    STATE(2981), 1,
      sym_subscript,
    STATE(5089), 1,
      sym_command_substitution,
    STATE(5091), 1,
      aux_sym__expansion_body_repeat1,
    STATE(5855), 1,
      sym__expansion_body,
    ACTIONS(9477), 2,
      anon_sym_POUND2,
      anon_sym_EQ2,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
    ACTIONS(9469), 4,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_AT2,
    ACTIONS(9471), 5,
      anon_sym_BANG,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_0,
      anon_sym__,
  [217360] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9779), 1,
      sym_file_descriptor,
    ACTIONS(9397), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9776), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3919), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9773), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9389), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [217400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9784), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9782), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9788), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9786), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217464] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4307), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9790), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4305), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [217510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9792), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9794), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217542] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9800), 1,
      aux_sym__c_word_token1,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    STATE(5177), 1,
      sym__c_variable_assignment,
    STATE(5191), 1,
      sym__c_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2565), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [217604] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9800), 1,
      aux_sym__c_word_token1,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    STATE(5177), 1,
      sym__c_variable_assignment,
    STATE(5195), 1,
      sym__c_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2565), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [217666] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9820), 1,
      sym_file_descriptor,
    ACTIONS(9817), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3926), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9814), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9389), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [217706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9825), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9823), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9825), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9823), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9829), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9827), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9833), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9831), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9835), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9841), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9839), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [217898] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9847), 1,
      aux_sym__c_word_token1,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    STATE(5229), 1,
      sym__c_expression,
    STATE(5443), 1,
      sym__c_variable_assignment,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2826), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [217960] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      aux_sym__c_word_token1,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    STATE(5397), 1,
      sym__c_expression,
    STATE(5446), 1,
      sym__c_variable_assignment,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2743), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [218022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9841), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9839), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218054] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9495), 1,
      aux_sym__c_word_token1,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    STATE(5380), 1,
      sym__c_expression,
    STATE(5446), 1,
      sym__c_variable_assignment,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2743), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [218116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9837), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9835), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9792), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9794), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9833), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9831), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9829), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9827), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3948), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9614), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9865), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9610), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9869), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9867), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9873), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9871), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9877), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9875), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9879), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9885), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9883), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9889), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9887), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3948), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9689), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9891), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9691), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218508] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9790), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4226), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [218554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9825), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9823), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9877), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9875), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9896), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9894), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9825), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9823), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218682] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9452), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9898), 1,
      sym_file_descriptor,
    ACTIONS(9336), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3926), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9334), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9450), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4788), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9900), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9906), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9904), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9910), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9908), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9912), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9788), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9786), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9784), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9782), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [218946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4788), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [218978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9721), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9723), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9918), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9916), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9721), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9723), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9922), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9920), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9926), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9924), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9881), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9879), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9873), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9871), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9673), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      sym__special_character,
    STATE(4040), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4232), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4230), 19,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [219334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9932), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9930), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219366] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9292), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9790), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3986), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9290), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [219408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9885), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9883), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9934), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9936), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9877), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9875), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9877), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9875), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219536] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9402), 1,
      sym_file_descriptor,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3663), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(3665), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9224), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(2534), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9222), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [219582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9889), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9887), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219614] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9847), 1,
      aux_sym__c_word_token1,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    STATE(5318), 1,
      sym__c_expression,
    STATE(5443), 1,
      sym__c_variable_assignment,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2826), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [219676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9940), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9938), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 17,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219778] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9315), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9948), 1,
      sym_file_descriptor,
    ACTIONS(9654), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9945), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(3986), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9304), 7,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
    ACTIONS(9942), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [219820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9910), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9908), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9953), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9951), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9671), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9673), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [219916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [219948] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9585), 1,
      sym_file_descriptor,
    ACTIONS(9712), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3966), 1,
      sym_file_redirect,
    ACTIONS(9224), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9222), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9710), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [219988] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9847), 1,
      aux_sym__c_word_token1,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    STATE(5234), 1,
      sym__c_expression,
    STATE(5443), 1,
      sym__c_variable_assignment,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2826), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [220050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9914), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9912), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220114] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9847), 1,
      aux_sym__c_word_token1,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    STATE(5443), 1,
      sym__c_variable_assignment,
    STATE(5451), 1,
      sym__c_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2826), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [220176] = 18,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9847), 1,
      aux_sym__c_word_token1,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    STATE(5443), 1,
      sym__c_variable_assignment,
    STATE(5447), 1,
      sym__c_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2826), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [220238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9922), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9920), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9906), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9904), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220302] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9585), 1,
      sym_file_descriptor,
    ACTIONS(9769), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3945), 1,
      sym_file_redirect,
    ACTIONS(9224), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9222), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9767), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [220342] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9585), 1,
      sym_file_descriptor,
    ACTIONS(9706), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3929), 1,
      sym_file_redirect,
    ACTIONS(9224), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9222), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9704), 11,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [220382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9955), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9957), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9961), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9959), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9963), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9965), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9896), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9894), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220574] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9452), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9967), 1,
      sym_file_descriptor,
    ACTIONS(9328), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4052), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9326), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9450), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [220614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9969), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9971), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9961), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9959), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9973), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9975), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220710] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9790), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4126), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [220756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9977), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9979), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9977), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9979), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9934), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9936), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9955), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9957), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9981), 1,
      sym__concat,
    STATE(3631), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9983), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9985), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [220954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9987), 1,
      sym__concat,
    STATE(3631), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [220992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9983), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9985), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3733), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9991), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9963), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9965), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9969), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9971), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9973), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9975), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221184] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3761), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9402), 1,
      sym_file_descriptor,
    ACTIONS(3597), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(3665), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3759), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
    ACTIONS(9224), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3640), 3,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9222), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [221230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9918), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9916), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4016), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221300] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4018), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4016), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4018), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4016), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4517), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221452] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4018), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9926), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9924), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4016), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9902), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9900), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4018), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 19,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9977), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9979), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9977), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9979), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4788), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9993), 1,
      sym__special_character,
    STATE(4040), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 19,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [221762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4788), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9869), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9867), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221826] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9790), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4071), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [221872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [221904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9983), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9985), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [221936] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9996), 1,
      sym_file_descriptor,
    ACTIONS(9298), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9452), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    STATE(3919), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9296), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9450), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [221976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9989), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9991), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9902), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9900), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9983), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9985), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9953), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9951), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10000), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9998), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222136] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10008), 1,
      sym_file_descriptor,
    ACTIONS(10005), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4052), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10002), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9389), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [222176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10013), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10011), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9902), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9900), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10013), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10011), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9940), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9938), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9932), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9930), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10000), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9998), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10013), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10011), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10013), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10011), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10015), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10017), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10015), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10017), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10019), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10021), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10023), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10025), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10023), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10025), 21,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10015), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10017), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10015), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10017), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10019), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10021), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10023), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10025), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10023), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10025), 22,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_esac,
      anon_sym_SEMI_SEMI,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [222752] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4102), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10027), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1222), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [222787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 20,
      anon_sym_LPAREN_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [222818] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9712), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9898), 1,
      sym_file_descriptor,
    STATE(3997), 1,
      sym_file_redirect,
    ACTIONS(9336), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9334), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9710), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [222857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9996), 1,
      sym_file_descriptor,
    STATE(3997), 1,
      sym_file_redirect,
    ACTIONS(9298), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9712), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9296), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9710), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [222896] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_BQUOTE,
    ACTIONS(4242), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9685), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4240), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9336), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4238), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9334), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [222941] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_BQUOTE,
    ACTIONS(4316), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9685), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4240), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9336), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4314), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9334), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [222986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9443), 1,
      sym__concat,
    STATE(4080), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10031), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10029), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [223023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10033), 1,
      sym__concat,
    STATE(3691), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [223060] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10039), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(10041), 1,
      sym_file_descriptor,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4776), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10037), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10035), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [223107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10043), 1,
      sym__concat,
    STATE(3691), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [223144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9443), 1,
      sym__concat,
    STATE(4078), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [223181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9421), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9443), 1,
      sym__concat,
    STATE(4078), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10047), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10045), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [223218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9996), 1,
      sym_file_descriptor,
    STATE(3969), 1,
      sym_file_redirect,
    ACTIONS(9298), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9769), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9296), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9767), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [223257] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4102), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10027), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4230), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4232), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [223292] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9706), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9898), 1,
      sym_file_descriptor,
    STATE(3940), 1,
      sym_file_redirect,
    ACTIONS(9336), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9334), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9704), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [223331] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10039), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(10041), 1,
      sym_file_descriptor,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4776), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10037), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10035), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [223378] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9452), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10049), 1,
      sym_file_descriptor,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4090), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9450), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [223417] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4098), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10027), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4234), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(4236), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [223452] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4045), 1,
      ts_builtin_sym_end,
    ACTIONS(4049), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9517), 1,
      sym_file_descriptor,
    ACTIONS(4016), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9298), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4047), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9296), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [223497] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10057), 1,
      sym_file_descriptor,
    ACTIONS(10054), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4090), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10051), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9389), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [223536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(10060), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9689), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9691), 17,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [223571] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9706), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9967), 1,
      sym_file_descriptor,
    STATE(3940), 1,
      sym_file_redirect,
    ACTIONS(9328), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9326), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9704), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [223610] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4093), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9689), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10063), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9691), 18,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [223645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9996), 1,
      sym_file_descriptor,
    STATE(3940), 1,
      sym_file_redirect,
    ACTIONS(9298), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9706), 2,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9296), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9704), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [223684] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_RPAREN,
    ACTIONS(3667), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9521), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4024), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9328), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3663), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9326), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [223729] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4106), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9614), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10066), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9610), 18,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [223764] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      ts_builtin_sym_end,
    ACTIONS(4020), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9517), 1,
      sym_file_descriptor,
    ACTIONS(4016), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(9298), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4014), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9296), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [223809] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10027), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10068), 1,
      sym__concat,
    STATE(4100), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1210), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [223846] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9769), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9898), 1,
      sym_file_descriptor,
    STATE(3969), 1,
      sym_file_redirect,
    ACTIONS(9336), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9334), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9767), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [223885] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4100), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10070), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [223920] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_RPAREN,
    ACTIONS(3761), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9521), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4024), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9328), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(3759), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9326), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [223965] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10027), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10073), 1,
      sym__concat,
    STATE(4100), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1216), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4093), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9614), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10075), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9610), 18,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [224037] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(10077), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9614), 3,
      sym_file_descriptor,
      ts_builtin_sym_end,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9610), 17,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [224072] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10039), 1,
      anon_sym_LT_LT_LT,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [224111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4106), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9689), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10079), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9691), 18,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_BQUOTE,
  [224146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10039), 1,
      anon_sym_LT_LT_LT,
    STATE(4009), 1,
      sym_herestring_redirect,
    ACTIONS(3636), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3584), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [224183] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9712), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9967), 1,
      sym_file_descriptor,
    STATE(3997), 1,
      sym_file_redirect,
    ACTIONS(9328), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9326), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9710), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [224222] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9769), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9967), 1,
      sym_file_descriptor,
    STATE(3969), 1,
      sym_file_redirect,
    ACTIONS(9328), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9326), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9767), 10,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_RPAREN,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [224261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(4155), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [224298] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1200), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224328] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    ACTIONS(3636), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4947), 1,
      anon_sym_LT_LT,
    ACTIONS(4949), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10088), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(10090), 1,
      sym_file_descriptor,
    STATE(4444), 1,
      sym_herestring_redirect,
    ACTIONS(4945), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10086), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10084), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4252), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10082), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [224378] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10092), 1,
      anon_sym_LT_LT_LT,
    STATE(4519), 1,
      sym_herestring_redirect,
    STATE(4326), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3584), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3636), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [224414] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10098), 1,
      anon_sym_esac,
    ACTIONS(10094), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10096), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224446] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10104), 1,
      anon_sym_esac,
    ACTIONS(10100), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10102), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224478] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10110), 1,
      anon_sym_esac,
    ACTIONS(10106), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10108), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224510] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10112), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2541), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224566] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10118), 1,
      anon_sym_esac,
    ACTIONS(10114), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10116), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224598] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10124), 1,
      anon_sym_esac,
    ACTIONS(10120), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10122), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224630] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10126), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2637), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224686] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10128), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2674), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224742] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10110), 1,
      anon_sym_esac,
    ACTIONS(10106), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10108), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [224774] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10130), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2518), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224830] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4299), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10132), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 8,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
    ACTIONS(1222), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [224864] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10134), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2641), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224920] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10136), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2642), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [224976] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10138), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2643), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225032] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10140), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2519), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225088] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225118] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10142), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2644), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225174] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10144), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2655), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225230] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10146), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2656), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225286] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1270), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225316] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1242), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225346] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4234), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10148), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1222), 12,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [225380] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10150), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2657), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225436] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10152), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2660), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225492] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10158), 1,
      anon_sym_esac,
    ACTIONS(10154), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10156), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225524] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10160), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2661), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225580] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10162), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2525), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225636] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10164), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2528), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225692] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10170), 1,
      anon_sym_esac,
    ACTIONS(10166), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10168), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225724] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10176), 1,
      anon_sym_esac,
    ACTIONS(10172), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10174), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225756] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10178), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2438), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225812] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10184), 1,
      anon_sym_esac,
    ACTIONS(10180), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10182), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225844] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9706), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10049), 1,
      sym_file_descriptor,
    STATE(3940), 1,
      sym_file_redirect,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9704), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [225882] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10176), 1,
      anon_sym_esac,
    ACTIONS(10172), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10174), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [225914] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10186), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2538), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [225970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10188), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [226006] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10190), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2866), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226062] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10192), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2668), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226118] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10198), 1,
      anon_sym_esac,
    ACTIONS(10194), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10196), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226150] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9769), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10049), 1,
      sym_file_descriptor,
    STATE(3969), 1,
      sym_file_redirect,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9767), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [226188] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9712), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10049), 1,
      sym_file_descriptor,
    STATE(3997), 1,
      sym_file_redirect,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
    ACTIONS(9710), 9,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_LT,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
  [226226] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10200), 1,
      sym__concat,
    STATE(3546), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [226262] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10202), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2540), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4305), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 17,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [226354] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1262), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226384] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10204), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2542), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226440] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10206), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2543), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226496] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10208), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2553), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226552] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10158), 1,
      anon_sym_esac,
    ACTIONS(10154), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10156), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226584] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10210), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2555), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226640] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1238), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226670] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1250), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226700] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1254), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226730] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10216), 1,
      anon_sym_esac,
    ACTIONS(10212), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10214), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226762] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1286), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4172), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9614), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10218), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9610), 17,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [226826] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4307), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9790), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4305), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [226868] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1274), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [226898] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4172), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9689), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10220), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9691), 17,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI_SEMI,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [226932] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(9497), 1,
      anon_sym_DOLLAR,
    ACTIONS(9499), 1,
      anon_sym_DQUOTE,
    ACTIONS(9501), 1,
      aux_sym_number_token1,
    ACTIONS(9503), 1,
      aux_sym_number_token2,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9507), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9509), 1,
      anon_sym_BQUOTE,
    ACTIONS(9511), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10223), 1,
      aux_sym__c_word_token1,
    STATE(2720), 1,
      sym__c_postfix_expression,
    STATE(2722), 1,
      sym__c_binary_expression,
    STATE(2731), 1,
      sym__c_unary_expression,
    ACTIONS(9491), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2646), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [226988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4228), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9790), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4226), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [227030] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10229), 1,
      anon_sym_esac,
    ACTIONS(10225), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10227), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227062] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10231), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2793), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227118] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1234), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227148] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1258), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227178] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1230), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227208] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10233), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2794), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227264] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10235), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2796), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227320] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1246), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227350] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10237), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2798), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227406] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10239), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2799), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227462] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10241), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2800), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227518] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10243), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2801), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227574] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10245), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2805), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227630] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10247), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2806), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227686] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10249), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2808), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227742] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10251), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2810), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10253), 1,
      sym_variable_name,
    STATE(5393), 1,
      sym_subscript,
    ACTIONS(9270), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(4191), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9268), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [227834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(4149), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4065), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4063), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [227870] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9845), 1,
      anon_sym_LPAREN,
    ACTIONS(9849), 1,
      anon_sym_DOLLAR,
    ACTIONS(9851), 1,
      anon_sym_DQUOTE,
    ACTIONS(9853), 1,
      aux_sym_number_token1,
    ACTIONS(9855), 1,
      aux_sym_number_token2,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9859), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9861), 1,
      anon_sym_BQUOTE,
    ACTIONS(9863), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10256), 1,
      aux_sym__c_word_token1,
    STATE(2827), 1,
      sym__c_unary_expression,
    STATE(2828), 1,
      sym__c_binary_expression,
    STATE(2829), 1,
      sym__c_postfix_expression,
    ACTIONS(9843), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2813), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [227926] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    ACTIONS(3636), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(10092), 1,
      anon_sym_LT_LT_LT,
    STATE(4519), 1,
      sym_herestring_redirect,
    STATE(4326), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3586), 9,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [227966] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10198), 1,
      anon_sym_esac,
    ACTIONS(10194), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10196), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [227998] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10262), 1,
      anon_sym_esac,
    ACTIONS(10258), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10260), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228030] = 16,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9202), 1,
      anon_sym_DOLLAR,
    ACTIONS(9208), 1,
      aux_sym_number_token2,
    ACTIONS(9798), 1,
      anon_sym_LPAREN,
    ACTIONS(9802), 1,
      anon_sym_DQUOTE,
    ACTIONS(9804), 1,
      aux_sym_number_token1,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(9808), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_BQUOTE,
    ACTIONS(9812), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10264), 1,
      aux_sym__c_word_token1,
    STATE(2566), 1,
      sym__c_unary_expression,
    STATE(2567), 1,
      sym__c_binary_expression,
    STATE(2572), 1,
      sym__c_postfix_expression,
    ACTIONS(9796), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(2443), 7,
      sym__c_expression_not_assignment,
      sym__c_parenthesized_expression,
      sym_string,
      sym_number,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [228086] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1266), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228116] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9286), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9288), 1,
      sym__concat,
    STATE(4155), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4086), 3,
      sym_file_descriptor,
      sym_variable_name,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4084), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [228152] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1278), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10266), 1,
      sym_variable_name,
    STATE(5393), 1,
      sym_subscript,
    ACTIONS(9242), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(4191), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9240), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [228218] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10124), 1,
      anon_sym_esac,
    ACTIONS(10120), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10122), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228250] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10272), 1,
      anon_sym_esac,
    ACTIONS(10268), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10270), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228282] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10104), 1,
      anon_sym_esac,
    ACTIONS(10100), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10102), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228314] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10262), 1,
      anon_sym_esac,
    ACTIONS(10258), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10260), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228346] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4075), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9790), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4071), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [228388] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10278), 1,
      anon_sym_esac,
    ACTIONS(10274), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10276), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228420] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1290), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228450] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10098), 1,
      anon_sym_esac,
    ACTIONS(10094), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10096), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228482] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1282), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228512] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 6,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      sym_word,
    ACTIONS(1226), 16,
      sym__concat,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      aux_sym_concatenation_token1,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228542] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10284), 1,
      anon_sym_esac,
    ACTIONS(10280), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10282), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228574] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(9790), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4073), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(9374), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(4126), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [228616] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10274), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10276), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228645] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10258), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10260), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228674] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    ACTIONS(3636), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4947), 1,
      anon_sym_LT_LT,
    ACTIONS(4949), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(6012), 1,
      anon_sym_RBRACK,
    ACTIONS(10286), 1,
      sym_file_descriptor,
    ACTIONS(4945), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10086), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10084), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4252), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10082), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [228721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9928), 1,
      sym__special_character,
    STATE(4040), 1,
      aux_sym__literal_repeat1,
    ACTIONS(10047), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10045), 16,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [228754] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10288), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10290), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228783] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10288), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10290), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228812] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9315), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10298), 1,
      sym_file_descriptor,
    ACTIONS(9654), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(10295), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4220), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9304), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(10292), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [228851] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10301), 1,
      sym__special_character,
    STATE(4221), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1294), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [228915] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10304), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10306), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [228944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(3586), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [228977] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10308), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10310), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229006] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10308), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10310), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229035] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10312), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4776), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10037), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10035), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [229076] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9292), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10312), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(10037), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4220), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9290), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(10035), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [229115] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4292), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10132), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1979), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1981), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229148] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10304), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10306), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229177] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10314), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10316), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229206] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10318), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10320), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229235] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10318), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10320), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229264] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10148), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10322), 1,
      sym__concat,
    STATE(4249), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1216), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229299] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10308), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10310), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229328] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10308), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10310), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229357] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10324), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10326), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229386] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4299), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10132), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4515), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4517), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229419] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10304), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10306), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229448] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    ACTIONS(3636), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4947), 1,
      anon_sym_LT_LT,
    ACTIONS(4949), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(5874), 1,
      anon_sym_RBRACK,
    ACTIONS(10286), 1,
      sym_file_descriptor,
    ACTIONS(4945), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10086), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10084), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4252), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10082), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [229495] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10166), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10168), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229524] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10154), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10156), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229553] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10328), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10330), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229582] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10332), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10334), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229611] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10332), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10334), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229640] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10312), 1,
      sym_file_descriptor,
    ACTIONS(3584), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4776), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10037), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10035), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [229681] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10336), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10338), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229710] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10180), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10182), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229739] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4249), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10340), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1200), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [229772] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10172), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10174), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229801] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10343), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10345), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229830] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4947), 1,
      anon_sym_LT_LT,
    ACTIONS(4949), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(9290), 1,
      anon_sym_PIPE,
    ACTIONS(10286), 1,
      sym_file_descriptor,
    ACTIONS(10086), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10084), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4285), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9292), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
    ACTIONS(10082), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [229873] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10343), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10345), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229902] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10172), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10174), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229931] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10332), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10334), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229960] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10212), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10214), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [229989] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10288), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10290), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230018] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10318), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10320), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230047] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10154), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10156), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230076] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10318), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10320), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230105] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10347), 1,
      sym_variable_name,
    STATE(5477), 1,
      sym_subscript,
    STATE(4286), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9240), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9242), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230140] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4299), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10132), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3679), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3681), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230173] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4292), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10132), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3731), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3733), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230206] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10106), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10108), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230235] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4303), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3769), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3767), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230270] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4292), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10132), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1941), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1943), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230303] = 12,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    ACTIONS(3636), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4947), 1,
      anon_sym_LT_LT,
    ACTIONS(4949), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(6115), 1,
      anon_sym_RBRACK,
    ACTIONS(10286), 1,
      sym_file_descriptor,
    ACTIONS(4945), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10086), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10084), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4252), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10082), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [230350] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4299), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10132), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4509), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4511), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4305), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3765), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3763), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230418] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10349), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10351), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230447] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10100), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10102), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230476] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10288), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10290), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230505] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10343), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10345), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230534] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4274), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10353), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1200), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230567] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10356), 1,
      sym__special_character,
    STATE(4221), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4230), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(4232), 14,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230600] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10343), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10345), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4303), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230664] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10358), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10360), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230693] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10100), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10102), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230722] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4305), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4517), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230757] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10362), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10364), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230786] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10332), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10334), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230815] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10358), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10360), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230844] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10349), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10351), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [230873] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9304), 1,
      anon_sym_PIPE,
    ACTIONS(10369), 1,
      anon_sym_LT_LT,
    ACTIONS(10378), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10381), 1,
      sym_file_descriptor,
    ACTIONS(10375), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10372), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4285), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9315), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
    ACTIONS(10366), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [230916] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10384), 1,
      sym_variable_name,
    STATE(5477), 1,
      sym_subscript,
    STATE(4286), 2,
      sym_variable_assignment,
      aux_sym_variable_assignments_repeat1,
    ACTIONS(9268), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9270), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230951] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4299), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10132), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3763), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3765), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [230984] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4292), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10132), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3767), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3769), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231017] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4329), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10387), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1220), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1222), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [231050] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10389), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10391), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231079] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10349), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10351), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231108] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10132), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10393), 1,
      sym__concat,
    STATE(4274), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1210), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231143] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10120), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10122), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231172] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10258), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10260), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231201] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10304), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10306), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231230] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10120), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10122), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231259] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10395), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10397), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231288] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10114), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10116), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231317] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10132), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10399), 1,
      sym__concat,
    STATE(4274), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1216), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231352] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 1,
      aux_sym_number_token1,
    ACTIONS(6430), 1,
      aux_sym_number_token2,
    ACTIONS(10403), 1,
      anon_sym_LPAREN,
    ACTIONS(10405), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10407), 1,
      anon_sym_COLON,
    ACTIONS(10409), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10413), 1,
      anon_sym_RBRACE3,
    ACTIONS(10415), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10417), 1,
      anon_sym_BQUOTE,
    ACTIONS(10419), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10421), 1,
      aux_sym__simple_variable_name_token1,
    STATE(4975), 1,
      sym__expansion_max_length_binary_expression,
    STATE(5119), 1,
      sym__expansion_max_length_expression,
    ACTIONS(10401), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4977), 2,
      sym_number,
      sym_expansion,
    STATE(5437), 3,
      sym_parenthesized_expression,
      sym_arithmetic_expansion,
      sym_command_substitution,
  [231411] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10106), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10108), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231440] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10423), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10425), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10427), 1,
      sym__concat,
    STATE(3631), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231504] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10148), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10429), 1,
      sym__concat,
    STATE(4249), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1210), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231539] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10431), 1,
      sym__concat,
    STATE(3631), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4305), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231609] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10094), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10096), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231638] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10349), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10351), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231667] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10358), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10360), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231696] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4234), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10148), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4084), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4086), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4303), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231764] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4304), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10148), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4063), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4065), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231797] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10194), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10196), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231826] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10194), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10196), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231855] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10358), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10360), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4305), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3681), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3679), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [231919] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10268), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10270), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231948] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10094), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10096), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [231977] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10225), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10227), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [232006] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10280), 6,
      anon_sym_LPAREN,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(10282), 15,
      sym_test_operator,
      sym_extglob_pattern,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [232035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9417), 1,
      aux_sym_concatenation_token1,
    ACTIONS(9419), 1,
      sym__concat,
    STATE(4303), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(3733), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(3731), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232070] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1286), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232098] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1266), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232126] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1278), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232154] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1254), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232182] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9290), 1,
      anon_sym_PIPE,
    ACTIONS(10435), 1,
      anon_sym_LT_LT,
    ACTIONS(10441), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10443), 1,
      sym_file_descriptor,
    ACTIONS(10439), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9292), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
    ACTIONS(10437), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4385), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10433), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [232224] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 1,
      aux_sym_number_token1,
    ACTIONS(6430), 1,
      aux_sym_number_token2,
    ACTIONS(10403), 1,
      anon_sym_LPAREN,
    ACTIONS(10409), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10415), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10417), 1,
      anon_sym_BQUOTE,
    ACTIONS(10419), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10445), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10447), 1,
      anon_sym_RBRACE3,
    ACTIONS(10449), 1,
      aux_sym__simple_variable_name_token1,
    STATE(5032), 1,
      sym_number,
    STATE(5036), 1,
      sym_expansion,
    STATE(5037), 1,
      sym__expansion_max_length_binary_expression,
    STATE(5119), 1,
      sym__expansion_max_length_expression,
    STATE(5635), 1,
      sym_command_substitution,
    STATE(5640), 1,
      sym_arithmetic_expansion,
    STATE(5641), 1,
      sym_parenthesized_expression,
    ACTIONS(10401), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
  [232286] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10451), 1,
      sym__special_character,
    STATE(4328), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1294), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232318] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10387), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10454), 1,
      sym__concat,
    STATE(4330), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1216), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232352] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4330), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10456), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1198), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1200), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232384] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1258), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232412] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4329), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10387), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3679), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3681), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232444] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1238), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232472] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4345), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10387), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3731), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3733), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232504] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1282), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232532] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1274), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232560] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1200), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232588] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1262), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232616] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 1,
      aux_sym_number_token1,
    ACTIONS(6430), 1,
      aux_sym_number_token2,
    ACTIONS(10403), 1,
      anon_sym_LPAREN,
    ACTIONS(10409), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10415), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10417), 1,
      anon_sym_BQUOTE,
    ACTIONS(10419), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10459), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10461), 1,
      anon_sym_RBRACE3,
    ACTIONS(10463), 1,
      aux_sym__simple_variable_name_token1,
    STATE(5027), 1,
      sym__expansion_max_length_binary_expression,
    STATE(5119), 1,
      sym__expansion_max_length_expression,
    ACTIONS(10401), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(5026), 2,
      sym_number,
      sym_expansion,
    STATE(5651), 3,
      sym_parenthesized_expression,
      sym_arithmetic_expansion,
      sym_command_substitution,
  [232672] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1234), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232700] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10465), 1,
      sym__special_character,
    STATE(4328), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4515), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4517), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232732] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10467), 1,
      sym__special_character,
    STATE(4342), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1294), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232764] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1262), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232792] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4345), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10387), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1979), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1981), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232824] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10387), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10470), 1,
      sym__concat,
    STATE(4330), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1210), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232858] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1266), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [232886] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4329), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10387), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4515), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4517), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232918] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4329), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10387), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3763), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3765), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [232950] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 5,
      anon_sym_DOLLAR,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LPAREN,
      sym_word,
    ACTIONS(1222), 15,
      sym_test_operator,
      sym__brace_start,
      anon_sym_LPAREN_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
  [232978] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4345), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10387), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(3767), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3769), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233010] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4345), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10387), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1941), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1943), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233042] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1238), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233070] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1230), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233098] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1250), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10031), 3,
      sym_test_operator,
      sym__brace_start,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10029), 17,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      sym__special_character,
      anon_sym_DQUOTE,
      sym_raw_string,
      sym_ansi_c_string,
      aux_sym_number_token1,
      aux_sym_number_token2,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
      anon_sym_LT_LPAREN,
      anon_sym_GT_LPAREN,
      sym_word,
  [233154] = 5,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4329), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(10387), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(4509), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4511), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233186] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10465), 1,
      sym__special_character,
    STATE(4328), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3763), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3765), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10478), 1,
      sym_file_descriptor,
    ACTIONS(10475), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4358), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9389), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10472), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [233254] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1286), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233282] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1242), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233310] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1270), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233338] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1242), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233366] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1282), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233394] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10481), 1,
      sym_file_descriptor,
    ACTIONS(9450), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10086), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4379), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10084), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9452), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_LT_LT_DASH,
    ACTIONS(10082), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [233432] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1278), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233460] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1242), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233488] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(4326), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3586), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233518] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10483), 1,
      sym__special_character,
    STATE(4342), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4084), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4086), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233550] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1270), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233578] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1200), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233606] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1242), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233634] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    ACTIONS(3636), 1,
      anon_sym_PIPE_AMP,
    STATE(4326), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(3582), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3586), 9,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233668] = 11,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_PIPE,
    ACTIONS(3636), 1,
      anon_sym_PIPE_AMP,
    ACTIONS(4947), 1,
      anon_sym_LT_LT,
    ACTIONS(4949), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10286), 1,
      sym_file_descriptor,
    ACTIONS(4945), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10086), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10084), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4252), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10082), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [233712] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1226), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233740] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10465), 1,
      sym__special_character,
    STATE(4328), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3679), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3681), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [233772] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1250), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233800] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9452), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10485), 1,
      sym_file_descriptor,
    ACTIONS(10037), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4358), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(9450), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10035), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [233836] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1290), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233864] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10496), 1,
      sym_file_descriptor,
    ACTIONS(9389), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10493), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4379), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10490), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9397), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_LT_LT_DASH,
    ACTIONS(10487), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [233902] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1246), 13,
      sym_file_descriptor,
      sym__concat,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233930] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1230), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233958] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1274), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [233986] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1246), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234014] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1290), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234042] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9304), 1,
      anon_sym_PIPE,
    ACTIONS(10502), 1,
      anon_sym_LT_LT,
    ACTIONS(10511), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10514), 1,
      sym_file_descriptor,
    ACTIONS(10508), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9315), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
    ACTIONS(10505), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4385), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10499), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [234084] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1226), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234112] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 1,
      aux_sym_number_token1,
    ACTIONS(6430), 1,
      aux_sym_number_token2,
    ACTIONS(10403), 1,
      anon_sym_LPAREN,
    ACTIONS(10409), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10411), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10415), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10417), 1,
      anon_sym_BQUOTE,
    ACTIONS(10419), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10517), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10519), 1,
      anon_sym_RBRACE3,
    ACTIONS(10521), 1,
      aux_sym__simple_variable_name_token1,
    STATE(5019), 1,
      sym__expansion_max_length_binary_expression,
    STATE(5119), 1,
      sym__expansion_max_length_expression,
    ACTIONS(10401), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(5020), 2,
      sym_number,
      sym_expansion,
    STATE(5739), 3,
      sym_parenthesized_expression,
      sym_arithmetic_expansion,
      sym_command_substitution,
  [234168] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1258), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234196] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1234), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234224] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1254), 13,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234252] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10465), 1,
      sym__special_character,
    STATE(4328), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4509), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4511), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234284] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1264), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1266), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234311] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1222), 12,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [234338] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1242), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234365] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1270), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234392] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1256), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1258), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234419] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4404), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9614), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10523), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9610), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234450] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1242), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234477] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1284), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1286), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234504] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10312), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4776), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10037), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10035), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [234541] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 8,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      sym__special_character,
    ACTIONS(1222), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234568] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1238), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234595] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1250), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234622] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4404), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9689), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10525), 2,
      anon_sym_PIPE,
      anon_sym_PIPE_AMP,
    ACTIONS(9691), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234653] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1254), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234680] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1244), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1246), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234707] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1232), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1234), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234734] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1288), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1290), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234761] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4778), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10312), 1,
      sym_file_descriptor,
    ACTIONS(4018), 2,
      anon_sym_LT_LT,
      anon_sym_LT_LT_DASH,
    ACTIONS(4776), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10037), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10035), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [234798] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1228), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1230), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234825] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10528), 1,
      sym__special_character,
    STATE(4424), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3763), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3765), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234856] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1262), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [234883] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10528), 1,
      sym__special_character,
    STATE(4424), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4509), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4511), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [234914] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10539), 1,
      sym_file_descriptor,
    ACTIONS(9389), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10536), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4414), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10533), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9397), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10530), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [234951] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9706), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10485), 1,
      sym_file_descriptor,
    STATE(3940), 1,
      sym_file_redirect,
    ACTIONS(10037), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9704), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10035), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [234986] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1276), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1278), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [235013] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10542), 1,
      sym_file_descriptor,
    ACTIONS(9450), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10439), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4414), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10437), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9452), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10433), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [235050] = 13,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6424), 1,
      anon_sym_DQUOTE,
    ACTIONS(6432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6444), 1,
      sym_variable_name,
    ACTIONS(10546), 1,
      anon_sym_LPAREN,
    ACTIONS(10548), 1,
      anon_sym_DOLLAR,
    ACTIONS(10550), 1,
      anon_sym_RBRACE3,
    ACTIONS(10552), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10554), 1,
      anon_sym_BQUOTE,
    ACTIONS(10556), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(5833), 1,
      sym__concatenation_in_expansion,
    ACTIONS(10544), 4,
      sym__expansion_word,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(5171), 5,
      sym_string,
      sym_array,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [235097] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1280), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1282), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [235124] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1198), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1200), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [235151] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10528), 1,
      sym__special_character,
    STATE(4424), 1,
      aux_sym__literal_repeat1,
    ACTIONS(3679), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3681), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235182] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10528), 1,
      sym__special_character,
    STATE(4424), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4515), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4517), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235213] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1272), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1274), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [235240] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10558), 1,
      sym__special_character,
    STATE(4424), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1294), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235271] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9769), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10485), 1,
      sym_file_descriptor,
    STATE(3969), 1,
      sym_file_redirect,
    ACTIONS(10037), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9767), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10035), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [235306] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1224), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1226), 12,
      sym_file_descriptor,
      sym__concat,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      aux_sym_concatenation_token1,
  [235333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9712), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10485), 1,
      sym_file_descriptor,
    STATE(3997), 1,
      sym_file_redirect,
    ACTIONS(10037), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(9710), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10035), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [235368] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9965), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9963), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235394] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10542), 1,
      sym_file_descriptor,
    STATE(4491), 1,
      sym_file_redirect,
    ACTIONS(9710), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10439), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10437), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9712), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10433), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [235430] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10025), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10023), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235456] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10025), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10023), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235482] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_LT_LT,
    ACTIONS(9685), 1,
      sym_file_descriptor,
    ACTIONS(10567), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10561), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10565), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10563), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(3907), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9334), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [235520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10571), 1,
      anon_sym_DQUOTE,
    STATE(4997), 1,
      sym_string,
    ACTIONS(10573), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1163), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10569), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [235552] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3597), 1,
      anon_sym_LT_LT,
    ACTIONS(9294), 1,
      sym_file_descriptor,
    ACTIONS(10581), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10575), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10579), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10577), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(3574), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9184), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [235590] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3597), 1,
      anon_sym_LT_LT,
    ACTIONS(9402), 1,
      sym_file_descriptor,
    ACTIONS(10581), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10583), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10587), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10585), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(3741), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9222), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [235628] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_LT_LT,
    ACTIONS(10312), 1,
      sym_file_descriptor,
    ACTIONS(10567), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10589), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10593), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10591), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4228), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10035), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [235666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10571), 1,
      anon_sym_DQUOTE,
    STATE(4997), 1,
      sym_string,
    ACTIONS(10573), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1173), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10569), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [235698] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9900), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9902), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235724] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9900), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9902), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235750] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4947), 1,
      anon_sym_LT_LT,
    ACTIONS(4949), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10286), 1,
      sym_file_descriptor,
    ACTIONS(4945), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10086), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10084), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4252), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10082), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [235788] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_LT_LT,
    ACTIONS(9517), 1,
      sym_file_descriptor,
    ACTIONS(10567), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10595), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10599), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10597), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(3806), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9296), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [235826] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10435), 1,
      anon_sym_LT_LT,
    ACTIONS(10441), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10443), 1,
      sym_file_descriptor,
    ACTIONS(4945), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10439), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10437), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(4326), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(10433), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [235864] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10601), 1,
      anon_sym_PIPE,
    ACTIONS(10603), 1,
      anon_sym_PIPE_AMP,
    STATE(4464), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9610), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9614), 9,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235896] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9959), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9961), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [235922] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9628), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9626), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [235948] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10542), 1,
      sym_file_descriptor,
    STATE(4539), 1,
      sym_file_redirect,
    ACTIONS(9704), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10439), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10437), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9706), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10433), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [235984] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9693), 1,
      anon_sym_PIPE,
    ACTIONS(10605), 1,
      anon_sym_PIPE_AMP,
    STATE(4443), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9691), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9689), 9,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236016] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10017), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10015), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236042] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10017), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10015), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236068] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1979), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1981), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236094] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10011), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10013), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236120] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10011), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10013), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10610), 1,
      sym__concat,
    STATE(4488), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1222), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      sym__special_character,
  [236178] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9998), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10000), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236204] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10021), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10019), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236230] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9738), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9740), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [236256] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4063), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4065), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236282] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3731), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3733), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236308] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3767), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3769), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236334] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9591), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9589), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [236360] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9667), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9665), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [236386] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9549), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9547), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [236412] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9991), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9989), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236438] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10612), 1,
      anon_sym_PIPE,
    ACTIONS(10615), 1,
      anon_sym_PIPE_AMP,
    STATE(4464), 1,
      aux_sym_pipeline_repeat1,
    ACTIONS(9691), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9689), 9,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236470] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4713), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4715), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236496] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9985), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9983), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236522] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9985), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9983), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236548] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9979), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9977), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236574] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9979), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9977), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236600] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9975), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9973), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236626] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9971), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9969), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236652] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1222), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      sym__special_character,
  [236678] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9957), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9955), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236704] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10542), 1,
      sym_file_descriptor,
    STATE(4507), 1,
      sym_file_redirect,
    ACTIONS(9767), 2,
      anon_sym_PIPE,
      anon_sym_LT_LT,
    ACTIONS(10439), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10437), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(9769), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_AMP,
      anon_sym_LT_LT_DASH,
    ACTIONS(10433), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [236740] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1941), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1943), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236766] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9723), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9721), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [236792] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_LT_LT,
    ACTIONS(9521), 1,
      sym_file_descriptor,
    ACTIONS(10567), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10618), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10622), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10620), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(3753), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9326), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [236830] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9936), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9934), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_RBRACK,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236856] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4706), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4708), 11,
      sym_file_descriptor,
      sym_variable_name,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236882] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_LT_LT,
    ACTIONS(9790), 1,
      sym_file_descriptor,
    ACTIONS(10567), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(10624), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10628), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(10626), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    STATE(3975), 3,
      sym_file_redirect,
      sym_heredoc_redirect,
      aux_sym_redirected_statement_repeat1,
    ACTIONS(9372), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [236920] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9673), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9671), 11,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
      anon_sym_LT_LT_LT,
  [236946] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9839), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9841), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236971] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9823), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9825), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [236996] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(10630), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5813), 1,
      sym__heredoc_expression,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4567), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [237031] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9938), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9940), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237056] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9924), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9926), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237081] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9965), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9963), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10632), 1,
      sym__concat,
    STATE(4503), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1214), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [237137] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10610), 1,
      sym__concat,
    STATE(4492), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [237168] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9951), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9953), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237193] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9920), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9922), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10634), 1,
      sym__concat,
    STATE(4503), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1208), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [237249] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(10636), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5556), 1,
      sym__heredoc_expression,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4567), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [237284] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9979), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9977), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237309] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9912), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9914), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237334] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(10638), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5557), 1,
      sym__heredoc_expression,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4567), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [237369] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9908), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9910), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237394] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9916), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9918), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237419] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10610), 1,
      sym__concat,
    STATE(4488), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4517), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [237450] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10610), 1,
      sym__concat,
    STATE(4488), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(4511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [237481] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9904), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9906), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237506] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9875), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9877), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10640), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10643), 1,
      sym__concat,
    STATE(4503), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [237562] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9875), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9877), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237587] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(10646), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5626), 1,
      sym__heredoc_expression,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4567), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [237622] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9867), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9869), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237647] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9879), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9881), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237672] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9957), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9955), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237697] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9985), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9983), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237722] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4788), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4790), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237747] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1941), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1943), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237772] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3731), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3733), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237797] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1979), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(1981), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237822] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4788), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(4790), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237847] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9786), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9788), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237872] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9979), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9977), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237897] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9673), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9671), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237922] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9723), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9721), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237947] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9959), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9961), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237972] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9998), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10000), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [237997] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9794), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9792), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238022] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9894), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9896), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238047] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9900), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9902), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238072] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9900), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9902), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238097] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10608), 1,
      aux_sym_concatenation_token1,
    ACTIONS(10610), 1,
      sym__concat,
    STATE(4492), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [238128] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(10648), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5645), 1,
      sym__heredoc_expression,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4567), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [238163] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9887), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9889), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238188] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10025), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10023), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238213] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3767), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(3769), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238238] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9883), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9885), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238263] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9782), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9784), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238288] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10025), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10023), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238313] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9823), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9825), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238338] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9975), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9973), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238363] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10021), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10019), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238388] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10017), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10015), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238413] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9930), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9932), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238438] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10017), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10015), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238463] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9827), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9829), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238488] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10011), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10013), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238513] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10011), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(10013), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238538] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9936), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9934), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238563] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9971), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9969), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238588] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(10650), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5633), 1,
      sym__heredoc_expression,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4567), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [238623] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9871), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9873), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238648] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9831), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9833), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238673] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9985), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9983), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238698] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9991), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9989), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238723] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6424), 1,
      anon_sym_DQUOTE,
    ACTIONS(6432), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10546), 1,
      anon_sym_LPAREN,
    ACTIONS(10548), 1,
      anon_sym_DOLLAR,
    ACTIONS(10552), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10554), 1,
      anon_sym_BQUOTE,
    ACTIONS(10556), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10652), 5,
      sym_variable_name,
      sym__expansion_word,
      sym_raw_string,
      sym_ansi_c_string,
      sym_word,
    STATE(5150), 5,
      sym_string,
      sym_array,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [238762] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(10654), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5780), 1,
      sym__heredoc_expression,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4567), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [238797] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9835), 7,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_LT_LT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
    ACTIONS(9837), 10,
      sym_file_descriptor,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_GT,
      anon_sym_PIPE_AMP,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      anon_sym_LT_LT_DASH,
  [238822] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 1,
      sym_file_descriptor,
    ACTIONS(10656), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5708), 1,
      sym__heredoc_expression,
    ACTIONS(3486), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3492), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4567), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(3490), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [238857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [238881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [238905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [238929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [238953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [238977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239193] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9397), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(10664), 1,
      sym_file_descriptor,
    ACTIONS(9389), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10661), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    STATE(4567), 2,
      sym_file_redirect,
      aux_sym_redirected_statement_repeat2,
    ACTIONS(10658), 8,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
  [239225] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10667), 1,
      sym__special_character,
    STATE(4569), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1292), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [239277] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10674), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(10676), 1,
      sym_variable_name,
    STATE(5115), 2,
      sym_subscript,
      sym_command_substitution,
    ACTIONS(10672), 3,
      anon_sym_DOLLAR,
      anon_sym_0,
      anon_sym__,
    ACTIONS(10670), 6,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_POUND,
      anon_sym_AT2,
  [239313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239337] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9479), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(9481), 1,
      anon_sym_BQUOTE,
    ACTIONS(9483), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10682), 1,
      aux_sym__simple_variable_name_token1,
    ACTIONS(10684), 1,
      sym_variable_name,
    STATE(2978), 1,
      sym_subscript,
    STATE(5115), 1,
      sym_command_substitution,
    ACTIONS(10680), 3,
      anon_sym_DOLLAR,
      anon_sym_0,
      anon_sym__,
    ACTIONS(10678), 6,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_POUND,
      anon_sym_AT2,
  [239375] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10686), 1,
      sym__special_character,
    STATE(4569), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4517), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4515), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [239403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10686), 1,
      sym__special_character,
    STATE(4569), 1,
      aux_sym__literal_repeat1,
    ACTIONS(4511), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(4509), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [239455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 3,
      sym_file_descriptor,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      aux_sym_concatenation_token1,
  [239503] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10692), 1,
      anon_sym_DOLLAR,
    ACTIONS(10694), 1,
      anon_sym_DQUOTE,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239544] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10706), 1,
      anon_sym_DOLLAR,
    ACTIONS(10708), 1,
      anon_sym_DQUOTE,
    STATE(4658), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239585] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10710), 1,
      anon_sym_DOLLAR,
    ACTIONS(10712), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239626] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10714), 1,
      anon_sym_DOLLAR,
    ACTIONS(10716), 1,
      anon_sym_DQUOTE,
    STATE(4641), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239667] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10718), 1,
      anon_sym_DOLLAR,
    ACTIONS(10720), 1,
      anon_sym_DQUOTE,
    STATE(4585), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239708] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10722), 1,
      anon_sym_DOLLAR,
    ACTIONS(10724), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239749] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10726), 1,
      anon_sym_DOLLAR,
    ACTIONS(10728), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239790] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10730), 1,
      anon_sym_DOLLAR,
    ACTIONS(10732), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239831] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10734), 1,
      anon_sym_DOLLAR,
    ACTIONS(10736), 1,
      anon_sym_DQUOTE,
    STATE(4584), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239872] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10738), 1,
      anon_sym_DOLLAR,
    ACTIONS(10740), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239913] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10745), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10748), 1,
      anon_sym_DOLLAR,
    ACTIONS(10751), 1,
      anon_sym_DQUOTE,
    ACTIONS(10753), 1,
      sym_string_content,
    ACTIONS(10756), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10759), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10762), 1,
      anon_sym_BQUOTE,
    ACTIONS(10765), 1,
      anon_sym_DOLLAR_BQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10742), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239954] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10768), 1,
      anon_sym_DOLLAR,
    ACTIONS(10770), 1,
      anon_sym_DQUOTE,
    STATE(4587), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [239995] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10772), 1,
      anon_sym_DOLLAR,
    ACTIONS(10774), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240036] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10776), 1,
      anon_sym_DOLLAR,
    ACTIONS(10778), 1,
      anon_sym_DQUOTE,
    STATE(4592), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240077] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10780), 1,
      anon_sym_DOLLAR,
    ACTIONS(10782), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240118] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10784), 1,
      anon_sym_DOLLAR,
    ACTIONS(10786), 1,
      anon_sym_DQUOTE,
    STATE(4590), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240159] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10788), 1,
      anon_sym_DOLLAR,
    ACTIONS(10790), 1,
      anon_sym_DQUOTE,
    STATE(4696), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240200] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10792), 1,
      anon_sym_DOLLAR,
    ACTIONS(10794), 1,
      anon_sym_DQUOTE,
    STATE(4630), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240241] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10796), 1,
      anon_sym_DOLLAR,
    ACTIONS(10798), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240282] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10800), 1,
      anon_sym_DOLLAR,
    ACTIONS(10802), 1,
      anon_sym_DQUOTE,
    STATE(4598), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240323] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10804), 1,
      anon_sym_DOLLAR,
    ACTIONS(10806), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240364] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10808), 1,
      anon_sym_DOLLAR,
    ACTIONS(10810), 1,
      anon_sym_DQUOTE,
    STATE(4578), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240405] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10812), 1,
      anon_sym_DOLLAR,
    ACTIONS(10814), 1,
      anon_sym_DQUOTE,
    STATE(4596), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240446] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10816), 1,
      anon_sym_DOLLAR,
    ACTIONS(10818), 1,
      anon_sym_DQUOTE,
    STATE(4605), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240487] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10820), 1,
      anon_sym_DOLLAR,
    ACTIONS(10822), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240528] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10824), 1,
      anon_sym_DOLLAR,
    ACTIONS(10826), 1,
      anon_sym_DQUOTE,
    STATE(4609), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240569] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10828), 1,
      anon_sym_DOLLAR,
    ACTIONS(10830), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240610] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10832), 1,
      anon_sym_DOLLAR,
    ACTIONS(10834), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240651] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10836), 1,
      anon_sym_DOLLAR,
    ACTIONS(10838), 1,
      anon_sym_DQUOTE,
    STATE(4608), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240692] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10840), 1,
      anon_sym_DOLLAR,
    ACTIONS(10842), 1,
      anon_sym_DQUOTE,
    STATE(4602), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240733] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10844), 1,
      anon_sym_DOLLAR,
    ACTIONS(10846), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240774] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10848), 1,
      anon_sym_DOLLAR,
    ACTIONS(10850), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240815] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10852), 1,
      anon_sym_DOLLAR,
    ACTIONS(10854), 1,
      anon_sym_DQUOTE,
    STATE(4612), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    STATE(5172), 1,
      sym_string,
    ACTIONS(1163), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(10858), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(10856), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [240885] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10860), 1,
      anon_sym_DOLLAR,
    ACTIONS(10862), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240926] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10864), 1,
      anon_sym_DOLLAR,
    ACTIONS(10866), 1,
      anon_sym_DQUOTE,
    STATE(4604), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [240967] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    STATE(5172), 1,
      sym_string,
    ACTIONS(1173), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(10858), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(10856), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [240996] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10868), 1,
      anon_sym_DOLLAR,
    ACTIONS(10870), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241037] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10872), 1,
      anon_sym_DOLLAR,
    ACTIONS(10874), 1,
      anon_sym_DQUOTE,
    STATE(4617), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241078] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10876), 1,
      anon_sym_DOLLAR,
    ACTIONS(10878), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241119] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10880), 1,
      anon_sym_DOLLAR,
    ACTIONS(10882), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241160] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10884), 1,
      anon_sym_DOLLAR,
    ACTIONS(10886), 1,
      anon_sym_DQUOTE,
    STATE(4615), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241201] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10888), 1,
      anon_sym_DOLLAR,
    ACTIONS(10890), 1,
      anon_sym_DQUOTE,
    STATE(4623), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241242] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10892), 1,
      anon_sym_DOLLAR,
    ACTIONS(10894), 1,
      anon_sym_DQUOTE,
    STATE(4627), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241283] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10896), 1,
      anon_sym_DOLLAR,
    ACTIONS(10898), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241324] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10900), 1,
      anon_sym_DOLLAR,
    ACTIONS(10902), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241365] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10904), 1,
      anon_sym_DOLLAR,
    ACTIONS(10906), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241406] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10908), 1,
      anon_sym_DOLLAR,
    ACTIONS(10910), 1,
      anon_sym_DQUOTE,
    STATE(4618), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241447] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10912), 1,
      anon_sym_DOLLAR,
    ACTIONS(10914), 1,
      anon_sym_DQUOTE,
    STATE(4628), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241488] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10916), 1,
      anon_sym_DOLLAR,
    ACTIONS(10918), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241529] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10920), 1,
      anon_sym_DOLLAR,
    ACTIONS(10922), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241570] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10924), 1,
      anon_sym_DOLLAR,
    ACTIONS(10926), 1,
      anon_sym_DQUOTE,
    STATE(4622), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241611] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10928), 1,
      anon_sym_DOLLAR,
    ACTIONS(10930), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241652] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10932), 1,
      anon_sym_DOLLAR,
    ACTIONS(10934), 1,
      anon_sym_DQUOTE,
    STATE(4633), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241693] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10936), 1,
      anon_sym_DOLLAR,
    ACTIONS(10938), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241734] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10940), 1,
      anon_sym_DOLLAR,
    ACTIONS(10942), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241775] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10944), 1,
      anon_sym_DOLLAR,
    ACTIONS(10946), 1,
      anon_sym_DQUOTE,
    STATE(4651), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241816] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10948), 1,
      anon_sym_DOLLAR,
    ACTIONS(10950), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241857] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10952), 1,
      anon_sym_DOLLAR,
    ACTIONS(10954), 1,
      anon_sym_DQUOTE,
    STATE(4632), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241898] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10956), 1,
      anon_sym_DOLLAR,
    ACTIONS(10958), 1,
      anon_sym_DQUOTE,
    STATE(4642), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241939] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10960), 1,
      anon_sym_DOLLAR,
    ACTIONS(10962), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [241980] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10964), 1,
      anon_sym_DOLLAR,
    ACTIONS(10966), 1,
      anon_sym_DQUOTE,
    STATE(4645), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242021] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10968), 1,
      anon_sym_DOLLAR,
    ACTIONS(10970), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242062] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10972), 1,
      anon_sym_DOLLAR,
    ACTIONS(10974), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242103] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10976), 1,
      anon_sym_DOLLAR,
    ACTIONS(10978), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242144] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10980), 1,
      anon_sym_DOLLAR,
    ACTIONS(10982), 1,
      anon_sym_DQUOTE,
    STATE(4624), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242185] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10984), 1,
      anon_sym_DOLLAR,
    ACTIONS(10986), 1,
      anon_sym_DQUOTE,
    STATE(4638), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242226] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10988), 1,
      anon_sym_DOLLAR,
    ACTIONS(10990), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242267] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10992), 1,
      anon_sym_DOLLAR,
    ACTIONS(10994), 1,
      anon_sym_DQUOTE,
    STATE(4635), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242308] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(10996), 1,
      anon_sym_DOLLAR,
    ACTIONS(10998), 1,
      anon_sym_DQUOTE,
    STATE(4665), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242349] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11000), 1,
      anon_sym_DOLLAR,
    ACTIONS(11002), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242390] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11004), 1,
      anon_sym_DOLLAR,
    ACTIONS(11006), 1,
      anon_sym_DQUOTE,
    STATE(4653), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242431] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11008), 1,
      anon_sym_DOLLAR,
    ACTIONS(11010), 1,
      anon_sym_DQUOTE,
    STATE(4640), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242472] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11012), 1,
      anon_sym_DOLLAR,
    ACTIONS(11014), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242513] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11016), 1,
      anon_sym_DOLLAR,
    ACTIONS(11018), 1,
      anon_sym_DQUOTE,
    STATE(4648), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242554] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11020), 1,
      anon_sym_DOLLAR,
    ACTIONS(11022), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242595] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11024), 1,
      anon_sym_DOLLAR,
    ACTIONS(11026), 1,
      anon_sym_DQUOTE,
    STATE(4656), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242636] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11028), 1,
      anon_sym_DOLLAR,
    ACTIONS(11030), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242677] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11032), 1,
      anon_sym_DOLLAR,
    ACTIONS(11034), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242718] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11036), 1,
      anon_sym_DOLLAR,
    ACTIONS(11038), 1,
      anon_sym_DQUOTE,
    STATE(4663), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242759] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11040), 1,
      anon_sym_DOLLAR,
    ACTIONS(11042), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242800] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11044), 1,
      anon_sym_DOLLAR,
    ACTIONS(11046), 1,
      anon_sym_DQUOTE,
    STATE(4660), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242841] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11048), 1,
      anon_sym_DOLLAR,
    ACTIONS(11050), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242882] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11052), 1,
      anon_sym_DOLLAR,
    ACTIONS(11054), 1,
      anon_sym_DQUOTE,
    STATE(4583), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242923] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11056), 1,
      anon_sym_DOLLAR,
    ACTIONS(11058), 1,
      anon_sym_DQUOTE,
    STATE(4655), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [242964] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11060), 1,
      anon_sym_DOLLAR,
    ACTIONS(11062), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243005] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11064), 1,
      anon_sym_DOLLAR,
    ACTIONS(11066), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243046] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11068), 1,
      anon_sym_DOLLAR,
    ACTIONS(11070), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243087] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11072), 1,
      anon_sym_DOLLAR,
    ACTIONS(11074), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243128] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11076), 1,
      anon_sym_DOLLAR,
    ACTIONS(11078), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243169] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11080), 1,
      anon_sym_DOLLAR,
    ACTIONS(11082), 1,
      anon_sym_DQUOTE,
    STATE(4672), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243210] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11084), 1,
      anon_sym_DOLLAR,
    ACTIONS(11086), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
      sym__special_character,
  [243274] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11088), 1,
      anon_sym_DOLLAR,
    ACTIONS(11090), 1,
      anon_sym_DQUOTE,
    STATE(4667), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243315] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11092), 1,
      anon_sym_DOLLAR,
    ACTIONS(11094), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243356] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11096), 1,
      anon_sym_DOLLAR,
    ACTIONS(11098), 1,
      anon_sym_DQUOTE,
    STATE(4664), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243397] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11100), 1,
      anon_sym_DOLLAR,
    ACTIONS(11102), 1,
      anon_sym_DQUOTE,
    STATE(4700), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243438] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11104), 1,
      anon_sym_DOLLAR,
    ACTIONS(11106), 1,
      anon_sym_DQUOTE,
    STATE(4681), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243479] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11108), 1,
      anon_sym_DOLLAR,
    ACTIONS(11110), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243520] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11112), 1,
      anon_sym_DOLLAR,
    ACTIONS(11114), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243561] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11116), 1,
      anon_sym_DOLLAR,
    ACTIONS(11118), 1,
      anon_sym_DQUOTE,
    STATE(4666), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243602] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11120), 1,
      anon_sym_DOLLAR,
    ACTIONS(11122), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243643] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11124), 1,
      anon_sym_DOLLAR,
    ACTIONS(11126), 1,
      anon_sym_DQUOTE,
    STATE(4697), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243684] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11128), 1,
      anon_sym_DOLLAR,
    ACTIONS(11130), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243725] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11132), 1,
      anon_sym_DOLLAR,
    ACTIONS(11134), 1,
      anon_sym_DQUOTE,
    STATE(4677), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243766] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11136), 1,
      anon_sym_DOLLAR,
    ACTIONS(11138), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243807] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11140), 1,
      anon_sym_DOLLAR,
    ACTIONS(11142), 1,
      anon_sym_DQUOTE,
    STATE(4691), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243848] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11144), 1,
      anon_sym_DOLLAR,
    ACTIONS(11146), 1,
      anon_sym_DQUOTE,
    STATE(4676), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243889] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11148), 1,
      anon_sym_DOLLAR,
    ACTIONS(11150), 1,
      anon_sym_DQUOTE,
    STATE(4669), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243930] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11152), 1,
      anon_sym_DOLLAR,
    ACTIONS(11154), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [243971] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11156), 1,
      anon_sym_DOLLAR,
    ACTIONS(11158), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244012] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11160), 1,
      anon_sym_DOLLAR,
    ACTIONS(11162), 1,
      anon_sym_DQUOTE,
    STATE(4683), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244053] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11164), 1,
      anon_sym_DOLLAR,
    ACTIONS(11166), 1,
      anon_sym_DQUOTE,
    STATE(4687), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244094] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11168), 1,
      anon_sym_DOLLAR,
    ACTIONS(11170), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244135] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11172), 1,
      anon_sym_DOLLAR,
    ACTIONS(11174), 1,
      anon_sym_DQUOTE,
    STATE(4688), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244176] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11176), 1,
      anon_sym_DOLLAR,
    ACTIONS(11178), 1,
      anon_sym_DQUOTE,
    STATE(4699), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244217] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11180), 1,
      anon_sym_DOLLAR,
    ACTIONS(11182), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244258] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11184), 1,
      anon_sym_DOLLAR,
    ACTIONS(11186), 1,
      anon_sym_DQUOTE,
    STATE(4679), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244299] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11188), 1,
      anon_sym_DOLLAR,
    ACTIONS(11190), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244340] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11192), 1,
      anon_sym_DOLLAR,
    ACTIONS(11194), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244381] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11196), 1,
      anon_sym_DOLLAR,
    ACTIONS(11198), 1,
      anon_sym_DQUOTE,
    STATE(4694), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244422] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11200), 1,
      anon_sym_DOLLAR,
    ACTIONS(11202), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244463] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11204), 1,
      anon_sym_DOLLAR,
    ACTIONS(11206), 1,
      anon_sym_DQUOTE,
    STATE(4588), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244504] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_DOLLAR_LBRACK,
    ACTIONS(10696), 1,
      sym_string_content,
    ACTIONS(10698), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(10700), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(10702), 1,
      anon_sym_BQUOTE,
    ACTIONS(10704), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11208), 1,
      anon_sym_DOLLAR,
    ACTIONS(11210), 1,
      anon_sym_DQUOTE,
    STATE(4580), 1,
      aux_sym_string_repeat1,
    ACTIONS(10688), 2,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
    STATE(4917), 4,
      sym_arithmetic_expansion,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
  [244545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1941), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [244567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 2,
      sym_file_descriptor,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1979), 12,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
      anon_sym_GT_PIPE,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
  [244589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_DQUOTE,
    STATE(1535), 1,
      sym_string,
    ACTIONS(2988), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2986), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10728), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 1,
      anon_sym_DQUOTE,
    STATE(932), 1,
      sym_string,
    ACTIONS(1890), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1888), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11218), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7472), 1,
      anon_sym_DQUOTE,
    STATE(4198), 1,
      sym_string,
    ACTIONS(7474), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7470), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11220), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4875), 1,
      anon_sym_DQUOTE,
    STATE(4568), 1,
      sym_string,
    ACTIONS(9280), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(9278), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244764] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11222), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244789] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_LT_LT,
    ACTIONS(11232), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11234), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11230), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11228), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11224), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [244818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10902), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10882), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11022), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11194), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11202), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11236), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11238), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [244993] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10970), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245018] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11240), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245043] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10922), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10878), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11242), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11244), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11086), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym_DQUOTE,
    STATE(3794), 1,
      sym_string,
    ACTIONS(6649), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6647), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_DQUOTE,
    STATE(735), 1,
      sym_string,
    ACTIONS(1525), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1523), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11246), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245243] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11070), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_DQUOTE,
    STATE(2897), 1,
      sym_string,
    ACTIONS(4918), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4916), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11248), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11250), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245343] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11158), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11252), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245393] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10978), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245418] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11034), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245443] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_LT_LT,
    ACTIONS(11232), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11260), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11258), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11256), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11254), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [245472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4330), 1,
      anon_sym_DQUOTE,
    STATE(1987), 1,
      sym_string,
    ACTIONS(4332), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4328), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245497] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11262), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11264), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11050), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11266), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11268), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245622] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10862), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4370), 1,
      anon_sym_DQUOTE,
    STATE(2374), 1,
      sym_string,
    ACTIONS(4372), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4368), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11270), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11074), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245722] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11272), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3317), 1,
      anon_sym_DQUOTE,
    STATE(3687), 1,
      sym_string,
    ACTIONS(6385), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6383), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11274), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11110), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11130), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_DQUOTE,
    STATE(1734), 1,
      sym_string,
    ACTIONS(3339), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3337), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11276), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245922] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11278), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11138), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245972] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10822), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [245997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10834), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246022] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11280), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_DQUOTE,
    STATE(1681), 1,
      sym_string,
    ACTIONS(3368), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3366), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11284), 1,
      anon_sym_DQUOTE,
    STATE(5482), 1,
      sym_string,
    ACTIONS(11286), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11282), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8670), 1,
      anon_sym_DQUOTE,
    STATE(4392), 1,
      sym_string,
    ACTIONS(8672), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(8668), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 1,
      anon_sym_DQUOTE,
    STATE(1312), 1,
      sym_string,
    ACTIONS(2826), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2822), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11288), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11290), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11292), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11190), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11078), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3372), 1,
      anon_sym_DQUOTE,
    STATE(1585), 1,
      sym_string,
    ACTIONS(3374), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3370), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246297] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10930), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11294), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246347] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11298), 1,
      anon_sym_LT_LT,
    ACTIONS(11304), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11306), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11302), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11300), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11296), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [246376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10806), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246401] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10906), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4394), 1,
      anon_sym_DQUOTE,
    STATE(2136), 1,
      sym_string,
    ACTIONS(4396), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4392), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246451] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11308), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246476] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11310), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11312), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11314), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246551] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 1,
      anon_sym_DQUOTE,
    STATE(1032), 1,
      sym_string,
    ACTIONS(2149), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2145), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11122), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4294), 1,
      anon_sym_DQUOTE,
    STATE(2022), 1,
      sym_string,
    ACTIONS(4296), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4292), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11062), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11316), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10712), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11030), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_DQUOTE,
    STATE(4323), 1,
      sym_string,
    ACTIONS(7618), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7614), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1167), 1,
      anon_sym_DQUOTE,
    STATE(382), 1,
      sym_string,
    ACTIONS(1169), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1165), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11318), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10974), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246826] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11320), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5289), 1,
      anon_sym_DQUOTE,
    STATE(5172), 1,
      sym_string,
    ACTIONS(10858), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(10856), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11170), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246901] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3737), 1,
      anon_sym_DQUOTE,
    STATE(1964), 1,
      sym_string,
    ACTIONS(3739), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3735), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11322), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11324), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [246976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11326), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      anon_sym_DQUOTE,
    STATE(1051), 1,
      sym_string,
    ACTIONS(2339), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2337), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11328), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247051] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_LT_LT,
    ACTIONS(11232), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11336), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11334), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11332), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11330), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [247080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11094), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247105] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_DQUOTE,
    STATE(2960), 1,
      sym_string,
    ACTIONS(5173), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(5169), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247130] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11338), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11002), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247180] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10942), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10732), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11014), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      anon_sym_DQUOTE,
    STATE(1451), 1,
      sym_string,
    ACTIONS(3474), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3472), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11340), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11342), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10724), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10740), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11344), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11346), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2013), 1,
      anon_sym_DQUOTE,
    STATE(1388), 1,
      sym_string,
    ACTIONS(3061), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3059), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2190), 1,
      anon_sym_DQUOTE,
    STATE(1065), 1,
      sym_string,
    ACTIONS(2811), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2809), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_DQUOTE,
    STATE(1398), 1,
      sym_string,
    ACTIONS(3299), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3297), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11348), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10990), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11350), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10694), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10962), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3893), 1,
      anon_sym_DQUOTE,
    STATE(2077), 1,
      sym_string,
    ACTIONS(3895), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3891), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2966), 1,
      anon_sym_DQUOTE,
    STATE(1353), 1,
      sym_string,
    ACTIONS(2968), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2964), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10774), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247705] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_DQUOTE,
    STATE(3621), 1,
      sym_string,
    ACTIONS(6351), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6347), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247730] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10782), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247755] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11352), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10950), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 1,
      anon_sym_DQUOTE,
    STATE(2217), 1,
      sym_string,
    ACTIONS(4342), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4340), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247830] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11354), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247855] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_DQUOTE,
    STATE(1078), 1,
      sym_string,
    ACTIONS(2928), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2926), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2506), 1,
      anon_sym_DQUOTE,
    STATE(1277), 1,
      sym_string,
    ACTIONS(2846), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2844), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11356), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11358), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247955] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11066), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [247980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11360), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4206), 1,
      anon_sym_DQUOTE,
    STATE(2159), 1,
      sym_string,
    ACTIONS(4208), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4204), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10938), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248055] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_LT_LT,
    ACTIONS(11232), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11368), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11366), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11364), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 1,
      anon_sym_DQUOTE,
    STATE(893), 1,
      sym_string,
    ACTIONS(2090), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2088), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248109] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11370), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10798), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11114), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11042), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248209] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11372), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      anon_sym_DQUOTE,
    STATE(1520), 1,
      sym_string,
    ACTIONS(3305), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3303), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11374), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4214), 1,
      anon_sym_DQUOTE,
    STATE(2173), 1,
      sym_string,
    ACTIONS(4216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(4212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 1,
      anon_sym_DQUOTE,
    STATE(3669), 1,
      sym_string,
    ACTIONS(6177), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(6175), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248334] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 1,
      anon_sym_DQUOTE,
    STATE(1145), 1,
      sym_string,
    ACTIONS(2530), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(2526), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248359] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11376), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11378), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11380), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248434] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10918), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10898), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248484] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11384), 1,
      anon_sym_LT_LT,
    ACTIONS(11390), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11392), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11388), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11386), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11382), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10850), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10830), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248563] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10571), 1,
      anon_sym_DQUOTE,
    STATE(4997), 1,
      sym_string,
    ACTIONS(10573), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(10569), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11154), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11206), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_DQUOTE,
    STATE(1285), 1,
      sym_string,
    ACTIONS(3232), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(3230), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      anon_sym_DQUOTE,
    STATE(3623), 1,
      sym_string,
    ACTIONS(5704), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(5700), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11394), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248713] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_LT_LT,
    ACTIONS(11232), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11402), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11400), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11398), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11396), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 1,
      anon_sym_DQUOTE,
    STATE(775), 1,
      sym_string,
    ACTIONS(1685), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1683), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7644), 1,
      anon_sym_DQUOTE,
    STATE(4346), 1,
      sym_string,
    ACTIONS(7646), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(7642), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11404), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11406), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11408), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11410), 1,
      anon_sym_DQUOTE,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248892] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10870), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_DQUOTE,
    STATE(413), 1,
      sym_string,
    ACTIONS(1181), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(1177), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11182), 1,
      anon_sym_DQUOTE,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [248967] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11384), 1,
      anon_sym_LT_LT,
    ACTIONS(11390), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11418), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11416), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11414), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11412), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [248996] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11422), 1,
      anon_sym_LT_LT,
    ACTIONS(11428), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11426), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11424), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249022] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_LT_LT,
    ACTIONS(11232), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11258), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11256), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11254), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249048] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11384), 1,
      anon_sym_LT_LT,
    ACTIONS(11390), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11416), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11414), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11412), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249074] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_LT_LT,
    ACTIONS(11232), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11366), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11364), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11214), 1,
      sym_string_content,
    ACTIONS(11216), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11212), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [249122] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_LT_LT,
    ACTIONS(11232), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11400), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11398), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11396), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249148] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_LT_LT,
    ACTIONS(11232), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11334), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11332), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11330), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249174] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11384), 1,
      anon_sym_LT_LT,
    ACTIONS(11390), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11388), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11386), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11382), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249200] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11226), 1,
      anon_sym_LT_LT,
    ACTIONS(11232), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11230), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11228), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11224), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249226] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11298), 1,
      anon_sym_LT_LT,
    ACTIONS(11304), 1,
      anon_sym_LT_LT_DASH,
    ACTIONS(11302), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11300), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11296), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11432), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11430), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [249271] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11440), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11438), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11436), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11434), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249294] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11448), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11446), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11444), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11442), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249317] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11456), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11454), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11452), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11450), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      sym__concat,
    ACTIONS(1240), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11460), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11458), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [249378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11464), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11462), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [249397] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11472), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11470), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11468), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11466), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249420] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11480), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11478), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11476), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11474), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249443] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11482), 1,
      anon_sym_DOLLAR,
    ACTIONS(11485), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11488), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(11491), 1,
      anon_sym_BQUOTE,
    ACTIONS(11494), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11497), 1,
      sym_heredoc_content,
    ACTIONS(11500), 1,
      sym_heredoc_end,
    STATE(4898), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [249474] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11508), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11506), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11504), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11502), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 1,
      sym__concat,
    ACTIONS(1248), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249516] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11510), 1,
      anon_sym_RBRACE3,
    ACTIONS(11512), 10,
      anon_sym_U,
      anon_sym_u,
      anon_sym_L,
      anon_sym_Q,
      anon_sym_E,
      anon_sym_P,
      anon_sym_A,
      anon_sym_K,
      anon_sym_a,
      anon_sym_k,
  [249535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11516), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11514), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [249554] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11524), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11522), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11520), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11518), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 1,
      sym__concat,
    ACTIONS(1268), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 1,
      sym__concat,
    ACTIONS(1236), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11528), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11526), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [249634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 1,
      sym__concat,
    ACTIONS(1260), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 1,
      sym__concat,
    ACTIONS(1252), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 1,
      sym__concat,
    ACTIONS(1280), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11530), 1,
      sym__concat,
    ACTIONS(10751), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249710] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11532), 1,
      anon_sym_DOLLAR,
    ACTIONS(11534), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11536), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(11538), 1,
      anon_sym_BQUOTE,
    ACTIONS(11540), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11542), 1,
      sym_heredoc_content,
    ACTIONS(11544), 1,
      sym_heredoc_end,
    STATE(4898), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [249741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 1,
      sym__concat,
    ACTIONS(1240), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11548), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11546), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [249779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11286), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11282), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [249798] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11556), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11554), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11552), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11550), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 1,
      sym__concat,
    ACTIONS(1224), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11560), 1,
      sym__concat,
    ACTIONS(11558), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [249859] = 9,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11532), 1,
      anon_sym_DOLLAR,
    ACTIONS(11534), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11536), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(11538), 1,
      anon_sym_BQUOTE,
    ACTIONS(11540), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11562), 1,
      sym_heredoc_content,
    ACTIONS(11564), 1,
      sym_heredoc_end,
    STATE(4911), 4,
      sym_simple_expansion,
      sym_expansion,
      sym_command_substitution,
      aux_sym_heredoc_body_repeat1,
  [249890] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11572), 1,
      anon_sym_LT_LT_LT,
    ACTIONS(11570), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11568), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11566), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11576), 2,
      aux_sym__simple_variable_name_token1,
      aux_sym__multiline_variable_name_token1,
    ACTIONS(11574), 9,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_DOLLAR,
      anon_sym_POUND,
      anon_sym_AT2,
      anon_sym_0,
      anon_sym__,
  [249932] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11334), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11332), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11330), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249952] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11230), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11228), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11224), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [249972] = 8,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11578), 1,
      anon_sym_DQUOTE,
    ACTIONS(11580), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11582), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(11584), 1,
      anon_sym_BQUOTE,
    ACTIONS(11586), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(4378), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    STATE(5254), 3,
      sym_string,
      sym_expansion,
      sym_command_substitution,
  [250000] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11302), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11300), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11296), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [250020] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11258), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11256), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11254), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [250040] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11512), 10,
      anon_sym_U,
      anon_sym_u,
      anon_sym_L,
      anon_sym_Q,
      anon_sym_E,
      anon_sym_P,
      anon_sym_A,
      anon_sym_K,
      anon_sym_a,
      anon_sym_k,
  [250056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11588), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [250072] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11594), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11592), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11590), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [250092] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11366), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11364), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11362), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [250112] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11388), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11386), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11382), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [250132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10751), 10,
      anon_sym_LPAREN_LPAREN,
      anon_sym_DOLLAR_LPAREN_LPAREN,
      anon_sym_DOLLAR_LBRACK,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      sym_string_content,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [250148] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11426), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11424), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11420), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [250168] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11400), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11398), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11396), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [250188] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11416), 2,
      anon_sym_LT_AMP_DASH,
      anon_sym_GT_AMP_DASH,
    ACTIONS(11414), 3,
      anon_sym_GT_GT,
      anon_sym_AMP_GT_GT,
      anon_sym_GT_PIPE,
    ACTIONS(11412), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP_GT,
      anon_sym_LT_AMP,
      anon_sym_GT_AMP,
  [250208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11596), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11598), 1,
      sym__concat,
    STATE(4950), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1220), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      sym__special_character,
  [250231] = 10,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11600), 1,
      anon_sym_SLASH,
    ACTIONS(11602), 1,
      anon_sym_DQUOTE,
    ACTIONS(11604), 1,
      anon_sym_RBRACE3,
    ACTIONS(11606), 1,
      anon_sym_DOLLAR_LPAREN,
    ACTIONS(11608), 1,
      anon_sym_BQUOTE,
    ACTIONS(11610), 1,
      anon_sym_DOLLAR_BQUOTE,
    ACTIONS(11612), 1,
      sym__regex_no_slash,
    STATE(5276), 1,
      sym_string,
    STATE(5458), 1,
      sym_command_substitution,
  [250262] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_LBRACE,
    ACTIONS(169), 1,
      anon_sym_LBRACK,
    ACTIONS(173), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(969), 1,
      anon_sym_LPAREN,
    ACTIONS(11614), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4474), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250286] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11596), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11598), 1,
      sym__concat,
    ACTIONS(11616), 1,
      anon_sym_in,
    ACTIONS(11620), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4968), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11618), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [250310] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4153), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250334] = 7,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11624), 1,
      anon_sym_LPAREN,
    STATE(4092), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250358] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11626), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(3916), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250382] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11596), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11598), 1,
      sym__concat,
    ACTIONS(11628), 1,
      anon_sym_in,
    ACTIONS(11632), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4950), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11630), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [250406] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11626), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(3890), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250430] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4154), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250454] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4427), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250478] = 7,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11634), 1,
      anon_sym_LPAREN,
    STATE(4146), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250502] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_LBRACE,
    ACTIONS(169), 1,
      anon_sym_LBRACK,
    ACTIONS(173), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11614), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11636), 1,
      anon_sym_LPAREN,
    STATE(4446), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250526] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11596), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11598), 1,
      sym__concat,
    ACTIONS(11638), 1,
      anon_sym_in,
    ACTIONS(11642), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4968), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11640), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [250550] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11596), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11598), 1,
      sym__concat,
    ACTIONS(11644), 1,
      anon_sym_in,
    ACTIONS(11648), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4950), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11646), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [250574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11596), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11650), 1,
      sym__concat,
    STATE(4954), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1214), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [250596] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6428), 1,
      aux_sym_number_token1,
    ACTIONS(6430), 1,
      aux_sym_number_token2,
    ACTIONS(11652), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11654), 1,
      aux_sym__simple_variable_name_token1,
    STATE(4972), 1,
      sym__expansion_max_length_binary_expression,
    STATE(4984), 3,
      sym_number,
      sym_expansion,
      sym__expansion_max_length_expression,
  [250620] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6428), 1,
      aux_sym_number_token1,
    ACTIONS(6430), 1,
      aux_sym_number_token2,
    ACTIONS(11652), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(11656), 1,
      aux_sym__simple_variable_name_token1,
    STATE(4972), 1,
      sym__expansion_max_length_binary_expression,
    STATE(4985), 3,
      sym_number,
      sym_expansion,
      sym__expansion_max_length_expression,
  [250644] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_LBRACE,
    ACTIONS(169), 1,
      anon_sym_LBRACK,
    ACTIONS(173), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(969), 1,
      anon_sym_LPAREN,
    ACTIONS(11614), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4429), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250668] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11658), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11661), 1,
      sym__concat,
    STATE(4954), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1198), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [250690] = 7,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11664), 1,
      anon_sym_LPAREN,
    STATE(4094), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250714] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11596), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11598), 1,
      sym__concat,
    ACTIONS(11666), 1,
      anon_sym_in,
    ACTIONS(11670), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4968), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11668), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [250738] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4109), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250762] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4083), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250786] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4108), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250810] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11626), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11672), 1,
      anon_sym_LPAREN,
    STATE(3888), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250834] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11626), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11674), 1,
      anon_sym_LPAREN,
    STATE(4000), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250858] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11596), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11598), 1,
      sym__concat,
    ACTIONS(11676), 1,
      anon_sym_in,
    ACTIONS(11680), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(4950), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11678), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [250882] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11626), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(3999), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250906] = 7,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11682), 1,
      anon_sym_LPAREN,
    STATE(4085), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250930] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4099), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250954] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4073), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [250978] = 7,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(11684), 1,
      anon_sym_LPAREN,
    STATE(4415), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [251002] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1210), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11596), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11686), 1,
      sym__concat,
    STATE(4954), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1208), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [251024] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4425), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [251048] = 7,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(33), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11622), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(4074), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [251072] = 7,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(401), 1,
      anon_sym_LPAREN,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(425), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11626), 1,
      anon_sym_LPAREN_LPAREN,
    STATE(3991), 3,
      sym_compound_statement,
      sym_subshell,
      sym_test_command,
  [251096] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11688), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [251109] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 1,
      anon_sym_DOLLAR,
    ACTIONS(1242), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [251124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1274), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1272), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251139] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_COLON,
    ACTIONS(11692), 1,
      anon_sym_RBRACE3,
    ACTIONS(11688), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [251156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1250), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1248), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251171] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11696), 1,
      anon_sym_COLON,
    ACTIONS(11698), 1,
      anon_sym_RBRACE3,
    ACTIONS(11694), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [251188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1226), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1224), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1286), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1284), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1254), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1252), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251233] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11676), 1,
      anon_sym_in,
    ACTIONS(11680), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11700), 1,
      sym__special_character,
    STATE(4989), 1,
      aux_sym__literal_repeat1,
    ACTIONS(11678), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [251254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1244), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1228), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251284] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11702), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [251297] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11704), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(11702), 4,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [251312] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1262), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [251325] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1240), 1,
      anon_sym_DOLLAR,
    ACTIONS(1242), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [251340] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1268), 1,
      anon_sym_DOLLAR,
    ACTIONS(1270), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [251355] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1294), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11706), 1,
      sym__special_character,
    STATE(4989), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1292), 4,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [251374] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1230), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [251387] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1248), 1,
      anon_sym_DOLLAR,
    ACTIONS(1250), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [251402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1262), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1260), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251417] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1260), 1,
      anon_sym_DOLLAR,
    ACTIONS(1262), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [251432] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1236), 1,
      anon_sym_DOLLAR,
    ACTIONS(1238), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [251447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1236), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251462] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1252), 1,
      anon_sym_DOLLAR,
    ACTIONS(1254), 6,
      sym_heredoc_content,
      sym_heredoc_end,
      anon_sym_DOLLAR_LBRACE,
      anon_sym_DOLLAR_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_BQUOTE,
  [251477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1266), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1264), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1198), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251507] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11644), 1,
      anon_sym_in,
    ACTIONS(11648), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11700), 1,
      sym__special_character,
    STATE(4989), 1,
      aux_sym__literal_repeat1,
    ACTIONS(11646), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [251528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1290), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1288), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251543] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11284), 1,
      anon_sym_DQUOTE,
    ACTIONS(11709), 1,
      anon_sym_RPAREN,
    ACTIONS(11711), 1,
      sym_raw_string,
    ACTIONS(11713), 1,
      anon_sym_RBRACE3,
    ACTIONS(11715), 1,
      aux_sym__expansion_regex_token1,
    ACTIONS(11717), 1,
      sym_regex,
    STATE(5847), 1,
      sym_string,
  [251568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1242), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1240), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251598] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11628), 1,
      anon_sym_in,
    ACTIONS(11632), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11700), 1,
      sym__special_character,
    STATE(4989), 1,
      aux_sym__literal_repeat1,
    ACTIONS(11630), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [251619] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1238), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [251632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1278), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1276), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1270), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1268), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1282), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1280), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251677] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1234), 7,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [251690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1258), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1256), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 2,
      sym__concat,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1232), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      aux_sym_concatenation_token1,
  [251720] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11721), 1,
      anon_sym_RPAREN,
    STATE(5113), 1,
      aux_sym_concatenation_repeat1,
    STATE(5363), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11723), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [251740] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11727), 1,
      anon_sym_COMMA,
    ACTIONS(11729), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3827), 1,
      sym__c_terminator,
    STATE(5053), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11725), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [251760] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11731), 1,
      anon_sym_RPAREN,
    STATE(5111), 1,
      aux_sym_concatenation_repeat1,
    STATE(5358), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11723), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [251780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11727), 1,
      anon_sym_COMMA,
    ACTIONS(11735), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3797), 1,
      sym__c_terminator,
    STATE(5038), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11733), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [251800] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11737), 1,
      anon_sym_SLASH,
    ACTIONS(11741), 1,
      anon_sym_RBRACE3,
    ACTIONS(11743), 1,
      sym__expansion_word,
    STATE(5061), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11739), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [251820] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11727), 1,
      anon_sym_COMMA,
    ACTIONS(11747), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3798), 1,
      sym__c_terminator,
    STATE(5053), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11745), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [251840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11727), 1,
      anon_sym_COMMA,
    ACTIONS(11751), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3545), 1,
      sym__c_terminator,
    STATE(5025), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11749), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [251860] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11753), 1,
      anon_sym_RBRACE3,
    ACTIONS(11688), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [251874] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11755), 1,
      anon_sym_RBRACE3,
    ACTIONS(11694), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [251888] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11757), 1,
      anon_sym_SLASH,
    ACTIONS(11759), 1,
      anon_sym_RBRACE3,
    ACTIONS(11761), 1,
      sym__expansion_word,
    STATE(5061), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11739), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [251908] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11763), 1,
      anon_sym_RPAREN,
    STATE(5111), 1,
      aux_sym_concatenation_repeat1,
    STATE(5285), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11723), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [251928] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11765), 1,
      anon_sym_RPAREN,
    STATE(5113), 1,
      aux_sym_concatenation_repeat1,
    STATE(5284), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11723), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [251948] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11767), 1,
      anon_sym_fi,
    ACTIONS(11769), 1,
      anon_sym_elif,
    ACTIONS(11771), 1,
      anon_sym_else,
    STATE(5722), 1,
      sym_else_clause,
    STATE(5129), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [251968] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11727), 1,
      anon_sym_COMMA,
    ACTIONS(11775), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3541), 1,
      sym__c_terminator,
    STATE(5053), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11773), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [251988] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11777), 1,
      anon_sym_RBRACE3,
    ACTIONS(11694), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [252002] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11779), 1,
      anon_sym_RBRACE3,
    ACTIONS(11688), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [252016] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11769), 1,
      anon_sym_elif,
    ACTIONS(11771), 1,
      anon_sym_else,
    ACTIONS(11781), 1,
      anon_sym_fi,
    STATE(5690), 1,
      sym_else_clause,
    STATE(5129), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [252036] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11727), 1,
      anon_sym_COMMA,
    ACTIONS(11785), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3865), 1,
      sym__c_terminator,
    STATE(5013), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11783), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [252056] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11769), 1,
      anon_sym_elif,
    ACTIONS(11771), 1,
      anon_sym_else,
    ACTIONS(11787), 1,
      anon_sym_fi,
    STATE(5767), 1,
      sym_else_clause,
    STATE(5129), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [252076] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_RBRACE3,
    ACTIONS(11694), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [252090] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_RBRACE3,
    ACTIONS(11694), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [252104] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11791), 1,
      anon_sym_RPAREN,
    STATE(5113), 1,
      aux_sym_concatenation_repeat1,
    STATE(5220), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11723), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [252124] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11793), 1,
      anon_sym_RPAREN,
    STATE(5111), 1,
      aux_sym_concatenation_repeat1,
    STATE(5222), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11723), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [252144] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11769), 1,
      anon_sym_elif,
    ACTIONS(11771), 1,
      anon_sym_else,
    ACTIONS(11795), 1,
      anon_sym_fi,
    STATE(5768), 1,
      sym_else_clause,
    STATE(5129), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [252164] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_RBRACE3,
    ACTIONS(11694), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [252178] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11797), 1,
      anon_sym_RBRACE3,
    ACTIONS(11688), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [252192] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11727), 1,
      anon_sym_COMMA,
    ACTIONS(11801), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3755), 1,
      sym__c_terminator,
    STATE(5053), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11799), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [252212] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11803), 1,
      anon_sym_RPAREN,
    STATE(5113), 1,
      aux_sym_concatenation_repeat1,
    STATE(5253), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11723), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [252232] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11805), 1,
      anon_sym_RPAREN,
    STATE(5111), 1,
      aux_sym_concatenation_repeat1,
    STATE(5256), 1,
      aux_sym_case_item_repeat1,
    ACTIONS(11723), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [252252] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11769), 1,
      anon_sym_elif,
    ACTIONS(11771), 1,
      anon_sym_else,
    ACTIONS(11807), 1,
      anon_sym_fi,
    STATE(6013), 1,
      sym_else_clause,
    STATE(5129), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [252272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1222), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(1220), 5,
      anon_sym_in,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
      sym__special_character,
  [252286] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_SLASH,
    ACTIONS(11811), 1,
      anon_sym_RBRACE3,
    ACTIONS(11813), 1,
      sym__expansion_word,
    STATE(5061), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11739), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [252306] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5113), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11723), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(1222), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [252322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11727), 1,
      anon_sym_COMMA,
    ACTIONS(11817), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(3743), 1,
      sym__c_terminator,
    STATE(5017), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11815), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [252342] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11769), 1,
      anon_sym_elif,
    ACTIONS(11771), 1,
      anon_sym_else,
    ACTIONS(11819), 1,
      anon_sym_fi,
    STATE(6039), 1,
      sym_else_clause,
    STATE(5129), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [252362] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
    STATE(5131), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [252377] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11823), 1,
      sym_simple_heredoc_body,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    STATE(4064), 1,
      sym__heredoc_body,
    STATE(4065), 1,
      sym__simple_heredoc_body,
    STATE(5714), 1,
      sym_heredoc_body,
  [252396] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11827), 1,
      sym__concat,
    ACTIONS(5515), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252409] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11829), 1,
      anon_sym_SLASH,
    ACTIONS(11831), 1,
      anon_sym_RBRACE3,
    STATE(5061), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11739), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [252426] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11757), 1,
      anon_sym_SLASH,
    ACTIONS(11759), 1,
      anon_sym_RBRACE3,
    STATE(5061), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11739), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [252443] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11833), 1,
      sym__concat,
    ACTIONS(5509), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11837), 1,
      anon_sym_COMMA,
    ACTIONS(11840), 1,
      aux_sym_heredoc_redirect_token1,
    STATE(5053), 1,
      aux_sym__for_body_repeat1,
    ACTIONS(11835), 2,
      anon_sym_SEMI,
      anon_sym_AMP,
  [252473] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11842), 1,
      sym__concat,
    ACTIONS(5530), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252486] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11765), 1,
      anon_sym_RPAREN,
    ACTIONS(11844), 1,
      sym__special_character,
    STATE(5185), 1,
      aux_sym__literal_repeat1,
    STATE(5289), 1,
      aux_sym_case_item_repeat1,
  [252505] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_LBRACE,
    ACTIONS(11846), 1,
      anon_sym_SEMI,
    ACTIONS(11848), 1,
      anon_sym_do,
    STATE(4483), 1,
      sym_compound_statement,
    STATE(4533), 1,
      sym_do_group,
  [252524] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11850), 1,
      sym_simple_heredoc_body,
    STATE(5732), 1,
      sym_heredoc_body,
    STATE(4508), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252541] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11852), 1,
      sym__concat,
    ACTIONS(5536), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [252554] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11850), 1,
      sym_simple_heredoc_body,
    STATE(5732), 1,
      sym_heredoc_body,
    STATE(4542), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252571] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11823), 1,
      sym_simple_heredoc_body,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    STATE(5714), 1,
      sym_heredoc_body,
    STATE(3977), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252588] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5137), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11739), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(11854), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [252603] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11856), 1,
      sym_simple_heredoc_body,
    STATE(6030), 1,
      sym_heredoc_body,
    STATE(4478), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252620] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11823), 1,
      sym_simple_heredoc_body,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    STATE(5714), 1,
      sym_heredoc_body,
    STATE(4001), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252637] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11850), 1,
      sym_simple_heredoc_body,
    STATE(4494), 1,
      sym__simple_heredoc_body,
    STATE(4516), 1,
      sym__heredoc_body,
    STATE(5732), 1,
      sym_heredoc_body,
  [252656] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11850), 1,
      sym_simple_heredoc_body,
    STATE(4509), 1,
      sym__heredoc_body,
    STATE(4547), 1,
      sym__simple_heredoc_body,
    STATE(5732), 1,
      sym_heredoc_body,
  [252675] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11850), 1,
      sym_simple_heredoc_body,
    STATE(5732), 1,
      sym_heredoc_body,
    STATE(4548), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11858), 1,
      anon_sym_in,
    ACTIONS(11862), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11860), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [252707] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11856), 1,
      sym_simple_heredoc_body,
    STATE(6030), 1,
      sym_heredoc_body,
    STATE(4473), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252724] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11856), 1,
      sym_simple_heredoc_body,
    STATE(6030), 1,
      sym_heredoc_body,
    STATE(4470), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252741] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11823), 1,
      sym_simple_heredoc_body,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    STATE(4048), 1,
      sym__simple_heredoc_body,
    STATE(4054), 1,
      sym__heredoc_body,
    STATE(5714), 1,
      sym_heredoc_body,
  [252760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11666), 1,
      anon_sym_in,
    ACTIONS(11670), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11668), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [252775] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11850), 1,
      sym_simple_heredoc_body,
    STATE(5732), 1,
      sym_heredoc_body,
    STATE(4520), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252792] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11864), 1,
      sym_simple_heredoc_body,
    STATE(3956), 1,
      sym__simple_heredoc_body,
    STATE(4035), 1,
      sym__heredoc_body,
    STATE(5578), 1,
      sym_heredoc_body,
  [252811] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11856), 1,
      sym_simple_heredoc_body,
    STATE(4468), 1,
      sym__simple_heredoc_body,
    STATE(4469), 1,
      sym__heredoc_body,
    STATE(6030), 1,
      sym_heredoc_body,
  [252830] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11856), 1,
      sym_simple_heredoc_body,
    STATE(4466), 1,
      sym__simple_heredoc_body,
    STATE(4467), 1,
      sym__heredoc_body,
    STATE(6030), 1,
      sym_heredoc_body,
  [252849] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11856), 1,
      sym_simple_heredoc_body,
    STATE(6030), 1,
      sym_heredoc_body,
    STATE(4463), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252866] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11856), 1,
      sym_simple_heredoc_body,
    STATE(6030), 1,
      sym_heredoc_body,
    STATE(4454), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252883] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11856), 1,
      sym_simple_heredoc_body,
    STATE(4451), 1,
      sym__simple_heredoc_body,
    STATE(4452), 1,
      sym__heredoc_body,
    STATE(6030), 1,
      sym_heredoc_body,
  [252902] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11856), 1,
      sym_simple_heredoc_body,
    STATE(4448), 1,
      sym__simple_heredoc_body,
    STATE(4449), 1,
      sym__heredoc_body,
    STATE(6030), 1,
      sym_heredoc_body,
  [252921] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11856), 1,
      sym_simple_heredoc_body,
    STATE(6030), 1,
      sym_heredoc_body,
    STATE(4455), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [252938] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11856), 1,
      sym_simple_heredoc_body,
    STATE(4430), 1,
      sym__heredoc_body,
    STATE(4431), 1,
      sym__simple_heredoc_body,
    STATE(6030), 1,
      sym_heredoc_body,
  [252957] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11856), 1,
      sym_simple_heredoc_body,
    STATE(4438), 1,
      sym__heredoc_body,
    STATE(4439), 1,
      sym__simple_heredoc_body,
    STATE(6030), 1,
      sym_heredoc_body,
  [252976] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11864), 1,
      sym_simple_heredoc_body,
    STATE(4069), 1,
      sym__heredoc_body,
    STATE(4070), 1,
      sym__simple_heredoc_body,
    STATE(5578), 1,
      sym_heredoc_body,
  [252995] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11850), 1,
      sym_simple_heredoc_body,
    STATE(4540), 1,
      sym__simple_heredoc_body,
    STATE(4541), 1,
      sym__heredoc_body,
    STATE(5732), 1,
      sym_heredoc_body,
  [253014] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11864), 1,
      sym_simple_heredoc_body,
    STATE(5578), 1,
      sym_heredoc_body,
    STATE(4068), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [253031] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11823), 1,
      sym_simple_heredoc_body,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    STATE(5714), 1,
      sym_heredoc_body,
    STATE(4010), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [253048] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11864), 1,
      sym_simple_heredoc_body,
    STATE(4066), 1,
      sym__heredoc_body,
    STATE(4067), 1,
      sym__simple_heredoc_body,
    STATE(5578), 1,
      sym_heredoc_body,
  [253067] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11823), 1,
      sym_simple_heredoc_body,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    STATE(4012), 1,
      sym__heredoc_body,
    STATE(4013), 1,
      sym__simple_heredoc_body,
    STATE(5714), 1,
      sym_heredoc_body,
  [253086] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7151), 1,
      anon_sym_RBRACE3,
    STATE(5130), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [253101] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11823), 1,
      sym_simple_heredoc_body,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    STATE(4017), 1,
      sym__heredoc_body,
    STATE(4019), 1,
      sym__simple_heredoc_body,
    STATE(5714), 1,
      sym_heredoc_body,
  [253120] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11866), 1,
      anon_sym_RBRACE3,
    STATE(5131), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [253135] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(11868), 1,
      anon_sym_SEMI,
    ACTIONS(11870), 1,
      anon_sym_do,
    STATE(3927), 1,
      sym_compound_statement,
    STATE(3928), 1,
      sym_do_group,
  [253154] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11823), 1,
      sym_simple_heredoc_body,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    STATE(5714), 1,
      sym_heredoc_body,
    STATE(4021), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [253171] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_SLASH,
    ACTIONS(11811), 1,
      anon_sym_RBRACE3,
    STATE(5061), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11739), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [253188] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11872), 1,
      anon_sym_SLASH,
    ACTIONS(11874), 1,
      anon_sym_RBRACE3,
    STATE(5061), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11739), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [253205] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11850), 1,
      sym_simple_heredoc_body,
    STATE(4536), 1,
      sym__simple_heredoc_body,
    STATE(4538), 1,
      sym__heredoc_body,
    STATE(5732), 1,
      sym_heredoc_body,
  [253224] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11864), 1,
      sym_simple_heredoc_body,
    STATE(4053), 1,
      sym__heredoc_body,
    STATE(4055), 1,
      sym__simple_heredoc_body,
    STATE(5578), 1,
      sym_heredoc_body,
  [253243] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_RBRACE3,
    STATE(5131), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [253258] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
    STATE(5131), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [253273] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11864), 1,
      sym_simple_heredoc_body,
    STATE(5578), 1,
      sym_heredoc_body,
    STATE(4051), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [253290] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym__concat,
      sym__expansion_word,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [253301] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1270), 5,
      sym__concat,
      sym__expansion_word,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [253312] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 5,
      sym__concat,
      sym__expansion_word,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [253323] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11864), 1,
      sym_simple_heredoc_body,
    STATE(5578), 1,
      sym_heredoc_body,
    STATE(4047), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [253340] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11864), 1,
      sym_simple_heredoc_body,
    STATE(4045), 1,
      sym__simple_heredoc_body,
    STATE(4049), 1,
      sym__heredoc_body,
    STATE(5578), 1,
      sym_heredoc_body,
  [253359] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5106), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1200), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
    ACTIONS(11878), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [253374] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11803), 1,
      anon_sym_RPAREN,
    ACTIONS(11844), 1,
      sym__special_character,
    STATE(5185), 1,
      aux_sym__literal_repeat1,
    STATE(5259), 1,
      aux_sym_case_item_repeat1,
  [253393] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
    STATE(5131), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [253408] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_RBRACE3,
    STATE(5131), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [253423] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11850), 1,
      sym_simple_heredoc_body,
    STATE(5732), 1,
      sym_heredoc_body,
    STATE(4535), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [253440] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11723), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11881), 1,
      sym__concat,
    STATE(5106), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1210), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [253457] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11850), 1,
      sym_simple_heredoc_body,
    STATE(4528), 1,
      sym__simple_heredoc_body,
    STATE(4532), 1,
      sym__heredoc_body,
    STATE(5732), 1,
      sym_heredoc_body,
  [253476] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11723), 1,
      aux_sym_concatenation_token1,
    ACTIONS(11883), 1,
      sym__concat,
    STATE(5106), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(1216), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [253493] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_RBRACE3,
    STATE(5131), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [253508] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6661), 1,
      anon_sym_RBRACE3,
    STATE(5047), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [253523] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7144), 1,
      anon_sym_RBRACE3,
    STATE(5098), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [253538] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11864), 1,
      sym_simple_heredoc_body,
    STATE(4037), 1,
      sym__heredoc_body,
    STATE(4038), 1,
      sym__simple_heredoc_body,
    STATE(5578), 1,
      sym_heredoc_body,
  [253557] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11864), 1,
      sym_simple_heredoc_body,
    STATE(5578), 1,
      sym_heredoc_body,
    STATE(4024), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [253574] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11887), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(11704), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
  [253587] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11864), 1,
      sym_simple_heredoc_body,
    STATE(5578), 1,
      sym_heredoc_body,
    STATE(4015), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [253604] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11864), 1,
      sym_simple_heredoc_body,
    STATE(5578), 1,
      sym_heredoc_body,
    STATE(4014), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [253621] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11850), 1,
      sym_simple_heredoc_body,
    STATE(4523), 1,
      sym__simple_heredoc_body,
    STATE(4524), 1,
      sym__heredoc_body,
    STATE(5732), 1,
      sym_heredoc_body,
  [253640] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5113), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11723), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(11889), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [253655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11891), 1,
      anon_sym_in,
    ACTIONS(11895), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11893), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [253670] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5111), 1,
      aux_sym_concatenation_repeat1,
    ACTIONS(11723), 2,
      sym__concat,
      aux_sym_concatenation_token1,
    ACTIONS(11897), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [253685] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11791), 1,
      anon_sym_RPAREN,
    ACTIONS(11844), 1,
      sym__special_character,
    STATE(5185), 1,
      aux_sym__literal_repeat1,
    STATE(5225), 1,
      aux_sym_case_item_repeat1,
  [253704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11638), 1,
      anon_sym_in,
    ACTIONS(11642), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11640), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [253719] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
    STATE(5131), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [253734] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11903), 1,
      anon_sym_elif,
    ACTIONS(11901), 2,
      anon_sym_fi,
      anon_sym_else,
    STATE(5129), 2,
      sym_elif_clause,
      aux_sym_if_statement_repeat1,
  [253749] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
    STATE(5131), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(6673), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [253764] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11906), 1,
      anon_sym_RBRACE3,
    STATE(5131), 1,
      aux_sym__expansion_body_repeat1,
    ACTIONS(11908), 3,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
  [253779] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11721), 1,
      anon_sym_RPAREN,
    ACTIONS(11844), 1,
      sym__special_character,
    STATE(5185), 1,
      aux_sym__literal_repeat1,
    STATE(5292), 1,
      aux_sym_case_item_repeat1,
  [253798] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11911), 1,
      anon_sym_SLASH,
    ACTIONS(11913), 1,
      anon_sym_RBRACE3,
    STATE(5061), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11739), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [253815] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11823), 1,
      sym_simple_heredoc_body,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    STATE(5714), 1,
      sym_heredoc_body,
    STATE(4063), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [253832] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11823), 1,
      sym_simple_heredoc_body,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    STATE(4061), 1,
      sym__heredoc_body,
    STATE(4062), 1,
      sym__simple_heredoc_body,
    STATE(5714), 1,
      sym_heredoc_body,
  [253851] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11737), 1,
      anon_sym_SLASH,
    ACTIONS(11741), 1,
      anon_sym_RBRACE3,
    STATE(5061), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11739), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [253868] = 4,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5137), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11915), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
    ACTIONS(11917), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [253883] = 6,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11920), 1,
      anon_sym_SEMI,
    ACTIONS(11922), 1,
      anon_sym_do,
    STATE(3950), 1,
      sym_do_group,
    STATE(3953), 1,
      sym_compound_statement,
  [253902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11924), 1,
      anon_sym_in,
    ACTIONS(11928), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11926), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [253917] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    ACTIONS(11850), 1,
      sym_simple_heredoc_body,
    STATE(5732), 1,
      sym_heredoc_body,
    STATE(4534), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [253934] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11823), 1,
      sym_simple_heredoc_body,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    STATE(5714), 1,
      sym_heredoc_body,
    STATE(4058), 2,
      sym__heredoc_body,
      sym__simple_heredoc_body,
  [253951] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11616), 1,
      anon_sym_in,
    ACTIONS(11620), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11618), 3,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_SEMI_SEMI,
  [253966] = 6,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11823), 1,
      sym_simple_heredoc_body,
    ACTIONS(11825), 1,
      sym__heredoc_body_beginning,
    STATE(4059), 1,
      sym__heredoc_body,
    STATE(4060), 1,
      sym__simple_heredoc_body,
    STATE(5714), 1,
      sym_heredoc_body,
  [253985] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [253995] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254005] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1270), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254015] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1286), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254025] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254035] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1270), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [254045] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11915), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254055] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6422), 1,
      sym__special_character,
    ACTIONS(11911), 1,
      anon_sym_SLASH,
    ACTIONS(11913), 1,
      anon_sym_RBRACE3,
    STATE(5154), 1,
      aux_sym__literal_repeat1,
  [254071] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [254081] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1262), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254091] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11930), 1,
      sym__special_character,
    STATE(5154), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [254105] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1250), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254115] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1274), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254125] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11933), 1,
      anon_sym_esac,
    ACTIONS(11935), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11937), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [254139] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1254), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254149] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254159] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1258), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254169] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11939), 1,
      anon_sym_esac,
    ACTIONS(11941), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11943), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [254183] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254193] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11945), 1,
      anon_sym_esac,
    ACTIONS(11947), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11949), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11951), 1,
      anon_sym_SEMI_SEMI_AMP,
  [254209] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11844), 1,
      sym__special_character,
    STATE(5185), 1,
      aux_sym__literal_repeat1,
    ACTIONS(11889), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [254223] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1270), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254233] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254243] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11953), 1,
      anon_sym_esac,
    ACTIONS(11955), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11957), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [254257] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11959), 1,
      anon_sym_esac,
    ACTIONS(11961), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11963), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [254271] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11965), 1,
      anon_sym_esac,
    ACTIONS(11967), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11969), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11971), 1,
      anon_sym_SEMI_SEMI_AMP,
  [254287] = 5,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11922), 1,
      anon_sym_do,
    STATE(3978), 1,
      sym_do_group,
    STATE(3979), 1,
      sym_compound_statement,
  [254303] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11973), 1,
      anon_sym_RBRACE3,
    STATE(5061), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11739), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [254317] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254327] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11965), 1,
      anon_sym_esac,
    ACTIONS(11975), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11977), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11979), 1,
      anon_sym_SEMI_SEMI_AMP,
  [254343] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1278), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254353] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1200), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254363] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11945), 1,
      anon_sym_esac,
    ACTIONS(11981), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11983), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11985), 1,
      anon_sym_SEMI_SEMI_AMP,
  [254379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11989), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11987), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_AMP,
  [254391] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1246), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254401] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1282), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254411] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1226), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254421] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5640), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [254431] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6422), 1,
      sym__special_character,
    ACTIONS(11872), 1,
      anon_sym_SLASH,
    ACTIONS(11874), 1,
      anon_sym_RBRACE3,
    STATE(5154), 1,
      aux_sym__literal_repeat1,
  [254447] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11991), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [254457] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4708), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254467] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11993), 1,
      sym__special_character,
    STATE(5185), 1,
      aux_sym__literal_repeat1,
    ACTIONS(1294), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [254481] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1262), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254491] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_LBRACE,
    ACTIONS(11848), 1,
      anon_sym_do,
    STATE(4502), 1,
      sym_compound_statement,
    STATE(4504), 1,
      sym_do_group,
  [254507] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1290), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254517] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1230), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254527] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1258), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11998), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11996), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_AMP,
  [254549] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1234), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254559] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12000), 1,
      anon_sym_esac,
    ACTIONS(12002), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12004), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(12006), 1,
      anon_sym_SEMI_SEMI_AMP,
  [254575] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4715), 4,
      sym__concat,
      anon_sym_SLASH,
      aux_sym_concatenation_token1,
      anon_sym_RBRACE3,
  [254585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11840), 1,
      aux_sym_heredoc_redirect_token1,
    ACTIONS(11835), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_AMP,
  [254597] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12008), 1,
      anon_sym_esac,
    ACTIONS(12010), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12012), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(12014), 1,
      anon_sym_SEMI_SEMI_AMP,
  [254613] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12008), 1,
      anon_sym_esac,
    ACTIONS(12016), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12018), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(12020), 1,
      anon_sym_SEMI_SEMI_AMP,
  [254629] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1274), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254639] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5515), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [254649] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12000), 1,
      anon_sym_esac,
    ACTIONS(12022), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12024), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(12026), 1,
      anon_sym_SEMI_SEMI_AMP,
  [254665] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(419), 1,
      anon_sym_LBRACE,
    ACTIONS(11870), 1,
      anon_sym_do,
    STATE(3944), 1,
      sym_compound_statement,
    STATE(3951), 1,
      sym_do_group,
  [254681] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1286), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254691] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5509), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [254701] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1254), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254711] = 5,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6422), 1,
      sym__special_character,
    ACTIONS(11829), 1,
      anon_sym_SLASH,
    ACTIONS(11831), 1,
      anon_sym_RBRACE3,
    STATE(5154), 1,
      aux_sym__literal_repeat1,
  [254727] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1250), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254737] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1238), 4,
      sym__concat,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      aux_sym_concatenation_token1,
  [254747] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5644), 4,
      sym__external_expansion_sym_hash,
      sym__external_expansion_sym_bang,
      sym__external_expansion_sym_equal,
      anon_sym_RBRACE3,
  [254757] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6076), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(12028), 1,
      anon_sym_COMMA,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254770] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12031), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254783] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    STATE(5275), 1,
      aux_sym__for_body_repeat1,
  [254796] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12037), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5277), 1,
      aux_sym__for_body_repeat1,
  [254809] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12039), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254822] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12041), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5270), 1,
      aux_sym__for_body_repeat1,
  [254835] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12043), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [254846] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12047), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5307), 1,
      aux_sym__for_body_repeat1,
  [254859] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12049), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254872] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12051), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254885] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12053), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5307), 1,
      aux_sym__for_body_repeat1,
  [254898] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12055), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [254911] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11763), 1,
      anon_sym_RPAREN,
    STATE(5286), 1,
      aux_sym_case_item_repeat1,
  [254924] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12057), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [254937] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12059), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [254950] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12061), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [254963] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12063), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [254976] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10077), 1,
      anon_sym_PIPE,
    ACTIONS(12065), 1,
      anon_sym_PIPE_AMP,
    STATE(4104), 1,
      aux_sym_pipeline_repeat1,
  [254989] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12067), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255000] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1226), 3,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [255009] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12069), 1,
      anon_sym_COMMA,
    ACTIONS(12071), 1,
      anon_sym_RPAREN,
    STATE(5247), 1,
      aux_sym__for_body_repeat1,
  [255022] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9612), 1,
      anon_sym_PIPE,
    ACTIONS(12073), 1,
      anon_sym_PIPE_AMP,
    STATE(3833), 1,
      aux_sym_pipeline_repeat1,
  [255035] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12075), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255046] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12077), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255059] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1282), 3,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [255068] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12069), 1,
      anon_sym_COMMA,
    ACTIONS(12079), 1,
      anon_sym_RPAREN,
    STATE(5236), 1,
      aux_sym__for_body_repeat1,
  [255081] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12081), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255094] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12069), 1,
      anon_sym_COMMA,
    ACTIONS(12083), 1,
      anon_sym_RPAREN,
    STATE(5255), 1,
      aux_sym__for_body_repeat1,
  [255107] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12085), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255120] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1286), 3,
      sym__regex_no_slash,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [255129] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12087), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255142] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12069), 1,
      anon_sym_COMMA,
    ACTIONS(12089), 1,
      anon_sym_RPAREN,
    STATE(5255), 1,
      aux_sym__for_body_repeat1,
  [255155] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12091), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255166] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12093), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255179] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12095), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255190] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12097), 1,
      sym__concat,
    ACTIONS(5509), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255201] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12099), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255214] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12101), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255227] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12069), 1,
      anon_sym_COMMA,
    ACTIONS(12103), 1,
      anon_sym_RPAREN,
    STATE(5255), 1,
      aux_sym__for_body_repeat1,
  [255240] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12105), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255251] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12107), 1,
      sym__concat,
    ACTIONS(5515), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255262] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1274), 3,
      sym__regex_no_slash,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [255271] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12109), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255284] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12111), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11943), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [255295] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12113), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [255308] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12115), 1,
      sym_extglob_pattern,
    ACTIONS(5476), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [255319] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11840), 1,
      anon_sym_RPAREN,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    STATE(5255), 1,
      aux_sym__for_body_repeat1,
  [255332] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12120), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [255345] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12122), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [255358] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12124), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255369] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12126), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [255382] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12128), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11937), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [255393] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12130), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255404] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12132), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255417] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [255426] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12134), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255439] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12136), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5327), 1,
      aux_sym__for_body_repeat1,
  [255452] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12138), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5332), 1,
      aux_sym__for_body_repeat1,
  [255465] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12140), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255478] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12142), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255489] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12144), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255502] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12146), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5307), 1,
      aux_sym__for_body_repeat1,
  [255515] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12148), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255526] = 3,
    ACTIONS(71), 1,
      sym_comment,
    STATE(5061), 1,
      aux_sym__concatenation_in_expansion_repeat1,
    ACTIONS(11739), 2,
      sym__concat,
      aux_sym_concatenation_token1,
  [255537] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9865), 1,
      anon_sym_PIPE,
    ACTIONS(12150), 1,
      anon_sym_PIPE_AMP,
    STATE(3941), 1,
      aux_sym_pipeline_repeat1,
  [255550] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12152), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255563] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12154), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5307), 1,
      aux_sym__for_body_repeat1,
  [255576] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12156), 1,
      anon_sym_SLASH,
    ACTIONS(12158), 1,
      anon_sym_RBRACE3,
    ACTIONS(12160), 1,
      sym__regex_no_slash,
  [255589] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12162), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5307), 1,
      aux_sym__for_body_repeat1,
  [255602] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12164), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5336), 1,
      aux_sym__for_body_repeat1,
  [255615] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1220), 1,
      sym__special_character,
    ACTIONS(1222), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [255626] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym__regex_no_slash,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [255635] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11793), 1,
      anon_sym_RPAREN,
    STATE(5224), 1,
      aux_sym_case_item_repeat1,
  [255648] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12166), 1,
      anon_sym_PIPE,
    ACTIONS(12169), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [255661] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1262), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [255670] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12171), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [255683] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12173), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [255696] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12175), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [255709] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12177), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255722] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12179), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255735] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12181), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [255748] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12183), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255759] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12185), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255770] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12187), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [255783] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5307), 1,
      aux_sym__for_body_repeat1,
  [255796] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10523), 1,
      anon_sym_PIPE,
    ACTIONS(12191), 1,
      anon_sym_PIPE_AMP,
    STATE(4397), 1,
      aux_sym_pipeline_repeat1,
  [255809] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12193), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255822] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12195), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255835] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12197), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255848] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11731), 1,
      anon_sym_RPAREN,
    STATE(5357), 1,
      aux_sym_case_item_repeat1,
  [255861] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12199), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255874] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1222), 3,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      sym__special_character,
  [255883] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12201), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255896] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12203), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255909] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12205), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255922] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12207), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [255933] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 3,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [255942] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12209), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255955] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11840), 1,
      anon_sym_RPAREN_RPAREN,
    ACTIONS(12211), 1,
      anon_sym_COMMA,
    STATE(5307), 1,
      aux_sym__for_body_repeat1,
  [255968] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12214), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [255981] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1270), 3,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [255990] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 3,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [255999] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12216), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256012] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12218), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256025] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12220), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256038] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10075), 1,
      anon_sym_PIPE,
    ACTIONS(12222), 1,
      anon_sym_PIPE_AMP,
    STATE(4103), 1,
      aux_sym_pipeline_repeat1,
  [256051] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11951), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12224), 1,
      anon_sym_SEMI_SEMI,
  [256064] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12226), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11957), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [256075] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12228), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11963), 2,
      anon_sym_SEMI_AMP,
      anon_sym_SEMI_SEMI_AMP,
  [256086] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12069), 1,
      anon_sym_COMMA,
    ACTIONS(12230), 1,
      anon_sym_RPAREN,
    STATE(5240), 1,
      aux_sym__for_body_repeat1,
  [256099] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12232), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256110] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12234), 1,
      sym__concat,
    ACTIONS(5530), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256121] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12236), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256134] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12238), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256147] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10066), 1,
      anon_sym_PIPE,
    ACTIONS(12240), 1,
      anon_sym_PIPE_AMP,
    STATE(4096), 1,
      aux_sym_pipeline_repeat1,
  [256160] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12242), 1,
      sym__concat,
    ACTIONS(5536), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256171] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12244), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256184] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12246), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5293), 1,
      aux_sym__for_body_repeat1,
  [256197] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12248), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5307), 1,
      aux_sym__for_body_repeat1,
  [256210] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12250), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256223] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12252), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5216), 1,
      aux_sym__for_body_repeat1,
  [256236] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11969), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11971), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12254), 1,
      anon_sym_SEMI_SEMI,
  [256249] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12256), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256260] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12258), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5307), 1,
      aux_sym__for_body_repeat1,
  [256273] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12260), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5219), 1,
      aux_sym__for_body_repeat1,
  [256286] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12262), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256299] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11977), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11979), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12264), 1,
      anon_sym_SEMI_SEMI,
  [256312] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12035), 1,
      anon_sym_COMMA,
    ACTIONS(12266), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5307), 1,
      aux_sym__for_body_repeat1,
  [256325] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12268), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256338] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1258), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [256347] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12270), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256358] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12272), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256371] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1270), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [256380] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12274), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256393] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12276), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256406] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12278), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256417] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1238), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [256426] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12280), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256437] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12282), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256448] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12284), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256461] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1274), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [256470] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12286), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256483] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1286), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [256492] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12288), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256503] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1242), 3,
      sym_extglob_pattern,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [256512] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10601), 1,
      anon_sym_PIPE,
    ACTIONS(10603), 1,
      anon_sym_PIPE_AMP,
    STATE(4443), 1,
      aux_sym_pipeline_repeat1,
  [256525] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12024), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(12026), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12290), 1,
      anon_sym_SEMI_SEMI,
  [256538] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12292), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256551] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12294), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [256564] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12296), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [256577] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(10218), 1,
      anon_sym_PIPE,
    ACTIONS(12298), 1,
      anon_sym_PIPE_AMP,
    STATE(4169), 1,
      aux_sym_pipeline_repeat1,
  [256590] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11983), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(11985), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12300), 1,
      anon_sym_SEMI_SEMI,
  [256603] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12302), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256614] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12304), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256625] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(12306), 1,
      anon_sym_RPAREN,
    STATE(5282), 1,
      aux_sym_case_item_repeat1,
  [256638] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12308), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256651] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12310), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256662] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12312), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256675] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12004), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(12006), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12314), 1,
      anon_sym_SEMI_SEMI,
  [256688] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12316), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256701] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12018), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(12020), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12318), 1,
      anon_sym_SEMI_SEMI,
  [256714] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12012), 1,
      anon_sym_SEMI_AMP,
    ACTIONS(12014), 1,
      anon_sym_SEMI_SEMI_AMP,
    ACTIONS(12320), 1,
      anon_sym_SEMI_SEMI,
  [256727] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(11805), 1,
      anon_sym_RPAREN,
    STATE(5257), 1,
      aux_sym_case_item_repeat1,
  [256740] = 4,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    ACTIONS(12322), 1,
      anon_sym_RPAREN_RPAREN,
    STATE(5209), 1,
      aux_sym_arithmetic_expansion_repeat1,
  [256753] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9806), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2544), 1,
      sym_expansion,
  [256763] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(993), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1802), 1,
      sym_expansion,
  [256773] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6755), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(993), 1,
      sym_expansion,
  [256783] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(8904), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1526), 1,
      sym_expansion,
  [256793] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12324), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(12326), 1,
      aux_sym__simple_variable_name_token1,
  [256803] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12328), 1,
      anon_sym_RBRACE3,
    ACTIONS(12330), 1,
      sym_regex,
  [256813] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9505), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2647), 1,
      sym_expansion,
  [256823] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11998), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
  [256831] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6629), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1315), 1,
      sym_expansion,
  [256841] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12332), 1,
      anon_sym_SLASH,
    ACTIONS(12334), 1,
      anon_sym_RBRACE3,
  [256851] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12310), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256859] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12288), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256867] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12270), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256875] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(9857), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2860), 1,
      sym_expansion,
  [256885] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7124), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2095), 1,
      sym_expansion,
  [256895] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2371), 1,
      sym_expansion,
  [256905] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12280), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256913] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11922), 1,
      anon_sym_do,
    STATE(3935), 1,
      sym_do_group,
  [256923] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(8192), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1286), 1,
      sym_expansion,
  [256933] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3818), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2225), 1,
      sym_expansion,
  [256943] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12256), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [256951] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12336), 1,
      anon_sym_SLASH,
    ACTIONS(12338), 1,
      anon_sym_RBRACE3,
  [256961] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6591), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(3560), 1,
      sym_expansion,
  [256971] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11872), 1,
      anon_sym_SLASH,
    ACTIONS(11874), 1,
      anon_sym_RBRACE3,
  [256981] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11840), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
  [256989] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4112), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2271), 1,
      sym_expansion,
  [256999] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(8346), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1075), 1,
      sym_expansion,
  [257009] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7928), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2760), 1,
      sym_expansion,
  [257019] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12207), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257027] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(318), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(888), 1,
      sym_expansion,
  [257037] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12278), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257045] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7596), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1726), 1,
      sym_expansion,
  [257055] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1885), 1,
      sym_expansion,
  [257065] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7177), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4177), 1,
      sym_expansion,
  [257075] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6799), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1282), 1,
      sym_expansion,
  [257085] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6911), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1072), 1,
      sym_expansion,
  [257095] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11809), 1,
      anon_sym_SLASH,
    ACTIONS(11811), 1,
      anon_sym_RBRACE3,
  [257105] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12232), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257113] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11870), 1,
      anon_sym_do,
    STATE(3932), 1,
      sym_do_group,
  [257123] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3448), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2017), 1,
      sym_expansion,
  [257133] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6871), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(958), 1,
      sym_expansion,
  [257143] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(369), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2245), 1,
      sym_expansion,
  [257153] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(451), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(695), 1,
      sym_expansion,
  [257163] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11737), 1,
      anon_sym_SLASH,
    ACTIONS(11741), 1,
      anon_sym_RBRACE3,
  [257173] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11911), 1,
      anon_sym_SLASH,
    ACTIONS(11913), 1,
      anon_sym_RBRACE3,
  [257183] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12185), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257191] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11652), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(5009), 1,
      sym_expansion,
  [257201] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(3862), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2213), 1,
      sym_expansion,
  [257211] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1258), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [257219] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7086), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1123), 1,
      sym_expansion,
  [257229] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1290), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [257237] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7510), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1861), 1,
      sym_expansion,
  [257247] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1246), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [257255] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(8060), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4559), 1,
      sym_expansion,
  [257265] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7672), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1246), 1,
      sym_expansion,
  [257275] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1274), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [257283] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1286), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [257291] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12043), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257299] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12302), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257307] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12282), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257315] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4432), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4407), 1,
      sym_expansion,
  [257325] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12183), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257333] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11897), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [257341] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(125), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(374), 1,
      sym_expansion,
  [257351] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11696), 1,
      anon_sym_COLON,
    ACTIONS(11698), 1,
      anon_sym_RBRACE3,
  [257361] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12130), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257369] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12340), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(12342), 1,
      aux_sym__simple_variable_name_token1,
  [257379] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12344), 1,
      anon_sym_SLASH,
    ACTIONS(12346), 1,
      anon_sym_RBRACE3,
  [257389] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(205), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(411), 1,
      sym_expansion,
  [257399] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12148), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257407] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11989), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [257415] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(8114), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(3727), 1,
      sym_expansion,
  [257425] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11848), 1,
      anon_sym_do,
    STATE(4501), 1,
      sym_do_group,
  [257435] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11989), 2,
      anon_sym_RPAREN_RPAREN,
      anon_sym_COMMA,
  [257443] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11998), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [257451] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12142), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257459] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5644), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257467] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2204), 1,
      sym_expansion,
  [257477] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11840), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [257485] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(5192), 1,
      sym_expansion,
  [257495] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5640), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257503] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5560), 2,
      anon_sym_COLON,
      anon_sym_RBRACE3,
  [257511] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12124), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257519] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5515), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257527] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7418), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1937), 1,
      sym_expansion,
  [257537] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12156), 1,
      anon_sym_SLASH,
    ACTIONS(12158), 1,
      anon_sym_RBRACE3,
  [257547] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7896), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2744), 1,
      sym_expansion,
  [257557] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(4268), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4389), 1,
      sym_expansion,
  [257567] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12105), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257575] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6723), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(3559), 1,
      sym_expansion,
  [257585] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6833), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1213), 1,
      sym_expansion,
  [257595] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11848), 1,
      anon_sym_do,
    STATE(4482), 1,
      sym_do_group,
  [257605] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12095), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257613] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5509), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257621] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7001), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(4340), 1,
      sym_expansion,
  [257631] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12348), 1,
      anon_sym_SLASH,
    ACTIONS(12350), 1,
      anon_sym_RBRACE3,
  [257641] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12304), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257649] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12091), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257657] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11757), 1,
      anon_sym_SLASH,
    ACTIONS(11759), 1,
      anon_sym_RBRACE3,
  [257667] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(5568), 2,
      anon_sym_PIPE,
      anon_sym_RPAREN,
  [257675] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(8016), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(3726), 1,
      sym_expansion,
  [257685] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7816), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(5011), 1,
      sym_expansion,
  [257695] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6689), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1256), 1,
      sym_expansion,
  [257705] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7486), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(3764), 1,
      sym_expansion,
  [257715] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12075), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257723] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(743), 1,
      sym_expansion,
  [257733] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11829), 1,
      anon_sym_SLASH,
    ACTIONS(11831), 1,
      anon_sym_RBRACE3,
  [257743] = 3,
    ACTIONS(61), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(71), 1,
      sym_comment,
    STATE(915), 1,
      sym_expansion,
  [257753] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12352), 1,
      anon_sym_LPAREN_LPAREN,
    ACTIONS(12354), 1,
      aux_sym__simple_variable_name_token1,
  [257763] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(1266), 2,
      anon_sym_SLASH,
      anon_sym_RBRACE3,
  [257771] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7990), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1411), 1,
      sym_expansion,
  [257781] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11870), 1,
      anon_sym_do,
    STATE(3957), 1,
      sym_do_group,
  [257791] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12067), 2,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
  [257799] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11922), 1,
      anon_sym_do,
    STATE(3998), 1,
      sym_do_group,
  [257809] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7392), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(1462), 1,
      sym_expansion,
  [257819] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7442), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2892), 1,
      sym_expansion,
  [257829] = 3,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(6963), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2953), 1,
      sym_expansion,
  [257839] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12356), 1,
      anon_sym_RPAREN,
  [257846] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [257853] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12358), 1,
      anon_sym_BQUOTE,
  [257860] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7638), 1,
      anon_sym_RBRACK,
  [257867] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12360), 1,
      anon_sym_RBRACE2,
  [257874] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12362), 1,
      aux_sym_brace_expression_token1,
  [257881] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12364), 1,
      aux_sym_brace_expression_token1,
  [257888] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12366), 1,
      anon_sym_RBRACE3,
  [257895] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12368), 1,
      aux_sym_brace_expression_token1,
  [257902] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12370), 1,
      anon_sym_RBRACE2,
  [257909] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12372), 1,
      anon_sym_BQUOTE,
  [257916] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12374), 1,
      anon_sym_RPAREN,
  [257923] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12376), 1,
      aux_sym_brace_expression_token1,
  [257930] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12378), 1,
      aux_sym_brace_expression_token1,
  [257937] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12380), 1,
      aux_sym_brace_expression_token1,
  [257944] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12382), 1,
      anon_sym_RBRACE3,
  [257951] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12384), 1,
      anon_sym_RBRACE3,
  [257958] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12386), 1,
      anon_sym_RPAREN,
  [257965] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12388), 1,
      anon_sym_BQUOTE,
  [257972] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12390), 1,
      anon_sym_RBRACE3,
  [257979] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12392), 1,
      anon_sym_BQUOTE,
  [257986] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12388), 1,
      anon_sym_RPAREN,
  [257993] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7640), 1,
      anon_sym_RBRACK,
  [258000] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12394), 1,
      aux_sym_brace_expression_token1,
  [258007] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12396), 1,
      aux_sym_brace_expression_token1,
  [258014] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12398), 1,
      anon_sym_RBRACE2,
  [258021] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12400), 1,
      anon_sym_RBRACE3,
  [258028] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12402), 1,
      anon_sym_RBRACE3,
  [258035] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12404), 1,
      anon_sym_RPAREN,
  [258042] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12406), 1,
      anon_sym_RPAREN,
  [258049] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12408), 1,
      anon_sym_RPAREN,
  [258056] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12410), 1,
      anon_sym_BQUOTE,
  [258063] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12412), 1,
      aux_sym_brace_expression_token1,
  [258070] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12408), 1,
      anon_sym_BQUOTE,
  [258077] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12414), 1,
      anon_sym_RPAREN,
  [258084] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12416), 1,
      anon_sym_RPAREN,
  [258091] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12418), 1,
      anon_sym_BQUOTE,
  [258098] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12374), 1,
      anon_sym_BQUOTE,
  [258105] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12420), 1,
      anon_sym_RPAREN,
  [258112] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7650), 1,
      anon_sym_RBRACK,
  [258119] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7560), 1,
      anon_sym_RBRACK,
  [258126] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12422), 1,
      aux_sym_brace_expression_token1,
  [258133] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12424), 1,
      anon_sym_RBRACE2,
  [258140] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12426), 1,
      anon_sym_RBRACE2,
  [258147] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12428), 1,
      anon_sym_BQUOTE,
  [258154] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12430), 1,
      aux_sym_brace_expression_token1,
  [258161] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12358), 1,
      anon_sym_RPAREN,
  [258168] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12432), 1,
      anon_sym_BQUOTE,
  [258175] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12428), 1,
      anon_sym_RPAREN,
  [258182] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12434), 1,
      anon_sym_RBRACE3,
  [258189] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12436), 1,
      aux_sym_brace_expression_token1,
  [258196] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12438), 1,
      anon_sym_RBRACE3,
  [258203] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12440), 1,
      anon_sym_RBRACE3,
  [258210] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12442), 1,
      anon_sym_RPAREN,
  [258217] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12444), 1,
      anon_sym_RBRACE3,
  [258224] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12446), 1,
      anon_sym_RPAREN,
  [258231] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12448), 1,
      anon_sym_RBRACE3,
  [258238] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12450), 1,
      anon_sym_RBRACE3,
  [258245] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12452), 1,
      anon_sym_BQUOTE,
  [258252] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12454), 1,
      aux_sym_brace_expression_token1,
  [258259] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12456), 1,
      anon_sym_RBRACE3,
  [258266] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12458), 1,
      anon_sym_esac,
  [258273] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12460), 1,
      anon_sym_LT_LT_LT,
  [258280] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12462), 1,
      anon_sym_esac,
  [258287] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12442), 1,
      anon_sym_BQUOTE,
  [258294] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12464), 1,
      anon_sym_RPAREN,
  [258301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12466), 1,
      aux_sym_heredoc_redirect_token1,
  [258308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12468), 1,
      aux_sym_heredoc_redirect_token1,
  [258315] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12470), 1,
      aux_sym_brace_expression_token1,
  [258322] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12472), 1,
      anon_sym_BQUOTE,
  [258329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12474), 1,
      aux_sym_heredoc_redirect_token1,
  [258336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12476), 1,
      aux_sym_heredoc_redirect_token1,
  [258343] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12446), 1,
      anon_sym_BQUOTE,
  [258350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12478), 1,
      aux_sym_heredoc_redirect_token1,
  [258357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12480), 1,
      aux_sym_heredoc_redirect_token1,
  [258364] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12482), 1,
      anon_sym_RPAREN,
  [258371] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12484), 1,
      aux_sym_brace_expression_token1,
  [258378] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12486), 1,
      aux_sym_brace_expression_token1,
  [258385] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12488), 1,
      anon_sym_RBRACE2,
  [258392] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12490), 1,
      anon_sym_RBRACE3,
  [258399] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12492), 1,
      anon_sym_RBRACE3,
  [258406] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12494), 1,
      anon_sym_RBRACE2,
  [258413] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12496), 1,
      anon_sym_RBRACE2,
  [258420] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12498), 1,
      sym_word,
  [258427] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12500), 1,
      anon_sym_RPAREN,
  [258434] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12502), 1,
      anon_sym_RBRACE3,
  [258441] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12504), 1,
      aux_sym_brace_expression_token1,
  [258448] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12506), 1,
      anon_sym_RPAREN,
  [258455] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12508), 1,
      sym_heredoc_end,
  [258462] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12510), 1,
      anon_sym_BQUOTE,
  [258469] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12512), 1,
      sym_heredoc_end,
  [258476] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12506), 1,
      anon_sym_BQUOTE,
  [258483] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12514), 1,
      anon_sym_RPAREN,
  [258490] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12516), 1,
      anon_sym_RBRACE2,
  [258497] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12518), 1,
      anon_sym_RBRACE3,
  [258504] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12520), 1,
      aux_sym_brace_expression_token1,
  [258511] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_RPAREN,
  [258518] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7524), 1,
      anon_sym_RBRACK,
  [258525] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12356), 1,
      anon_sym_BQUOTE,
  [258532] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7536), 1,
      anon_sym_RBRACK,
  [258539] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12524), 1,
      anon_sym_RPAREN,
  [258546] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12526), 1,
      anon_sym_RBRACE2,
  [258553] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12522), 1,
      anon_sym_BQUOTE,
  [258560] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12528), 1,
      anon_sym_RPAREN,
  [258567] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12530), 1,
      aux_sym_brace_expression_token1,
  [258574] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12532), 1,
      anon_sym_RBRACE2,
  [258581] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12534), 1,
      anon_sym_RBRACE3,
  [258588] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12536), 1,
      anon_sym_RPAREN,
  [258595] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12538), 1,
      anon_sym_BQUOTE,
  [258602] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12536), 1,
      anon_sym_BQUOTE,
  [258609] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12540), 1,
      anon_sym_BQUOTE,
  [258616] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12542), 1,
      aux_sym_brace_expression_token1,
  [258623] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12544), 1,
      anon_sym_RBRACE2,
  [258630] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12546), 1,
      anon_sym_RPAREN,
  [258637] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12548), 1,
      anon_sym_BQUOTE,
  [258644] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12550), 1,
      anon_sym_RPAREN,
  [258651] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12552), 1,
      anon_sym_BQUOTE,
  [258658] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12554), 1,
      anon_sym_RBRACE2,
  [258665] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12556), 1,
      aux_sym_brace_expression_token1,
  [258672] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12558), 1,
      anon_sym_RBRACE2,
  [258679] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12560), 1,
      anon_sym_BQUOTE,
  [258686] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12562), 1,
      anon_sym_LT_LT_LT,
  [258693] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12548), 1,
      anon_sym_RPAREN,
  [258700] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12564), 1,
      anon_sym_BQUOTE,
  [258707] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12566), 1,
      anon_sym_RBRACE3,
  [258714] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12568), 1,
      aux_sym_brace_expression_token1,
  [258721] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12570), 1,
      anon_sym_RBRACE3,
  [258728] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12572), 1,
      anon_sym_RPAREN,
  [258735] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12574), 1,
      anon_sym_BQUOTE,
  [258742] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12576), 1,
      anon_sym_BQUOTE,
  [258749] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12578), 1,
      anon_sym_RPAREN,
  [258756] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12580), 1,
      anon_sym_BQUOTE,
  [258763] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12582), 1,
      aux_sym_brace_expression_token1,
  [258770] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12578), 1,
      anon_sym_BQUOTE,
  [258777] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12524), 1,
      anon_sym_BQUOTE,
  [258784] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12574), 1,
      anon_sym_RPAREN,
  [258791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12584), 1,
      aux_sym_heredoc_redirect_token1,
  [258798] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12586), 1,
      anon_sym_RPAREN,
  [258805] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12588), 1,
      anon_sym_RBRACE3,
  [258812] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12590), 1,
      aux_sym_brace_expression_token1,
  [258819] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12592), 1,
      anon_sym_RBRACE2,
  [258826] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12594), 1,
      anon_sym_LT_LT_LT,
  [258833] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12596), 1,
      anon_sym_RBRACE3,
  [258840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12598), 1,
      aux_sym_heredoc_redirect_token1,
  [258847] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12600), 1,
      anon_sym_RPAREN,
  [258854] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_RBRACE3,
  [258861] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12602), 1,
      aux_sym_brace_expression_token1,
  [258868] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12604), 1,
      anon_sym_RBRACE3,
  [258875] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12606), 1,
      anon_sym_RPAREN,
  [258882] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12608), 1,
      anon_sym_BQUOTE,
  [258889] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_RBRACE3,
  [258896] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_RBRACE3,
  [258903] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12610), 1,
      anon_sym_RBRACE2,
  [258910] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12612), 1,
      aux_sym_brace_expression_token1,
  [258917] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11789), 1,
      anon_sym_RBRACE3,
  [258924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12614), 1,
      aux_sym_heredoc_redirect_token1,
  [258931] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12616), 1,
      anon_sym_RPAREN,
  [258938] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12600), 1,
      anon_sym_BQUOTE,
  [258945] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12618), 1,
      anon_sym_RPAREN,
  [258952] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12620), 1,
      anon_sym_BQUOTE,
  [258959] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12622), 1,
      aux_sym_brace_expression_token1,
  [258966] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11777), 1,
      anon_sym_RBRACE3,
  [258973] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12624), 1,
      anon_sym_BQUOTE,
  [258980] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12626), 1,
      anon_sym_RBRACE3,
  [258987] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12628), 1,
      anon_sym_RBRACE3,
  [258994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12630), 1,
      aux_sym_heredoc_redirect_token1,
  [259001] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12620), 1,
      anon_sym_RPAREN,
  [259008] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12632), 1,
      aux_sym_brace_expression_token1,
  [259015] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12634), 1,
      anon_sym_BQUOTE,
  [259022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12636), 1,
      aux_sym_heredoc_redirect_token1,
  [259029] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12638), 1,
      anon_sym_RBRACE3,
  [259036] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12640), 1,
      anon_sym_RPAREN,
  [259043] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12642), 1,
      anon_sym_BQUOTE,
  [259050] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12644), 1,
      anon_sym_esac,
  [259057] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12646), 1,
      aux_sym_brace_expression_token1,
  [259064] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12648), 1,
      anon_sym_RBRACE3,
  [259071] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12640), 1,
      anon_sym_BQUOTE,
  [259078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12650), 1,
      aux_sym_heredoc_redirect_token1,
  [259085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12652), 1,
      aux_sym_heredoc_redirect_token1,
  [259092] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12654), 1,
      anon_sym_RPAREN,
  [259099] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12656), 1,
      anon_sym_RBRACE2,
  [259106] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12658), 1,
      aux_sym_brace_expression_token1,
  [259113] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12660), 1,
      anon_sym_RBRACE2,
  [259120] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12662), 1,
      anon_sym_RBRACE2,
  [259127] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12664), 1,
      anon_sym_in,
  [259134] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12666), 1,
      anon_sym_in,
  [259141] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12668), 1,
      anon_sym_RPAREN_RPAREN,
  [259148] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12670), 1,
      anon_sym_RPAREN,
  [259155] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12672), 1,
      aux_sym_brace_expression_token1,
  [259162] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12674), 1,
      anon_sym_esac,
  [259169] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12676), 1,
      aux_sym_brace_expression_token1,
  [259176] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12678), 1,
      anon_sym_RBRACE3,
  [259183] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12680), 1,
      anon_sym_RPAREN,
  [259190] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12682), 1,
      anon_sym_BQUOTE,
  [259197] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12684), 1,
      anon_sym_RBRACE3,
  [259204] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12686), 1,
      aux_sym_brace_expression_token1,
  [259211] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12688), 1,
      anon_sym_BQUOTE,
  [259218] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12680), 1,
      anon_sym_BQUOTE,
  [259225] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12690), 1,
      anon_sym_RPAREN,
  [259232] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12692), 1,
      anon_sym_RBRACE3,
  [259239] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12694), 1,
      anon_sym_fi,
  [259246] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12696), 1,
      anon_sym_RPAREN,
  [259253] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12698), 1,
      aux_sym_brace_expression_token1,
  [259260] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12700), 1,
      anon_sym_BQUOTE,
  [259267] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12696), 1,
      anon_sym_BQUOTE,
  [259274] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12702), 1,
      anon_sym_esac,
  [259281] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12704), 1,
      anon_sym_RPAREN,
  [259288] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12706), 1,
      anon_sym_esac,
  [259295] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12708), 1,
      anon_sym_RPAREN,
  [259302] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12710), 1,
      aux_sym_brace_expression_token1,
  [259309] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12712), 1,
      anon_sym_RBRACE2,
  [259316] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12714), 1,
      anon_sym_RBRACE2,
  [259323] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12716), 1,
      sym_word,
  [259330] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12718), 1,
      anon_sym_RBRACE2,
  [259337] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12720), 1,
      anon_sym_BQUOTE,
  [259344] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12682), 1,
      anon_sym_RPAREN,
  [259351] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12722), 1,
      aux_sym_brace_expression_token1,
  [259358] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12724), 1,
      anon_sym_RBRACE3,
  [259365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12726), 1,
      aux_sym_heredoc_redirect_token1,
  [259372] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12728), 1,
      anon_sym_RPAREN,
  [259379] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12730), 1,
      anon_sym_RBRACE3,
  [259386] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12732), 1,
      anon_sym_RPAREN,
  [259393] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12734), 1,
      anon_sym_BQUOTE,
  [259400] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12736), 1,
      aux_sym_brace_expression_token1,
  [259407] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12738), 1,
      sym_heredoc_end,
  [259414] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12732), 1,
      anon_sym_BQUOTE,
  [259421] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12740), 1,
      anon_sym_RPAREN,
  [259428] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12742), 1,
      sym_heredoc_end,
  [259435] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12744), 1,
      anon_sym_BQUOTE,
  [259442] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12746), 1,
      anon_sym_esac,
  [259449] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12748), 1,
      aux_sym_brace_expression_token1,
  [259456] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12750), 1,
      anon_sym_esac,
  [259463] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12752), 1,
      anon_sym_fi,
  [259470] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12754), 1,
      anon_sym_RBRACE2,
  [259477] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_RPAREN,
  [259484] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12758), 1,
      anon_sym_BQUOTE,
  [259491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12760), 1,
      aux_sym_heredoc_redirect_token1,
  [259498] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12762), 1,
      aux_sym_brace_expression_token1,
  [259505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12764), 1,
      aux_sym_heredoc_redirect_token1,
  [259512] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12756), 1,
      anon_sym_BQUOTE,
  [259519] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12766), 1,
      anon_sym_RPAREN,
  [259526] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12768), 1,
      anon_sym_RBRACE3,
  [259533] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12770), 1,
      sym_heredoc_end,
  [259540] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12772), 1,
      sym_heredoc_end,
  [259547] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12774), 1,
      aux_sym_brace_expression_token1,
  [259554] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12776), 1,
      anon_sym_RPAREN,
  [259561] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12778), 1,
      anon_sym_BQUOTE,
  [259568] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12780), 1,
      anon_sym_BQUOTE,
  [259575] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12778), 1,
      anon_sym_RPAREN,
  [259582] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11755), 1,
      anon_sym_RBRACE3,
  [259589] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12782), 1,
      anon_sym_BQUOTE,
  [259596] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12784), 1,
      aux_sym_brace_expression_token1,
  [259603] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12776), 1,
      anon_sym_BQUOTE,
  [259610] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12786), 1,
      anon_sym_RPAREN,
  [259617] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12788), 1,
      anon_sym_RBRACE3,
  [259624] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12790), 1,
      anon_sym_RBRACE2,
  [259631] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12792), 1,
      anon_sym_RBRACE2,
  [259638] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12794), 1,
      anon_sym_RBRACE2,
  [259645] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12796), 1,
      aux_sym_brace_expression_token1,
  [259652] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12798), 1,
      anon_sym_RPAREN,
  [259659] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12800), 1,
      anon_sym_esac,
  [259666] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12802), 1,
      anon_sym_esac,
  [259673] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12804), 1,
      anon_sym_esac,
  [259680] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12806), 1,
      anon_sym_BQUOTE,
  [259687] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12798), 1,
      anon_sym_BQUOTE,
  [259694] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12808), 1,
      aux_sym_brace_expression_token1,
  [259701] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12810), 1,
      anon_sym_RPAREN,
  [259708] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12812), 1,
      anon_sym_RBRACE3,
  [259715] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12814), 1,
      anon_sym_RBRACE2,
  [259722] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12816), 1,
      anon_sym_BQUOTE,
  [259729] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12708), 1,
      anon_sym_BQUOTE,
  [259736] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12818), 1,
      anon_sym_esac,
  [259743] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12820), 1,
      aux_sym_brace_expression_token1,
  [259750] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12822), 1,
      anon_sym_RPAREN,
  [259757] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12824), 1,
      anon_sym_RBRACE3,
  [259764] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12826), 1,
      anon_sym_RPAREN,
  [259771] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12828), 1,
      anon_sym_RBRACE3,
  [259778] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11781), 1,
      anon_sym_fi,
  [259785] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11767), 1,
      anon_sym_fi,
  [259792] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12830), 1,
      anon_sym_RPAREN,
  [259799] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12832), 1,
      anon_sym_BQUOTE,
  [259806] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12830), 1,
      anon_sym_BQUOTE,
  [259813] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12834), 1,
      anon_sym_RPAREN,
  [259820] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12836), 1,
      anon_sym_BQUOTE,
  [259827] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12838), 1,
      anon_sym_RBRACE2,
  [259834] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12826), 1,
      anon_sym_BQUOTE,
  [259841] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12840), 1,
      anon_sym_RBRACE2,
  [259848] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12842), 1,
      anon_sym_RBRACE3,
  [259855] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12844), 1,
      anon_sym_RPAREN,
  [259862] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12846), 1,
      anon_sym_esac,
  [259869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12848), 1,
      aux_sym_heredoc_redirect_token1,
  [259876] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12844), 1,
      anon_sym_BQUOTE,
  [259883] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12850), 1,
      anon_sym_RPAREN,
  [259890] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12852), 1,
      anon_sym_RPAREN,
  [259897] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12854), 1,
      anon_sym_RBRACE2,
  [259904] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12856), 1,
      anon_sym_BQUOTE,
  [259911] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12858), 1,
      anon_sym_BQUOTE,
  [259918] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12860), 1,
      anon_sym_esac,
  [259925] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12862), 1,
      anon_sym_RBRACE3,
  [259932] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12864), 1,
      anon_sym_RBRACE2,
  [259939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12866), 1,
      aux_sym_heredoc_redirect_token1,
  [259946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12868), 1,
      aux_sym_heredoc_redirect_token1,
  [259953] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11795), 1,
      anon_sym_fi,
  [259960] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12870), 1,
      anon_sym_RBRACE3,
  [259967] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12872), 1,
      anon_sym_RPAREN,
  [259974] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12874), 1,
      anon_sym_LT_LT_LT,
  [259981] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12876), 1,
      anon_sym_BQUOTE,
  [259988] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12878), 1,
      anon_sym_RPAREN,
  [259995] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12880), 1,
      sym_word,
  [260002] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260009] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260016] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260023] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260030] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260037] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260044] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12872), 1,
      anon_sym_BQUOTE,
  [260051] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260058] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260065] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260072] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260079] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260086] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260093] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12882), 1,
      anon_sym_RPAREN,
  [260100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12884), 1,
      aux_sym_heredoc_redirect_token1,
  [260107] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12342), 1,
      aux_sym__simple_variable_name_token1,
  [260114] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_RBRACE3,
  [260121] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_RBRACE3,
  [260128] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12886), 1,
      sym_word,
  [260135] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_RBRACE3,
  [260142] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12888), 1,
      anon_sym_DOT_DOT,
  [260149] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_RBRACE3,
  [260156] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_RBRACE3,
  [260163] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11876), 1,
      anon_sym_RBRACE3,
  [260170] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12890), 1,
      anon_sym_RPAREN,
  [260177] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12892), 1,
      sym_heredoc_start,
  [260184] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260191] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260198] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12894), 1,
      aux_sym_brace_expression_token1,
  [260205] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260212] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260219] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11821), 1,
      anon_sym_RBRACE3,
  [260226] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11510), 1,
      anon_sym_RBRACE3,
  [260233] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12896), 1,
      anon_sym_RPAREN,
  [260240] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11973), 1,
      anon_sym_RBRACE3,
  [260247] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12898), 1,
      anon_sym_RPAREN,
  [260254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12900), 1,
      aux_sym_heredoc_redirect_token1,
  [260261] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12902), 1,
      anon_sym_RBRACE3,
  [260268] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12904), 1,
      anon_sym_BQUOTE,
  [260275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12906), 1,
      aux_sym_heredoc_redirect_token1,
  [260282] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12908), 1,
      anon_sym_BQUOTE,
  [260289] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12910), 1,
      anon_sym_RBRACE2,
  [260296] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12912), 1,
      anon_sym_RBRACE2,
  [260303] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12914), 1,
      sym_heredoc_start,
  [260310] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12916), 1,
      anon_sym_BQUOTE,
  [260317] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12898), 1,
      anon_sym_BQUOTE,
  [260324] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12918), 1,
      anon_sym_RBRACE3,
  [260331] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12920), 1,
      anon_sym_RBRACE3,
  [260338] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12922), 1,
      anon_sym_RBRACE3,
  [260345] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12904), 1,
      anon_sym_RPAREN,
  [260352] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12924), 1,
      anon_sym_RBRACE3,
  [260359] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7680), 1,
      anon_sym_RBRACK,
  [260366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12926), 1,
      aux_sym_heredoc_redirect_token1,
  [260373] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12928), 1,
      anon_sym_esac,
  [260380] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7658), 1,
      anon_sym_RBRACK,
  [260387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12930), 1,
      aux_sym_heredoc_redirect_token1,
  [260394] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12932), 1,
      anon_sym_RBRACE3,
  [260401] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12934), 1,
      anon_sym_esac,
  [260408] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12936), 1,
      anon_sym_RBRACE3,
  [260415] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12856), 1,
      anon_sym_RPAREN,
  [260422] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12938), 1,
      anon_sym_RBRACE3,
  [260429] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12940), 1,
      anon_sym_RPAREN,
  [260436] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11787), 1,
      anon_sym_fi,
  [260443] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12942), 1,
      anon_sym_RPAREN,
  [260450] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12944), 1,
      anon_sym_BQUOTE,
  [260457] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12942), 1,
      anon_sym_BQUOTE,
  [260464] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12946), 1,
      anon_sym_RBRACE2,
  [260471] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12948), 1,
      anon_sym_RPAREN,
  [260478] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12950), 1,
      anon_sym_in,
  [260485] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12952), 1,
      anon_sym_in,
  [260492] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12954), 1,
      anon_sym_RBRACE3,
  [260499] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12956), 1,
      anon_sym_RPAREN_RPAREN,
  [260506] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12958), 1,
      anon_sym_RBRACE2,
  [260513] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12960), 1,
      aux_sym_brace_expression_token1,
  [260520] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12962), 1,
      anon_sym_RBRACE3,
  [260527] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12964), 1,
      anon_sym_RPAREN,
  [260534] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
  [260541] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12966), 1,
      anon_sym_BQUOTE,
  [260548] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12964), 1,
      anon_sym_BQUOTE,
  [260555] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12968), 1,
      anon_sym_RBRACE3,
  [260562] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12970), 1,
      anon_sym_RPAREN,
  [260569] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12972), 1,
      anon_sym_BQUOTE,
  [260576] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12974), 1,
      anon_sym_BQUOTE,
  [260583] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12976), 1,
      anon_sym_BQUOTE,
  [260590] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12978), 1,
      anon_sym_RBRACE3,
  [260597] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12980), 1,
      anon_sym_RPAREN,
  [260604] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12982), 1,
      anon_sym_RPAREN,
  [260611] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12984), 1,
      anon_sym_RBRACE2,
  [260618] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7460), 1,
      anon_sym_RBRACK,
  [260625] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7452), 1,
      anon_sym_RBRACK,
  [260632] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12986), 1,
      anon_sym_BQUOTE,
  [260639] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12982), 1,
      anon_sym_BQUOTE,
  [260646] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12988), 1,
      anon_sym_RPAREN,
  [260653] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12990), 1,
      anon_sym_BQUOTE,
  [260660] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12992), 1,
      anon_sym_BQUOTE,
  [260667] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12990), 1,
      anon_sym_RPAREN,
  [260674] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12994), 1,
      anon_sym_RBRACE3,
  [260681] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12972), 1,
      anon_sym_RPAREN,
  [260688] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12996), 1,
      anon_sym_RBRACE3,
  [260695] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12998), 1,
      sym_heredoc_start,
  [260702] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12940), 1,
      anon_sym_BQUOTE,
  [260709] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13000), 1,
      anon_sym_RPAREN,
  [260716] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13002), 1,
      anon_sym_RPAREN,
  [260723] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13004), 1,
      anon_sym_RPAREN,
  [260730] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13006), 1,
      anon_sym_RBRACE2,
  [260737] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13008), 1,
      anon_sym_BQUOTE,
  [260744] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
  [260751] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
  [260758] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
  [260765] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13010), 1,
      anon_sym_BQUOTE,
  [260772] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13012), 1,
      anon_sym_RPAREN,
  [260779] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13004), 1,
      anon_sym_BQUOTE,
  [260786] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13014), 1,
      anon_sym_RBRACE2,
  [260793] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13016), 1,
      anon_sym_BQUOTE,
  [260800] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13018), 1,
      anon_sym_BQUOTE,
  [260807] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13020), 1,
      anon_sym_RBRACE3,
  [260814] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13016), 1,
      anon_sym_RPAREN,
  [260821] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13022), 1,
      anon_sym_BQUOTE,
  [260828] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
  [260835] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
  [260842] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13024), 1,
      anon_sym_BQUOTE,
  [260849] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13026), 1,
      anon_sym_LBRACK,
  [260856] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13022), 1,
      anon_sym_RPAREN,
  [260863] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13028), 1,
      anon_sym_BQUOTE,
  [260870] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_RBRACE3,
  [260877] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_RBRACE3,
  [260884] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_RBRACE3,
  [260891] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_RBRACE3,
  [260898] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_RBRACE3,
  [260905] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_RBRACE3,
  [260912] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
  [260919] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
  [260926] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
  [260933] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
  [260940] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
  [260947] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11899), 1,
      anon_sym_RBRACE3,
  [260954] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13030), 1,
      anon_sym_BQUOTE,
  [260961] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13032), 1,
      anon_sym_RBRACE2,
  [260968] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13034), 1,
      anon_sym_RBRACE2,
  [260975] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13036), 1,
      anon_sym_RPAREN,
  [260982] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13028), 1,
      anon_sym_RPAREN,
  [260989] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13038), 1,
      anon_sym_RBRACE3,
  [260996] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13040), 1,
      anon_sym_RBRACE3,
  [261003] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12326), 1,
      aux_sym__simple_variable_name_token1,
  [261010] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13042), 1,
      anon_sym_BQUOTE,
  [261017] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13044), 1,
      anon_sym_RPAREN,
  [261024] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13046), 1,
      sym_word,
  [261031] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13048), 1,
      anon_sym_DOT_DOT,
  [261038] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13050), 1,
      anon_sym_BQUOTE,
  [261045] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13052), 1,
      anon_sym_BQUOTE,
  [261052] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13054), 1,
      anon_sym_RPAREN,
  [261059] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13056), 1,
      sym_heredoc_start,
  [261066] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13058), 1,
      anon_sym_BQUOTE,
  [261073] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13060), 1,
      anon_sym_BQUOTE,
  [261080] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13050), 1,
      anon_sym_RPAREN,
  [261087] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13062), 1,
      sym_heredoc_start,
  [261094] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13042), 1,
      anon_sym_RPAREN,
  [261101] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13064), 1,
      anon_sym_RBRACE3,
  [261108] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13066), 1,
      anon_sym_RBRACE3,
  [261115] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13068), 1,
      anon_sym_in,
  [261122] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13070), 1,
      anon_sym_in,
  [261129] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13036), 1,
      anon_sym_BQUOTE,
  [261136] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12564), 1,
      anon_sym_RPAREN,
  [261143] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13072), 1,
      anon_sym_RBRACE3,
  [261150] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13074), 1,
      anon_sym_RPAREN,
  [261157] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13076), 1,
      anon_sym_RPAREN,
  [261164] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13078), 1,
      anon_sym_RPAREN,
  [261171] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13080), 1,
      anon_sym_BQUOTE,
  [261178] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13082), 1,
      anon_sym_RPAREN_RPAREN,
  [261185] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13084), 1,
      anon_sym_BQUOTE,
  [261192] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13074), 1,
      anon_sym_BQUOTE,
  [261199] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13086), 1,
      aux_sym_brace_expression_token1,
  [261206] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13088), 1,
      anon_sym_RPAREN,
  [261213] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13090), 1,
      anon_sym_RBRACE2,
  [261220] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13092), 1,
      anon_sym_BQUOTE,
  [261227] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13094), 1,
      anon_sym_RPAREN,
  [261234] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13096), 1,
      anon_sym_BQUOTE,
  [261241] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13098), 1,
      anon_sym_LT_LT_LT,
  [261248] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13084), 1,
      anon_sym_RPAREN,
  [261255] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13100), 1,
      anon_sym_RBRACE3,
  [261262] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13102), 1,
      anon_sym_BQUOTE,
  [261269] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13104), 1,
      anon_sym_RPAREN,
  [261276] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13106), 1,
      sym_heredoc_start,
  [261283] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13108), 1,
      anon_sym_BQUOTE,
  [261290] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13096), 1,
      anon_sym_RPAREN,
  [261297] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13110), 1,
      anon_sym_RPAREN,
  [261304] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13112), 1,
      anon_sym_RPAREN,
  [261311] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13114), 1,
      anon_sym_BQUOTE,
  [261318] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13116), 1,
      anon_sym_BQUOTE,
  [261325] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13114), 1,
      anon_sym_RPAREN,
  [261332] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13118), 1,
      anon_sym_RBRACE3,
  [261339] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13120), 1,
      anon_sym_RBRACE2,
  [261346] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13122), 1,
      anon_sym_RBRACE3,
  [261353] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13124), 1,
      anon_sym_BQUOTE,
  [261360] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13126), 1,
      anon_sym_RBRACE2,
  [261367] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13128), 1,
      anon_sym_RBRACE3,
  [261374] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13130), 1,
      anon_sym_BQUOTE,
  [261381] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13132), 1,
      anon_sym_RPAREN,
  [261388] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13124), 1,
      anon_sym_RPAREN,
  [261395] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13134), 1,
      anon_sym_RBRACE3,
  [261402] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13136), 1,
      anon_sym_BQUOTE,
  [261409] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13132), 1,
      anon_sym_BQUOTE,
  [261416] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13138), 1,
      anon_sym_RPAREN,
  [261423] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13140), 1,
      anon_sym_RPAREN,
  [261430] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13142), 1,
      anon_sym_BQUOTE,
  [261437] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13144), 1,
      anon_sym_esac,
  [261444] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13146), 1,
      anon_sym_esac,
  [261451] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13148), 1,
      anon_sym_BQUOTE,
  [261458] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13142), 1,
      anon_sym_RPAREN,
  [261465] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13150), 1,
      anon_sym_RBRACE3,
  [261472] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13152), 1,
      anon_sym_RBRACE3,
  [261479] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13154), 1,
      anon_sym_RPAREN,
  [261486] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13156), 1,
      anon_sym_esac,
  [261493] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13158), 1,
      anon_sym_esac,
  [261500] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13160), 1,
      anon_sym_fi,
  [261507] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13162), 1,
      anon_sym_BQUOTE,
  [261514] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13164), 1,
      anon_sym_BQUOTE,
  [261521] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13166), 1,
      anon_sym_BQUOTE,
  [261528] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13168), 1,
      anon_sym_RBRACE2,
  [261535] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13162), 1,
      anon_sym_RPAREN,
  [261542] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13170), 1,
      anon_sym_RBRACE3,
  [261549] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13172), 1,
      anon_sym_RPAREN,
  [261556] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13154), 1,
      anon_sym_BQUOTE,
  [261563] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13174), 1,
      sym_word,
  [261570] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13176), 1,
      anon_sym_DOT_DOT,
  [261577] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13178), 1,
      anon_sym_BQUOTE,
  [261584] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13180), 1,
      anon_sym_RPAREN,
  [261591] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13182), 1,
      sym_heredoc_start,
  [261598] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13184), 1,
      anon_sym_BQUOTE,
  [261605] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13186), 1,
      anon_sym_RPAREN,
  [261612] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13188), 1,
      sym_heredoc_start,
  [261619] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13190), 1,
      sym_heredoc_end,
  [261626] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13192), 1,
      anon_sym_RPAREN,
  [261633] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13194), 1,
      sym_heredoc_end,
  [261640] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13196), 1,
      anon_sym_BQUOTE,
  [261647] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13178), 1,
      anon_sym_RPAREN,
  [261654] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13198), 1,
      anon_sym_esac,
  [261661] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13200), 1,
      anon_sym_RBRACE3,
  [261668] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13202), 1,
      anon_sym_esac,
  [261675] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13204), 1,
      anon_sym_RBRACE3,
  [261682] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11807), 1,
      anon_sym_fi,
  [261689] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13206), 1,
      anon_sym_RPAREN,
  [261696] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13208), 1,
      anon_sym_BQUOTE,
  [261703] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13210), 1,
      sym_word,
  [261710] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13212), 1,
      anon_sym_DOT_DOT,
  [261717] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13214), 1,
      anon_sym_RPAREN,
  [261724] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13196), 1,
      anon_sym_RPAREN,
  [261731] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13216), 1,
      anon_sym_DOT_DOT,
  [261738] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13218), 1,
      anon_sym_RBRACE3,
  [261745] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13220), 1,
      anon_sym_RBRACE2,
  [261752] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13222), 1,
      anon_sym_BQUOTE,
  [261759] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13224), 1,
      anon_sym_BQUOTE,
  [261766] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13226), 1,
      anon_sym_esac,
  [261773] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13228), 1,
      anon_sym_BQUOTE,
  [261780] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13230), 1,
      anon_sym_esac,
  [261787] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13206), 1,
      anon_sym_BQUOTE,
  [261794] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(11819), 1,
      anon_sym_fi,
  [261801] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13222), 1,
      anon_sym_RPAREN,
  [261808] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13232), 1,
      anon_sym_RBRACE3,
  [261815] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13234), 1,
      anon_sym_RBRACE3,
  [261822] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13236), 1,
      anon_sym_DOT_DOT,
  [261829] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13238), 1,
      anon_sym_BQUOTE,
  [261836] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13240), 1,
      anon_sym_DOT_DOT,
  [261843] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13242), 1,
      anon_sym_DOT_DOT,
  [261850] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13244), 1,
      anon_sym_DOT_DOT,
  [261857] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13246), 1,
      anon_sym_DOT_DOT,
  [261864] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13248), 1,
      anon_sym_DOT_DOT,
  [261871] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13250), 1,
      anon_sym_DOT_DOT,
  [261878] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13252), 1,
      anon_sym_DOT_DOT,
  [261885] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13254), 1,
      anon_sym_DOT_DOT,
  [261892] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13256), 1,
      anon_sym_DOT_DOT,
  [261899] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13258), 1,
      anon_sym_DOT_DOT,
  [261906] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13260), 1,
      anon_sym_DOT_DOT,
  [261913] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13262), 1,
      anon_sym_DOT_DOT,
  [261920] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13264), 1,
      anon_sym_DOT_DOT,
  [261927] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13266), 1,
      anon_sym_DOT_DOT,
  [261934] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13268), 1,
      anon_sym_DOT_DOT,
  [261941] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13270), 1,
      anon_sym_DOT_DOT,
  [261948] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13272), 1,
      anon_sym_DOT_DOT,
  [261955] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13274), 1,
      anon_sym_DOT_DOT,
  [261962] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13276), 1,
      anon_sym_DOT_DOT,
  [261969] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13278), 1,
      anon_sym_DOT_DOT,
  [261976] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13280), 1,
      anon_sym_DOT_DOT,
  [261983] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13282), 1,
      anon_sym_DOT_DOT,
  [261990] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13284), 1,
      anon_sym_DOT_DOT,
  [261997] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13286), 1,
      anon_sym_DOT_DOT,
  [262004] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13288), 1,
      anon_sym_DOT_DOT,
  [262011] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13290), 1,
      anon_sym_DOT_DOT,
  [262018] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13292), 1,
      anon_sym_DOT_DOT,
  [262025] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13294), 1,
      anon_sym_DOT_DOT,
  [262032] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13296), 1,
      anon_sym_DOT_DOT,
  [262039] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13298), 1,
      anon_sym_DOT_DOT,
  [262046] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13300), 1,
      anon_sym_DOT_DOT,
  [262053] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13302), 1,
      anon_sym_DOT_DOT,
  [262060] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13304), 1,
      anon_sym_DOT_DOT,
  [262067] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13306), 1,
      anon_sym_DOT_DOT,
  [262074] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13308), 1,
      anon_sym_DOT_DOT,
  [262081] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13310), 1,
      anon_sym_DOT_DOT,
  [262088] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13312), 1,
      anon_sym_DOT_DOT,
  [262095] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13314), 1,
      anon_sym_DOT_DOT,
  [262102] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13316), 1,
      anon_sym_DOT_DOT,
  [262109] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13318), 1,
      anon_sym_DOT_DOT,
  [262116] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13320), 1,
      anon_sym_DOT_DOT,
  [262123] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13322), 1,
      aux_sym_brace_expression_token1,
  [262130] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13324), 1,
      anon_sym_BQUOTE,
  [262137] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13326), 1,
      anon_sym_RBRACE2,
  [262144] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13208), 1,
      anon_sym_RPAREN,
  [262151] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13328), 1,
      ts_builtin_sym_end,
  [262158] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13330), 1,
      ts_builtin_sym_end,
  [262165] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7660), 1,
      anon_sym_RBRACK,
  [262172] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13238), 1,
      anon_sym_RPAREN,
  [262179] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13332), 1,
      anon_sym_LT_LT_LT,
  [262186] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(7572), 1,
      anon_sym_RBRACK,
  [262193] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13334), 1,
      anon_sym_RBRACE2,
  [262200] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13336), 1,
      aux_sym_brace_expression_token1,
  [262207] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13338), 1,
      sym_word,
  [262214] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(12354), 1,
      aux_sym__simple_variable_name_token1,
  [262221] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13340), 1,
      anon_sym_RBRACE3,
  [262228] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13342), 1,
      anon_sym_LT_LT_LT,
  [262235] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13344), 1,
      aux_sym_brace_expression_token1,
  [262242] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13346), 1,
      aux_sym_brace_expression_token1,
  [262249] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13348), 1,
      aux_sym_brace_expression_token1,
  [262256] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13350), 1,
      aux_sym_brace_expression_token1,
  [262263] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13352), 1,
      aux_sym_brace_expression_token1,
  [262270] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13354), 1,
      aux_sym_brace_expression_token1,
  [262277] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13356), 1,
      aux_sym_brace_expression_token1,
  [262284] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13358), 1,
      aux_sym_brace_expression_token1,
  [262291] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13360), 1,
      aux_sym_brace_expression_token1,
  [262298] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13362), 1,
      aux_sym_brace_expression_token1,
  [262305] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13364), 1,
      aux_sym_brace_expression_token1,
  [262312] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13366), 1,
      aux_sym_brace_expression_token1,
  [262319] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13368), 1,
      aux_sym_brace_expression_token1,
  [262326] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13370), 1,
      aux_sym_brace_expression_token1,
  [262333] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13372), 1,
      aux_sym_brace_expression_token1,
  [262340] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13374), 1,
      aux_sym_brace_expression_token1,
  [262347] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13376), 1,
      aux_sym_brace_expression_token1,
  [262354] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13378), 1,
      aux_sym_brace_expression_token1,
  [262361] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13380), 1,
      aux_sym_brace_expression_token1,
  [262368] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13382), 1,
      aux_sym_brace_expression_token1,
  [262375] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13384), 1,
      aux_sym_brace_expression_token1,
  [262382] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13386), 1,
      aux_sym_brace_expression_token1,
  [262389] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13388), 1,
      aux_sym_brace_expression_token1,
  [262396] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13390), 1,
      aux_sym_brace_expression_token1,
  [262403] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13392), 1,
      aux_sym_brace_expression_token1,
  [262410] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13394), 1,
      aux_sym_brace_expression_token1,
  [262417] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13396), 1,
      aux_sym_brace_expression_token1,
  [262424] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13398), 1,
      aux_sym_brace_expression_token1,
  [262431] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13400), 1,
      aux_sym_brace_expression_token1,
  [262438] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13402), 1,
      aux_sym_brace_expression_token1,
  [262445] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13404), 1,
      aux_sym_brace_expression_token1,
  [262452] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13406), 1,
      aux_sym_brace_expression_token1,
  [262459] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13408), 1,
      aux_sym_brace_expression_token1,
  [262466] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13410), 1,
      aux_sym_brace_expression_token1,
  [262473] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13412), 1,
      aux_sym_brace_expression_token1,
  [262480] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13414), 1,
      aux_sym_brace_expression_token1,
  [262487] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13416), 1,
      aux_sym_brace_expression_token1,
  [262494] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13418), 1,
      aux_sym_brace_expression_token1,
  [262501] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13420), 1,
      aux_sym_brace_expression_token1,
  [262508] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13422), 1,
      aux_sym_brace_expression_token1,
  [262515] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13424), 1,
      aux_sym_brace_expression_token1,
  [262522] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13426), 1,
      aux_sym_brace_expression_token1,
  [262529] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13428), 1,
      aux_sym_brace_expression_token1,
  [262536] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13430), 1,
      aux_sym_brace_expression_token1,
  [262543] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13432), 1,
      aux_sym_brace_expression_token1,
  [262550] = 2,
    ACTIONS(71), 1,
      sym_comment,
    ACTIONS(13434), 1,
      anon_sym_BQUOTE,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(426)] = 0,
  [SMALL_STATE(427)] = 120,
  [SMALL_STATE(428)] = 240,
  [SMALL_STATE(429)] = 359,
  [SMALL_STATE(430)] = 478,
  [SMALL_STATE(431)] = 594,
  [SMALL_STATE(432)] = 712,
  [SMALL_STATE(433)] = 826,
  [SMALL_STATE(434)] = 944,
  [SMALL_STATE(435)] = 1062,
  [SMALL_STATE(436)] = 1176,
  [SMALL_STATE(437)] = 1294,
  [SMALL_STATE(438)] = 1411,
  [SMALL_STATE(439)] = 1486,
  [SMALL_STATE(440)] = 1601,
  [SMALL_STATE(441)] = 1714,
  [SMALL_STATE(442)] = 1831,
  [SMALL_STATE(443)] = 1940,
  [SMALL_STATE(444)] = 2049,
  [SMALL_STATE(445)] = 2162,
  [SMALL_STATE(446)] = 2237,
  [SMALL_STATE(447)] = 2352,
  [SMALL_STATE(448)] = 2467,
  [SMALL_STATE(449)] = 2576,
  [SMALL_STATE(450)] = 2650,
  [SMALL_STATE(451)] = 2758,
  [SMALL_STATE(452)] = 2866,
  [SMALL_STATE(453)] = 2974,
  [SMALL_STATE(454)] = 3048,
  [SMALL_STATE(455)] = 3160,
  [SMALL_STATE(456)] = 3272,
  [SMALL_STATE(457)] = 3346,
  [SMALL_STATE(458)] = 3460,
  [SMALL_STATE(459)] = 3572,
  [SMALL_STATE(460)] = 3686,
  [SMALL_STATE(461)] = 3798,
  [SMALL_STATE(462)] = 3872,
  [SMALL_STATE(463)] = 3945,
  [SMALL_STATE(464)] = 4046,
  [SMALL_STATE(465)] = 4119,
  [SMALL_STATE(466)] = 4190,
  [SMALL_STATE(467)] = 4297,
  [SMALL_STATE(468)] = 4368,
  [SMALL_STATE(469)] = 4441,
  [SMALL_STATE(470)] = 4514,
  [SMALL_STATE(471)] = 4625,
  [SMALL_STATE(472)] = 4732,
  [SMALL_STATE(473)] = 4841,
  [SMALL_STATE(474)] = 4954,
  [SMALL_STATE(475)] = 5061,
  [SMALL_STATE(476)] = 5170,
  [SMALL_STATE(477)] = 5277,
  [SMALL_STATE(478)] = 5388,
  [SMALL_STATE(479)] = 5461,
  [SMALL_STATE(480)] = 5568,
  [SMALL_STATE(481)] = 5675,
  [SMALL_STATE(482)] = 5748,
  [SMALL_STATE(483)] = 5820,
  [SMALL_STATE(484)] = 5884,
  [SMALL_STATE(485)] = 5956,
  [SMALL_STATE(486)] = 6060,
  [SMALL_STATE(487)] = 6166,
  [SMALL_STATE(488)] = 6268,
  [SMALL_STATE(489)] = 6340,
  [SMALL_STATE(490)] = 6412,
  [SMALL_STATE(491)] = 6526,
  [SMALL_STATE(492)] = 6598,
  [SMALL_STATE(493)] = 6668,
  [SMALL_STATE(494)] = 6740,
  [SMALL_STATE(495)] = 6812,
  [SMALL_STATE(496)] = 6912,
  [SMALL_STATE(497)] = 6982,
  [SMALL_STATE(498)] = 7088,
  [SMALL_STATE(499)] = 7190,
  [SMALL_STATE(500)] = 7260,
  [SMALL_STATE(501)] = 7366,
  [SMALL_STATE(502)] = 7470,
  [SMALL_STATE(503)] = 7584,
  [SMALL_STATE(504)] = 7656,
  [SMALL_STATE(505)] = 7758,
  [SMALL_STATE(506)] = 7828,
  [SMALL_STATE(507)] = 7899,
  [SMALL_STATE(508)] = 8030,
  [SMALL_STATE(509)] = 8131,
  [SMALL_STATE(510)] = 8232,
  [SMALL_STATE(511)] = 8301,
  [SMALL_STATE(512)] = 8400,
  [SMALL_STATE(513)] = 8531,
  [SMALL_STATE(514)] = 8662,
  [SMALL_STATE(515)] = 8729,
  [SMALL_STATE(516)] = 8860,
  [SMALL_STATE(517)] = 8975,
  [SMALL_STATE(518)] = 9074,
  [SMALL_STATE(519)] = 9145,
  [SMALL_STATE(520)] = 9212,
  [SMALL_STATE(521)] = 9283,
  [SMALL_STATE(522)] = 9354,
  [SMALL_STATE(523)] = 9425,
  [SMALL_STATE(524)] = 9526,
  [SMALL_STATE(525)] = 9657,
  [SMALL_STATE(526)] = 9756,
  [SMALL_STATE(527)] = 9855,
  [SMALL_STATE(528)] = 9924,
  [SMALL_STATE(529)] = 10055,
  [SMALL_STATE(530)] = 10122,
  [SMALL_STATE(531)] = 10253,
  [SMALL_STATE(532)] = 10384,
  [SMALL_STATE(533)] = 10453,
  [SMALL_STATE(534)] = 10520,
  [SMALL_STATE(535)] = 10589,
  [SMALL_STATE(536)] = 10658,
  [SMALL_STATE(537)] = 10729,
  [SMALL_STATE(538)] = 10844,
  [SMALL_STATE(539)] = 10943,
  [SMALL_STATE(540)] = 11012,
  [SMALL_STATE(541)] = 11080,
  [SMALL_STATE(542)] = 11188,
  [SMALL_STATE(543)] = 11288,
  [SMALL_STATE(544)] = 11388,
  [SMALL_STATE(545)] = 11488,
  [SMALL_STATE(546)] = 11586,
  [SMALL_STATE(547)] = 11696,
  [SMALL_STATE(548)] = 11804,
  [SMALL_STATE(549)] = 11874,
  [SMALL_STATE(550)] = 11972,
  [SMALL_STATE(551)] = 12042,
  [SMALL_STATE(552)] = 12170,
  [SMALL_STATE(553)] = 12240,
  [SMALL_STATE(554)] = 12308,
  [SMALL_STATE(555)] = 12378,
  [SMALL_STATE(556)] = 12446,
  [SMALL_STATE(557)] = 12514,
  [SMALL_STATE(558)] = 12584,
  [SMALL_STATE(559)] = 12652,
  [SMALL_STATE(560)] = 12752,
  [SMALL_STATE(561)] = 12850,
  [SMALL_STATE(562)] = 12948,
  [SMALL_STATE(563)] = 13018,
  [SMALL_STATE(564)] = 13116,
  [SMALL_STATE(565)] = 13244,
  [SMALL_STATE(566)] = 13372,
  [SMALL_STATE(567)] = 13442,
  [SMALL_STATE(568)] = 13570,
  [SMALL_STATE(569)] = 13638,
  [SMALL_STATE(570)] = 13738,
  [SMALL_STATE(571)] = 13808,
  [SMALL_STATE(572)] = 13878,
  [SMALL_STATE(573)] = 14006,
  [SMALL_STATE(574)] = 14104,
  [SMALL_STATE(575)] = 14174,
  [SMALL_STATE(576)] = 14302,
  [SMALL_STATE(577)] = 14402,
  [SMALL_STATE(578)] = 14530,
  [SMALL_STATE(579)] = 14599,
  [SMALL_STATE(580)] = 14668,
  [SMALL_STATE(581)] = 14793,
  [SMALL_STATE(582)] = 14918,
  [SMALL_STATE(583)] = 15043,
  [SMALL_STATE(584)] = 15142,
  [SMALL_STATE(585)] = 15239,
  [SMALL_STATE(586)] = 15342,
  [SMALL_STATE(587)] = 15439,
  [SMALL_STATE(588)] = 15538,
  [SMALL_STATE(589)] = 15635,
  [SMALL_STATE(590)] = 15732,
  [SMALL_STATE(591)] = 15857,
  [SMALL_STATE(592)] = 15960,
  [SMALL_STATE(593)] = 16029,
  [SMALL_STATE(594)] = 16098,
  [SMALL_STATE(595)] = 16167,
  [SMALL_STATE(596)] = 16264,
  [SMALL_STATE(597)] = 16361,
  [SMALL_STATE(598)] = 16458,
  [SMALL_STATE(599)] = 16555,
  [SMALL_STATE(600)] = 16680,
  [SMALL_STATE(601)] = 16789,
  [SMALL_STATE(602)] = 16900,
  [SMALL_STATE(603)] = 16969,
  [SMALL_STATE(604)] = 17038,
  [SMALL_STATE(605)] = 17107,
  [SMALL_STATE(606)] = 17174,
  [SMALL_STATE(607)] = 17271,
  [SMALL_STATE(608)] = 17368,
  [SMALL_STATE(609)] = 17435,
  [SMALL_STATE(610)] = 17534,
  [SMALL_STATE(611)] = 17659,
  [SMALL_STATE(612)] = 17784,
  [SMALL_STATE(613)] = 17887,
  [SMALL_STATE(614)] = 17956,
  [SMALL_STATE(615)] = 18025,
  [SMALL_STATE(616)] = 18094,
  [SMALL_STATE(617)] = 18163,
  [SMALL_STATE(618)] = 18272,
  [SMALL_STATE(619)] = 18397,
  [SMALL_STATE(620)] = 18465,
  [SMALL_STATE(621)] = 18525,
  [SMALL_STATE(622)] = 18621,
  [SMALL_STATE(623)] = 18689,
  [SMALL_STATE(624)] = 18757,
  [SMALL_STATE(625)] = 18825,
  [SMALL_STATE(626)] = 18919,
  [SMALL_STATE(627)] = 18987,
  [SMALL_STATE(628)] = 19055,
  [SMALL_STATE(629)] = 19149,
  [SMALL_STATE(630)] = 19245,
  [SMALL_STATE(631)] = 19341,
  [SMALL_STATE(632)] = 19401,
  [SMALL_STATE(633)] = 19497,
  [SMALL_STATE(634)] = 19565,
  [SMALL_STATE(635)] = 19633,
  [SMALL_STATE(636)] = 19701,
  [SMALL_STATE(637)] = 19769,
  [SMALL_STATE(638)] = 19873,
  [SMALL_STATE(639)] = 19977,
  [SMALL_STATE(640)] = 20045,
  [SMALL_STATE(641)] = 20141,
  [SMALL_STATE(642)] = 20203,
  [SMALL_STATE(643)] = 20271,
  [SMALL_STATE(644)] = 20375,
  [SMALL_STATE(645)] = 20443,
  [SMALL_STATE(646)] = 20511,
  [SMALL_STATE(647)] = 20573,
  [SMALL_STATE(648)] = 20669,
  [SMALL_STATE(649)] = 20765,
  [SMALL_STATE(650)] = 20858,
  [SMALL_STATE(651)] = 20969,
  [SMALL_STATE(652)] = 21034,
  [SMALL_STATE(653)] = 21131,
  [SMALL_STATE(654)] = 21242,
  [SMALL_STATE(655)] = 21307,
  [SMALL_STATE(656)] = 21372,
  [SMALL_STATE(657)] = 21433,
  [SMALL_STATE(658)] = 21500,
  [SMALL_STATE(659)] = 21567,
  [SMALL_STATE(660)] = 21678,
  [SMALL_STATE(661)] = 21751,
  [SMALL_STATE(662)] = 21830,
  [SMALL_STATE(663)] = 21895,
  [SMALL_STATE(664)] = 21988,
  [SMALL_STATE(665)] = 22053,
  [SMALL_STATE(666)] = 22112,
  [SMALL_STATE(667)] = 22223,
  [SMALL_STATE(668)] = 22288,
  [SMALL_STATE(669)] = 22355,
  [SMALL_STATE(670)] = 22422,
  [SMALL_STATE(671)] = 22489,
  [SMALL_STATE(672)] = 22554,
  [SMALL_STATE(673)] = 22621,
  [SMALL_STATE(674)] = 22686,
  [SMALL_STATE(675)] = 22751,
  [SMALL_STATE(676)] = 22862,
  [SMALL_STATE(677)] = 22973,
  [SMALL_STATE(678)] = 23068,
  [SMALL_STATE(679)] = 23163,
  [SMALL_STATE(680)] = 23234,
  [SMALL_STATE(681)] = 23313,
  [SMALL_STATE(682)] = 23380,
  [SMALL_STATE(683)] = 23441,
  [SMALL_STATE(684)] = 23552,
  [SMALL_STATE(685)] = 23647,
  [SMALL_STATE(686)] = 23712,
  [SMALL_STATE(687)] = 23823,
  [SMALL_STATE(688)] = 23919,
  [SMALL_STATE(689)] = 23977,
  [SMALL_STATE(690)] = 24055,
  [SMALL_STATE(691)] = 24113,
  [SMALL_STATE(692)] = 24171,
  [SMALL_STATE(693)] = 24229,
  [SMALL_STATE(694)] = 24295,
  [SMALL_STATE(695)] = 24359,
  [SMALL_STATE(696)] = 24417,
  [SMALL_STATE(697)] = 24475,
  [SMALL_STATE(698)] = 24571,
  [SMALL_STATE(699)] = 24629,
  [SMALL_STATE(700)] = 24687,
  [SMALL_STATE(701)] = 24751,
  [SMALL_STATE(702)] = 24815,
  [SMALL_STATE(703)] = 24879,
  [SMALL_STATE(704)] = 24937,
  [SMALL_STATE(705)] = 25001,
  [SMALL_STATE(706)] = 25065,
  [SMALL_STATE(707)] = 25131,
  [SMALL_STATE(708)] = 25195,
  [SMALL_STATE(709)] = 25259,
  [SMALL_STATE(710)] = 25325,
  [SMALL_STATE(711)] = 25421,
  [SMALL_STATE(712)] = 25485,
  [SMALL_STATE(713)] = 25543,
  [SMALL_STATE(714)] = 25615,
  [SMALL_STATE(715)] = 25693,
  [SMALL_STATE(716)] = 25751,
  [SMALL_STATE(717)] = 25815,
  [SMALL_STATE(718)] = 25881,
  [SMALL_STATE(719)] = 25947,
  [SMALL_STATE(720)] = 26005,
  [SMALL_STATE(721)] = 26069,
  [SMALL_STATE(722)] = 26133,
  [SMALL_STATE(723)] = 26197,
  [SMALL_STATE(724)] = 26261,
  [SMALL_STATE(725)] = 26319,
  [SMALL_STATE(726)] = 26415,
  [SMALL_STATE(727)] = 26479,
  [SMALL_STATE(728)] = 26543,
  [SMALL_STATE(729)] = 26613,
  [SMALL_STATE(730)] = 26677,
  [SMALL_STATE(731)] = 26735,
  [SMALL_STATE(732)] = 26793,
  [SMALL_STATE(733)] = 26857,
  [SMALL_STATE(734)] = 26915,
  [SMALL_STATE(735)] = 26979,
  [SMALL_STATE(736)] = 27037,
  [SMALL_STATE(737)] = 27101,
  [SMALL_STATE(738)] = 27159,
  [SMALL_STATE(739)] = 27223,
  [SMALL_STATE(740)] = 27287,
  [SMALL_STATE(741)] = 27345,
  [SMALL_STATE(742)] = 27409,
  [SMALL_STATE(743)] = 27466,
  [SMALL_STATE(744)] = 27523,
  [SMALL_STATE(745)] = 27592,
  [SMALL_STATE(746)] = 27689,
  [SMALL_STATE(747)] = 27782,
  [SMALL_STATE(748)] = 27845,
  [SMALL_STATE(749)] = 27940,
  [SMALL_STATE(750)] = 28033,
  [SMALL_STATE(751)] = 28098,
  [SMALL_STATE(752)] = 28163,
  [SMALL_STATE(753)] = 28220,
  [SMALL_STATE(754)] = 28277,
  [SMALL_STATE(755)] = 28340,
  [SMALL_STATE(756)] = 28403,
  [SMALL_STATE(757)] = 28466,
  [SMALL_STATE(758)] = 28527,
  [SMALL_STATE(759)] = 28638,
  [SMALL_STATE(760)] = 28749,
  [SMALL_STATE(761)] = 28812,
  [SMALL_STATE(762)] = 28875,
  [SMALL_STATE(763)] = 28932,
  [SMALL_STATE(764)] = 28997,
  [SMALL_STATE(765)] = 29060,
  [SMALL_STATE(766)] = 29131,
  [SMALL_STATE(767)] = 29226,
  [SMALL_STATE(768)] = 29291,
  [SMALL_STATE(769)] = 29354,
  [SMALL_STATE(770)] = 29411,
  [SMALL_STATE(771)] = 29468,
  [SMALL_STATE(772)] = 29525,
  [SMALL_STATE(773)] = 29618,
  [SMALL_STATE(774)] = 29681,
  [SMALL_STATE(775)] = 29744,
  [SMALL_STATE(776)] = 29801,
  [SMALL_STATE(777)] = 29872,
  [SMALL_STATE(778)] = 29935,
  [SMALL_STATE(779)] = 30000,
  [SMALL_STATE(780)] = 30063,
  [SMALL_STATE(781)] = 30126,
  [SMALL_STATE(782)] = 30189,
  [SMALL_STATE(783)] = 30252,
  [SMALL_STATE(784)] = 30349,
  [SMALL_STATE(785)] = 30444,
  [SMALL_STATE(786)] = 30501,
  [SMALL_STATE(787)] = 30566,
  [SMALL_STATE(788)] = 30663,
  [SMALL_STATE(789)] = 30774,
  [SMALL_STATE(790)] = 30851,
  [SMALL_STATE(791)] = 30914,
  [SMALL_STATE(792)] = 30971,
  [SMALL_STATE(793)] = 31048,
  [SMALL_STATE(794)] = 31105,
  [SMALL_STATE(795)] = 31162,
  [SMALL_STATE(796)] = 31219,
  [SMALL_STATE(797)] = 31276,
  [SMALL_STATE(798)] = 31339,
  [SMALL_STATE(799)] = 31402,
  [SMALL_STATE(800)] = 31459,
  [SMALL_STATE(801)] = 31516,
  [SMALL_STATE(802)] = 31579,
  [SMALL_STATE(803)] = 31648,
  [SMALL_STATE(804)] = 31759,
  [SMALL_STATE(805)] = 31822,
  [SMALL_STATE(806)] = 31879,
  [SMALL_STATE(807)] = 31990,
  [SMALL_STATE(808)] = 32047,
  [SMALL_STATE(809)] = 32110,
  [SMALL_STATE(810)] = 32173,
  [SMALL_STATE(811)] = 32234,
  [SMALL_STATE(812)] = 32311,
  [SMALL_STATE(813)] = 32422,
  [SMALL_STATE(814)] = 32485,
  [SMALL_STATE(815)] = 32596,
  [SMALL_STATE(816)] = 32673,
  [SMALL_STATE(817)] = 32784,
  [SMALL_STATE(818)] = 32847,
  [SMALL_STATE(819)] = 32910,
  [SMALL_STATE(820)] = 32966,
  [SMALL_STATE(821)] = 33028,
  [SMALL_STATE(822)] = 33102,
  [SMALL_STATE(823)] = 33164,
  [SMALL_STATE(824)] = 33220,
  [SMALL_STATE(825)] = 33276,
  [SMALL_STATE(826)] = 33332,
  [SMALL_STATE(827)] = 33396,
  [SMALL_STATE(828)] = 33456,
  [SMALL_STATE(829)] = 33512,
  [SMALL_STATE(830)] = 33574,
  [SMALL_STATE(831)] = 33630,
  [SMALL_STATE(832)] = 33686,
  [SMALL_STATE(833)] = 33748,
  [SMALL_STATE(834)] = 33810,
  [SMALL_STATE(835)] = 33872,
  [SMALL_STATE(836)] = 33934,
  [SMALL_STATE(837)] = 33990,
  [SMALL_STATE(838)] = 34084,
  [SMALL_STATE(839)] = 34158,
  [SMALL_STATE(840)] = 34214,
  [SMALL_STATE(841)] = 34276,
  [SMALL_STATE(842)] = 34338,
  [SMALL_STATE(843)] = 34400,
  [SMALL_STATE(844)] = 34462,
  [SMALL_STATE(845)] = 34554,
  [SMALL_STATE(846)] = 34646,
  [SMALL_STATE(847)] = 34702,
  [SMALL_STATE(848)] = 34796,
  [SMALL_STATE(849)] = 34860,
  [SMALL_STATE(850)] = 34916,
  [SMALL_STATE(851)] = 34978,
  [SMALL_STATE(852)] = 35040,
  [SMALL_STATE(853)] = 35102,
  [SMALL_STATE(854)] = 35158,
  [SMALL_STATE(855)] = 35214,
  [SMALL_STATE(856)] = 35282,
  [SMALL_STATE(857)] = 35346,
  [SMALL_STATE(858)] = 35408,
  [SMALL_STATE(859)] = 35470,
  [SMALL_STATE(860)] = 35564,
  [SMALL_STATE(861)] = 35628,
  [SMALL_STATE(862)] = 35692,
  [SMALL_STATE(863)] = 35754,
  [SMALL_STATE(864)] = 35816,
  [SMALL_STATE(865)] = 35878,
  [SMALL_STATE(866)] = 35942,
  [SMALL_STATE(867)] = 35998,
  [SMALL_STATE(868)] = 36058,
  [SMALL_STATE(869)] = 36120,
  [SMALL_STATE(870)] = 36176,
  [SMALL_STATE(871)] = 36238,
  [SMALL_STATE(872)] = 36300,
  [SMALL_STATE(873)] = 36374,
  [SMALL_STATE(874)] = 36430,
  [SMALL_STATE(875)] = 36492,
  [SMALL_STATE(876)] = 36554,
  [SMALL_STATE(877)] = 36616,
  [SMALL_STATE(878)] = 36678,
  [SMALL_STATE(879)] = 36740,
  [SMALL_STATE(880)] = 36802,
  [SMALL_STATE(881)] = 36862,
  [SMALL_STATE(882)] = 36938,
  [SMALL_STATE(883)] = 37008,
  [SMALL_STATE(884)] = 37070,
  [SMALL_STATE(885)] = 37132,
  [SMALL_STATE(886)] = 37194,
  [SMALL_STATE(887)] = 37256,
  [SMALL_STATE(888)] = 37312,
  [SMALL_STATE(889)] = 37368,
  [SMALL_STATE(890)] = 37430,
  [SMALL_STATE(891)] = 37494,
  [SMALL_STATE(892)] = 37558,
  [SMALL_STATE(893)] = 37614,
  [SMALL_STATE(894)] = 37670,
  [SMALL_STATE(895)] = 37732,
  [SMALL_STATE(896)] = 37794,
  [SMALL_STATE(897)] = 37856,
  [SMALL_STATE(898)] = 37918,
  [SMALL_STATE(899)] = 37974,
  [SMALL_STATE(900)] = 38030,
  [SMALL_STATE(901)] = 38098,
  [SMALL_STATE(902)] = 38154,
  [SMALL_STATE(903)] = 38210,
  [SMALL_STATE(904)] = 38266,
  [SMALL_STATE(905)] = 38328,
  [SMALL_STATE(906)] = 38388,
  [SMALL_STATE(907)] = 38450,
  [SMALL_STATE(908)] = 38506,
  [SMALL_STATE(909)] = 38576,
  [SMALL_STATE(910)] = 38636,
  [SMALL_STATE(911)] = 38698,
  [SMALL_STATE(912)] = 38792,
  [SMALL_STATE(913)] = 38854,
  [SMALL_STATE(914)] = 38910,
  [SMALL_STATE(915)] = 39004,
  [SMALL_STATE(916)] = 39060,
  [SMALL_STATE(917)] = 39122,
  [SMALL_STATE(918)] = 39186,
  [SMALL_STATE(919)] = 39248,
  [SMALL_STATE(920)] = 39308,
  [SMALL_STATE(921)] = 39364,
  [SMALL_STATE(922)] = 39438,
  [SMALL_STATE(923)] = 39502,
  [SMALL_STATE(924)] = 39558,
  [SMALL_STATE(925)] = 39622,
  [SMALL_STATE(926)] = 39684,
  [SMALL_STATE(927)] = 39746,
  [SMALL_STATE(928)] = 39808,
  [SMALL_STATE(929)] = 39870,
  [SMALL_STATE(930)] = 39926,
  [SMALL_STATE(931)] = 39988,
  [SMALL_STATE(932)] = 40044,
  [SMALL_STATE(933)] = 40100,
  [SMALL_STATE(934)] = 40176,
  [SMALL_STATE(935)] = 40232,
  [SMALL_STATE(936)] = 40294,
  [SMALL_STATE(937)] = 40350,
  [SMALL_STATE(938)] = 40406,
  [SMALL_STATE(939)] = 40462,
  [SMALL_STATE(940)] = 40518,
  [SMALL_STATE(941)] = 40574,
  [SMALL_STATE(942)] = 40638,
  [SMALL_STATE(943)] = 40694,
  [SMALL_STATE(944)] = 40749,
  [SMALL_STATE(945)] = 40810,
  [SMALL_STATE(946)] = 40865,
  [SMALL_STATE(947)] = 40926,
  [SMALL_STATE(948)] = 40987,
  [SMALL_STATE(949)] = 41046,
  [SMALL_STATE(950)] = 41101,
  [SMALL_STATE(951)] = 41164,
  [SMALL_STATE(952)] = 41223,
  [SMALL_STATE(953)] = 41284,
  [SMALL_STATE(954)] = 41339,
  [SMALL_STATE(955)] = 41394,
  [SMALL_STATE(956)] = 41449,
  [SMALL_STATE(957)] = 41510,
  [SMALL_STATE(958)] = 41573,
  [SMALL_STATE(959)] = 41628,
  [SMALL_STATE(960)] = 41683,
  [SMALL_STATE(961)] = 41744,
  [SMALL_STATE(962)] = 41805,
  [SMALL_STATE(963)] = 41868,
  [SMALL_STATE(964)] = 41929,
  [SMALL_STATE(965)] = 41990,
  [SMALL_STATE(966)] = 42051,
  [SMALL_STATE(967)] = 42112,
  [SMALL_STATE(968)] = 42167,
  [SMALL_STATE(969)] = 42228,
  [SMALL_STATE(970)] = 42287,
  [SMALL_STATE(971)] = 42342,
  [SMALL_STATE(972)] = 42403,
  [SMALL_STATE(973)] = 42466,
  [SMALL_STATE(974)] = 42529,
  [SMALL_STATE(975)] = 42592,
  [SMALL_STATE(976)] = 42655,
  [SMALL_STATE(977)] = 42716,
  [SMALL_STATE(978)] = 42771,
  [SMALL_STATE(979)] = 42826,
  [SMALL_STATE(980)] = 42881,
  [SMALL_STATE(981)] = 42936,
  [SMALL_STATE(982)] = 42991,
  [SMALL_STATE(983)] = 43058,
  [SMALL_STATE(984)] = 43119,
  [SMALL_STATE(985)] = 43182,
  [SMALL_STATE(986)] = 43241,
  [SMALL_STATE(987)] = 43304,
  [SMALL_STATE(988)] = 43363,
  [SMALL_STATE(989)] = 43424,
  [SMALL_STATE(990)] = 43485,
  [SMALL_STATE(991)] = 43546,
  [SMALL_STATE(992)] = 43607,
  [SMALL_STATE(993)] = 43666,
  [SMALL_STATE(994)] = 43721,
  [SMALL_STATE(995)] = 43776,
  [SMALL_STATE(996)] = 43837,
  [SMALL_STATE(997)] = 43892,
  [SMALL_STATE(998)] = 43955,
  [SMALL_STATE(999)] = 44016,
  [SMALL_STATE(1000)] = 44071,
  [SMALL_STATE(1001)] = 44132,
  [SMALL_STATE(1002)] = 44193,
  [SMALL_STATE(1003)] = 44254,
  [SMALL_STATE(1004)] = 44309,
  [SMALL_STATE(1005)] = 44370,
  [SMALL_STATE(1006)] = 44431,
  [SMALL_STATE(1007)] = 44492,
  [SMALL_STATE(1008)] = 44547,
  [SMALL_STATE(1009)] = 44608,
  [SMALL_STATE(1010)] = 44669,
  [SMALL_STATE(1011)] = 44724,
  [SMALL_STATE(1012)] = 44785,
  [SMALL_STATE(1013)] = 44840,
  [SMALL_STATE(1014)] = 44901,
  [SMALL_STATE(1015)] = 44956,
  [SMALL_STATE(1016)] = 45017,
  [SMALL_STATE(1017)] = 45072,
  [SMALL_STATE(1018)] = 45165,
  [SMALL_STATE(1019)] = 45258,
  [SMALL_STATE(1020)] = 45319,
  [SMALL_STATE(1021)] = 45374,
  [SMALL_STATE(1022)] = 45429,
  [SMALL_STATE(1023)] = 45490,
  [SMALL_STATE(1024)] = 45551,
  [SMALL_STATE(1025)] = 45606,
  [SMALL_STATE(1026)] = 45661,
  [SMALL_STATE(1027)] = 45724,
  [SMALL_STATE(1028)] = 45787,
  [SMALL_STATE(1029)] = 45846,
  [SMALL_STATE(1030)] = 45901,
  [SMALL_STATE(1031)] = 45962,
  [SMALL_STATE(1032)] = 46017,
  [SMALL_STATE(1033)] = 46072,
  [SMALL_STATE(1034)] = 46127,
  [SMALL_STATE(1035)] = 46182,
  [SMALL_STATE(1036)] = 46237,
  [SMALL_STATE(1037)] = 46292,
  [SMALL_STATE(1038)] = 46355,
  [SMALL_STATE(1039)] = 46410,
  [SMALL_STATE(1040)] = 46473,
  [SMALL_STATE(1041)] = 46534,
  [SMALL_STATE(1042)] = 46589,
  [SMALL_STATE(1043)] = 46644,
  [SMALL_STATE(1044)] = 46705,
  [SMALL_STATE(1045)] = 46760,
  [SMALL_STATE(1046)] = 46815,
  [SMALL_STATE(1047)] = 46870,
  [SMALL_STATE(1048)] = 46925,
  [SMALL_STATE(1049)] = 46980,
  [SMALL_STATE(1050)] = 47039,
  [SMALL_STATE(1051)] = 47100,
  [SMALL_STATE(1052)] = 47155,
  [SMALL_STATE(1053)] = 47209,
  [SMALL_STATE(1054)] = 47267,
  [SMALL_STATE(1055)] = 47327,
  [SMALL_STATE(1056)] = 47387,
  [SMALL_STATE(1057)] = 47441,
  [SMALL_STATE(1058)] = 47495,
  [SMALL_STATE(1059)] = 47555,
  [SMALL_STATE(1060)] = 47609,
  [SMALL_STATE(1061)] = 47663,
  [SMALL_STATE(1062)] = 47723,
  [SMALL_STATE(1063)] = 47777,
  [SMALL_STATE(1064)] = 47837,
  [SMALL_STATE(1065)] = 47897,
  [SMALL_STATE(1066)] = 47951,
  [SMALL_STATE(1067)] = 48005,
  [SMALL_STATE(1068)] = 48065,
  [SMALL_STATE(1069)] = 48125,
  [SMALL_STATE(1070)] = 48185,
  [SMALL_STATE(1071)] = 48239,
  [SMALL_STATE(1072)] = 48299,
  [SMALL_STATE(1073)] = 48353,
  [SMALL_STATE(1074)] = 48413,
  [SMALL_STATE(1075)] = 48473,
  [SMALL_STATE(1076)] = 48527,
  [SMALL_STATE(1077)] = 48587,
  [SMALL_STATE(1078)] = 48645,
  [SMALL_STATE(1079)] = 48699,
  [SMALL_STATE(1080)] = 48757,
  [SMALL_STATE(1081)] = 48811,
  [SMALL_STATE(1082)] = 48869,
  [SMALL_STATE(1083)] = 48929,
  [SMALL_STATE(1084)] = 48989,
  [SMALL_STATE(1085)] = 49047,
  [SMALL_STATE(1086)] = 49107,
  [SMALL_STATE(1087)] = 49167,
  [SMALL_STATE(1088)] = 49227,
  [SMALL_STATE(1089)] = 49281,
  [SMALL_STATE(1090)] = 49339,
  [SMALL_STATE(1091)] = 49399,
  [SMALL_STATE(1092)] = 49459,
  [SMALL_STATE(1093)] = 49519,
  [SMALL_STATE(1094)] = 49579,
  [SMALL_STATE(1095)] = 49633,
  [SMALL_STATE(1096)] = 49693,
  [SMALL_STATE(1097)] = 49751,
  [SMALL_STATE(1098)] = 49809,
  [SMALL_STATE(1099)] = 49863,
  [SMALL_STATE(1100)] = 49917,
  [SMALL_STATE(1101)] = 49977,
  [SMALL_STATE(1102)] = 50031,
  [SMALL_STATE(1103)] = 50091,
  [SMALL_STATE(1104)] = 50145,
  [SMALL_STATE(1105)] = 50199,
  [SMALL_STATE(1106)] = 50259,
  [SMALL_STATE(1107)] = 50319,
  [SMALL_STATE(1108)] = 50373,
  [SMALL_STATE(1109)] = 50431,
  [SMALL_STATE(1110)] = 50489,
  [SMALL_STATE(1111)] = 50547,
  [SMALL_STATE(1112)] = 50607,
  [SMALL_STATE(1113)] = 50661,
  [SMALL_STATE(1114)] = 50715,
  [SMALL_STATE(1115)] = 50775,
  [SMALL_STATE(1116)] = 50829,
  [SMALL_STATE(1117)] = 50889,
  [SMALL_STATE(1118)] = 50949,
  [SMALL_STATE(1119)] = 51009,
  [SMALL_STATE(1120)] = 51063,
  [SMALL_STATE(1121)] = 51117,
  [SMALL_STATE(1122)] = 51171,
  [SMALL_STATE(1123)] = 51229,
  [SMALL_STATE(1124)] = 51283,
  [SMALL_STATE(1125)] = 51337,
  [SMALL_STATE(1126)] = 51397,
  [SMALL_STATE(1127)] = 51457,
  [SMALL_STATE(1128)] = 51511,
  [SMALL_STATE(1129)] = 51571,
  [SMALL_STATE(1130)] = 51625,
  [SMALL_STATE(1131)] = 51683,
  [SMALL_STATE(1132)] = 51737,
  [SMALL_STATE(1133)] = 51797,
  [SMALL_STATE(1134)] = 51851,
  [SMALL_STATE(1135)] = 51911,
  [SMALL_STATE(1136)] = 51965,
  [SMALL_STATE(1137)] = 52025,
  [SMALL_STATE(1138)] = 52085,
  [SMALL_STATE(1139)] = 52143,
  [SMALL_STATE(1140)] = 52203,
  [SMALL_STATE(1141)] = 52261,
  [SMALL_STATE(1142)] = 52315,
  [SMALL_STATE(1143)] = 52375,
  [SMALL_STATE(1144)] = 52429,
  [SMALL_STATE(1145)] = 52489,
  [SMALL_STATE(1146)] = 52543,
  [SMALL_STATE(1147)] = 52603,
  [SMALL_STATE(1148)] = 52669,
  [SMALL_STATE(1149)] = 52727,
  [SMALL_STATE(1150)] = 52781,
  [SMALL_STATE(1151)] = 52841,
  [SMALL_STATE(1152)] = 52895,
  [SMALL_STATE(1153)] = 52949,
  [SMALL_STATE(1154)] = 53003,
  [SMALL_STATE(1155)] = 53057,
  [SMALL_STATE(1156)] = 53117,
  [SMALL_STATE(1157)] = 53177,
  [SMALL_STATE(1158)] = 53231,
  [SMALL_STATE(1159)] = 53291,
  [SMALL_STATE(1160)] = 53345,
  [SMALL_STATE(1161)] = 53407,
  [SMALL_STATE(1162)] = 53469,
  [SMALL_STATE(1163)] = 53527,
  [SMALL_STATE(1164)] = 53581,
  [SMALL_STATE(1165)] = 53635,
  [SMALL_STATE(1166)] = 53695,
  [SMALL_STATE(1167)] = 53753,
  [SMALL_STATE(1168)] = 53807,
  [SMALL_STATE(1169)] = 53867,
  [SMALL_STATE(1170)] = 53921,
  [SMALL_STATE(1171)] = 53975,
  [SMALL_STATE(1172)] = 54029,
  [SMALL_STATE(1173)] = 54083,
  [SMALL_STATE(1174)] = 54143,
  [SMALL_STATE(1175)] = 54203,
  [SMALL_STATE(1176)] = 54263,
  [SMALL_STATE(1177)] = 54317,
  [SMALL_STATE(1178)] = 54377,
  [SMALL_STATE(1179)] = 54431,
  [SMALL_STATE(1180)] = 54485,
  [SMALL_STATE(1181)] = 54539,
  [SMALL_STATE(1182)] = 54593,
  [SMALL_STATE(1183)] = 54647,
  [SMALL_STATE(1184)] = 54701,
  [SMALL_STATE(1185)] = 54761,
  [SMALL_STATE(1186)] = 54821,
  [SMALL_STATE(1187)] = 54881,
  [SMALL_STATE(1188)] = 54935,
  [SMALL_STATE(1189)] = 54989,
  [SMALL_STATE(1190)] = 55043,
  [SMALL_STATE(1191)] = 55097,
  [SMALL_STATE(1192)] = 55151,
  [SMALL_STATE(1193)] = 55205,
  [SMALL_STATE(1194)] = 55259,
  [SMALL_STATE(1195)] = 55313,
  [SMALL_STATE(1196)] = 55366,
  [SMALL_STATE(1197)] = 55419,
  [SMALL_STATE(1198)] = 55478,
  [SMALL_STATE(1199)] = 55531,
  [SMALL_STATE(1200)] = 55588,
  [SMALL_STATE(1201)] = 55647,
  [SMALL_STATE(1202)] = 55706,
  [SMALL_STATE(1203)] = 55763,
  [SMALL_STATE(1204)] = 55816,
  [SMALL_STATE(1205)] = 55869,
  [SMALL_STATE(1206)] = 55922,
  [SMALL_STATE(1207)] = 55975,
  [SMALL_STATE(1208)] = 56028,
  [SMALL_STATE(1209)] = 56081,
  [SMALL_STATE(1210)] = 56138,
  [SMALL_STATE(1211)] = 56195,
  [SMALL_STATE(1212)] = 56248,
  [SMALL_STATE(1213)] = 56305,
  [SMALL_STATE(1214)] = 56358,
  [SMALL_STATE(1215)] = 56411,
  [SMALL_STATE(1216)] = 56470,
  [SMALL_STATE(1217)] = 56535,
  [SMALL_STATE(1218)] = 56592,
  [SMALL_STATE(1219)] = 56651,
  [SMALL_STATE(1220)] = 56710,
  [SMALL_STATE(1221)] = 56763,
  [SMALL_STATE(1222)] = 56816,
  [SMALL_STATE(1223)] = 56875,
  [SMALL_STATE(1224)] = 56934,
  [SMALL_STATE(1225)] = 56993,
  [SMALL_STATE(1226)] = 57052,
  [SMALL_STATE(1227)] = 57109,
  [SMALL_STATE(1228)] = 57162,
  [SMALL_STATE(1229)] = 57215,
  [SMALL_STATE(1230)] = 57268,
  [SMALL_STATE(1231)] = 57321,
  [SMALL_STATE(1232)] = 57380,
  [SMALL_STATE(1233)] = 57439,
  [SMALL_STATE(1234)] = 57492,
  [SMALL_STATE(1235)] = 57545,
  [SMALL_STATE(1236)] = 57598,
  [SMALL_STATE(1237)] = 57665,
  [SMALL_STATE(1238)] = 57718,
  [SMALL_STATE(1239)] = 57771,
  [SMALL_STATE(1240)] = 57824,
  [SMALL_STATE(1241)] = 57883,
  [SMALL_STATE(1242)] = 57942,
  [SMALL_STATE(1243)] = 58001,
  [SMALL_STATE(1244)] = 58060,
  [SMALL_STATE(1245)] = 58119,
  [SMALL_STATE(1246)] = 58178,
  [SMALL_STATE(1247)] = 58231,
  [SMALL_STATE(1248)] = 58284,
  [SMALL_STATE(1249)] = 58337,
  [SMALL_STATE(1250)] = 58390,
  [SMALL_STATE(1251)] = 58449,
  [SMALL_STATE(1252)] = 58502,
  [SMALL_STATE(1253)] = 58555,
  [SMALL_STATE(1254)] = 58608,
  [SMALL_STATE(1255)] = 58661,
  [SMALL_STATE(1256)] = 58714,
  [SMALL_STATE(1257)] = 58767,
  [SMALL_STATE(1258)] = 58820,
  [SMALL_STATE(1259)] = 58873,
  [SMALL_STATE(1260)] = 58926,
  [SMALL_STATE(1261)] = 58979,
  [SMALL_STATE(1262)] = 59032,
  [SMALL_STATE(1263)] = 59085,
  [SMALL_STATE(1264)] = 59144,
  [SMALL_STATE(1265)] = 59197,
  [SMALL_STATE(1266)] = 59300,
  [SMALL_STATE(1267)] = 59353,
  [SMALL_STATE(1268)] = 59412,
  [SMALL_STATE(1269)] = 59465,
  [SMALL_STATE(1270)] = 59518,
  [SMALL_STATE(1271)] = 59571,
  [SMALL_STATE(1272)] = 59624,
  [SMALL_STATE(1273)] = 59683,
  [SMALL_STATE(1274)] = 59740,
  [SMALL_STATE(1275)] = 59793,
  [SMALL_STATE(1276)] = 59846,
  [SMALL_STATE(1277)] = 59905,
  [SMALL_STATE(1278)] = 59958,
  [SMALL_STATE(1279)] = 60017,
  [SMALL_STATE(1280)] = 60120,
  [SMALL_STATE(1281)] = 60173,
  [SMALL_STATE(1282)] = 60230,
  [SMALL_STATE(1283)] = 60283,
  [SMALL_STATE(1284)] = 60336,
  [SMALL_STATE(1285)] = 60389,
  [SMALL_STATE(1286)] = 60442,
  [SMALL_STATE(1287)] = 60495,
  [SMALL_STATE(1288)] = 60548,
  [SMALL_STATE(1289)] = 60601,
  [SMALL_STATE(1290)] = 60666,
  [SMALL_STATE(1291)] = 60719,
  [SMALL_STATE(1292)] = 60772,
  [SMALL_STATE(1293)] = 60825,
  [SMALL_STATE(1294)] = 60884,
  [SMALL_STATE(1295)] = 60937,
  [SMALL_STATE(1296)] = 60990,
  [SMALL_STATE(1297)] = 61049,
  [SMALL_STATE(1298)] = 61108,
  [SMALL_STATE(1299)] = 61161,
  [SMALL_STATE(1300)] = 61214,
  [SMALL_STATE(1301)] = 61267,
  [SMALL_STATE(1302)] = 61320,
  [SMALL_STATE(1303)] = 61379,
  [SMALL_STATE(1304)] = 61432,
  [SMALL_STATE(1305)] = 61491,
  [SMALL_STATE(1306)] = 61544,
  [SMALL_STATE(1307)] = 61603,
  [SMALL_STATE(1308)] = 61662,
  [SMALL_STATE(1309)] = 61721,
  [SMALL_STATE(1310)] = 61780,
  [SMALL_STATE(1311)] = 61833,
  [SMALL_STATE(1312)] = 61886,
  [SMALL_STATE(1313)] = 61939,
  [SMALL_STATE(1314)] = 61992,
  [SMALL_STATE(1315)] = 62045,
  [SMALL_STATE(1316)] = 62098,
  [SMALL_STATE(1317)] = 62151,
  [SMALL_STATE(1318)] = 62210,
  [SMALL_STATE(1319)] = 62269,
  [SMALL_STATE(1320)] = 62328,
  [SMALL_STATE(1321)] = 62387,
  [SMALL_STATE(1322)] = 62440,
  [SMALL_STATE(1323)] = 62493,
  [SMALL_STATE(1324)] = 62552,
  [SMALL_STATE(1325)] = 62605,
  [SMALL_STATE(1326)] = 62658,
  [SMALL_STATE(1327)] = 62711,
  [SMALL_STATE(1328)] = 62764,
  [SMALL_STATE(1329)] = 62817,
  [SMALL_STATE(1330)] = 62906,
  [SMALL_STATE(1331)] = 62959,
  [SMALL_STATE(1332)] = 63012,
  [SMALL_STATE(1333)] = 63065,
  [SMALL_STATE(1334)] = 63154,
  [SMALL_STATE(1335)] = 63207,
  [SMALL_STATE(1336)] = 63260,
  [SMALL_STATE(1337)] = 63313,
  [SMALL_STATE(1338)] = 63416,
  [SMALL_STATE(1339)] = 63475,
  [SMALL_STATE(1340)] = 63528,
  [SMALL_STATE(1341)] = 63581,
  [SMALL_STATE(1342)] = 63634,
  [SMALL_STATE(1343)] = 63687,
  [SMALL_STATE(1344)] = 63740,
  [SMALL_STATE(1345)] = 63801,
  [SMALL_STATE(1346)] = 63854,
  [SMALL_STATE(1347)] = 63915,
  [SMALL_STATE(1348)] = 63968,
  [SMALL_STATE(1349)] = 64021,
  [SMALL_STATE(1350)] = 64074,
  [SMALL_STATE(1351)] = 64139,
  [SMALL_STATE(1352)] = 64192,
  [SMALL_STATE(1353)] = 64245,
  [SMALL_STATE(1354)] = 64298,
  [SMALL_STATE(1355)] = 64357,
  [SMALL_STATE(1356)] = 64416,
  [SMALL_STATE(1357)] = 64469,
  [SMALL_STATE(1358)] = 64522,
  [SMALL_STATE(1359)] = 64575,
  [SMALL_STATE(1360)] = 64678,
  [SMALL_STATE(1361)] = 64731,
  [SMALL_STATE(1362)] = 64784,
  [SMALL_STATE(1363)] = 64837,
  [SMALL_STATE(1364)] = 64890,
  [SMALL_STATE(1365)] = 64943,
  [SMALL_STATE(1366)] = 64996,
  [SMALL_STATE(1367)] = 65049,
  [SMALL_STATE(1368)] = 65102,
  [SMALL_STATE(1369)] = 65155,
  [SMALL_STATE(1370)] = 65244,
  [SMALL_STATE(1371)] = 65297,
  [SMALL_STATE(1372)] = 65350,
  [SMALL_STATE(1373)] = 65419,
  [SMALL_STATE(1374)] = 65488,
  [SMALL_STATE(1375)] = 65541,
  [SMALL_STATE(1376)] = 65644,
  [SMALL_STATE(1377)] = 65703,
  [SMALL_STATE(1378)] = 65756,
  [SMALL_STATE(1379)] = 65859,
  [SMALL_STATE(1380)] = 65912,
  [SMALL_STATE(1381)] = 65965,
  [SMALL_STATE(1382)] = 66068,
  [SMALL_STATE(1383)] = 66121,
  [SMALL_STATE(1384)] = 66174,
  [SMALL_STATE(1385)] = 66231,
  [SMALL_STATE(1386)] = 66284,
  [SMALL_STATE(1387)] = 66341,
  [SMALL_STATE(1388)] = 66394,
  [SMALL_STATE(1389)] = 66447,
  [SMALL_STATE(1390)] = 66500,
  [SMALL_STATE(1391)] = 66553,
  [SMALL_STATE(1392)] = 66606,
  [SMALL_STATE(1393)] = 66663,
  [SMALL_STATE(1394)] = 66716,
  [SMALL_STATE(1395)] = 66773,
  [SMALL_STATE(1396)] = 66826,
  [SMALL_STATE(1397)] = 66879,
  [SMALL_STATE(1398)] = 66936,
  [SMALL_STATE(1399)] = 66989,
  [SMALL_STATE(1400)] = 67042,
  [SMALL_STATE(1401)] = 67095,
  [SMALL_STATE(1402)] = 67148,
  [SMALL_STATE(1403)] = 67207,
  [SMALL_STATE(1404)] = 67260,
  [SMALL_STATE(1405)] = 67313,
  [SMALL_STATE(1406)] = 67366,
  [SMALL_STATE(1407)] = 67466,
  [SMALL_STATE(1408)] = 67524,
  [SMALL_STATE(1409)] = 67582,
  [SMALL_STATE(1410)] = 67634,
  [SMALL_STATE(1411)] = 67724,
  [SMALL_STATE(1412)] = 67776,
  [SMALL_STATE(1413)] = 67832,
  [SMALL_STATE(1414)] = 67884,
  [SMALL_STATE(1415)] = 67940,
  [SMALL_STATE(1416)] = 67996,
  [SMALL_STATE(1417)] = 68052,
  [SMALL_STATE(1418)] = 68152,
  [SMALL_STATE(1419)] = 68204,
  [SMALL_STATE(1420)] = 68304,
  [SMALL_STATE(1421)] = 68360,
  [SMALL_STATE(1422)] = 68418,
  [SMALL_STATE(1423)] = 68474,
  [SMALL_STATE(1424)] = 68542,
  [SMALL_STATE(1425)] = 68642,
  [SMALL_STATE(1426)] = 68694,
  [SMALL_STATE(1427)] = 68746,
  [SMALL_STATE(1428)] = 68798,
  [SMALL_STATE(1429)] = 68850,
  [SMALL_STATE(1430)] = 68902,
  [SMALL_STATE(1431)] = 68958,
  [SMALL_STATE(1432)] = 69010,
  [SMALL_STATE(1433)] = 69062,
  [SMALL_STATE(1434)] = 69118,
  [SMALL_STATE(1435)] = 69176,
  [SMALL_STATE(1436)] = 69228,
  [SMALL_STATE(1437)] = 69280,
  [SMALL_STATE(1438)] = 69332,
  [SMALL_STATE(1439)] = 69384,
  [SMALL_STATE(1440)] = 69484,
  [SMALL_STATE(1441)] = 69536,
  [SMALL_STATE(1442)] = 69592,
  [SMALL_STATE(1443)] = 69648,
  [SMALL_STATE(1444)] = 69706,
  [SMALL_STATE(1445)] = 69762,
  [SMALL_STATE(1446)] = 69818,
  [SMALL_STATE(1447)] = 69918,
  [SMALL_STATE(1448)] = 70006,
  [SMALL_STATE(1449)] = 70064,
  [SMALL_STATE(1450)] = 70122,
  [SMALL_STATE(1451)] = 70210,
  [SMALL_STATE(1452)] = 70262,
  [SMALL_STATE(1453)] = 70320,
  [SMALL_STATE(1454)] = 70378,
  [SMALL_STATE(1455)] = 70436,
  [SMALL_STATE(1456)] = 70488,
  [SMALL_STATE(1457)] = 70544,
  [SMALL_STATE(1458)] = 70596,
  [SMALL_STATE(1459)] = 70654,
  [SMALL_STATE(1460)] = 70706,
  [SMALL_STATE(1461)] = 70758,
  [SMALL_STATE(1462)] = 70818,
  [SMALL_STATE(1463)] = 70870,
  [SMALL_STATE(1464)] = 70928,
  [SMALL_STATE(1465)] = 70980,
  [SMALL_STATE(1466)] = 71032,
  [SMALL_STATE(1467)] = 71084,
  [SMALL_STATE(1468)] = 71136,
  [SMALL_STATE(1469)] = 71188,
  [SMALL_STATE(1470)] = 71246,
  [SMALL_STATE(1471)] = 71298,
  [SMALL_STATE(1472)] = 71356,
  [SMALL_STATE(1473)] = 71414,
  [SMALL_STATE(1474)] = 71472,
  [SMALL_STATE(1475)] = 71532,
  [SMALL_STATE(1476)] = 71584,
  [SMALL_STATE(1477)] = 71636,
  [SMALL_STATE(1478)] = 71688,
  [SMALL_STATE(1479)] = 71740,
  [SMALL_STATE(1480)] = 71792,
  [SMALL_STATE(1481)] = 71844,
  [SMALL_STATE(1482)] = 71896,
  [SMALL_STATE(1483)] = 71948,
  [SMALL_STATE(1484)] = 72048,
  [SMALL_STATE(1485)] = 72104,
  [SMALL_STATE(1486)] = 72162,
  [SMALL_STATE(1487)] = 72220,
  [SMALL_STATE(1488)] = 72276,
  [SMALL_STATE(1489)] = 72332,
  [SMALL_STATE(1490)] = 72384,
  [SMALL_STATE(1491)] = 72436,
  [SMALL_STATE(1492)] = 72536,
  [SMALL_STATE(1493)] = 72592,
  [SMALL_STATE(1494)] = 72650,
  [SMALL_STATE(1495)] = 72708,
  [SMALL_STATE(1496)] = 72760,
  [SMALL_STATE(1497)] = 72816,
  [SMALL_STATE(1498)] = 72874,
  [SMALL_STATE(1499)] = 72932,
  [SMALL_STATE(1500)] = 72988,
  [SMALL_STATE(1501)] = 73046,
  [SMALL_STATE(1502)] = 73104,
  [SMALL_STATE(1503)] = 73162,
  [SMALL_STATE(1504)] = 73218,
  [SMALL_STATE(1505)] = 73270,
  [SMALL_STATE(1506)] = 73328,
  [SMALL_STATE(1507)] = 73380,
  [SMALL_STATE(1508)] = 73432,
  [SMALL_STATE(1509)] = 73490,
  [SMALL_STATE(1510)] = 73548,
  [SMALL_STATE(1511)] = 73606,
  [SMALL_STATE(1512)] = 73664,
  [SMALL_STATE(1513)] = 73716,
  [SMALL_STATE(1514)] = 73768,
  [SMALL_STATE(1515)] = 73820,
  [SMALL_STATE(1516)] = 73876,
  [SMALL_STATE(1517)] = 73928,
  [SMALL_STATE(1518)] = 73980,
  [SMALL_STATE(1519)] = 74032,
  [SMALL_STATE(1520)] = 74084,
  [SMALL_STATE(1521)] = 74136,
  [SMALL_STATE(1522)] = 74194,
  [SMALL_STATE(1523)] = 74246,
  [SMALL_STATE(1524)] = 74316,
  [SMALL_STATE(1525)] = 74372,
  [SMALL_STATE(1526)] = 74424,
  [SMALL_STATE(1527)] = 74476,
  [SMALL_STATE(1528)] = 74536,
  [SMALL_STATE(1529)] = 74594,
  [SMALL_STATE(1530)] = 74646,
  [SMALL_STATE(1531)] = 74702,
  [SMALL_STATE(1532)] = 74802,
  [SMALL_STATE(1533)] = 74854,
  [SMALL_STATE(1534)] = 74906,
  [SMALL_STATE(1535)] = 74958,
  [SMALL_STATE(1536)] = 75010,
  [SMALL_STATE(1537)] = 75074,
  [SMALL_STATE(1538)] = 75126,
  [SMALL_STATE(1539)] = 75184,
  [SMALL_STATE(1540)] = 75236,
  [SMALL_STATE(1541)] = 75288,
  [SMALL_STATE(1542)] = 75344,
  [SMALL_STATE(1543)] = 75400,
  [SMALL_STATE(1544)] = 75452,
  [SMALL_STATE(1545)] = 75504,
  [SMALL_STATE(1546)] = 75560,
  [SMALL_STATE(1547)] = 75612,
  [SMALL_STATE(1548)] = 75668,
  [SMALL_STATE(1549)] = 75720,
  [SMALL_STATE(1550)] = 75776,
  [SMALL_STATE(1551)] = 75876,
  [SMALL_STATE(1552)] = 75928,
  [SMALL_STATE(1553)] = 75984,
  [SMALL_STATE(1554)] = 76036,
  [SMALL_STATE(1555)] = 76088,
  [SMALL_STATE(1556)] = 76140,
  [SMALL_STATE(1557)] = 76192,
  [SMALL_STATE(1558)] = 76248,
  [SMALL_STATE(1559)] = 76299,
  [SMALL_STATE(1560)] = 76360,
  [SMALL_STATE(1561)] = 76421,
  [SMALL_STATE(1562)] = 76472,
  [SMALL_STATE(1563)] = 76533,
  [SMALL_STATE(1564)] = 76584,
  [SMALL_STATE(1565)] = 76645,
  [SMALL_STATE(1566)] = 76742,
  [SMALL_STATE(1567)] = 76803,
  [SMALL_STATE(1568)] = 76854,
  [SMALL_STATE(1569)] = 76915,
  [SMALL_STATE(1570)] = 76972,
  [SMALL_STATE(1571)] = 77023,
  [SMALL_STATE(1572)] = 77084,
  [SMALL_STATE(1573)] = 77135,
  [SMALL_STATE(1574)] = 77232,
  [SMALL_STATE(1575)] = 77329,
  [SMALL_STATE(1576)] = 77426,
  [SMALL_STATE(1577)] = 77481,
  [SMALL_STATE(1578)] = 77536,
  [SMALL_STATE(1579)] = 77633,
  [SMALL_STATE(1580)] = 77684,
  [SMALL_STATE(1581)] = 77739,
  [SMALL_STATE(1582)] = 77790,
  [SMALL_STATE(1583)] = 77851,
  [SMALL_STATE(1584)] = 77902,
  [SMALL_STATE(1585)] = 77953,
  [SMALL_STATE(1586)] = 78004,
  [SMALL_STATE(1587)] = 78065,
  [SMALL_STATE(1588)] = 78126,
  [SMALL_STATE(1589)] = 78177,
  [SMALL_STATE(1590)] = 78274,
  [SMALL_STATE(1591)] = 78335,
  [SMALL_STATE(1592)] = 78390,
  [SMALL_STATE(1593)] = 78451,
  [SMALL_STATE(1594)] = 78502,
  [SMALL_STATE(1595)] = 78553,
  [SMALL_STATE(1596)] = 78614,
  [SMALL_STATE(1597)] = 78671,
  [SMALL_STATE(1598)] = 78728,
  [SMALL_STATE(1599)] = 78825,
  [SMALL_STATE(1600)] = 78922,
  [SMALL_STATE(1601)] = 79019,
  [SMALL_STATE(1602)] = 79116,
  [SMALL_STATE(1603)] = 79213,
  [SMALL_STATE(1604)] = 79272,
  [SMALL_STATE(1605)] = 79369,
  [SMALL_STATE(1606)] = 79420,
  [SMALL_STATE(1607)] = 79471,
  [SMALL_STATE(1608)] = 79532,
  [SMALL_STATE(1609)] = 79593,
  [SMALL_STATE(1610)] = 79690,
  [SMALL_STATE(1611)] = 79741,
  [SMALL_STATE(1612)] = 79838,
  [SMALL_STATE(1613)] = 79899,
  [SMALL_STATE(1614)] = 79950,
  [SMALL_STATE(1615)] = 80047,
  [SMALL_STATE(1616)] = 80104,
  [SMALL_STATE(1617)] = 80165,
  [SMALL_STATE(1618)] = 80222,
  [SMALL_STATE(1619)] = 80321,
  [SMALL_STATE(1620)] = 80418,
  [SMALL_STATE(1621)] = 80479,
  [SMALL_STATE(1622)] = 80540,
  [SMALL_STATE(1623)] = 80591,
  [SMALL_STATE(1624)] = 80688,
  [SMALL_STATE(1625)] = 80749,
  [SMALL_STATE(1626)] = 80846,
  [SMALL_STATE(1627)] = 80907,
  [SMALL_STATE(1628)] = 80968,
  [SMALL_STATE(1629)] = 81065,
  [SMALL_STATE(1630)] = 81120,
  [SMALL_STATE(1631)] = 81181,
  [SMALL_STATE(1632)] = 81232,
  [SMALL_STATE(1633)] = 81331,
  [SMALL_STATE(1634)] = 81428,
  [SMALL_STATE(1635)] = 81525,
  [SMALL_STATE(1636)] = 81622,
  [SMALL_STATE(1637)] = 81719,
  [SMALL_STATE(1638)] = 81778,
  [SMALL_STATE(1639)] = 81875,
  [SMALL_STATE(1640)] = 81932,
  [SMALL_STATE(1641)] = 81993,
  [SMALL_STATE(1642)] = 82050,
  [SMALL_STATE(1643)] = 82111,
  [SMALL_STATE(1644)] = 82208,
  [SMALL_STATE(1645)] = 82269,
  [SMALL_STATE(1646)] = 82368,
  [SMALL_STATE(1647)] = 82419,
  [SMALL_STATE(1648)] = 82480,
  [SMALL_STATE(1649)] = 82577,
  [SMALL_STATE(1650)] = 82628,
  [SMALL_STATE(1651)] = 82683,
  [SMALL_STATE(1652)] = 82744,
  [SMALL_STATE(1653)] = 82841,
  [SMALL_STATE(1654)] = 82892,
  [SMALL_STATE(1655)] = 82989,
  [SMALL_STATE(1656)] = 83040,
  [SMALL_STATE(1657)] = 83091,
  [SMALL_STATE(1658)] = 83152,
  [SMALL_STATE(1659)] = 83203,
  [SMALL_STATE(1660)] = 83264,
  [SMALL_STATE(1661)] = 83321,
  [SMALL_STATE(1662)] = 83418,
  [SMALL_STATE(1663)] = 83515,
  [SMALL_STATE(1664)] = 83612,
  [SMALL_STATE(1665)] = 83709,
  [SMALL_STATE(1666)] = 83806,
  [SMALL_STATE(1667)] = 83903,
  [SMALL_STATE(1668)] = 83960,
  [SMALL_STATE(1669)] = 84057,
  [SMALL_STATE(1670)] = 84154,
  [SMALL_STATE(1671)] = 84251,
  [SMALL_STATE(1672)] = 84348,
  [SMALL_STATE(1673)] = 84445,
  [SMALL_STATE(1674)] = 84542,
  [SMALL_STATE(1675)] = 84639,
  [SMALL_STATE(1676)] = 84736,
  [SMALL_STATE(1677)] = 84833,
  [SMALL_STATE(1678)] = 84930,
  [SMALL_STATE(1679)] = 85027,
  [SMALL_STATE(1680)] = 85124,
  [SMALL_STATE(1681)] = 85221,
  [SMALL_STATE(1682)] = 85272,
  [SMALL_STATE(1683)] = 85369,
  [SMALL_STATE(1684)] = 85430,
  [SMALL_STATE(1685)] = 85527,
  [SMALL_STATE(1686)] = 85624,
  [SMALL_STATE(1687)] = 85721,
  [SMALL_STATE(1688)] = 85772,
  [SMALL_STATE(1689)] = 85823,
  [SMALL_STATE(1690)] = 85922,
  [SMALL_STATE(1691)] = 85977,
  [SMALL_STATE(1692)] = 86028,
  [SMALL_STATE(1693)] = 86089,
  [SMALL_STATE(1694)] = 86186,
  [SMALL_STATE(1695)] = 86237,
  [SMALL_STATE(1696)] = 86334,
  [SMALL_STATE(1697)] = 86395,
  [SMALL_STATE(1698)] = 86450,
  [SMALL_STATE(1699)] = 86501,
  [SMALL_STATE(1700)] = 86598,
  [SMALL_STATE(1701)] = 86649,
  [SMALL_STATE(1702)] = 86700,
  [SMALL_STATE(1703)] = 86751,
  [SMALL_STATE(1704)] = 86802,
  [SMALL_STATE(1705)] = 86853,
  [SMALL_STATE(1706)] = 86908,
  [SMALL_STATE(1707)] = 86963,
  [SMALL_STATE(1708)] = 87018,
  [SMALL_STATE(1709)] = 87115,
  [SMALL_STATE(1710)] = 87176,
  [SMALL_STATE(1711)] = 87227,
  [SMALL_STATE(1712)] = 87278,
  [SMALL_STATE(1713)] = 87339,
  [SMALL_STATE(1714)] = 87394,
  [SMALL_STATE(1715)] = 87445,
  [SMALL_STATE(1716)] = 87506,
  [SMALL_STATE(1717)] = 87561,
  [SMALL_STATE(1718)] = 87658,
  [SMALL_STATE(1719)] = 87709,
  [SMALL_STATE(1720)] = 87806,
  [SMALL_STATE(1721)] = 87857,
  [SMALL_STATE(1722)] = 87908,
  [SMALL_STATE(1723)] = 87959,
  [SMALL_STATE(1724)] = 88058,
  [SMALL_STATE(1725)] = 88119,
  [SMALL_STATE(1726)] = 88180,
  [SMALL_STATE(1727)] = 88231,
  [SMALL_STATE(1728)] = 88286,
  [SMALL_STATE(1729)] = 88337,
  [SMALL_STATE(1730)] = 88434,
  [SMALL_STATE(1731)] = 88485,
  [SMALL_STATE(1732)] = 88582,
  [SMALL_STATE(1733)] = 88679,
  [SMALL_STATE(1734)] = 88740,
  [SMALL_STATE(1735)] = 88791,
  [SMALL_STATE(1736)] = 88888,
  [SMALL_STATE(1737)] = 88985,
  [SMALL_STATE(1738)] = 89082,
  [SMALL_STATE(1739)] = 89137,
  [SMALL_STATE(1740)] = 89188,
  [SMALL_STATE(1741)] = 89285,
  [SMALL_STATE(1742)] = 89382,
  [SMALL_STATE(1743)] = 89433,
  [SMALL_STATE(1744)] = 89494,
  [SMALL_STATE(1745)] = 89591,
  [SMALL_STATE(1746)] = 89642,
  [SMALL_STATE(1747)] = 89739,
  [SMALL_STATE(1748)] = 89800,
  [SMALL_STATE(1749)] = 89851,
  [SMALL_STATE(1750)] = 89906,
  [SMALL_STATE(1751)] = 90003,
  [SMALL_STATE(1752)] = 90064,
  [SMALL_STATE(1753)] = 90125,
  [SMALL_STATE(1754)] = 90176,
  [SMALL_STATE(1755)] = 90273,
  [SMALL_STATE(1756)] = 90334,
  [SMALL_STATE(1757)] = 90385,
  [SMALL_STATE(1758)] = 90436,
  [SMALL_STATE(1759)] = 90487,
  [SMALL_STATE(1760)] = 90548,
  [SMALL_STATE(1761)] = 90599,
  [SMALL_STATE(1762)] = 90650,
  [SMALL_STATE(1763)] = 90701,
  [SMALL_STATE(1764)] = 90800,
  [SMALL_STATE(1765)] = 90861,
  [SMALL_STATE(1766)] = 90916,
  [SMALL_STATE(1767)] = 91013,
  [SMALL_STATE(1768)] = 91068,
  [SMALL_STATE(1769)] = 91165,
  [SMALL_STATE(1770)] = 91220,
  [SMALL_STATE(1771)] = 91317,
  [SMALL_STATE(1772)] = 91414,
  [SMALL_STATE(1773)] = 91465,
  [SMALL_STATE(1774)] = 91516,
  [SMALL_STATE(1775)] = 91613,
  [SMALL_STATE(1776)] = 91664,
  [SMALL_STATE(1777)] = 91715,
  [SMALL_STATE(1778)] = 91812,
  [SMALL_STATE(1779)] = 91871,
  [SMALL_STATE(1780)] = 91932,
  [SMALL_STATE(1781)] = 91993,
  [SMALL_STATE(1782)] = 92044,
  [SMALL_STATE(1783)] = 92095,
  [SMALL_STATE(1784)] = 92192,
  [SMALL_STATE(1785)] = 92289,
  [SMALL_STATE(1786)] = 92348,
  [SMALL_STATE(1787)] = 92445,
  [SMALL_STATE(1788)] = 92506,
  [SMALL_STATE(1789)] = 92603,
  [SMALL_STATE(1790)] = 92654,
  [SMALL_STATE(1791)] = 92715,
  [SMALL_STATE(1792)] = 92812,
  [SMALL_STATE(1793)] = 92873,
  [SMALL_STATE(1794)] = 92970,
  [SMALL_STATE(1795)] = 93067,
  [SMALL_STATE(1796)] = 93118,
  [SMALL_STATE(1797)] = 93169,
  [SMALL_STATE(1798)] = 93230,
  [SMALL_STATE(1799)] = 93281,
  [SMALL_STATE(1800)] = 93378,
  [SMALL_STATE(1801)] = 93475,
  [SMALL_STATE(1802)] = 93536,
  [SMALL_STATE(1803)] = 93587,
  [SMALL_STATE(1804)] = 93684,
  [SMALL_STATE(1805)] = 93735,
  [SMALL_STATE(1806)] = 93786,
  [SMALL_STATE(1807)] = 93847,
  [SMALL_STATE(1808)] = 93908,
  [SMALL_STATE(1809)] = 94005,
  [SMALL_STATE(1810)] = 94102,
  [SMALL_STATE(1811)] = 94163,
  [SMALL_STATE(1812)] = 94260,
  [SMALL_STATE(1813)] = 94357,
  [SMALL_STATE(1814)] = 94408,
  [SMALL_STATE(1815)] = 94505,
  [SMALL_STATE(1816)] = 94556,
  [SMALL_STATE(1817)] = 94653,
  [SMALL_STATE(1818)] = 94750,
  [SMALL_STATE(1819)] = 94847,
  [SMALL_STATE(1820)] = 94944,
  [SMALL_STATE(1821)] = 95041,
  [SMALL_STATE(1822)] = 95092,
  [SMALL_STATE(1823)] = 95153,
  [SMALL_STATE(1824)] = 95250,
  [SMALL_STATE(1825)] = 95347,
  [SMALL_STATE(1826)] = 95408,
  [SMALL_STATE(1827)] = 95505,
  [SMALL_STATE(1828)] = 95602,
  [SMALL_STATE(1829)] = 95663,
  [SMALL_STATE(1830)] = 95760,
  [SMALL_STATE(1831)] = 95857,
  [SMALL_STATE(1832)] = 95954,
  [SMALL_STATE(1833)] = 96005,
  [SMALL_STATE(1834)] = 96056,
  [SMALL_STATE(1835)] = 96117,
  [SMALL_STATE(1836)] = 96214,
  [SMALL_STATE(1837)] = 96311,
  [SMALL_STATE(1838)] = 96362,
  [SMALL_STATE(1839)] = 96459,
  [SMALL_STATE(1840)] = 96556,
  [SMALL_STATE(1841)] = 96653,
  [SMALL_STATE(1842)] = 96704,
  [SMALL_STATE(1843)] = 96765,
  [SMALL_STATE(1844)] = 96862,
  [SMALL_STATE(1845)] = 96959,
  [SMALL_STATE(1846)] = 97010,
  [SMALL_STATE(1847)] = 97107,
  [SMALL_STATE(1848)] = 97204,
  [SMALL_STATE(1849)] = 97301,
  [SMALL_STATE(1850)] = 97398,
  [SMALL_STATE(1851)] = 97495,
  [SMALL_STATE(1852)] = 97592,
  [SMALL_STATE(1853)] = 97689,
  [SMALL_STATE(1854)] = 97786,
  [SMALL_STATE(1855)] = 97883,
  [SMALL_STATE(1856)] = 97980,
  [SMALL_STATE(1857)] = 98077,
  [SMALL_STATE(1858)] = 98174,
  [SMALL_STATE(1859)] = 98271,
  [SMALL_STATE(1860)] = 98368,
  [SMALL_STATE(1861)] = 98465,
  [SMALL_STATE(1862)] = 98516,
  [SMALL_STATE(1863)] = 98613,
  [SMALL_STATE(1864)] = 98710,
  [SMALL_STATE(1865)] = 98807,
  [SMALL_STATE(1866)] = 98868,
  [SMALL_STATE(1867)] = 98919,
  [SMALL_STATE(1868)] = 98970,
  [SMALL_STATE(1869)] = 99067,
  [SMALL_STATE(1870)] = 99164,
  [SMALL_STATE(1871)] = 99225,
  [SMALL_STATE(1872)] = 99322,
  [SMALL_STATE(1873)] = 99419,
  [SMALL_STATE(1874)] = 99516,
  [SMALL_STATE(1875)] = 99613,
  [SMALL_STATE(1876)] = 99669,
  [SMALL_STATE(1877)] = 99725,
  [SMALL_STATE(1878)] = 99775,
  [SMALL_STATE(1879)] = 99831,
  [SMALL_STATE(1880)] = 99887,
  [SMALL_STATE(1881)] = 99941,
  [SMALL_STATE(1882)] = 99997,
  [SMALL_STATE(1883)] = 100047,
  [SMALL_STATE(1884)] = 100103,
  [SMALL_STATE(1885)] = 100159,
  [SMALL_STATE(1886)] = 100209,
  [SMALL_STATE(1887)] = 100265,
  [SMALL_STATE(1888)] = 100315,
  [SMALL_STATE(1889)] = 100371,
  [SMALL_STATE(1890)] = 100427,
  [SMALL_STATE(1891)] = 100485,
  [SMALL_STATE(1892)] = 100535,
  [SMALL_STATE(1893)] = 100585,
  [SMALL_STATE(1894)] = 100639,
  [SMALL_STATE(1895)] = 100689,
  [SMALL_STATE(1896)] = 100743,
  [SMALL_STATE(1897)] = 100797,
  [SMALL_STATE(1898)] = 100853,
  [SMALL_STATE(1899)] = 100909,
  [SMALL_STATE(1900)] = 100965,
  [SMALL_STATE(1901)] = 101019,
  [SMALL_STATE(1902)] = 101069,
  [SMALL_STATE(1903)] = 101125,
  [SMALL_STATE(1904)] = 101175,
  [SMALL_STATE(1905)] = 101225,
  [SMALL_STATE(1906)] = 101281,
  [SMALL_STATE(1907)] = 101331,
  [SMALL_STATE(1908)] = 101387,
  [SMALL_STATE(1909)] = 101437,
  [SMALL_STATE(1910)] = 101487,
  [SMALL_STATE(1911)] = 101541,
  [SMALL_STATE(1912)] = 101591,
  [SMALL_STATE(1913)] = 101647,
  [SMALL_STATE(1914)] = 101701,
  [SMALL_STATE(1915)] = 101751,
  [SMALL_STATE(1916)] = 101805,
  [SMALL_STATE(1917)] = 101859,
  [SMALL_STATE(1918)] = 101913,
  [SMALL_STATE(1919)] = 101969,
  [SMALL_STATE(1920)] = 102025,
  [SMALL_STATE(1921)] = 102081,
  [SMALL_STATE(1922)] = 102135,
  [SMALL_STATE(1923)] = 102191,
  [SMALL_STATE(1924)] = 102245,
  [SMALL_STATE(1925)] = 102299,
  [SMALL_STATE(1926)] = 102355,
  [SMALL_STATE(1927)] = 102409,
  [SMALL_STATE(1928)] = 102463,
  [SMALL_STATE(1929)] = 102517,
  [SMALL_STATE(1930)] = 102571,
  [SMALL_STATE(1931)] = 102625,
  [SMALL_STATE(1932)] = 102680,
  [SMALL_STATE(1933)] = 102735,
  [SMALL_STATE(1934)] = 102788,
  [SMALL_STATE(1935)] = 102841,
  [SMALL_STATE(1936)] = 102936,
  [SMALL_STATE(1937)] = 102989,
  [SMALL_STATE(1938)] = 103038,
  [SMALL_STATE(1939)] = 103093,
  [SMALL_STATE(1940)] = 103188,
  [SMALL_STATE(1941)] = 103241,
  [SMALL_STATE(1942)] = 103290,
  [SMALL_STATE(1943)] = 103339,
  [SMALL_STATE(1944)] = 103388,
  [SMALL_STATE(1945)] = 103483,
  [SMALL_STATE(1946)] = 103532,
  [SMALL_STATE(1947)] = 103585,
  [SMALL_STATE(1948)] = 103638,
  [SMALL_STATE(1949)] = 103687,
  [SMALL_STATE(1950)] = 103782,
  [SMALL_STATE(1951)] = 103837,
  [SMALL_STATE(1952)] = 103890,
  [SMALL_STATE(1953)] = 103943,
  [SMALL_STATE(1954)] = 103996,
  [SMALL_STATE(1955)] = 104045,
  [SMALL_STATE(1956)] = 104098,
  [SMALL_STATE(1957)] = 104153,
  [SMALL_STATE(1958)] = 104206,
  [SMALL_STATE(1959)] = 104255,
  [SMALL_STATE(1960)] = 104350,
  [SMALL_STATE(1961)] = 104399,
  [SMALL_STATE(1962)] = 104454,
  [SMALL_STATE(1963)] = 104549,
  [SMALL_STATE(1964)] = 104598,
  [SMALL_STATE(1965)] = 104647,
  [SMALL_STATE(1966)] = 104700,
  [SMALL_STATE(1967)] = 104795,
  [SMALL_STATE(1968)] = 104844,
  [SMALL_STATE(1969)] = 104897,
  [SMALL_STATE(1970)] = 104950,
  [SMALL_STATE(1971)] = 104999,
  [SMALL_STATE(1972)] = 105048,
  [SMALL_STATE(1973)] = 105143,
  [SMALL_STATE(1974)] = 105196,
  [SMALL_STATE(1975)] = 105245,
  [SMALL_STATE(1976)] = 105298,
  [SMALL_STATE(1977)] = 105351,
  [SMALL_STATE(1978)] = 105404,
  [SMALL_STATE(1979)] = 105457,
  [SMALL_STATE(1980)] = 105510,
  [SMALL_STATE(1981)] = 105559,
  [SMALL_STATE(1982)] = 105608,
  [SMALL_STATE(1983)] = 105657,
  [SMALL_STATE(1984)] = 105706,
  [SMALL_STATE(1985)] = 105755,
  [SMALL_STATE(1986)] = 105808,
  [SMALL_STATE(1987)] = 105863,
  [SMALL_STATE(1988)] = 105912,
  [SMALL_STATE(1989)] = 105961,
  [SMALL_STATE(1990)] = 106010,
  [SMALL_STATE(1991)] = 106059,
  [SMALL_STATE(1992)] = 106112,
  [SMALL_STATE(1993)] = 106161,
  [SMALL_STATE(1994)] = 106214,
  [SMALL_STATE(1995)] = 106263,
  [SMALL_STATE(1996)] = 106312,
  [SMALL_STATE(1997)] = 106365,
  [SMALL_STATE(1998)] = 106418,
  [SMALL_STATE(1999)] = 106471,
  [SMALL_STATE(2000)] = 106566,
  [SMALL_STATE(2001)] = 106619,
  [SMALL_STATE(2002)] = 106714,
  [SMALL_STATE(2003)] = 106809,
  [SMALL_STATE(2004)] = 106858,
  [SMALL_STATE(2005)] = 106913,
  [SMALL_STATE(2006)] = 106962,
  [SMALL_STATE(2007)] = 107017,
  [SMALL_STATE(2008)] = 107072,
  [SMALL_STATE(2009)] = 107167,
  [SMALL_STATE(2010)] = 107222,
  [SMALL_STATE(2011)] = 107275,
  [SMALL_STATE(2012)] = 107324,
  [SMALL_STATE(2013)] = 107380,
  [SMALL_STATE(2014)] = 107428,
  [SMALL_STATE(2015)] = 107476,
  [SMALL_STATE(2016)] = 107532,
  [SMALL_STATE(2017)] = 107580,
  [SMALL_STATE(2018)] = 107628,
  [SMALL_STATE(2019)] = 107680,
  [SMALL_STATE(2020)] = 107732,
  [SMALL_STATE(2021)] = 107786,
  [SMALL_STATE(2022)] = 107838,
  [SMALL_STATE(2023)] = 107886,
  [SMALL_STATE(2024)] = 107938,
  [SMALL_STATE(2025)] = 107992,
  [SMALL_STATE(2026)] = 108040,
  [SMALL_STATE(2027)] = 108092,
  [SMALL_STATE(2028)] = 108140,
  [SMALL_STATE(2029)] = 108194,
  [SMALL_STATE(2030)] = 108242,
  [SMALL_STATE(2031)] = 108296,
  [SMALL_STATE(2032)] = 108344,
  [SMALL_STATE(2033)] = 108398,
  [SMALL_STATE(2034)] = 108450,
  [SMALL_STATE(2035)] = 108502,
  [SMALL_STATE(2036)] = 108550,
  [SMALL_STATE(2037)] = 108604,
  [SMALL_STATE(2038)] = 108652,
  [SMALL_STATE(2039)] = 108706,
  [SMALL_STATE(2040)] = 108754,
  [SMALL_STATE(2041)] = 108802,
  [SMALL_STATE(2042)] = 108854,
  [SMALL_STATE(2043)] = 108902,
  [SMALL_STATE(2044)] = 108956,
  [SMALL_STATE(2045)] = 109004,
  [SMALL_STATE(2046)] = 109056,
  [SMALL_STATE(2047)] = 109104,
  [SMALL_STATE(2048)] = 109160,
  [SMALL_STATE(2049)] = 109208,
  [SMALL_STATE(2050)] = 109260,
  [SMALL_STATE(2051)] = 109308,
  [SMALL_STATE(2052)] = 109360,
  [SMALL_STATE(2053)] = 109416,
  [SMALL_STATE(2054)] = 109468,
  [SMALL_STATE(2055)] = 109516,
  [SMALL_STATE(2056)] = 109568,
  [SMALL_STATE(2057)] = 109622,
  [SMALL_STATE(2058)] = 109670,
  [SMALL_STATE(2059)] = 109718,
  [SMALL_STATE(2060)] = 109772,
  [SMALL_STATE(2061)] = 109820,
  [SMALL_STATE(2062)] = 109868,
  [SMALL_STATE(2063)] = 109920,
  [SMALL_STATE(2064)] = 109968,
  [SMALL_STATE(2065)] = 110016,
  [SMALL_STATE(2066)] = 110064,
  [SMALL_STATE(2067)] = 110112,
  [SMALL_STATE(2068)] = 110168,
  [SMALL_STATE(2069)] = 110222,
  [SMALL_STATE(2070)] = 110270,
  [SMALL_STATE(2071)] = 110324,
  [SMALL_STATE(2072)] = 110378,
  [SMALL_STATE(2073)] = 110426,
  [SMALL_STATE(2074)] = 110474,
  [SMALL_STATE(2075)] = 110526,
  [SMALL_STATE(2076)] = 110574,
  [SMALL_STATE(2077)] = 110628,
  [SMALL_STATE(2078)] = 110676,
  [SMALL_STATE(2079)] = 110730,
  [SMALL_STATE(2080)] = 110782,
  [SMALL_STATE(2081)] = 110836,
  [SMALL_STATE(2082)] = 110884,
  [SMALL_STATE(2083)] = 110936,
  [SMALL_STATE(2084)] = 110984,
  [SMALL_STATE(2085)] = 111032,
  [SMALL_STATE(2086)] = 111080,
  [SMALL_STATE(2087)] = 111136,
  [SMALL_STATE(2088)] = 111184,
  [SMALL_STATE(2089)] = 111232,
  [SMALL_STATE(2090)] = 111284,
  [SMALL_STATE(2091)] = 111340,
  [SMALL_STATE(2092)] = 111388,
  [SMALL_STATE(2093)] = 111440,
  [SMALL_STATE(2094)] = 111492,
  [SMALL_STATE(2095)] = 111542,
  [SMALL_STATE(2096)] = 111590,
  [SMALL_STATE(2097)] = 111642,
  [SMALL_STATE(2098)] = 111690,
  [SMALL_STATE(2099)] = 111738,
  [SMALL_STATE(2100)] = 111790,
  [SMALL_STATE(2101)] = 111846,
  [SMALL_STATE(2102)] = 111900,
  [SMALL_STATE(2103)] = 111956,
  [SMALL_STATE(2104)] = 112004,
  [SMALL_STATE(2105)] = 112056,
  [SMALL_STATE(2106)] = 112104,
  [SMALL_STATE(2107)] = 112152,
  [SMALL_STATE(2108)] = 112200,
  [SMALL_STATE(2109)] = 112248,
  [SMALL_STATE(2110)] = 112300,
  [SMALL_STATE(2111)] = 112352,
  [SMALL_STATE(2112)] = 112406,
  [SMALL_STATE(2113)] = 112458,
  [SMALL_STATE(2114)] = 112512,
  [SMALL_STATE(2115)] = 112566,
  [SMALL_STATE(2116)] = 112622,
  [SMALL_STATE(2117)] = 112678,
  [SMALL_STATE(2118)] = 112730,
  [SMALL_STATE(2119)] = 112786,
  [SMALL_STATE(2120)] = 112840,
  [SMALL_STATE(2121)] = 112894,
  [SMALL_STATE(2122)] = 112942,
  [SMALL_STATE(2123)] = 112990,
  [SMALL_STATE(2124)] = 113038,
  [SMALL_STATE(2125)] = 113086,
  [SMALL_STATE(2126)] = 113140,
  [SMALL_STATE(2127)] = 113187,
  [SMALL_STATE(2128)] = 113234,
  [SMALL_STATE(2129)] = 113285,
  [SMALL_STATE(2130)] = 113334,
  [SMALL_STATE(2131)] = 113381,
  [SMALL_STATE(2132)] = 113430,
  [SMALL_STATE(2133)] = 113477,
  [SMALL_STATE(2134)] = 113524,
  [SMALL_STATE(2135)] = 113571,
  [SMALL_STATE(2136)] = 113618,
  [SMALL_STATE(2137)] = 113665,
  [SMALL_STATE(2138)] = 113720,
  [SMALL_STATE(2139)] = 113771,
  [SMALL_STATE(2140)] = 113822,
  [SMALL_STATE(2141)] = 113873,
  [SMALL_STATE(2142)] = 113920,
  [SMALL_STATE(2143)] = 113971,
  [SMALL_STATE(2144)] = 114022,
  [SMALL_STATE(2145)] = 114073,
  [SMALL_STATE(2146)] = 114120,
  [SMALL_STATE(2147)] = 114169,
  [SMALL_STATE(2148)] = 114218,
  [SMALL_STATE(2149)] = 114265,
  [SMALL_STATE(2150)] = 114312,
  [SMALL_STATE(2151)] = 114363,
  [SMALL_STATE(2152)] = 114412,
  [SMALL_STATE(2153)] = 114459,
  [SMALL_STATE(2154)] = 114506,
  [SMALL_STATE(2155)] = 114557,
  [SMALL_STATE(2156)] = 114604,
  [SMALL_STATE(2157)] = 114655,
  [SMALL_STATE(2158)] = 114702,
  [SMALL_STATE(2159)] = 114749,
  [SMALL_STATE(2160)] = 114796,
  [SMALL_STATE(2161)] = 114843,
  [SMALL_STATE(2162)] = 114890,
  [SMALL_STATE(2163)] = 114941,
  [SMALL_STATE(2164)] = 114988,
  [SMALL_STATE(2165)] = 115035,
  [SMALL_STATE(2166)] = 115082,
  [SMALL_STATE(2167)] = 115133,
  [SMALL_STATE(2168)] = 115186,
  [SMALL_STATE(2169)] = 115239,
  [SMALL_STATE(2170)] = 115286,
  [SMALL_STATE(2171)] = 115333,
  [SMALL_STATE(2172)] = 115384,
  [SMALL_STATE(2173)] = 115435,
  [SMALL_STATE(2174)] = 115482,
  [SMALL_STATE(2175)] = 115529,
  [SMALL_STATE(2176)] = 115576,
  [SMALL_STATE(2177)] = 115623,
  [SMALL_STATE(2178)] = 115670,
  [SMALL_STATE(2179)] = 115717,
  [SMALL_STATE(2180)] = 115764,
  [SMALL_STATE(2181)] = 115811,
  [SMALL_STATE(2182)] = 115858,
  [SMALL_STATE(2183)] = 115905,
  [SMALL_STATE(2184)] = 115958,
  [SMALL_STATE(2185)] = 116011,
  [SMALL_STATE(2186)] = 116058,
  [SMALL_STATE(2187)] = 116105,
  [SMALL_STATE(2188)] = 116152,
  [SMALL_STATE(2189)] = 116199,
  [SMALL_STATE(2190)] = 116246,
  [SMALL_STATE(2191)] = 116293,
  [SMALL_STATE(2192)] = 116340,
  [SMALL_STATE(2193)] = 116387,
  [SMALL_STATE(2194)] = 116434,
  [SMALL_STATE(2195)] = 116481,
  [SMALL_STATE(2196)] = 116528,
  [SMALL_STATE(2197)] = 116575,
  [SMALL_STATE(2198)] = 116622,
  [SMALL_STATE(2199)] = 116669,
  [SMALL_STATE(2200)] = 116716,
  [SMALL_STATE(2201)] = 116763,
  [SMALL_STATE(2202)] = 116810,
  [SMALL_STATE(2203)] = 116857,
  [SMALL_STATE(2204)] = 116904,
  [SMALL_STATE(2205)] = 116951,
  [SMALL_STATE(2206)] = 116998,
  [SMALL_STATE(2207)] = 117045,
  [SMALL_STATE(2208)] = 117096,
  [SMALL_STATE(2209)] = 117143,
  [SMALL_STATE(2210)] = 117190,
  [SMALL_STATE(2211)] = 117237,
  [SMALL_STATE(2212)] = 117284,
  [SMALL_STATE(2213)] = 117333,
  [SMALL_STATE(2214)] = 117380,
  [SMALL_STATE(2215)] = 117431,
  [SMALL_STATE(2216)] = 117478,
  [SMALL_STATE(2217)] = 117525,
  [SMALL_STATE(2218)] = 117572,
  [SMALL_STATE(2219)] = 117619,
  [SMALL_STATE(2220)] = 117666,
  [SMALL_STATE(2221)] = 117713,
  [SMALL_STATE(2222)] = 117760,
  [SMALL_STATE(2223)] = 117807,
  [SMALL_STATE(2224)] = 117854,
  [SMALL_STATE(2225)] = 117901,
  [SMALL_STATE(2226)] = 117948,
  [SMALL_STATE(2227)] = 117995,
  [SMALL_STATE(2228)] = 118042,
  [SMALL_STATE(2229)] = 118089,
  [SMALL_STATE(2230)] = 118140,
  [SMALL_STATE(2231)] = 118191,
  [SMALL_STATE(2232)] = 118242,
  [SMALL_STATE(2233)] = 118289,
  [SMALL_STATE(2234)] = 118336,
  [SMALL_STATE(2235)] = 118383,
  [SMALL_STATE(2236)] = 118430,
  [SMALL_STATE(2237)] = 118477,
  [SMALL_STATE(2238)] = 118524,
  [SMALL_STATE(2239)] = 118571,
  [SMALL_STATE(2240)] = 118618,
  [SMALL_STATE(2241)] = 118665,
  [SMALL_STATE(2242)] = 118714,
  [SMALL_STATE(2243)] = 118761,
  [SMALL_STATE(2244)] = 118812,
  [SMALL_STATE(2245)] = 118859,
  [SMALL_STATE(2246)] = 118906,
  [SMALL_STATE(2247)] = 118953,
  [SMALL_STATE(2248)] = 119000,
  [SMALL_STATE(2249)] = 119047,
  [SMALL_STATE(2250)] = 119094,
  [SMALL_STATE(2251)] = 119141,
  [SMALL_STATE(2252)] = 119188,
  [SMALL_STATE(2253)] = 119239,
  [SMALL_STATE(2254)] = 119286,
  [SMALL_STATE(2255)] = 119337,
  [SMALL_STATE(2256)] = 119384,
  [SMALL_STATE(2257)] = 119431,
  [SMALL_STATE(2258)] = 119513,
  [SMALL_STATE(2259)] = 119595,
  [SMALL_STATE(2260)] = 119641,
  [SMALL_STATE(2261)] = 119687,
  [SMALL_STATE(2262)] = 119733,
  [SMALL_STATE(2263)] = 119815,
  [SMALL_STATE(2264)] = 119863,
  [SMALL_STATE(2265)] = 119909,
  [SMALL_STATE(2266)] = 119955,
  [SMALL_STATE(2267)] = 120001,
  [SMALL_STATE(2268)] = 120047,
  [SMALL_STATE(2269)] = 120093,
  [SMALL_STATE(2270)] = 120139,
  [SMALL_STATE(2271)] = 120221,
  [SMALL_STATE(2272)] = 120267,
  [SMALL_STATE(2273)] = 120313,
  [SMALL_STATE(2274)] = 120359,
  [SMALL_STATE(2275)] = 120405,
  [SMALL_STATE(2276)] = 120487,
  [SMALL_STATE(2277)] = 120561,
  [SMALL_STATE(2278)] = 120617,
  [SMALL_STATE(2279)] = 120663,
  [SMALL_STATE(2280)] = 120709,
  [SMALL_STATE(2281)] = 120755,
  [SMALL_STATE(2282)] = 120837,
  [SMALL_STATE(2283)] = 120883,
  [SMALL_STATE(2284)] = 120965,
  [SMALL_STATE(2285)] = 121011,
  [SMALL_STATE(2286)] = 121059,
  [SMALL_STATE(2287)] = 121109,
  [SMALL_STATE(2288)] = 121155,
  [SMALL_STATE(2289)] = 121207,
  [SMALL_STATE(2290)] = 121253,
  [SMALL_STATE(2291)] = 121309,
  [SMALL_STATE(2292)] = 121391,
  [SMALL_STATE(2293)] = 121445,
  [SMALL_STATE(2294)] = 121527,
  [SMALL_STATE(2295)] = 121581,
  [SMALL_STATE(2296)] = 121627,
  [SMALL_STATE(2297)] = 121673,
  [SMALL_STATE(2298)] = 121755,
  [SMALL_STATE(2299)] = 121805,
  [SMALL_STATE(2300)] = 121851,
  [SMALL_STATE(2301)] = 121933,
  [SMALL_STATE(2302)] = 121987,
  [SMALL_STATE(2303)] = 122037,
  [SMALL_STATE(2304)] = 122119,
  [SMALL_STATE(2305)] = 122165,
  [SMALL_STATE(2306)] = 122221,
  [SMALL_STATE(2307)] = 122303,
  [SMALL_STATE(2308)] = 122385,
  [SMALL_STATE(2309)] = 122435,
  [SMALL_STATE(2310)] = 122481,
  [SMALL_STATE(2311)] = 122541,
  [SMALL_STATE(2312)] = 122603,
  [SMALL_STATE(2313)] = 122653,
  [SMALL_STATE(2314)] = 122703,
  [SMALL_STATE(2315)] = 122785,
  [SMALL_STATE(2316)] = 122867,
  [SMALL_STATE(2317)] = 122913,
  [SMALL_STATE(2318)] = 122995,
  [SMALL_STATE(2319)] = 123077,
  [SMALL_STATE(2320)] = 123125,
  [SMALL_STATE(2321)] = 123189,
  [SMALL_STATE(2322)] = 123235,
  [SMALL_STATE(2323)] = 123281,
  [SMALL_STATE(2324)] = 123339,
  [SMALL_STATE(2325)] = 123389,
  [SMALL_STATE(2326)] = 123471,
  [SMALL_STATE(2327)] = 123527,
  [SMALL_STATE(2328)] = 123575,
  [SMALL_STATE(2329)] = 123657,
  [SMALL_STATE(2330)] = 123739,
  [SMALL_STATE(2331)] = 123789,
  [SMALL_STATE(2332)] = 123855,
  [SMALL_STATE(2333)] = 123905,
  [SMALL_STATE(2334)] = 123987,
  [SMALL_STATE(2335)] = 124043,
  [SMALL_STATE(2336)] = 124125,
  [SMALL_STATE(2337)] = 124171,
  [SMALL_STATE(2338)] = 124239,
  [SMALL_STATE(2339)] = 124285,
  [SMALL_STATE(2340)] = 124367,
  [SMALL_STATE(2341)] = 124413,
  [SMALL_STATE(2342)] = 124459,
  [SMALL_STATE(2343)] = 124505,
  [SMALL_STATE(2344)] = 124555,
  [SMALL_STATE(2345)] = 124601,
  [SMALL_STATE(2346)] = 124647,
  [SMALL_STATE(2347)] = 124693,
  [SMALL_STATE(2348)] = 124739,
  [SMALL_STATE(2349)] = 124785,
  [SMALL_STATE(2350)] = 124831,
  [SMALL_STATE(2351)] = 124877,
  [SMALL_STATE(2352)] = 124947,
  [SMALL_STATE(2353)] = 125001,
  [SMALL_STATE(2354)] = 125083,
  [SMALL_STATE(2355)] = 125159,
  [SMALL_STATE(2356)] = 125205,
  [SMALL_STATE(2357)] = 125251,
  [SMALL_STATE(2358)] = 125333,
  [SMALL_STATE(2359)] = 125379,
  [SMALL_STATE(2360)] = 125461,
  [SMALL_STATE(2361)] = 125543,
  [SMALL_STATE(2362)] = 125615,
  [SMALL_STATE(2363)] = 125689,
  [SMALL_STATE(2364)] = 125735,
  [SMALL_STATE(2365)] = 125817,
  [SMALL_STATE(2366)] = 125863,
  [SMALL_STATE(2367)] = 125945,
  [SMALL_STATE(2368)] = 125991,
  [SMALL_STATE(2369)] = 126037,
  [SMALL_STATE(2370)] = 126083,
  [SMALL_STATE(2371)] = 126129,
  [SMALL_STATE(2372)] = 126175,
  [SMALL_STATE(2373)] = 126253,
  [SMALL_STATE(2374)] = 126299,
  [SMALL_STATE(2375)] = 126345,
  [SMALL_STATE(2376)] = 126393,
  [SMALL_STATE(2377)] = 126443,
  [SMALL_STATE(2378)] = 126489,
  [SMALL_STATE(2379)] = 126535,
  [SMALL_STATE(2380)] = 126617,
  [SMALL_STATE(2381)] = 126699,
  [SMALL_STATE(2382)] = 126749,
  [SMALL_STATE(2383)] = 126799,
  [SMALL_STATE(2384)] = 126851,
  [SMALL_STATE(2385)] = 126905,
  [SMALL_STATE(2386)] = 126987,
  [SMALL_STATE(2387)] = 127069,
  [SMALL_STATE(2388)] = 127127,
  [SMALL_STATE(2389)] = 127209,
  [SMALL_STATE(2390)] = 127271,
  [SMALL_STATE(2391)] = 127335,
  [SMALL_STATE(2392)] = 127401,
  [SMALL_STATE(2393)] = 127469,
  [SMALL_STATE(2394)] = 127539,
  [SMALL_STATE(2395)] = 127611,
  [SMALL_STATE(2396)] = 127657,
  [SMALL_STATE(2397)] = 127733,
  [SMALL_STATE(2398)] = 127789,
  [SMALL_STATE(2399)] = 127835,
  [SMALL_STATE(2400)] = 127881,
  [SMALL_STATE(2401)] = 127927,
  [SMALL_STATE(2402)] = 127973,
  [SMALL_STATE(2403)] = 128019,
  [SMALL_STATE(2404)] = 128065,
  [SMALL_STATE(2405)] = 128111,
  [SMALL_STATE(2406)] = 128157,
  [SMALL_STATE(2407)] = 128203,
  [SMALL_STATE(2408)] = 128249,
  [SMALL_STATE(2409)] = 128331,
  [SMALL_STATE(2410)] = 128377,
  [SMALL_STATE(2411)] = 128423,
  [SMALL_STATE(2412)] = 128469,
  [SMALL_STATE(2413)] = 128515,
  [SMALL_STATE(2414)] = 128597,
  [SMALL_STATE(2415)] = 128679,
  [SMALL_STATE(2416)] = 128761,
  [SMALL_STATE(2417)] = 128807,
  [SMALL_STATE(2418)] = 128853,
  [SMALL_STATE(2419)] = 128899,
  [SMALL_STATE(2420)] = 128945,
  [SMALL_STATE(2421)] = 128991,
  [SMALL_STATE(2422)] = 129037,
  [SMALL_STATE(2423)] = 129085,
  [SMALL_STATE(2424)] = 129167,
  [SMALL_STATE(2425)] = 129249,
  [SMALL_STATE(2426)] = 129295,
  [SMALL_STATE(2427)] = 129341,
  [SMALL_STATE(2428)] = 129387,
  [SMALL_STATE(2429)] = 129437,
  [SMALL_STATE(2430)] = 129519,
  [SMALL_STATE(2431)] = 129569,
  [SMALL_STATE(2432)] = 129651,
  [SMALL_STATE(2433)] = 129733,
  [SMALL_STATE(2434)] = 129815,
  [SMALL_STATE(2435)] = 129897,
  [SMALL_STATE(2436)] = 129979,
  [SMALL_STATE(2437)] = 130061,
  [SMALL_STATE(2438)] = 130106,
  [SMALL_STATE(2439)] = 130161,
  [SMALL_STATE(2440)] = 130222,
  [SMALL_STATE(2441)] = 130301,
  [SMALL_STATE(2442)] = 130356,
  [SMALL_STATE(2443)] = 130413,
  [SMALL_STATE(2444)] = 130460,
  [SMALL_STATE(2445)] = 130525,
  [SMALL_STATE(2446)] = 130604,
  [SMALL_STATE(2447)] = 130649,
  [SMALL_STATE(2448)] = 130694,
  [SMALL_STATE(2449)] = 130741,
  [SMALL_STATE(2450)] = 130786,
  [SMALL_STATE(2451)] = 130853,
  [SMALL_STATE(2452)] = 130904,
  [SMALL_STATE(2453)] = 130973,
  [SMALL_STATE(2454)] = 131028,
  [SMALL_STATE(2455)] = 131103,
  [SMALL_STATE(2456)] = 131178,
  [SMALL_STATE(2457)] = 131249,
  [SMALL_STATE(2458)] = 131294,
  [SMALL_STATE(2459)] = 131339,
  [SMALL_STATE(2460)] = 131402,
  [SMALL_STATE(2461)] = 131447,
  [SMALL_STATE(2462)] = 131526,
  [SMALL_STATE(2463)] = 131581,
  [SMALL_STATE(2464)] = 131626,
  [SMALL_STATE(2465)] = 131671,
  [SMALL_STATE(2466)] = 131716,
  [SMALL_STATE(2467)] = 131793,
  [SMALL_STATE(2468)] = 131840,
  [SMALL_STATE(2469)] = 131885,
  [SMALL_STATE(2470)] = 131930,
  [SMALL_STATE(2471)] = 131975,
  [SMALL_STATE(2472)] = 132054,
  [SMALL_STATE(2473)] = 132099,
  [SMALL_STATE(2474)] = 132176,
  [SMALL_STATE(2475)] = 132249,
  [SMALL_STATE(2476)] = 132294,
  [SMALL_STATE(2477)] = 132351,
  [SMALL_STATE(2478)] = 132404,
  [SMALL_STATE(2479)] = 132475,
  [SMALL_STATE(2480)] = 132554,
  [SMALL_STATE(2481)] = 132623,
  [SMALL_STATE(2482)] = 132690,
  [SMALL_STATE(2483)] = 132741,
  [SMALL_STATE(2484)] = 132806,
  [SMALL_STATE(2485)] = 132885,
  [SMALL_STATE(2486)] = 132974,
  [SMALL_STATE(2487)] = 133063,
  [SMALL_STATE(2488)] = 133152,
  [SMALL_STATE(2489)] = 133241,
  [SMALL_STATE(2490)] = 133288,
  [SMALL_STATE(2491)] = 133335,
  [SMALL_STATE(2492)] = 133384,
  [SMALL_STATE(2493)] = 133457,
  [SMALL_STATE(2494)] = 133536,
  [SMALL_STATE(2495)] = 133581,
  [SMALL_STATE(2496)] = 133660,
  [SMALL_STATE(2497)] = 133737,
  [SMALL_STATE(2498)] = 133816,
  [SMALL_STATE(2499)] = 133865,
  [SMALL_STATE(2500)] = 133914,
  [SMALL_STATE(2501)] = 133961,
  [SMALL_STATE(2502)] = 134014,
  [SMALL_STATE(2503)] = 134071,
  [SMALL_STATE(2504)] = 134144,
  [SMALL_STATE(2505)] = 134205,
  [SMALL_STATE(2506)] = 134268,
  [SMALL_STATE(2507)] = 134333,
  [SMALL_STATE(2508)] = 134400,
  [SMALL_STATE(2509)] = 134469,
  [SMALL_STATE(2510)] = 134540,
  [SMALL_STATE(2511)] = 134593,
  [SMALL_STATE(2512)] = 134656,
  [SMALL_STATE(2513)] = 134701,
  [SMALL_STATE(2514)] = 134778,
  [SMALL_STATE(2515)] = 134853,
  [SMALL_STATE(2516)] = 134908,
  [SMALL_STATE(2517)] = 134997,
  [SMALL_STATE(2518)] = 135086,
  [SMALL_STATE(2519)] = 135135,
  [SMALL_STATE(2520)] = 135184,
  [SMALL_STATE(2521)] = 135245,
  [SMALL_STATE(2522)] = 135300,
  [SMALL_STATE(2523)] = 135347,
  [SMALL_STATE(2524)] = 135436,
  [SMALL_STATE(2525)] = 135483,
  [SMALL_STATE(2526)] = 135534,
  [SMALL_STATE(2527)] = 135589,
  [SMALL_STATE(2528)] = 135678,
  [SMALL_STATE(2529)] = 135731,
  [SMALL_STATE(2530)] = 135810,
  [SMALL_STATE(2531)] = 135867,
  [SMALL_STATE(2532)] = 135914,
  [SMALL_STATE(2533)] = 135969,
  [SMALL_STATE(2534)] = 136018,
  [SMALL_STATE(2535)] = 136075,
  [SMALL_STATE(2536)] = 136130,
  [SMALL_STATE(2537)] = 136177,
  [SMALL_STATE(2538)] = 136232,
  [SMALL_STATE(2539)] = 136289,
  [SMALL_STATE(2540)] = 136346,
  [SMALL_STATE(2541)] = 136405,
  [SMALL_STATE(2542)] = 136466,
  [SMALL_STATE(2543)] = 136529,
  [SMALL_STATE(2544)] = 136594,
  [SMALL_STATE(2545)] = 136639,
  [SMALL_STATE(2546)] = 136692,
  [SMALL_STATE(2547)] = 136743,
  [SMALL_STATE(2548)] = 136822,
  [SMALL_STATE(2549)] = 136867,
  [SMALL_STATE(2550)] = 136946,
  [SMALL_STATE(2551)] = 137025,
  [SMALL_STATE(2552)] = 137074,
  [SMALL_STATE(2553)] = 137119,
  [SMALL_STATE(2554)] = 137186,
  [SMALL_STATE(2555)] = 137231,
  [SMALL_STATE(2556)] = 137300,
  [SMALL_STATE(2557)] = 137389,
  [SMALL_STATE(2558)] = 137434,
  [SMALL_STATE(2559)] = 137481,
  [SMALL_STATE(2560)] = 137530,
  [SMALL_STATE(2561)] = 137619,
  [SMALL_STATE(2562)] = 137668,
  [SMALL_STATE(2563)] = 137747,
  [SMALL_STATE(2564)] = 137826,
  [SMALL_STATE(2565)] = 137871,
  [SMALL_STATE(2566)] = 137942,
  [SMALL_STATE(2567)] = 137987,
  [SMALL_STATE(2568)] = 138032,
  [SMALL_STATE(2569)] = 138105,
  [SMALL_STATE(2570)] = 138150,
  [SMALL_STATE(2571)] = 138229,
  [SMALL_STATE(2572)] = 138274,
  [SMALL_STATE(2573)] = 138319,
  [SMALL_STATE(2574)] = 138382,
  [SMALL_STATE(2575)] = 138437,
  [SMALL_STATE(2576)] = 138512,
  [SMALL_STATE(2577)] = 138589,
  [SMALL_STATE(2578)] = 138678,
  [SMALL_STATE(2579)] = 138757,
  [SMALL_STATE(2580)] = 138814,
  [SMALL_STATE(2581)] = 138885,
  [SMALL_STATE(2582)] = 138954,
  [SMALL_STATE(2583)] = 138999,
  [SMALL_STATE(2584)] = 139066,
  [SMALL_STATE(2585)] = 139113,
  [SMALL_STATE(2586)] = 139178,
  [SMALL_STATE(2587)] = 139241,
  [SMALL_STATE(2588)] = 139302,
  [SMALL_STATE(2589)] = 139347,
  [SMALL_STATE(2590)] = 139404,
  [SMALL_STATE(2591)] = 139461,
  [SMALL_STATE(2592)] = 139508,
  [SMALL_STATE(2593)] = 139561,
  [SMALL_STATE(2594)] = 139614,
  [SMALL_STATE(2595)] = 139667,
  [SMALL_STATE(2596)] = 139718,
  [SMALL_STATE(2597)] = 139767,
  [SMALL_STATE(2598)] = 139846,
  [SMALL_STATE(2599)] = 139925,
  [SMALL_STATE(2600)] = 139972,
  [SMALL_STATE(2601)] = 140051,
  [SMALL_STATE(2602)] = 140100,
  [SMALL_STATE(2603)] = 140145,
  [SMALL_STATE(2604)] = 140200,
  [SMALL_STATE(2605)] = 140255,
  [SMALL_STATE(2606)] = 140330,
  [SMALL_STATE(2607)] = 140407,
  [SMALL_STATE(2608)] = 140478,
  [SMALL_STATE(2609)] = 140533,
  [SMALL_STATE(2610)] = 140602,
  [SMALL_STATE(2611)] = 140657,
  [SMALL_STATE(2612)] = 140712,
  [SMALL_STATE(2613)] = 140765,
  [SMALL_STATE(2614)] = 140838,
  [SMALL_STATE(2615)] = 140917,
  [SMALL_STATE(2616)] = 141006,
  [SMALL_STATE(2617)] = 141073,
  [SMALL_STATE(2618)] = 141118,
  [SMALL_STATE(2619)] = 141183,
  [SMALL_STATE(2620)] = 141246,
  [SMALL_STATE(2621)] = 141307,
  [SMALL_STATE(2622)] = 141364,
  [SMALL_STATE(2623)] = 141417,
  [SMALL_STATE(2624)] = 141468,
  [SMALL_STATE(2625)] = 141517,
  [SMALL_STATE(2626)] = 141566,
  [SMALL_STATE(2627)] = 141613,
  [SMALL_STATE(2628)] = 141662,
  [SMALL_STATE(2629)] = 141738,
  [SMALL_STATE(2630)] = 141812,
  [SMALL_STATE(2631)] = 141862,
  [SMALL_STATE(2632)] = 141910,
  [SMALL_STATE(2633)] = 141956,
  [SMALL_STATE(2634)] = 142032,
  [SMALL_STATE(2635)] = 142076,
  [SMALL_STATE(2636)] = 142120,
  [SMALL_STATE(2637)] = 142164,
  [SMALL_STATE(2638)] = 142232,
  [SMALL_STATE(2639)] = 142276,
  [SMALL_STATE(2640)] = 142352,
  [SMALL_STATE(2641)] = 142406,
  [SMALL_STATE(2642)] = 142470,
  [SMALL_STATE(2643)] = 142534,
  [SMALL_STATE(2644)] = 142596,
  [SMALL_STATE(2645)] = 142656,
  [SMALL_STATE(2646)] = 142714,
  [SMALL_STATE(2647)] = 142772,
  [SMALL_STATE(2648)] = 142816,
  [SMALL_STATE(2649)] = 142870,
  [SMALL_STATE(2650)] = 142946,
  [SMALL_STATE(2651)] = 143006,
  [SMALL_STATE(2652)] = 143060,
  [SMALL_STATE(2653)] = 143122,
  [SMALL_STATE(2654)] = 143178,
  [SMALL_STATE(2655)] = 143242,
  [SMALL_STATE(2656)] = 143296,
  [SMALL_STATE(2657)] = 143348,
  [SMALL_STATE(2658)] = 143398,
  [SMALL_STATE(2659)] = 143464,
  [SMALL_STATE(2660)] = 143532,
  [SMALL_STATE(2661)] = 143580,
  [SMALL_STATE(2662)] = 143628,
  [SMALL_STATE(2663)] = 143702,
  [SMALL_STATE(2664)] = 143746,
  [SMALL_STATE(2665)] = 143790,
  [SMALL_STATE(2666)] = 143862,
  [SMALL_STATE(2667)] = 143906,
  [SMALL_STATE(2668)] = 143950,
  [SMALL_STATE(2669)] = 143996,
  [SMALL_STATE(2670)] = 144072,
  [SMALL_STATE(2671)] = 144116,
  [SMALL_STATE(2672)] = 144192,
  [SMALL_STATE(2673)] = 144268,
  [SMALL_STATE(2674)] = 144344,
  [SMALL_STATE(2675)] = 144410,
  [SMALL_STATE(2676)] = 144486,
  [SMALL_STATE(2677)] = 144572,
  [SMALL_STATE(2678)] = 144648,
  [SMALL_STATE(2679)] = 144724,
  [SMALL_STATE(2680)] = 144810,
  [SMALL_STATE(2681)] = 144886,
  [SMALL_STATE(2682)] = 144930,
  [SMALL_STATE(2683)] = 144974,
  [SMALL_STATE(2684)] = 145050,
  [SMALL_STATE(2685)] = 145126,
  [SMALL_STATE(2686)] = 145202,
  [SMALL_STATE(2687)] = 145278,
  [SMALL_STATE(2688)] = 145354,
  [SMALL_STATE(2689)] = 145406,
  [SMALL_STATE(2690)] = 145458,
  [SMALL_STATE(2691)] = 145534,
  [SMALL_STATE(2692)] = 145610,
  [SMALL_STATE(2693)] = 145686,
  [SMALL_STATE(2694)] = 145772,
  [SMALL_STATE(2695)] = 145816,
  [SMALL_STATE(2696)] = 145902,
  [SMALL_STATE(2697)] = 145988,
  [SMALL_STATE(2698)] = 146064,
  [SMALL_STATE(2699)] = 146108,
  [SMALL_STATE(2700)] = 146184,
  [SMALL_STATE(2701)] = 146254,
  [SMALL_STATE(2702)] = 146330,
  [SMALL_STATE(2703)] = 146406,
  [SMALL_STATE(2704)] = 146456,
  [SMALL_STATE(2705)] = 146500,
  [SMALL_STATE(2706)] = 146544,
  [SMALL_STATE(2707)] = 146620,
  [SMALL_STATE(2708)] = 146692,
  [SMALL_STATE(2709)] = 146778,
  [SMALL_STATE(2710)] = 146832,
  [SMALL_STATE(2711)] = 146880,
  [SMALL_STATE(2712)] = 146926,
  [SMALL_STATE(2713)] = 146974,
  [SMALL_STATE(2714)] = 147024,
  [SMALL_STATE(2715)] = 147078,
  [SMALL_STATE(2716)] = 147122,
  [SMALL_STATE(2717)] = 147174,
  [SMALL_STATE(2718)] = 147218,
  [SMALL_STATE(2719)] = 147294,
  [SMALL_STATE(2720)] = 147380,
  [SMALL_STATE(2721)] = 147424,
  [SMALL_STATE(2722)] = 147480,
  [SMALL_STATE(2723)] = 147524,
  [SMALL_STATE(2724)] = 147584,
  [SMALL_STATE(2725)] = 147646,
  [SMALL_STATE(2726)] = 147732,
  [SMALL_STATE(2727)] = 147796,
  [SMALL_STATE(2728)] = 147862,
  [SMALL_STATE(2729)] = 147938,
  [SMALL_STATE(2730)] = 147988,
  [SMALL_STATE(2731)] = 148038,
  [SMALL_STATE(2732)] = 148082,
  [SMALL_STATE(2733)] = 148150,
  [SMALL_STATE(2734)] = 148194,
  [SMALL_STATE(2735)] = 148238,
  [SMALL_STATE(2736)] = 148314,
  [SMALL_STATE(2737)] = 148384,
  [SMALL_STATE(2738)] = 148428,
  [SMALL_STATE(2739)] = 148504,
  [SMALL_STATE(2740)] = 148548,
  [SMALL_STATE(2741)] = 148592,
  [SMALL_STATE(2742)] = 148636,
  [SMALL_STATE(2743)] = 148680,
  [SMALL_STATE(2744)] = 148750,
  [SMALL_STATE(2745)] = 148794,
  [SMALL_STATE(2746)] = 148838,
  [SMALL_STATE(2747)] = 148914,
  [SMALL_STATE(2748)] = 148968,
  [SMALL_STATE(2749)] = 149044,
  [SMALL_STATE(2750)] = 149120,
  [SMALL_STATE(2751)] = 149196,
  [SMALL_STATE(2752)] = 149262,
  [SMALL_STATE(2753)] = 149314,
  [SMALL_STATE(2754)] = 149358,
  [SMALL_STATE(2755)] = 149444,
  [SMALL_STATE(2756)] = 149520,
  [SMALL_STATE(2757)] = 149564,
  [SMALL_STATE(2758)] = 149650,
  [SMALL_STATE(2759)] = 149694,
  [SMALL_STATE(2760)] = 149738,
  [SMALL_STATE(2761)] = 149782,
  [SMALL_STATE(2762)] = 149826,
  [SMALL_STATE(2763)] = 149870,
  [SMALL_STATE(2764)] = 149914,
  [SMALL_STATE(2765)] = 149964,
  [SMALL_STATE(2766)] = 150008,
  [SMALL_STATE(2767)] = 150052,
  [SMALL_STATE(2768)] = 150096,
  [SMALL_STATE(2769)] = 150140,
  [SMALL_STATE(2770)] = 150184,
  [SMALL_STATE(2771)] = 150228,
  [SMALL_STATE(2772)] = 150278,
  [SMALL_STATE(2773)] = 150352,
  [SMALL_STATE(2774)] = 150402,
  [SMALL_STATE(2775)] = 150446,
  [SMALL_STATE(2776)] = 150522,
  [SMALL_STATE(2777)] = 150598,
  [SMALL_STATE(2778)] = 150674,
  [SMALL_STATE(2779)] = 150718,
  [SMALL_STATE(2780)] = 150804,
  [SMALL_STATE(2781)] = 150890,
  [SMALL_STATE(2782)] = 150934,
  [SMALL_STATE(2783)] = 151010,
  [SMALL_STATE(2784)] = 151054,
  [SMALL_STATE(2785)] = 151098,
  [SMALL_STATE(2786)] = 151142,
  [SMALL_STATE(2787)] = 151212,
  [SMALL_STATE(2788)] = 151264,
  [SMALL_STATE(2789)] = 151340,
  [SMALL_STATE(2790)] = 151392,
  [SMALL_STATE(2791)] = 151468,
  [SMALL_STATE(2792)] = 151512,
  [SMALL_STATE(2793)] = 151588,
  [SMALL_STATE(2794)] = 151636,
  [SMALL_STATE(2795)] = 151684,
  [SMALL_STATE(2796)] = 151760,
  [SMALL_STATE(2797)] = 151810,
  [SMALL_STATE(2798)] = 151886,
  [SMALL_STATE(2799)] = 151938,
  [SMALL_STATE(2800)] = 151992,
  [SMALL_STATE(2801)] = 152050,
  [SMALL_STATE(2802)] = 152110,
  [SMALL_STATE(2803)] = 152154,
  [SMALL_STATE(2804)] = 152198,
  [SMALL_STATE(2805)] = 152242,
  [SMALL_STATE(2806)] = 152304,
  [SMALL_STATE(2807)] = 152368,
  [SMALL_STATE(2808)] = 152444,
  [SMALL_STATE(2809)] = 152508,
  [SMALL_STATE(2810)] = 152584,
  [SMALL_STATE(2811)] = 152650,
  [SMALL_STATE(2812)] = 152694,
  [SMALL_STATE(2813)] = 152738,
  [SMALL_STATE(2814)] = 152806,
  [SMALL_STATE(2815)] = 152850,
  [SMALL_STATE(2816)] = 152894,
  [SMALL_STATE(2817)] = 152938,
  [SMALL_STATE(2818)] = 153014,
  [SMALL_STATE(2819)] = 153058,
  [SMALL_STATE(2820)] = 153102,
  [SMALL_STATE(2821)] = 153146,
  [SMALL_STATE(2822)] = 153222,
  [SMALL_STATE(2823)] = 153268,
  [SMALL_STATE(2824)] = 153316,
  [SMALL_STATE(2825)] = 153366,
  [SMALL_STATE(2826)] = 153442,
  [SMALL_STATE(2827)] = 153512,
  [SMALL_STATE(2828)] = 153556,
  [SMALL_STATE(2829)] = 153600,
  [SMALL_STATE(2830)] = 153644,
  [SMALL_STATE(2831)] = 153696,
  [SMALL_STATE(2832)] = 153750,
  [SMALL_STATE(2833)] = 153804,
  [SMALL_STATE(2834)] = 153880,
  [SMALL_STATE(2835)] = 153926,
  [SMALL_STATE(2836)] = 153970,
  [SMALL_STATE(2837)] = 154024,
  [SMALL_STATE(2838)] = 154076,
  [SMALL_STATE(2839)] = 154134,
  [SMALL_STATE(2840)] = 154178,
  [SMALL_STATE(2841)] = 154238,
  [SMALL_STATE(2842)] = 154290,
  [SMALL_STATE(2843)] = 154334,
  [SMALL_STATE(2844)] = 154396,
  [SMALL_STATE(2845)] = 154440,
  [SMALL_STATE(2846)] = 154526,
  [SMALL_STATE(2847)] = 154590,
  [SMALL_STATE(2848)] = 154676,
  [SMALL_STATE(2849)] = 154752,
  [SMALL_STATE(2850)] = 154838,
  [SMALL_STATE(2851)] = 154914,
  [SMALL_STATE(2852)] = 155000,
  [SMALL_STATE(2853)] = 155052,
  [SMALL_STATE(2854)] = 155096,
  [SMALL_STATE(2855)] = 155140,
  [SMALL_STATE(2856)] = 155216,
  [SMALL_STATE(2857)] = 155260,
  [SMALL_STATE(2858)] = 155304,
  [SMALL_STATE(2859)] = 155348,
  [SMALL_STATE(2860)] = 155424,
  [SMALL_STATE(2861)] = 155468,
  [SMALL_STATE(2862)] = 155512,
  [SMALL_STATE(2863)] = 155556,
  [SMALL_STATE(2864)] = 155600,
  [SMALL_STATE(2865)] = 155676,
  [SMALL_STATE(2866)] = 155728,
  [SMALL_STATE(2867)] = 155774,
  [SMALL_STATE(2868)] = 155860,
  [SMALL_STATE(2869)] = 155936,
  [SMALL_STATE(2870)] = 155980,
  [SMALL_STATE(2871)] = 156024,
  [SMALL_STATE(2872)] = 156110,
  [SMALL_STATE(2873)] = 156178,
  [SMALL_STATE(2874)] = 156222,
  [SMALL_STATE(2875)] = 156294,
  [SMALL_STATE(2876)] = 156370,
  [SMALL_STATE(2877)] = 156417,
  [SMALL_STATE(2878)] = 156464,
  [SMALL_STATE(2879)] = 156515,
  [SMALL_STATE(2880)] = 156566,
  [SMALL_STATE(2881)] = 156613,
  [SMALL_STATE(2882)] = 156692,
  [SMALL_STATE(2883)] = 156739,
  [SMALL_STATE(2884)] = 156786,
  [SMALL_STATE(2885)] = 156833,
  [SMALL_STATE(2886)] = 156882,
  [SMALL_STATE(2887)] = 156931,
  [SMALL_STATE(2888)] = 157010,
  [SMALL_STATE(2889)] = 157053,
  [SMALL_STATE(2890)] = 157096,
  [SMALL_STATE(2891)] = 157139,
  [SMALL_STATE(2892)] = 157182,
  [SMALL_STATE(2893)] = 157225,
  [SMALL_STATE(2894)] = 157268,
  [SMALL_STATE(2895)] = 157311,
  [SMALL_STATE(2896)] = 157390,
  [SMALL_STATE(2897)] = 157477,
  [SMALL_STATE(2898)] = 157520,
  [SMALL_STATE(2899)] = 157563,
  [SMALL_STATE(2900)] = 157606,
  [SMALL_STATE(2901)] = 157649,
  [SMALL_STATE(2902)] = 157692,
  [SMALL_STATE(2903)] = 157735,
  [SMALL_STATE(2904)] = 157786,
  [SMALL_STATE(2905)] = 157833,
  [SMALL_STATE(2906)] = 157884,
  [SMALL_STATE(2907)] = 157931,
  [SMALL_STATE(2908)] = 157974,
  [SMALL_STATE(2909)] = 158053,
  [SMALL_STATE(2910)] = 158096,
  [SMALL_STATE(2911)] = 158143,
  [SMALL_STATE(2912)] = 158186,
  [SMALL_STATE(2913)] = 158229,
  [SMALL_STATE(2914)] = 158312,
  [SMALL_STATE(2915)] = 158355,
  [SMALL_STATE(2916)] = 158406,
  [SMALL_STATE(2917)] = 158453,
  [SMALL_STATE(2918)] = 158496,
  [SMALL_STATE(2919)] = 158547,
  [SMALL_STATE(2920)] = 158634,
  [SMALL_STATE(2921)] = 158721,
  [SMALL_STATE(2922)] = 158772,
  [SMALL_STATE(2923)] = 158819,
  [SMALL_STATE(2924)] = 158870,
  [SMALL_STATE(2925)] = 158917,
  [SMALL_STATE(2926)] = 158999,
  [SMALL_STATE(2927)] = 159081,
  [SMALL_STATE(2928)] = 159131,
  [SMALL_STATE(2929)] = 159173,
  [SMALL_STATE(2930)] = 159223,
  [SMALL_STATE(2931)] = 159265,
  [SMALL_STATE(2932)] = 159341,
  [SMALL_STATE(2933)] = 159423,
  [SMALL_STATE(2934)] = 159473,
  [SMALL_STATE(2935)] = 159515,
  [SMALL_STATE(2936)] = 159597,
  [SMALL_STATE(2937)] = 159679,
  [SMALL_STATE(2938)] = 159761,
  [SMALL_STATE(2939)] = 159843,
  [SMALL_STATE(2940)] = 159893,
  [SMALL_STATE(2941)] = 159975,
  [SMALL_STATE(2942)] = 160057,
  [SMALL_STATE(2943)] = 160139,
  [SMALL_STATE(2944)] = 160221,
  [SMALL_STATE(2945)] = 160263,
  [SMALL_STATE(2946)] = 160305,
  [SMALL_STATE(2947)] = 160387,
  [SMALL_STATE(2948)] = 160469,
  [SMALL_STATE(2949)] = 160511,
  [SMALL_STATE(2950)] = 160553,
  [SMALL_STATE(2951)] = 160595,
  [SMALL_STATE(2952)] = 160637,
  [SMALL_STATE(2953)] = 160679,
  [SMALL_STATE(2954)] = 160721,
  [SMALL_STATE(2955)] = 160767,
  [SMALL_STATE(2956)] = 160849,
  [SMALL_STATE(2957)] = 160931,
  [SMALL_STATE(2958)] = 160973,
  [SMALL_STATE(2959)] = 161055,
  [SMALL_STATE(2960)] = 161101,
  [SMALL_STATE(2961)] = 161143,
  [SMALL_STATE(2962)] = 161225,
  [SMALL_STATE(2963)] = 161267,
  [SMALL_STATE(2964)] = 161309,
  [SMALL_STATE(2965)] = 161351,
  [SMALL_STATE(2966)] = 161433,
  [SMALL_STATE(2967)] = 161475,
  [SMALL_STATE(2968)] = 161557,
  [SMALL_STATE(2969)] = 161639,
  [SMALL_STATE(2970)] = 161721,
  [SMALL_STATE(2971)] = 161763,
  [SMALL_STATE(2972)] = 161845,
  [SMALL_STATE(2973)] = 161927,
  [SMALL_STATE(2974)] = 161969,
  [SMALL_STATE(2975)] = 162014,
  [SMALL_STATE(2976)] = 162059,
  [SMALL_STATE(2977)] = 162104,
  [SMALL_STATE(2978)] = 162177,
  [SMALL_STATE(2979)] = 162250,
  [SMALL_STATE(2980)] = 162295,
  [SMALL_STATE(2981)] = 162340,
  [SMALL_STATE(2982)] = 162413,
  [SMALL_STATE(2983)] = 162454,
  [SMALL_STATE(2984)] = 162499,
  [SMALL_STATE(2985)] = 162544,
  [SMALL_STATE(2986)] = 162617,
  [SMALL_STATE(2987)] = 162693,
  [SMALL_STATE(2988)] = 162769,
  [SMALL_STATE(2989)] = 162845,
  [SMALL_STATE(2990)] = 162921,
  [SMALL_STATE(2991)] = 162969,
  [SMALL_STATE(2992)] = 163009,
  [SMALL_STATE(2993)] = 163085,
  [SMALL_STATE(2994)] = 163161,
  [SMALL_STATE(2995)] = 163237,
  [SMALL_STATE(2996)] = 163313,
  [SMALL_STATE(2997)] = 163353,
  [SMALL_STATE(2998)] = 163429,
  [SMALL_STATE(2999)] = 163505,
  [SMALL_STATE(3000)] = 163581,
  [SMALL_STATE(3001)] = 163621,
  [SMALL_STATE(3002)] = 163697,
  [SMALL_STATE(3003)] = 163773,
  [SMALL_STATE(3004)] = 163813,
  [SMALL_STATE(3005)] = 163889,
  [SMALL_STATE(3006)] = 163965,
  [SMALL_STATE(3007)] = 164041,
  [SMALL_STATE(3008)] = 164081,
  [SMALL_STATE(3009)] = 164157,
  [SMALL_STATE(3010)] = 164233,
  [SMALL_STATE(3011)] = 164309,
  [SMALL_STATE(3012)] = 164385,
  [SMALL_STATE(3013)] = 164461,
  [SMALL_STATE(3014)] = 164501,
  [SMALL_STATE(3015)] = 164577,
  [SMALL_STATE(3016)] = 164653,
  [SMALL_STATE(3017)] = 164729,
  [SMALL_STATE(3018)] = 164805,
  [SMALL_STATE(3019)] = 164881,
  [SMALL_STATE(3020)] = 164957,
  [SMALL_STATE(3021)] = 165033,
  [SMALL_STATE(3022)] = 165109,
  [SMALL_STATE(3023)] = 165185,
  [SMALL_STATE(3024)] = 165261,
  [SMALL_STATE(3025)] = 165337,
  [SMALL_STATE(3026)] = 165413,
  [SMALL_STATE(3027)] = 165489,
  [SMALL_STATE(3028)] = 165565,
  [SMALL_STATE(3029)] = 165641,
  [SMALL_STATE(3030)] = 165717,
  [SMALL_STATE(3031)] = 165793,
  [SMALL_STATE(3032)] = 165869,
  [SMALL_STATE(3033)] = 165945,
  [SMALL_STATE(3034)] = 166021,
  [SMALL_STATE(3035)] = 166097,
  [SMALL_STATE(3036)] = 166145,
  [SMALL_STATE(3037)] = 166185,
  [SMALL_STATE(3038)] = 166225,
  [SMALL_STATE(3039)] = 166301,
  [SMALL_STATE(3040)] = 166341,
  [SMALL_STATE(3041)] = 166414,
  [SMALL_STATE(3042)] = 166461,
  [SMALL_STATE(3043)] = 166534,
  [SMALL_STATE(3044)] = 166607,
  [SMALL_STATE(3045)] = 166680,
  [SMALL_STATE(3046)] = 166751,
  [SMALL_STATE(3047)] = 166822,
  [SMALL_STATE(3048)] = 166893,
  [SMALL_STATE(3049)] = 166966,
  [SMALL_STATE(3050)] = 167039,
  [SMALL_STATE(3051)] = 167086,
  [SMALL_STATE(3052)] = 167159,
  [SMALL_STATE(3053)] = 167232,
  [SMALL_STATE(3054)] = 167279,
  [SMALL_STATE(3055)] = 167326,
  [SMALL_STATE(3056)] = 167399,
  [SMALL_STATE(3057)] = 167472,
  [SMALL_STATE(3058)] = 167545,
  [SMALL_STATE(3059)] = 167618,
  [SMALL_STATE(3060)] = 167691,
  [SMALL_STATE(3061)] = 167764,
  [SMALL_STATE(3062)] = 167837,
  [SMALL_STATE(3063)] = 167910,
  [SMALL_STATE(3064)] = 167983,
  [SMALL_STATE(3065)] = 168056,
  [SMALL_STATE(3066)] = 168127,
  [SMALL_STATE(3067)] = 168174,
  [SMALL_STATE(3068)] = 168249,
  [SMALL_STATE(3069)] = 168322,
  [SMALL_STATE(3070)] = 168393,
  [SMALL_STATE(3071)] = 168466,
  [SMALL_STATE(3072)] = 168541,
  [SMALL_STATE(3073)] = 168588,
  [SMALL_STATE(3074)] = 168663,
  [SMALL_STATE(3075)] = 168736,
  [SMALL_STATE(3076)] = 168809,
  [SMALL_STATE(3077)] = 168880,
  [SMALL_STATE(3078)] = 168955,
  [SMALL_STATE(3079)] = 169026,
  [SMALL_STATE(3080)] = 169099,
  [SMALL_STATE(3081)] = 169172,
  [SMALL_STATE(3082)] = 169245,
  [SMALL_STATE(3083)] = 169318,
  [SMALL_STATE(3084)] = 169391,
  [SMALL_STATE(3085)] = 169464,
  [SMALL_STATE(3086)] = 169537,
  [SMALL_STATE(3087)] = 169610,
  [SMALL_STATE(3088)] = 169683,
  [SMALL_STATE(3089)] = 169730,
  [SMALL_STATE(3090)] = 169803,
  [SMALL_STATE(3091)] = 169878,
  [SMALL_STATE(3092)] = 169925,
  [SMALL_STATE(3093)] = 169998,
  [SMALL_STATE(3094)] = 170071,
  [SMALL_STATE(3095)] = 170146,
  [SMALL_STATE(3096)] = 170217,
  [SMALL_STATE(3097)] = 170288,
  [SMALL_STATE(3098)] = 170335,
  [SMALL_STATE(3099)] = 170408,
  [SMALL_STATE(3100)] = 170481,
  [SMALL_STATE(3101)] = 170528,
  [SMALL_STATE(3102)] = 170599,
  [SMALL_STATE(3103)] = 170672,
  [SMALL_STATE(3104)] = 170745,
  [SMALL_STATE(3105)] = 170816,
  [SMALL_STATE(3106)] = 170887,
  [SMALL_STATE(3107)] = 170960,
  [SMALL_STATE(3108)] = 171033,
  [SMALL_STATE(3109)] = 171104,
  [SMALL_STATE(3110)] = 171177,
  [SMALL_STATE(3111)] = 171252,
  [SMALL_STATE(3112)] = 171320,
  [SMALL_STATE(3113)] = 171388,
  [SMALL_STATE(3114)] = 171462,
  [SMALL_STATE(3115)] = 171530,
  [SMALL_STATE(3116)] = 171598,
  [SMALL_STATE(3117)] = 171666,
  [SMALL_STATE(3118)] = 171734,
  [SMALL_STATE(3119)] = 171802,
  [SMALL_STATE(3120)] = 171870,
  [SMALL_STATE(3121)] = 171938,
  [SMALL_STATE(3122)] = 172010,
  [SMALL_STATE(3123)] = 172078,
  [SMALL_STATE(3124)] = 172146,
  [SMALL_STATE(3125)] = 172214,
  [SMALL_STATE(3126)] = 172286,
  [SMALL_STATE(3127)] = 172354,
  [SMALL_STATE(3128)] = 172422,
  [SMALL_STATE(3129)] = 172490,
  [SMALL_STATE(3130)] = 172564,
  [SMALL_STATE(3131)] = 172632,
  [SMALL_STATE(3132)] = 172700,
  [SMALL_STATE(3133)] = 172774,
  [SMALL_STATE(3134)] = 172848,
  [SMALL_STATE(3135)] = 172916,
  [SMALL_STATE(3136)] = 172990,
  [SMALL_STATE(3137)] = 173058,
  [SMALL_STATE(3138)] = 173126,
  [SMALL_STATE(3139)] = 173200,
  [SMALL_STATE(3140)] = 173268,
  [SMALL_STATE(3141)] = 173336,
  [SMALL_STATE(3142)] = 173410,
  [SMALL_STATE(3143)] = 173484,
  [SMALL_STATE(3144)] = 173558,
  [SMALL_STATE(3145)] = 173626,
  [SMALL_STATE(3146)] = 173694,
  [SMALL_STATE(3147)] = 173762,
  [SMALL_STATE(3148)] = 173830,
  [SMALL_STATE(3149)] = 173898,
  [SMALL_STATE(3150)] = 173966,
  [SMALL_STATE(3151)] = 174034,
  [SMALL_STATE(3152)] = 174102,
  [SMALL_STATE(3153)] = 174170,
  [SMALL_STATE(3154)] = 174238,
  [SMALL_STATE(3155)] = 174306,
  [SMALL_STATE(3156)] = 174374,
  [SMALL_STATE(3157)] = 174442,
  [SMALL_STATE(3158)] = 174516,
  [SMALL_STATE(3159)] = 174590,
  [SMALL_STATE(3160)] = 174658,
  [SMALL_STATE(3161)] = 174726,
  [SMALL_STATE(3162)] = 174794,
  [SMALL_STATE(3163)] = 174868,
  [SMALL_STATE(3164)] = 174940,
  [SMALL_STATE(3165)] = 175014,
  [SMALL_STATE(3166)] = 175088,
  [SMALL_STATE(3167)] = 175156,
  [SMALL_STATE(3168)] = 175228,
  [SMALL_STATE(3169)] = 175296,
  [SMALL_STATE(3170)] = 175364,
  [SMALL_STATE(3171)] = 175438,
  [SMALL_STATE(3172)] = 175512,
  [SMALL_STATE(3173)] = 175584,
  [SMALL_STATE(3174)] = 175658,
  [SMALL_STATE(3175)] = 175732,
  [SMALL_STATE(3176)] = 175806,
  [SMALL_STATE(3177)] = 175880,
  [SMALL_STATE(3178)] = 175948,
  [SMALL_STATE(3179)] = 176022,
  [SMALL_STATE(3180)] = 176096,
  [SMALL_STATE(3181)] = 176164,
  [SMALL_STATE(3182)] = 176232,
  [SMALL_STATE(3183)] = 176306,
  [SMALL_STATE(3184)] = 176378,
  [SMALL_STATE(3185)] = 176446,
  [SMALL_STATE(3186)] = 176514,
  [SMALL_STATE(3187)] = 176582,
  [SMALL_STATE(3188)] = 176654,
  [SMALL_STATE(3189)] = 176722,
  [SMALL_STATE(3190)] = 176790,
  [SMALL_STATE(3191)] = 176858,
  [SMALL_STATE(3192)] = 176932,
  [SMALL_STATE(3193)] = 177004,
  [SMALL_STATE(3194)] = 177076,
  [SMALL_STATE(3195)] = 177150,
  [SMALL_STATE(3196)] = 177218,
  [SMALL_STATE(3197)] = 177286,
  [SMALL_STATE(3198)] = 177354,
  [SMALL_STATE(3199)] = 177428,
  [SMALL_STATE(3200)] = 177496,
  [SMALL_STATE(3201)] = 177564,
  [SMALL_STATE(3202)] = 177632,
  [SMALL_STATE(3203)] = 177700,
  [SMALL_STATE(3204)] = 177768,
  [SMALL_STATE(3205)] = 177836,
  [SMALL_STATE(3206)] = 177904,
  [SMALL_STATE(3207)] = 177978,
  [SMALL_STATE(3208)] = 178046,
  [SMALL_STATE(3209)] = 178114,
  [SMALL_STATE(3210)] = 178182,
  [SMALL_STATE(3211)] = 178256,
  [SMALL_STATE(3212)] = 178330,
  [SMALL_STATE(3213)] = 178404,
  [SMALL_STATE(3214)] = 178472,
  [SMALL_STATE(3215)] = 178540,
  [SMALL_STATE(3216)] = 178608,
  [SMALL_STATE(3217)] = 178682,
  [SMALL_STATE(3218)] = 178756,
  [SMALL_STATE(3219)] = 178824,
  [SMALL_STATE(3220)] = 178898,
  [SMALL_STATE(3221)] = 178966,
  [SMALL_STATE(3222)] = 179034,
  [SMALL_STATE(3223)] = 179102,
  [SMALL_STATE(3224)] = 179176,
  [SMALL_STATE(3225)] = 179244,
  [SMALL_STATE(3226)] = 179318,
  [SMALL_STATE(3227)] = 179386,
  [SMALL_STATE(3228)] = 179454,
  [SMALL_STATE(3229)] = 179522,
  [SMALL_STATE(3230)] = 179590,
  [SMALL_STATE(3231)] = 179658,
  [SMALL_STATE(3232)] = 179726,
  [SMALL_STATE(3233)] = 179794,
  [SMALL_STATE(3234)] = 179862,
  [SMALL_STATE(3235)] = 179936,
  [SMALL_STATE(3236)] = 180004,
  [SMALL_STATE(3237)] = 180078,
  [SMALL_STATE(3238)] = 180146,
  [SMALL_STATE(3239)] = 180218,
  [SMALL_STATE(3240)] = 180286,
  [SMALL_STATE(3241)] = 180358,
  [SMALL_STATE(3242)] = 180430,
  [SMALL_STATE(3243)] = 180498,
  [SMALL_STATE(3244)] = 180566,
  [SMALL_STATE(3245)] = 180640,
  [SMALL_STATE(3246)] = 180712,
  [SMALL_STATE(3247)] = 180784,
  [SMALL_STATE(3248)] = 180852,
  [SMALL_STATE(3249)] = 180926,
  [SMALL_STATE(3250)] = 180994,
  [SMALL_STATE(3251)] = 181068,
  [SMALL_STATE(3252)] = 181142,
  [SMALL_STATE(3253)] = 181216,
  [SMALL_STATE(3254)] = 181290,
  [SMALL_STATE(3255)] = 181364,
  [SMALL_STATE(3256)] = 181436,
  [SMALL_STATE(3257)] = 181510,
  [SMALL_STATE(3258)] = 181582,
  [SMALL_STATE(3259)] = 181656,
  [SMALL_STATE(3260)] = 181730,
  [SMALL_STATE(3261)] = 181798,
  [SMALL_STATE(3262)] = 181870,
  [SMALL_STATE(3263)] = 181938,
  [SMALL_STATE(3264)] = 182012,
  [SMALL_STATE(3265)] = 182080,
  [SMALL_STATE(3266)] = 182152,
  [SMALL_STATE(3267)] = 182220,
  [SMALL_STATE(3268)] = 182292,
  [SMALL_STATE(3269)] = 182366,
  [SMALL_STATE(3270)] = 182440,
  [SMALL_STATE(3271)] = 182508,
  [SMALL_STATE(3272)] = 182582,
  [SMALL_STATE(3273)] = 182650,
  [SMALL_STATE(3274)] = 182724,
  [SMALL_STATE(3275)] = 182798,
  [SMALL_STATE(3276)] = 182866,
  [SMALL_STATE(3277)] = 182934,
  [SMALL_STATE(3278)] = 183002,
  [SMALL_STATE(3279)] = 183070,
  [SMALL_STATE(3280)] = 183138,
  [SMALL_STATE(3281)] = 183206,
  [SMALL_STATE(3282)] = 183280,
  [SMALL_STATE(3283)] = 183352,
  [SMALL_STATE(3284)] = 183420,
  [SMALL_STATE(3285)] = 183488,
  [SMALL_STATE(3286)] = 183560,
  [SMALL_STATE(3287)] = 183632,
  [SMALL_STATE(3288)] = 183706,
  [SMALL_STATE(3289)] = 183774,
  [SMALL_STATE(3290)] = 183842,
  [SMALL_STATE(3291)] = 183910,
  [SMALL_STATE(3292)] = 183978,
  [SMALL_STATE(3293)] = 184050,
  [SMALL_STATE(3294)] = 184118,
  [SMALL_STATE(3295)] = 184192,
  [SMALL_STATE(3296)] = 184260,
  [SMALL_STATE(3297)] = 184332,
  [SMALL_STATE(3298)] = 184400,
  [SMALL_STATE(3299)] = 184468,
  [SMALL_STATE(3300)] = 184536,
  [SMALL_STATE(3301)] = 184604,
  [SMALL_STATE(3302)] = 184672,
  [SMALL_STATE(3303)] = 184746,
  [SMALL_STATE(3304)] = 184820,
  [SMALL_STATE(3305)] = 184894,
  [SMALL_STATE(3306)] = 184962,
  [SMALL_STATE(3307)] = 185034,
  [SMALL_STATE(3308)] = 185102,
  [SMALL_STATE(3309)] = 185170,
  [SMALL_STATE(3310)] = 185238,
  [SMALL_STATE(3311)] = 185310,
  [SMALL_STATE(3312)] = 185378,
  [SMALL_STATE(3313)] = 185452,
  [SMALL_STATE(3314)] = 185520,
  [SMALL_STATE(3315)] = 185592,
  [SMALL_STATE(3316)] = 185660,
  [SMALL_STATE(3317)] = 185732,
  [SMALL_STATE(3318)] = 185800,
  [SMALL_STATE(3319)] = 185868,
  [SMALL_STATE(3320)] = 185936,
  [SMALL_STATE(3321)] = 186008,
  [SMALL_STATE(3322)] = 186076,
  [SMALL_STATE(3323)] = 186144,
  [SMALL_STATE(3324)] = 186218,
  [SMALL_STATE(3325)] = 186290,
  [SMALL_STATE(3326)] = 186358,
  [SMALL_STATE(3327)] = 186426,
  [SMALL_STATE(3328)] = 186494,
  [SMALL_STATE(3329)] = 186562,
  [SMALL_STATE(3330)] = 186630,
  [SMALL_STATE(3331)] = 186676,
  [SMALL_STATE(3332)] = 186744,
  [SMALL_STATE(3333)] = 186812,
  [SMALL_STATE(3334)] = 186880,
  [SMALL_STATE(3335)] = 186948,
  [SMALL_STATE(3336)] = 187016,
  [SMALL_STATE(3337)] = 187084,
  [SMALL_STATE(3338)] = 187152,
  [SMALL_STATE(3339)] = 187224,
  [SMALL_STATE(3340)] = 187292,
  [SMALL_STATE(3341)] = 187360,
  [SMALL_STATE(3342)] = 187432,
  [SMALL_STATE(3343)] = 187500,
  [SMALL_STATE(3344)] = 187572,
  [SMALL_STATE(3345)] = 187640,
  [SMALL_STATE(3346)] = 187714,
  [SMALL_STATE(3347)] = 187782,
  [SMALL_STATE(3348)] = 187850,
  [SMALL_STATE(3349)] = 187918,
  [SMALL_STATE(3350)] = 187992,
  [SMALL_STATE(3351)] = 188060,
  [SMALL_STATE(3352)] = 188134,
  [SMALL_STATE(3353)] = 188208,
  [SMALL_STATE(3354)] = 188276,
  [SMALL_STATE(3355)] = 188344,
  [SMALL_STATE(3356)] = 188418,
  [SMALL_STATE(3357)] = 188490,
  [SMALL_STATE(3358)] = 188562,
  [SMALL_STATE(3359)] = 188630,
  [SMALL_STATE(3360)] = 188698,
  [SMALL_STATE(3361)] = 188766,
  [SMALL_STATE(3362)] = 188834,
  [SMALL_STATE(3363)] = 188902,
  [SMALL_STATE(3364)] = 188970,
  [SMALL_STATE(3365)] = 189038,
  [SMALL_STATE(3366)] = 189106,
  [SMALL_STATE(3367)] = 189174,
  [SMALL_STATE(3368)] = 189242,
  [SMALL_STATE(3369)] = 189310,
  [SMALL_STATE(3370)] = 189378,
  [SMALL_STATE(3371)] = 189452,
  [SMALL_STATE(3372)] = 189520,
  [SMALL_STATE(3373)] = 189588,
  [SMALL_STATE(3374)] = 189656,
  [SMALL_STATE(3375)] = 189728,
  [SMALL_STATE(3376)] = 189796,
  [SMALL_STATE(3377)] = 189864,
  [SMALL_STATE(3378)] = 189932,
  [SMALL_STATE(3379)] = 190000,
  [SMALL_STATE(3380)] = 190074,
  [SMALL_STATE(3381)] = 190148,
  [SMALL_STATE(3382)] = 190222,
  [SMALL_STATE(3383)] = 190296,
  [SMALL_STATE(3384)] = 190370,
  [SMALL_STATE(3385)] = 190444,
  [SMALL_STATE(3386)] = 190512,
  [SMALL_STATE(3387)] = 190586,
  [SMALL_STATE(3388)] = 190660,
  [SMALL_STATE(3389)] = 190728,
  [SMALL_STATE(3390)] = 190802,
  [SMALL_STATE(3391)] = 190876,
  [SMALL_STATE(3392)] = 190950,
  [SMALL_STATE(3393)] = 191018,
  [SMALL_STATE(3394)] = 191092,
  [SMALL_STATE(3395)] = 191160,
  [SMALL_STATE(3396)] = 191234,
  [SMALL_STATE(3397)] = 191302,
  [SMALL_STATE(3398)] = 191376,
  [SMALL_STATE(3399)] = 191444,
  [SMALL_STATE(3400)] = 191512,
  [SMALL_STATE(3401)] = 191586,
  [SMALL_STATE(3402)] = 191658,
  [SMALL_STATE(3403)] = 191726,
  [SMALL_STATE(3404)] = 191800,
  [SMALL_STATE(3405)] = 191868,
  [SMALL_STATE(3406)] = 191942,
  [SMALL_STATE(3407)] = 192014,
  [SMALL_STATE(3408)] = 192082,
  [SMALL_STATE(3409)] = 192150,
  [SMALL_STATE(3410)] = 192224,
  [SMALL_STATE(3411)] = 192298,
  [SMALL_STATE(3412)] = 192366,
  [SMALL_STATE(3413)] = 192440,
  [SMALL_STATE(3414)] = 192514,
  [SMALL_STATE(3415)] = 192588,
  [SMALL_STATE(3416)] = 192662,
  [SMALL_STATE(3417)] = 192730,
  [SMALL_STATE(3418)] = 192798,
  [SMALL_STATE(3419)] = 192870,
  [SMALL_STATE(3420)] = 192942,
  [SMALL_STATE(3421)] = 193014,
  [SMALL_STATE(3422)] = 193082,
  [SMALL_STATE(3423)] = 193156,
  [SMALL_STATE(3424)] = 193224,
  [SMALL_STATE(3425)] = 193292,
  [SMALL_STATE(3426)] = 193360,
  [SMALL_STATE(3427)] = 193428,
  [SMALL_STATE(3428)] = 193502,
  [SMALL_STATE(3429)] = 193570,
  [SMALL_STATE(3430)] = 193638,
  [SMALL_STATE(3431)] = 193706,
  [SMALL_STATE(3432)] = 193778,
  [SMALL_STATE(3433)] = 193850,
  [SMALL_STATE(3434)] = 193924,
  [SMALL_STATE(3435)] = 193998,
  [SMALL_STATE(3436)] = 194072,
  [SMALL_STATE(3437)] = 194146,
  [SMALL_STATE(3438)] = 194218,
  [SMALL_STATE(3439)] = 194292,
  [SMALL_STATE(3440)] = 194364,
  [SMALL_STATE(3441)] = 194436,
  [SMALL_STATE(3442)] = 194504,
  [SMALL_STATE(3443)] = 194572,
  [SMALL_STATE(3444)] = 194646,
  [SMALL_STATE(3445)] = 194720,
  [SMALL_STATE(3446)] = 194788,
  [SMALL_STATE(3447)] = 194860,
  [SMALL_STATE(3448)] = 194932,
  [SMALL_STATE(3449)] = 195006,
  [SMALL_STATE(3450)] = 195080,
  [SMALL_STATE(3451)] = 195154,
  [SMALL_STATE(3452)] = 195228,
  [SMALL_STATE(3453)] = 195296,
  [SMALL_STATE(3454)] = 195368,
  [SMALL_STATE(3455)] = 195442,
  [SMALL_STATE(3456)] = 195514,
  [SMALL_STATE(3457)] = 195582,
  [SMALL_STATE(3458)] = 195656,
  [SMALL_STATE(3459)] = 195730,
  [SMALL_STATE(3460)] = 195802,
  [SMALL_STATE(3461)] = 195874,
  [SMALL_STATE(3462)] = 195942,
  [SMALL_STATE(3463)] = 196016,
  [SMALL_STATE(3464)] = 196090,
  [SMALL_STATE(3465)] = 196164,
  [SMALL_STATE(3466)] = 196238,
  [SMALL_STATE(3467)] = 196312,
  [SMALL_STATE(3468)] = 196386,
  [SMALL_STATE(3469)] = 196460,
  [SMALL_STATE(3470)] = 196534,
  [SMALL_STATE(3471)] = 196608,
  [SMALL_STATE(3472)] = 196676,
  [SMALL_STATE(3473)] = 196750,
  [SMALL_STATE(3474)] = 196824,
  [SMALL_STATE(3475)] = 196896,
  [SMALL_STATE(3476)] = 196970,
  [SMALL_STATE(3477)] = 197044,
  [SMALL_STATE(3478)] = 197118,
  [SMALL_STATE(3479)] = 197186,
  [SMALL_STATE(3480)] = 197232,
  [SMALL_STATE(3481)] = 197300,
  [SMALL_STATE(3482)] = 197374,
  [SMALL_STATE(3483)] = 197448,
  [SMALL_STATE(3484)] = 197516,
  [SMALL_STATE(3485)] = 197584,
  [SMALL_STATE(3486)] = 197658,
  [SMALL_STATE(3487)] = 197732,
  [SMALL_STATE(3488)] = 197806,
  [SMALL_STATE(3489)] = 197880,
  [SMALL_STATE(3490)] = 197948,
  [SMALL_STATE(3491)] = 198022,
  [SMALL_STATE(3492)] = 198096,
  [SMALL_STATE(3493)] = 198170,
  [SMALL_STATE(3494)] = 198244,
  [SMALL_STATE(3495)] = 198318,
  [SMALL_STATE(3496)] = 198392,
  [SMALL_STATE(3497)] = 198460,
  [SMALL_STATE(3498)] = 198534,
  [SMALL_STATE(3499)] = 198602,
  [SMALL_STATE(3500)] = 198676,
  [SMALL_STATE(3501)] = 198750,
  [SMALL_STATE(3502)] = 198824,
  [SMALL_STATE(3503)] = 198898,
  [SMALL_STATE(3504)] = 198972,
  [SMALL_STATE(3505)] = 199046,
  [SMALL_STATE(3506)] = 199120,
  [SMALL_STATE(3507)] = 199194,
  [SMALL_STATE(3508)] = 199268,
  [SMALL_STATE(3509)] = 199342,
  [SMALL_STATE(3510)] = 199416,
  [SMALL_STATE(3511)] = 199490,
  [SMALL_STATE(3512)] = 199558,
  [SMALL_STATE(3513)] = 199626,
  [SMALL_STATE(3514)] = 199700,
  [SMALL_STATE(3515)] = 199774,
  [SMALL_STATE(3516)] = 199848,
  [SMALL_STATE(3517)] = 199922,
  [SMALL_STATE(3518)] = 199996,
  [SMALL_STATE(3519)] = 200070,
  [SMALL_STATE(3520)] = 200144,
  [SMALL_STATE(3521)] = 200218,
  [SMALL_STATE(3522)] = 200292,
  [SMALL_STATE(3523)] = 200349,
  [SMALL_STATE(3524)] = 200394,
  [SMALL_STATE(3525)] = 200469,
  [SMALL_STATE(3526)] = 200512,
  [SMALL_STATE(3527)] = 200555,
  [SMALL_STATE(3528)] = 200612,
  [SMALL_STATE(3529)] = 200687,
  [SMALL_STATE(3530)] = 200752,
  [SMALL_STATE(3531)] = 200827,
  [SMALL_STATE(3532)] = 200883,
  [SMALL_STATE(3533)] = 200925,
  [SMALL_STATE(3534)] = 200967,
  [SMALL_STATE(3535)] = 201009,
  [SMALL_STATE(3536)] = 201051,
  [SMALL_STATE(3537)] = 201093,
  [SMALL_STATE(3538)] = 201165,
  [SMALL_STATE(3539)] = 201207,
  [SMALL_STATE(3540)] = 201251,
  [SMALL_STATE(3541)] = 201293,
  [SMALL_STATE(3542)] = 201365,
  [SMALL_STATE(3543)] = 201421,
  [SMALL_STATE(3544)] = 201463,
  [SMALL_STATE(3545)] = 201505,
  [SMALL_STATE(3546)] = 201577,
  [SMALL_STATE(3547)] = 201619,
  [SMALL_STATE(3548)] = 201661,
  [SMALL_STATE(3549)] = 201702,
  [SMALL_STATE(3550)] = 201743,
  [SMALL_STATE(3551)] = 201778,
  [SMALL_STATE(3552)] = 201813,
  [SMALL_STATE(3553)] = 201856,
  [SMALL_STATE(3554)] = 201891,
  [SMALL_STATE(3555)] = 201934,
  [SMALL_STATE(3556)] = 201977,
  [SMALL_STATE(3557)] = 202012,
  [SMALL_STATE(3558)] = 202055,
  [SMALL_STATE(3559)] = 202090,
  [SMALL_STATE(3560)] = 202125,
  [SMALL_STATE(3561)] = 202160,
  [SMALL_STATE(3562)] = 202201,
  [SMALL_STATE(3563)] = 202236,
  [SMALL_STATE(3564)] = 202271,
  [SMALL_STATE(3565)] = 202308,
  [SMALL_STATE(3566)] = 202347,
  [SMALL_STATE(3567)] = 202388,
  [SMALL_STATE(3568)] = 202423,
  [SMALL_STATE(3569)] = 202458,
  [SMALL_STATE(3570)] = 202493,
  [SMALL_STATE(3571)] = 202528,
  [SMALL_STATE(3572)] = 202563,
  [SMALL_STATE(3573)] = 202598,
  [SMALL_STATE(3574)] = 202633,
  [SMALL_STATE(3575)] = 202678,
  [SMALL_STATE(3576)] = 202729,
  [SMALL_STATE(3577)] = 202784,
  [SMALL_STATE(3578)] = 202835,
  [SMALL_STATE(3579)] = 202880,
  [SMALL_STATE(3580)] = 202915,
  [SMALL_STATE(3581)] = 202952,
  [SMALL_STATE(3582)] = 202989,
  [SMALL_STATE(3583)] = 203024,
  [SMALL_STATE(3584)] = 203065,
  [SMALL_STATE(3585)] = 203100,
  [SMALL_STATE(3586)] = 203137,
  [SMALL_STATE(3587)] = 203172,
  [SMALL_STATE(3588)] = 203207,
  [SMALL_STATE(3589)] = 203242,
  [SMALL_STATE(3590)] = 203297,
  [SMALL_STATE(3591)] = 203334,
  [SMALL_STATE(3592)] = 203375,
  [SMALL_STATE(3593)] = 203410,
  [SMALL_STATE(3594)] = 203465,
  [SMALL_STATE(3595)] = 203506,
  [SMALL_STATE(3596)] = 203545,
  [SMALL_STATE(3597)] = 203586,
  [SMALL_STATE(3598)] = 203627,
  [SMALL_STATE(3599)] = 203662,
  [SMALL_STATE(3600)] = 203717,
  [SMALL_STATE(3601)] = 203758,
  [SMALL_STATE(3602)] = 203793,
  [SMALL_STATE(3603)] = 203832,
  [SMALL_STATE(3604)] = 203873,
  [SMALL_STATE(3605)] = 203914,
  [SMALL_STATE(3606)] = 203949,
  [SMALL_STATE(3607)] = 203984,
  [SMALL_STATE(3608)] = 204019,
  [SMALL_STATE(3609)] = 204054,
  [SMALL_STATE(3610)] = 204095,
  [SMALL_STATE(3611)] = 204136,
  [SMALL_STATE(3612)] = 204191,
  [SMALL_STATE(3613)] = 204246,
  [SMALL_STATE(3614)] = 204287,
  [SMALL_STATE(3615)] = 204328,
  [SMALL_STATE(3616)] = 204369,
  [SMALL_STATE(3617)] = 204404,
  [SMALL_STATE(3618)] = 204445,
  [SMALL_STATE(3619)] = 204486,
  [SMALL_STATE(3620)] = 204525,
  [SMALL_STATE(3621)] = 204560,
  [SMALL_STATE(3622)] = 204595,
  [SMALL_STATE(3623)] = 204636,
  [SMALL_STATE(3624)] = 204671,
  [SMALL_STATE(3625)] = 204712,
  [SMALL_STATE(3626)] = 204753,
  [SMALL_STATE(3627)] = 204788,
  [SMALL_STATE(3628)] = 204823,
  [SMALL_STATE(3629)] = 204864,
  [SMALL_STATE(3630)] = 204903,
  [SMALL_STATE(3631)] = 204938,
  [SMALL_STATE(3632)] = 204979,
  [SMALL_STATE(3633)] = 205014,
  [SMALL_STATE(3634)] = 205049,
  [SMALL_STATE(3635)] = 205092,
  [SMALL_STATE(3636)] = 205133,
  [SMALL_STATE(3637)] = 205167,
  [SMALL_STATE(3638)] = 205219,
  [SMALL_STATE(3639)] = 205257,
  [SMALL_STATE(3640)] = 205291,
  [SMALL_STATE(3641)] = 205343,
  [SMALL_STATE(3642)] = 205383,
  [SMALL_STATE(3643)] = 205423,
  [SMALL_STATE(3644)] = 205463,
  [SMALL_STATE(3645)] = 205497,
  [SMALL_STATE(3646)] = 205537,
  [SMALL_STATE(3647)] = 205577,
  [SMALL_STATE(3648)] = 205617,
  [SMALL_STATE(3649)] = 205657,
  [SMALL_STATE(3650)] = 205691,
  [SMALL_STATE(3651)] = 205731,
  [SMALL_STATE(3652)] = 205765,
  [SMALL_STATE(3653)] = 205799,
  [SMALL_STATE(3654)] = 205839,
  [SMALL_STATE(3655)] = 205879,
  [SMALL_STATE(3656)] = 205919,
  [SMALL_STATE(3657)] = 205959,
  [SMALL_STATE(3658)] = 205999,
  [SMALL_STATE(3659)] = 206033,
  [SMALL_STATE(3660)] = 206071,
  [SMALL_STATE(3661)] = 206111,
  [SMALL_STATE(3662)] = 206149,
  [SMALL_STATE(3663)] = 206183,
  [SMALL_STATE(3664)] = 206217,
  [SMALL_STATE(3665)] = 206259,
  [SMALL_STATE(3666)] = 206299,
  [SMALL_STATE(3667)] = 206341,
  [SMALL_STATE(3668)] = 206391,
  [SMALL_STATE(3669)] = 206429,
  [SMALL_STATE(3670)] = 206463,
  [SMALL_STATE(3671)] = 206503,
  [SMALL_STATE(3672)] = 206537,
  [SMALL_STATE(3673)] = 206575,
  [SMALL_STATE(3674)] = 206615,
  [SMALL_STATE(3675)] = 206655,
  [SMALL_STATE(3676)] = 206689,
  [SMALL_STATE(3677)] = 206729,
  [SMALL_STATE(3678)] = 206769,
  [SMALL_STATE(3679)] = 206803,
  [SMALL_STATE(3680)] = 206843,
  [SMALL_STATE(3681)] = 206883,
  [SMALL_STATE(3682)] = 206923,
  [SMALL_STATE(3683)] = 206957,
  [SMALL_STATE(3684)] = 206991,
  [SMALL_STATE(3685)] = 207029,
  [SMALL_STATE(3686)] = 207069,
  [SMALL_STATE(3687)] = 207107,
  [SMALL_STATE(3688)] = 207141,
  [SMALL_STATE(3689)] = 207181,
  [SMALL_STATE(3690)] = 207215,
  [SMALL_STATE(3691)] = 207249,
  [SMALL_STATE(3692)] = 207289,
  [SMALL_STATE(3693)] = 207329,
  [SMALL_STATE(3694)] = 207363,
  [SMALL_STATE(3695)] = 207403,
  [SMALL_STATE(3696)] = 207437,
  [SMALL_STATE(3697)] = 207475,
  [SMALL_STATE(3698)] = 207513,
  [SMALL_STATE(3699)] = 207549,
  [SMALL_STATE(3700)] = 207583,
  [SMALL_STATE(3701)] = 207621,
  [SMALL_STATE(3702)] = 207661,
  [SMALL_STATE(3703)] = 207695,
  [SMALL_STATE(3704)] = 207733,
  [SMALL_STATE(3705)] = 207785,
  [SMALL_STATE(3706)] = 207819,
  [SMALL_STATE(3707)] = 207859,
  [SMALL_STATE(3708)] = 207893,
  [SMALL_STATE(3709)] = 207927,
  [SMALL_STATE(3710)] = 207961,
  [SMALL_STATE(3711)] = 208011,
  [SMALL_STATE(3712)] = 208045,
  [SMALL_STATE(3713)] = 208079,
  [SMALL_STATE(3714)] = 208119,
  [SMALL_STATE(3715)] = 208171,
  [SMALL_STATE(3716)] = 208211,
  [SMALL_STATE(3717)] = 208251,
  [SMALL_STATE(3718)] = 208285,
  [SMALL_STATE(3719)] = 208319,
  [SMALL_STATE(3720)] = 208359,
  [SMALL_STATE(3721)] = 208393,
  [SMALL_STATE(3722)] = 208427,
  [SMALL_STATE(3723)] = 208467,
  [SMALL_STATE(3724)] = 208501,
  [SMALL_STATE(3725)] = 208535,
  [SMALL_STATE(3726)] = 208569,
  [SMALL_STATE(3727)] = 208603,
  [SMALL_STATE(3728)] = 208637,
  [SMALL_STATE(3729)] = 208671,
  [SMALL_STATE(3730)] = 208711,
  [SMALL_STATE(3731)] = 208753,
  [SMALL_STATE(3732)] = 208793,
  [SMALL_STATE(3733)] = 208833,
  [SMALL_STATE(3734)] = 208867,
  [SMALL_STATE(3735)] = 208907,
  [SMALL_STATE(3736)] = 208941,
  [SMALL_STATE(3737)] = 208975,
  [SMALL_STATE(3738)] = 209009,
  [SMALL_STATE(3739)] = 209043,
  [SMALL_STATE(3740)] = 209077,
  [SMALL_STATE(3741)] = 209121,
  [SMALL_STATE(3742)] = 209165,
  [SMALL_STATE(3743)] = 209224,
  [SMALL_STATE(3744)] = 209289,
  [SMALL_STATE(3745)] = 209322,
  [SMALL_STATE(3746)] = 209359,
  [SMALL_STATE(3747)] = 209418,
  [SMALL_STATE(3748)] = 209477,
  [SMALL_STATE(3749)] = 209526,
  [SMALL_STATE(3750)] = 209559,
  [SMALL_STATE(3751)] = 209592,
  [SMALL_STATE(3752)] = 209651,
  [SMALL_STATE(3753)] = 209686,
  [SMALL_STATE(3754)] = 209729,
  [SMALL_STATE(3755)] = 209788,
  [SMALL_STATE(3756)] = 209853,
  [SMALL_STATE(3757)] = 209912,
  [SMALL_STATE(3758)] = 209945,
  [SMALL_STATE(3759)] = 209978,
  [SMALL_STATE(3760)] = 210011,
  [SMALL_STATE(3761)] = 210044,
  [SMALL_STATE(3762)] = 210103,
  [SMALL_STATE(3763)] = 210136,
  [SMALL_STATE(3764)] = 210195,
  [SMALL_STATE(3765)] = 210228,
  [SMALL_STATE(3766)] = 210261,
  [SMALL_STATE(3767)] = 210294,
  [SMALL_STATE(3768)] = 210333,
  [SMALL_STATE(3769)] = 210372,
  [SMALL_STATE(3770)] = 210411,
  [SMALL_STATE(3771)] = 210450,
  [SMALL_STATE(3772)] = 210489,
  [SMALL_STATE(3773)] = 210528,
  [SMALL_STATE(3774)] = 210567,
  [SMALL_STATE(3775)] = 210606,
  [SMALL_STATE(3776)] = 210665,
  [SMALL_STATE(3777)] = 210704,
  [SMALL_STATE(3778)] = 210743,
  [SMALL_STATE(3779)] = 210802,
  [SMALL_STATE(3780)] = 210841,
  [SMALL_STATE(3781)] = 210900,
  [SMALL_STATE(3782)] = 210947,
  [SMALL_STATE(3783)] = 210986,
  [SMALL_STATE(3784)] = 211019,
  [SMALL_STATE(3785)] = 211078,
  [SMALL_STATE(3786)] = 211111,
  [SMALL_STATE(3787)] = 211150,
  [SMALL_STATE(3788)] = 211189,
  [SMALL_STATE(3789)] = 211222,
  [SMALL_STATE(3790)] = 211255,
  [SMALL_STATE(3791)] = 211314,
  [SMALL_STATE(3792)] = 211347,
  [SMALL_STATE(3793)] = 211380,
  [SMALL_STATE(3794)] = 211413,
  [SMALL_STATE(3795)] = 211446,
  [SMALL_STATE(3796)] = 211479,
  [SMALL_STATE(3797)] = 211518,
  [SMALL_STATE(3798)] = 211583,
  [SMALL_STATE(3799)] = 211648,
  [SMALL_STATE(3800)] = 211687,
  [SMALL_STATE(3801)] = 211726,
  [SMALL_STATE(3802)] = 211765,
  [SMALL_STATE(3803)] = 211824,
  [SMALL_STATE(3804)] = 211883,
  [SMALL_STATE(3805)] = 211942,
  [SMALL_STATE(3806)] = 211981,
  [SMALL_STATE(3807)] = 212024,
  [SMALL_STATE(3808)] = 212083,
  [SMALL_STATE(3809)] = 212122,
  [SMALL_STATE(3810)] = 212155,
  [SMALL_STATE(3811)] = 212204,
  [SMALL_STATE(3812)] = 212263,
  [SMALL_STATE(3813)] = 212312,
  [SMALL_STATE(3814)] = 212359,
  [SMALL_STATE(3815)] = 212418,
  [SMALL_STATE(3816)] = 212451,
  [SMALL_STATE(3817)] = 212510,
  [SMALL_STATE(3818)] = 212559,
  [SMALL_STATE(3819)] = 212618,
  [SMALL_STATE(3820)] = 212677,
  [SMALL_STATE(3821)] = 212710,
  [SMALL_STATE(3822)] = 212769,
  [SMALL_STATE(3823)] = 212828,
  [SMALL_STATE(3824)] = 212869,
  [SMALL_STATE(3825)] = 212902,
  [SMALL_STATE(3826)] = 212961,
  [SMALL_STATE(3827)] = 212994,
  [SMALL_STATE(3828)] = 213059,
  [SMALL_STATE(3829)] = 213100,
  [SMALL_STATE(3830)] = 213139,
  [SMALL_STATE(3831)] = 213204,
  [SMALL_STATE(3832)] = 213263,
  [SMALL_STATE(3833)] = 213322,
  [SMALL_STATE(3834)] = 213359,
  [SMALL_STATE(3835)] = 213418,
  [SMALL_STATE(3836)] = 213477,
  [SMALL_STATE(3837)] = 213536,
  [SMALL_STATE(3838)] = 213575,
  [SMALL_STATE(3839)] = 213634,
  [SMALL_STATE(3840)] = 213667,
  [SMALL_STATE(3841)] = 213726,
  [SMALL_STATE(3842)] = 213759,
  [SMALL_STATE(3843)] = 213798,
  [SMALL_STATE(3844)] = 213837,
  [SMALL_STATE(3845)] = 213876,
  [SMALL_STATE(3846)] = 213935,
  [SMALL_STATE(3847)] = 213968,
  [SMALL_STATE(3848)] = 214007,
  [SMALL_STATE(3849)] = 214046,
  [SMALL_STATE(3850)] = 214085,
  [SMALL_STATE(3851)] = 214118,
  [SMALL_STATE(3852)] = 214177,
  [SMALL_STATE(3853)] = 214210,
  [SMALL_STATE(3854)] = 214249,
  [SMALL_STATE(3855)] = 214308,
  [SMALL_STATE(3856)] = 214367,
  [SMALL_STATE(3857)] = 214400,
  [SMALL_STATE(3858)] = 214459,
  [SMALL_STATE(3859)] = 214518,
  [SMALL_STATE(3860)] = 214561,
  [SMALL_STATE(3861)] = 214620,
  [SMALL_STATE(3862)] = 214653,
  [SMALL_STATE(3863)] = 214712,
  [SMALL_STATE(3864)] = 214745,
  [SMALL_STATE(3865)] = 214804,
  [SMALL_STATE(3866)] = 214869,
  [SMALL_STATE(3867)] = 214934,
  [SMALL_STATE(3868)] = 214973,
  [SMALL_STATE(3869)] = 215032,
  [SMALL_STATE(3870)] = 215071,
  [SMALL_STATE(3871)] = 215130,
  [SMALL_STATE(3872)] = 215169,
  [SMALL_STATE(3873)] = 215218,
  [SMALL_STATE(3874)] = 215257,
  [SMALL_STATE(3875)] = 215290,
  [SMALL_STATE(3876)] = 215339,
  [SMALL_STATE(3877)] = 215378,
  [SMALL_STATE(3878)] = 215417,
  [SMALL_STATE(3879)] = 215456,
  [SMALL_STATE(3880)] = 215495,
  [SMALL_STATE(3881)] = 215554,
  [SMALL_STATE(3882)] = 215591,
  [SMALL_STATE(3883)] = 215650,
  [SMALL_STATE(3884)] = 215683,
  [SMALL_STATE(3885)] = 215742,
  [SMALL_STATE(3886)] = 215801,
  [SMALL_STATE(3887)] = 215860,
  [SMALL_STATE(3888)] = 215897,
  [SMALL_STATE(3889)] = 215938,
  [SMALL_STATE(3890)] = 215997,
  [SMALL_STATE(3891)] = 216038,
  [SMALL_STATE(3892)] = 216075,
  [SMALL_STATE(3893)] = 216134,
  [SMALL_STATE(3894)] = 216193,
  [SMALL_STATE(3895)] = 216226,
  [SMALL_STATE(3896)] = 216285,
  [SMALL_STATE(3897)] = 216322,
  [SMALL_STATE(3898)] = 216357,
  [SMALL_STATE(3899)] = 216416,
  [SMALL_STATE(3900)] = 216459,
  [SMALL_STATE(3901)] = 216492,
  [SMALL_STATE(3902)] = 216525,
  [SMALL_STATE(3903)] = 216584,
  [SMALL_STATE(3904)] = 216617,
  [SMALL_STATE(3905)] = 216676,
  [SMALL_STATE(3906)] = 216711,
  [SMALL_STATE(3907)] = 216744,
  [SMALL_STATE(3908)] = 216787,
  [SMALL_STATE(3909)] = 216846,
  [SMALL_STATE(3910)] = 216905,
  [SMALL_STATE(3911)] = 216948,
  [SMALL_STATE(3912)] = 217007,
  [SMALL_STATE(3913)] = 217066,
  [SMALL_STATE(3914)] = 217131,
  [SMALL_STATE(3915)] = 217190,
  [SMALL_STATE(3916)] = 217227,
  [SMALL_STATE(3917)] = 217268,
  [SMALL_STATE(3918)] = 217301,
  [SMALL_STATE(3919)] = 217360,
  [SMALL_STATE(3920)] = 217400,
  [SMALL_STATE(3921)] = 217432,
  [SMALL_STATE(3922)] = 217464,
  [SMALL_STATE(3923)] = 217510,
  [SMALL_STATE(3924)] = 217542,
  [SMALL_STATE(3925)] = 217604,
  [SMALL_STATE(3926)] = 217666,
  [SMALL_STATE(3927)] = 217706,
  [SMALL_STATE(3928)] = 217738,
  [SMALL_STATE(3929)] = 217770,
  [SMALL_STATE(3930)] = 217802,
  [SMALL_STATE(3931)] = 217834,
  [SMALL_STATE(3932)] = 217866,
  [SMALL_STATE(3933)] = 217898,
  [SMALL_STATE(3934)] = 217960,
  [SMALL_STATE(3935)] = 218022,
  [SMALL_STATE(3936)] = 218054,
  [SMALL_STATE(3937)] = 218116,
  [SMALL_STATE(3938)] = 218148,
  [SMALL_STATE(3939)] = 218180,
  [SMALL_STATE(3940)] = 218212,
  [SMALL_STATE(3941)] = 218244,
  [SMALL_STATE(3942)] = 218280,
  [SMALL_STATE(3943)] = 218312,
  [SMALL_STATE(3944)] = 218344,
  [SMALL_STATE(3945)] = 218376,
  [SMALL_STATE(3946)] = 218408,
  [SMALL_STATE(3947)] = 218440,
  [SMALL_STATE(3948)] = 218472,
  [SMALL_STATE(3949)] = 218508,
  [SMALL_STATE(3950)] = 218554,
  [SMALL_STATE(3951)] = 218586,
  [SMALL_STATE(3952)] = 218618,
  [SMALL_STATE(3953)] = 218650,
  [SMALL_STATE(3954)] = 218682,
  [SMALL_STATE(3955)] = 218722,
  [SMALL_STATE(3956)] = 218754,
  [SMALL_STATE(3957)] = 218786,
  [SMALL_STATE(3958)] = 218818,
  [SMALL_STATE(3959)] = 218850,
  [SMALL_STATE(3960)] = 218882,
  [SMALL_STATE(3961)] = 218914,
  [SMALL_STATE(3962)] = 218946,
  [SMALL_STATE(3963)] = 218978,
  [SMALL_STATE(3964)] = 219010,
  [SMALL_STATE(3965)] = 219042,
  [SMALL_STATE(3966)] = 219074,
  [SMALL_STATE(3967)] = 219106,
  [SMALL_STATE(3968)] = 219138,
  [SMALL_STATE(3969)] = 219170,
  [SMALL_STATE(3970)] = 219202,
  [SMALL_STATE(3971)] = 219234,
  [SMALL_STATE(3972)] = 219266,
  [SMALL_STATE(3973)] = 219298,
  [SMALL_STATE(3974)] = 219334,
  [SMALL_STATE(3975)] = 219366,
  [SMALL_STATE(3976)] = 219408,
  [SMALL_STATE(3977)] = 219440,
  [SMALL_STATE(3978)] = 219472,
  [SMALL_STATE(3979)] = 219504,
  [SMALL_STATE(3980)] = 219536,
  [SMALL_STATE(3981)] = 219582,
  [SMALL_STATE(3982)] = 219614,
  [SMALL_STATE(3983)] = 219676,
  [SMALL_STATE(3984)] = 219708,
  [SMALL_STATE(3985)] = 219744,
  [SMALL_STATE(3986)] = 219778,
  [SMALL_STATE(3987)] = 219820,
  [SMALL_STATE(3988)] = 219852,
  [SMALL_STATE(3989)] = 219884,
  [SMALL_STATE(3990)] = 219916,
  [SMALL_STATE(3991)] = 219948,
  [SMALL_STATE(3992)] = 219988,
  [SMALL_STATE(3993)] = 220050,
  [SMALL_STATE(3994)] = 220082,
  [SMALL_STATE(3995)] = 220114,
  [SMALL_STATE(3996)] = 220176,
  [SMALL_STATE(3997)] = 220238,
  [SMALL_STATE(3998)] = 220270,
  [SMALL_STATE(3999)] = 220302,
  [SMALL_STATE(4000)] = 220342,
  [SMALL_STATE(4001)] = 220382,
  [SMALL_STATE(4002)] = 220414,
  [SMALL_STATE(4003)] = 220446,
  [SMALL_STATE(4004)] = 220478,
  [SMALL_STATE(4005)] = 220510,
  [SMALL_STATE(4006)] = 220542,
  [SMALL_STATE(4007)] = 220574,
  [SMALL_STATE(4008)] = 220614,
  [SMALL_STATE(4009)] = 220646,
  [SMALL_STATE(4010)] = 220678,
  [SMALL_STATE(4011)] = 220710,
  [SMALL_STATE(4012)] = 220756,
  [SMALL_STATE(4013)] = 220788,
  [SMALL_STATE(4014)] = 220820,
  [SMALL_STATE(4015)] = 220852,
  [SMALL_STATE(4016)] = 220884,
  [SMALL_STATE(4017)] = 220922,
  [SMALL_STATE(4018)] = 220954,
  [SMALL_STATE(4019)] = 220992,
  [SMALL_STATE(4020)] = 221024,
  [SMALL_STATE(4021)] = 221056,
  [SMALL_STATE(4022)] = 221088,
  [SMALL_STATE(4023)] = 221120,
  [SMALL_STATE(4024)] = 221152,
  [SMALL_STATE(4025)] = 221184,
  [SMALL_STATE(4026)] = 221230,
  [SMALL_STATE(4027)] = 221262,
  [SMALL_STATE(4028)] = 221300,
  [SMALL_STATE(4029)] = 221338,
  [SMALL_STATE(4030)] = 221376,
  [SMALL_STATE(4031)] = 221414,
  [SMALL_STATE(4032)] = 221452,
  [SMALL_STATE(4033)] = 221490,
  [SMALL_STATE(4034)] = 221522,
  [SMALL_STATE(4035)] = 221560,
  [SMALL_STATE(4036)] = 221592,
  [SMALL_STATE(4037)] = 221630,
  [SMALL_STATE(4038)] = 221662,
  [SMALL_STATE(4039)] = 221694,
  [SMALL_STATE(4040)] = 221726,
  [SMALL_STATE(4041)] = 221762,
  [SMALL_STATE(4042)] = 221794,
  [SMALL_STATE(4043)] = 221826,
  [SMALL_STATE(4044)] = 221872,
  [SMALL_STATE(4045)] = 221904,
  [SMALL_STATE(4046)] = 221936,
  [SMALL_STATE(4047)] = 221976,
  [SMALL_STATE(4048)] = 222008,
  [SMALL_STATE(4049)] = 222040,
  [SMALL_STATE(4050)] = 222072,
  [SMALL_STATE(4051)] = 222104,
  [SMALL_STATE(4052)] = 222136,
  [SMALL_STATE(4053)] = 222176,
  [SMALL_STATE(4054)] = 222208,
  [SMALL_STATE(4055)] = 222240,
  [SMALL_STATE(4056)] = 222272,
  [SMALL_STATE(4057)] = 222304,
  [SMALL_STATE(4058)] = 222336,
  [SMALL_STATE(4059)] = 222368,
  [SMALL_STATE(4060)] = 222400,
  [SMALL_STATE(4061)] = 222432,
  [SMALL_STATE(4062)] = 222464,
  [SMALL_STATE(4063)] = 222496,
  [SMALL_STATE(4064)] = 222528,
  [SMALL_STATE(4065)] = 222560,
  [SMALL_STATE(4066)] = 222592,
  [SMALL_STATE(4067)] = 222624,
  [SMALL_STATE(4068)] = 222656,
  [SMALL_STATE(4069)] = 222688,
  [SMALL_STATE(4070)] = 222720,
  [SMALL_STATE(4071)] = 222752,
  [SMALL_STATE(4072)] = 222787,
  [SMALL_STATE(4073)] = 222818,
  [SMALL_STATE(4074)] = 222857,
  [SMALL_STATE(4075)] = 222896,
  [SMALL_STATE(4076)] = 222941,
  [SMALL_STATE(4077)] = 222986,
  [SMALL_STATE(4078)] = 223023,
  [SMALL_STATE(4079)] = 223060,
  [SMALL_STATE(4080)] = 223107,
  [SMALL_STATE(4081)] = 223144,
  [SMALL_STATE(4082)] = 223181,
  [SMALL_STATE(4083)] = 223218,
  [SMALL_STATE(4084)] = 223257,
  [SMALL_STATE(4085)] = 223292,
  [SMALL_STATE(4086)] = 223331,
  [SMALL_STATE(4087)] = 223378,
  [SMALL_STATE(4088)] = 223417,
  [SMALL_STATE(4089)] = 223452,
  [SMALL_STATE(4090)] = 223497,
  [SMALL_STATE(4091)] = 223536,
  [SMALL_STATE(4092)] = 223571,
  [SMALL_STATE(4093)] = 223610,
  [SMALL_STATE(4094)] = 223645,
  [SMALL_STATE(4095)] = 223684,
  [SMALL_STATE(4096)] = 223729,
  [SMALL_STATE(4097)] = 223764,
  [SMALL_STATE(4098)] = 223809,
  [SMALL_STATE(4099)] = 223846,
  [SMALL_STATE(4100)] = 223885,
  [SMALL_STATE(4101)] = 223920,
  [SMALL_STATE(4102)] = 223965,
  [SMALL_STATE(4103)] = 224002,
  [SMALL_STATE(4104)] = 224037,
  [SMALL_STATE(4105)] = 224072,
  [SMALL_STATE(4106)] = 224111,
  [SMALL_STATE(4107)] = 224146,
  [SMALL_STATE(4108)] = 224183,
  [SMALL_STATE(4109)] = 224222,
  [SMALL_STATE(4110)] = 224261,
  [SMALL_STATE(4111)] = 224298,
  [SMALL_STATE(4112)] = 224328,
  [SMALL_STATE(4113)] = 224378,
  [SMALL_STATE(4114)] = 224414,
  [SMALL_STATE(4115)] = 224446,
  [SMALL_STATE(4116)] = 224478,
  [SMALL_STATE(4117)] = 224510,
  [SMALL_STATE(4118)] = 224566,
  [SMALL_STATE(4119)] = 224598,
  [SMALL_STATE(4120)] = 224630,
  [SMALL_STATE(4121)] = 224686,
  [SMALL_STATE(4122)] = 224742,
  [SMALL_STATE(4123)] = 224774,
  [SMALL_STATE(4124)] = 224830,
  [SMALL_STATE(4125)] = 224864,
  [SMALL_STATE(4126)] = 224920,
  [SMALL_STATE(4127)] = 224976,
  [SMALL_STATE(4128)] = 225032,
  [SMALL_STATE(4129)] = 225088,
  [SMALL_STATE(4130)] = 225118,
  [SMALL_STATE(4131)] = 225174,
  [SMALL_STATE(4132)] = 225230,
  [SMALL_STATE(4133)] = 225286,
  [SMALL_STATE(4134)] = 225316,
  [SMALL_STATE(4135)] = 225346,
  [SMALL_STATE(4136)] = 225380,
  [SMALL_STATE(4137)] = 225436,
  [SMALL_STATE(4138)] = 225492,
  [SMALL_STATE(4139)] = 225524,
  [SMALL_STATE(4140)] = 225580,
  [SMALL_STATE(4141)] = 225636,
  [SMALL_STATE(4142)] = 225692,
  [SMALL_STATE(4143)] = 225724,
  [SMALL_STATE(4144)] = 225756,
  [SMALL_STATE(4145)] = 225812,
  [SMALL_STATE(4146)] = 225844,
  [SMALL_STATE(4147)] = 225882,
  [SMALL_STATE(4148)] = 225914,
  [SMALL_STATE(4149)] = 225970,
  [SMALL_STATE(4150)] = 226006,
  [SMALL_STATE(4151)] = 226062,
  [SMALL_STATE(4152)] = 226118,
  [SMALL_STATE(4153)] = 226150,
  [SMALL_STATE(4154)] = 226188,
  [SMALL_STATE(4155)] = 226226,
  [SMALL_STATE(4156)] = 226262,
  [SMALL_STATE(4157)] = 226318,
  [SMALL_STATE(4158)] = 226354,
  [SMALL_STATE(4159)] = 226384,
  [SMALL_STATE(4160)] = 226440,
  [SMALL_STATE(4161)] = 226496,
  [SMALL_STATE(4162)] = 226552,
  [SMALL_STATE(4163)] = 226584,
  [SMALL_STATE(4164)] = 226640,
  [SMALL_STATE(4165)] = 226670,
  [SMALL_STATE(4166)] = 226700,
  [SMALL_STATE(4167)] = 226730,
  [SMALL_STATE(4168)] = 226762,
  [SMALL_STATE(4169)] = 226792,
  [SMALL_STATE(4170)] = 226826,
  [SMALL_STATE(4171)] = 226868,
  [SMALL_STATE(4172)] = 226898,
  [SMALL_STATE(4173)] = 226932,
  [SMALL_STATE(4174)] = 226988,
  [SMALL_STATE(4175)] = 227030,
  [SMALL_STATE(4176)] = 227062,
  [SMALL_STATE(4177)] = 227118,
  [SMALL_STATE(4178)] = 227148,
  [SMALL_STATE(4179)] = 227178,
  [SMALL_STATE(4180)] = 227208,
  [SMALL_STATE(4181)] = 227264,
  [SMALL_STATE(4182)] = 227320,
  [SMALL_STATE(4183)] = 227350,
  [SMALL_STATE(4184)] = 227406,
  [SMALL_STATE(4185)] = 227462,
  [SMALL_STATE(4186)] = 227518,
  [SMALL_STATE(4187)] = 227574,
  [SMALL_STATE(4188)] = 227630,
  [SMALL_STATE(4189)] = 227686,
  [SMALL_STATE(4190)] = 227742,
  [SMALL_STATE(4191)] = 227798,
  [SMALL_STATE(4192)] = 227834,
  [SMALL_STATE(4193)] = 227870,
  [SMALL_STATE(4194)] = 227926,
  [SMALL_STATE(4195)] = 227966,
  [SMALL_STATE(4196)] = 227998,
  [SMALL_STATE(4197)] = 228030,
  [SMALL_STATE(4198)] = 228086,
  [SMALL_STATE(4199)] = 228116,
  [SMALL_STATE(4200)] = 228152,
  [SMALL_STATE(4201)] = 228182,
  [SMALL_STATE(4202)] = 228218,
  [SMALL_STATE(4203)] = 228250,
  [SMALL_STATE(4204)] = 228282,
  [SMALL_STATE(4205)] = 228314,
  [SMALL_STATE(4206)] = 228346,
  [SMALL_STATE(4207)] = 228388,
  [SMALL_STATE(4208)] = 228420,
  [SMALL_STATE(4209)] = 228450,
  [SMALL_STATE(4210)] = 228482,
  [SMALL_STATE(4211)] = 228512,
  [SMALL_STATE(4212)] = 228542,
  [SMALL_STATE(4213)] = 228574,
  [SMALL_STATE(4214)] = 228616,
  [SMALL_STATE(4215)] = 228645,
  [SMALL_STATE(4216)] = 228674,
  [SMALL_STATE(4217)] = 228721,
  [SMALL_STATE(4218)] = 228754,
  [SMALL_STATE(4219)] = 228783,
  [SMALL_STATE(4220)] = 228812,
  [SMALL_STATE(4221)] = 228851,
  [SMALL_STATE(4222)] = 228884,
  [SMALL_STATE(4223)] = 228915,
  [SMALL_STATE(4224)] = 228944,
  [SMALL_STATE(4225)] = 228977,
  [SMALL_STATE(4226)] = 229006,
  [SMALL_STATE(4227)] = 229035,
  [SMALL_STATE(4228)] = 229076,
  [SMALL_STATE(4229)] = 229115,
  [SMALL_STATE(4230)] = 229148,
  [SMALL_STATE(4231)] = 229177,
  [SMALL_STATE(4232)] = 229206,
  [SMALL_STATE(4233)] = 229235,
  [SMALL_STATE(4234)] = 229264,
  [SMALL_STATE(4235)] = 229299,
  [SMALL_STATE(4236)] = 229328,
  [SMALL_STATE(4237)] = 229357,
  [SMALL_STATE(4238)] = 229386,
  [SMALL_STATE(4239)] = 229419,
  [SMALL_STATE(4240)] = 229448,
  [SMALL_STATE(4241)] = 229495,
  [SMALL_STATE(4242)] = 229524,
  [SMALL_STATE(4243)] = 229553,
  [SMALL_STATE(4244)] = 229582,
  [SMALL_STATE(4245)] = 229611,
  [SMALL_STATE(4246)] = 229640,
  [SMALL_STATE(4247)] = 229681,
  [SMALL_STATE(4248)] = 229710,
  [SMALL_STATE(4249)] = 229739,
  [SMALL_STATE(4250)] = 229772,
  [SMALL_STATE(4251)] = 229801,
  [SMALL_STATE(4252)] = 229830,
  [SMALL_STATE(4253)] = 229873,
  [SMALL_STATE(4254)] = 229902,
  [SMALL_STATE(4255)] = 229931,
  [SMALL_STATE(4256)] = 229960,
  [SMALL_STATE(4257)] = 229989,
  [SMALL_STATE(4258)] = 230018,
  [SMALL_STATE(4259)] = 230047,
  [SMALL_STATE(4260)] = 230076,
  [SMALL_STATE(4261)] = 230105,
  [SMALL_STATE(4262)] = 230140,
  [SMALL_STATE(4263)] = 230173,
  [SMALL_STATE(4264)] = 230206,
  [SMALL_STATE(4265)] = 230235,
  [SMALL_STATE(4266)] = 230270,
  [SMALL_STATE(4267)] = 230303,
  [SMALL_STATE(4268)] = 230350,
  [SMALL_STATE(4269)] = 230383,
  [SMALL_STATE(4270)] = 230418,
  [SMALL_STATE(4271)] = 230447,
  [SMALL_STATE(4272)] = 230476,
  [SMALL_STATE(4273)] = 230505,
  [SMALL_STATE(4274)] = 230534,
  [SMALL_STATE(4275)] = 230567,
  [SMALL_STATE(4276)] = 230600,
  [SMALL_STATE(4277)] = 230629,
  [SMALL_STATE(4278)] = 230664,
  [SMALL_STATE(4279)] = 230693,
  [SMALL_STATE(4280)] = 230722,
  [SMALL_STATE(4281)] = 230757,
  [SMALL_STATE(4282)] = 230786,
  [SMALL_STATE(4283)] = 230815,
  [SMALL_STATE(4284)] = 230844,
  [SMALL_STATE(4285)] = 230873,
  [SMALL_STATE(4286)] = 230916,
  [SMALL_STATE(4287)] = 230951,
  [SMALL_STATE(4288)] = 230984,
  [SMALL_STATE(4289)] = 231017,
  [SMALL_STATE(4290)] = 231050,
  [SMALL_STATE(4291)] = 231079,
  [SMALL_STATE(4292)] = 231108,
  [SMALL_STATE(4293)] = 231143,
  [SMALL_STATE(4294)] = 231172,
  [SMALL_STATE(4295)] = 231201,
  [SMALL_STATE(4296)] = 231230,
  [SMALL_STATE(4297)] = 231259,
  [SMALL_STATE(4298)] = 231288,
  [SMALL_STATE(4299)] = 231317,
  [SMALL_STATE(4300)] = 231352,
  [SMALL_STATE(4301)] = 231411,
  [SMALL_STATE(4302)] = 231440,
  [SMALL_STATE(4303)] = 231469,
  [SMALL_STATE(4304)] = 231504,
  [SMALL_STATE(4305)] = 231539,
  [SMALL_STATE(4306)] = 231574,
  [SMALL_STATE(4307)] = 231609,
  [SMALL_STATE(4308)] = 231638,
  [SMALL_STATE(4309)] = 231667,
  [SMALL_STATE(4310)] = 231696,
  [SMALL_STATE(4311)] = 231729,
  [SMALL_STATE(4312)] = 231764,
  [SMALL_STATE(4313)] = 231797,
  [SMALL_STATE(4314)] = 231826,
  [SMALL_STATE(4315)] = 231855,
  [SMALL_STATE(4316)] = 231884,
  [SMALL_STATE(4317)] = 231919,
  [SMALL_STATE(4318)] = 231948,
  [SMALL_STATE(4319)] = 231977,
  [SMALL_STATE(4320)] = 232006,
  [SMALL_STATE(4321)] = 232035,
  [SMALL_STATE(4322)] = 232070,
  [SMALL_STATE(4323)] = 232098,
  [SMALL_STATE(4324)] = 232126,
  [SMALL_STATE(4325)] = 232154,
  [SMALL_STATE(4326)] = 232182,
  [SMALL_STATE(4327)] = 232224,
  [SMALL_STATE(4328)] = 232286,
  [SMALL_STATE(4329)] = 232318,
  [SMALL_STATE(4330)] = 232352,
  [SMALL_STATE(4331)] = 232384,
  [SMALL_STATE(4332)] = 232412,
  [SMALL_STATE(4333)] = 232444,
  [SMALL_STATE(4334)] = 232472,
  [SMALL_STATE(4335)] = 232504,
  [SMALL_STATE(4336)] = 232532,
  [SMALL_STATE(4337)] = 232560,
  [SMALL_STATE(4338)] = 232588,
  [SMALL_STATE(4339)] = 232616,
  [SMALL_STATE(4340)] = 232672,
  [SMALL_STATE(4341)] = 232700,
  [SMALL_STATE(4342)] = 232732,
  [SMALL_STATE(4343)] = 232764,
  [SMALL_STATE(4344)] = 232792,
  [SMALL_STATE(4345)] = 232824,
  [SMALL_STATE(4346)] = 232858,
  [SMALL_STATE(4347)] = 232886,
  [SMALL_STATE(4348)] = 232918,
  [SMALL_STATE(4349)] = 232950,
  [SMALL_STATE(4350)] = 232978,
  [SMALL_STATE(4351)] = 233010,
  [SMALL_STATE(4352)] = 233042,
  [SMALL_STATE(4353)] = 233070,
  [SMALL_STATE(4354)] = 233098,
  [SMALL_STATE(4355)] = 233126,
  [SMALL_STATE(4356)] = 233154,
  [SMALL_STATE(4357)] = 233186,
  [SMALL_STATE(4358)] = 233218,
  [SMALL_STATE(4359)] = 233254,
  [SMALL_STATE(4360)] = 233282,
  [SMALL_STATE(4361)] = 233310,
  [SMALL_STATE(4362)] = 233338,
  [SMALL_STATE(4363)] = 233366,
  [SMALL_STATE(4364)] = 233394,
  [SMALL_STATE(4365)] = 233432,
  [SMALL_STATE(4366)] = 233460,
  [SMALL_STATE(4367)] = 233488,
  [SMALL_STATE(4368)] = 233518,
  [SMALL_STATE(4369)] = 233550,
  [SMALL_STATE(4370)] = 233578,
  [SMALL_STATE(4371)] = 233606,
  [SMALL_STATE(4372)] = 233634,
  [SMALL_STATE(4373)] = 233668,
  [SMALL_STATE(4374)] = 233712,
  [SMALL_STATE(4375)] = 233740,
  [SMALL_STATE(4376)] = 233772,
  [SMALL_STATE(4377)] = 233800,
  [SMALL_STATE(4378)] = 233836,
  [SMALL_STATE(4379)] = 233864,
  [SMALL_STATE(4380)] = 233902,
  [SMALL_STATE(4381)] = 233930,
  [SMALL_STATE(4382)] = 233958,
  [SMALL_STATE(4383)] = 233986,
  [SMALL_STATE(4384)] = 234014,
  [SMALL_STATE(4385)] = 234042,
  [SMALL_STATE(4386)] = 234084,
  [SMALL_STATE(4387)] = 234112,
  [SMALL_STATE(4388)] = 234168,
  [SMALL_STATE(4389)] = 234196,
  [SMALL_STATE(4390)] = 234224,
  [SMALL_STATE(4391)] = 234252,
  [SMALL_STATE(4392)] = 234284,
  [SMALL_STATE(4393)] = 234311,
  [SMALL_STATE(4394)] = 234338,
  [SMALL_STATE(4395)] = 234365,
  [SMALL_STATE(4396)] = 234392,
  [SMALL_STATE(4397)] = 234419,
  [SMALL_STATE(4398)] = 234450,
  [SMALL_STATE(4399)] = 234477,
  [SMALL_STATE(4400)] = 234504,
  [SMALL_STATE(4401)] = 234541,
  [SMALL_STATE(4402)] = 234568,
  [SMALL_STATE(4403)] = 234595,
  [SMALL_STATE(4404)] = 234622,
  [SMALL_STATE(4405)] = 234653,
  [SMALL_STATE(4406)] = 234680,
  [SMALL_STATE(4407)] = 234707,
  [SMALL_STATE(4408)] = 234734,
  [SMALL_STATE(4409)] = 234761,
  [SMALL_STATE(4410)] = 234798,
  [SMALL_STATE(4411)] = 234825,
  [SMALL_STATE(4412)] = 234856,
  [SMALL_STATE(4413)] = 234883,
  [SMALL_STATE(4414)] = 234914,
  [SMALL_STATE(4415)] = 234951,
  [SMALL_STATE(4416)] = 234986,
  [SMALL_STATE(4417)] = 235013,
  [SMALL_STATE(4418)] = 235050,
  [SMALL_STATE(4419)] = 235097,
  [SMALL_STATE(4420)] = 235124,
  [SMALL_STATE(4421)] = 235151,
  [SMALL_STATE(4422)] = 235182,
  [SMALL_STATE(4423)] = 235213,
  [SMALL_STATE(4424)] = 235240,
  [SMALL_STATE(4425)] = 235271,
  [SMALL_STATE(4426)] = 235306,
  [SMALL_STATE(4427)] = 235333,
  [SMALL_STATE(4428)] = 235368,
  [SMALL_STATE(4429)] = 235394,
  [SMALL_STATE(4430)] = 235430,
  [SMALL_STATE(4431)] = 235456,
  [SMALL_STATE(4432)] = 235482,
  [SMALL_STATE(4433)] = 235520,
  [SMALL_STATE(4434)] = 235552,
  [SMALL_STATE(4435)] = 235590,
  [SMALL_STATE(4436)] = 235628,
  [SMALL_STATE(4437)] = 235666,
  [SMALL_STATE(4438)] = 235698,
  [SMALL_STATE(4439)] = 235724,
  [SMALL_STATE(4440)] = 235750,
  [SMALL_STATE(4441)] = 235788,
  [SMALL_STATE(4442)] = 235826,
  [SMALL_STATE(4443)] = 235864,
  [SMALL_STATE(4444)] = 235896,
  [SMALL_STATE(4445)] = 235922,
  [SMALL_STATE(4446)] = 235948,
  [SMALL_STATE(4447)] = 235984,
  [SMALL_STATE(4448)] = 236016,
  [SMALL_STATE(4449)] = 236042,
  [SMALL_STATE(4450)] = 236068,
  [SMALL_STATE(4451)] = 236094,
  [SMALL_STATE(4452)] = 236120,
  [SMALL_STATE(4453)] = 236146,
  [SMALL_STATE(4454)] = 236178,
  [SMALL_STATE(4455)] = 236204,
  [SMALL_STATE(4456)] = 236230,
  [SMALL_STATE(4457)] = 236256,
  [SMALL_STATE(4458)] = 236282,
  [SMALL_STATE(4459)] = 236308,
  [SMALL_STATE(4460)] = 236334,
  [SMALL_STATE(4461)] = 236360,
  [SMALL_STATE(4462)] = 236386,
  [SMALL_STATE(4463)] = 236412,
  [SMALL_STATE(4464)] = 236438,
  [SMALL_STATE(4465)] = 236470,
  [SMALL_STATE(4466)] = 236496,
  [SMALL_STATE(4467)] = 236522,
  [SMALL_STATE(4468)] = 236548,
  [SMALL_STATE(4469)] = 236574,
  [SMALL_STATE(4470)] = 236600,
  [SMALL_STATE(4471)] = 236626,
  [SMALL_STATE(4472)] = 236652,
  [SMALL_STATE(4473)] = 236678,
  [SMALL_STATE(4474)] = 236704,
  [SMALL_STATE(4475)] = 236740,
  [SMALL_STATE(4476)] = 236766,
  [SMALL_STATE(4477)] = 236792,
  [SMALL_STATE(4478)] = 236830,
  [SMALL_STATE(4479)] = 236856,
  [SMALL_STATE(4480)] = 236882,
  [SMALL_STATE(4481)] = 236920,
  [SMALL_STATE(4482)] = 236946,
  [SMALL_STATE(4483)] = 236971,
  [SMALL_STATE(4484)] = 236996,
  [SMALL_STATE(4485)] = 237031,
  [SMALL_STATE(4486)] = 237056,
  [SMALL_STATE(4487)] = 237081,
  [SMALL_STATE(4488)] = 237106,
  [SMALL_STATE(4489)] = 237137,
  [SMALL_STATE(4490)] = 237168,
  [SMALL_STATE(4491)] = 237193,
  [SMALL_STATE(4492)] = 237218,
  [SMALL_STATE(4493)] = 237249,
  [SMALL_STATE(4494)] = 237284,
  [SMALL_STATE(4495)] = 237309,
  [SMALL_STATE(4496)] = 237334,
  [SMALL_STATE(4497)] = 237369,
  [SMALL_STATE(4498)] = 237394,
  [SMALL_STATE(4499)] = 237419,
  [SMALL_STATE(4500)] = 237450,
  [SMALL_STATE(4501)] = 237481,
  [SMALL_STATE(4502)] = 237506,
  [SMALL_STATE(4503)] = 237531,
  [SMALL_STATE(4504)] = 237562,
  [SMALL_STATE(4505)] = 237587,
  [SMALL_STATE(4506)] = 237622,
  [SMALL_STATE(4507)] = 237647,
  [SMALL_STATE(4508)] = 237672,
  [SMALL_STATE(4509)] = 237697,
  [SMALL_STATE(4510)] = 237722,
  [SMALL_STATE(4511)] = 237747,
  [SMALL_STATE(4512)] = 237772,
  [SMALL_STATE(4513)] = 237797,
  [SMALL_STATE(4514)] = 237822,
  [SMALL_STATE(4515)] = 237847,
  [SMALL_STATE(4516)] = 237872,
  [SMALL_STATE(4517)] = 237897,
  [SMALL_STATE(4518)] = 237922,
  [SMALL_STATE(4519)] = 237947,
  [SMALL_STATE(4520)] = 237972,
  [SMALL_STATE(4521)] = 237997,
  [SMALL_STATE(4522)] = 238022,
  [SMALL_STATE(4523)] = 238047,
  [SMALL_STATE(4524)] = 238072,
  [SMALL_STATE(4525)] = 238097,
  [SMALL_STATE(4526)] = 238128,
  [SMALL_STATE(4527)] = 238163,
  [SMALL_STATE(4528)] = 238188,
  [SMALL_STATE(4529)] = 238213,
  [SMALL_STATE(4530)] = 238238,
  [SMALL_STATE(4531)] = 238263,
  [SMALL_STATE(4532)] = 238288,
  [SMALL_STATE(4533)] = 238313,
  [SMALL_STATE(4534)] = 238338,
  [SMALL_STATE(4535)] = 238363,
  [SMALL_STATE(4536)] = 238388,
  [SMALL_STATE(4537)] = 238413,
  [SMALL_STATE(4538)] = 238438,
  [SMALL_STATE(4539)] = 238463,
  [SMALL_STATE(4540)] = 238488,
  [SMALL_STATE(4541)] = 238513,
  [SMALL_STATE(4542)] = 238538,
  [SMALL_STATE(4543)] = 238563,
  [SMALL_STATE(4544)] = 238588,
  [SMALL_STATE(4545)] = 238623,
  [SMALL_STATE(4546)] = 238648,
  [SMALL_STATE(4547)] = 238673,
  [SMALL_STATE(4548)] = 238698,
  [SMALL_STATE(4549)] = 238723,
  [SMALL_STATE(4550)] = 238762,
  [SMALL_STATE(4551)] = 238797,
  [SMALL_STATE(4552)] = 238822,
  [SMALL_STATE(4553)] = 238857,
  [SMALL_STATE(4554)] = 238881,
  [SMALL_STATE(4555)] = 238905,
  [SMALL_STATE(4556)] = 238929,
  [SMALL_STATE(4557)] = 238953,
  [SMALL_STATE(4558)] = 238977,
  [SMALL_STATE(4559)] = 239001,
  [SMALL_STATE(4560)] = 239025,
  [SMALL_STATE(4561)] = 239049,
  [SMALL_STATE(4562)] = 239073,
  [SMALL_STATE(4563)] = 239097,
  [SMALL_STATE(4564)] = 239121,
  [SMALL_STATE(4565)] = 239145,
  [SMALL_STATE(4566)] = 239169,
  [SMALL_STATE(4567)] = 239193,
  [SMALL_STATE(4568)] = 239225,
  [SMALL_STATE(4569)] = 239249,
  [SMALL_STATE(4570)] = 239277,
  [SMALL_STATE(4571)] = 239313,
  [SMALL_STATE(4572)] = 239337,
  [SMALL_STATE(4573)] = 239375,
  [SMALL_STATE(4574)] = 239403,
  [SMALL_STATE(4575)] = 239427,
  [SMALL_STATE(4576)] = 239455,
  [SMALL_STATE(4577)] = 239479,
  [SMALL_STATE(4578)] = 239503,
  [SMALL_STATE(4579)] = 239544,
  [SMALL_STATE(4580)] = 239585,
  [SMALL_STATE(4581)] = 239626,
  [SMALL_STATE(4582)] = 239667,
  [SMALL_STATE(4583)] = 239708,
  [SMALL_STATE(4584)] = 239749,
  [SMALL_STATE(4585)] = 239790,
  [SMALL_STATE(4586)] = 239831,
  [SMALL_STATE(4587)] = 239872,
  [SMALL_STATE(4588)] = 239913,
  [SMALL_STATE(4589)] = 239954,
  [SMALL_STATE(4590)] = 239995,
  [SMALL_STATE(4591)] = 240036,
  [SMALL_STATE(4592)] = 240077,
  [SMALL_STATE(4593)] = 240118,
  [SMALL_STATE(4594)] = 240159,
  [SMALL_STATE(4595)] = 240200,
  [SMALL_STATE(4596)] = 240241,
  [SMALL_STATE(4597)] = 240282,
  [SMALL_STATE(4598)] = 240323,
  [SMALL_STATE(4599)] = 240364,
  [SMALL_STATE(4600)] = 240405,
  [SMALL_STATE(4601)] = 240446,
  [SMALL_STATE(4602)] = 240487,
  [SMALL_STATE(4603)] = 240528,
  [SMALL_STATE(4604)] = 240569,
  [SMALL_STATE(4605)] = 240610,
  [SMALL_STATE(4606)] = 240651,
  [SMALL_STATE(4607)] = 240692,
  [SMALL_STATE(4608)] = 240733,
  [SMALL_STATE(4609)] = 240774,
  [SMALL_STATE(4610)] = 240815,
  [SMALL_STATE(4611)] = 240856,
  [SMALL_STATE(4612)] = 240885,
  [SMALL_STATE(4613)] = 240926,
  [SMALL_STATE(4614)] = 240967,
  [SMALL_STATE(4615)] = 240996,
  [SMALL_STATE(4616)] = 241037,
  [SMALL_STATE(4617)] = 241078,
  [SMALL_STATE(4618)] = 241119,
  [SMALL_STATE(4619)] = 241160,
  [SMALL_STATE(4620)] = 241201,
  [SMALL_STATE(4621)] = 241242,
  [SMALL_STATE(4622)] = 241283,
  [SMALL_STATE(4623)] = 241324,
  [SMALL_STATE(4624)] = 241365,
  [SMALL_STATE(4625)] = 241406,
  [SMALL_STATE(4626)] = 241447,
  [SMALL_STATE(4627)] = 241488,
  [SMALL_STATE(4628)] = 241529,
  [SMALL_STATE(4629)] = 241570,
  [SMALL_STATE(4630)] = 241611,
  [SMALL_STATE(4631)] = 241652,
  [SMALL_STATE(4632)] = 241693,
  [SMALL_STATE(4633)] = 241734,
  [SMALL_STATE(4634)] = 241775,
  [SMALL_STATE(4635)] = 241816,
  [SMALL_STATE(4636)] = 241857,
  [SMALL_STATE(4637)] = 241898,
  [SMALL_STATE(4638)] = 241939,
  [SMALL_STATE(4639)] = 241980,
  [SMALL_STATE(4640)] = 242021,
  [SMALL_STATE(4641)] = 242062,
  [SMALL_STATE(4642)] = 242103,
  [SMALL_STATE(4643)] = 242144,
  [SMALL_STATE(4644)] = 242185,
  [SMALL_STATE(4645)] = 242226,
  [SMALL_STATE(4646)] = 242267,
  [SMALL_STATE(4647)] = 242308,
  [SMALL_STATE(4648)] = 242349,
  [SMALL_STATE(4649)] = 242390,
  [SMALL_STATE(4650)] = 242431,
  [SMALL_STATE(4651)] = 242472,
  [SMALL_STATE(4652)] = 242513,
  [SMALL_STATE(4653)] = 242554,
  [SMALL_STATE(4654)] = 242595,
  [SMALL_STATE(4655)] = 242636,
  [SMALL_STATE(4656)] = 242677,
  [SMALL_STATE(4657)] = 242718,
  [SMALL_STATE(4658)] = 242759,
  [SMALL_STATE(4659)] = 242800,
  [SMALL_STATE(4660)] = 242841,
  [SMALL_STATE(4661)] = 242882,
  [SMALL_STATE(4662)] = 242923,
  [SMALL_STATE(4663)] = 242964,
  [SMALL_STATE(4664)] = 243005,
  [SMALL_STATE(4665)] = 243046,
  [SMALL_STATE(4666)] = 243087,
  [SMALL_STATE(4667)] = 243128,
  [SMALL_STATE(4668)] = 243169,
  [SMALL_STATE(4669)] = 243210,
  [SMALL_STATE(4670)] = 243251,
  [SMALL_STATE(4671)] = 243274,
  [SMALL_STATE(4672)] = 243315,
  [SMALL_STATE(4673)] = 243356,
  [SMALL_STATE(4674)] = 243397,
  [SMALL_STATE(4675)] = 243438,
  [SMALL_STATE(4676)] = 243479,
  [SMALL_STATE(4677)] = 243520,
  [SMALL_STATE(4678)] = 243561,
  [SMALL_STATE(4679)] = 243602,
  [SMALL_STATE(4680)] = 243643,
  [SMALL_STATE(4681)] = 243684,
  [SMALL_STATE(4682)] = 243725,
  [SMALL_STATE(4683)] = 243766,
  [SMALL_STATE(4684)] = 243807,
  [SMALL_STATE(4685)] = 243848,
  [SMALL_STATE(4686)] = 243889,
  [SMALL_STATE(4687)] = 243930,
  [SMALL_STATE(4688)] = 243971,
  [SMALL_STATE(4689)] = 244012,
  [SMALL_STATE(4690)] = 244053,
  [SMALL_STATE(4691)] = 244094,
  [SMALL_STATE(4692)] = 244135,
  [SMALL_STATE(4693)] = 244176,
  [SMALL_STATE(4694)] = 244217,
  [SMALL_STATE(4695)] = 244258,
  [SMALL_STATE(4696)] = 244299,
  [SMALL_STATE(4697)] = 244340,
  [SMALL_STATE(4698)] = 244381,
  [SMALL_STATE(4699)] = 244422,
  [SMALL_STATE(4700)] = 244463,
  [SMALL_STATE(4701)] = 244504,
  [SMALL_STATE(4702)] = 244545,
  [SMALL_STATE(4703)] = 244567,
  [SMALL_STATE(4704)] = 244589,
  [SMALL_STATE(4705)] = 244614,
  [SMALL_STATE(4706)] = 244639,
  [SMALL_STATE(4707)] = 244664,
  [SMALL_STATE(4708)] = 244689,
  [SMALL_STATE(4709)] = 244714,
  [SMALL_STATE(4710)] = 244739,
  [SMALL_STATE(4711)] = 244764,
  [SMALL_STATE(4712)] = 244789,
  [SMALL_STATE(4713)] = 244818,
  [SMALL_STATE(4714)] = 244843,
  [SMALL_STATE(4715)] = 244868,
  [SMALL_STATE(4716)] = 244893,
  [SMALL_STATE(4717)] = 244918,
  [SMALL_STATE(4718)] = 244943,
  [SMALL_STATE(4719)] = 244968,
  [SMALL_STATE(4720)] = 244993,
  [SMALL_STATE(4721)] = 245018,
  [SMALL_STATE(4722)] = 245043,
  [SMALL_STATE(4723)] = 245068,
  [SMALL_STATE(4724)] = 245093,
  [SMALL_STATE(4725)] = 245118,
  [SMALL_STATE(4726)] = 245143,
  [SMALL_STATE(4727)] = 245168,
  [SMALL_STATE(4728)] = 245193,
  [SMALL_STATE(4729)] = 245218,
  [SMALL_STATE(4730)] = 245243,
  [SMALL_STATE(4731)] = 245268,
  [SMALL_STATE(4732)] = 245293,
  [SMALL_STATE(4733)] = 245318,
  [SMALL_STATE(4734)] = 245343,
  [SMALL_STATE(4735)] = 245368,
  [SMALL_STATE(4736)] = 245393,
  [SMALL_STATE(4737)] = 245418,
  [SMALL_STATE(4738)] = 245443,
  [SMALL_STATE(4739)] = 245472,
  [SMALL_STATE(4740)] = 245497,
  [SMALL_STATE(4741)] = 245522,
  [SMALL_STATE(4742)] = 245547,
  [SMALL_STATE(4743)] = 245572,
  [SMALL_STATE(4744)] = 245597,
  [SMALL_STATE(4745)] = 245622,
  [SMALL_STATE(4746)] = 245647,
  [SMALL_STATE(4747)] = 245672,
  [SMALL_STATE(4748)] = 245697,
  [SMALL_STATE(4749)] = 245722,
  [SMALL_STATE(4750)] = 245747,
  [SMALL_STATE(4751)] = 245772,
  [SMALL_STATE(4752)] = 245797,
  [SMALL_STATE(4753)] = 245822,
  [SMALL_STATE(4754)] = 245847,
  [SMALL_STATE(4755)] = 245872,
  [SMALL_STATE(4756)] = 245897,
  [SMALL_STATE(4757)] = 245922,
  [SMALL_STATE(4758)] = 245947,
  [SMALL_STATE(4759)] = 245972,
  [SMALL_STATE(4760)] = 245997,
  [SMALL_STATE(4761)] = 246022,
  [SMALL_STATE(4762)] = 246047,
  [SMALL_STATE(4763)] = 246072,
  [SMALL_STATE(4764)] = 246097,
  [SMALL_STATE(4765)] = 246122,
  [SMALL_STATE(4766)] = 246147,
  [SMALL_STATE(4767)] = 246172,
  [SMALL_STATE(4768)] = 246197,
  [SMALL_STATE(4769)] = 246222,
  [SMALL_STATE(4770)] = 246247,
  [SMALL_STATE(4771)] = 246272,
  [SMALL_STATE(4772)] = 246297,
  [SMALL_STATE(4773)] = 246322,
  [SMALL_STATE(4774)] = 246347,
  [SMALL_STATE(4775)] = 246376,
  [SMALL_STATE(4776)] = 246401,
  [SMALL_STATE(4777)] = 246426,
  [SMALL_STATE(4778)] = 246451,
  [SMALL_STATE(4779)] = 246476,
  [SMALL_STATE(4780)] = 246501,
  [SMALL_STATE(4781)] = 246526,
  [SMALL_STATE(4782)] = 246551,
  [SMALL_STATE(4783)] = 246576,
  [SMALL_STATE(4784)] = 246601,
  [SMALL_STATE(4785)] = 246626,
  [SMALL_STATE(4786)] = 246651,
  [SMALL_STATE(4787)] = 246676,
  [SMALL_STATE(4788)] = 246701,
  [SMALL_STATE(4789)] = 246726,
  [SMALL_STATE(4790)] = 246751,
  [SMALL_STATE(4791)] = 246776,
  [SMALL_STATE(4792)] = 246801,
  [SMALL_STATE(4793)] = 246826,
  [SMALL_STATE(4794)] = 246851,
  [SMALL_STATE(4795)] = 246876,
  [SMALL_STATE(4796)] = 246901,
  [SMALL_STATE(4797)] = 246926,
  [SMALL_STATE(4798)] = 246951,
  [SMALL_STATE(4799)] = 246976,
  [SMALL_STATE(4800)] = 247001,
  [SMALL_STATE(4801)] = 247026,
  [SMALL_STATE(4802)] = 247051,
  [SMALL_STATE(4803)] = 247080,
  [SMALL_STATE(4804)] = 247105,
  [SMALL_STATE(4805)] = 247130,
  [SMALL_STATE(4806)] = 247155,
  [SMALL_STATE(4807)] = 247180,
  [SMALL_STATE(4808)] = 247205,
  [SMALL_STATE(4809)] = 247230,
  [SMALL_STATE(4810)] = 247255,
  [SMALL_STATE(4811)] = 247280,
  [SMALL_STATE(4812)] = 247305,
  [SMALL_STATE(4813)] = 247330,
  [SMALL_STATE(4814)] = 247355,
  [SMALL_STATE(4815)] = 247380,
  [SMALL_STATE(4816)] = 247405,
  [SMALL_STATE(4817)] = 247430,
  [SMALL_STATE(4818)] = 247455,
  [SMALL_STATE(4819)] = 247480,
  [SMALL_STATE(4820)] = 247505,
  [SMALL_STATE(4821)] = 247530,
  [SMALL_STATE(4822)] = 247555,
  [SMALL_STATE(4823)] = 247580,
  [SMALL_STATE(4824)] = 247605,
  [SMALL_STATE(4825)] = 247630,
  [SMALL_STATE(4826)] = 247655,
  [SMALL_STATE(4827)] = 247680,
  [SMALL_STATE(4828)] = 247705,
  [SMALL_STATE(4829)] = 247730,
  [SMALL_STATE(4830)] = 247755,
  [SMALL_STATE(4831)] = 247780,
  [SMALL_STATE(4832)] = 247805,
  [SMALL_STATE(4833)] = 247830,
  [SMALL_STATE(4834)] = 247855,
  [SMALL_STATE(4835)] = 247880,
  [SMALL_STATE(4836)] = 247905,
  [SMALL_STATE(4837)] = 247930,
  [SMALL_STATE(4838)] = 247955,
  [SMALL_STATE(4839)] = 247980,
  [SMALL_STATE(4840)] = 248005,
  [SMALL_STATE(4841)] = 248030,
  [SMALL_STATE(4842)] = 248055,
  [SMALL_STATE(4843)] = 248084,
  [SMALL_STATE(4844)] = 248109,
  [SMALL_STATE(4845)] = 248134,
  [SMALL_STATE(4846)] = 248159,
  [SMALL_STATE(4847)] = 248184,
  [SMALL_STATE(4848)] = 248209,
  [SMALL_STATE(4849)] = 248234,
  [SMALL_STATE(4850)] = 248259,
  [SMALL_STATE(4851)] = 248284,
  [SMALL_STATE(4852)] = 248309,
  [SMALL_STATE(4853)] = 248334,
  [SMALL_STATE(4854)] = 248359,
  [SMALL_STATE(4855)] = 248384,
  [SMALL_STATE(4856)] = 248409,
  [SMALL_STATE(4857)] = 248434,
  [SMALL_STATE(4858)] = 248459,
  [SMALL_STATE(4859)] = 248484,
  [SMALL_STATE(4860)] = 248513,
  [SMALL_STATE(4861)] = 248538,
  [SMALL_STATE(4862)] = 248563,
  [SMALL_STATE(4863)] = 248588,
  [SMALL_STATE(4864)] = 248613,
  [SMALL_STATE(4865)] = 248638,
  [SMALL_STATE(4866)] = 248663,
  [SMALL_STATE(4867)] = 248688,
  [SMALL_STATE(4868)] = 248713,
  [SMALL_STATE(4869)] = 248742,
  [SMALL_STATE(4870)] = 248767,
  [SMALL_STATE(4871)] = 248792,
  [SMALL_STATE(4872)] = 248817,
  [SMALL_STATE(4873)] = 248842,
  [SMALL_STATE(4874)] = 248867,
  [SMALL_STATE(4875)] = 248892,
  [SMALL_STATE(4876)] = 248917,
  [SMALL_STATE(4877)] = 248942,
  [SMALL_STATE(4878)] = 248967,
  [SMALL_STATE(4879)] = 248996,
  [SMALL_STATE(4880)] = 249022,
  [SMALL_STATE(4881)] = 249048,
  [SMALL_STATE(4882)] = 249074,
  [SMALL_STATE(4883)] = 249100,
  [SMALL_STATE(4884)] = 249122,
  [SMALL_STATE(4885)] = 249148,
  [SMALL_STATE(4886)] = 249174,
  [SMALL_STATE(4887)] = 249200,
  [SMALL_STATE(4888)] = 249226,
  [SMALL_STATE(4889)] = 249252,
  [SMALL_STATE(4890)] = 249271,
  [SMALL_STATE(4891)] = 249294,
  [SMALL_STATE(4892)] = 249317,
  [SMALL_STATE(4893)] = 249340,
  [SMALL_STATE(4894)] = 249359,
  [SMALL_STATE(4895)] = 249378,
  [SMALL_STATE(4896)] = 249397,
  [SMALL_STATE(4897)] = 249420,
  [SMALL_STATE(4898)] = 249443,
  [SMALL_STATE(4899)] = 249474,
  [SMALL_STATE(4900)] = 249497,
  [SMALL_STATE(4901)] = 249516,
  [SMALL_STATE(4902)] = 249535,
  [SMALL_STATE(4903)] = 249554,
  [SMALL_STATE(4904)] = 249577,
  [SMALL_STATE(4905)] = 249596,
  [SMALL_STATE(4906)] = 249615,
  [SMALL_STATE(4907)] = 249634,
  [SMALL_STATE(4908)] = 249653,
  [SMALL_STATE(4909)] = 249672,
  [SMALL_STATE(4910)] = 249691,
  [SMALL_STATE(4911)] = 249710,
  [SMALL_STATE(4912)] = 249741,
  [SMALL_STATE(4913)] = 249760,
  [SMALL_STATE(4914)] = 249779,
  [SMALL_STATE(4915)] = 249798,
  [SMALL_STATE(4916)] = 249821,
  [SMALL_STATE(4917)] = 249840,
  [SMALL_STATE(4918)] = 249859,
  [SMALL_STATE(4919)] = 249890,
  [SMALL_STATE(4920)] = 249913,
  [SMALL_STATE(4921)] = 249932,
  [SMALL_STATE(4922)] = 249952,
  [SMALL_STATE(4923)] = 249972,
  [SMALL_STATE(4924)] = 250000,
  [SMALL_STATE(4925)] = 250020,
  [SMALL_STATE(4926)] = 250040,
  [SMALL_STATE(4927)] = 250056,
  [SMALL_STATE(4928)] = 250072,
  [SMALL_STATE(4929)] = 250092,
  [SMALL_STATE(4930)] = 250112,
  [SMALL_STATE(4931)] = 250132,
  [SMALL_STATE(4932)] = 250148,
  [SMALL_STATE(4933)] = 250168,
  [SMALL_STATE(4934)] = 250188,
  [SMALL_STATE(4935)] = 250208,
  [SMALL_STATE(4936)] = 250231,
  [SMALL_STATE(4937)] = 250262,
  [SMALL_STATE(4938)] = 250286,
  [SMALL_STATE(4939)] = 250310,
  [SMALL_STATE(4940)] = 250334,
  [SMALL_STATE(4941)] = 250358,
  [SMALL_STATE(4942)] = 250382,
  [SMALL_STATE(4943)] = 250406,
  [SMALL_STATE(4944)] = 250430,
  [SMALL_STATE(4945)] = 250454,
  [SMALL_STATE(4946)] = 250478,
  [SMALL_STATE(4947)] = 250502,
  [SMALL_STATE(4948)] = 250526,
  [SMALL_STATE(4949)] = 250550,
  [SMALL_STATE(4950)] = 250574,
  [SMALL_STATE(4951)] = 250596,
  [SMALL_STATE(4952)] = 250620,
  [SMALL_STATE(4953)] = 250644,
  [SMALL_STATE(4954)] = 250668,
  [SMALL_STATE(4955)] = 250690,
  [SMALL_STATE(4956)] = 250714,
  [SMALL_STATE(4957)] = 250738,
  [SMALL_STATE(4958)] = 250762,
  [SMALL_STATE(4959)] = 250786,
  [SMALL_STATE(4960)] = 250810,
  [SMALL_STATE(4961)] = 250834,
  [SMALL_STATE(4962)] = 250858,
  [SMALL_STATE(4963)] = 250882,
  [SMALL_STATE(4964)] = 250906,
  [SMALL_STATE(4965)] = 250930,
  [SMALL_STATE(4966)] = 250954,
  [SMALL_STATE(4967)] = 250978,
  [SMALL_STATE(4968)] = 251002,
  [SMALL_STATE(4969)] = 251024,
  [SMALL_STATE(4970)] = 251048,
  [SMALL_STATE(4971)] = 251072,
  [SMALL_STATE(4972)] = 251096,
  [SMALL_STATE(4973)] = 251109,
  [SMALL_STATE(4974)] = 251124,
  [SMALL_STATE(4975)] = 251139,
  [SMALL_STATE(4976)] = 251156,
  [SMALL_STATE(4977)] = 251171,
  [SMALL_STATE(4978)] = 251188,
  [SMALL_STATE(4979)] = 251203,
  [SMALL_STATE(4980)] = 251218,
  [SMALL_STATE(4981)] = 251233,
  [SMALL_STATE(4982)] = 251254,
  [SMALL_STATE(4983)] = 251269,
  [SMALL_STATE(4984)] = 251284,
  [SMALL_STATE(4985)] = 251297,
  [SMALL_STATE(4986)] = 251312,
  [SMALL_STATE(4987)] = 251325,
  [SMALL_STATE(4988)] = 251340,
  [SMALL_STATE(4989)] = 251355,
  [SMALL_STATE(4990)] = 251374,
  [SMALL_STATE(4991)] = 251387,
  [SMALL_STATE(4992)] = 251402,
  [SMALL_STATE(4993)] = 251417,
  [SMALL_STATE(4994)] = 251432,
  [SMALL_STATE(4995)] = 251447,
  [SMALL_STATE(4996)] = 251462,
  [SMALL_STATE(4997)] = 251477,
  [SMALL_STATE(4998)] = 251492,
  [SMALL_STATE(4999)] = 251507,
  [SMALL_STATE(5000)] = 251528,
  [SMALL_STATE(5001)] = 251543,
  [SMALL_STATE(5002)] = 251568,
  [SMALL_STATE(5003)] = 251583,
  [SMALL_STATE(5004)] = 251598,
  [SMALL_STATE(5005)] = 251619,
  [SMALL_STATE(5006)] = 251632,
  [SMALL_STATE(5007)] = 251647,
  [SMALL_STATE(5008)] = 251662,
  [SMALL_STATE(5009)] = 251677,
  [SMALL_STATE(5010)] = 251690,
  [SMALL_STATE(5011)] = 251705,
  [SMALL_STATE(5012)] = 251720,
  [SMALL_STATE(5013)] = 251740,
  [SMALL_STATE(5014)] = 251760,
  [SMALL_STATE(5015)] = 251780,
  [SMALL_STATE(5016)] = 251800,
  [SMALL_STATE(5017)] = 251820,
  [SMALL_STATE(5018)] = 251840,
  [SMALL_STATE(5019)] = 251860,
  [SMALL_STATE(5020)] = 251874,
  [SMALL_STATE(5021)] = 251888,
  [SMALL_STATE(5022)] = 251908,
  [SMALL_STATE(5023)] = 251928,
  [SMALL_STATE(5024)] = 251948,
  [SMALL_STATE(5025)] = 251968,
  [SMALL_STATE(5026)] = 251988,
  [SMALL_STATE(5027)] = 252002,
  [SMALL_STATE(5028)] = 252016,
  [SMALL_STATE(5029)] = 252036,
  [SMALL_STATE(5030)] = 252056,
  [SMALL_STATE(5031)] = 252076,
  [SMALL_STATE(5032)] = 252090,
  [SMALL_STATE(5033)] = 252104,
  [SMALL_STATE(5034)] = 252124,
  [SMALL_STATE(5035)] = 252144,
  [SMALL_STATE(5036)] = 252164,
  [SMALL_STATE(5037)] = 252178,
  [SMALL_STATE(5038)] = 252192,
  [SMALL_STATE(5039)] = 252212,
  [SMALL_STATE(5040)] = 252232,
  [SMALL_STATE(5041)] = 252252,
  [SMALL_STATE(5042)] = 252272,
  [SMALL_STATE(5043)] = 252286,
  [SMALL_STATE(5044)] = 252306,
  [SMALL_STATE(5045)] = 252322,
  [SMALL_STATE(5046)] = 252342,
  [SMALL_STATE(5047)] = 252362,
  [SMALL_STATE(5048)] = 252377,
  [SMALL_STATE(5049)] = 252396,
  [SMALL_STATE(5050)] = 252409,
  [SMALL_STATE(5051)] = 252426,
  [SMALL_STATE(5052)] = 252443,
  [SMALL_STATE(5053)] = 252456,
  [SMALL_STATE(5054)] = 252473,
  [SMALL_STATE(5055)] = 252486,
  [SMALL_STATE(5056)] = 252505,
  [SMALL_STATE(5057)] = 252524,
  [SMALL_STATE(5058)] = 252541,
  [SMALL_STATE(5059)] = 252554,
  [SMALL_STATE(5060)] = 252571,
  [SMALL_STATE(5061)] = 252588,
  [SMALL_STATE(5062)] = 252603,
  [SMALL_STATE(5063)] = 252620,
  [SMALL_STATE(5064)] = 252637,
  [SMALL_STATE(5065)] = 252656,
  [SMALL_STATE(5066)] = 252675,
  [SMALL_STATE(5067)] = 252692,
  [SMALL_STATE(5068)] = 252707,
  [SMALL_STATE(5069)] = 252724,
  [SMALL_STATE(5070)] = 252741,
  [SMALL_STATE(5071)] = 252760,
  [SMALL_STATE(5072)] = 252775,
  [SMALL_STATE(5073)] = 252792,
  [SMALL_STATE(5074)] = 252811,
  [SMALL_STATE(5075)] = 252830,
  [SMALL_STATE(5076)] = 252849,
  [SMALL_STATE(5077)] = 252866,
  [SMALL_STATE(5078)] = 252883,
  [SMALL_STATE(5079)] = 252902,
  [SMALL_STATE(5080)] = 252921,
  [SMALL_STATE(5081)] = 252938,
  [SMALL_STATE(5082)] = 252957,
  [SMALL_STATE(5083)] = 252976,
  [SMALL_STATE(5084)] = 252995,
  [SMALL_STATE(5085)] = 253014,
  [SMALL_STATE(5086)] = 253031,
  [SMALL_STATE(5087)] = 253048,
  [SMALL_STATE(5088)] = 253067,
  [SMALL_STATE(5089)] = 253086,
  [SMALL_STATE(5090)] = 253101,
  [SMALL_STATE(5091)] = 253120,
  [SMALL_STATE(5092)] = 253135,
  [SMALL_STATE(5093)] = 253154,
  [SMALL_STATE(5094)] = 253171,
  [SMALL_STATE(5095)] = 253188,
  [SMALL_STATE(5096)] = 253205,
  [SMALL_STATE(5097)] = 253224,
  [SMALL_STATE(5098)] = 253243,
  [SMALL_STATE(5099)] = 253258,
  [SMALL_STATE(5100)] = 253273,
  [SMALL_STATE(5101)] = 253290,
  [SMALL_STATE(5102)] = 253301,
  [SMALL_STATE(5103)] = 253312,
  [SMALL_STATE(5104)] = 253323,
  [SMALL_STATE(5105)] = 253340,
  [SMALL_STATE(5106)] = 253359,
  [SMALL_STATE(5107)] = 253374,
  [SMALL_STATE(5108)] = 253393,
  [SMALL_STATE(5109)] = 253408,
  [SMALL_STATE(5110)] = 253423,
  [SMALL_STATE(5111)] = 253440,
  [SMALL_STATE(5112)] = 253457,
  [SMALL_STATE(5113)] = 253476,
  [SMALL_STATE(5114)] = 253493,
  [SMALL_STATE(5115)] = 253508,
  [SMALL_STATE(5116)] = 253523,
  [SMALL_STATE(5117)] = 253538,
  [SMALL_STATE(5118)] = 253557,
  [SMALL_STATE(5119)] = 253574,
  [SMALL_STATE(5120)] = 253587,
  [SMALL_STATE(5121)] = 253604,
  [SMALL_STATE(5122)] = 253621,
  [SMALL_STATE(5123)] = 253640,
  [SMALL_STATE(5124)] = 253655,
  [SMALL_STATE(5125)] = 253670,
  [SMALL_STATE(5126)] = 253685,
  [SMALL_STATE(5127)] = 253704,
  [SMALL_STATE(5128)] = 253719,
  [SMALL_STATE(5129)] = 253734,
  [SMALL_STATE(5130)] = 253749,
  [SMALL_STATE(5131)] = 253764,
  [SMALL_STATE(5132)] = 253779,
  [SMALL_STATE(5133)] = 253798,
  [SMALL_STATE(5134)] = 253815,
  [SMALL_STATE(5135)] = 253832,
  [SMALL_STATE(5136)] = 253851,
  [SMALL_STATE(5137)] = 253868,
  [SMALL_STATE(5138)] = 253883,
  [SMALL_STATE(5139)] = 253902,
  [SMALL_STATE(5140)] = 253917,
  [SMALL_STATE(5141)] = 253934,
  [SMALL_STATE(5142)] = 253951,
  [SMALL_STATE(5143)] = 253966,
  [SMALL_STATE(5144)] = 253985,
  [SMALL_STATE(5145)] = 253995,
  [SMALL_STATE(5146)] = 254005,
  [SMALL_STATE(5147)] = 254015,
  [SMALL_STATE(5148)] = 254025,
  [SMALL_STATE(5149)] = 254035,
  [SMALL_STATE(5150)] = 254045,
  [SMALL_STATE(5151)] = 254055,
  [SMALL_STATE(5152)] = 254071,
  [SMALL_STATE(5153)] = 254081,
  [SMALL_STATE(5154)] = 254091,
  [SMALL_STATE(5155)] = 254105,
  [SMALL_STATE(5156)] = 254115,
  [SMALL_STATE(5157)] = 254125,
  [SMALL_STATE(5158)] = 254139,
  [SMALL_STATE(5159)] = 254149,
  [SMALL_STATE(5160)] = 254159,
  [SMALL_STATE(5161)] = 254169,
  [SMALL_STATE(5162)] = 254183,
  [SMALL_STATE(5163)] = 254193,
  [SMALL_STATE(5164)] = 254209,
  [SMALL_STATE(5165)] = 254223,
  [SMALL_STATE(5166)] = 254233,
  [SMALL_STATE(5167)] = 254243,
  [SMALL_STATE(5168)] = 254257,
  [SMALL_STATE(5169)] = 254271,
  [SMALL_STATE(5170)] = 254287,
  [SMALL_STATE(5171)] = 254303,
  [SMALL_STATE(5172)] = 254317,
  [SMALL_STATE(5173)] = 254327,
  [SMALL_STATE(5174)] = 254343,
  [SMALL_STATE(5175)] = 254353,
  [SMALL_STATE(5176)] = 254363,
  [SMALL_STATE(5177)] = 254379,
  [SMALL_STATE(5178)] = 254391,
  [SMALL_STATE(5179)] = 254401,
  [SMALL_STATE(5180)] = 254411,
  [SMALL_STATE(5181)] = 254421,
  [SMALL_STATE(5182)] = 254431,
  [SMALL_STATE(5183)] = 254447,
  [SMALL_STATE(5184)] = 254457,
  [SMALL_STATE(5185)] = 254467,
  [SMALL_STATE(5186)] = 254481,
  [SMALL_STATE(5187)] = 254491,
  [SMALL_STATE(5188)] = 254507,
  [SMALL_STATE(5189)] = 254517,
  [SMALL_STATE(5190)] = 254527,
  [SMALL_STATE(5191)] = 254537,
  [SMALL_STATE(5192)] = 254549,
  [SMALL_STATE(5193)] = 254559,
  [SMALL_STATE(5194)] = 254575,
  [SMALL_STATE(5195)] = 254585,
  [SMALL_STATE(5196)] = 254597,
  [SMALL_STATE(5197)] = 254613,
  [SMALL_STATE(5198)] = 254629,
  [SMALL_STATE(5199)] = 254639,
  [SMALL_STATE(5200)] = 254649,
  [SMALL_STATE(5201)] = 254665,
  [SMALL_STATE(5202)] = 254681,
  [SMALL_STATE(5203)] = 254691,
  [SMALL_STATE(5204)] = 254701,
  [SMALL_STATE(5205)] = 254711,
  [SMALL_STATE(5206)] = 254727,
  [SMALL_STATE(5207)] = 254737,
  [SMALL_STATE(5208)] = 254747,
  [SMALL_STATE(5209)] = 254757,
  [SMALL_STATE(5210)] = 254770,
  [SMALL_STATE(5211)] = 254783,
  [SMALL_STATE(5212)] = 254796,
  [SMALL_STATE(5213)] = 254809,
  [SMALL_STATE(5214)] = 254822,
  [SMALL_STATE(5215)] = 254835,
  [SMALL_STATE(5216)] = 254846,
  [SMALL_STATE(5217)] = 254859,
  [SMALL_STATE(5218)] = 254872,
  [SMALL_STATE(5219)] = 254885,
  [SMALL_STATE(5220)] = 254898,
  [SMALL_STATE(5221)] = 254911,
  [SMALL_STATE(5222)] = 254924,
  [SMALL_STATE(5223)] = 254937,
  [SMALL_STATE(5224)] = 254950,
  [SMALL_STATE(5225)] = 254963,
  [SMALL_STATE(5226)] = 254976,
  [SMALL_STATE(5227)] = 254989,
  [SMALL_STATE(5228)] = 255000,
  [SMALL_STATE(5229)] = 255009,
  [SMALL_STATE(5230)] = 255022,
  [SMALL_STATE(5231)] = 255035,
  [SMALL_STATE(5232)] = 255046,
  [SMALL_STATE(5233)] = 255059,
  [SMALL_STATE(5234)] = 255068,
  [SMALL_STATE(5235)] = 255081,
  [SMALL_STATE(5236)] = 255094,
  [SMALL_STATE(5237)] = 255107,
  [SMALL_STATE(5238)] = 255120,
  [SMALL_STATE(5239)] = 255129,
  [SMALL_STATE(5240)] = 255142,
  [SMALL_STATE(5241)] = 255155,
  [SMALL_STATE(5242)] = 255166,
  [SMALL_STATE(5243)] = 255179,
  [SMALL_STATE(5244)] = 255190,
  [SMALL_STATE(5245)] = 255201,
  [SMALL_STATE(5246)] = 255214,
  [SMALL_STATE(5247)] = 255227,
  [SMALL_STATE(5248)] = 255240,
  [SMALL_STATE(5249)] = 255251,
  [SMALL_STATE(5250)] = 255262,
  [SMALL_STATE(5251)] = 255271,
  [SMALL_STATE(5252)] = 255284,
  [SMALL_STATE(5253)] = 255295,
  [SMALL_STATE(5254)] = 255308,
  [SMALL_STATE(5255)] = 255319,
  [SMALL_STATE(5256)] = 255332,
  [SMALL_STATE(5257)] = 255345,
  [SMALL_STATE(5258)] = 255358,
  [SMALL_STATE(5259)] = 255369,
  [SMALL_STATE(5260)] = 255382,
  [SMALL_STATE(5261)] = 255393,
  [SMALL_STATE(5262)] = 255404,
  [SMALL_STATE(5263)] = 255417,
  [SMALL_STATE(5264)] = 255426,
  [SMALL_STATE(5265)] = 255439,
  [SMALL_STATE(5266)] = 255452,
  [SMALL_STATE(5267)] = 255465,
  [SMALL_STATE(5268)] = 255478,
  [SMALL_STATE(5269)] = 255489,
  [SMALL_STATE(5270)] = 255502,
  [SMALL_STATE(5271)] = 255515,
  [SMALL_STATE(5272)] = 255526,
  [SMALL_STATE(5273)] = 255537,
  [SMALL_STATE(5274)] = 255550,
  [SMALL_STATE(5275)] = 255563,
  [SMALL_STATE(5276)] = 255576,
  [SMALL_STATE(5277)] = 255589,
  [SMALL_STATE(5278)] = 255602,
  [SMALL_STATE(5279)] = 255615,
  [SMALL_STATE(5280)] = 255626,
  [SMALL_STATE(5281)] = 255635,
  [SMALL_STATE(5282)] = 255648,
  [SMALL_STATE(5283)] = 255661,
  [SMALL_STATE(5284)] = 255670,
  [SMALL_STATE(5285)] = 255683,
  [SMALL_STATE(5286)] = 255696,
  [SMALL_STATE(5287)] = 255709,
  [SMALL_STATE(5288)] = 255722,
  [SMALL_STATE(5289)] = 255735,
  [SMALL_STATE(5290)] = 255748,
  [SMALL_STATE(5291)] = 255759,
  [SMALL_STATE(5292)] = 255770,
  [SMALL_STATE(5293)] = 255783,
  [SMALL_STATE(5294)] = 255796,
  [SMALL_STATE(5295)] = 255809,
  [SMALL_STATE(5296)] = 255822,
  [SMALL_STATE(5297)] = 255835,
  [SMALL_STATE(5298)] = 255848,
  [SMALL_STATE(5299)] = 255861,
  [SMALL_STATE(5300)] = 255874,
  [SMALL_STATE(5301)] = 255883,
  [SMALL_STATE(5302)] = 255896,
  [SMALL_STATE(5303)] = 255909,
  [SMALL_STATE(5304)] = 255922,
  [SMALL_STATE(5305)] = 255933,
  [SMALL_STATE(5306)] = 255942,
  [SMALL_STATE(5307)] = 255955,
  [SMALL_STATE(5308)] = 255968,
  [SMALL_STATE(5309)] = 255981,
  [SMALL_STATE(5310)] = 255990,
  [SMALL_STATE(5311)] = 255999,
  [SMALL_STATE(5312)] = 256012,
  [SMALL_STATE(5313)] = 256025,
  [SMALL_STATE(5314)] = 256038,
  [SMALL_STATE(5315)] = 256051,
  [SMALL_STATE(5316)] = 256064,
  [SMALL_STATE(5317)] = 256075,
  [SMALL_STATE(5318)] = 256086,
  [SMALL_STATE(5319)] = 256099,
  [SMALL_STATE(5320)] = 256110,
  [SMALL_STATE(5321)] = 256121,
  [SMALL_STATE(5322)] = 256134,
  [SMALL_STATE(5323)] = 256147,
  [SMALL_STATE(5324)] = 256160,
  [SMALL_STATE(5325)] = 256171,
  [SMALL_STATE(5326)] = 256184,
  [SMALL_STATE(5327)] = 256197,
  [SMALL_STATE(5328)] = 256210,
  [SMALL_STATE(5329)] = 256223,
  [SMALL_STATE(5330)] = 256236,
  [SMALL_STATE(5331)] = 256249,
  [SMALL_STATE(5332)] = 256260,
  [SMALL_STATE(5333)] = 256273,
  [SMALL_STATE(5334)] = 256286,
  [SMALL_STATE(5335)] = 256299,
  [SMALL_STATE(5336)] = 256312,
  [SMALL_STATE(5337)] = 256325,
  [SMALL_STATE(5338)] = 256338,
  [SMALL_STATE(5339)] = 256347,
  [SMALL_STATE(5340)] = 256358,
  [SMALL_STATE(5341)] = 256371,
  [SMALL_STATE(5342)] = 256380,
  [SMALL_STATE(5343)] = 256393,
  [SMALL_STATE(5344)] = 256406,
  [SMALL_STATE(5345)] = 256417,
  [SMALL_STATE(5346)] = 256426,
  [SMALL_STATE(5347)] = 256437,
  [SMALL_STATE(5348)] = 256448,
  [SMALL_STATE(5349)] = 256461,
  [SMALL_STATE(5350)] = 256470,
  [SMALL_STATE(5351)] = 256483,
  [SMALL_STATE(5352)] = 256492,
  [SMALL_STATE(5353)] = 256503,
  [SMALL_STATE(5354)] = 256512,
  [SMALL_STATE(5355)] = 256525,
  [SMALL_STATE(5356)] = 256538,
  [SMALL_STATE(5357)] = 256551,
  [SMALL_STATE(5358)] = 256564,
  [SMALL_STATE(5359)] = 256577,
  [SMALL_STATE(5360)] = 256590,
  [SMALL_STATE(5361)] = 256603,
  [SMALL_STATE(5362)] = 256614,
  [SMALL_STATE(5363)] = 256625,
  [SMALL_STATE(5364)] = 256638,
  [SMALL_STATE(5365)] = 256651,
  [SMALL_STATE(5366)] = 256662,
  [SMALL_STATE(5367)] = 256675,
  [SMALL_STATE(5368)] = 256688,
  [SMALL_STATE(5369)] = 256701,
  [SMALL_STATE(5370)] = 256714,
  [SMALL_STATE(5371)] = 256727,
  [SMALL_STATE(5372)] = 256740,
  [SMALL_STATE(5373)] = 256753,
  [SMALL_STATE(5374)] = 256763,
  [SMALL_STATE(5375)] = 256773,
  [SMALL_STATE(5376)] = 256783,
  [SMALL_STATE(5377)] = 256793,
  [SMALL_STATE(5378)] = 256803,
  [SMALL_STATE(5379)] = 256813,
  [SMALL_STATE(5380)] = 256823,
  [SMALL_STATE(5381)] = 256831,
  [SMALL_STATE(5382)] = 256841,
  [SMALL_STATE(5383)] = 256851,
  [SMALL_STATE(5384)] = 256859,
  [SMALL_STATE(5385)] = 256867,
  [SMALL_STATE(5386)] = 256875,
  [SMALL_STATE(5387)] = 256885,
  [SMALL_STATE(5388)] = 256895,
  [SMALL_STATE(5389)] = 256905,
  [SMALL_STATE(5390)] = 256913,
  [SMALL_STATE(5391)] = 256923,
  [SMALL_STATE(5392)] = 256933,
  [SMALL_STATE(5393)] = 256943,
  [SMALL_STATE(5394)] = 256951,
  [SMALL_STATE(5395)] = 256961,
  [SMALL_STATE(5396)] = 256971,
  [SMALL_STATE(5397)] = 256981,
  [SMALL_STATE(5398)] = 256989,
  [SMALL_STATE(5399)] = 256999,
  [SMALL_STATE(5400)] = 257009,
  [SMALL_STATE(5401)] = 257019,
  [SMALL_STATE(5402)] = 257027,
  [SMALL_STATE(5403)] = 257037,
  [SMALL_STATE(5404)] = 257045,
  [SMALL_STATE(5405)] = 257055,
  [SMALL_STATE(5406)] = 257065,
  [SMALL_STATE(5407)] = 257075,
  [SMALL_STATE(5408)] = 257085,
  [SMALL_STATE(5409)] = 257095,
  [SMALL_STATE(5410)] = 257105,
  [SMALL_STATE(5411)] = 257113,
  [SMALL_STATE(5412)] = 257123,
  [SMALL_STATE(5413)] = 257133,
  [SMALL_STATE(5414)] = 257143,
  [SMALL_STATE(5415)] = 257153,
  [SMALL_STATE(5416)] = 257163,
  [SMALL_STATE(5417)] = 257173,
  [SMALL_STATE(5418)] = 257183,
  [SMALL_STATE(5419)] = 257191,
  [SMALL_STATE(5420)] = 257201,
  [SMALL_STATE(5421)] = 257211,
  [SMALL_STATE(5422)] = 257219,
  [SMALL_STATE(5423)] = 257229,
  [SMALL_STATE(5424)] = 257237,
  [SMALL_STATE(5425)] = 257247,
  [SMALL_STATE(5426)] = 257255,
  [SMALL_STATE(5427)] = 257265,
  [SMALL_STATE(5428)] = 257275,
  [SMALL_STATE(5429)] = 257283,
  [SMALL_STATE(5430)] = 257291,
  [SMALL_STATE(5431)] = 257299,
  [SMALL_STATE(5432)] = 257307,
  [SMALL_STATE(5433)] = 257315,
  [SMALL_STATE(5434)] = 257325,
  [SMALL_STATE(5435)] = 257333,
  [SMALL_STATE(5436)] = 257341,
  [SMALL_STATE(5437)] = 257351,
  [SMALL_STATE(5438)] = 257361,
  [SMALL_STATE(5439)] = 257369,
  [SMALL_STATE(5440)] = 257379,
  [SMALL_STATE(5441)] = 257389,
  [SMALL_STATE(5442)] = 257399,
  [SMALL_STATE(5443)] = 257407,
  [SMALL_STATE(5444)] = 257415,
  [SMALL_STATE(5445)] = 257425,
  [SMALL_STATE(5446)] = 257435,
  [SMALL_STATE(5447)] = 257443,
  [SMALL_STATE(5448)] = 257451,
  [SMALL_STATE(5449)] = 257459,
  [SMALL_STATE(5450)] = 257467,
  [SMALL_STATE(5451)] = 257477,
  [SMALL_STATE(5452)] = 257485,
  [SMALL_STATE(5453)] = 257495,
  [SMALL_STATE(5454)] = 257503,
  [SMALL_STATE(5455)] = 257511,
  [SMALL_STATE(5456)] = 257519,
  [SMALL_STATE(5457)] = 257527,
  [SMALL_STATE(5458)] = 257537,
  [SMALL_STATE(5459)] = 257547,
  [SMALL_STATE(5460)] = 257557,
  [SMALL_STATE(5461)] = 257567,
  [SMALL_STATE(5462)] = 257575,
  [SMALL_STATE(5463)] = 257585,
  [SMALL_STATE(5464)] = 257595,
  [SMALL_STATE(5465)] = 257605,
  [SMALL_STATE(5466)] = 257613,
  [SMALL_STATE(5467)] = 257621,
  [SMALL_STATE(5468)] = 257631,
  [SMALL_STATE(5469)] = 257641,
  [SMALL_STATE(5470)] = 257649,
  [SMALL_STATE(5471)] = 257657,
  [SMALL_STATE(5472)] = 257667,
  [SMALL_STATE(5473)] = 257675,
  [SMALL_STATE(5474)] = 257685,
  [SMALL_STATE(5475)] = 257695,
  [SMALL_STATE(5476)] = 257705,
  [SMALL_STATE(5477)] = 257715,
  [SMALL_STATE(5478)] = 257723,
  [SMALL_STATE(5479)] = 257733,
  [SMALL_STATE(5480)] = 257743,
  [SMALL_STATE(5481)] = 257753,
  [SMALL_STATE(5482)] = 257763,
  [SMALL_STATE(5483)] = 257771,
  [SMALL_STATE(5484)] = 257781,
  [SMALL_STATE(5485)] = 257791,
  [SMALL_STATE(5486)] = 257799,
  [SMALL_STATE(5487)] = 257809,
  [SMALL_STATE(5488)] = 257819,
  [SMALL_STATE(5489)] = 257829,
  [SMALL_STATE(5490)] = 257839,
  [SMALL_STATE(5491)] = 257846,
  [SMALL_STATE(5492)] = 257853,
  [SMALL_STATE(5493)] = 257860,
  [SMALL_STATE(5494)] = 257867,
  [SMALL_STATE(5495)] = 257874,
  [SMALL_STATE(5496)] = 257881,
  [SMALL_STATE(5497)] = 257888,
  [SMALL_STATE(5498)] = 257895,
  [SMALL_STATE(5499)] = 257902,
  [SMALL_STATE(5500)] = 257909,
  [SMALL_STATE(5501)] = 257916,
  [SMALL_STATE(5502)] = 257923,
  [SMALL_STATE(5503)] = 257930,
  [SMALL_STATE(5504)] = 257937,
  [SMALL_STATE(5505)] = 257944,
  [SMALL_STATE(5506)] = 257951,
  [SMALL_STATE(5507)] = 257958,
  [SMALL_STATE(5508)] = 257965,
  [SMALL_STATE(5509)] = 257972,
  [SMALL_STATE(5510)] = 257979,
  [SMALL_STATE(5511)] = 257986,
  [SMALL_STATE(5512)] = 257993,
  [SMALL_STATE(5513)] = 258000,
  [SMALL_STATE(5514)] = 258007,
  [SMALL_STATE(5515)] = 258014,
  [SMALL_STATE(5516)] = 258021,
  [SMALL_STATE(5517)] = 258028,
  [SMALL_STATE(5518)] = 258035,
  [SMALL_STATE(5519)] = 258042,
  [SMALL_STATE(5520)] = 258049,
  [SMALL_STATE(5521)] = 258056,
  [SMALL_STATE(5522)] = 258063,
  [SMALL_STATE(5523)] = 258070,
  [SMALL_STATE(5524)] = 258077,
  [SMALL_STATE(5525)] = 258084,
  [SMALL_STATE(5526)] = 258091,
  [SMALL_STATE(5527)] = 258098,
  [SMALL_STATE(5528)] = 258105,
  [SMALL_STATE(5529)] = 258112,
  [SMALL_STATE(5530)] = 258119,
  [SMALL_STATE(5531)] = 258126,
  [SMALL_STATE(5532)] = 258133,
  [SMALL_STATE(5533)] = 258140,
  [SMALL_STATE(5534)] = 258147,
  [SMALL_STATE(5535)] = 258154,
  [SMALL_STATE(5536)] = 258161,
  [SMALL_STATE(5537)] = 258168,
  [SMALL_STATE(5538)] = 258175,
  [SMALL_STATE(5539)] = 258182,
  [SMALL_STATE(5540)] = 258189,
  [SMALL_STATE(5541)] = 258196,
  [SMALL_STATE(5542)] = 258203,
  [SMALL_STATE(5543)] = 258210,
  [SMALL_STATE(5544)] = 258217,
  [SMALL_STATE(5545)] = 258224,
  [SMALL_STATE(5546)] = 258231,
  [SMALL_STATE(5547)] = 258238,
  [SMALL_STATE(5548)] = 258245,
  [SMALL_STATE(5549)] = 258252,
  [SMALL_STATE(5550)] = 258259,
  [SMALL_STATE(5551)] = 258266,
  [SMALL_STATE(5552)] = 258273,
  [SMALL_STATE(5553)] = 258280,
  [SMALL_STATE(5554)] = 258287,
  [SMALL_STATE(5555)] = 258294,
  [SMALL_STATE(5556)] = 258301,
  [SMALL_STATE(5557)] = 258308,
  [SMALL_STATE(5558)] = 258315,
  [SMALL_STATE(5559)] = 258322,
  [SMALL_STATE(5560)] = 258329,
  [SMALL_STATE(5561)] = 258336,
  [SMALL_STATE(5562)] = 258343,
  [SMALL_STATE(5563)] = 258350,
  [SMALL_STATE(5564)] = 258357,
  [SMALL_STATE(5565)] = 258364,
  [SMALL_STATE(5566)] = 258371,
  [SMALL_STATE(5567)] = 258378,
  [SMALL_STATE(5568)] = 258385,
  [SMALL_STATE(5569)] = 258392,
  [SMALL_STATE(5570)] = 258399,
  [SMALL_STATE(5571)] = 258406,
  [SMALL_STATE(5572)] = 258413,
  [SMALL_STATE(5573)] = 258420,
  [SMALL_STATE(5574)] = 258427,
  [SMALL_STATE(5575)] = 258434,
  [SMALL_STATE(5576)] = 258441,
  [SMALL_STATE(5577)] = 258448,
  [SMALL_STATE(5578)] = 258455,
  [SMALL_STATE(5579)] = 258462,
  [SMALL_STATE(5580)] = 258469,
  [SMALL_STATE(5581)] = 258476,
  [SMALL_STATE(5582)] = 258483,
  [SMALL_STATE(5583)] = 258490,
  [SMALL_STATE(5584)] = 258497,
  [SMALL_STATE(5585)] = 258504,
  [SMALL_STATE(5586)] = 258511,
  [SMALL_STATE(5587)] = 258518,
  [SMALL_STATE(5588)] = 258525,
  [SMALL_STATE(5589)] = 258532,
  [SMALL_STATE(5590)] = 258539,
  [SMALL_STATE(5591)] = 258546,
  [SMALL_STATE(5592)] = 258553,
  [SMALL_STATE(5593)] = 258560,
  [SMALL_STATE(5594)] = 258567,
  [SMALL_STATE(5595)] = 258574,
  [SMALL_STATE(5596)] = 258581,
  [SMALL_STATE(5597)] = 258588,
  [SMALL_STATE(5598)] = 258595,
  [SMALL_STATE(5599)] = 258602,
  [SMALL_STATE(5600)] = 258609,
  [SMALL_STATE(5601)] = 258616,
  [SMALL_STATE(5602)] = 258623,
  [SMALL_STATE(5603)] = 258630,
  [SMALL_STATE(5604)] = 258637,
  [SMALL_STATE(5605)] = 258644,
  [SMALL_STATE(5606)] = 258651,
  [SMALL_STATE(5607)] = 258658,
  [SMALL_STATE(5608)] = 258665,
  [SMALL_STATE(5609)] = 258672,
  [SMALL_STATE(5610)] = 258679,
  [SMALL_STATE(5611)] = 258686,
  [SMALL_STATE(5612)] = 258693,
  [SMALL_STATE(5613)] = 258700,
  [SMALL_STATE(5614)] = 258707,
  [SMALL_STATE(5615)] = 258714,
  [SMALL_STATE(5616)] = 258721,
  [SMALL_STATE(5617)] = 258728,
  [SMALL_STATE(5618)] = 258735,
  [SMALL_STATE(5619)] = 258742,
  [SMALL_STATE(5620)] = 258749,
  [SMALL_STATE(5621)] = 258756,
  [SMALL_STATE(5622)] = 258763,
  [SMALL_STATE(5623)] = 258770,
  [SMALL_STATE(5624)] = 258777,
  [SMALL_STATE(5625)] = 258784,
  [SMALL_STATE(5626)] = 258791,
  [SMALL_STATE(5627)] = 258798,
  [SMALL_STATE(5628)] = 258805,
  [SMALL_STATE(5629)] = 258812,
  [SMALL_STATE(5630)] = 258819,
  [SMALL_STATE(5631)] = 258826,
  [SMALL_STATE(5632)] = 258833,
  [SMALL_STATE(5633)] = 258840,
  [SMALL_STATE(5634)] = 258847,
  [SMALL_STATE(5635)] = 258854,
  [SMALL_STATE(5636)] = 258861,
  [SMALL_STATE(5637)] = 258868,
  [SMALL_STATE(5638)] = 258875,
  [SMALL_STATE(5639)] = 258882,
  [SMALL_STATE(5640)] = 258889,
  [SMALL_STATE(5641)] = 258896,
  [SMALL_STATE(5642)] = 258903,
  [SMALL_STATE(5643)] = 258910,
  [SMALL_STATE(5644)] = 258917,
  [SMALL_STATE(5645)] = 258924,
  [SMALL_STATE(5646)] = 258931,
  [SMALL_STATE(5647)] = 258938,
  [SMALL_STATE(5648)] = 258945,
  [SMALL_STATE(5649)] = 258952,
  [SMALL_STATE(5650)] = 258959,
  [SMALL_STATE(5651)] = 258966,
  [SMALL_STATE(5652)] = 258973,
  [SMALL_STATE(5653)] = 258980,
  [SMALL_STATE(5654)] = 258987,
  [SMALL_STATE(5655)] = 258994,
  [SMALL_STATE(5656)] = 259001,
  [SMALL_STATE(5657)] = 259008,
  [SMALL_STATE(5658)] = 259015,
  [SMALL_STATE(5659)] = 259022,
  [SMALL_STATE(5660)] = 259029,
  [SMALL_STATE(5661)] = 259036,
  [SMALL_STATE(5662)] = 259043,
  [SMALL_STATE(5663)] = 259050,
  [SMALL_STATE(5664)] = 259057,
  [SMALL_STATE(5665)] = 259064,
  [SMALL_STATE(5666)] = 259071,
  [SMALL_STATE(5667)] = 259078,
  [SMALL_STATE(5668)] = 259085,
  [SMALL_STATE(5669)] = 259092,
  [SMALL_STATE(5670)] = 259099,
  [SMALL_STATE(5671)] = 259106,
  [SMALL_STATE(5672)] = 259113,
  [SMALL_STATE(5673)] = 259120,
  [SMALL_STATE(5674)] = 259127,
  [SMALL_STATE(5675)] = 259134,
  [SMALL_STATE(5676)] = 259141,
  [SMALL_STATE(5677)] = 259148,
  [SMALL_STATE(5678)] = 259155,
  [SMALL_STATE(5679)] = 259162,
  [SMALL_STATE(5680)] = 259169,
  [SMALL_STATE(5681)] = 259176,
  [SMALL_STATE(5682)] = 259183,
  [SMALL_STATE(5683)] = 259190,
  [SMALL_STATE(5684)] = 259197,
  [SMALL_STATE(5685)] = 259204,
  [SMALL_STATE(5686)] = 259211,
  [SMALL_STATE(5687)] = 259218,
  [SMALL_STATE(5688)] = 259225,
  [SMALL_STATE(5689)] = 259232,
  [SMALL_STATE(5690)] = 259239,
  [SMALL_STATE(5691)] = 259246,
  [SMALL_STATE(5692)] = 259253,
  [SMALL_STATE(5693)] = 259260,
  [SMALL_STATE(5694)] = 259267,
  [SMALL_STATE(5695)] = 259274,
  [SMALL_STATE(5696)] = 259281,
  [SMALL_STATE(5697)] = 259288,
  [SMALL_STATE(5698)] = 259295,
  [SMALL_STATE(5699)] = 259302,
  [SMALL_STATE(5700)] = 259309,
  [SMALL_STATE(5701)] = 259316,
  [SMALL_STATE(5702)] = 259323,
  [SMALL_STATE(5703)] = 259330,
  [SMALL_STATE(5704)] = 259337,
  [SMALL_STATE(5705)] = 259344,
  [SMALL_STATE(5706)] = 259351,
  [SMALL_STATE(5707)] = 259358,
  [SMALL_STATE(5708)] = 259365,
  [SMALL_STATE(5709)] = 259372,
  [SMALL_STATE(5710)] = 259379,
  [SMALL_STATE(5711)] = 259386,
  [SMALL_STATE(5712)] = 259393,
  [SMALL_STATE(5713)] = 259400,
  [SMALL_STATE(5714)] = 259407,
  [SMALL_STATE(5715)] = 259414,
  [SMALL_STATE(5716)] = 259421,
  [SMALL_STATE(5717)] = 259428,
  [SMALL_STATE(5718)] = 259435,
  [SMALL_STATE(5719)] = 259442,
  [SMALL_STATE(5720)] = 259449,
  [SMALL_STATE(5721)] = 259456,
  [SMALL_STATE(5722)] = 259463,
  [SMALL_STATE(5723)] = 259470,
  [SMALL_STATE(5724)] = 259477,
  [SMALL_STATE(5725)] = 259484,
  [SMALL_STATE(5726)] = 259491,
  [SMALL_STATE(5727)] = 259498,
  [SMALL_STATE(5728)] = 259505,
  [SMALL_STATE(5729)] = 259512,
  [SMALL_STATE(5730)] = 259519,
  [SMALL_STATE(5731)] = 259526,
  [SMALL_STATE(5732)] = 259533,
  [SMALL_STATE(5733)] = 259540,
  [SMALL_STATE(5734)] = 259547,
  [SMALL_STATE(5735)] = 259554,
  [SMALL_STATE(5736)] = 259561,
  [SMALL_STATE(5737)] = 259568,
  [SMALL_STATE(5738)] = 259575,
  [SMALL_STATE(5739)] = 259582,
  [SMALL_STATE(5740)] = 259589,
  [SMALL_STATE(5741)] = 259596,
  [SMALL_STATE(5742)] = 259603,
  [SMALL_STATE(5743)] = 259610,
  [SMALL_STATE(5744)] = 259617,
  [SMALL_STATE(5745)] = 259624,
  [SMALL_STATE(5746)] = 259631,
  [SMALL_STATE(5747)] = 259638,
  [SMALL_STATE(5748)] = 259645,
  [SMALL_STATE(5749)] = 259652,
  [SMALL_STATE(5750)] = 259659,
  [SMALL_STATE(5751)] = 259666,
  [SMALL_STATE(5752)] = 259673,
  [SMALL_STATE(5753)] = 259680,
  [SMALL_STATE(5754)] = 259687,
  [SMALL_STATE(5755)] = 259694,
  [SMALL_STATE(5756)] = 259701,
  [SMALL_STATE(5757)] = 259708,
  [SMALL_STATE(5758)] = 259715,
  [SMALL_STATE(5759)] = 259722,
  [SMALL_STATE(5760)] = 259729,
  [SMALL_STATE(5761)] = 259736,
  [SMALL_STATE(5762)] = 259743,
  [SMALL_STATE(5763)] = 259750,
  [SMALL_STATE(5764)] = 259757,
  [SMALL_STATE(5765)] = 259764,
  [SMALL_STATE(5766)] = 259771,
  [SMALL_STATE(5767)] = 259778,
  [SMALL_STATE(5768)] = 259785,
  [SMALL_STATE(5769)] = 259792,
  [SMALL_STATE(5770)] = 259799,
  [SMALL_STATE(5771)] = 259806,
  [SMALL_STATE(5772)] = 259813,
  [SMALL_STATE(5773)] = 259820,
  [SMALL_STATE(5774)] = 259827,
  [SMALL_STATE(5775)] = 259834,
  [SMALL_STATE(5776)] = 259841,
  [SMALL_STATE(5777)] = 259848,
  [SMALL_STATE(5778)] = 259855,
  [SMALL_STATE(5779)] = 259862,
  [SMALL_STATE(5780)] = 259869,
  [SMALL_STATE(5781)] = 259876,
  [SMALL_STATE(5782)] = 259883,
  [SMALL_STATE(5783)] = 259890,
  [SMALL_STATE(5784)] = 259897,
  [SMALL_STATE(5785)] = 259904,
  [SMALL_STATE(5786)] = 259911,
  [SMALL_STATE(5787)] = 259918,
  [SMALL_STATE(5788)] = 259925,
  [SMALL_STATE(5789)] = 259932,
  [SMALL_STATE(5790)] = 259939,
  [SMALL_STATE(5791)] = 259946,
  [SMALL_STATE(5792)] = 259953,
  [SMALL_STATE(5793)] = 259960,
  [SMALL_STATE(5794)] = 259967,
  [SMALL_STATE(5795)] = 259974,
  [SMALL_STATE(5796)] = 259981,
  [SMALL_STATE(5797)] = 259988,
  [SMALL_STATE(5798)] = 259995,
  [SMALL_STATE(5799)] = 260002,
  [SMALL_STATE(5800)] = 260009,
  [SMALL_STATE(5801)] = 260016,
  [SMALL_STATE(5802)] = 260023,
  [SMALL_STATE(5803)] = 260030,
  [SMALL_STATE(5804)] = 260037,
  [SMALL_STATE(5805)] = 260044,
  [SMALL_STATE(5806)] = 260051,
  [SMALL_STATE(5807)] = 260058,
  [SMALL_STATE(5808)] = 260065,
  [SMALL_STATE(5809)] = 260072,
  [SMALL_STATE(5810)] = 260079,
  [SMALL_STATE(5811)] = 260086,
  [SMALL_STATE(5812)] = 260093,
  [SMALL_STATE(5813)] = 260100,
  [SMALL_STATE(5814)] = 260107,
  [SMALL_STATE(5815)] = 260114,
  [SMALL_STATE(5816)] = 260121,
  [SMALL_STATE(5817)] = 260128,
  [SMALL_STATE(5818)] = 260135,
  [SMALL_STATE(5819)] = 260142,
  [SMALL_STATE(5820)] = 260149,
  [SMALL_STATE(5821)] = 260156,
  [SMALL_STATE(5822)] = 260163,
  [SMALL_STATE(5823)] = 260170,
  [SMALL_STATE(5824)] = 260177,
  [SMALL_STATE(5825)] = 260184,
  [SMALL_STATE(5826)] = 260191,
  [SMALL_STATE(5827)] = 260198,
  [SMALL_STATE(5828)] = 260205,
  [SMALL_STATE(5829)] = 260212,
  [SMALL_STATE(5830)] = 260219,
  [SMALL_STATE(5831)] = 260226,
  [SMALL_STATE(5832)] = 260233,
  [SMALL_STATE(5833)] = 260240,
  [SMALL_STATE(5834)] = 260247,
  [SMALL_STATE(5835)] = 260254,
  [SMALL_STATE(5836)] = 260261,
  [SMALL_STATE(5837)] = 260268,
  [SMALL_STATE(5838)] = 260275,
  [SMALL_STATE(5839)] = 260282,
  [SMALL_STATE(5840)] = 260289,
  [SMALL_STATE(5841)] = 260296,
  [SMALL_STATE(5842)] = 260303,
  [SMALL_STATE(5843)] = 260310,
  [SMALL_STATE(5844)] = 260317,
  [SMALL_STATE(5845)] = 260324,
  [SMALL_STATE(5846)] = 260331,
  [SMALL_STATE(5847)] = 260338,
  [SMALL_STATE(5848)] = 260345,
  [SMALL_STATE(5849)] = 260352,
  [SMALL_STATE(5850)] = 260359,
  [SMALL_STATE(5851)] = 260366,
  [SMALL_STATE(5852)] = 260373,
  [SMALL_STATE(5853)] = 260380,
  [SMALL_STATE(5854)] = 260387,
  [SMALL_STATE(5855)] = 260394,
  [SMALL_STATE(5856)] = 260401,
  [SMALL_STATE(5857)] = 260408,
  [SMALL_STATE(5858)] = 260415,
  [SMALL_STATE(5859)] = 260422,
  [SMALL_STATE(5860)] = 260429,
  [SMALL_STATE(5861)] = 260436,
  [SMALL_STATE(5862)] = 260443,
  [SMALL_STATE(5863)] = 260450,
  [SMALL_STATE(5864)] = 260457,
  [SMALL_STATE(5865)] = 260464,
  [SMALL_STATE(5866)] = 260471,
  [SMALL_STATE(5867)] = 260478,
  [SMALL_STATE(5868)] = 260485,
  [SMALL_STATE(5869)] = 260492,
  [SMALL_STATE(5870)] = 260499,
  [SMALL_STATE(5871)] = 260506,
  [SMALL_STATE(5872)] = 260513,
  [SMALL_STATE(5873)] = 260520,
  [SMALL_STATE(5874)] = 260527,
  [SMALL_STATE(5875)] = 260534,
  [SMALL_STATE(5876)] = 260541,
  [SMALL_STATE(5877)] = 260548,
  [SMALL_STATE(5878)] = 260555,
  [SMALL_STATE(5879)] = 260562,
  [SMALL_STATE(5880)] = 260569,
  [SMALL_STATE(5881)] = 260576,
  [SMALL_STATE(5882)] = 260583,
  [SMALL_STATE(5883)] = 260590,
  [SMALL_STATE(5884)] = 260597,
  [SMALL_STATE(5885)] = 260604,
  [SMALL_STATE(5886)] = 260611,
  [SMALL_STATE(5887)] = 260618,
  [SMALL_STATE(5888)] = 260625,
  [SMALL_STATE(5889)] = 260632,
  [SMALL_STATE(5890)] = 260639,
  [SMALL_STATE(5891)] = 260646,
  [SMALL_STATE(5892)] = 260653,
  [SMALL_STATE(5893)] = 260660,
  [SMALL_STATE(5894)] = 260667,
  [SMALL_STATE(5895)] = 260674,
  [SMALL_STATE(5896)] = 260681,
  [SMALL_STATE(5897)] = 260688,
  [SMALL_STATE(5898)] = 260695,
  [SMALL_STATE(5899)] = 260702,
  [SMALL_STATE(5900)] = 260709,
  [SMALL_STATE(5901)] = 260716,
  [SMALL_STATE(5902)] = 260723,
  [SMALL_STATE(5903)] = 260730,
  [SMALL_STATE(5904)] = 260737,
  [SMALL_STATE(5905)] = 260744,
  [SMALL_STATE(5906)] = 260751,
  [SMALL_STATE(5907)] = 260758,
  [SMALL_STATE(5908)] = 260765,
  [SMALL_STATE(5909)] = 260772,
  [SMALL_STATE(5910)] = 260779,
  [SMALL_STATE(5911)] = 260786,
  [SMALL_STATE(5912)] = 260793,
  [SMALL_STATE(5913)] = 260800,
  [SMALL_STATE(5914)] = 260807,
  [SMALL_STATE(5915)] = 260814,
  [SMALL_STATE(5916)] = 260821,
  [SMALL_STATE(5917)] = 260828,
  [SMALL_STATE(5918)] = 260835,
  [SMALL_STATE(5919)] = 260842,
  [SMALL_STATE(5920)] = 260849,
  [SMALL_STATE(5921)] = 260856,
  [SMALL_STATE(5922)] = 260863,
  [SMALL_STATE(5923)] = 260870,
  [SMALL_STATE(5924)] = 260877,
  [SMALL_STATE(5925)] = 260884,
  [SMALL_STATE(5926)] = 260891,
  [SMALL_STATE(5927)] = 260898,
  [SMALL_STATE(5928)] = 260905,
  [SMALL_STATE(5929)] = 260912,
  [SMALL_STATE(5930)] = 260919,
  [SMALL_STATE(5931)] = 260926,
  [SMALL_STATE(5932)] = 260933,
  [SMALL_STATE(5933)] = 260940,
  [SMALL_STATE(5934)] = 260947,
  [SMALL_STATE(5935)] = 260954,
  [SMALL_STATE(5936)] = 260961,
  [SMALL_STATE(5937)] = 260968,
  [SMALL_STATE(5938)] = 260975,
  [SMALL_STATE(5939)] = 260982,
  [SMALL_STATE(5940)] = 260989,
  [SMALL_STATE(5941)] = 260996,
  [SMALL_STATE(5942)] = 261003,
  [SMALL_STATE(5943)] = 261010,
  [SMALL_STATE(5944)] = 261017,
  [SMALL_STATE(5945)] = 261024,
  [SMALL_STATE(5946)] = 261031,
  [SMALL_STATE(5947)] = 261038,
  [SMALL_STATE(5948)] = 261045,
  [SMALL_STATE(5949)] = 261052,
  [SMALL_STATE(5950)] = 261059,
  [SMALL_STATE(5951)] = 261066,
  [SMALL_STATE(5952)] = 261073,
  [SMALL_STATE(5953)] = 261080,
  [SMALL_STATE(5954)] = 261087,
  [SMALL_STATE(5955)] = 261094,
  [SMALL_STATE(5956)] = 261101,
  [SMALL_STATE(5957)] = 261108,
  [SMALL_STATE(5958)] = 261115,
  [SMALL_STATE(5959)] = 261122,
  [SMALL_STATE(5960)] = 261129,
  [SMALL_STATE(5961)] = 261136,
  [SMALL_STATE(5962)] = 261143,
  [SMALL_STATE(5963)] = 261150,
  [SMALL_STATE(5964)] = 261157,
  [SMALL_STATE(5965)] = 261164,
  [SMALL_STATE(5966)] = 261171,
  [SMALL_STATE(5967)] = 261178,
  [SMALL_STATE(5968)] = 261185,
  [SMALL_STATE(5969)] = 261192,
  [SMALL_STATE(5970)] = 261199,
  [SMALL_STATE(5971)] = 261206,
  [SMALL_STATE(5972)] = 261213,
  [SMALL_STATE(5973)] = 261220,
  [SMALL_STATE(5974)] = 261227,
  [SMALL_STATE(5975)] = 261234,
  [SMALL_STATE(5976)] = 261241,
  [SMALL_STATE(5977)] = 261248,
  [SMALL_STATE(5978)] = 261255,
  [SMALL_STATE(5979)] = 261262,
  [SMALL_STATE(5980)] = 261269,
  [SMALL_STATE(5981)] = 261276,
  [SMALL_STATE(5982)] = 261283,
  [SMALL_STATE(5983)] = 261290,
  [SMALL_STATE(5984)] = 261297,
  [SMALL_STATE(5985)] = 261304,
  [SMALL_STATE(5986)] = 261311,
  [SMALL_STATE(5987)] = 261318,
  [SMALL_STATE(5988)] = 261325,
  [SMALL_STATE(5989)] = 261332,
  [SMALL_STATE(5990)] = 261339,
  [SMALL_STATE(5991)] = 261346,
  [SMALL_STATE(5992)] = 261353,
  [SMALL_STATE(5993)] = 261360,
  [SMALL_STATE(5994)] = 261367,
  [SMALL_STATE(5995)] = 261374,
  [SMALL_STATE(5996)] = 261381,
  [SMALL_STATE(5997)] = 261388,
  [SMALL_STATE(5998)] = 261395,
  [SMALL_STATE(5999)] = 261402,
  [SMALL_STATE(6000)] = 261409,
  [SMALL_STATE(6001)] = 261416,
  [SMALL_STATE(6002)] = 261423,
  [SMALL_STATE(6003)] = 261430,
  [SMALL_STATE(6004)] = 261437,
  [SMALL_STATE(6005)] = 261444,
  [SMALL_STATE(6006)] = 261451,
  [SMALL_STATE(6007)] = 261458,
  [SMALL_STATE(6008)] = 261465,
  [SMALL_STATE(6009)] = 261472,
  [SMALL_STATE(6010)] = 261479,
  [SMALL_STATE(6011)] = 261486,
  [SMALL_STATE(6012)] = 261493,
  [SMALL_STATE(6013)] = 261500,
  [SMALL_STATE(6014)] = 261507,
  [SMALL_STATE(6015)] = 261514,
  [SMALL_STATE(6016)] = 261521,
  [SMALL_STATE(6017)] = 261528,
  [SMALL_STATE(6018)] = 261535,
  [SMALL_STATE(6019)] = 261542,
  [SMALL_STATE(6020)] = 261549,
  [SMALL_STATE(6021)] = 261556,
  [SMALL_STATE(6022)] = 261563,
  [SMALL_STATE(6023)] = 261570,
  [SMALL_STATE(6024)] = 261577,
  [SMALL_STATE(6025)] = 261584,
  [SMALL_STATE(6026)] = 261591,
  [SMALL_STATE(6027)] = 261598,
  [SMALL_STATE(6028)] = 261605,
  [SMALL_STATE(6029)] = 261612,
  [SMALL_STATE(6030)] = 261619,
  [SMALL_STATE(6031)] = 261626,
  [SMALL_STATE(6032)] = 261633,
  [SMALL_STATE(6033)] = 261640,
  [SMALL_STATE(6034)] = 261647,
  [SMALL_STATE(6035)] = 261654,
  [SMALL_STATE(6036)] = 261661,
  [SMALL_STATE(6037)] = 261668,
  [SMALL_STATE(6038)] = 261675,
  [SMALL_STATE(6039)] = 261682,
  [SMALL_STATE(6040)] = 261689,
  [SMALL_STATE(6041)] = 261696,
  [SMALL_STATE(6042)] = 261703,
  [SMALL_STATE(6043)] = 261710,
  [SMALL_STATE(6044)] = 261717,
  [SMALL_STATE(6045)] = 261724,
  [SMALL_STATE(6046)] = 261731,
  [SMALL_STATE(6047)] = 261738,
  [SMALL_STATE(6048)] = 261745,
  [SMALL_STATE(6049)] = 261752,
  [SMALL_STATE(6050)] = 261759,
  [SMALL_STATE(6051)] = 261766,
  [SMALL_STATE(6052)] = 261773,
  [SMALL_STATE(6053)] = 261780,
  [SMALL_STATE(6054)] = 261787,
  [SMALL_STATE(6055)] = 261794,
  [SMALL_STATE(6056)] = 261801,
  [SMALL_STATE(6057)] = 261808,
  [SMALL_STATE(6058)] = 261815,
  [SMALL_STATE(6059)] = 261822,
  [SMALL_STATE(6060)] = 261829,
  [SMALL_STATE(6061)] = 261836,
  [SMALL_STATE(6062)] = 261843,
  [SMALL_STATE(6063)] = 261850,
  [SMALL_STATE(6064)] = 261857,
  [SMALL_STATE(6065)] = 261864,
  [SMALL_STATE(6066)] = 261871,
  [SMALL_STATE(6067)] = 261878,
  [SMALL_STATE(6068)] = 261885,
  [SMALL_STATE(6069)] = 261892,
  [SMALL_STATE(6070)] = 261899,
  [SMALL_STATE(6071)] = 261906,
  [SMALL_STATE(6072)] = 261913,
  [SMALL_STATE(6073)] = 261920,
  [SMALL_STATE(6074)] = 261927,
  [SMALL_STATE(6075)] = 261934,
  [SMALL_STATE(6076)] = 261941,
  [SMALL_STATE(6077)] = 261948,
  [SMALL_STATE(6078)] = 261955,
  [SMALL_STATE(6079)] = 261962,
  [SMALL_STATE(6080)] = 261969,
  [SMALL_STATE(6081)] = 261976,
  [SMALL_STATE(6082)] = 261983,
  [SMALL_STATE(6083)] = 261990,
  [SMALL_STATE(6084)] = 261997,
  [SMALL_STATE(6085)] = 262004,
  [SMALL_STATE(6086)] = 262011,
  [SMALL_STATE(6087)] = 262018,
  [SMALL_STATE(6088)] = 262025,
  [SMALL_STATE(6089)] = 262032,
  [SMALL_STATE(6090)] = 262039,
  [SMALL_STATE(6091)] = 262046,
  [SMALL_STATE(6092)] = 262053,
  [SMALL_STATE(6093)] = 262060,
  [SMALL_STATE(6094)] = 262067,
  [SMALL_STATE(6095)] = 262074,
  [SMALL_STATE(6096)] = 262081,
  [SMALL_STATE(6097)] = 262088,
  [SMALL_STATE(6098)] = 262095,
  [SMALL_STATE(6099)] = 262102,
  [SMALL_STATE(6100)] = 262109,
  [SMALL_STATE(6101)] = 262116,
  [SMALL_STATE(6102)] = 262123,
  [SMALL_STATE(6103)] = 262130,
  [SMALL_STATE(6104)] = 262137,
  [SMALL_STATE(6105)] = 262144,
  [SMALL_STATE(6106)] = 262151,
  [SMALL_STATE(6107)] = 262158,
  [SMALL_STATE(6108)] = 262165,
  [SMALL_STATE(6109)] = 262172,
  [SMALL_STATE(6110)] = 262179,
  [SMALL_STATE(6111)] = 262186,
  [SMALL_STATE(6112)] = 262193,
  [SMALL_STATE(6113)] = 262200,
  [SMALL_STATE(6114)] = 262207,
  [SMALL_STATE(6115)] = 262214,
  [SMALL_STATE(6116)] = 262221,
  [SMALL_STATE(6117)] = 262228,
  [SMALL_STATE(6118)] = 262235,
  [SMALL_STATE(6119)] = 262242,
  [SMALL_STATE(6120)] = 262249,
  [SMALL_STATE(6121)] = 262256,
  [SMALL_STATE(6122)] = 262263,
  [SMALL_STATE(6123)] = 262270,
  [SMALL_STATE(6124)] = 262277,
  [SMALL_STATE(6125)] = 262284,
  [SMALL_STATE(6126)] = 262291,
  [SMALL_STATE(6127)] = 262298,
  [SMALL_STATE(6128)] = 262305,
  [SMALL_STATE(6129)] = 262312,
  [SMALL_STATE(6130)] = 262319,
  [SMALL_STATE(6131)] = 262326,
  [SMALL_STATE(6132)] = 262333,
  [SMALL_STATE(6133)] = 262340,
  [SMALL_STATE(6134)] = 262347,
  [SMALL_STATE(6135)] = 262354,
  [SMALL_STATE(6136)] = 262361,
  [SMALL_STATE(6137)] = 262368,
  [SMALL_STATE(6138)] = 262375,
  [SMALL_STATE(6139)] = 262382,
  [SMALL_STATE(6140)] = 262389,
  [SMALL_STATE(6141)] = 262396,
  [SMALL_STATE(6142)] = 262403,
  [SMALL_STATE(6143)] = 262410,
  [SMALL_STATE(6144)] = 262417,
  [SMALL_STATE(6145)] = 262424,
  [SMALL_STATE(6146)] = 262431,
  [SMALL_STATE(6147)] = 262438,
  [SMALL_STATE(6148)] = 262445,
  [SMALL_STATE(6149)] = 262452,
  [SMALL_STATE(6150)] = 262459,
  [SMALL_STATE(6151)] = 262466,
  [SMALL_STATE(6152)] = 262473,
  [SMALL_STATE(6153)] = 262480,
  [SMALL_STATE(6154)] = 262487,
  [SMALL_STATE(6155)] = 262494,
  [SMALL_STATE(6156)] = 262501,
  [SMALL_STATE(6157)] = 262508,
  [SMALL_STATE(6158)] = 262515,
  [SMALL_STATE(6159)] = 262522,
  [SMALL_STATE(6160)] = 262529,
  [SMALL_STATE(6161)] = 262536,
  [SMALL_STATE(6162)] = 262543,
  [SMALL_STATE(6163)] = 262550,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(751),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5481),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6115),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6114),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4706),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5480),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5817),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4790),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5439),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5814),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5798),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(405),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5441),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3473),
  [231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1, .production_id = 1),
  [233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, .production_id = 1),
  [235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1, .production_id = 1), REDUCE(sym__expression, 1, .production_id = 1),
  [238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4634),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5450),
  [258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1, .production_id = 1),
  [270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4461),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(583),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, .production_id = 1),
  [346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_command_name, 1, .production_id = 1), REDUCE(sym__expression, 1, .production_id = 1),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5414),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3861),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5377),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 110),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4205),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5702),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4728),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 45),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4207),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 78),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 107),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(924),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(5481),
  [497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(6115),
  [500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(564),
  [503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3087),
  [506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3087),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(307),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(330),
  [515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2),
  [517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(320),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3121),
  [523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(5945),
  [526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(289),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(530),
  [532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(6),
  [535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(1604),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(497),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(583),
  [544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(605),
  [547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3265),
  [550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3443),
  [553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3409),
  [556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(4843),
  [559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(894),
  [562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(4579),
  [565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(925),
  [568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(920),
  [571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(5402),
  [574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(3807),
  [577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(156),
  [580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(157),
  [583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(158),
  [586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(159),
  [589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(4891),
  [592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(5261),
  [595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(935),
  [598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2), SHIFT_REPEAT(6119),
  [601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 59),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 82),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4152),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 44),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4212),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4209),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 2, .production_id = 58),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5573),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4869),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5478),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4320),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4214),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4314),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4313),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4307),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4293),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4248),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4296),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4294),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4),
  [731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 3),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3917),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__terminated_statement, 2),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4476),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3971),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3972),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4481),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4518),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 1),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3894),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(924),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(5481),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(6115),
  [834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(564),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3087),
  [840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3087),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(307),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(330),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(320),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3121),
  [855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(5945),
  [858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(289),
  [861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(530),
  [864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(6),
  [867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(1604),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(497),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(583),
  [876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(605),
  [879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3265),
  [882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3443),
  [885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3409),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(4843),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(894),
  [894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(4579),
  [897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(925),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(920),
  [903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(5402),
  [906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(3807),
  [909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(156),
  [912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(157),
  [915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(158),
  [918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(159),
  [921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(4891),
  [924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(5261),
  [927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(935),
  [930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(6119),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6042),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4771),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5374),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4739),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5405),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 4),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 4),
  [1173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 4, .production_id = 1),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 4, .production_id = 1),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4698),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_name, 1),
  [1185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [1187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), REDUCE(sym__expression, 1),
  [1190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(5823),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_name, 1),
  [1195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_command_name, 1), REDUCE(sym__expression, 1),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2),
  [1202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3289),
  [1205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3289),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [1214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenation, 2, .production_id = 1),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenation, 2, .production_id = 1),
  [1218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [1220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 1),
  [1224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arithmetic_expansion, 4),
  [1226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arithmetic_expansion, 4),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 2),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 2),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 2),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 2),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_substitution, 3),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_substitution, 3),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_process_substitution, 3),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_process_substitution, 3),
  [1248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2),
  [1250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2),
  [1252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_simple_expansion, 2, .production_id = 11),
  [1254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_expansion, 2, .production_id = 11),
  [1256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion, 3, .production_id = 30),
  [1262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion, 3, .production_id = 30),
  [1264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_translated_string, 2),
  [1266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translated_string, 2),
  [1268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command_substitution, 3, .production_id = 34),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command_substitution, 3, .production_id = 34),
  [1272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2, .production_id = 10),
  [1278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2, .production_id = 10),
  [1280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arithmetic_expansion, 3),
  [1282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arithmetic_expansion, 3),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4),
  [1286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4),
  [1288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_brace_expression, 5),
  [1290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_brace_expression, 5),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2),
  [1296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(397),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [1301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3396),
  [1304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [1310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(6002),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(423),
  [1318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [1322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [1324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [1332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 1, .production_id = 2),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 1, .production_id = 2),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4586),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [1352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [1354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 19),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 19),
  [1366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [1368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [1370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3374),
  [1374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [1376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [1378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4626),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [1382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [1384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [1386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [1392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(729),
  [1395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3212),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37),
  [1400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3090),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37),
  [1405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3474),
  [1408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3211),
  [1411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4728),
  [1414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(702),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4586),
  [1420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(696),
  [1423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5415),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3860),
  [1429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(166),
  [1432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(165),
  [1435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(208),
  [1438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(299),
  [1441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5631),
  [1444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(734),
  [1447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(977),
  [1450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6149),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3443),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4579),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [1479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 18),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 18),
  [1483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [1491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4686),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 38),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 38),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3285),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 2),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 2),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3476),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4606),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5375),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3886),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_command, 1),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_command, 1),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(764),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3438),
  [1577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3077),
  [1580] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3374),
  [1583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3436),
  [1586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4869),
  [1589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(773),
  [1592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4626),
  [1595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(752),
  [1598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5478),
  [1601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3898),
  [1604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(125),
  [1607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(126),
  [1610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(127),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(76),
  [1616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5552),
  [1619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(781),
  [1622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1179),
  [1625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6157),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(916),
  [1631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3477),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [1636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2),
  [1638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3476),
  [1641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4800),
  [1644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(877),
  [1647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4606),
  [1650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(970),
  [1653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5375),
  [1656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3886),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(97),
  [1662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(98),
  [1665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(99),
  [1668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(183),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(448),
  [1674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5339),
  [1677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(918),
  [1680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(6153),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [1687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(947),
  [1690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3415),
  [1693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3410),
  [1696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4834),
  [1699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1043),
  [1702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4649),
  [1705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1062),
  [1708] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5408),
  [1711] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3911),
  [1714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(134),
  [1717] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(135),
  [1720] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(136),
  [1723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(309),
  [1726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(450),
  [1729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5352),
  [1732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(946),
  [1735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(6160),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [1742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4834),
  [1746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [1748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4649),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [1752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5408),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3911),
  [1756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [1764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [1772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [1774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(835),
  [1777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3443),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3110),
  [1783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3401),
  [1786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3409),
  [1789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4843),
  [1792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(850),
  [1795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4579),
  [1798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(920),
  [1801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5402),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3807),
  [1807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(156),
  [1810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(157),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(158),
  [1816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(159),
  [1819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5611),
  [1822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(840),
  [1825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1314),
  [1828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6119),
  [1831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(875),
  [1834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3141),
  [1837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3067),
  [1840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3338),
  [1843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3143),
  [1846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4706),
  [1849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(889),
  [1852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4686),
  [1855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(942),
  [1858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5480),
  [1861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3747),
  [1864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(207),
  [1867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(206),
  [1870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(201),
  [1873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(200),
  [1876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5976),
  [1879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(878),
  [1882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1325),
  [1885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6118),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [1892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(876),
  [1895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3142),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2),
  [1902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3138),
  [1905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4782),
  [1908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(871),
  [1911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4601),
  [1914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(949),
  [1917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5413),
  [1920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3885),
  [1923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(89),
  [1926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(90),
  [1929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(96),
  [1932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(197),
  [1935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(874),
  [1938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6152),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 8),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 8),
  [1945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4865),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5407),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [1963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(196),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [1979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 21),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 21),
  [1983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [1985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(991),
  [1988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3094),
  [1991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3285),
  [1994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1009),
  [1997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6110),
  [2000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(989),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4817),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4684),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [2017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5475),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3840),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [2023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [2027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [2037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1136),
  [2040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3464),
  [2043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3465),
  [2046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4865),
  [2049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1058),
  [2052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4690),
  [2055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1295),
  [2058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5407),
  [2061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3775),
  [2064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(194),
  [2067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(195),
  [2070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(196),
  [2073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(198),
  [2076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(476),
  [2079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5319),
  [2082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1134),
  [2085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(6122),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [2094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1156),
  [2097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3486),
  [2100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3487),
  [2103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4817),
  [2106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1144),
  [2109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4684),
  [2112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1208),
  [2115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5475),
  [2118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3840),
  [2121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(256),
  [2124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(257),
  [2127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(258),
  [2130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(239),
  [2133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(480),
  [2136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5268),
  [2139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1158),
  [2142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(6127),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [2161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1317),
  [2164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1240),
  [2167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(486),
  [2170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5248),
  [2173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1318),
  [2176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3475),
  [2180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 2),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 2),
  [2184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4818),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4610),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5399),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [2198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [2202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [2206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 1),
  [2224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 1),
  [2226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(998),
  [2229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3427),
  [2232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3422),
  [2235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4853),
  [2238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1013),
  [2241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4637),
  [2244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1088),
  [2247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5422),
  [2250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3909),
  [2253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(131),
  [2256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(132),
  [2259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(133),
  [2262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(62),
  [2265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(988),
  [2268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6159),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [2273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unset_command, 1),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unset_command, 1),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [2281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(961),
  [2284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3475),
  [2287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [2289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2),
  [2291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3454),
  [2294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4818),
  [2297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1000),
  [2300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4610),
  [2303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1101),
  [2306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(5399),
  [2309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3889),
  [2312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(107),
  [2315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(109),
  [2318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(110),
  [2321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(161),
  [2324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(504),
  [2327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(960),
  [2330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(6154),
  [2333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [2335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 4),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [2343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4819),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5391),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3912),
  [2361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [2375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1184),
  [2378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3405),
  [2381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3403),
  [2384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4819),
  [2387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1173),
  [2390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4654),
  [2393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1283),
  [2396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(5391),
  [2399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3912),
  [2402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(138),
  [2405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(139),
  [2408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(141),
  [2411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(282),
  [2414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(509),
  [2417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1185),
  [2420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(6161),
  [2423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1186),
  [2426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3451),
  [2429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3450),
  [2432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4835),
  [2435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1177),
  [2438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4616),
  [2441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1404),
  [2444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5427),
  [2447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3892),
  [2450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(112),
  [2453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(117),
  [2456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(118),
  [2459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(151),
  [2462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1168),
  [2465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6155),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [2472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2),
  [2476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 3),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 3),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [2496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4835),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [2506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4616),
  [2508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [2512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3892),
  [2514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(112),
  [2516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [2518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [2520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4637),
  [2530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [2532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 2),
  [2534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 2),
  [2536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [2540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1091),
  [2543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3323),
  [2546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3351),
  [2549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4765),
  [2552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1150),
  [2555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4595),
  [2558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1255),
  [2561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5381),
  [2564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3870),
  [2567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(57),
  [2570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(59),
  [2573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(60),
  [2576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(61),
  [2579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1055),
  [2582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6113),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [2589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1174),
  [2592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3482),
  [2595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3485),
  [2598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4826),
  [2601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1105),
  [2604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4668),
  [2607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1229),
  [2610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5463),
  [2613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3836),
  [2616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(252),
  [2619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(253),
  [2622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(254),
  [2625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(232),
  [2628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1175),
  [2631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6126),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3488),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4810),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4701),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5483),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4849),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4682),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [2680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5376),
  [2682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [2698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1219),
  [2701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3488),
  [2704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3490),
  [2707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4810),
  [2710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1232),
  [2713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4701),
  [2716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1435),
  [2719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(5483),
  [2722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3855),
  [2725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(260),
  [2728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(261),
  [2731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(262),
  [2734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(243),
  [2737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(544),
  [2740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1218),
  [2743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(6128),
  [2746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1355),
  [2749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3395),
  [2752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3384),
  [2755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4704),
  [2758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1222),
  [2761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4659),
  [2764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1466),
  [2767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5487),
  [2770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3914),
  [2773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(143),
  [2776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(145),
  [2779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(147),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(238),
  [2785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1354),
  [2788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6162),
  [2791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1458),
  [2794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3073),
  [2797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3192),
  [2800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1485),
  [2803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6117),
  [2806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1449),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [2813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1319),
  [2816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1243),
  [2819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1320),
  [2822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [2826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [2828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [2830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(611),
  [2832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [2844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [2846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [2848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1376),
  [2851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3466),
  [2854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3467),
  [2857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4849),
  [2860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1278),
  [2863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4682),
  [2866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1504),
  [2869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(5376),
  [2872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3780),
  [2875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(202),
  [2878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(203),
  [2881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(204),
  [2884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(205),
  [2887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(559),
  [2890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1200),
  [2893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(6123),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3395),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3384),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4704),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4659),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [2910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [2914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [2916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [2918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [2920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [2926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [2932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [2936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [2940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4620),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5444),
  [2946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [2948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [2952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [2960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [2962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [2966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4668),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [2970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [2976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [2986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [2990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [3014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [3020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1889),
  [3023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1876),
  [3026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(585),
  [3029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5304),
  [3032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1878),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3646),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3614),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3650),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2675),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [3063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [3065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [3067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4754),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4639),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5424),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3804),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3506),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4607),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5404),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [3123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1407),
  [3126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3505),
  [3129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3506),
  [3132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4762),
  [3135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1434),
  [3138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4607),
  [3141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1745),
  [3144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5404),
  [3147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3862),
  [3150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(268),
  [3153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(230),
  [3156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(210),
  [3159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(279),
  [3162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1408),
  [3165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6135),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [3170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1738),
  [3173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3503),
  [3176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3071),
  [3179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3357),
  [3182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3504),
  [3185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4771),
  [3188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1749),
  [3191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(4650),
  [3194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1738),
  [3197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1813),
  [3200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5374),
  [3203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(3893),
  [3206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(317),
  [3209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(306),
  [3212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(304),
  [3215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(267),
  [3218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(5795),
  [3221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(1727),
  [3224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(2050),
  [3227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 37), SHIFT_REPEAT(6134),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [3232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [3234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1510),
  [3237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3515),
  [3240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3516),
  [3243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4754),
  [3246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1511),
  [3249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4639),
  [3252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1867),
  [3255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5424),
  [3258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3804),
  [3261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(121),
  [3264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(120),
  [3267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(115),
  [3270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(301),
  [3273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1505),
  [3276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6139),
  [3279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1453),
  [3282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1500),
  [3285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(609),
  [3288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1421),
  [3291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4750),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4582),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [3329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [3337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [3343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [3347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1641),
  [3350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1615),
  [3353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1660),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3878),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [3362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [3366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4650),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [3376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1973),
  [3379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3499),
  [3382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3500),
  [3385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4784),
  [3388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1976),
  [3391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(4689),
  [3394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1973),
  [3397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(2031),
  [3400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5412),
  [3403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(3831),
  [3406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(296),
  [3409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(297),
  [3412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(298),
  [3415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(259),
  [3418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(637),
  [3421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(5241),
  [3424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(1993),
  [3427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 2), SHIFT_REPEAT(6132),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [3436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4784),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [3448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [3466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3842),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [3474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [3476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [3478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3729),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [3484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [3486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [3488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [3490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [3492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [3496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [3498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4727),
  [3500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [3502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4621),
  [3504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [3506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [3508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [3510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [3512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [3514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [3516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [3524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1896),
  [3527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3493),
  [3530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3494),
  [3533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4796),
  [3536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1930),
  [3539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4643),
  [3542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1896),
  [3545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1942),
  [3548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5457),
  [3551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3918),
  [3554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(269),
  [3557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(276),
  [3560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(277),
  [3563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(251),
  [3566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1893),
  [3569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6130),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [3574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [3580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1),
  [3582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [3584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_not_pipeline, 1),
  [3586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [3588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1),
  [3590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5347),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [3597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6026),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [3607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3290),
  [3610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3290),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [3621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [3623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [3627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1884),
  [3630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1919),
  [3633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1883),
  [3636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_not_pipeline, 1),
  [3638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [3640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 1),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(5884),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [3649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4028),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [3655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [3657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5346),
  [3672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(5709),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3205),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [3679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2, .production_id = 10),
  [3681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2, .production_id = 10),
  [3683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1952),
  [3686] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3519),
  [3689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3520),
  [3692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4825),
  [3695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1940),
  [3698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4675),
  [3701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1952),
  [3704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2108),
  [3707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5387),
  [3710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3754),
  [3713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(72),
  [3716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(66),
  [3719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(63),
  [3722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(190),
  [3725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(1953),
  [3728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6141),
  [3731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 2),
  [3733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 2),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4643),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [3741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1961),
  [3744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2009),
  [3747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(710),
  [3750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(1956),
  [3753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3205),
  [3756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3205),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 3, .production_id = 23),
  [3765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 3, .production_id = 23),
  [3767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_herestring_redirect, 3, .production_id = 4),
  [3769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_herestring_redirect, 3, .production_id = 4),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [3775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 36),
  [3777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 36),
  [3779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 35),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 2, .production_id = 35),
  [3783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 17),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 17),
  [3787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 16),
  [3789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 16),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [3797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5290),
  [3800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2019),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [3806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [3814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5392),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [3820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [3834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [3836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [3840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3186),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [3852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [3860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [3862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6142),
  [3876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(5984),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4675),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [3897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5258),
  [3900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2101),
  [3903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2125),
  [3906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2059),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [3911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2019),
  [3914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3501),
  [3917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3481),
  [3920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4777),
  [3923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2033),
  [3926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(4678),
  [3929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2019),
  [3932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2219),
  [3935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(5392),
  [3938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(3908),
  [3941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(312),
  [3944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(314),
  [3947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(315),
  [3950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(263),
  [3953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(783),
  [3956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(2021),
  [3959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 2), SHIFT_REPEAT(6133),
  [3962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2023),
  [3965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3521),
  [3968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3435),
  [3971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4851),
  [3974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2026),
  [3977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4693),
  [3980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2023),
  [3983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2218),
  [3986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5420),
  [3989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3746),
  [3992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(311),
  [3995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(310),
  [3998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(305),
  [4001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(172),
  [4004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2018),
  [4007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6142),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [4014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(641),
  [4016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [4018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5981),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [4024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [4036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3154),
  [4039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3154),
  [4042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(849),
  [4045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [4057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3186),
  [4060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3186),
  [4063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 24),
  [4065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 24),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [4077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5243),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [4084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignment, 3, .production_id = 25),
  [4086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignment, 3, .production_id = 25),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4746),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5398),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [4130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3266),
  [4133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3266),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4277),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [4146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(6025),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [4153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5227),
  [4156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2229),
  [4159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3194),
  [4162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3191),
  [4165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4746),
  [4168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2162),
  [4171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4581),
  [4174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2229),
  [4177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2279),
  [4180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5398),
  [4183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3864),
  [4186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(55),
  [4189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(56),
  [4192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(78),
  [4195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(237),
  [4198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2230),
  [4201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6150),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [4206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4599),
  [4208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [4220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3260),
  [4223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3260),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [4230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 1),
  [4232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1, .production_id = 1),
  [4234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 1),
  [4238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [4240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [4256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4870),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4124),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [4264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4381),
  [4266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5460),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4266),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [4288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [4290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4689),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [4298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 1),
  [4300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_command_repeat1, 1, .production_id = 1),
  [4302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(994),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [4309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(5949),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [4318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3229),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [4322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [4326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [4330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4647),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [4342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [4344] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 1),
  [4346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1, .production_id = 1),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [4350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [4352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_unset_command_repeat1, 1),
  [4354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3203),
  [4357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3203),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [4368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [4370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4581),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [4374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 3),
  [4376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat2, 1, .production_id = 3),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extglob_blob, 1),
  [4380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__extglob_blob, 1),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4678),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [4400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1133),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [4405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1127),
  [4408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3202),
  [4411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3202),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4410),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [4452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3229),
  [4455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3229),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3249),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [4474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3249),
  [4477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3249),
  [4480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3394),
  [4483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3394),
  [4486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3208),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [4492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3181),
  [4495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3181),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3232),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [4506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1331),
  [4509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 2, .production_id = 9),
  [4511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 2, .production_id = 9),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [4515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_redirect, 3, .production_id = 22),
  [4517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_redirect, 3, .production_id = 22),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [4523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3208),
  [4526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3208),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [4535] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3128),
  [4538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3128),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [4547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3232),
  [4550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3232),
  [4553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1275),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [4572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3166),
  [4575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3166),
  [4578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1495),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [4585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3407),
  [4588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3407),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [4593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1532),
  [4596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1534),
  [4599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [4603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5331),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3328),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3166),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [4632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3328),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3328),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4731),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4613),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5488),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [4692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1, .production_id = 3),
  [4694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1),
  [4696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), REDUCE(aux_sym_command_repeat1, 1, .production_id = 3),
  [4699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 1),
  [4701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), REDUCE(aux_sym_command_repeat1, 1, .production_id = 3),
  [4704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1, .production_id = 3),
  [4706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [4708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [4710] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_command_name, 1), SHIFT(6044),
  [4713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [4715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [4731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2729),
  [4734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3274),
  [4737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3273),
  [4740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4731),
  [4743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2703),
  [4746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4613),
  [4749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2891),
  [4752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5488),
  [4755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3838),
  [4758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(199),
  [4761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(300),
  [4764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(303),
  [4767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(73),
  [4770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2730),
  [4773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6147),
  [4776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [4778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__heredoc_pipeline, 2),
  [4780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__heredoc_expression, 2, .production_id = 65),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [4784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 1, .dynamic_precedence = -1),
  [4786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 1, .dynamic_precedence = -1),
  [4788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negated_command, 2),
  [4790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negated_command, 2),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [4798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2906),
  [4801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3491),
  [4804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3492),
  [4807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4804),
  [4810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2880),
  [4813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4695),
  [4816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2906),
  [4819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2948),
  [4822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5489),
  [4825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3882),
  [4828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(264),
  [4831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(265),
  [4834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(266),
  [4837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(247),
  [4840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(2904),
  [4843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6129),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [4848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1798),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [4857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1), SHIFT(5231),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [4862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1757),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4525),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3225),
  [4869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3216),
  [4871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4710),
  [4873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4453),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4600),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5426),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [4885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3372),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4489),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [4905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3372),
  [4908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3372),
  [4911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1714),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [4918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [4922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [4926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1658),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5824),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [4953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3416),
  [4956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3416),
  [4959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1594),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [4966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1567),
  [4969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3313),
  [4972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1269),
  [4975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5102),
  [4978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2287),
  [4981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4369),
  [4984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5341),
  [4987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2084),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [4992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2761),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [4997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4395),
  [5000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2900),
  [5003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4563),
  [5006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2464),
  [5009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1891),
  [5012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1253),
  [5015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2188),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [5022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2403),
  [5025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(691),
  [5028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2399),
  [5031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2160),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [5040] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4988),
  [5043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(980),
  [5046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(954),
  [5049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1182),
  [5052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1383),
  [5055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [5057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(3587),
  [5060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2116),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [5066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(3720),
  [5069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(769),
  [5072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(3606),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2086),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [5081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1154),
  [5084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1151),
  [5087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1300),
  [5090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1465),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [5095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(902),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [5104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1882),
  [5107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(825),
  [5110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1362),
  [5113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1887),
  [5116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2740),
  [5119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2200),
  [5122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1906),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [5131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1533),
  [5134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5146),
  [5137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1507),
  [5140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5309),
  [5143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4361),
  [5146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2164),
  [5149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2950),
  [5152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2123),
  [5155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5165),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [5164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1990),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4695),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [5175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(418),
  [5178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1758),
  [5181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2418),
  [5184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1391),
  [5187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(384),
  [5190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5149),
  [5193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(3744),
  [5196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2803),
  [5199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(5007),
  [5202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4133),
  [5205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(4904),
  [5208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2105),
  [5211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(3693),
  [5214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1688),
  [5217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2815),
  [5220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(1703),
  [5223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 1), SHIFT(2221),
  [5226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3430),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [5231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1989),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [5244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3429),
  [5247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1971),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [5252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [5258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(1943),
  [5261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_literal, 1),
  [5263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_literal, 1),
  [5265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_expression, 1),
  [5267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_expression, 1),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [5273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [5279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3518),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4794),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5044),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [5291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5189),
  [5293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5452),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [5301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3961),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [5325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [5327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [5335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4531),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [5341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [5345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2487),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [5351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3325),
  [5354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [5356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [5364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3350),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [5369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4515),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [5375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [5379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4546),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3960),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2222),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [5403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [5419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2155),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [5426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2141),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [5431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3347),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [5436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3471),
  [5439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [5449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [5451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [5455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3215),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [5462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2222),
  [5465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [5469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [5471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [5473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3498),
  [5476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extglob_blob, 2),
  [5478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__extglob_blob, 2),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [5506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2266),
  [5509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 40),
  [5511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 40),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [5515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 39),
  [5517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 39),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [5525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2299),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [5530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 40),
  [5532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 40),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [5536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 39),
  [5538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 39),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [5542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2342),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [5549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3277),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [5554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [5558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [5560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [5562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [5568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extglob_blob, 3),
  [5570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__extglob_blob, 3),
  [5572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 42),
  [5574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 42),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [5578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 12),
  [5580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 12),
  [5582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [5584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2280),
  [5587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2265),
  [5590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_postfix_expression, 2, .production_id = 27),
  [5592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_postfix_expression, 2, .production_id = 27),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [5602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [5608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [5618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3263),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3268),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [5636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [5640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 39),
  [5642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 39),
  [5644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 40),
  [5646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 40),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [5650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, .production_id = 75),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [5654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 75),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [5660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [5662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [5664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [5668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [5672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [5674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [5676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [5678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [5682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_unary_expression, 2, .production_id = 12),
  [5684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_unary_expression, 2, .production_id = 12),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [5688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_parenthesized_expression, 3),
  [5690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_parenthesized_expression, 3),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [5694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_binary_expression, 3, .production_id = 42),
  [5696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_binary_expression, 3, .production_id = 42),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [5700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4631),
  [5704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [5722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_postfix_expression, 2, .production_id = 27),
  [5724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_postfix_expression, 2, .production_id = 27),
  [5726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [5728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2569),
  [5731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [5739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_expression_not_assignment, 1),
  [5741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3924),
  [5743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_expression_not_assignment, 1),
  [5745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [5747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [5749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5888),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [5761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_expression, 1, .production_id = 5),
  [5763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_expression, 1, .production_id = 5),
  [5765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_expression, 1, .production_id = 6),
  [5767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_expression, 1, .production_id = 6),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [5771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_expression, 1, .production_id = 7),
  [5773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_expression, 1, .production_id = 7),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [5779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [5785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arithmetic_ternary_expression, 5, .production_id = 75),
  [5787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arithmetic_ternary_expression, 5, .production_id = 75),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [5791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [5793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [5795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [5797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [5799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [5801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [5803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [5805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [5813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [5821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [5823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [5827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2457),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [5842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_postfix_expression, 2, .production_id = 27),
  [5844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_postfix_expression, 2, .production_id = 27),
  [5846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_binary_expression, 3, .production_id = 42),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [5850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [5854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [5856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [5858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_binary_expression, 3, .production_id = 42),
  [5860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [5864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1750),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [5876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [5884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [5886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [5888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [5898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [5900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [5902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [5908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_unary_expression, 2, .production_id = 12),
  [5910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_unary_expression, 2, .production_id = 12),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [5920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [5922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [5924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [5928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [5932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [5934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [5936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [5948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [5950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [5952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [5954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [5960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [5962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [5964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [5968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [5976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1793),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [5988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [5994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [5998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [6000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [6002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [6004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [6014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [6018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [6028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [6034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [6046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3959),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [6064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [6076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arithmetic_expansion_repeat1, 2),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [6082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_parenthesized_expression, 4),
  [6084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_parenthesized_expression, 4),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3994),
  [6088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [6092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [6096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4497),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [6100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [6102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2694),
  [6105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4144),
  [6107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [6109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [6111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [6113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [6117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [6119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [6121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_parenthesized_expression, 3),
  [6123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_parenthesized_expression, 3),
  [6125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3936),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [6133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_expression, 1),
  [6135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [6137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_expression, 1),
  [6139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_expression_not_assignment, 1, .production_id = 7),
  [6141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_expression_not_assignment, 1, .production_id = 7),
  [6143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_expression_not_assignment, 1, .production_id = 5),
  [6145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_expression_not_assignment, 1, .production_id = 5),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [6149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20),
  [6151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20),
  [6153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3092),
  [6156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3092),
  [6159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20), SHIFT_REPEAT(1617),
  [6162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20), SHIFT_REPEAT(3255),
  [6165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20), SHIFT_REPEAT(4903),
  [6168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 20), SHIFT_REPEAT(5271),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [6175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3737),
  [6177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [6181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [6187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [6189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [6191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [6193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [6195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [6197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [6199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [6201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [6203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3389),
  [6205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3387),
  [6207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [6209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3383),
  [6211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [6213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [6215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [6217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3380),
  [6219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3379),
  [6221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [6229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [6231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [6233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [6237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [6241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [6243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [6247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [6255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3158),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4126),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4127),
  [6271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [6275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4131),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [6279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4132),
  [6281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4136),
  [6283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4137),
  [6285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [6289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3164),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3162),
  [6293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3165),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3182),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3174),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [6309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [6323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [6325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [6329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [6331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [6337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3332),
  [6340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3332),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [6347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [6349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4662),
  [6351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [6355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [6357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [6359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [6361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4183),
  [6363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4184),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [6369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [6371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [6373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [6375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [6377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [6383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [6385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [6387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3706),
  [6389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5484),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [6393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3734),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [6397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3376),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [6404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5445),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [6408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5486),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5051),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [6416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [6420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [6422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5279),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [6430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5419),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [6434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 2, .production_id = 48),
  [6436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [6452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3706),
  [6455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3513),
  [6458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3514),
  [6461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4727),
  [6464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3734),
  [6467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4621),
  [6470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3766),
  [6473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5476),
  [6476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3819),
  [6479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(144),
  [6482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(142),
  [6485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(140),
  [6488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(316),
  [6491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3701),
  [6494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6138),
  [6497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5014),
  [6500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3517),
  [6503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2988),
  [6506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3518),
  [6509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4794),
  [6512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5044),
  [6515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4657),
  [6518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5014),
  [6521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5189),
  [6524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5452),
  [6527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3778),
  [6530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(91),
  [6533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(86),
  [6536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(74),
  [6539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(274),
  [6542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5012),
  [6545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4923),
  [6548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(6140),
  [6551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5136),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [6555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 3, .production_id = 50),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [6565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 4, .production_id = 88),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [6571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [6575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [6579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4828),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [6587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [6593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [6601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [6609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [6613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [6615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [6625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [6627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [6631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [6633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [6639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [6647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3758),
  [6649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [6651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5378),
  [6653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [6655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [6657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4300),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [6661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 2, .production_id = 12),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [6667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [6675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [6679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [6693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [6697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [6703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3622),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [6707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4866),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [6719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [6721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5462),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [6725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [6741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [6745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [6769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [6777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3643),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [6785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [6789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [6813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [6821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [6829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [6831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5463),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [6835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [6843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [6851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [6855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [6859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [6867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [6869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5413),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [6873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3535),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [6897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [6935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [6943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [6947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4804),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [6961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5489),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [6965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [6973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [6981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4312),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [6997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [6999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5467),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [7003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [7011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4457),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6145),
  [7019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(2982),
  [7022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [7030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [7032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [7034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [7036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [7046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [7048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [7052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [7058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [7066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [7070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [7074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [7082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [7084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5422),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [7088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [7096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [7098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [7104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [7106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [7108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [7110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [7112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4825),
  [7114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [7116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [7120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [7122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5387),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [7126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [7128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [7130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [7132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [7134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [7136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [7138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [7140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [7142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [7144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 2, .production_id = 32),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [7148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3007),
  [7151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 1),
  [7153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 1, .production_id = 13),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [7157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [7165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4708),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [7173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4179),
  [7175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5406),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [7179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [7191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5040),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [7199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(4077),
  [7202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(3513),
  [7205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66),
  [7207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(3514),
  [7210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(4727),
  [7213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(4081),
  [7216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(4621),
  [7219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(3766),
  [7222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(5476),
  [7225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(3819),
  [7228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(144),
  [7231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(142),
  [7234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(140),
  [7237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(316),
  [7240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(4082),
  [7243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__heredoc_command, 2, .production_id = 66), SHIFT_REPEAT(6138),
  [7246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [7248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [7250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [7252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [7254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5125),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [7262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [7264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [7266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [7268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [7270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [7272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [7274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [7276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [7278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [7280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [7282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [7284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5022),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [7318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4088),
  [7321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3509),
  [7324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3510),
  [7327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4708),
  [7330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4071),
  [7333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4591),
  [7336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4088),
  [7339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4179),
  [7342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(5406),
  [7345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(3845),
  [7348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(171),
  [7351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(167),
  [7354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(164),
  [7357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(302),
  [7360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(4084),
  [7363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2), SHIFT_REPEAT(6137),
  [7366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [7368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [7370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [7372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [7376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [7378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [7380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [7382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [7384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [7386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [7388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [7390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [7392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [7394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [7400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [7402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [7406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4796),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [7412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [7414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [7416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5457),
  [7418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [7420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [7422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [7428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [7436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [7442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [7450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [7464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [7470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [7472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [7474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [7494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [7518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [7526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [7530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [7540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [7542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [7550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [7562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(761),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [7574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [7580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [7586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [7588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [7594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [7608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [7614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4325),
  [7616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [7618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4376),
  [7620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [7630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [7642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4390),
  [7644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [7646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [7652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [7658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [7660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [7662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [7664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [7666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [7668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [7676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [7682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [7684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [7686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [7690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [7696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [7698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [7700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [7706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3633),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [7714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [7718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [7722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [7724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5388),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [7734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [7736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [7738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [7744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [7746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [7748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [7754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [7756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [7758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [7764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1563),
  [7766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [7768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [7770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [7778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [7780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [7786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [7788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [7790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [7796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [7798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [7804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4862),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [7812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [7814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [7816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [7818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [7830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [7832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [7838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [7840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [7842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [7844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [7850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [7852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [7858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [7860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4420),
  [7862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3330),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [7868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [7870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [7876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [7884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3217),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [7888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [7892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [7894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [7904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [7906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [7908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [7910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [7912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [7914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [7916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [7918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [7920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [7926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [7928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [7934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [7936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [7940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [7942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [7944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [7946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [7948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [7950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [7952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [7954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [7956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [7958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [7964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [7966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [7968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [7970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [7972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [7974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [7976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [7982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [7988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [7990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [7998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [8000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [8002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [8008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [8024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [8026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [8030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [8034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [8036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [8042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [8046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [8052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [8054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [8056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [8068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4577),
  [8070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [8072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [8074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [8080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [8082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [8086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [8088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [8094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [8096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [8098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [8100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [8102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3597),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [8124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [8126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [8128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [8142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [8144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [8150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [8152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [8154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [8156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [8158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [8164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [8166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [8168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [8170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [8172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [8176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2314),
  [8178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [8180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [8196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [8200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [8202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [8204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [8210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [8212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [8214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [8216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [8218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [8220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [8222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [8228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [8230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4334),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [8236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [8244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [8246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [8248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [8250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [8252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [8258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [8264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [8266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [8270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [8272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [8274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [8276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1039),
  [8278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [8284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [8292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [8294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [8300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [8302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [8308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [8310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [8316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [8318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [8320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [8322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [8324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [8330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [8338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [8354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [8356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [8358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [8360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4337),
  [8362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [8364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [8368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4324),
  [8370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4998),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [8376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5006),
  [8378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [8380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [8382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [8384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [8386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [8388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [8390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [8396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [8398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [8400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [8402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [8404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [8406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [8408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [8414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [8416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [8422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [8428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [8430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [8432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [8434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [8438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [8442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [8446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [8450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [8452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2337),
  [8454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [8456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [8458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2311),
  [8460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [8462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [8468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [8476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [8478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [8486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [8488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [8490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2865),
  [8492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [8498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [8506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [8512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2592),
  [8514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [8516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [8518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [8520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2612),
  [8522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [8524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [8526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [8528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [8534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [8536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [8538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [8544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [8546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [8550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [8552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [8554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [8556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [8562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [8564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [8566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [8568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [8570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [8574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [8576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [8578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [8580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [8582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [8584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [8586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [8588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [8590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [8592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [8600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [8602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [8604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2837),
  [8606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [8612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [8614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [8616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [8622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [8624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3656),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [8632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [8634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [8636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [8642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [8644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4433),
  [8646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [8648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3594),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [8654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [8656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4111),
  [8658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [8664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [8666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [8668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4405),
  [8670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4597),
  [8672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [8674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [8676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2292),
  [8678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [8680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [8682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [8684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [8690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [8692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [8694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [8700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [8702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [8708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [8710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [8716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [8718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [8724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [8726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [8728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [8730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [8736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [8738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [8740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [8746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [8748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [8750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [8752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [8754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [8756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [8758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [8764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [8770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [8772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [8774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [8776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [8778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [8780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [8782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [8784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [8786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [8788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [8790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [8792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [8794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [8800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5174),
  [8802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [8804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [8810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [8812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [8814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2822),
  [8816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [8818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [8820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [8822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [8824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [8826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [8828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [8830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [8832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [8834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [8836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [8838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [8840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [8842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [8844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [8850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [8852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [8854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [8856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [8858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [8864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [8866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4611),
  [8868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [8870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [8876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4614),
  [8878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [8880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [8882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [8884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4288),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [8892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [8912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [8914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [8916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [8918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [8920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [8922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [8924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [8926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [8928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [8930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [8932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [8938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [8944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [8950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [8952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [8954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [8956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [8958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [8960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [8962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [8964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [8970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [8976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [8978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [8980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [8982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [8984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [8992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4036),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [8998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [9004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [9006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [9008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [9010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [9012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [9018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [9024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [9026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [9028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [9030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [9032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [9034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [9042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [9044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [9050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [9052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [9054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [9056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4321),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [9064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4265),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [9070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [9072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [9074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [9076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [9078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [9080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [9082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [9084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [9086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [9088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [9090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [9092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [9098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [9100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [9102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [9104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [9106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(642),
  [9108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2875),
  [9110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [9112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [9114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [9116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [9118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [9120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [9122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [9124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [9126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [9128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [9130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [9132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2317),
  [9134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [9136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [9138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [9140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [9142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [9144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [9146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [9148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [9150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [9152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [9154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [9156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2833),
  [9158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [9160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [9162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [9164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [9166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [9168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2821),
  [9170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [9172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [9174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [9176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [9178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2318),
  [9180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [9182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [9184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [9186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(573),
  [9188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3163),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [9192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [9194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4197),
  [9196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [9198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [9202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [9204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4661),
  [9206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [9208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5373),
  [9210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [9214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [9216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [9218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3204),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [9222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [9224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [9226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3320),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [9232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [9236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3913),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [9240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_assignments, 2),
  [9242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_assignments, 2),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [9246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3830),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [9252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3204),
  [9255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3204),
  [9258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3866),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [9262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3111),
  [9265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3111),
  [9268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variable_assignments_repeat1, 2),
  [9270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2),
  [9272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5347),
  [9275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5346),
  [9278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [9280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4557),
  [9282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [9284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [9286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3111),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [9290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 2, .dynamic_precedence = -1, .production_id = 14),
  [9292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 2, .dynamic_precedence = -1, .production_id = 14),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [9298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [9300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3245),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [9304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [9306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3106),
  [9309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(6026),
  [9312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(573),
  [9315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2),
  [9317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4881),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [9322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [9326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [9328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [9334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [9340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3636),
  [9343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3707),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [9350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3207),
  [9353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3207),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [9360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3636),
  [9362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3707),
  [9364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3358),
  [9367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3358),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [9372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [9374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [9380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [9382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5290),
  [9385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3793),
  [9387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [9389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2),
  [9391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3106),
  [9394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(573),
  [9397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2),
  [9399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4934),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [9404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3850),
  [9407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [9409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [9417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3358),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [9421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [9423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [9427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(3793),
  [9430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5258),
  [9433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3377),
  [9436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3377),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [9443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [9445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [9447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5227),
  [9450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 1, .dynamic_precedence = -1, .production_id = 3),
  [9452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 1, .dynamic_precedence = -1, .production_id = 3),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [9460] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3042),
  [9463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(588),
  [9466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4886),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [9471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [9485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [9489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 4, .production_id = 68),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [9497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4894),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [9503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5379),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [9507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [9509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [9525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 6, .production_id = 127),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [9547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 43),
  [9549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 43),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [9553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 97),
  [9555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 95),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [9589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 43),
  [9591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 43),
  [9593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 4, .production_id = 72),
  [9595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3042),
  [9598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(588),
  [9601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4930),
  [9604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 4, .production_id = 70),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [9610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipeline, 2),
  [9612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(343),
  [9614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipeline, 2),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [9626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 28),
  [9628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 28),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [9636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5243),
  [9639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [9641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [9647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [9649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [9651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3075),
  [9654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(5981),
  [9657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(630),
  [9660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4887),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [9665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 43),
  [9667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 43),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [9671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 3),
  [9673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 3),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [9677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 3, .production_id = 43),
  [9679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 3, .production_id = 56),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [9689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pipeline_repeat1, 2),
  [9691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pipeline_repeat1, 2),
  [9693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipeline_repeat1, 2), SHIFT(341),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [9704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 29),
  [9706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 29),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [9710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 60),
  [9712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 60),
  [9714] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipeline_repeat1, 2), SHIFT_REPEAT(343),
  [9717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [9719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [9721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_group, 2),
  [9723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_group, 2),
  [9725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [9727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [9729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3083),
  [9732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(621),
  [9735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4880),
  [9738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 43),
  [9740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 43),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [9750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3079),
  [9753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(649),
  [9756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4884),
  [9759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [9761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [9763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 2),
  [9765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [9767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 53),
  [9769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 53),
  [9771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [9773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3083),
  [9776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(621),
  [9779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4925),
  [9782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 45),
  [9784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 45),
  [9786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 5, .production_id = 44),
  [9788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 5, .production_id = 44),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [9792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 19),
  [9794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 19),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [9814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3079),
  [9817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(649),
  [9820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4933),
  [9823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 5, .production_id = 55),
  [9825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 5, .production_id = 55),
  [9827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 46),
  [9829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 46),
  [9831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 45),
  [9833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 45),
  [9835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 44),
  [9837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 44),
  [9839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 4, .production_id = 41),
  [9841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, .production_id = 41),
  [9843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [9845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [9847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [9849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4895),
  [9851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [9853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [9855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [9857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [9859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [9861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [9863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [9865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [9867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [9869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [9871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [9873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [9875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 67),
  [9877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_c_style_for_statement, 6, .production_id = 67),
  [9879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 64),
  [9881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 64),
  [9883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subshell, 3),
  [9885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subshell, 3),
  [9887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_command, 3),
  [9889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_command, 3),
  [9891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipeline_repeat1, 2), SHIFT_REPEAT(339),
  [9894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 2),
  [9896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 2),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [9900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 7, .production_id = 145),
  [9902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 7, .production_id = 145),
  [9904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 74),
  [9906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 74),
  [9908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 44),
  [9910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 44),
  [9912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 6, .production_id = 45),
  [9914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 6, .production_id = 45),
  [9916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_test_command, 2),
  [9918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_test_command, 2),
  [9920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 83),
  [9922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 83),
  [9924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 44),
  [9926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 44),
  [9928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4072),
  [9930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 7, .production_id = 45),
  [9932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 7, .production_id = 45),
  [9934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 4),
  [9936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 4),
  [9938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 44),
  [9940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 44),
  [9942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3085),
  [9945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(684),
  [9948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4885),
  [9951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 8, .production_id = 45),
  [9953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 8, .production_id = 45),
  [9955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 4),
  [9957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 4),
  [9959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_redirected_statement, 2, .dynamic_precedence = -1, .production_id = 15),
  [9961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_redirected_statement, 2, .dynamic_precedence = -1, .production_id = 15),
  [9963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_heredoc_body, 2),
  [9965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_heredoc_body, 2),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [9969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__heredoc_body, 2),
  [9971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__heredoc_body, 2),
  [9973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 5),
  [9975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 5),
  [9977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 91),
  [9979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 91),
  [9981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [9983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 92),
  [9985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 92),
  [9987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [9989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 93),
  [9991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 5, .production_id = 93),
  [9993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4072),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [9998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 4),
  [10000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 4),
  [10002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3075),
  [10005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(630),
  [10008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4922),
  [10011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 120),
  [10013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 120),
  [10015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 121),
  [10017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 121),
  [10019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 122),
  [10021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 122),
  [10023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 123),
  [10025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_heredoc_redirect, 6, .production_id = 123),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [10029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 1, .production_id = 17),
  [10031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__heredoc_command, 1, .production_id = 17),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [10035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [10037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [10039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3459),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [10045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__heredoc_command, 1, .production_id = 16),
  [10047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__heredoc_command, 1, .production_id = 16),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [10051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3085),
  [10054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(684),
  [10057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4921),
  [10060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipeline_repeat1, 2), SHIFT_REPEAT(338),
  [10063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipeline_repeat1, 2), SHIFT_REPEAT(347),
  [10066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [10070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3423),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [10075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [10077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [10079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipeline_repeat1, 2), SHIFT_REPEAT(340),
  [10082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [10094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 103),
  [10096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 103),
  [10098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 78),
  [10100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 140),
  [10102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 140),
  [10104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 82),
  [10106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 130),
  [10108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 130),
  [10110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 78),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [10114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 132),
  [10116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 132),
  [10118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 44),
  [10120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 134),
  [10122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 134),
  [10124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 107),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [10154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 6, .production_id = 149),
  [10156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 6, .production_id = 149),
  [10158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 6, .production_id = 107),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [10166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 136),
  [10168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 136),
  [10170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 45),
  [10172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 6, .production_id = 151),
  [10174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 6, .production_id = 151),
  [10176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 6, .production_id = 110),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [10180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 76),
  [10182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 76),
  [10184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 58),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [10194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 113),
  [10196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 113),
  [10198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 82),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [10212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 80),
  [10214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 80),
  [10216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 3, .production_id = 59),
  [10218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [10220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipeline_repeat1, 2), SHIFT_REPEAT(344),
  [10223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [10225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 111),
  [10227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 111),
  [10229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 59),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [10251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [10253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5331),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [10258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 138),
  [10260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 138),
  [10262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 5, .production_id = 110),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [10268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 101),
  [10270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 101),
  [10272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 58),
  [10274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 108),
  [10276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 108),
  [10278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 45),
  [10280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 105),
  [10282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 105),
  [10284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_last_case_item, 4, .production_id = 44),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [10288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 114),
  [10290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 114),
  [10292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3086),
  [10295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(845),
  [10298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4882),
  [10301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4349),
  [10304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 141),
  [10306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 141),
  [10308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 104),
  [10310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 104),
  [10312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [10314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 106),
  [10316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 106),
  [10318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 131),
  [10320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 131),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [10324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 102),
  [10326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 102),
  [10328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 133),
  [10330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 133),
  [10332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 135),
  [10334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 135),
  [10336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 109),
  [10338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 109),
  [10340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3333),
  [10343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 139),
  [10345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 139),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [10349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 6, .production_id = 152),
  [10351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 6, .production_id = 152),
  [10353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3230),
  [10356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [10358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 6, .production_id = 150),
  [10360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 6, .production_id = 150),
  [10362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 81),
  [10364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 81),
  [10366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3102),
  [10369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(5824),
  [10372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3102),
  [10375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(914),
  [10378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(5824),
  [10381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4888),
  [10384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_assignments_repeat1, 2), SHIFT_REPEAT(5231),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [10389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 5, .production_id = 137),
  [10391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 5, .production_id = 137),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [10395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 3, .production_id = 77),
  [10397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 3, .production_id = 77),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [10401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [10403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [10407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [10409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [10411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [10413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expansion_max_length, 1, .production_id = 12),
  [10415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [10417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [10419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [10421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4977),
  [10423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_item, 4, .production_id = 112),
  [10425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_item, 4, .production_id = 112),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [10433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [10435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5950),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [10447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expansion_max_length, 3, .production_id = 63),
  [10449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [10451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4401),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [10456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3275),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [10461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expansion_max_length, 3, .production_id = 50),
  [10463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [10465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [10467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4393),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [10472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3086),
  [10475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(845),
  [10478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4929),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [10487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3102),
  [10490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3102),
  [10493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(914),
  [10496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4924),
  [10499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3062),
  [10502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(5950),
  [10505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(3062),
  [10508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(1018),
  [10511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(5950),
  [10514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat1, 2), SHIFT_REPEAT(4879),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [10519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expansion_max_length, 2, .production_id = 48),
  [10521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5020),
  [10523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [10525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipeline_repeat1, 2), SHIFT_REPEAT(334),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [10530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3062),
  [10533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3062),
  [10536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(1018),
  [10539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4932),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [10548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [10550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_expression, 1, .production_id = 12),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [10558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4472),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [10569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4980),
  [10571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [10573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [10601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [10605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipeline_repeat1, 2), SHIFT(341),
  [10608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [10612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pipeline_repeat1, 2), SHIFT_REPEAT(341),
  [10615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_pipeline_repeat1, 2), SHIFT_REPEAT(341),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [10620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [10640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3317),
  [10643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3317),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [10654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [10656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [10658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(3059),
  [10661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(1450),
  [10664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_redirected_statement_repeat2, 2), SHIFT_REPEAT(4928),
  [10667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(4670),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [10672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [10674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5115),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [10680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [10682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3047),
  [10686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4670),
  [10688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [10692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [10694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [10696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [10700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [10704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [10706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [10708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [10710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [10712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [10714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [10716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [10718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [10720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3728),
  [10722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [10724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [10726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [10728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [10730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [10732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [10734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4705),
  [10736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [10738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4811),
  [10740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [10742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3468),
  [10745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3469),
  [10748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(4883),
  [10751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [10753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(4917),
  [10756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3816),
  [10759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(223),
  [10762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(224),
  [10765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(229),
  [10768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [10770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2346),
  [10772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4820),
  [10774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [10776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [10778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4178),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [10782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [10784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [10786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [10788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4769),
  [10790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [10792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [10794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [10796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [10798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4556),
  [10800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4775),
  [10802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4396),
  [10804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4768),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4423),
  [10808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [10810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [10812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4845),
  [10814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4553),
  [10816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [10818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [10820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [10822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [10824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [10826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [10828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [10830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2909),
  [10832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [10834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [10836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4755),
  [10838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [10840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4759),
  [10842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [10844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4749),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [10848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [10850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [10852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4745),
  [10854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [10856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5204),
  [10858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5206),
  [10860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4732),
  [10862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [10864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [10866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [10868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4872),
  [10870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4723),
  [10874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [10876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [10878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [10880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [10882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [10884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4875),
  [10886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [10888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [10890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3699),
  [10892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [10894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [10896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4867),
  [10898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [10900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [10902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3651),
  [10904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4773),
  [10906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [10908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4714),
  [10910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [10912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4722),
  [10914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [10916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4839),
  [10918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [10920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4709),
  [10922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [10924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [10926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [10928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [10930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [10932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [10934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [10936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [10938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5349),
  [10940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4711),
  [10942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3573),
  [10944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4809),
  [10946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [10948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [10950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2756),
  [10952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [10954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5338),
  [10956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [10958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [10960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4833),
  [10962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [10964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4821),
  [10966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [10968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4719),
  [10970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [10972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4780),
  [10974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2406),
  [10976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4724),
  [10978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [10980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [10982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [10984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [10986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [10988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [10990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [10992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [10994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [10996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4730),
  [10998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [11000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [11002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [11004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4715),
  [11006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [11008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4720),
  [11010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [11012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [11014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [11016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4806),
  [11018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [11020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [11022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [11024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4737),
  [11026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [11028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [11030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [11032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4741),
  [11034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [11036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4785),
  [11038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5190),
  [11040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4854),
  [11042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [11044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [11046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [11048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [11050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [11052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [11054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [11056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [11058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [11060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [11062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5198),
  [11064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [11066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [11068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4733),
  [11070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [11072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4740),
  [11074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [11076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4779),
  [11078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5156),
  [11080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4803),
  [11082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [11084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4756),
  [11086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [11088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4770),
  [11090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5160),
  [11092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [11094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [11096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [11098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [11100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4864),
  [11102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5010),
  [11104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [11106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [11108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4761),
  [11110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [11112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [11114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [11116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4748),
  [11118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [11120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [11122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2952),
  [11124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [11126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4388),
  [11128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [11130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [11132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4846),
  [11134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [11136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4751),
  [11138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [11140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [11142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [11144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [11146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [11148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [11150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [11152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [11154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [11156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [11158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5428),
  [11160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4758),
  [11162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [11164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4863),
  [11166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [11168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [11170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [11172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4734),
  [11174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5421),
  [11176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [11178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [11180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4873),
  [11182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [11184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [11186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [11188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4766),
  [11190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [11192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4725),
  [11194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [11196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [11198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [11200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4707),
  [11202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [11204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4871),
  [11206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4974),
  [11208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [11210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [11212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [11214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [11216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [11218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [11220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [11222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3579),
  [11224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [11226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [11236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [11238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [11240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [11242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [11244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [11246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [11248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [11250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [11252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [11254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [11262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [11264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [11266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5429),
  [11268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1432),
  [11270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [11272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [11274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [11276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [11278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [11280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [11282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5158),
  [11284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4692),
  [11286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5155),
  [11288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [11290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5202),
  [11292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [11294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [11296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [11298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5842),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [11308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [11310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [11312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [11314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [11316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [11318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [11320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [11322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [11324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [11326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1204),
  [11328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [11330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [11338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [11340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [11342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [11344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [11346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [11348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [11350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [11352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [11354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [11356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [11358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4561),
  [11360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [11362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [11364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [11366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [11368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [11370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [11372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [11374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [11376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [11378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [11380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [11382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [11384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6029),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6029),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [11394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [11396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [11400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [11404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [11406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2316),
  [11408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [11410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [11412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [11416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [11420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [11422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5954),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [11430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [11432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [11434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [11442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [11448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [11450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [11458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [11460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [11462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [11464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [11466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [11474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [11482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(4906),
  [11485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(3880),
  [11488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(84),
  [11491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(85),
  [11494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(88),
  [11497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2), SHIFT_REPEAT(4898),
  [11500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_heredoc_body_repeat1, 2),
  [11502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [11504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [11508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [11510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 3, .production_id = 50),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [11514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [11516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [11518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [11520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [11524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [11526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4996),
  [11528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4991),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [11532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [11544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 2),
  [11546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [11548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [11550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [11558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [11564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_heredoc_body, 1),
  [11566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [11574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [11576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [11588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 3),
  [11590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [11592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [11594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [11596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3221),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [11602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [11604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 1, .production_id = 12),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [11616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [11618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5867),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5867),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [11624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(43),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [11628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [11630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5868),
  [11634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [11636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [11638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [11640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5674),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [11644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [11646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [11654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [11656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [11658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3221),
  [11661] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3221),
  [11664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [11666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [11668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5958),
  [11670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [11672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [11674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [11676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [11678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5959),
  [11680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [11682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [11684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [11688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length_expression, 1, .production_id = 7),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [11692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 2, .production_id = 49),
  [11694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length_expression, 1),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [11698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 2, .production_id = 12),
  [11700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [11702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length_binary_expression, 3, .production_id = 27),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [11706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(5042),
  [11709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5846),
  [11711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5847),
  [11713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expansion_regex, 1, .production_id = 12),
  [11715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [11717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [11719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [11721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [11723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [11725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [11727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [11731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [11733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [11735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [11737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [11741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 4, .production_id = 50),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [11745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [11749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [11753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 3, .production_id = 62),
  [11755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 3, .production_id = 48),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [11759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 3, .production_id = 48),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [11767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [11773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3541),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [11777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 4, .production_id = 50),
  [11779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 4, .production_id = 89),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [11783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [11787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [11789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 4, .production_id = 63),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [11797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_max_length, 4, .production_id = 90),
  [11799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3755),
  [11801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [11805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [11811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 5, .production_id = 88),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [11815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [11821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 3, .production_id = 51),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [11831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 3, .production_id = 61),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [11835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__for_body_repeat1, 2),
  [11837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__for_body_repeat1, 2), SHIFT_REPEAT(3925),
  [11840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__for_body_repeat1, 2),
  [11842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [11844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [11846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [11848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [11850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [11852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [11854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__concatenation_in_expansion, 2),
  [11856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [11858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [11860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5390),
  [11862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [11864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [11866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 1, .production_id = 7),
  [11868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [11870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [11872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [11874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 5, .production_id = 119),
  [11876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 3, .production_id = 52),
  [11878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenation_repeat1, 2), SHIFT_REPEAT(3371),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [11885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 2, .production_id = 31),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [11889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 44),
  [11891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [11893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5411),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [11897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 45),
  [11899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_body, 2, .production_id = 30),
  [11901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [11903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(325),
  [11906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__expansion_body_repeat1, 2, .production_id = 33),
  [11908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__expansion_body_repeat1, 2, .production_id = 33), SHIFT_REPEAT(5183),
  [11911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [11913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 4, .production_id = 84),
  [11915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__concatenation_in_expansion_repeat1, 2),
  [11917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__concatenation_in_expansion_repeat1, 2), SHIFT_REPEAT(4549),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [11924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [11926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5464),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [11930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(5279),
  [11933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 59),
  [11935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [11939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 3, .production_id = 58),
  [11941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [11945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 78),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [11953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 44),
  [11955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4118),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [11959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 45),
  [11961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4142),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [11965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 4, .production_id = 82),
  [11967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [11971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [11973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_expression, 2, .production_id = 12),
  [11975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4115),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [11981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [11987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_expression, 1, .production_id = 26),
  [11989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_expression, 1, .production_id = 26),
  [11991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__expansion_body_repeat1, 1, .production_id = 12),
  [11993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__literal_repeat1, 2), SHIFT_REPEAT(5300),
  [11996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__c_variable_assignment, 3, .production_id = 54),
  [11998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__c_variable_assignment, 3, .production_id = 54),
  [12000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 5, .production_id = 107),
  [12002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [12008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_case_item, 5, .production_id = 110),
  [12010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [12012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [12016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4143),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [12022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [12028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arithmetic_expansion_repeat1, 2), SHIFT_REPEAT(3312),
  [12031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [12033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 6, .production_id = 125),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [12037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 6, .production_id = 126),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [12041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 3, .production_id = 57),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [12047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 6, .production_id = 128),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [12053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 6, .production_id = 129),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2937),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [12111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4317),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [12117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_body_repeat1, 2), SHIFT_REPEAT(3995),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [12128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [12136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 4, .production_id = 69),
  [12138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 4, .production_id = 71),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2932),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [12146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 4, .production_id = 73),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2956),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [12154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 7, .production_id = 146),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [12158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 2, .production_id = 12),
  [12160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [12162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 7, .production_id = 147),
  [12164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 7, .production_id = 148),
  [12166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 79), SHIFT_REPEAT(2998),
  [12169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_item_repeat1, 2, .production_id = 79),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [12189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 6, .production_id = 124),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [12211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__for_body_repeat1, 2), SHIFT_REPEAT(3934),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [12224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4301),
  [12226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [12228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4241),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [12246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 94),
  [12248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 96),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [12252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 98),
  [12254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4279),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [12258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 99),
  [12260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 5, .production_id = 100),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [12264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4271),
  [12266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_body, 8, .production_id = 154),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [12290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4259),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [12300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [12314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [12318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [12320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [12328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_removal, 1, .production_id = 12),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [12334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 4, .production_id = 87),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [12338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 5, .production_id = 117),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [12346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 6, .production_id = 88),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [12350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 3, .production_id = 12),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [12364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [12366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [12368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [12370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [12372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [12374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [12376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [12378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [12380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [12382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [12384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 6, .production_id = 144),
  [12386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [12388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [12390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 6, .production_id = 143),
  [12392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [12402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 6, .production_id = 142),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [12414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [12420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [12422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [12430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [12432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [12434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [12436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [12438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [12440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [12442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [12444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 5, .production_id = 118),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [12448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 5, .production_id = 116),
  [12450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 5, .production_id = 115),
  [12452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [12456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 7, .production_id = 153),
  [12458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [12460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [12462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [12464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [12466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [12468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [12470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5871),
  [12472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [12474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [12476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5903),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [12492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [12494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [12496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [12498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [12500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [12502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [12504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [12506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [12510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [12512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [12514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [12516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [12518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [12520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [12522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [12524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [12526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [12528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [12530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [12532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [12534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [12536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [12538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [12540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [12542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [12544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [12546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [12548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [12550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [12558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [12560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [12562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [12564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [12566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [12568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [12570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [12572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [12574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [12576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [12578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [12580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [12582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [12584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [12586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [12588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [12590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [12606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [12618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [12624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [12626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 4, .production_id = 86),
  [12628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_replacement, 4, .production_id = 85),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [12638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [12644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [12646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [12656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [12658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [12662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [12666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [12668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [12670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [12686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [12696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [12702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [12758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [12768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [12776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5700),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [12870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [12896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [12902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_operator, 2, .production_id = 48),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [12908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [12910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [12914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [12918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex_removal, 2, .production_id = 12),
  [12920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex, 2, .production_id = 47),
  [12922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expansion_regex, 2, .production_id = 12),
  [12924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [12926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [12928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6104),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [12972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [12976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [12980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [12982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [12984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [12986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [12988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [12990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [12992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [12994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [12996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [12998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [13000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [13002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [13004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [13006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [13008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [13010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [13012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [13014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [13016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [13018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [13024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [13026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [13038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [13044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [13050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [13052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [13056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [13058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [13060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [13062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [13064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [13066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [13074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [13078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [13080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [13082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5886),
  [13088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [13090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [13092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [13200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [13204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [13206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [13216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [13218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [13224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [13228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [13236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [13238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [13242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [13248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [13250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [13252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [13254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [13264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5615),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [13286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [13288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [13322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [13328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [13330] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [13336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [13338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [13340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [13356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6065),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [13364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [13366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [13370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6072),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [13380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [13384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [13386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6083),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [13400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6085),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6086),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [13408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [13414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_heredoc_start = 0,
  ts_external_token_simple_heredoc_body = 1,
  ts_external_token__heredoc_body_beginning = 2,
  ts_external_token_heredoc_content = 3,
  ts_external_token_heredoc_end = 4,
  ts_external_token_file_descriptor = 5,
  ts_external_token__empty_value = 6,
  ts_external_token__concat = 7,
  ts_external_token_variable_name = 8,
  ts_external_token_test_operator = 9,
  ts_external_token_regex = 10,
  ts_external_token__regex_no_slash = 11,
  ts_external_token__regex_no_space = 12,
  ts_external_token__expansion_word = 13,
  ts_external_token_extglob_pattern = 14,
  ts_external_token__bare_dollar = 15,
  ts_external_token__brace_start = 16,
  ts_external_token__immediate_double_hash = 17,
  ts_external_token__external_expansion_sym_hash = 18,
  ts_external_token__external_expansion_sym_bang = 19,
  ts_external_token__external_expansion_sym_equal = 20,
  ts_external_token_RBRACE = 21,
  ts_external_token_RBRACK = 22,
  ts_external_token_LT_LT = 23,
  ts_external_token_LT_LT_DASH = 24,
  ts_external_token_heredoc_redirect_token1 = 25,
  ts_external_token___error_recovery = 26,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_heredoc_start] = sym_heredoc_start,
  [ts_external_token_simple_heredoc_body] = sym_simple_heredoc_body,
  [ts_external_token__heredoc_body_beginning] = sym__heredoc_body_beginning,
  [ts_external_token_heredoc_content] = sym_heredoc_content,
  [ts_external_token_heredoc_end] = sym_heredoc_end,
  [ts_external_token_file_descriptor] = sym_file_descriptor,
  [ts_external_token__empty_value] = sym__empty_value,
  [ts_external_token__concat] = sym__concat,
  [ts_external_token_variable_name] = sym_variable_name,
  [ts_external_token_test_operator] = sym_test_operator,
  [ts_external_token_regex] = sym_regex,
  [ts_external_token__regex_no_slash] = sym__regex_no_slash,
  [ts_external_token__regex_no_space] = sym__regex_no_space,
  [ts_external_token__expansion_word] = sym__expansion_word,
  [ts_external_token_extglob_pattern] = sym_extglob_pattern,
  [ts_external_token__bare_dollar] = sym__bare_dollar,
  [ts_external_token__brace_start] = sym__brace_start,
  [ts_external_token__immediate_double_hash] = sym__immediate_double_hash,
  [ts_external_token__external_expansion_sym_hash] = sym__external_expansion_sym_hash,
  [ts_external_token__external_expansion_sym_bang] = sym__external_expansion_sym_bang,
  [ts_external_token__external_expansion_sym_equal] = sym__external_expansion_sym_equal,
  [ts_external_token_RBRACE] = anon_sym_RBRACE3,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_LT_LT] = anon_sym_LT_LT,
  [ts_external_token_LT_LT_DASH] = anon_sym_LT_LT_DASH,
  [ts_external_token_heredoc_redirect_token1] = aux_sym_heredoc_redirect_token1,
  [ts_external_token___error_recovery] = sym___error_recovery,
};

static const bool ts_external_scanner_states[90][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_heredoc_start] = true,
    [ts_external_token_simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
    [ts_external_token_heredoc_content] = true,
    [ts_external_token_heredoc_end] = true,
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__empty_value] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token_regex] = true,
    [ts_external_token__regex_no_slash] = true,
    [ts_external_token__regex_no_space] = true,
    [ts_external_token__expansion_word] = true,
    [ts_external_token_extglob_pattern] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token__immediate_double_hash] = true,
    [ts_external_token__external_expansion_sym_hash] = true,
    [ts_external_token__external_expansion_sym_bang] = true,
    [ts_external_token__external_expansion_sym_equal] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token___error_recovery] = true,
  },
  [2] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
  },
  [3] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
  },
  [4] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [5] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [6] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [7] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
  },
  [8] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [9] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [10] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [11] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [12] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [13] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
  },
  [14] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [15] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [16] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [17] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [18] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [19] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [20] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [21] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [22] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_LT_LT] = true,
  },
  [23] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [24] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_extglob_pattern] = true,
    [ts_external_token__brace_start] = true,
  },
  [25] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
  },
  [26] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token__regex_no_space] = true,
    [ts_external_token__brace_start] = true,
  },
  [27] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [28] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token_LT_LT] = true,
  },
  [29] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [30] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [31] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_extglob_pattern] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [32] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_extglob_pattern] = true,
    [ts_external_token_LT_LT] = true,
  },
  [33] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [34] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [35] = {
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
  },
  [36] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token_extglob_pattern] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [37] = {
    [ts_external_token_LT_LT] = true,
  },
  [38] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_extglob_pattern] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [39] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [40] = {
    [ts_external_token_LT_LT] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [41] = {
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [42] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
  },
  [43] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [44] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [45] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
  },
  [46] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [47] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__expansion_word] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACE] = true,
  },
  [48] = {
    [ts_external_token__empty_value] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
  },
  [49] = {
    [ts_external_token__immediate_double_hash] = true,
    [ts_external_token__external_expansion_sym_hash] = true,
    [ts_external_token__external_expansion_sym_bang] = true,
    [ts_external_token__external_expansion_sym_equal] = true,
    [ts_external_token_RBRACE] = true,
  },
  [50] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_RBRACK] = true,
  },
  [51] = {
    [ts_external_token__immediate_double_hash] = true,
    [ts_external_token_RBRACE] = true,
  },
  [52] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token_regex] = true,
    [ts_external_token__brace_start] = true,
  },
  [53] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [54] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [55] = {
    [ts_external_token_test_operator] = true,
    [ts_external_token__bare_dollar] = true,
    [ts_external_token__brace_start] = true,
  },
  [56] = {
    [ts_external_token_variable_name] = true,
  },
  [57] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [58] = {
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [59] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [60] = {
    [ts_external_token__immediate_double_hash] = true,
  },
  [61] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [62] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [63] = {
    [ts_external_token__concat] = true,
    [ts_external_token__immediate_double_hash] = true,
    [ts_external_token__external_expansion_sym_hash] = true,
    [ts_external_token__external_expansion_sym_bang] = true,
    [ts_external_token__external_expansion_sym_equal] = true,
    [ts_external_token_RBRACE] = true,
  },
  [64] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [65] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token__external_expansion_sym_hash] = true,
    [ts_external_token__external_expansion_sym_bang] = true,
    [ts_external_token__external_expansion_sym_equal] = true,
    [ts_external_token_RBRACE] = true,
  },
  [66] = {
    [ts_external_token__concat] = true,
    [ts_external_token_test_operator] = true,
    [ts_external_token__brace_start] = true,
  },
  [67] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [68] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_variable_name] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [69] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [70] = {
    [ts_external_token_RBRACE] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [71] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token__expansion_word] = true,
    [ts_external_token_RBRACE] = true,
  },
  [72] = {
    [ts_external_token_file_descriptor] = true,
    [ts_external_token__concat] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [73] = {
    [ts_external_token_variable_name] = true,
    [ts_external_token__expansion_word] = true,
  },
  [74] = {
    [ts_external_token_LT_LT] = true,
    [ts_external_token_LT_LT_DASH] = true,
  },
  [75] = {
    [ts_external_token__concat] = true,
  },
  [76] = {
    [ts_external_token_heredoc_content] = true,
    [ts_external_token_heredoc_end] = true,
  },
  [77] = {
    [ts_external_token_RBRACE] = true,
  },
  [78] = {
    [ts_external_token__concat] = true,
    [ts_external_token_heredoc_redirect_token1] = true,
  },
  [79] = {
    [ts_external_token__regex_no_slash] = true,
    [ts_external_token_RBRACE] = true,
  },
  [80] = {
    [ts_external_token_regex] = true,
    [ts_external_token_RBRACE] = true,
  },
  [81] = {
    [ts_external_token__concat] = true,
    [ts_external_token__expansion_word] = true,
    [ts_external_token_RBRACE] = true,
  },
  [82] = {
    [ts_external_token__external_expansion_sym_hash] = true,
    [ts_external_token__external_expansion_sym_bang] = true,
    [ts_external_token__external_expansion_sym_equal] = true,
    [ts_external_token_RBRACE] = true,
  },
  [83] = {
    [ts_external_token_simple_heredoc_body] = true,
    [ts_external_token__heredoc_body_beginning] = true,
  },
  [84] = {
    [ts_external_token__concat] = true,
    [ts_external_token__external_expansion_sym_hash] = true,
    [ts_external_token__external_expansion_sym_bang] = true,
    [ts_external_token__external_expansion_sym_equal] = true,
    [ts_external_token_RBRACE] = true,
  },
  [85] = {
    [ts_external_token__concat] = true,
    [ts_external_token_RBRACE] = true,
  },
  [86] = {
    [ts_external_token_extglob_pattern] = true,
  },
  [87] = {
    [ts_external_token_RBRACK] = true,
  },
  [88] = {
    [ts_external_token_heredoc_end] = true,
  },
  [89] = {
    [ts_external_token_heredoc_start] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_bash_external_scanner_create(void);
void tree_sitter_bash_external_scanner_destroy(void *);
bool tree_sitter_bash_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_bash_external_scanner_serialize(void *, char *);
void tree_sitter_bash_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_bash(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_word,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_bash_external_scanner_create,
      tree_sitter_bash_external_scanner_destroy,
      tree_sitter_bash_external_scanner_scan,
      tree_sitter_bash_external_scanner_serialize,
      tree_sitter_bash_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
